
-- --------------------------------------------------------

--
-- Structure de la table `llx_accounting_account`
--

CREATE TABLE `llx_accounting_account` (
  `rowid` bigint(20) NOT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `datec` datetime DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fk_pcg_version` varchar(32) NOT NULL,
  `pcg_type` varchar(20) NOT NULL,
  `account_number` varchar(32) NOT NULL,
  `account_parent` int(11) DEFAULT '0',
  `label` varchar(255) NOT NULL,
  `labelshort` varchar(255) DEFAULT NULL,
  `fk_accounting_category` int(11) DEFAULT '0',
  `fk_user_author` int(11) DEFAULT NULL,
  `fk_user_modif` int(11) DEFAULT NULL,
  `active` tinyint(4) NOT NULL DEFAULT '1',
  `reconcilable` tinyint(4) NOT NULL DEFAULT '0',
  `import_key` varchar(14) DEFAULT NULL,
  `extraparams` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Déchargement des données de la table `llx_accounting_account`
--

INSERT INTO `llx_accounting_account` (`rowid`, `entity`, `datec`, `tms`, `fk_pcg_version`, `pcg_type`, `account_number`, `account_parent`, `label`, `labelshort`, `fk_accounting_category`, `fk_user_author`, `fk_user_modif`, `active`, `reconcilable`, `import_key`, `extraparams`) VALUES
(1, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'CAPIT', '101', 1401, 'Capital', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(2, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'CAPIT', '105', 1401, 'Ecarts de réévaluation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(3, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'CAPIT', '1061', 1401, 'Réserve légale', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'CAPIT', '1063', 1401, 'Réserves statutaires ou contractuelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(5, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'CAPIT', '1064', 1401, 'Réserves réglementées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(6, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'CAPIT', '1068', 1401, 'Autres réserves', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(7, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'CAPIT', '108', 1401, 'Compte de l\'exploitant', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(8, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'CAPIT', '12', 1401, 'Résultat de l\'exercice', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(9, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'CAPIT', '145', 1401, 'Amortissements dérogatoires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(10, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'CAPIT', '146', 1401, 'Provision spéciale de réévaluation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(11, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'CAPIT', '147', 1401, 'Plus-values réinvesties', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(12, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'CAPIT', '148', 1401, 'Autres provisions réglementées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(13, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'CAPIT', '15', 1401, 'Provisions pour risques et charges', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(14, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'CAPIT', '16', 1401, 'Emprunts et dettes assimilees', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(15, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'IMMO', '20', 1402, 'Immobilisations incorporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(16, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'IMMO', '201', 15, 'Frais d\'établissement', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(17, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'IMMO', '206', 15, 'Droit au bail', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(18, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'IMMO', '207', 15, 'Fonds commercial', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(19, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'IMMO', '208', 15, 'Autres immobilisations incorporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(20, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'IMMO', '21', 1402, 'Immobilisations corporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(21, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'IMMO', '23', 1402, 'Immobilisations en cours', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(22, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'IMMO', '27', 1402, 'Autres immobilisations financieres', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(23, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'IMMO', '280', 1402, 'Amortissements des immobilisations incorporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(24, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'IMMO', '281', 1402, 'Amortissements des immobilisations corporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(25, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'IMMO', '290', 1402, 'Provisions pour dépréciation des immobilisations incorporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(26, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'IMMO', '291', 1402, 'Provisions pour dépréciation des immobilisations corporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(27, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'IMMO', '297', 1402, 'Provisions pour dépréciation des autres immobilisations financières', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(28, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'STOCK', '31', 1403, 'Matieres premières', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(29, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'STOCK', '32', 1403, 'Autres approvisionnements', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(30, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'STOCK', '33', 1403, 'En-cours de production de biens', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(31, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'STOCK', '34', 1403, 'En-cours de production de services', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(32, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'STOCK', '35', 1403, 'Stocks de produits', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(33, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'STOCK', '37', 1403, 'Stocks de marchandises', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(34, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'STOCK', '391', 1403, 'Provisions pour dépréciation des matières premières', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(35, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'STOCK', '392', 1403, 'Provisions pour dépréciation des autres approvisionnements', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(36, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'STOCK', '393', 1403, 'Provisions pour dépréciation des en-cours de production de biens', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(37, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'STOCK', '394', 1403, 'Provisions pour dépréciation des en-cours de production de services', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(38, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'STOCK', '395', 1403, 'Provisions pour dépréciation des stocks de produits', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(39, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'STOCK', '397', 1403, 'Provisions pour dépréciation des stocks de marchandises', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(40, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'TIERS', '400', 1404, 'Fournisseurs et Comptes rattachés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(41, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'TIERS', '409', 1404, 'Fournisseurs débiteurs', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(42, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'TIERS', '410', 1404, 'Clients et Comptes rattachés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(43, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'TIERS', '419', 1404, 'Clients créditeurs', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(44, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'TIERS', '421', 1404, 'Personnel', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(45, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'TIERS', '428', 1404, 'Personnel', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(46, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'TIERS', '43', 1404, 'Sécurité sociale et autres organismes sociaux', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(47, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'TIERS', '444', 1404, 'Etat - impôts sur bénéfice', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(48, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'TIERS', '445', 1404, 'Etat - Taxes sur chiffre affaires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(49, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'TIERS', '447', 1404, 'Autres impôts, taxes et versements assimilés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(50, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'TIERS', '45', 1404, 'Groupe et associes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(51, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'TIERS', '455', 50, 'Associés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(52, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'TIERS', '46', 1404, 'Débiteurs divers et créditeurs divers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(53, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'TIERS', '47', 1404, 'Comptes transitoires ou d\'attente', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(54, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'TIERS', '481', 1404, 'Charges à répartir sur plusieurs exercices', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(55, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'TIERS', '486', 1404, 'Charges constatées d\'avance', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(56, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'TIERS', '487', 1404, 'Produits constatés d\'avance', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(57, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'TIERS', '491', 1404, 'Provisions pour dépréciation des comptes de clients', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(58, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'TIERS', '496', 1404, 'Provisions pour dépréciation des comptes de débiteurs divers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(59, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'FINAN', '50', 1405, 'Valeurs mobilières de placement', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(60, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'FINAN', '51', 1405, 'Banques, établissements financiers et assimilés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(61, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'FINAN', '53', 1405, 'Caisse', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(62, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'FINAN', '54', 1405, 'Régies d\'avance et accréditifs', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(63, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'FINAN', '58', 1405, 'Virements internes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(64, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'FINAN', '590', 1405, 'Provisions pour dépréciation des valeurs mobilières de placement', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(65, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'EXPENSE', '60', 1406, 'Achats', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(66, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'EXPENSE', '603', 65, 'Variations des stocks', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(67, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'EXPENSE', '61', 1406, 'Services extérieurs', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(68, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'EXPENSE', '62', 1406, 'Autres services extérieurs', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(69, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'EXPENSE', '63', 1406, 'Impôts, taxes et versements assimiles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(70, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'EXPENSE', '641', 1406, 'Rémunérations du personnel', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(71, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'EXPENSE', '644', 1406, 'Rémunération du travail de l\'exploitant', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(72, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'EXPENSE', '645', 1406, 'Charges de sécurité sociale et de prévoyance', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(73, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'EXPENSE', '646', 1406, 'Cotisations sociales personnelles de l\'exploitant', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(74, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'EXPENSE', '65', 1406, 'Autres charges de gestion courante', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(75, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'EXPENSE', '66', 1406, 'Charges financières', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(76, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'EXPENSE', '67', 1406, 'Charges exceptionnelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(77, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'EXPENSE', '681', 1406, 'Dotations aux amortissements et aux provisions', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(78, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'EXPENSE', '686', 1406, 'Dotations aux amortissements et aux provisions', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(79, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'EXPENSE', '687', 1406, 'Dotations aux amortissements et aux provisions', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(80, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'EXPENSE', '691', 1406, 'Participation des salariés aux résultats', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(81, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'EXPENSE', '695', 1406, 'Impôts sur les bénéfices', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(82, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'EXPENSE', '697', 1406, 'Imposition forfaitaire annuelle des sociétés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(83, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'EXPENSE', '699', 1406, 'Produits', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(84, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'INCOME', '701', 1407, 'Ventes de produits finis', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(85, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'INCOME', '706', 1407, 'Prestations de services', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(86, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'INCOME', '707', 1407, 'Ventes de marchandises', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(87, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'INCOME', '708', 1407, 'Produits des activités annexes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(88, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'INCOME', '709', 1407, 'Rabais, remises et ristournes accordés par l\'entreprise', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(89, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'INCOME', '713', 1407, 'Variation des stocks', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(90, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'INCOME', '72', 1407, 'Production immobilisée', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(91, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'INCOME', '73', 1407, 'Produits nets partiels sur opérations à long terme', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(92, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'INCOME', '74', 1407, 'Subventions d\'exploitation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(93, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'INCOME', '75', 1407, 'Autres produits de gestion courante', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(94, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'INCOME', '753', 93, 'Jetons de présence et rémunérations d\'administrateurs, gérants,...', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(95, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'INCOME', '754', 93, 'Ristournes perçues des coopératives', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(96, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'INCOME', '755', 93, 'Quotes-parts de résultat sur opérations faites en commun', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(97, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'INCOME', '76', 1407, 'Produits financiers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(98, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'INCOME', '77', 1407, 'Produits exceptionnels', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(99, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'INCOME', '781', 1407, 'Reprises sur amortissements et provisions', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(100, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'INCOME', '786', 1407, 'Reprises sur provisions pour risques', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(101, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'INCOME', '787', 1407, 'Reprises sur provisions', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(102, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'INCOME', '79', 1407, 'Transferts de charges', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(103, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '10', 1501, 'Capital  et réserves', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(104, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '101', 103, 'Capital', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(105, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '104', 103, 'Primes liées au capital social', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(106, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '105', 103, 'Ecarts de réévaluation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(107, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '106', 103, 'Réserves', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(108, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '107', 103, 'Ecart d\'equivalence', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(109, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '108', 103, 'Compte de l\'exploitant', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(110, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '109', 103, 'Actionnaires : capital souscrit - non appelé', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(111, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '11', 1501, 'Report à nouveau (solde créditeur ou débiteur)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(112, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '110', 111, 'Report à nouveau (solde créditeur)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(113, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '119', 111, 'Report à nouveau (solde débiteur)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(114, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '12', 1501, 'Résultat de l\'exercice (bénéfice ou perte)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(115, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '120', 114, 'Résultat de l\'exercice (bénéfice)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(116, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '129', 114, 'Résultat de l\'exercice (perte)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(117, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '13', 1501, 'Subventions d\'investissement', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(118, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '131', 117, 'Subventions d\'équipement', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(119, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '138', 117, 'Autres subventions d\'investissement', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(120, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '139', 117, 'Subventions d\'investissement inscrites au compte de résultat', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(121, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '14', 1501, 'Provisions réglementées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(122, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '142', 121, 'Provisions réglementées relatives aux immobilisations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(123, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '143', 121, 'Provisions réglementées relatives aux stocks', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(124, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '144', 121, 'Provisions réglementées relatives aux autres éléments de l\'actif', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(125, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '145', 121, 'Amortissements dérogatoires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(126, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '146', 121, 'Provision spéciale de réévaluation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(127, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '147', 121, 'Plus-values réinvesties', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(128, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '148', 121, 'Autres provisions réglementées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(129, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '15', 1501, 'Provisions pour risques et charges', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(130, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '151', 129, 'Provisions pour risques', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(131, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '153', 129, 'Provisions pour pensions et obligations similaires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(132, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '154', 129, 'Provisions pour restructurations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(133, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '155', 129, 'Provisions pour impôts', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(134, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '156', 129, 'Provisions pour renouvellement des immobilisations (entreprises concessionnaires)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(135, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '157', 129, 'Provisions pour charges à répartir sur plusieurs exercices', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(136, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '158', 129, 'Autres provisions pour charges', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(137, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '16', 1501, 'Emprunts et dettes assimilees', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(138, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '161', 137, 'Emprunts obligataires convertibles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(139, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '163', 137, 'Autres emprunts obligataires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(140, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '164', 137, 'Emprunts auprès des établissements de crédit', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(141, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '165', 137, 'Dépôts et cautionnements reçus', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(142, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '166', 137, 'Participation des salariés aux résultats', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(143, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '167', 137, 'Emprunts et dettes assortis de conditions particulières', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(144, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '168', 137, 'Autres emprunts et dettes assimilées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(145, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '169', 137, 'Primes de remboursement des obligations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(146, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '17', 1501, 'Dettes rattachées à des participations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(147, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '171', 146, 'Dettes rattachées à des participations (groupe)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(148, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '174', 146, 'Dettes rattachées à des participations (hors groupe)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(149, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '178', 146, 'Dettes rattachées à des sociétés en participation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(150, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '18', 1501, 'Comptes de liaison des établissements et sociétés en participation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(151, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '181', 150, 'Comptes de liaison des établissements', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(152, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '186', 150, 'Biens et prestations de services échangés entre établissements (charges)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(153, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '187', 150, 'Biens et prestations de services échangés entre établissements (produits)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(154, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '188', 150, 'Comptes de liaison des sociétés en participation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(155, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '20', 1502, 'Immobilisations incorporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(156, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '201', 155, 'Frais d\'établissement', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(157, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '203', 155, 'Frais de recherche et de développement', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(158, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '205', 155, 'Concessions et droits similaires, brevets, licences, marques, procédés, logiciels, droits et valeurs similaires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(159, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '206', 155, 'Droit au bail', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(160, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '207', 155, 'Fonds commercial', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(161, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '208', 155, 'Autres immobilisations incorporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(162, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '21', 1502, 'Immobilisations corporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(163, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '211', 162, 'Terrains', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(164, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '212', 162, 'Agencements et aménagements de terrains', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(165, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '213', 162, 'Constructions', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(166, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '214', 162, 'Constructions sur sol d\'autrui', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(167, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '215', 162, 'Installations techniques, matériels et outillage industriels', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(168, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '218', 162, 'Autres immobilisations corporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(169, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '22', 1502, 'Immobilisations mises en concession', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(170, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '23', 1502, 'Immobilisations en cours', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(171, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '231', 170, 'Immobilisations corporelles en cours', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(172, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '232', 170, 'Immobilisations incorporelles en cours', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(173, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '237', 170, 'Avances et acomptes versés sur immobilisations incorporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(174, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '238', 170, 'Avances et acomptes versés sur commandes d\'immobilisations corporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(175, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '25', 1502, 'Parts dans des entreprises liées et créances sur des entreprises liées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(176, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '26', 1502, 'Participations et créances rattachées à des participations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(177, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '261', 176, 'Titres de participation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(178, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '266', 176, 'Autres formes de participation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(179, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '267', 176, 'Créances rattachées à des participations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(180, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '268', 176, 'Créances rattachées à des sociétés en participation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(181, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '269', 176, 'Versements restant à effectuer sur titres de participation non libérés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(182, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '27', 1502, 'Autres immobilisations financieres', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(183, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '271', 183, 'Titres immobilisés autres que les titres immobilisés de l\'activité de portefeuille (droit de propriété)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(184, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '272', 183, 'Titres immobilisés (droit de créance)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(185, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '273', 183, 'Titres immobilisés de l\'activité de portefeuille', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(186, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '274', 183, 'Prêts', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(187, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '275', 183, 'Dépôts et cautionnements versés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(188, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '276', 183, 'Autres créances immobilisées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(189, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '277', 183, '(Actions propres ou parts propres)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(190, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '279', 183, 'Versements restant à effectuer sur titres immobilisés non libérés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(191, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '28', 1502, 'Amortissements des immobilisations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(192, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '280', 191, 'Amortissements des immobilisations incorporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(193, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '281', 191, 'Amortissements des immobilisations corporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(194, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '282', 191, 'Amortissements des immobilisations mises en concession', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(195, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '29', 1502, 'Dépréciations des immobilisations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(196, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '290', 195, 'Dépréciations des immobilisations incorporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(197, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '291', 195, 'Dépréciations des immobilisations corporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(198, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '292', 195, 'Dépréciations des immobilisations mises en concession', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(199, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '293', 195, 'Dépréciations des immobilisations en cours', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(200, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '296', 195, 'Provisions pour dépréciation des participations et créances rattachées à des participations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(201, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '297', 195, 'Provisions pour dépréciation des autres immobilisations financières', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(202, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'STOCK', '31', 1503, 'Matières premières (et fournitures)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(203, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'STOCK', '311', 202, 'Matières (ou groupe) A', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(204, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'STOCK', '312', 202, 'Matières (ou groupe) B', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(205, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'STOCK', '317', 202, 'Fournitures A, B, C,', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(206, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'STOCK', '32', 1503, 'Autres approvisionnements', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(207, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'STOCK', '321', 206, 'Matières consommables', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(208, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'STOCK', '322', 206, 'Fournitures consommables', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(209, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'STOCK', '326', 206, 'Emballages', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(210, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'STOCK', '33', 1503, 'En-cours de production de biens', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(211, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'STOCK', '331', 210, 'Produits en cours', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(212, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'STOCK', '335', 210, 'Travaux en cours', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(213, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'STOCK', '34', 1503, 'En-cours de production de services', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(214, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'STOCK', '341', 213, 'Etudes en cours', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(215, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'STOCK', '345', 213, 'Prestations de services en cours', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(216, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'STOCK', '35', 1503, 'Stocks de produits', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(217, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'STOCK', '351', 216, 'Produits intermédiaires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(218, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'STOCK', '355', 216, 'Produits finis', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(219, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'STOCK', '358', 216, 'Produits résiduels (ou matières de récupération)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(220, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'STOCK', '37', 1503, 'Stocks de marchandises', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(221, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'STOCK', '371', 220, 'Marchandises (ou groupe) A', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(222, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'STOCK', '372', 220, 'Marchandises (ou groupe) B', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(223, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'STOCK', '39', 1503, 'Provisions pour dépréciation des stocks et en-cours', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(224, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'STOCK', '391', 223, 'Provisions pour dépréciation des matières premières', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(225, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'STOCK', '392', 223, 'Provisions pour dépréciation des autres approvisionnements', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(226, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'STOCK', '393', 223, 'Provisions pour dépréciation des en-cours de production de biens', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(227, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'STOCK', '394', 223, 'Provisions pour dépréciation des en-cours de production de services', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(228, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'STOCK', '395', 223, 'Provisions pour dépréciation des stocks de produits', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(229, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'STOCK', '397', 223, 'Provisions pour dépréciation des stocks de marchandises', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(230, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '40', 1504, 'Fournisseurs et Comptes rattachés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(231, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '400', 230, 'Fournisseurs et Comptes rattachés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(232, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '401', 230, 'Fournisseurs', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(233, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '403', 230, 'Fournisseurs - Effets à payer', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(234, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '404', 230, 'Fournisseurs d\'immobilisations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(235, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '405', 230, 'Fournisseurs d\'immobilisations - Effets à payer', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(236, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '408', 230, 'Fournisseurs - Factures non parvenues', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(237, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '409', 230, 'Fournisseurs débiteurs', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(238, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '41', 1504, 'Clients et comptes rattachés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(239, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '410', 238, 'Clients et Comptes rattachés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(240, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '411', 238, 'Clients', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(241, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '413', 238, 'Clients - Effets à recevoir', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(242, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '416', 238, 'Clients douteux ou litigieux', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(243, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '418', 238, 'Clients - Produits non encore facturés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(244, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '419', 238, 'Clients créditeurs', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(245, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '42', 1504, 'Personnel et comptes rattachés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(246, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '421', 245, 'Personnel - Rémunérations dues', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(247, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '422', 245, 'Comités d\'entreprises, d\'établissement, ...', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(248, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '424', 245, 'Participation des salariés aux résultats', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(249, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '425', 245, 'Personnel - Avances et acomptes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(250, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '426', 245, 'Personnel - Dépôts', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(251, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '427', 245, 'Personnel - Oppositions', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(252, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '428', 245, 'Personnel - Charges à payer et produits à recevoir', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(253, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '43', 1504, 'Sécurité sociale et autres organismes sociaux', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(254, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '431', 253, 'Sécurité sociale', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(255, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '437', 253, 'Autres organismes sociaux', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(256, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '438', 253, 'Organismes sociaux - Charges à payer et produits à recevoir', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(257, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '44', 1504, 'État et autres collectivités publiques', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(258, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '441', 257, 'État - Subventions à recevoir', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(259, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '442', 257, 'Etat - Impôts et taxes recouvrables sur des tiers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(260, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '443', 257, 'Opérations particulières avec l\'Etat, les collectivités publiques, les organismes internationaux', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(261, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '444', 257, 'Etat - Impôts sur les bénéfices', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(262, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '445', 257, 'Etat - Taxes sur le chiffre d\'affaires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(263, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '446', 257, 'Obligations cautionnées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(264, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '447', 257, 'Autres impôts, taxes et versements assimilés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(265, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '448', 257, 'Etat - Charges à payer et produits à recevoir', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(266, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '449', 257, 'Quotas d\'émission à restituer à l\'Etat', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(267, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '45', 1504, 'Groupe et associes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(268, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '451', 267, 'Groupe', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(269, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '455', 267, 'Associés - Comptes courants', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(270, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '456', 267, 'Associés - Opérations sur le capital', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(271, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '457', 267, 'Associés - Dividendes à payer', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(272, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '458', 267, 'Associés - Opérations faites en commun et en G.I.E.', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(273, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '46', 1504, 'Débiteurs divers et créditeurs divers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(274, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '462', 273, 'Créances sur cessions d\'immobilisations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(275, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '464', 273, 'Dettes sur acquisitions de valeurs mobilières de placement', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(276, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '465', 273, 'Créances sur cessions de valeurs mobilières de placement', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(277, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '467', 273, 'Autres comptes débiteurs ou créditeurs', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(278, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '468', 273, 'Divers - Charges à payer et produits à recevoir', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(279, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '47', 1504, 'Comptes transitoires ou d\'attente', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(280, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '471', 279, 'Comptes d\'attente', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(281, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '476', 279, 'Différence de conversion - Actif', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(282, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '477', 279, 'Différences de conversion - Passif', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(283, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '478', 279, 'Autres comptes transitoires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(284, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '48', 1504, 'Comptes de régularisation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(285, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '481', 284, 'Charges à répartir sur plusieurs exercices', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(286, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '486', 284, 'Charges constatées d\'avance', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(287, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '487', 284, 'Produits constatés d\'avance', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(288, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '488', 284, 'Comptes de répartition périodique des charges et des produits', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(289, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '489', 284, 'Quotas d\'émission alloués par l\'Etat', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(290, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '49', 1504, 'Provisions pour dépréciation des comptes de tiers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(291, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '491', 290, 'Provisions pour dépréciation des comptes de clients', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(292, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '495', 290, 'Provisions pour dépréciation des comptes du groupe et des associés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(293, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '496', 290, 'Provisions pour dépréciation des comptes de débiteurs divers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(294, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'FINAN', '50', 1505, 'Valeurs mobilières de placement', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(295, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'FINAN', '501', 294, 'Parts dans des entreprises liées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(296, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'FINAN', '502', 294, 'Actions propres', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(297, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'FINAN', '503', 294, 'Actions', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(298, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'FINAN', '504', 294, 'Autres titres conférant un droit de propriété', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(299, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'FINAN', '505', 294, 'Obligations et bons émis par la société et rachetés par elle', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(300, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'FINAN', '506', 294, 'Obligations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(301, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'FINAN', '507', 294, 'Bons du Trésor et bons de caisse à court terme', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(302, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'FINAN', '508', 294, 'Autres valeurs mobilières de placement et autres créances assimilées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(303, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'FINAN', '509', 294, 'Versements restant à effectuer sur valeurs mobilières de placement non libérées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(304, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'FINAN', '51', 1505, 'Banques, établissements financiers et assimilés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(305, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'FINAN', '511', 304, 'Valeurs à l\'encaissement', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(306, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'FINAN', '512', 304, 'Banques', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(307, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'FINAN', '514', 304, 'Chèques postaux', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(308, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'FINAN', '515', 304, '\"Caisses\" du Trésor et des établissements publics', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(309, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'FINAN', '516', 304, 'Sociétés de bourse', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(310, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'FINAN', '517', 304, 'Autres organismes financiers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(311, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'FINAN', '518', 304, 'Intérêts courus', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(312, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'FINAN', '519', 304, 'Concours bancaires courants', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(313, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'FINAN', '52', 1505, 'Instruments de trésorerie', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(314, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'FINAN', '53', 1505, 'Caisse', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(315, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'FINAN', '531', 314, 'Caisse siège social', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(316, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'FINAN', '532', 314, 'Caisse succursale (ou usine) A', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(317, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'FINAN', '533', 314, 'Caisse succursale (ou usine) B', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(318, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'FINAN', '54', 1505, 'Régies d\'avance et accréditifs', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(319, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'FINAN', '58', 1505, 'Virements internes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(320, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'FINAN', '59', 1505, 'Provisions pour dépréciation des comptes financiers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(321, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'FINAN', '590', 320, 'Provisions pour dépréciation des valeurs mobilières de placement', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(322, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '60', 1506, 'Achats', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(323, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '601', 322, 'Achats stockés - Matières premières (et fournitures)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(324, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '602', 322, 'Achats stockés - Autres approvisionnements', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(325, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '603', 322, 'Variations des stocks (approvisionnements et marchandises)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(326, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '604', 322, 'Achats stockés - Matières premières (et fournitures)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(327, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '605', 322, 'Achats de matériel, équipements et travaux', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(328, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '606', 322, 'Achats non stockés de matière et fournitures', NULL, 0, NULL, NULL, 1, 0, NULL, NULL);
INSERT INTO `llx_accounting_account` (`rowid`, `entity`, `datec`, `tms`, `fk_pcg_version`, `pcg_type`, `account_number`, `account_parent`, `label`, `labelshort`, `fk_accounting_category`, `fk_user_author`, `fk_user_modif`, `active`, `reconcilable`, `import_key`, `extraparams`) VALUES
(329, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '607', 322, 'Achats de marchandises', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(330, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '608', 322, '(Compte réservé, le cas échéant, à la récapitulation des frais accessoires incorporés aux achats)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(331, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '609', 322, 'Rabais, remises et ristournes obtenus sur achats', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(332, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '61', 1506, 'Services extérieurs', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(333, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '611', 332, 'Sous-traitance générale', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(334, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '612', 332, 'Redevances de crédit-bail', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(335, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '613', 332, 'Locations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(336, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '614', 332, 'Charges locatives et de copropriété', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(337, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '615', 332, 'Entretien et réparations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(338, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '616', 332, 'Primes d\'assurances', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(339, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '617', 332, 'Etudes et recherches', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(340, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '618', 332, 'Divers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(341, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '619', 332, 'Rabais, remises et ristournes obtenus sur services extérieurs', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(342, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '62', 1506, 'Autres services extérieurs', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(343, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '621', 342, 'Personnel extérieur à l\'entreprise', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(344, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '622', 342, 'Rémunérations d\'intermédiaires et honoraires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(345, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '623', 342, 'Publicité, publications, relations publiques', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(346, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '624', 342, 'Transports de biens et transports collectifs du personnel', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(347, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '625', 342, 'Déplacements, missions et réceptions', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(348, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '626', 342, 'Frais postaux et de télécommunications', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(349, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '627', 342, 'Services bancaires et assimilés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(350, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '628', 342, 'Divers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(351, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '629', 342, 'Rabais, remises et ristournes obtenus sur autres services extérieurs', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(352, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '63', 1506, 'Impôts, taxes et versements assimilés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(353, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '631', 352, 'Impôts, taxes et versements assimilés sur rémunérations (administrations des impôts)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(354, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '633', 352, 'Impôts, taxes et versements assimilés sur rémunérations (autres organismes)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(355, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '635', 352, 'Autres impôts, taxes et versements assimilés (administrations des impôts)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(356, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '637', 352, 'Autres impôts, taxes et versements assimilés (autres organismes)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(357, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '64', 1506, 'Charges de personnel', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(358, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '641', 357, 'Rémunérations du personnel', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(359, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '644', 357, 'Rémunération du travail de l\'exploitant', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(360, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '645', 357, 'Charges de sécurité sociale et de prévoyance', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(361, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '646', 357, 'Cotisations sociales personnelles de l\'exploitant', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(362, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '647', 357, 'Autres charges sociales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(363, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '648', 357, 'Autres charges de personnel', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(364, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '65', 1506, 'Autres charges de gestion courante', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(365, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '651', 364, 'Redevances pour concessions, brevets, licences, marques, procédés, logiciels, droits et valeurs similaires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(366, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '653', 364, 'Jetons de présence', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(367, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '654', 364, 'Pertes sur créances irrécouvrables', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(368, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '655', 364, 'Quote-part de résultat sur opérations faites en commun', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(369, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '658', 364, 'Charges diverses de gestion courante', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(370, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '66', 1506, 'Charges financières', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(371, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '661', 370, 'Charges d\'intérêts', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(372, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '664', 370, 'Pertes sur créances liées à des participations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(373, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '665', 370, 'Escomptes accordés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(374, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '666', 370, 'Pertes de change', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(375, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '667', 370, 'Charges nettes sur cessions de valeurs mobilières de placement', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(376, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '668', 370, 'Autres charges financières', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(377, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '67', 1506, 'Charges exceptionnelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(378, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '671', 377, 'Charges exceptionnelles sur opérations de gestion', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(379, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '672', 377, '(Compte à la disposition des entités pour enregistrer, en cours d\'exercice, les charges sur exercices antérieurs)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(380, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '675', 377, 'Valeurs comptables des éléments d\'actif cédés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(381, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '678', 377, 'Autres charges exceptionnelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(382, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '68', 1506, 'Dotations aux amortissements et aux provisions', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(383, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '681', 382, 'Dotations aux amortissements et aux provisions - Charges d\'exploitation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(384, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '686', 382, 'Dotations aux amortissements et aux provisions - Charges financières', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(385, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '687', 382, 'Dotations aux amortissements et aux provisions - Charges exceptionnelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(386, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '69', 1506, 'Participation des salariés - impôts sur les bénéfices et assimiles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(387, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '691', 386, 'Participation des salariés aux résultats', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(388, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '695', 386, 'Impôts sur les bénéfices', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(389, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '696', 386, 'Suppléments d\'impôt sur les sociétés liés aux distributions', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(390, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '697', 386, 'Imposition forfaitaire annuelle des sociétés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(391, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '698', 386, 'Intégration fiscale', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(392, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '699', 386, 'Produits - Reports en arrière des déficits', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(393, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '70', 1507, 'Ventes de produits fabriqués, prestations de services, marchandises', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(394, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '701', 393, 'Ventes de produits finis', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(395, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '702', 393, 'Ventes de produits intermédiaires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(396, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '703', 393, 'Ventes de produits résiduels', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(397, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '704', 393, 'Travaux', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(398, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '705', 393, 'Etudes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(399, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '706', 393, 'Prestations de services', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(400, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '707', 393, 'Ventes de marchandises', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(401, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '708', 393, 'Produits des activités annexes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(402, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '709', 393, 'Rabais, remises et ristournes accordés par l\'entreprise', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(403, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '71', 1507, 'Production stockée (ou déstockage)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(404, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '713', 403, 'Variation des stocks (en-cours de production, produits)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(405, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '72', 1507, 'Production immobilisée', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(406, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '721', 405, 'Immobilisations incorporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(407, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '722', 405, 'Immobilisations corporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(408, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '74', 1507, 'Subventions d\'exploitation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(409, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '75', 1507, 'Autres produits de gestion courante', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(410, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '751', 409, 'Redevances pour concessions, brevets, licences, marques, procédés, logiciels, droits et valeurs similaires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(411, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '752', 409, 'Revenus des immeubles non affectés à des activités professionnelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(412, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '753', 409, 'Jetons de présence et rémunérations d\'administrateurs, gérants,...', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(413, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '754', 409, 'Ristournes perçues des coopératives (provenant des excédents)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(414, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '755', 409, 'Quotes-parts de résultat sur opérations faites en commun', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(415, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '758', 409, 'Produits divers de gestion courante', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(416, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '76', 1507, 'Produits financiers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(417, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '761', 416, 'Produits de participations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(418, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '762', 416, 'Produits des autres immobilisations financières', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(419, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '763', 416, 'Revenus des autres créances', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(420, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '764', 416, 'Revenus des valeurs mobilières de placement', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(421, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '765', 416, 'Escomptes obtenus', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(422, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '766', 416, 'Gains de change', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(423, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '767', 416, 'Produits nets sur cessions de valeurs mobilières de placement', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(424, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '768', 416, 'Autres produits financiers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(425, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '77', 1507, 'Produits exceptionnels', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(426, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '771', 425, 'Produits exceptionnels sur opérations de gestion', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(427, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '772', 425, '(Compte à la disposition des entités pour enregistrer, en cours d\'exercice, les produits sur exercices antérieurs)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(428, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '775', 425, 'Produits des cessions d\'éléments d\'actif', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(429, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '777', 425, 'Quote-part des subventions d\'investissement virée au résultat de l\'exercice', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(430, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '778', 425, 'Autres produits exceptionnels', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(431, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '78', 1507, 'Reprises sur amortissements et provisions', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(432, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '781', 431, 'Reprises sur amortissements et provisions (à inscrire dans les produits d\'exploitation)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(433, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '786', 431, 'Reprises sur provisions pour risques (à inscrire dans les produits financiers)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(434, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '787', 431, 'Reprises sur provisions (à inscrire dans les produits exceptionnels)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(435, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '79', 1507, 'Transferts de charges', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(436, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '791', 435, 'Transferts de charges d\'exploitation ', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(437, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '796', 435, 'Transferts de charges financières', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(438, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '797', 435, 'Transferts de charges exceptionnelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(439, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '10', 1351, 'Capital', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(440, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '100', 439, 'Capital souscrit ou capital personnel', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(441, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1000', 440, 'Capital non amorti', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(442, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1001', 440, 'Capital amorti', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(443, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '101', 439, 'Capital non appelé', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(444, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '109', 439, 'Compte de l\'exploitant', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(445, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1090', 444, 'Opérations courantes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(446, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1091', 444, 'Impôts personnels', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(447, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1092', 444, 'Rémunérations et autres avantages', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(448, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '11', 1351, 'Primes d\'émission', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(449, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '12', 1351, 'Plus-values de réévaluation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(450, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '120', 449, 'Plus-values de réévaluation sur immobilisations incorporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(451, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1200', 450, 'Plus-values de réévaluation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(452, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1201', 450, 'Reprises de réductions de valeur', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(453, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '121', 449, 'Plus-values de réévaluation sur immobilisations corporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(454, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1210', 453, 'Plus-values de réévaluation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(455, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1211', 453, 'Reprises de réductions de valeur', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(456, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '122', 449, 'Plus-values de réévaluation sur immobilisations financières', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(457, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1220', 456, 'Plus-values de réévaluation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(458, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1221', 456, 'Reprises de réductions de valeur', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(459, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '123', 449, 'Plus-values de réévaluation sur stocks', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(460, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '124', 449, 'Reprises de réductions de valeur sur placements de trésorerie', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(461, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '13', 1351, 'Réserve', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(462, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '130', 461, 'Réserve légale', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(463, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '131', 461, 'Réserves indisponibles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(464, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1310', 463, 'Réserve pour actions propres', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(465, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1311', 463, 'Autres réserves indisponibles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(466, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '132', 461, 'Réserves immunisées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(467, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '133', 461, 'Réserves disponibles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(468, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1330', 467, 'Réserve pour régularisation de dividendes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(469, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1331', 467, 'Réserve pour renouvellement des immobilisations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(470, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1332', 467, 'Réserve pour installations en faveur du personnel 1333 Réserves libres', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(471, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '14', 1351, 'Bénéfice reporté (ou perte reportée)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(472, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '15', 1351, 'Subsides en capital', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(473, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '150', 472, 'Montants obtenus', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(474, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '151', 472, 'Montants transférés aux résultats', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(475, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '16', 1351, 'Provisions pour risques et charges', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(476, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '160', 475, 'Provisions pour pensions et obligations similaires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(477, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '161', 475, 'Provisions pour charges fiscales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(478, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '162', 475, 'Provisions pour grosses réparations et gros entretiens', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(479, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '163', 475, 'à 169 Provisions pour autres risques et charges', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(480, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '164', 475, 'Provisions pour sûretés personnelles ou réelles constituées à l\'appui de dettes et d\'engagements de tiers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(481, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '165', 475, 'Provisions pour engagements relatifs à l\'acquisition ou à la cession d\'immobilisations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(482, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '166', 475, 'Provisions pour exécution de commandes passées ou reçues', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(483, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '167', 475, 'Provisions pour positions et marchés à terme en devises ou positions et marchés à terme en marchandises', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(484, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '168', 475, 'Provisions pour garanties techniques attachées aux ventes et prestations déjà effectuées par l\'entreprise', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(485, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '169', 475, 'Provisions pour autres risques et charges', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(486, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1690', 485, 'Pour litiges en cours', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(487, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1691', 485, 'Pour amendes, doubles droits et pénalités', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(488, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1692', 485, 'Pour propre assureur', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(489, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1693', 485, 'Pour risques inhérents aux opérations de crédits à moyen ou long terme', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(490, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1695', 485, 'Provision pour charge de liquidation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(491, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1696', 485, 'Provision pour départ de personnel', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(492, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1699', 485, 'Pour risques divers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(493, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '17', 1351, 'Dettes à plus d\'un an', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(494, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '170', 493, 'Emprunts subordonnés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(495, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1700', 494, 'Convertibles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(496, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1701', 494, 'Non convertibles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(497, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '171', 493, 'Emprunts obligataires non subordonnés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(498, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1710', 498, 'Convertibles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(499, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1711', 498, 'Non convertibles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(500, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '172', 493, 'Dettes de location-financement et assimilés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(501, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1720', 500, 'Dettes de location-financement de biens immobiliers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(502, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1721', 500, 'Dettes de location-financement de biens mobiliers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(503, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1722', 500, 'Dettes sur droits réels sur immeubles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(504, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '173', 493, 'Etablissements de crédit', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(505, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1730', 504, 'Dettes en compte', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(506, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '17300', 505, 'Banque A', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(507, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '17301', 505, 'Banque B', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(508, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '17302', 505, 'Banque C', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(509, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '17303', 505, 'Banque D', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(510, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1731', 504, 'Promesses', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(511, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '17310', 510, 'Banque A', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(512, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '17311', 510, 'Banque B', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(513, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '17312', 510, 'Banque C', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(514, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '17313', 510, 'Banque D', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(515, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1732', 504, 'Crédits d\'acceptation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(516, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '17320', 515, 'Banque A', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(517, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '17321', 515, 'Banque B', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(518, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '17322', 515, 'Banque C', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(519, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '17323', 515, 'Banque D', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(520, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '174', 493, 'Autres emprunts', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(521, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '175', 493, 'Dettes commerciales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(522, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1750', 521, 'Fournisseurs : dettes en compte', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(523, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '17500', 522, 'Entreprises apparentées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(524, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '175000', 523, 'Entreprises liées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(525, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '175001', 523, 'Entreprises avec lesquelles il existe un lien de participation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(526, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '17501', 522, 'Fournisseurs ordinaires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(527, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '175010', 526, 'Fournisseurs belges', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(528, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '175011', 526, 'Fournisseurs C.E.E.', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(529, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '175012', 526, 'Fournisseurs importation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(530, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1751', 521, 'Effets à payer', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(531, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '17510', 530, 'Entreprises apparentées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(532, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '175100', 531, 'Entreprises liées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(533, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '175101', 531, 'Entreprises avec lesquelles il existe un lien de participation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(534, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '17511', 530, 'Fournisseurs ordinaires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(535, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '175110', 534, 'Fournisseurs belges', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(536, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '175111', 534, 'Fournisseurs C.E.E.', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(537, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '175112', 534, 'Fournisseurs importation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(538, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '176', 493, 'Acomptes reçus sur commandes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(539, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '178', 493, 'Cautionnements reçus en numéraires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(540, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '179', 493, 'Dettes diverses', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(541, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1790', 540, 'Entreprises liées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(542, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1791', 540, 'Autres entreprises avec lesquelles il existe un lien de participation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(543, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1792', 540, 'Administrateurs, gérants et associés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(544, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1794', 540, 'Rentes viagères capitalisées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(545, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1798', 540, 'Dettes envers les coparticipants des associations momentanées et en participation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(546, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '1799', 540, 'Autres dettes diverses', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(547, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'CAPIT', '18', 1351, 'Comptes de liaison des établissements et succursales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(548, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '20', 1352, 'Frais d\'établissement', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(549, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '200', 548, 'Frais de constitution et d\'augmentation de capital', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(550, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2000', 549, 'Frais de constitution et d\'augmentation de capital', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(551, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2009', 549, 'Amortissements sur frais de constitution et d\'augmentation de capital', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(552, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '201', 548, 'Frais d\'émission d\'emprunts et primes de remboursement', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(553, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2010', 552, 'Agios sur emprunts et frais d\'émission d\'emprunts', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(554, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2019', 552, 'Amortissements sur agios sur emprunts et frais d\'émission d\'emprunts', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(555, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '202', 548, 'Autres frais d\'établissement', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(556, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2020', 555, 'Autres frais d\'établissement', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(557, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2029', 555, 'Amortissements sur autres frais d\'établissement', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(558, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '203', 548, 'Intérêts intercalaires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(559, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2030', 558, 'Intérêts intercalaires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(560, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2039', 558, 'Amortissements sur intérêts intercalaires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(561, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '204', 548, 'Frais de restructuration', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(562, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2040', 561, 'Coût des frais de restructuration', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(563, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2049', 561, 'Amortissements sur frais de restructuration', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(564, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '21', 1352, 'Immobilisations incorporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(565, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '210', 564, 'Frais de recherche et de développement', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(566, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2100', 565, 'Frais de recherche et de mise au point', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(567, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2108', 565, 'Plus-values actées sur frais de recherche et de mise au point', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(568, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2109', 565, 'Amortissements sur frais de recherche et de mise au point', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(569, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '211', 564, 'Concessions, brevets, licences, savoir-faire, marque et droits similaires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(570, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2110', 569, 'Concessions, brevets, licences, marques, etc', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(571, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2118', 569, 'Plus-values actées sur concessions, etc', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(572, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2119', 569, 'Amortissements sur concessions, etc', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(573, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '212', 564, 'Goodwill', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(574, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2120', 573, 'Coût d\'acquisition', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(575, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2128', 573, 'Plus-values actées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(576, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2129', 573, 'Amortissements sur goodwill', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(577, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '213', 564, 'Acomptes versés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(578, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '22', 1352, 'Terrains et constructions', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(579, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '220', 578, 'Terrains', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(580, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2200', 579, 'Terrains', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(581, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2201', 579, 'Frais d\'acquisition sur terrains', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(582, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2208', 579, 'Plus-values actées sur terrains', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(583, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2209', 579, 'Amortissements et réductions de valeur', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(584, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '22090', 583, 'Amortissements sur frais d\'acquisition', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(585, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '22091', 583, 'Réductions de valeur sur terrains', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(586, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '221', 578, 'Constructions', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(587, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2210', 586, 'Bâtiments industriels', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(588, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2211', 586, 'Bâtiments administratifs et commerciaux', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(589, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2212', 586, 'Autres bâtiments d\'exploitation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(590, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2213', 586, 'Voies de transport et ouvrages d\'art', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(591, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2215', 586, 'Constructions sur sol d\'autrui', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(592, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2216', 586, 'Frais d\'acquisition sur constructions', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(593, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2218', 586, 'Plus-values actées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(594, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '22180', 593, 'Sur bâtiments industriels', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(595, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '22181', 593, 'Sur bâtiments administratifs et commerciaux', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(596, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '22182', 593, 'Sur autres bâtiments d\'exploitation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(597, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '22184', 593, 'Sur voies de transport et ouvrages d\'art', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(598, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2219', 586, 'Amortissements sur constructions', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(599, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '22190', 598, 'Sur bâtiments industriels', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(600, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '22191', 598, 'Sur bâtiments administratifs et commerciaux', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(601, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '22192', 598, 'Sur autres bâtiments d\'exploitation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(602, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '22194', 598, 'Sur voies de transport et ouvrages d\'art', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(603, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '22195', 598, 'Sur constructions sur sol d\'autrui', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(604, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '22196', 598, 'Sur frais d\'acquisition sur constructions', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(605, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '222', 578, 'Terrains bâtis', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(606, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2220', 605, 'Valeur d\'acquisition', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(607, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '22200', 606, 'Bâtiments industriels', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(608, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '22201', 606, 'Bâtiments administratifs et commerciaux', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(609, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '22202', 606, 'Autres bâtiments d\'exploitation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(610, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '22203', 606, 'Voies de transport et ouvrages d\'art', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(611, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '22204', 606, 'Frais d\'acquisition des terrains à bâtir', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(612, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2228', 605, 'Plus-values actées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(613, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '22280', 612, 'Sur bâtiments industriels', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(614, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '22281', 612, 'Sur bâtiments administratifs et commerciaux', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(615, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '22282', 612, 'Sur autres bâtiments d\'exploitation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(616, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '22283', 612, 'Sur voies de transport et ouvrages d\'art', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(617, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2229', 605, 'Amortissements sur terrains bâtis', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(618, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '22290', 617, 'Sur bâtiments industriels', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(619, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '22291', 617, 'Sur bâtiments administratifs et commerciaux', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(620, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '22292', 617, 'Sur autres bâtiments d\'exploitation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(621, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '22293', 617, 'Sur voies de transport et ouvrages d\'art', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(622, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '22294', 617, 'Sur frais d\'acquisition des terrains bâtis', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(623, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '223', 578, 'Autres droits réels sur des immeubles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(624, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2230', 623, 'Valeur d\'acquisition', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(625, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2238', 623, 'Plus-values actées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(626, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2239', 623, 'Amortissements', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(627, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '23', 1352, 'Installations, machines et outillages', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(628, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '230', 627, 'Installations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(629, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2300', 628, 'Installations bâtiments industriels', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(630, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2301', 628, 'Installations bâtiments administratifs et commerciaux', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(631, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2302', 628, 'Installations bâtiments d\'exploitation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(632, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2303', 628, 'Installations voies de transport et ouvrages d\'art', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(633, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2300', 628, 'Installation d\'eau', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(634, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2301', 628, 'Installation d\'électricité', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(635, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2302', 628, 'Installation de vapeur', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(636, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2303', 628, 'Installation de gaz', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(637, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2304', 628, 'Installation de chauffage', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(638, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2305', 628, 'Installation de conditionnement d\'air', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(639, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2306', 628, 'Installation de chargement', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(640, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '231', 627, 'Machines', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(641, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2310', 640, 'Division A', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(642, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2311', 640, 'Division B', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(643, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2312', 640, 'Division C', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(644, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '237', 627, 'Outillage', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(645, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2370', 644, 'Division A', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(646, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2371', 644, 'Division B', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(647, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2372', 644, 'Division C', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(648, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '238', 627, 'Plus-values actées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(649, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2380', 648, 'Sur installations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(650, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2381', 648, 'Sur machines', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(651, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2382', 648, 'Sur outillage', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(652, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '239', 627, 'Amortissements', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(653, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2390', 652, 'Sur installations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(654, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2391', 652, 'Sur machines', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(655, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2392', 652, 'Sur outillage', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(656, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '24', 1352, 'Mobilier et matériel roulant', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(657, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '240', 656, 'Mobilier', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(658, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2400', 656, 'Mobilier', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(659, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '24000', 658, 'Mobilier des bâtiments industriels', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(660, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '24001', 658, 'Mobilier des bâtiments administratifs et commerciaux', NULL, 0, NULL, NULL, 1, 0, NULL, NULL);
INSERT INTO `llx_accounting_account` (`rowid`, `entity`, `datec`, `tms`, `fk_pcg_version`, `pcg_type`, `account_number`, `account_parent`, `label`, `labelshort`, `fk_accounting_category`, `fk_user_author`, `fk_user_modif`, `active`, `reconcilable`, `import_key`, `extraparams`) VALUES
(661, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '24002', 658, 'Mobilier des autres bâtiments d\'exploitation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(662, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '24003', 658, 'Mobilier oeuvres sociales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(663, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2401', 657, 'Matériel de bureau et de service social', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(664, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '24010', 663, 'Des bâtiments industriels', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(665, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '24011', 663, 'Des bâtiments administratifs et commerciaux', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(666, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '24012', 663, 'Des autres bâtiments d\'exploitation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(667, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '24013', 663, 'Des oeuvres sociales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(668, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2408', 657, 'Plus-values actées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(669, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '24080', 668, 'Plus-values actées sur mobilier', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(670, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '24081', 668, 'Plus-values actées sur matériel de bureau et service social', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(671, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2409', 657, 'Amortissements', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(672, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '24090', 671, 'Amortissements sur mobilier', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(673, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '24091', 671, 'Amortissements sur matériel de bureau et service social', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(674, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '241', 656, 'Matériel roulant', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(675, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2410', 674, 'Matériel automobile', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(676, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '24100', 675, 'Voitures', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(677, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '24105', 675, 'Camions', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(678, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2411', 674, 'Matériel ferroviaire', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(679, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2412', 674, 'Matériel fluvial', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(680, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2413', 674, 'Matériel naval', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(681, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2414', 674, 'Matériel aérien', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(682, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2418', 674, 'Plus-values sur matériel roulant', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(683, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '24180', 682, 'Plus-values sur matériel automobile', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(684, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '24181', 682, 'Idem sur matériel ferroviaire', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(685, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '24182', 682, 'Idem sur matériel fluvial', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(686, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '24183', 682, 'Idem sur matériel naval', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(687, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '24184', 682, 'Idem sur matériel aérien', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(688, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2419', 674, 'Amortissements sur matériel roulant', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(689, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '24190', 688, 'Amortissements sur matériel automobile', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(690, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '24191', 688, 'Idem sur matériel ferroviaire', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(691, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '24192', 688, 'Idem sur matériel fluvial', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(692, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '24193', 688, 'Idem sur matériel naval', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(693, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '24194', 688, 'Idem sur matériel aérien', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(694, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '25', 1352, 'Immobilisation détenues en location-financement et droits similaires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(695, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '250', 694, 'Terrains et constructions', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(696, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2500', 695, 'Terrains', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(697, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2501', 695, 'Constructions', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(698, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2508', 695, 'Plus-values sur emphytéose,  leasing et droits similaires : terrains et constructions', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(699, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2509', 695, 'Amortissements et réductions de valeur sur terrains et constructions en leasing', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(700, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '251', 694, 'Installations,  machines et outillage', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(701, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2510', 700, 'Installations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(702, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2511', 700, 'Machines', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(703, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2512', 700, 'Outillage', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(704, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2518', 700, 'Plus-values actées sur installations machines et outillage pris en leasing', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(705, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2519', 700, 'Amortissements sur installations machines et outillage pris en leasing', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(706, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '252', 694, 'Mobilier et matériel roulant', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(707, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2520', 706, 'Mobilier', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(708, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2521', 706, 'Matériel roulant', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(709, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2528', 706, 'Plus-values actées sur mobilier et matériel roulant en leasing', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(710, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2529', 706, 'Amortissements sur mobilier et matériel roulant en leasing', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(711, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '26', 1352, 'Autres immobilisations corporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(712, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '260', 711, 'Frais d\'aménagements de locaux pris en location', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(713, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '261', 711, 'Maison d\'habitation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(714, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '262', 711, 'Réserve immobilière', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(715, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '263', 711, 'Matériel d\'emballage', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(716, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '264', 711, 'Emballages récupérables', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(717, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '268', 711, 'Plus-values actées sur autres immobilisations corporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(718, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '269', 711, 'Amortissements sur autres immobilisations corporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(719, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2690', 718, 'Amortissements sur frais d\'aménagement des locaux pris en location', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(720, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2691', 718, 'Amortissements sur maison d\'habitation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(721, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2692', 718, 'Amortissements sur réserve immobilière', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(722, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2693', 718, 'Amortissements sur matériel d\'emballage', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(723, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2694', 718, 'Amortissements sur emballages récupérables', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(724, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '27', 1352, 'Immobilisations corporelles en cours et acomptes versés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(725, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '270', 724, 'Immobilisations en cours', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(726, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2700', 725, 'Constructions', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(727, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2701', 725, 'Installations machines et outillage', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(728, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2702', 725, 'Mobilier et matériel roulant', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(729, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2703', 725, 'Autres immobilisations corporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(730, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '271', 724, 'Avances et acomptes versés sur immobilisations en cours', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(731, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '28', 1352, 'Immobilisations financières', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(732, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '280', 731, 'Participations dans des entreprises liées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(733, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2800', 732, 'Valeur d\'acquisition (peut être subdivisé par participation)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(734, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2801', 732, 'Montants non appelés (idem)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(735, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2808', 732, 'Plus-values actées (idem)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(736, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2809', 732, 'Réductions de valeurs actées (idem)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(737, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '281', 731, 'Créances sur des entreprises liées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(738, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2810', 737, 'Créances en compte', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(739, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2811', 737, 'Effets à recevoir', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(740, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2812', 737, 'Titres à revenu fixes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(741, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2817', 737, 'Créances douteuses', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(742, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2819', 737, 'Réductions de valeurs actées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(743, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '282', 731, 'Participations dans des entreprises avec lesquelles il existe un lien de participation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(744, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2820', 743, 'Valeur d\'acquisition (peut être subdivisé par participation)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(745, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2821', 743, 'Montants non appelés (idem)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(746, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2828', 743, 'Plus-values actées (idem)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(747, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2829', 743, 'Réductions de valeurs actées (idem)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(748, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '283', 731, 'Créances sur des entreprises avec lesquelles il existe un lien de participation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(749, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2830', 748, 'Créances en compte', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(750, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2831', 748, 'Effets à recevoir', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(751, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2832', 748, 'Titres à revenu fixe', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(752, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2837', 748, 'Créances douteuses', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(753, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2839', 748, 'Réductions de valeurs actées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(754, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '284', 731, 'Autres actions et parts', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(755, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2840', 754, 'Valeur d\'acquisition', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(756, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2841', 754, 'Montants non appelés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(757, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2848', 754, 'Plus-values actées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(758, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2849', 754, 'Réductions de valeur actées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(759, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '285', 731, 'Autres créances', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(760, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2850', 759, 'Créances en compte', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(761, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2851', 759, 'Effets à recevoir', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(762, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2852', 759, 'Titres à revenu fixe', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(763, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2857', 759, 'Créances douteuses', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(764, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2859', 759, 'Réductions de valeur actées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(765, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '288', 731, 'Cautionnements versés en numéraires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(766, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2880', 765, 'Téléphone, téléfax, télex', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(767, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2881', 765, 'Gaz', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(768, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2882', 765, 'Eau', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(769, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2883', 765, 'Electricité', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(770, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2887', 765, 'Autres cautionnements versés en numéraires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(771, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '29', 1352, 'Créances à plus d\'un an', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(772, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '290', 771, 'Créances commerciales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(773, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2900', 772, 'Clients', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(774, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '29000', 773, 'Créances en compte sur entreprises liées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(775, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '29001', 773, 'Sur entreprises avec lesquelles il existe un lien de participation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(776, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '29002', 773, 'Sur clients Belgique', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(777, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '29003', 773, 'Sur clients C.E.E.', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(778, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '29004', 773, 'Sur clients exportation hors C.E.E.', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(779, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '29005', 773, 'Créances sur les coparticipants (associations momentanées)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(780, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2901', 772, 'Effets à recevoir', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(781, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '29010', 780, 'Sur entreprises liées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(782, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '29011', 780, 'Sur entreprises avec lesquelles il existe un lien de participation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(783, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '29012', 780, 'Sur clients Belgique', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(784, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '29013', 780, 'Sur clients C.E.E.', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(785, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '29014', 780, 'Sur clients exportation hors C.E.E.', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(786, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2905', 772, 'Retenues sur garanties', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(787, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2906', 772, 'Acomptes versés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(788, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2907', 772, 'Créances douteuses (à ventiler comme clients 2900)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(789, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2909', 772, 'Réductions de valeur actées (à ventiler comme clients 2900)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(790, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '291', 771, 'Autres créances', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(791, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2910', 790, 'Créances en compte', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(792, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '29100', 791, 'Sur entreprises liées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(793, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '29101', 791, 'Sur entreprises avec lesquelles il existe un lien de participation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(794, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '29102', 791, 'Sur autres débiteurs', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(795, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2911', 790, 'Effets à recevoir', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(796, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '29110', 795, 'Sur entreprises liées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(797, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '29111', 795, 'Sur entreprises avec lesquelles il existe un lien de participation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(798, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '29112', 795, 'Sur autres débiteurs', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(799, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2912', 790, 'Créances résultant de la cession d\'immobilisations données en leasing', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(800, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2917', 790, 'Créances douteuses', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(801, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'IMMO', '2919', 790, 'Réductions de valeur actées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(802, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '30', 1353, 'Approvisionnements - matières premières', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(803, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '300', 802, 'Valeur d\'acquisition', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(804, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '309', 802, 'Réductions de valeur actées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(805, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '31', 1353, 'Approvsionnements et fournitures', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(806, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '310', 805, 'Valeur d\'acquisition', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(807, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '3100', 806, 'Matières d\'approvisionnement', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(808, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '3101', 806, 'Energie, charbon, coke, mazout, essence, propane', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(809, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '3102', 806, 'Produits d\'entretien', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(810, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '3103', 806, 'Fournitures diverses et petit outillage', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(811, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '3104', 806, 'Imprimés et fournitures de bureau', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(812, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '3105', 806, 'Fournitures de services sociaux', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(813, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '3106', 806, 'Emballages commerciaux', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(814, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '31060', 813, 'Emballages perdus', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(815, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '31061', 813, 'Emballages récupérables', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(816, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '319', 805, 'Réductions de valeur actées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(817, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '32', 1353, 'En cours de fabrication', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(818, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '320', 817, 'Valeur d\'acquisition', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(819, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '3200', 818, 'Produits semi-ouvrés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(820, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '3201', 818, 'Produits en cours de fabrication', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(821, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '3202', 818, 'Travaux en cours', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(822, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '3205', 818, 'Déchets', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(823, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '3206', 818, 'Rebuts', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(824, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '3209', 818, 'Travaux en association momentanée', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(825, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '329', 817, 'Réductions de valeur actées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(826, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '33', 1353, 'Produits finis', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(827, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '330', 826, 'Valeur d\'acquisition', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(828, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '3300', 827, 'Produits finis', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(829, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '339', 826, 'Réductions de valeur actées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(830, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '34', 1353, 'Marchandises', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(831, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '340', 830, 'Valeur d\'acquisition', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(832, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '3400', 831, 'Groupe A', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(833, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '3401', 831, 'Groupe B', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(834, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '3402', 831, 'Groupe C', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(835, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '349', 830, 'Réductions de valeur actées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(836, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '35', 1353, 'Immeubles destinés à la vente', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(837, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '350', 836, 'Valeur d\'acquisition', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(838, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '3500', 837, 'Immeuble A', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(839, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '3501', 837, 'Immeuble B', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(840, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '3502', 837, 'Immeuble C', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(841, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '351', 836, 'Immeubles construits en vue de leur revente', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(842, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '3510', 841, 'Immeuble A', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(843, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '3511', 841, 'Immeuble B', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(844, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '3512', 841, 'Immeuble C', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(845, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '359', 836, 'Réductions de valeurs actées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(846, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '36', 1353, 'Acomptes versés sur achats pour stocks', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(847, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '360', 846, 'Acomptes versés (à ventiler éventuellement par catégorie)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(848, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '369', 846, 'Réductions de valeur actées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(849, 1, NULL, '2016-12-01 09:41:09', 'PCMN-BASE', 'STOCK', '37', 1353, 'Commandes en cours d\'exécution', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(850, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'STOCK', '370', 849, 'Valeur d\'acquisition', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(851, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'STOCK', '371', 849, 'Bénéfice pris en compte', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(852, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'STOCK', '379', 849, 'Réductions de valeur actées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(853, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '40', 1354, 'Créances commerciales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(854, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '400', 853, 'Clients', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(855, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4007', 854, 'Rabais, remises et  ristournes à accorder et autres notes de crédit à établir', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(856, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4008', 854, 'Créances résultant de livraisons de biens (associations momentanées)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(857, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '401', 853, 'Effets à recevoir', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(858, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4010', 857, 'Effets à recevoir', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(859, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4013', 857, 'Effets à l\'encaissement', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(860, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4015', 857, 'Effets à l\'escompte', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(861, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '402', 853, 'Clients, créances courantes, entreprises apparentées, administrateurs et gérants', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(862, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4020', 861, 'Entreprises liées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(863, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4021', 861, 'Autres entreprises avec lesquelles il existe un lien de participation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(864, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4022', 861, 'Administrateurs et gérants d\'entreprise', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(865, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '403', 853, 'Effets à recevoir sur entreprises apparentées et administrateurs et gérants', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(866, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4030', 865, 'Entreprises liées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(867, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4031', 865, 'Autres entreprises avec lesquelles il existe un lien de participation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(868, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4032', 865, 'Administrateurs et gérants de l\'entreprise', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(869, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '404', 853, 'Produits à recevoir (factures à établir)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(870, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '405', 853, 'Clients : retenues sur garanties', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(871, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '406', 853, 'Acomptes versés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(872, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '407', 853, 'Créances douteuses', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(873, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '408', 853, 'Compensation clients', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(874, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '409', 853, 'Réductions de valeur actées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(875, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '41', 1354, 'Autres créances', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(876, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '410', 875, 'Capital appelé, non versé', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(877, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4100', 876, 'Appels de fonds', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(878, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4101', 876, 'Actionnaires défaillants', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(879, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '411', 875, 'T.V.A. à récupérer', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(880, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4110', 879, 'T.V.A. due', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(881, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4111', 879, 'T.V.A. déductible', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(882, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4112', 879, 'Compte courant administration T.V.A.', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(883, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4118', 879, 'Taxe d\'égalisation due', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(884, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '412', 875, 'Impôts et versements fiscaux à récupérer', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(885, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4120', 884, 'Impôts belges sur le résultat', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(886, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4125', 884, 'Autres impôts belges', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(887, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4128', 884, 'Impôts étrangers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(888, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '414', 875, 'Produits à recevoir', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(889, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '416', 875, 'Créances diverses', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(890, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4160', 889, 'Associés (compte d\'apport en société)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(891, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4161', 889, 'Avances et prêts au personnel', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(892, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4162', 889, 'Compte courant des associés en S.P.R.L.', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(893, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4163', 889, 'Compte courant des administrateurs et gérants', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(894, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4164', 889, 'Créances sur sociétés apparentées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(895, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4166', 889, 'Emballages et matériel à rendre', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(896, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4167', 889, 'Etat et établissements publics', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(897, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '41670', 896, 'Subsides à recevoir', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(898, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '41671', 896, 'Autres créances', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(899, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4168', 889, 'Rabais, ristournes et remises à obtenir et autres avoirs non encore reçus', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(900, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '417', 875, 'Créances douteuses', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(901, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '418', 875, 'Cautionnements versés en numéraires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(902, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '419', 875, 'Réductions de valeur actées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(903, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '42', 1354, 'Dettes à plus d\'un an échéant dans l\'année', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(904, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '420', 903, 'Emprunts subordonnés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(905, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4200', 904, 'Convertibles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(906, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4201', 904, 'Non convertibles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(907, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '421', 903, 'Emprunts obligataires non subordonnés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(908, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4210', 907, 'Convertibles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(909, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4211', 907, 'Non convertibles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(910, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '422', 903, 'Dettes de location-financement et assimilées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(911, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4220', 910, 'Financement de biens immobiliers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(912, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4221', 910, 'Financement de biens mobiliers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(913, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '423', 903, 'Etablissements de crédit', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(914, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4230', 913, 'Dettes en compte', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(915, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4231', 913, 'Promesses', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(916, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4232', 913, 'Crédits d\'acceptation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(917, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '424', 903, 'Autres emprunts', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(918, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '425', 903, 'Dettes commerciales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(919, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4250', 918, 'Fournisseurs', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(920, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4251', 918, 'Effets à payer', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(921, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '426', 903, 'Cautionnements reçus en numéraires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(922, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '429', 903, 'Dettes diverses', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(923, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4290', 922, 'Entreprises liées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(924, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4291', 922, 'Entreprises avec lesquelles il existe un lien de participation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(925, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4292', 922, 'Administrateurs, gérants, associés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(926, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4299', 922, 'Autres dettes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(927, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '43', 1354, 'Dettes financières', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(928, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '430', 927, 'Etablissements de crédit. Emprunts en compte à terme fixe', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(929, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '431', 927, 'Etablissements de crédit. Promesses', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(930, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '432', 927, 'Etablissements de crédit. Crédits d\'acceptation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(931, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '433', 927, 'Etablissements de crédit. Dettes en compte courant', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(932, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '439', 927, 'Autres emprunts', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(933, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '44', 1354, 'Dettes commerciales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(934, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '440', 933, 'Fournisseurs', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(935, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4400', 934, 'Entreprises apparentées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(936, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '44000', 935, 'Entreprises liées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(937, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '44001', 935, 'Entreprises avec lesquelles il existe un lien de participation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(938, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4401', 934, 'Fournisseurs ordinaires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(939, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '44010', 938, 'Fournisseurs belges', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(940, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '44011', 938, 'Fournisseurs CEE', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(941, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '44012', 938, 'Fournisseurs importation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(942, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4402', 934, 'Dettes envers les coparticipants (associations momentanées)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(943, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4403', 934, 'Fournisseurs - retenues de garanties', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(944, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '441', 933, 'Effets à payer', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(945, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4410', 944, 'Entreprises apparentées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(946, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '44100', 945, 'Entreprises liées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(947, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '44101', 945, 'Entreprises avec lesquelles il existe un lien de participation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(948, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4411', 944, 'Fournisseurs ordinaires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(949, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '44110', 948, 'Fournisseurs belges', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(950, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '44111', 948, 'Fournisseurs CEE', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(951, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '44112', 948, 'Fournisseurs importation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(952, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '444', 933, 'Factures à recevoir', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(953, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '446', 933, 'Acomptes reçus', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(954, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '448', 933, 'Compensations fournisseurs', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(955, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '45', 1354, 'Dettes fiscales, salariales et sociales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(956, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '450', 955, 'Dettes fiscales estimées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(957, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4501', 956, 'Impôts sur le résultat', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(958, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4505', 956, 'Autres impôts en Belgique', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(959, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4508', 956, 'Impôts à l\'étranger', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(960, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '451', 955, 'T.V.A. à payer', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(961, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4510', 960, 'T.V.A. due', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(962, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4511', 960, 'T.V.A. déductible', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(963, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4512', 960, 'Compte courant administration T.V.A.', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(964, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4518', 960, 'Taxe d\'égalisation due', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(965, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '452', 955, 'Impôts et taxes à payer', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(966, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4520', 965, 'Autres impôts sur le résultat', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(967, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4525', 965, 'Autres impôts et taxes en Belgique', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(968, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '45250', 967, 'Précompte immobilier', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(969, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '45251', 967, 'Impôts communaux à payer', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(970, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '45252', 967, 'Impôts provinciaux à payer', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(971, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '45253', 967, 'Autres impôts et taxes à payer', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(972, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4528', 965, 'Impôts et taxes à l\'étranger', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(973, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '453', 955, 'Précomptes retenus', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(974, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4530', 973, 'Précompte professionnel retenu sur rémunérations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(975, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4531', 973, 'Précompte professionnel retenu sur tantièmes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(976, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4532', 973, 'Précompte mobilier retenu sur dividendes attribués', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(977, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4533', 973, 'Précompte mobilier retenu sur intérêts payés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(978, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4538', 973, 'Autres précomptes retenus', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(979, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '454', 955, 'Office National de la Sécurité Sociale', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(980, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4540', 979, 'Arriérés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(981, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4541', 979, '1er trimestre', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(982, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4542', 979, '2ème trimestre', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(983, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4543', 979, '3ème trimestre', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(984, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4544', 979, '4ème trimestre', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(985, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '455', 955, 'Rémunérations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(986, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4550', 985, 'Administrateurs,  gérants et commissaires (non réviseurs)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(987, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4551', 985, 'Direction', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(988, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4552', 985, 'Employés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(989, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4553', 985, 'Ouvriers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(990, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '456', 955, 'Pécules de vacances', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(991, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4560', 990, 'Direction', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(992, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4561', 990, 'Employés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(993, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4562', 990, 'Ouvriers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(994, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '459', 955, 'Autres dettes sociales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(995, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4590', 994, 'Provision pour gratifications de fin d\'année', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(996, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4591', 994, 'Départs de personnel', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(997, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4592', 994, 'Oppositions sur rémunérations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(998, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4593', 994, 'Assurances relatives au personnel', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(999, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '45930', 998, 'Assurance loi', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1000, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '45931', 998, 'Assurance salaire garanti', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1001, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '45932', 998, 'Assurance groupe', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1002, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '45933', 998, 'Assurances individuelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1003, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4594', 994, 'Caisse d\'assurances sociales pour travailleurs indépendants', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1004, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4597', 994, 'Dettes et provisions sociales diverses', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1005, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '46', 1354, 'Acomptes reçus sur commande', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1006, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '47', 1354, 'Dettes découlant de l\'affectation des résultats', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1007, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '470', 1006, 'Dividendes et tantièmes d\'exercices antérieurs', NULL, 0, NULL, NULL, 1, 0, NULL, NULL);
INSERT INTO `llx_accounting_account` (`rowid`, `entity`, `datec`, `tms`, `fk_pcg_version`, `pcg_type`, `account_number`, `account_parent`, `label`, `labelshort`, `fk_accounting_category`, `fk_user_author`, `fk_user_modif`, `active`, `reconcilable`, `import_key`, `extraparams`) VALUES
(1008, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '471', 1006, 'Dividendes de l\'exercice', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1009, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '472', 1006, 'Tantièmes de l\'exercice', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1010, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '473', 1006, 'Autres allocataires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1011, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '48', 4, 'Dettes diverses', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1012, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '480', 1011, 'Obligations et coupons échus', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1013, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '481', 1011, 'Actionnaires - capital à rembourser', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1014, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '482', 1011, 'Participation du personnel à payer', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1015, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '483', 1011, 'Acomptes reçus d\'autres tiers à moins d\'un an', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1016, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '486', 1011, 'Emballages et matériel consignés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1017, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '488', 1011, 'Cautionnements reçus en numéraires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1018, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '489', 1011, 'Autres dettes diverses', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1019, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '49', 1354, 'Comptes de régularisation et compte d\'attente', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1020, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '490', 1019, 'Charges à reporter (à subdiviser par catégorie de charges)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1021, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '491', 1019, 'Produits acquis', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1022, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4910', 1021, 'Produits d\'exploitation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1023, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '49100', 1022, 'Ristournes et rabais à obtenir', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1024, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '49101', 1022, 'Commissions à obtenir', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1025, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '49102', 1022, 'Autres produits d\'exploitation (redevances par exemple)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1026, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4911', 1021, 'Produits financiers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1027, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '49110', 1026, 'Intérêts courus et non échus sur prêts et débits', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1028, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '49111', 1026, 'Autres produits financiers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1029, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '492', 1019, 'Charges à imputer (à subdiviser par catégorie de charges)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1030, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '493', 1019, 'Produits à reporter', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1031, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4930', 1030, 'Produits d\'exploitation à reporter', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1032, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4931', 1030, 'Produits financiers à reporter', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1033, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '499', 1019, 'Comptes d\'attente', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1034, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4990', 1033, 'Compte d\'attente', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1035, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4991', 1033, 'Compte de répartition périodique des charges', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1036, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4999', 1033, 'Transferts d\'exercice', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1037, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'FINAN', '50', 1355, 'Actions propres', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1038, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'FINAN', '51', 1355, 'Actions et parts', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1039, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'FINAN', '510', 1038, 'Valeur d\'acquisition', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1040, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'FINAN', '511', 1038, 'Montants non appelés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1041, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'FINAN', '519', 1038, 'Réductions de valeur actées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1042, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'FINAN', '52', 1355, 'Titres à revenus fixes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1043, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'FINAN', '520', 1042, 'Valeur d\'acquisition', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1044, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'FINAN', '529', 1042, 'Réductions de valeur actées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1045, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'FINAN', '53', 1355, 'Dépots à terme', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1046, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'FINAN', '530', 1045, 'De plus d\'un an', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1047, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'FINAN', '531', 1045, 'De plus d\'un mois et à un an au plus', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1048, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'FINAN', '532', 1045, 'd\'un mois au plus', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1049, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'FINAN', '539', 1045, 'Réductions de valeur actées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1050, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'FINAN', '54', 1355, 'Valeurs échues à l\'encaissement', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1051, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'FINAN', '540', 1050, 'Chèques à encaisser', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1052, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'FINAN', '541', 1050, 'Coupons à encaisser', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1053, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'FINAN', '55', 1355, 'Etablissements de crédit - Comptes ouverts auprès des divers établissements.', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1054, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'FINAN', '550', 1053, 'Comptes courants', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1055, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'FINAN', '551', 1053, 'Chèques émis', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1056, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'FINAN', '559', 1053, 'Réductions de valeur actées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1057, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'FINAN', '56', 1355, 'Office des chèques postaux', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1058, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'FINAN', '560', 1057, 'Compte courant', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1059, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'FINAN', '561', 1057, 'Chèques émis', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1060, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'FINAN', '57', 1355, 'Caisses', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1061, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'FINAN', '570', 1060, 'à 577 Caisses - espèces ( 0 - centrale ; 7 - succursales et agences)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1062, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'FINAN', '578', 1060, 'Caisses - timbres ( 0 - fiscaux ; 1 - postaux)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1063, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'FINAN', '58', 1355, 'Virements internes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1064, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '60', 1356, 'Approvisionnements et marchandises', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1065, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '600', 1064, 'Achats de matières premières', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1066, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '601', 1064, 'Achats de fournitures', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1067, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '602', 1064, 'Achats de services, travaux et études', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1068, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '603', 1064, 'Sous-traitances générales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1069, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '604', 1064, 'Achats de marchandises', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1070, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '605', 1064, 'Achats d\'immeubles destinés à la revente', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1071, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '608', 1064, 'Remises , ristournes et rabais obtenus sur achats', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1072, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '609', 1064, 'Variations de stocks', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1073, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6090', 1072, 'De matières premières', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1074, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6091', 1072, 'De fournitures', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1075, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6094', 1072, 'De marchandises', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1076, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6095', 1072, 'd\'immeubles destinés à la vente', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1077, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '61', 1356, 'Services et biens divers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1078, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '610', 1077, 'Loyers et charges locatives', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1079, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6100', 1078, 'Loyers divers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1080, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6101', 1078, 'Charges locatives (assurances, frais de confort,etc)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1081, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '611', 1077, 'Entretien et réparation (fournitures et prestations)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1082, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '612', 1077, 'Fournitures faites à l\'entreprise', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1083, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6120', 1082, 'Eau, gaz, électricité, vapeur', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1084, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '61200', 1083, 'Eau', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1085, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '61201', 1083, 'Gaz', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1086, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '61202', 1083, 'Electricité', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1087, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '61203', 1083, 'Vapeur', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1088, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6121', 1082, 'Téléphone, télégrammes, télex, téléfax, frais postaux', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1089, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '61210', 1088, 'Téléphone', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1090, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '61211', 1088, 'Télégrammes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1091, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '61212', 1088, 'Télex et téléfax', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1092, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '61213', 1088, 'Frais postaux', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1093, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6122', 1082, 'Livres, bibliothèque', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1094, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6123', 1082, 'Imprimés et fournitures de bureau (si non comptabilisé au 601)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1095, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '613', 1077, 'Rétributions de tiers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1096, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6130', 1095, 'Redevances et royalties', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1097, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '61300', 1096, 'Redevances pour brevets, licences, marques et accessoires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1098, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '61301', 1096, 'Autres redevances (procédés de fabrication)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1099, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6131', 1095, 'Assurances non relatives au personnel', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1100, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '61310', 1099, 'Assurance incendie', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1101, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '61311', 1099, 'Assurance vol', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1102, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '61312', 1099, 'Assurance autos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1103, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '61313', 1099, 'Assurance crédit', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1104, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '61314', 1099, 'Assurances frais généraux', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1105, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6132', 1095, 'Divers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1106, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '61320', 1105, 'Commissions aux tiers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1107, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '61321', 1105, 'Honoraires d\'avocats, d\'experts, etc', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1108, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '61322', 1105, 'Cotisations aux groupements professionnels', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1109, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '61323', 1105, 'Dons, libéralités, etc', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1110, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '61324', 1105, 'Frais de contentieux', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1111, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '61325', 1105, 'Publications légales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1112, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6133', 1095, 'Transports et déplacements', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1113, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '61330', 1112, 'Transports de personnel', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1114, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '61331', 1112, 'Voyages, déplacements et représentations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1115, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6134', 1095, 'Personnel intérimaire', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1116, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '614', 1077, 'Annonces, publicité, propagande et documentation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1117, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6140', 1116, 'Annonces et insertions', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1118, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6141', 1116, 'Catalogues et imprimés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1119, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6142', 1116, 'Echantillons', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1120, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6143', 1116, 'Foires et expositions', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1121, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6144', 1116, 'Primes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1122, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6145', 1116, 'Cadeaux à la clientèle', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1123, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6146', 1116, 'Missions et réceptions', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1124, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6147', 1116, 'Documentation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1125, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '615', 1077, 'Sous-traitants', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1126, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6150', 1125, 'Sous-traitants pour activités propres', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1127, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6151', 1125, 'Sous-traitants d\'associations momentanées (coparticipants)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1128, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6152', 1125, 'Quote-part bénéficiaire des coparticipants', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1129, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '617', 1077, 'Personnel intérimaire et personnes mises à la disposition de l\'entreprise', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1130, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '618', 1077, 'Rémunérations, primes pour assurances extralégales, pensions de retraite et de survie des administrateurs, gérants et associés actifs qui ne sont pas attribuées en vertu d\'un contrat de travail', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1131, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '62', 1356, 'Rémunérations, charges sociales et pensions', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1132, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '620', 1131, 'Rémunérations et avantages sociaux directs', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1133, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6200', 1132, 'Administrateurs ou gérants', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1134, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6201', 1132, 'Personnel de direction', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1135, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6202', 1132, 'Employés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1136, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6203', 1132, 'Ouvriers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1137, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6204', 1132, 'Autres membres du personnel', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1138, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '621', 1131, 'Cotisations patronales d\'assurances sociales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1139, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6210', 1138, 'Sur salaires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1140, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6211', 1138, 'Sur appointements et commissions', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1141, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '622', 1131, 'Primes patronales pour assurances extralégales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1142, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '623', 1131, 'Autres frais de personnel', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1143, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6230', 1142, 'Assurances du personnel', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1144, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '62300', 1143, 'Assurances loi, responsabilité civile, chemin du travail', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1145, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '62301', 1143, 'Assurance salaire garanti', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1146, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '62302', 1143, 'Assurances individuelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1147, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6231', 1142, 'Charges sociales diverses', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1148, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '62310', 1147, 'Jours fériés payés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1149, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '62311', 1147, 'Salaire hebdomadaire garanti', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1150, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '62312', 1147, 'Allocations familiales complémentaires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1151, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6232', 1142, 'Charges sociales des administrateurs, gérants et commissaires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1152, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '62320', 1151, 'Allocations familiales complémentaires pour non salariés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1153, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '62321', 1151, 'Lois sociales pour indépendants', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1154, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '62322', 1151, 'Divers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1155, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '624', 1131, 'Pensions de retraite et de survie', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1156, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6240', 1155, 'Administrateurs et gérants', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1157, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6241', 1155, 'Personnel', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1158, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '625', 1131, 'Provision pour pécule de vacances', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1159, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6250', 1158, 'Dotations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1160, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6251', 1158, 'Utilisations et reprises', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1161, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '63', 1356, 'Amortissements, réductions de valeur et provisions pour risques et charges', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1162, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '630', 1161, 'Dotations aux amortissements et aux réductions de valeur sur immobilisations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1163, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6300', 1162, 'Dotations aux amortissements sur frais d\'établissement', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1164, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6301', 1162, 'Dotations aux amortissements sur immobilisations incorporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1165, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6302', 1162, 'Dotations aux amortissements sur immobilisations corporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1166, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6308', 1162, 'Dotations aux réductions de valeur sur immobilisations incorporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1167, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6309', 1162, 'Dotations aux réductions de valeur sur immobilisations corporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1168, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '631', 1161, 'Réductions de valeur sur stocks', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1169, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6310', 1168, 'Dotations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1170, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6311', 1168, 'Reprises', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1171, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '632', 1161, 'Réductions de valeur sur commandes en cours d\'exécution', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1172, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6320', 1171, 'Dotations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1173, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6321', 1171, 'Reprises', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1174, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '633', 1161, 'Réductions de valeur sur créances commerciales à plus d\'un an', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1175, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6330', 1174, 'Dotations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1176, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6331', 1174, 'Reprises', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1177, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '634', 1161, 'Réductions de valeur sur créances commerciales à un an au plus', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1178, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6340', 1177, 'Dotations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1179, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6341', 1177, 'Reprises', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1180, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '635', 1161, 'Provisions pour pensions et obligations similaires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1181, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6350', 1180, 'Dotations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1182, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6351', 1180, 'Utilisations et reprises', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1183, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '636', 11613, 'Provisions pour grosses réparations et gros entretiens', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1184, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6360', 1183, 'Dotations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1185, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6361', 1183, 'Utilisations et reprises', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1186, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '637', 1161, 'Provisions pour autres risques et charges', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1187, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6370', 1186, 'Dotations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1188, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6371', 1186, 'Utilisations et reprises', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1189, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '64', 1356, 'Autres charges d\'exploitation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1190, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '640', 1189, 'Charges fiscales d\'exploitation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1191, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6400', 1190, 'Taxes et impôts directs', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1192, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '64000', 1191, 'Taxes sur autos et camions', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1193, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6401', 1190, 'Taxes et impôts indirects', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1194, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '64010', 1193, 'Timbres fiscaux pris en charge par la firme', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1195, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '64011', 1193, 'Droits d\'enregistrement', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1196, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '64012', 1193, 'T.V.A. non déductible', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1197, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6402', 1190, 'Impôts provinciaux et communaux', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1198, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '64020', 1197, 'Taxe sur la force motrice', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1199, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '64021', 1197, 'Taxe sur le personnel occupé', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1200, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6403', 1190, 'Taxes diverses', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1201, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '641', 1189, 'Moins-values sur réalisations courantes d\'immobilisations corporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1202, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '642', 1189, 'Moins-values sur réalisations de créances commerciales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1203, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '643', 1189, 'à 648 Charges d\'exploitations diverses', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1204, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '649', 1189, 'Charges d\'exploitation portées à l\'actif au titre de restructuration', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1205, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '65', 1356, 'Charges financières', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1206, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '650', 1205, 'Charges des dettes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1207, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6500', 1206, 'Intérêts, commissions et frais afférents aux dettes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1208, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6501', 1206, 'Amortissements des agios et frais d\'émission d\'emprunts', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1209, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6502', 1206, 'Autres charges de dettes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1210, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6503', 1206, 'Intérêts intercalaires portés à l\'actif', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1211, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '651', 1205, 'Réductions de valeur sur actifs circulants', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1212, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6510', 1211, 'Dotations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1213, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6511', 1211, 'Reprises', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1214, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '652', 1205, 'Moins-values sur réalisation d\'actifs circulants', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1215, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '653', 1205, 'Charges d\'escompte de créances', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1216, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '654', 1205, 'Différences de change', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1217, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '655', 1205, 'Ecarts de conversion des devises', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1218, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '656', 1205, 'Frais de banques, de chèques postaux', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1219, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '657', 1205, 'Commissions sur ouvertures de crédit, cautions et avals', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1220, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '658', 1205, 'Frais de vente des titres', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1221, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '66', 1356, 'Charges exceptionnelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1222, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '660', 1221, 'Amortissements et réductions de valeur exceptionnels', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1223, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6600', 1222, 'Sur frais d\'établissement', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1224, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6601', 1222, 'Sur immobilisations incorporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1225, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6602', 1222, 'Sur immobilisations corporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1226, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '661', 1221, 'Réductions de valeur sur immobilisations financières', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1227, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '662', 1221, 'Provisions pour risques et charges exceptionnels', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1228, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '663', 1221, 'Moins-values sur réalisation d\'actifs immobilisés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1229, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6630', 1228, 'Sur immobilisations incorporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1230, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6631', 1228, 'Sur immobilisations corporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1231, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6632', 1228, 'Sur immobilisations détenues en location-financement et droits similaires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1232, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6633', 1228, 'Sur immobilisations financières', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1233, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6634', 1228, 'Sur immeubles acquis ou construits en vue de la revente', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1234, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '664', 1221, 'à 668 Autres charges exceptionnelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1235, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '664', 1221, 'Pénalités et amendes diverses', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1236, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '665', 1221, 'Différence de charge', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1237, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '669', 1221, 'Charges exceptionnelles transférées à l\'actif en frais de restructuration', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1238, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '67', 1356, 'Impôts sur le résultat', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1239, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '670', 1238, 'Impôts belges sur le résultat de l\'exercice', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1240, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6700', 1239, 'Impôts et précomptes dus ou versés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1241, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6701', 1239, 'Excédent de versements d\'impôts et précomptes porté à l\'actif', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1242, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6702', 1239, 'Charges fiscales estimées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1243, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '671', 1238, 'Impôts belges sur le résultat d\'exercices antérieurs', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1244, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6710', 1243, 'Suppléments d\'impôts dus ou versés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1245, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6711', 1243, 'Suppléments d\'impôts estimés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1246, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6712', 1243, 'Provisions fiscales constituées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1247, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '672', 1238, 'Impôts étrangers sur le résultat de l\'exercice', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1248, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '673', 1238, 'Impôts étrangers sur le résultat d\'exercices antérieurs', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1249, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '68', 1356, 'Transferts aux réserves immunisées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1250, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '69', 1356, 'Affectation des résultats', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1251, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '690', 1250, 'Perte reportée de l\'exercice précédent', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1252, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '691', 1250, 'Dotation à la réserve légale', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1253, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '692', 1250, 'Dotation aux autres réserves', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1254, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '693', 1250, 'Bénéfice à reporter', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1255, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '694', 1250, 'Rémunération du capital', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1256, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '695', 1250, 'Administrateurs ou gérants', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1257, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '696', 1250, 'Autres allocataires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1258, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '70', 1357, 'Chiffre d\'affaires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1260, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '700', 1258, 'Ventes de marchandises', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1261, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '7000', 1260, 'Ventes en Belgique', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1262, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '7001', 1260, 'Ventes dans les pays membres de la C.E.E.', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1263, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '7002', 1260, 'Ventes à l\'exportation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1264, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '701', 1258, 'Ventes de produits finis', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1265, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '7010', 1264, 'Ventes en Belgique', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1266, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '7011', 1264, 'Ventes dans les pays membres de la C.E.E.', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1267, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '7012', 1264, 'Ventes à l\'exportation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1268, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '702', 1258, 'Ventes de déchets et rebuts', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1269, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '7020', 1268, 'Ventes en Belgique', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1270, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '7021', 1268, 'Ventes dans les pays membres de la C.E.E.', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1271, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '7022', 1268, 'Ventes à l\'exportation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1272, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '703', 1258, 'Ventes d\'emballages récupérables', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1273, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '704', 1258, 'Facturations des travaux en cours (associations momentanées)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1274, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '705', 1258, 'Prestations de services', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1275, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '7050', 1274, 'Prestations de services en Belgique', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1276, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '7051', 1274, 'Prestations de services dans les pays membres de la C.E.E.', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1277, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '7052', 1274, 'Prestations de services en vue de l\'exportation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1278, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '706', 1258, 'Pénalités et dédits obtenus par l\'entreprise', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1279, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '708', 1258, 'Remises, ristournes et rabais accordés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1280, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '7080', 1279, 'Sur ventes de marchandises', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1281, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '7081', 1279, 'Sur ventes de produits finis', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1282, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '7082', 1279, 'Sur ventes de déchets et rebuts', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1283, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '7083', 1279, 'Sur prestations de services', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1284, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '7084', 1279, 'Mali sur travaux facturés aux associations momentanées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1285, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '71', 1357, 'Variation des stocks et des commandes en cours d\'exécution', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1286, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '712', 1285, 'Des en cours de fabrication', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1287, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '713', 1285, 'Des produits finis', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1288, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '715', 1285, 'Des immeubles construits destinés à la vente', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1289, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '717', 1285, 'Des commandes en cours d\'exécution', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1290, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '7170', 1289, 'Commandes en cours - Coût de revient', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1291, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '71700', 1290, 'Coût des commandes en cours d\'exécution', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1292, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '71701', 1290, 'Coût des travaux en cours des associations momentanées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1293, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '7171', 1289, 'Bénéfices portés en compte sur commandes en cours', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1294, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '71710', 1293, 'Sur commandes en cours d\'exécution', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1295, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '71711', 1293, 'Sur travaux en cours des associations momentanées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1296, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '72', 1357, 'Production immobilisée', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1297, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '720', 1296, 'En frais d\'établissement', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1298, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '721', 1296, 'En immobilisations incorporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1299, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '722', 1296, 'En immobilisations corporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1300, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '723', 1296, 'En immobilisations en cours', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1301, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '74', 1357, 'Autres produits d\'exploitation', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1302, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '740', 1301, 'Subsides d\'exploitation et montants compensatoires', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1303, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '741', 1301, 'Plus-values sur réalisations courantes d\'immobilisations corporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1304, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '742', 1301, 'Plus-values sur réalisations de créances commerciales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1305, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '743', 1301, 'à 749 Produits d\'exploitation divers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1306, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '743', 1301, 'Produits de services exploités dans l\'intérêt du personnel', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1307, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '744', 1301, 'Commissions et courtages', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1308, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '745', 1301, 'Redevances pour brevets et licences', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1309, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '746', 1301, 'Prestations de services (transports, études, etc)', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1310, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '747', 1301, 'Revenus des immeubles affectés aux activités non professionnelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1311, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '748', 1301, 'Locations diverses à caractère professionnel', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1312, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '749', 1301, 'Produits divers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1313, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '7490', 1312, 'Bonis sur reprises d\'emballages consignés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1314, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '7491', 1312, 'Bonis sur travaux en associations momentanées', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1315, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '75', 1357, 'Produits financiers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1316, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '750', 1315, 'Produits des immobilisations financières', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1317, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '7500', 1316, 'Revenus des actions', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1318, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '7501', 1316, 'Revenus des obligations', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1319, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '7502', 1316, 'Revenus des créances à plus d\'un an', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1320, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '751', 1315, 'Produits des actifs circulants', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1321, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '752', 1315, 'Plus-values sur réalisations d\'actifs circulants', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1322, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '753', 1315, 'Subsides en capital et en intérêts', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1323, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '754', 1315, 'Différences de change', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1324, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '755', 1315, 'Ecarts de conversion des devises', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1325, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '756', 1315, 'à 759 Produits financiers divers', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1326, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '756', 1315, 'Produits des autres créances', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1327, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '757', 1315, 'Escomptes obtenus', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1328, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '76', 1357, 'Produits exceptionnels', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1329, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '760', 1328, 'Reprises d\'amortissements et de réductions de valeur', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1330, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '7600', 1329, 'Sur immobilisations incorporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1331, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '7601', 1329, 'Sur immobilisations corporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1332, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '761', 1328, 'Reprises de réductions de valeur sur immobilisations financières', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1333, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '762', 1328, 'Reprises de provisions pour risques et charges exceptionnelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1334, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '763', 1328, 'Plus-values sur réalisation d\'actifs immobilisés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1335, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '7630', 1334, 'Sur immobilisations incorporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1336, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '7631', 1334, 'Sur immobilisations corporelles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1337, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '7632', 1334, 'Sur immobilisations financières', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1338, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '764', 1328, 'Autres produits exceptionnels', NULL, 0, NULL, NULL, 1, 0, NULL, NULL);
INSERT INTO `llx_accounting_account` (`rowid`, `entity`, `datec`, `tms`, `fk_pcg_version`, `pcg_type`, `account_number`, `account_parent`, `label`, `labelshort`, `fk_accounting_category`, `fk_user_author`, `fk_user_modif`, `active`, `reconcilable`, `import_key`, `extraparams`) VALUES
(1339, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '77', 1357, 'Régularisations d\'impôts et reprises de provisions fiscales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1340, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '771', 1339, 'Impôts belges sur le résultat', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1341, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '7710', 1340, 'Régularisations d\'impôts dus ou versés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1342, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '7711', 1340, 'Régularisations d\'impôts estimés', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1343, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '7712', 1340, 'Reprises de provisions fiscales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1344, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '773', 1339, 'Impôts étrangers sur le résultat', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1345, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '79', 1357, 'Affectation aux résultats', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1346, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '790', 1345, 'Bénéfice reporté de l\'exercice précédent', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1347, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '791', 1345, 'Prélèvement sur le capital et les primes d\'émission', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1348, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '792', 1345, 'Prélèvement sur les réserves', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1349, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '793', 1345, 'Perte à reporter', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1350, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '794', 1345, 'Intervention d\'associés (ou du propriétaire) dans la perte', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1351, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'CAPIT', '1', 0, 'Fonds propres, provisions pour risques et charges et dettes à plus d\'un an', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1352, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'IMMO', '2', 0, 'Frais d\'établissement. Actifs immobilisés et créances à plus d\'un an', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1353, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'STOCK', '3', 0, 'Stock et commandes en cours d\'exécution', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1354, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'TIERS', '4', 0, 'Créances et dettes à un an au plus', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1355, 1, NULL, '2016-12-01 09:41:10', 'PCMN-BASE', 'FINAN', '5', 0, 'Placement de trésorerie et de valeurs disponibles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1356, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'EXPENSE', '6', 0, 'Charges', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1357, 1, NULL, '2019-03-02 19:26:30', 'PCMN-BASE', 'INCOME', '7', 0, 'Produits', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1401, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'CAPIT', '1', 0, 'Fonds propres, provisions pour risques et charges et dettes à plus d\'un an', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1402, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'IMMO', '2', 0, 'Frais d\'établissement. Actifs immobilisés et créances à plus d\'un an', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1403, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'STOCK', '3', 0, 'Stock et commandes en cours d\'exécution', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1404, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'TIERS', '4', 0, 'Créances et dettes à un an au plus', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1405, 1, NULL, '2016-12-01 09:41:09', 'PCG99-ABREGE', 'FINAN', '5', 0, 'Placement de trésorerie et de valeurs disponibles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1406, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'EXPENSE', '6', 0, 'Charges', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1407, 1, NULL, '2019-03-02 19:26:30', 'PCG99-ABREGE', 'INCOME', '7', 0, 'Produits', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1501, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'CAPIT', '1', 0, 'Fonds propres, provisions pour risques et charges et dettes à plus d\'un an', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1502, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'IMMO', '2', 0, 'Frais d\'établissement. Actifs immobilisés et créances à plus d\'un an', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1503, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'STOCK', '3', 0, 'Stock et commandes en cours d\'exécution', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1504, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'TIERS', '4', 0, 'Créances et dettes à un an au plus', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1505, 1, NULL, '2016-12-01 09:41:09', 'PCG99-BASE', 'FINAN', '5', 0, 'Placement de trésorerie et de valeurs disponibles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1506, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'EXPENSE', '6', 0, 'Charges', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(1507, 1, NULL, '2019-03-02 19:26:30', 'PCG99-BASE', 'INCOME', '7', 0, 'Produits', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4001, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1', 0, 'Financiación básica', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4002, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2', 0, 'Activo no corriente', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4003, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '3', 0, 'Existencias', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4004, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4', 0, 'Acreedores y deudores por operaciones comerciales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4005, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5', 0, 'Cuentas financieras', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4006, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6', 0, 'Compras y gastos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4007, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7', 0, 'Ventas e ingresos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4008, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '10', 4001, 'CAPITAL', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4009, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '100', 4008, 'Capital social', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4010, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '101', 4008, 'Fondo social', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4011, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '102', 4008, 'Capital', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4012, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '103', 4008, 'Socios por desembolsos no exigidos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4013, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1030', 4012, 'Socios por desembolsos no exigidos capital social', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4014, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1034', 4012, 'Socios por desembolsos no exigidos capital pendiente de inscripción', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4015, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '104', 4008, 'Socios por aportaciones no dineradas pendientes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4016, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1040', 4015, 'Socios por aportaciones no dineradas pendientes capital social', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4017, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1044', 4015, 'Socios por aportaciones no dineradas pendientes capital pendiente de inscripción', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4018, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '108', 4008, 'Acciones o participaciones propias en situaciones especiales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4019, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '109', 4008, 'Acciones o participaciones propias para reducción de capital', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4020, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '11', 4001, 'Reservas y otros instrumentos de patrimonio', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4021, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '110', 4020, 'Prima de emisión o asunción', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4022, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '111', 4020, 'Otros instrumentos de patrimonio neto', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4023, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1110', 4022, 'Patrimonio neto por emisión de instrumentos financieros compuestos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4024, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1111', 4022, 'Resto de instrumentos de patrimoio neto', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4025, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '112', 4020, 'Reserva legal', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4026, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '113', 4020, 'Reservas voluntarias', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4027, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '114', 4020, 'Reservas especiales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4028, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1140', 4027, 'Reservas para acciones o participaciones de la sociedad dominante', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4029, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1141', 4027, 'Reservas estatutarias', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4030, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1142', 4027, 'Reservas por capital amortizado', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4031, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1143', 4027, 'Reservas por fondo de comercio', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4032, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1144', 4028, 'Reservas por acciones propias aceptadas en garantía', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4033, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '115', 4020, 'Reservas por pérdidas y ganancias actuariales y otros ajustes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4034, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '118', 4020, 'Aportaciones de socios o propietarios', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4035, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '119', 4020, 'Diferencias por ajuste del capital a euros', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4036, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '12', 4001, 'Resultados pendientes de aplicación', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4037, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '120', 4036, 'Remanente', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4038, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '121', 4036, 'Resultados negativos de ejercicios anteriores', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4039, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '129', 4036, 'Resultado del ejercicio', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4040, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '13', 4001, 'Subvenciones, donaciones y ajustes por cambio de valor', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4041, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '130', 4040, 'Subvenciones oficiales de capital', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4042, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '131', 4040, 'Donaciones y legados de capital', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4043, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '132', 4040, 'Otras subvenciones, donaciones y legados', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4044, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '133', 4040, 'Ajustes por valoración en activos financieros disponibles para la venta', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4045, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '134', 4040, 'Operaciones de cobertura', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4046, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1340', 4045, 'Cobertura de flujos de efectivo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4047, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1341', 4045, 'Cobertura de una inversión neta en un negocio extranjero', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4048, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '135', 4040, 'Diferencias de conversión', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4049, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '136', 4040, 'Ajustes por valoración en activos no corrientes y grupos enajenables de elementos mantenidos para la venta', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4050, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '137', 4040, 'Ingresos fiscales a distribuir en varios ejercicios', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4051, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1370', 4050, 'Ingresos fiscales por diferencias permanentes a distribuir en varios ejercicios', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4052, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1371', 4050, 'Ingresos fiscales por deducciones y bonificaciones a distribuir en varios ejercicios', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4053, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '14', 4001, 'Provisiones', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4054, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '141', 4053, 'Provisión para impuestos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4055, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '142', 4053, 'Provisión para otras responsabilidades', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4056, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '143', 4053, 'Provisión por desmantelamiento, retiro o rehabilitación del inmovilizado', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4057, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '145', 4053, 'Provisión para actuaciones medioambientales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4058, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '15', 4001, 'Deudas a largo plazo con características especiales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4059, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '150', 4058, 'Acciones o participaciones a largo plazo consideradas como pasivos financieros', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4060, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '153', 4058, 'Desembolsos no exigidos por acciones o participaciones consideradas como pasivos financieros', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4061, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1533', 4060, 'Desembolsos no exigidos empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4062, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1534', 4060, 'Desembolsos no exigidos empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4063, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1535', 4060, 'Desembolsos no exigidos otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4064, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1536', 4060, 'Otros desembolsos no exigidos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4065, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '154', 4058, 'Aportaciones no dinerarias pendientes por acciones o participaciones consideradas como pasivos financieros', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4066, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1543', 4065, 'Aportaciones no dinerarias pendientes empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4067, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1544', 4065, 'Aportaciones no dinerarias pendientes empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4068, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1545', 4065, 'Aportaciones no dinerarias pendientes otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4069, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1546', 4065, 'Otras aportaciones no dinerarias pendientes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4070, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '16', 4001, 'Deudas a largo plazo con partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4071, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '160', 4070, 'Deudas a largo plazo con entidades de crédito vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4072, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1603', 4071, 'Deudas a largo plazo con entidades de crédito empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4073, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1604', 4071, 'Deudas a largo plazo con entidades de crédito empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4074, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1605', 4071, 'Deudas a largo plazo con otras entidades de crédito vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4075, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '161', 4070, 'Proveedores de inmovilizado a largo plazo partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4076, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1613', 4075, 'Proveedores de inmovilizado a largo plazo empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4077, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1614', 4075, 'Proveedores de inmovilizado a largo plazo empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4078, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1615', 4075, 'Proveedores de inmovilizado a largo plazo otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4079, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '162', 4070, 'Acreedores por arrendamiento financiero a largo plazo partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4080, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1623', 4079, 'Acreedores por arrendamiento financiero a largo plazo empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4081, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1624', 4080, 'Acreedores por arrendamiento financiero a largo plazo empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4082, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1625', 4080, 'Acreedores por arrendamiento financiero a largo plazo otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4083, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '163', 4070, 'Otras deudas a largo plazo con partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4084, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1633', 4083, 'Otras deudas a largo plazo empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4085, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1634', 4083, 'Otras deudas a largo plazo empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4086, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '1635', 4083, 'Otras deudas a largo plazo otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4087, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '17', 4001, 'Deudas a largo plazo por préstamos recibidos empresitos y otros conceptos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4088, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '170', 4087, 'Deudas a largo plazo con entidades de crédito', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4089, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '171', 4087, 'Deudas a largo plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4090, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '172', 4087, 'Deudas a largo plazo transformables en suvbenciones donaciones y legados', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4091, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '173', 4087, 'Proveedores de inmovilizado a largo plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4092, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '174', 4087, 'Acreedores por arrendamiento financiero a largo plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4093, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '175', 4087, 'Efectos a pagar a largo plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4094, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '176', 4087, 'Pasivos por derivados financieros a largo plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4095, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '177', 4087, 'Obligaciones y bonos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4096, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '179', 4087, 'Deudas representadas en otros valores negociables', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4097, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '18', 4001, 'Pasivos por fianzas garantias y otros conceptos a largo plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4098, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '180', 4097, 'Fianzas recibidas a largo plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4099, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '181', 4097, 'Anticipos recibidos por ventas o prestaciones de servicios a largo plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4100, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '185', 4097, 'Depositos recibidos a largo plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4101, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '19', 4001, 'Situaciones transitorias de financiación', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4102, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '190', 4101, 'Acciones o participaciones emitidas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4103, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '192', 4101, 'Suscriptores de acciones', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4104, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '194', 4101, 'Capital emitido pendiente de inscripción', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4105, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '195', 4101, 'Acciones o participaciones emitidas consideradas como pasivos financieros', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4106, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '197', 4101, 'Suscriptores de acciones consideradas como pasivos financieros', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4107, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'FINANCIACION', '199', 4101, 'Acciones o participaciones emitidas consideradas como pasivos financieros pendientes de inscripción', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4108, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '20', 4002, 'Inmovilizaciones intangibles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4109, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '200', 4108, 'Investigación', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4110, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '201', 4108, 'Desarrollo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4111, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '202', 4108, 'Concesiones administrativas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4112, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '203', 4108, 'Propiedad industrial', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4113, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '205', 4108, 'Derechos de transpaso', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4114, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '206', 4108, 'Aplicaciones informáticas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4115, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '209', 4108, 'Anticipos para inmovilizaciones intangibles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4116, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '21', 4002, 'Inmovilizaciones materiales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4117, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '210', 4116, 'Terrenos y bienes naturales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4118, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '211', 4116, 'Construcciones', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4119, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '212', 4116, 'Instalaciones técnicas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4120, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '213', 4116, 'Maquinaria', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4121, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '214', 4116, 'Utillaje', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4122, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '215', 4116, 'Otras instalaciones', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4123, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '216', 4116, 'Mobiliario', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4124, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '217', 4116, 'Equipos para procesos de información', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4125, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '218', 4116, 'Elementos de transporte', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4126, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '219', 4116, 'Otro inmovilizado material', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4127, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '22', 4002, 'Inversiones inmobiliarias', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4128, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '220', 4127, 'Inversiones en terreons y bienes naturales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4129, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '221', 4127, 'Inversiones en construcciones', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4130, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '23', 4002, 'Inmovilizaciones materiales en curso', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4131, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '230', 4130, 'Adaptación de terrenos y bienes naturales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4132, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '231', 4130, 'Construcciones en curso', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4133, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '232', 4130, 'Instalaciones técnicas en montaje', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4134, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '233', 4130, 'Maquinaria en montaje', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4135, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '237', 4130, 'Equipos para procesos de información en montaje', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4136, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '239', 4130, 'Anticipos para inmovilizaciones materiales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4137, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '24', 4002, 'Inversiones financieras a largo plazo en partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4138, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '240', 4137, 'Participaciones a largo plazo en partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4139, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2403', 4138, 'Participaciones a largo plazo en empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4140, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2404', 4138, 'Participaciones a largo plazo en empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4141, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2405', 4138, 'Participaciones a largo plazo en otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4142, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '241', 4137, 'Valores representativos de deuda a largo plazo de partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4143, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2413', 4142, 'Valores representativos de deuda a largo plazo de empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4144, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2414', 4142, 'Valores representativos de deuda a largo plazo de empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4145, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2415', 4142, 'Valores representativos de deuda a largo plazo de otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4146, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '242', 4137, 'Créditos a largo plazo a partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4147, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2423', 4146, 'Créditos a largo plazo a empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4148, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2424', 4146, 'Créditos a largo plazo a empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4149, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2425', 4146, 'Créditos a largo plazo a otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4150, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '249', 4137, 'Desembolsos pendientes sobre participaciones a largo plazo en partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4151, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2493', 4150, 'Desembolsos pendientes sobre participaciones a largo plazo en empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4152, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2494', 4150, 'Desembolsos pendientes sobre participaciones a largo plazo en empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4153, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2495', 4150, 'Desembolsos pendientes sobre participaciones a largo plazo en otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4154, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '25', 4002, 'Otras inversiones financieras a largo plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4155, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '250', 4154, 'Inversiones financieras a largo plazo en instrumentos de patrimonio', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4156, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '251', 4154, 'Valores representativos de deuda a largo plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4157, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '252', 4154, 'Créditos a largo plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4158, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '253', 4154, 'Créditos a largo plazo por enajenación de inmovilizado', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4159, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '254', 4154, 'Créditos a largo plazo al personal', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4160, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '255', 4154, 'Activos por derivados financieros a largo plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4161, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '258', 4154, 'Imposiciones a largo plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4162, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '259', 4154, 'Desembolsos pendientes sobre participaciones en el patrimonio neto a largo plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4163, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '26', 4002, 'Fianzas y depósitos constituidos a largo plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4164, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '260', 4163, 'Fianzas constituidas a largo plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4165, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '261', 4163, 'Depósitos constituidos a largo plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4166, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '28', 4002, 'Amortización acumulada del inmovilizado', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4167, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '280', 4166, 'Amortización acumulado del inmovilizado intangible', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4168, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2800', 4167, 'Amortización acumulada de investigación', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4169, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2801', 4167, 'Amortización acumulada de desarrollo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4170, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2802', 4167, 'Amortización acumulada de concesiones administrativas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4171, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2803', 4167, 'Amortización acumulada de propiedad industrial', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4172, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2805', 4167, 'Amortización acumulada de derechos de transpaso', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4173, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2806', 4167, 'Amortización acumulada de aplicaciones informáticas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4174, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '281', 4166, 'Amortización acumulado del inmovilizado material', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4175, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2811', 4174, 'Amortización acumulada de construcciones', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4176, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2812', 4174, 'Amortización acumulada de instalaciones técnicas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4177, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2813', 4174, 'Amortización acumulada de maquinaria', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4178, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2814', 4174, 'Amortización acumulada de utillaje', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4179, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2815', 4174, 'Amortización acumulada de otras instalaciones', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4180, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2816', 4174, 'Amortización acumulada de mobiliario', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4181, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2817', 4174, 'Amortización acumulada de equipos para proceso de información', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4182, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2818', 4174, 'Amortización acumulada de elementos de transporte', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4183, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2819', 4175, 'Amortización acumulada de otro inmovilizado material', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4184, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '282', 4166, 'Amortización acumulada de las inversiones inmobiliarias', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4185, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '29', 4002, 'Deterioro de valor de activos no corrientes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4186, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '290', 4185, 'Deterioro de valor del inmovilizado intangible', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4187, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2900', 4186, 'Deterioro de valor de investigación', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4188, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2901', 4186, 'Deterioro de valor de desarrollo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4189, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2902', 4186, 'Deterioro de valor de concesiones administrativas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4190, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2903', 4186, 'Deterioro de valor de propiedad industrial', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4191, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2905', 4186, 'Deterioro de valor de derechos de transpaso', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4192, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2906', 4186, 'Deterioro de valor de aplicaciones informáticas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4193, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '291', 4185, 'Deterioro de valor del inmovilizado material', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4194, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2910', 4193, 'Deterioro de valor de terrenos y bienes naturales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4195, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2911', 4193, 'Deterioro de valor de construcciones', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4196, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2912', 4193, 'Deterioro de valor de instalaciones técnicas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4197, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2913', 4193, 'Deterioro de valor de maquinaria', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4198, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2914', 4193, 'Deterioro de valor de utillajes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4199, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2915', 4194, 'Deterioro de valor de otras instalaciones', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4200, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2916', 4194, 'Deterioro de valor de mobiliario', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4201, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2917', 4194, 'Deterioro de valor de equipos para proceso de información', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4202, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2918', 4194, 'Deterioro de valor de elementos de transporte', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4203, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2919', 4194, 'Deterioro de valor de otro inmovilizado material', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4204, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '292', 4185, 'Deterioro de valor de las inversiones inmobiliarias', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4205, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2920', 4204, 'Deterioro de valor de terrenos y bienes naturales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4206, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2921', 4204, 'Deterioro de valor de construcciones', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4207, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '293', 4185, 'Deterioro de valor de participaciones a largo plazo en partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4208, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2933', 4207, 'Deterioro de valor de participaciones a largo plazo en empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4209, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2934', 4207, 'Deterioro de valor de sobre participaciones a largo plazo en empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4210, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2935', 4207, 'Deterioro de valor de sobre participaciones a largo plazo en otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4211, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '294', 4185, 'Deterioro de valor de valores representativos de deuda a largo plazo en partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4212, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2943', 4211, 'Deterioro de valor de valores representativos de deuda a largo plazo en empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4213, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2944', 4211, 'Deterioro de valor de valores representativos de deuda a largo plazo en empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4214, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2945', 4211, 'Deterioro de valor de valores representativos de deuda a largo plazo en otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4215, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '295', 4185, 'Deterioro de valor de créditos a largo plazo a partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4216, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2953', 4215, 'Deterioro de valor de créditos a largo plazo a empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4217, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2954', 4215, 'Deterioro de valor de créditos a largo plazo a empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4218, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '2955', 4215, 'Deterioro de valor de créditos a largo plazo a otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4219, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '296', 4185, 'Deterioro de valor de participaciones en el patrimonio netoa largo plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4220, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '297', 4185, 'Deterioro de valor de valores representativos de deuda a largo plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4221, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACTIVO', '298', 4185, 'Deterioro de valor de créditos a largo plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4222, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '30', 4003, 'Comerciales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4223, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '300', 4222, 'Mercaderías A', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4224, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '301', 4222, 'Mercaderías B', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4225, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '31', 4003, 'Materias primas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4226, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '310', 4225, 'Materias primas A', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4227, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '311', 4225, 'Materias primas B', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4228, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '32', 4003, 'Otros aprovisionamientos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4229, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '320', 4228, 'Elementos y conjuntos incorporables', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4230, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '321', 4228, 'Combustibles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4231, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '322', 4228, 'Repuestos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4232, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '325', 4228, 'Materiales diversos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4233, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '326', 4228, 'Embalajes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4234, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '327', 4228, 'Envases', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4235, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '328', 4229, 'Material de oficina', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4236, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '33', 4003, 'Productos en curso', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4237, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '330', 4236, 'Productos en curos A', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4238, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '331', 4236, 'Productos en curso B', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4239, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '34', 4003, 'Productos semiterminados', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4240, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '340', 4239, 'Productos semiterminados A', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4241, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '341', 4239, 'Productos semiterminados B', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4242, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '35', 4003, 'Productos terminados', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4243, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '350', 4242, 'Productos terminados A', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4244, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '351', 4242, 'Productos terminados B', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4245, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '36', 4003, 'Subproductos, residuos y materiales recuperados', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4246, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '360', 4245, 'Subproductos A', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4247, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '361', 4245, 'Subproductos B', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4248, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '365', 4245, 'Residuos A', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4249, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '366', 4245, 'Residuos B', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4250, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '368', 4245, 'Materiales recuperados A', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4251, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '369', 4245, 'Materiales recuperados B', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4252, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '39', 4003, 'Deterioro de valor de las existencias', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4253, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '390', 4252, 'Deterioro de valor de las mercaderías', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4254, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '391', 4252, 'Deterioro de valor de las materias primas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4255, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '392', 4252, 'Deterioro de valor de otros aprovisionamientos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4256, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '393', 4252, 'Deterioro de valor de los productos en curso', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4257, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '394', 4252, 'Deterioro de valor de los productos semiterminados', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4258, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '395', 4252, 'Deterioro de valor de los productos terminados', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4259, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'EXISTENCIAS', '396', 4252, 'Deterioro de valor de los subproductos, residuos y materiales recuperados', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4260, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '40', 4004, 'Proveedores', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4261, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '400', 4260, 'Proveedores', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4262, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4000', 4261, 'Proveedores euros', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4263, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4004', 4261, 'Proveedores moneda extranjera', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4264, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4009', 4261, 'Proveedores facturas pendientes de recibir o formalizar', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4265, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '401', 4260, 'Proveedores efectos comerciales a pagar', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4266, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '403', 4260, 'Proveedores empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4267, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4030', 4266, 'Proveedores empresas del grupo euros', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4268, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4031', 4266, 'Efectos comerciales a pagar empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4269, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4034', 4266, 'Proveedores empresas del grupo moneda extranjera', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4270, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4036', 4266, 'Envases y embalajes a devolver a proveedores empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4271, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4039', 4266, 'Proveedores empresas del grupo facturas pendientes de recibir o de formalizar', NULL, 0, NULL, NULL, 1, 0, NULL, NULL);
INSERT INTO `llx_accounting_account` (`rowid`, `entity`, `datec`, `tms`, `fk_pcg_version`, `pcg_type`, `account_number`, `account_parent`, `label`, `labelshort`, `fk_accounting_category`, `fk_user_author`, `fk_user_modif`, `active`, `reconcilable`, `import_key`, `extraparams`) VALUES
(4272, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '404', 4260, 'Proveedores empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4273, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '405', 4260, 'Proveedores otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4274, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '406', 4260, 'Envases y embalajes a devolver a proveedores', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4275, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '407', 4260, 'Anticipos a proveedores', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4276, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '41', 4004, 'Acreedores varios', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4277, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '410', 4276, 'Acreedores por prestaciones de servicios', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4278, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4100', 4277, 'Acreedores por prestaciones de servicios euros', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4279, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4104', 4277, 'Acreedores por prestaciones de servicios moneda extranjera', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4280, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4109', 4277, 'Acreedores por prestaciones de servicios facturas pendientes de recibir o formalizar', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4281, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '411', 4276, 'Acreedores efectos comerciales a pagar', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4282, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '419', 4276, 'Acreedores por operaciones en común', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4283, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '43', 4004, 'Clientes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4284, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '430', 4283, 'Clientes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4285, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4300', 4284, 'Clientes euros', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4286, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4304', 4284, 'Clientes moneda extranjera', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4287, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4309', 4284, 'Clientes facturas pendientes de formalizar', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4288, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '431', 4283, 'Clientes efectos comerciales a cobrar', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4289, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4310', 4288, 'Efectos comerciales en cartera', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4290, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4311', 4288, 'Efectos comerciales descontados', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4291, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4312', 4288, 'Efectos comerciales en gestión de cobro', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4292, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4315', 4288, 'Efectos comerciales impagados', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4293, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '432', 4283, 'Clientes operaciones de factoring', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4294, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '433', 4283, 'Clientes empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4295, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4330', 4294, 'Clientes empresas del grupo euros', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4296, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4331', 4294, 'Efectos comerciales a cobrar empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4297, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4332', 4294, 'Clientes empresas del grupo operaciones de factoring', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4298, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4334', 4294, 'Clientes empresas del grupo moneda extranjera', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4299, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4336', 4294, 'Clientes empresas del grupo dudoso cobro', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4300, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4337', 4294, 'Envases y embalajes a devolver a clientes empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4301, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4339', 4294, 'Clientes empresas del grupo facturas pendientes de formalizar', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4302, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '434', 4283, 'Clientes empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4303, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '435', 4283, 'Clientes otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4304, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '436', 4283, 'Clientes de dudoso cobro', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4305, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '437', 4283, 'Envases y embalajes a devolver por clientes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4306, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '438', 4283, 'Anticipos de clientes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4307, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '44', 4004, 'Deudores varios', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4308, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '440', 4307, 'Deudores', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4309, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4400', 4308, 'Deudores euros', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4310, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4404', 4308, 'Deudores moneda extranjera', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4311, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4409', 4308, 'Deudores facturas pendientes de formalizar', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4312, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '441', 4307, 'Deudores efectos comerciales a cobrar', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4313, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4410', 4312, 'Deudores efectos comerciales en cartera', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4314, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4411', 4312, 'Deudores efectos comerciales descontados', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4315, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4412', 4312, 'Deudores efectos comerciales en gestión de cobro', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4316, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4415', 4312, 'Deudores efectos comerciales impagados', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4317, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '446', 4307, 'Deudores de dusoso cobro', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4318, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '449', 4307, 'Deudores por operaciones en común', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4319, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '46', 4004, 'Personal', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4320, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '460', 4319, 'Anticipos de renumeraciones', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4321, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '465', 4319, 'Renumeraciones pendientes de pago', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4322, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '47', 4004, 'Administraciones Públicas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4323, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '470', 4322, 'Hacienda Pública deudora por diversos conceptos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4324, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4700', 4323, 'Hacienda Pública deudora por IVA', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4325, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4708', 4323, 'Hacienda Pública deudora por subvenciones concedidas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4326, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4709', 4323, 'Hacienda Pública deudora por devolución de impuestos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4327, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '471', 4322, 'Organismos de la Seguridad Social deudores', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4328, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '472', 4322, 'Hacienda Pública IVA soportado', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4329, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '473', 4322, 'Hacienda Pública retenciones y pagos a cuenta', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4330, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '474', 4322, 'Activos por impuesto diferido', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4331, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4740', 4330, 'Activos por diferencias temporarias deducibles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4332, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4742', 4330, 'Derechos por deducciones y bonificaciones pendientes de aplicar', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4333, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4745', 4330, 'Crédito por pérdidasa compensar del ejercicio', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4334, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '475', 4322, 'Hacienda Pública acreedora por conceptos fiscales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4335, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4750', 4334, 'Hacienda Pública acreedora por IVA', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4336, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4751', 4334, 'Hacienda Pública acreedora por retenciones practicadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4337, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4752', 4334, 'Hacienda Pública acreedora por impuesto sobre sociedades', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4338, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4758', 4334, 'Hacienda Pública acreedora por subvenciones a integrar', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4339, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '476', 4322, 'Organismos de la Seguridad Social acreedores', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4340, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '477', 4322, 'Hacienda Pública IVA repercutido', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4341, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '479', 4322, 'Pasivos por diferencias temporarias imponibles', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4342, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '48', 4004, 'Ajustes por periodificación', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4343, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '480', 4342, 'Gastos anticipados', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4344, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '485', 4342, 'Ingresos anticipados', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4345, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '49', 4004, 'Deterioro de valor de créditos comerciales y provisiones a corto plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4346, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '490', 4345, 'Deterioro de valor de créditos por operaciones comerciales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4347, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '493', 4345, 'Deterioro de valor de créditos por operaciones comerciales con partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4348, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4933', 4347, 'Deterioro de valor de créditos por operaciones comerciales con empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4349, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4934', 4347, 'Deterioro de valor de créditos por operaciones comerciales con empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4350, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4935', 4347, 'Deterioro de valor de créditos por operaciones comerciales con otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4351, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '499', 4345, 'Provisiones por operaciones comerciales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4352, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4994', 4351, 'Provisión para contratos anerosos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4353, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'ACREEDORES_DEUDORES', '4999', 4351, 'Provisión para otras operaciones comerciales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4354, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '50', 4005, 'Emprésitos deudas con características especiales y otras emisiones análogas a corto plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4355, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '500', 4354, 'Obligaciones y bonos a corto plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4356, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '502', 4354, 'Acciones o participaciones a corto plazo consideradas como pasivos financieros', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4357, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '505', 4354, 'Deudas representadas en otros valores negociables a corto plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4358, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '506', 4354, 'Intereses a corto plazo de emprésitos y otras emisiones analógicas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4359, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '507', 4354, 'Dividendos de acciones o participaciones consideradas como pasivos financieros', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4360, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '509', 4354, 'Valores negociables amortizados', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4361, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5090', 4360, 'Obligaciones y bonos amortizados', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4362, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5095', 4360, 'Otros valores negociables amortizados', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4363, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '51', 4005, 'Deudas a corto plazo con partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4364, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '510', 4363, 'Deudas a corto plazo con entidades de crédito vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4365, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5103', 4364, 'Deudas a corto plazo con entidades de crédito empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4366, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5104', 4364, 'Deudas a corto plazo con entidades de crédito empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4367, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5105', 4364, 'Deudas a corto plazo con otras entidades de crédito vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4368, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '511', 4363, 'Proveedores de inmovilizado a corto plazo partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4369, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5113', 4368, 'Proveedores de inmovilizado a corto plazo empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4370, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5114', 4368, 'Proveedores de inmovilizado a corto plazo empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4371, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5115', 4368, 'Proveedores de inmovilizado a corto plazo otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4372, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '512', 4363, 'Acreedores por arrendamiento financiero a corto plazo partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4373, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5123', 4372, 'Acreedores por arrendamiento financiero a corto plazo empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4374, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5124', 4372, 'Acreedores por arrendamiento financiero a corto plazo empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4375, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5125', 4372, 'Acreedores por arrendamiento financiero a corto plazo otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4376, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '513', 4363, 'Otras deudas a corto plazo con partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4377, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5133', 4376, 'Otras deudas a corto plazo con empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4378, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5134', 4376, 'Otras deudas a corto plazo con empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4379, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5135', 4376, 'Otras deudas a corto plazo con partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4380, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '514', 4363, 'Intereses a corto plazo con partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4381, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5143', 4380, 'Intereses a corto plazo empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4382, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5144', 4380, 'Intereses a corto plazo empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4383, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5145', 4380, 'Intereses deudas a corto plazo partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4384, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '52', 4005, 'Deudas a corto plazo por préstamos recibidos y otros conceptos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4385, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '520', 4384, 'Deudas a corto plazo con entidades de crédito', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4386, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5200', 4385, 'Préstamos a corto plazo de entidades de crédito', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4387, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5201', 4385, 'Deudas a corto plazo por crédito dispuesto', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4388, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5208', 4385, 'Deudas por efectos descontados', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4389, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5209', 4385, 'Deudas por operaciones de factoring', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4390, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '521', 4384, 'Deudas a corto plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4391, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '522', 4384, 'Deudas a corto plazo transformables en subvenciones donaciones y legados', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4392, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '523', 4384, 'Proveedores de inmovilizado a corto plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4393, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '526', 4384, 'Dividendo activo a pagar', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4394, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '527', 4384, 'Intereses a corto plazo de deudas con entidades de crédito', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4395, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '528', 4384, 'Intereses a corto plazo de deudas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4396, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '529', 4384, 'Provisiones a corto plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4397, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5291', 4396, 'Provisión a corto plazo para impuestos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4398, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5292', 4396, 'Provisión a corto plazo para otras responsabilidades', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4399, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5293', 4396, 'Provisión a corto plazo por desmantelamiento retiro o rehabilitación del inmovilizado', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4400, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5295', 4396, 'Provisión a corto plazo para actuaciones medioambientales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4401, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '53', 4005, 'Inversiones financieras a corto plazo en partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4402, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '530', 4401, 'Participaciones a corto plazo en partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4403, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5303', 4402, 'Participaciones a corto plazo en empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4404, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5304', 4402, 'Participaciones a corto plazo en empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4405, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5305', 4402, 'Participaciones a corto plazo en otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4406, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '531', 4401, 'Valores representativos de deuda a corto plazo de partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4407, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5313', 4406, 'Valores representativos de deuda a corto plazo de empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4408, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5314', 4406, 'Valores representativos de deuda a corto plazo de empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4409, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5315', 4406, 'Valores representativos de deuda a corto plazo de otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4410, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '532', 4401, 'Créditos a corto plazo a partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4411, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5323', 4410, 'Créditos a corto plazo a empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4412, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5324', 4410, 'Créditos a corto plazo a empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4413, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5325', 4410, 'Créditos a corto plazo a otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4414, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '533', 4401, 'Intereses a corto plazo de valores representativos de deuda de partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4415, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5333', 4414, 'Intereses a corto plazo de valores representativos de deuda en empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4416, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5334', 4414, 'Intereses a corto plazo de valores representativos de deuda en empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4417, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5335', 4414, 'Intereses a corto plazo de valores representativos de deuda en otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4418, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '534', 4401, 'Intereses a corto plazo de créditos a partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4419, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5343', 4418, 'Intereses a corto plazo de créditos a empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4420, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5344', 4418, 'Intereses a corto plazo de créditos a empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4421, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5345', 4418, 'Intereses a corto plazo de créditos a otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4422, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '535', 4401, 'Dividendo a cobrar de inversiones financieras en partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4423, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5353', 4422, 'Dividendo a cobrar de empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4424, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5354', 4422, 'Dividendo a cobrar de empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4425, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5355', 4422, 'Dividendo a cobrar de otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4426, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '539', 4401, 'Desembolsos pendientes sobre participaciones a corto plazo en partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4427, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5393', 4426, 'Desembolsos pendientes sobre participaciones a corto plazo en empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4428, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5394', 4426, 'Desembolsos pendientes sobre participaciones a corto plazo en empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4429, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5395', 4426, 'Desembolsos pendientes sobre participaciones a corto plazo en otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4430, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '54', 4005, 'Otras inversiones financieras a corto plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4431, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '540', 4430, 'Inversiones financieras a corto plazo en instrumentos de patrimonio', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4432, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '541', 4430, 'Valores representativos de deuda a corto plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4433, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '542', 4430, 'Créditos a corto plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4434, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '543', 4430, 'Créditos a corto plazo por enejenación de inmovilizado', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4435, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '544', 4430, 'Créditos a corto plazo al personal', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4436, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '545', 4430, 'Dividendo a cobrar', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4437, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '546', 4430, 'Intereses a corto plazo de valores reprsentativos de deuda', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4438, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '547', 4430, 'Intereses a corto plazo de créditos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4439, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '548', 4430, 'Imposiciones a corto plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4440, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '549', 4430, 'Desembolsos pendientes sobre participaciones en el patrimonio neto a corto plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4441, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '55', 4005, 'Otras cuentas no bancarias', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4442, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '550', 4441, 'Titular de la explotación', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4443, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '551', 4441, 'Cuenta corriente con socios y administradores', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4444, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '552', 4441, 'Cuenta corriente otras personas y entidades vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4445, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5523', 4444, 'Cuenta corriente con empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4446, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5524', 4444, 'Cuenta corriente con empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4447, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5525', 4444, 'Cuenta corriente con otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4448, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '554', 4441, 'Cuenta corriente con uniones temporales de empresas y comunidades de bienes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4449, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '555', 4441, 'Partidas pendientes de aplicación', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4450, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '556', 4441, 'Desembolsos exigidos sobre participaciones en el patrimonio neto', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4451, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5563', 4450, 'Desembolsos exigidos sobre participaciones empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4452, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5564', 4450, 'Desembolsos exigidos sobre participaciones empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4453, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5565', 4450, 'Desembolsos exigidos sobre participaciones otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4454, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5566', 4450, 'Desembolsos exigidos sobre participaciones otras empresas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4455, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '557', 4441, 'Dividendo activo a cuenta', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4456, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '558', 4441, 'Socios por desembolsos exigidos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4457, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5580', 4456, 'Socios por desembolsos exigidos sobre acciones o participaciones ordinarias', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4458, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5585', 4456, 'Socios por desembolsos exigidos sobre acciones o participaciones consideradas como pasivos financieros', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4459, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '559', 4441, 'Derivados financieros a corto plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4460, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5590', 4459, 'Activos por derivados financieros a corto plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4461, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5595', 4459, 'Pasivos por derivados financieros a corto plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4462, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '56', 4005, 'Finanzas y depósitos recibidos y constituidos a corto plazo y ajustes por periodificación', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4463, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '560', 4462, 'Finanzas recibidas a corto plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4464, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '561', 4462, 'Depósitos recibidos a corto plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4465, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '565', 4462, 'Finanzas constituidas a corto plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4466, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '566', 4462, 'Depósitos constituidos a corto plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4467, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '567', 4462, 'Intereses pagados por anticipado', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4468, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '568', 4462, 'Intereses cobrados a corto plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4469, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '57', 4005, 'Tesorería', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4470, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '570', 4469, 'Caja euros', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4471, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '571', 4469, 'Caja moneda extranjera', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4472, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '572', 4469, 'Bancos e instituciones de crédito cc vista euros', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4473, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '573', 4469, 'Bancos e instituciones de crédito cc vista moneda extranjera', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4474, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '574', 4469, 'Bancos e instituciones de crédito cuentas de ahorro euros', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4475, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '575', 4469, 'Bancos e instituciones de crédito cuentas de ahorro moneda extranjera', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4476, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '576', 4469, 'Inversiones a corto plazo de gran liquidez', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4477, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '59', 4005, 'Deterioro del valor de las inversiones financieras a corto plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4478, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '593', 4477, 'Deterioro del valor de participaciones a corto plazo en partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4479, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5933', 4478, 'Deterioro del valor de participaciones a corto plazo en empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4480, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5934', 4478, 'Deterioro del valor de participaciones a corto plazo en empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4481, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5935', 4478, 'Deterioro del valor de participaciones a corto plazo en otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4482, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '594', 4477, 'Deterioro del valor de valores representativos de deuda a corto plazo en partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4483, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5943', 4482, 'Deterioro del valor de valores representativos de deuda a corto plazo en empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4484, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5944', 4482, 'Deterioro del valor de valores representativos de deuda a corto plazo en empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4485, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5945', 4482, 'Deterioro del valor de valores representativos de deuda a corto plazo en otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4486, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '595', 4477, 'Deterioro del valor de créditos a corto plazo en partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4487, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5953', 4486, 'Deterioro del valor de créditos a corto plazo en empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4488, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5954', 4486, 'Deterioro del valor de créditos a corto plazo en empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4489, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '5955', 4486, 'Deterioro del valor de créditos a corto plazo en otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4490, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '596', 4477, 'Deterioro del valor de participaciones a corto plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4491, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '597', 4477, 'Deterioro del valor de valores representativos de deuda a corto plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4492, 1, NULL, '2016-12-01 09:41:10', 'PCG08-PYME', 'CUENTAS_FINANCIERAS', '598', 4477, 'Deterioro de valor de créditos a corto plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4493, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '60', 4006, 'Compras', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4494, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '600', 4493, 'Compras de mercaderías', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4495, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '601', 4493, 'Compras de materias primas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4496, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '602', 4493, 'Compras de otros aprovisionamientos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4497, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '606', 4493, 'Descuentos sobre compras por pronto pago', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4498, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6060', 4497, 'Descuentos sobre compras por pronto pago de mercaderías', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4499, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6061', 4497, 'Descuentos sobre compras por pronto pago de materias primas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4500, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6062', 4497, 'Descuentos sobre compras por pronto pago de otros aprovisionamientos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4501, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '607', 4493, 'Trabajos realizados por otras empresas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4502, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '608', 4493, 'Devoluciones de compras y operaciones similares', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4503, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6080', 4502, 'Devoluciones de compras de mercaderías', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4504, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6081', 4502, 'Devoluciones de compras de materias primas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4505, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6082', 4502, 'Devoluciones de compras de otros aprovisionamientos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4506, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '609', 4493, 'Rappels por compras', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4507, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6090', 4506, 'Rappels por compras de mercaderías', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4508, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6091', 4506, 'Rappels por compras de materias primas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4509, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6092', 4506, 'Rappels por compras de otros aprovisionamientos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4510, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '61', 4006, 'Variación de existencias', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4511, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '610', 4510, 'Variación de existencias de mercaderías', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4512, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '611', 4510, 'Variación de existencias de materias primas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4513, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '612', 4510, 'Variación de existencias de otros aprovisionamientos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4514, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '62', 4006, 'Servicios exteriores', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4515, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '620', 4514, 'Gastos en investigación y desarrollo del ejercicio', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4516, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '621', 4514, 'Arrendamientos y cánones', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4517, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '622', 4514, 'Reparaciones y conservación', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4518, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '623', 4514, 'Servicios profesionales independientes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4519, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '624', 4514, 'Transportes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4520, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '625', 4514, 'Primas de seguros', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4521, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '626', 4514, 'Servicios bancarios y similares', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4522, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '627', 4514, 'Publicidad, propaganda y relaciones públicas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4523, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '628', 4514, 'Suministros', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4524, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '629', 4514, 'Otros servicios', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4525, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '63', 4006, 'Tributos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4526, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '630', 4525, 'Impuesto sobre benecifios', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4527, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6300', 4526, 'Impuesto corriente', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4528, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6301', 4526, 'Impuesto diferido', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4529, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '631', 4525, 'Otros tributos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4530, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '633', 4525, 'Ajustes negativos en la imposición sobre beneficios', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4531, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '634', 4525, 'Ajustes negativos en la imposición indirecta', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4532, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6341', 4531, 'Ajustes negativos en IVA de activo corriente', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4533, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6342', 4531, 'Ajustes negativos en IVA de inversiones', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4534, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '636', 4525, 'Devolución de impuestos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4535, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '638', 4525, 'Ajustes positivos en la imposición sobre beneficios', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4536, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '639', 4525, 'Ajustes positivos en la imposición directa', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4537, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6391', 4536, 'Ajustes positivos en IVA de activo corriente', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4538, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6392', 4536, 'Ajustes positivos en IVA de inversiones', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4539, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '64', 4006, 'Gastos de personal', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4540, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '640', 4539, 'Sueldos y salarios', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4541, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '641', 4539, 'Indemnizaciones', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4542, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '642', 4539, 'Seguridad social a cargo de la empresa', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4543, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '649', 4539, 'Otros gastos sociales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4544, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '65', 4006, 'Otros gastos de gestión', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4545, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '650', 4544, 'Pérdidas de créditos comerciales incobrables', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4546, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '651', 4544, 'Resultados de operaciones en común', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4547, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6510', 4546, 'Beneficio transferido gestor', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4548, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6511', 4546, 'Pérdida soportada participe o asociado no gestor', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4549, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '659', 4544, 'Otras pérdidas en gestión corriente', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4550, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '66', 4006, 'Gastos financieros', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4551, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '660', 4550, 'Gastos financieros por actualización de provisiones', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4552, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '661', 4550, 'Intereses de obligaciones y bonos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4553, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6610', 4452, 'Intereses de obligaciones y bonos a largo plazo empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4554, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6611', 4452, 'Intereses de obligaciones y bonos a largo plazo empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4555, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6612', 4452, 'Intereses de obligaciones y bonos a largo plazo otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4556, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6613', 4452, 'Intereses de obligaciones y bonos a largo plazo otras empresas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL);
INSERT INTO `llx_accounting_account` (`rowid`, `entity`, `datec`, `tms`, `fk_pcg_version`, `pcg_type`, `account_number`, `account_parent`, `label`, `labelshort`, `fk_accounting_category`, `fk_user_author`, `fk_user_modif`, `active`, `reconcilable`, `import_key`, `extraparams`) VALUES
(4557, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6615', 4452, 'Intereses de obligaciones y bonos a corto plazo empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4558, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6616', 4452, 'Intereses de obligaciones y bonos a corto plazo empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4559, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6617', 4452, 'Intereses de obligaciones y bonos a corto plazo otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4560, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6618', 4452, 'Intereses de obligaciones y bonos a corto plazo otras empresas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4561, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '662', 4550, 'Intereses de deudas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4562, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6620', 4561, 'Intereses de deudas empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4563, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6621', 4561, 'Intereses de deudas empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4564, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6622', 4561, 'Intereses de deudas otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4565, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6623', 4561, 'Intereses de deudas con entidades de crédito', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4566, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6624', 4561, 'Intereses de deudas otras empresas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4567, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '663', 4550, 'Pérdidas por valorización de activos y pasivos financieros por su valor razonable', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4568, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '664', 4550, 'Gastos por dividendos de acciones o participaciones consideradas como pasivos financieros', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4569, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6640', 4568, 'Dividendos de pasivos empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4570, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6641', 4568, 'Dividendos de pasivos empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4571, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6642', 4568, 'Dividendos de pasivos otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4572, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6643', 4568, 'Dividendos de pasivos otras empresas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4573, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '665', 4550, 'Intereses por descuento de efectos y operaciones de factoring', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4574, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6650', 4573, 'Intereses por descuento de efectos en entidades de crédito del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4575, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6651', 4573, 'Intereses por descuento de efectos en entidades de crédito asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4576, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6652', 4573, 'Intereses por descuento de efectos en entidades de crédito vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4577, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6653', 4573, 'Intereses por descuento de efectos en otras entidades de crédito', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4578, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6654', 4573, 'Intereses por operaciones de factoring con entidades de crédito del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4579, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6655', 4573, 'Intereses por operaciones de factoring con entidades de crédito asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4580, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6656', 4573, 'Intereses por operaciones de factoring con otras entidades de crédito vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4581, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6657', 4573, 'Intereses por operaciones de factoring con otras entidades de crédito', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4582, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '666', 4550, 'Pérdidas en participaciones y valores representativos de deuda', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4583, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6660', 4582, 'Pérdidas en valores representativos de deuda a largo plazo empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4584, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6661', 4582, 'Pérdidas en valores representativos de deuda a largo plazo empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4585, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6662', 4582, 'Pérdidas en valores representativos de deuda a largo plazo otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4586, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6663', 4582, 'Pérdidas en participaciones y valores representativos de deuda a largo plazo otras empresas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4587, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6665', 4582, 'Pérdidas en participaciones y valores representativos de deuda a corto plazo empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4588, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6666', 4582, 'Pérdidas en participaciones y valores representativos de deuda a corto plazo empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4589, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6667', 4582, 'Pérdidas en valores representativos de deuda a corto plazo otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4590, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6668', 4582, 'Pérdidas en valores representativos de deuda a corto plazo otras empresas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4591, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '667', 4550, 'Pérdidas de créditos no comerciales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4592, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6670', 4591, 'Pérdidas de créditos a largo plazo empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4593, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6671', 4591, 'Pérdidas de créditos a largo plazo empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4594, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6672', 4591, 'Pérdidas de créditos a largo plazo otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4595, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6673', 4591, 'Pérdidas de créditos a largo plazo otras empresas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4596, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6675', 4591, 'Pérdidas de créditos a corto plazo empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4597, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6676', 4591, 'Pérdidas de créditos a corto plazo empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4598, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6677', 4591, 'Pérdidas de créditos a corto plazo otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4599, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6678', 4591, 'Pérdidas de créditos a corto plazo otras empresas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4600, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '668', 4550, 'Diferencias negativas de cambio', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4601, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '669', 4550, 'Otros gastos financieros', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4602, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '67', 4006, 'Pérdidas procedentes de activos no corrientes y gastos excepcionales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4603, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '670', 4602, 'Pérdidas procedentes del inmovilizado intangible', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4604, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '671', 4602, 'Pérdidas procedentes del inmovilizado material', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4605, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '672', 4602, 'Pérdidas procedentes de las inversiones inmobiliarias', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4607, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '673', 4602, 'Pérdidas procedentes de participaciones a largo plazo en partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4608, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6733', 4607, 'Pérdidas procedentes de participaciones a largo plazo empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4609, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6734', 4607, 'Pérdidas procedentes de participaciones a largo plazo empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4610, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6735', 4607, 'Pérdidas procedentes de participaciones a largo plazo otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4611, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '675', 4602, 'Pérdidas por operaciones con obligaciones propias', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4612, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '678', 4602, 'Gastos excepcionales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4613, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '68', 4006, 'Dotaciones para amortizaciones', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4614, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '680', 4613, 'Amortización del inmovilizado intangible', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4615, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '681', 4613, 'Amortización del inmovilizado material', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4616, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '682', 4613, 'Amortización de las inversiones inmobiliarias', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4617, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '69', 4006, 'Pérdidas por deterioro y otras dotaciones', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4618, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '690', 4617, 'Pérdidas por deterioro del inmovilizado intangible', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4619, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '691', 4617, 'Pérdidas por deterioro del inmovilizado material', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4620, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '692', 4617, 'Pérdidas por deterioro de las inversiones inmobiliarias', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4621, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '693', 4617, 'Pérdidas por deterioro de existencias', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4622, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6930', 4621, 'Pérdidas por deterioro de productos terminados y en curso de fabricación', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4623, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6931', 4621, 'Pérdidas por deterioro de mercaderías', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4624, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6932', 4621, 'Pérdidas por deterioro de materias primas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4625, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6933', 4621, 'Pérdidas por deterioro de otros aprovisionamientos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4626, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '694', 4617, 'Pérdidas por deterioro de créditos por operaciones comerciales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4627, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '695', 4617, 'Dotación a la provisión por operaciones comerciales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4628, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6954', 4627, 'Dotación a la provisión por contratos onerosos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4629, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6959', 4628, 'Dotación a la provisión para otras operaciones comerciales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4630, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '696', 4617, 'Pérdidas por deterioro de participaciones y valores representativos de deuda a largo plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4631, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6960', 4630, 'Pérdidas por deterioro de participaciones en instrumentos de patrimonio neto a largo plazo empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4632, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6961', 4630, 'Pérdidas por deterioro de participaciones en instrumentos de patrimonio neto a largo plazo empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4633, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6962', 4630, 'Pérdidas por deterioro de participaciones en instrumentos de patrimonio neto a largo plazo otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4634, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6963', 4630, 'Pérdidas por deterioro de participaciones en instrumentos de patrimonio neto a largo plazo otras empresas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4635, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6965', 4630, 'Pérdidas por deterioro en valores representativos de deuda a largo plazo empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4636, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6966', 4630, 'Pérdidas por deterioro en valores representativos de deuda a largo plazo empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4637, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6967', 4630, 'Pérdidas por deterioro en valores representativos de deuda a largo plazo otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4638, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6968', 4630, 'Pérdidas por deterioro en valores representativos de deuda a largo plazo otras empresas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4639, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '697', 4617, 'Pérdidas por deterioro de créditos a largo plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4640, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6970', 4639, 'Pérdidas por deterioro de créditos a largo plazo empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4641, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6971', 4639, 'Pérdidas por deterioro de créditos a largo plazo empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4642, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6972', 4639, 'Pérdidas por deterioro de créditos a largo plazo otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4643, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6973', 4639, 'Pérdidas por deterioro de créditos a largo plazo otras empresas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4644, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '698', 4617, 'Pérdidas por deterioro de participaciones y valores representativos de deuda a corto plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4645, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6980', 4644, 'Pérdidas por deterioro de participaciones en instrumentos de patrimonio neto a corto plazo empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4646, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6981', 4644, 'Pérdidas por deterioro de participaciones en instrumentos de patrimonio neto a corto plazo empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4647, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6985', 4644, 'Pérdidas por deterioro en valores representativos de deuda a corto plazo empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4648, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6986', 4644, 'Pérdidas por deterioro en valores representativos de deuda a corto plazo empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4649, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6988', 4644, 'Pérdidas por deterioro en valores representativos de deuda a corto plazo de otras empresas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4650, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '699', 4617, 'Pérdidas por deterioro de crédito a corto plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4651, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6990', 4650, 'Pérdidas por deterioro de crédito a corto plazo empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4652, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6991', 4650, 'Pérdidas por deterioro de crédito a corto plazo empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4653, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6992', 4650, 'Pérdidas por deterioro de crédito a corto plazo otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4654, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'EXPENSE', '6993', 4650, 'Pérdidas por deterioro de crédito a corto plazo otras empresas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4655, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '70', 4007, 'Ventas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4656, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '700', 4655, 'Ventas de mercaderías', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4657, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '701', 4655, 'Ventas de productos terminados', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4658, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '702', 4655, 'Ventas de productos semiterminados', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4659, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '703', 4655, 'Ventas de subproductos y residuos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4660, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '704', 4655, 'Ventas de envases y embalajes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4661, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '705', 4655, 'Prestaciones de servicios', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4662, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '706', 4655, 'Descuentos sobre ventas por pronto pago', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4663, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7060', 4662, 'Descuentos sobre ventas por pronto pago de mercaderías', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4664, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7061', 4662, 'Descuentos sobre ventas por pronto pago de productos terminados', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4665, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7062', 4662, 'Descuentos sobre ventas por pronto pago de productos semiterminados', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4666, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7063', 4662, 'Descuentos sobre ventas por pronto pago de subproductos y residuos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4667, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '708', 4655, 'Devoluciones de ventas y operacioes similares', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4668, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7080', 4667, 'Devoluciones de ventas de mercaderías', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4669, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7081', 4667, 'Devoluciones de ventas de productos terminados', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4670, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7082', 4667, 'Devoluciones de ventas de productos semiterminados', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4671, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7083', 4667, 'Devoluciones de ventas de subproductos y residuos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4672, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7084', 4667, 'Devoluciones de ventas de envases y embalajes', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4673, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '71', 4007, 'Variación de existencias', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4674, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '710', 4673, 'Variación de existencias de productos en curso', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4675, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '711', 4673, 'Variación de existencias de productos semiterminados', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4676, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '712', 4673, 'Variación de existencias de productos terminados', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4677, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '713', 4673, 'Variación de existencias de subproductos, residuos y materiales recuperados', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4678, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '73', 4007, 'Trabajos realizados para la empresa', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4679, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '730', 4678, 'Trabajos realizados para el inmovilizado intangible', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4680, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '731', 4678, 'Trabajos realizados para el inmovilizado tangible', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4681, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '732', 4678, 'Trabajos realizados en inversiones inmobiliarias', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4682, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '733', 4678, 'Trabajos realizados para el inmovilizado material en curso', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4683, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '74', 4007, 'Subvenciones, donaciones y legados', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4684, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '740', 4683, 'Subvenciones, donaciones y legados a la explotación', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4685, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '746', 4683, 'Subvenciones, donaciones y legados de capital transferidos al resultado del ejercicio', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4686, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '747', 4683, 'Otras subvenciones, donaciones y legados transferidos al resultado del ejercicio', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4687, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '75', 4007, 'Otros ingresos de gestión', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4688, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '751', 4687, 'Resultados de operaciones en común', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4689, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7510', 4688, 'Pérdida transferida gestor', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4690, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7511', 4688, 'Beneficio atribuido participe o asociado no gestor', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4691, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '752', 4687, 'Ingreso por arrendamiento', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4692, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '753', 4687, 'Ingresos de propiedad industrial cedida en explotación', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4693, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '754', 4687, 'Ingresos por comisiones', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4694, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '755', 4687, 'Ingresos por servicios al personal', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4695, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '759', 4687, 'Ingresos por servicios diversos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4696, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '76', 4007, 'Ingresos financieros', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4697, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '760', 4696, 'Ingresos de participaciones en instrumentos de patrimonio', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4698, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7600', 4697, 'Ingresos de participaciones en instrumentos de patrimonio empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4699, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7601', 4697, 'Ingresos de participaciones en instrumentos de patrimonio empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4700, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7602', 4697, 'Ingresos de participaciones en instrumentos de patrimonio otras partes asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4701, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7603', 4697, 'Ingresos de participaciones en instrumentos de patrimonio otras empresas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4702, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '761', 4696, 'Ingresos de valores representativos de deuda', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4703, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7610', 4702, 'Ingresos de valores representativos de deuda empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4704, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7611', 4702, 'Ingresos de valores representativos de deuda empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4705, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7612', 4702, 'Ingresos de valores representativos de deuda otras partes asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4706, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7613', 4702, 'Ingresos de valores representativos de deuda otras empresas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4707, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '762', 4696, 'Ingresos de créditos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4708, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7620', 4707, 'Ingresos de créditos a largo plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4709, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '76200', 4708, 'Ingresos de crédito a largo plazo empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4710, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '76201', 4708, 'Ingresos de crédito a largo plazo empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4711, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '76202', 4708, 'Ingresos de crédito a largo plazo otras partes asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4712, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '76203', 4708, 'Ingresos de crédito a largo plazo otras empresas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4713, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7621', 4707, 'Ingresos de créditos a corto plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4714, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '76210', 4713, 'Ingresos de crédito a corto plazo empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4715, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '76211', 4713, 'Ingresos de crédito a corto plazo empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4716, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '76212', 4713, 'Ingresos de crédito a corto plazo otras partes asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4717, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '76213', 4713, 'Ingresos de crédito a corto plazo otras empresas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4718, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '763', 4696, 'Beneficios por valorización de activos y pasivos financieros por su valor razonable', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4719, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '766', 4696, 'Beneficios en participaciones y valores representativos de deuda', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4720, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7660', 4719, 'Beneficios en participaciones y valores representativos de deuda a largo plazo empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4721, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7661', 4719, 'Beneficios en participaciones y valores representativos de deuda a largo plazo empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4722, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7662', 4719, 'Beneficios en participaciones y valores representativos de deuda a largo plazo otras partes asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4723, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7663', 4719, 'Beneficios en participaciones y valores representativos de deuda a largo plazo otras empresas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4724, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7665', 4719, 'Beneficios en participaciones y valores representativos de deuda a corto plazo empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4725, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7666', 4719, 'Beneficios en participaciones y valores representativos de deuda a corto plazo empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4726, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7667', 4719, 'Beneficios en participaciones y valores representativos de deuda a corto plazo otras partes asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4727, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7668', 4719, 'Beneficios en participaciones y valores representativos de deuda a corto plazo otras empresas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4728, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '768', 4696, 'Diferencias positivas de cambio', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4729, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '769', 4696, 'Otros ingresos financieros', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4730, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '77', 4007, 'Beneficios procedentes de activos no corrientes e ingresos excepcionales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4731, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '770', 4730, 'Beneficios procedentes del inmovilizado intangible', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4732, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '771', 4730, 'Beneficios procedentes del inmovilizado material', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4733, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '772', 4730, 'Beneficios procedentes de las inversiones inmobiliarias', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4734, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '773', 4730, 'Beneficios procedentes de participaciones a largo plazo en partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4735, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7733', 4734, 'Beneficios procedentes de participaciones a largo plazo empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4736, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7734', 4734, 'Beneficios procedentes de participaciones a largo plazo empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4737, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7735', 4734, 'Beneficios procedentes de participaciones a largo plazo otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4738, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '775', 4730, 'Beneficios por operaciones con obligaciones propias', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4739, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '778', 4730, 'Ingresos excepcionales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4741, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '79', 4007, 'Excesos y aplicaciones de provisiones y pérdidas por deterioro', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4742, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '790', 4741, 'Revisión del deterioro del inmovilizado intangible', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4743, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '791', 4741, 'Revisión del deterioro del inmovilizado material', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4744, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '792', 4741, 'Revisión del deterioro de las inversiones inmobiliarias', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4745, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '793', 4741, 'Revisión del deterioro de las existencias', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4746, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7930', 4745, 'Revisión del deterioro de productos terminados y en curso de fabricación', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4747, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7931', 4745, 'Revisión del deterioro de mercaderías', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4748, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7932', 4745, 'Revisión del deterioro de materias primas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4749, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7933', 4745, 'Revisión del deterioro de otros aprovisionamientos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4750, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '794', 4741, 'Revisión del deterioro de créditos por operaciones comerciales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4751, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '795', 4741, 'Exceso de provisiones', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4752, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7951', 4751, 'Exceso de provisión para impuestos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4753, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7952', 4751, 'Exceso de provisión para otras responsabilidades', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4755, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7954', 4751, 'Exceso de provisión para operaciones comerciales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4756, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '79544', 4755, 'Exceso de provisión por contratos onerosos', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4757, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '79549', 4755, 'Exceso de provisión para otras operaciones comerciales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4758, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7955', 4751, 'Exceso de provisión para actuaciones medioambienteales', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4759, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '796', 4741, 'Revisión del deterioro de participaciones y valores representativos de deuda a largo plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4760, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7960', 4759, 'Revisión del deterioro de participaciones en instrumentos de patrimonio neto a largo plazo empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4761, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7961', 4759, 'Revisión del deterioro de participaciones en instrumentos de patrimonio neto a largo plazo empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4762, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7962', 4759, 'Revisión del deterioro de participaciones en instrumentos de patrimonio neto a largo plazo otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4763, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7963', 4759, 'Revisión del deterioro de participaciones en instrumentos de patrimonio neto a largo plazo otras empresas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4764, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7965', 4759, 'Revisión del deterioro de valores representativos a largo plazo empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4765, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7966', 4759, 'Revisión del deterioro de valores representativos a largo plazo empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4766, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7967', 4759, 'Revisión del deterioro de valores representativos a largo otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4767, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7968', 4759, 'Revisión del deterioro de valores representativos a largo plazo otras empresas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4768, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '797', 4741, 'Revisión del deterioro de créditos a largo plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4769, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7970', 4768, 'Revisión del deterioro de créditos a largo plazo empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4770, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7971', 4768, 'Revisión del deterioro de créditos a largo plazo empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4771, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7972', 4768, 'Revisión del deterioro de créditos a largo plazo otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4772, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7973', 4768, 'Revisión del deterioro de créditos a largo plazo otras empresas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4773, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '798', 4741, 'Revisión del deterioro de participaciones y valores representativos de deuda a corto plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4774, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7980', 4773, 'Revisión del deterioro de participaciones en instrumentos de patrimonio neto a corto plazo empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4775, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7981', 4773, 'Revisión del deterioro de participaciones en instrumentos de patrimonio neto a corto plazo empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4776, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7985', 4773, 'Revisión del deterioro de valores representativos de deuda a corto plazo empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4777, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7986', 4773, 'Revisión del deterioro de valores representativos de deuda a corto plazo empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4778, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7987', 4773, 'Revisión del deterioro de valores representativos de deuda a corto plazo otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4779, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7988', 4773, 'Revisión del deterioro de valores representativos de deuda a corto plazo otras empresas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4780, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '799', 4741, 'Revisión del deterioro de créditos a corto plazo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4781, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7990', 4780, 'Revisión del deterioro de créditos a corto plazo empresas del grupo', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4782, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7991', 4780, 'Revisión del deterioro de créditos a corto plazo empresas asociadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4783, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7992', 4780, 'Revisión del deterioro de créditos a corto plazo otras partes vinculadas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL),
(4784, 1, NULL, '2019-03-02 19:26:30', 'PCG08-PYME', 'INCOME', '7993', 4780, 'Revisión del deterioro de créditos a corto plazo otras empresas', NULL, 0, NULL, NULL, 1, 0, NULL, NULL);
