
-- --------------------------------------------------------

--
-- Structure de la table `llx_bank`
--

CREATE TABLE `llx_bank` (
  `rowid` int(11) NOT NULL,
  `datec` datetime DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `datev` date DEFAULT NULL,
  `dateo` date DEFAULT NULL,
  `amount` double(24,8) NOT NULL DEFAULT '0.00000000',
  `label` varchar(255) DEFAULT NULL,
  `fk_account` int(11) DEFAULT NULL,
  `fk_user_author` int(11) DEFAULT NULL,
  `fk_user_rappro` int(11) DEFAULT NULL,
  `fk_type` varchar(6) DEFAULT NULL,
  `num_releve` varchar(50) DEFAULT NULL,
  `num_chq` varchar(50) DEFAULT NULL,
  `rappro` tinyint(4) DEFAULT '0',
  `note` text,
  `fk_bordereau` int(11) DEFAULT '0',
  `banque` varchar(255) DEFAULT NULL,
  `emetteur` varchar(255) DEFAULT NULL,
  `author` varchar(40) DEFAULT NULL,
  `numero_compte` varchar(32) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Déchargement des données de la table `llx_bank`
--

INSERT INTO `llx_bank` (`rowid`, `datec`, `tms`, `datev`, `dateo`, `amount`, `label`, `fk_account`, `fk_user_author`, `fk_user_rappro`, `fk_type`, `num_releve`, `num_chq`, `rappro`, `note`, `fk_bordereau`, `banque`, `emetteur`, `author`, `numero_compte`) VALUES
(1, '2017-06-20 13:24:39', '2017-06-20 09:24:39', '2017-06-20', '2017-06-20', 0.00000000, '(Solde initial)', 1, 11, NULL, 'SOLD', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL),
(2, '2017-09-05 13:51:50', '2018-07-16 14:38:20', '2017-08-31', '2017-08-31', 2589.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 1, NULL, 'REBORN SAFETY SAS', NULL, NULL),
(3, '2017-09-08 10:05:44', '2018-07-16 14:37:54', '2017-07-20', '2017-07-20', 1650.00000000, '(CustomerInvoicePayment)', 2, 5, NULL, 'CHQ', '1', NULL, 1, NULL, 1, NULL, 'SARL CERAMCAD', NULL, NULL),
(4, '2017-09-11 16:21:24', '2018-07-16 14:39:00', '2017-09-08', '2017-09-08', 53399.99000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'COOPERATIVE LA DAUPHINOISE', NULL, NULL),
(5, '2017-09-11 16:23:35', '2018-07-16 14:38:39', '2017-09-07', '2017-09-07', 395.94000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'MECA INDUSTRIE', NULL, NULL),
(6, '2017-09-12 09:50:46', '2018-07-16 14:39:15', '2017-09-11', '2017-09-11', 645.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'NEWSCOM', NULL, NULL),
(7, '2017-09-13 10:46:01', '2018-07-16 14:39:33', '2017-09-12', '2017-09-12', 11400.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'LOCAM SAS', NULL, NULL),
(8, '2017-09-18 17:25:42', '2018-07-16 14:38:50', '2017-09-07', '2017-09-07', 395.94000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL),
(9, '2017-09-21 13:49:21', '2018-07-16 14:39:52', '2017-09-15', '2017-09-15', 1942.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 2, NULL, 'REBORN SAFETY SAS', NULL, NULL),
(10, '2017-09-26 08:58:43', '2018-07-16 14:41:00', '2017-09-26', '2017-09-26', -4369.19000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL),
(11, '2017-10-02 10:27:21', '2018-07-18 12:31:03', '2017-10-02', '2017-10-02', 822.63000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'TELENCO', NULL, NULL),
(12, '2017-10-02 10:28:32', '2018-07-18 12:29:48', '2017-09-29', '2017-09-29', 1057.16000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, NULL),
(13, '2017-10-02 10:30:32', '2018-07-18 12:30:20', '2017-09-29', '2017-09-29', 0.75000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, NULL),
(14, '2017-10-02 10:31:40', '2018-07-18 12:30:37', '2017-09-29', '2017-09-29', 661.36000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'IDEC', NULL, NULL),
(15, '2017-10-02 10:32:33', '2018-07-18 12:30:51', '2017-09-29', '2017-09-29', 1699.17000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'COVAL', NULL, NULL),
(16, '2017-10-03 09:52:23', '2018-07-18 12:32:13', '2017-10-03', '2017-10-03', 805.87000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SICAL CELTA SAINT HILAIRE', NULL, NULL),
(17, '2017-10-03 09:53:02', '2018-07-18 12:32:23', '2017-10-03', '2017-10-03', 1195.36000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'MOLTENI GRPE ELECTROLUX SAS', NULL, NULL),
(18, '2017-10-03 09:56:08', '2018-07-18 12:31:14', '2017-10-02', '2017-10-02', -4885.13000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL),
(19, '2017-10-03 09:58:13', '2018-07-18 12:31:26', '2017-10-02', '2017-10-02', -799.67000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL),
(20, '2017-10-03 09:59:28', '2018-07-18 12:31:40', '2017-10-02', '2017-10-02', -2865.23000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL),
(21, '2017-10-03 10:00:44', '2018-07-18 12:32:01', '2017-10-02', '2017-10-02', -5120.32000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL),
(22, '2017-10-04 09:24:31', '2018-07-18 12:32:34', '2017-10-03', '2017-10-03', -684.28000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL),
(23, '2017-10-06 09:11:04', '2018-07-18 12:34:34', '2017-10-06', '2017-10-06', 395.94000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL),
(24, '2017-10-06 09:12:37', '2018-07-18 12:34:07', '2017-10-04', '2017-10-04', 612.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'Les Forestiers RICHARDS FILS', NULL, NULL),
(25, '2017-10-06 09:13:53', '2018-07-18 12:32:49', '2017-10-03', '2017-10-03', 634.63000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 2, NULL, 'INNODEC', NULL, NULL),
(26, '2017-10-06 09:14:41', '2018-07-18 12:33:02', '2017-10-03', '2017-10-03', 399.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 2, NULL, 'PEILLET MACH. AGRICOLES', NULL, NULL),
(27, '2017-10-06 09:15:29', '2018-07-18 12:33:18', '2017-10-03', '2017-10-03', 102.21000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 2, NULL, 'TRANSPORTS JULLIEN', NULL, NULL),
(28, '2017-10-06 09:16:17', '2018-07-18 12:33:34', '2017-10-03', '2017-10-03', 1097.49000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 2, NULL, 'DELPHINOIX', NULL, NULL),
(29, '2017-10-09 09:28:11', '2018-07-18 12:34:46', '2017-10-09', '2017-10-09', 28224.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'HUILERIE DE CHAMBARAND', NULL, NULL),
(30, '2017-10-09 09:37:24', '2018-07-18 12:34:18', '2017-10-05', '2017-10-05', 2534.55000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 2, NULL, 'HARMONYL 2', NULL, NULL),
(31, '2017-10-09 15:51:52', '2020-07-21 08:51:34', '2016-10-16', '2016-10-15', 270.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 2, NULL, 'SARL BERARD TP', NULL, NULL),
(33, '2017-10-11 08:48:20', '2018-07-18 12:33:44', '2017-10-03', '2017-10-03', 2702.26000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 2, NULL, 'LA DRAGEE DE VALENCE', NULL, NULL),
(34, '2017-10-16 09:08:11', '2018-07-18 12:35:08', '2017-10-13', '2017-10-13', -5996.14000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL),
(35, '2017-10-16 09:16:42', '2018-07-18 12:35:32', '2017-10-13', '2017-10-13', -5349.23000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, NULL),
(36, '2017-10-16 09:36:57', '2018-07-18 12:35:44', '2017-10-13', '2017-10-13', 476.03000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'RTCI', NULL, NULL),
(37, '2017-10-17 10:03:32', '2018-07-18 12:36:42', '2017-10-17', '2017-10-17', 5160.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SEBM', NULL, NULL),
(38, '2017-10-17 10:04:08', '2018-07-18 12:35:56', '2017-10-16', '2017-10-16', 1162.27000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'COOPERATIVE LA DAUPHINOISE', NULL, NULL),
(39, '2017-10-17 10:04:47', '2018-07-18 12:36:08', '2017-10-16', '2017-10-16', 1100.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'GIRAUD-DELAY CONSTRUCTIONS METALLIQUES', NULL, NULL),
(40, '2017-10-18 09:16:37', '2018-07-18 12:36:18', '2017-10-16', '2017-10-16', 3822.36000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 3, NULL, 'SARL CERAMCAD', NULL, NULL),
(41, '2017-10-18 09:17:44', '2018-07-18 12:36:29', '2017-10-16', '2017-10-16', 2125.74000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 3, NULL, 'REBORN SAFETY SAS', NULL, NULL),
(42, '2017-10-19 17:17:40', '2018-07-18 12:36:54', '2017-10-19', '2017-10-19', 615.76000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 3, NULL, 'BRILLA GILLES CHAUDRONNERIE', NULL, NULL),
(43, '2017-10-20 12:01:12', '2018-07-18 12:37:04', '2017-10-20', '2017-10-20', 3643.16000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'RCR PRODUCTION FRANCE', NULL, NULL),
(44, '2017-10-23 15:46:21', '2018-07-18 12:37:17', '2017-10-20', '2017-10-20', 544.30000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'LOCAM SAS', NULL, NULL),
(45, '2017-10-26 13:15:00', '2018-07-18 12:38:00', '2017-10-26', '2017-10-26', 693.41000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'LUCE Hydro', NULL, ''),
(46, '2017-10-30 09:11:36', '2018-07-18 12:38:14', '2017-10-27', '2017-10-27', 5843.65000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 4, NULL, 'CROS PERE ET FILS 07 DESAIGNES', NULL, ''),
(47, '2017-10-30 09:15:47', '2018-07-18 12:38:29', '2017-10-30', '2017-10-30', 76.61000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'EPIDAURE', NULL, ''),
(48, '2017-10-31 09:03:54', '2018-07-18 12:38:57', '2017-10-31', '2017-10-31', 1574.74000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'CAPAG', NULL, ''),
(49, '2017-10-31 09:04:36', '2018-07-18 12:38:44', '2017-10-30', '2017-10-30', 791.42000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'FACEO FM CENTRE EST', NULL, ''),
(50, '2017-10-31 09:07:51', '2018-07-18 12:37:30', '2017-10-20', '2017-10-20', 272.15000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(51, '2017-10-31 09:11:31', '2018-07-16 14:40:42', '2017-09-15', '2017-09-15', 2730.15000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 4, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(52, '2017-10-31 09:14:10', '2018-07-18 12:37:44', '2017-10-20', '2017-10-20', 0.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'RCR PRODUCTION FRANCE', NULL, ''),
(53, '2017-10-31 11:17:40', '2018-07-18 12:39:12', '2017-10-31', '2017-10-31', -257.23000000, '(CustomerInvoicePaymentBack)', 2, 5, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(54, '2017-11-02 18:06:27', '2018-07-18 12:39:24', '2017-10-31', '2017-10-31', 1489.04000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'LAMBERT MECANIQUE', NULL, ''),
(55, '2017-11-02 18:08:36', '2018-07-18 12:40:15', '2017-11-01', '2017-11-01', 124.42000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'IRT M2P', NULL, ''),
(56, '2017-11-02 18:10:35', '2018-07-18 12:40:28', '2017-11-02', '2017-11-02', 446.12000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'AIR PN', NULL, ''),
(57, '2017-11-02 18:14:49', '2018-07-18 12:39:37', '2017-10-31', '2017-10-31', 447.17000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'PONCIN', NULL, ''),
(58, '2017-11-03 08:59:20', '2018-07-18 12:41:06', '2017-11-03', '2017-11-03', 186.02000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SIBELCO', NULL, ''),
(59, '2017-11-03 09:28:17', '2018-07-18 12:40:43', '2017-11-02', '2017-11-02', 1153.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'TGCP MAESTRO GRANDE CUISINE', NULL, ''),
(60, '2017-11-06 09:13:28', '2018-07-18 12:42:09', '2017-11-06', '2017-11-06', 1366.19000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'BONTOUT', NULL, ''),
(61, '2017-11-06 09:14:32', '2018-07-18 12:41:21', '2017-11-03', '2017-11-03', 1564.45000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'FCA', NULL, ''),
(62, '2017-11-06 09:15:45', '2018-07-18 12:40:54', '2017-11-02', '2017-11-02', 165.37000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 4, NULL, 'DROME ARDECHE INDUSTRIE BTP', NULL, ''),
(63, '2017-11-06 09:18:33', '2018-07-18 12:39:49', '2017-10-31', '2017-10-31', 257.23000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'BERNARD ROYAL DAUPHINE', NULL, ''),
(64, '2017-11-06 09:52:02', '2018-07-18 12:41:33', '2017-11-03', '2017-11-03', -4492.75000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(65, '2017-11-07 09:22:46', '2018-07-18 12:43:22', '2017-11-07', '2017-11-07', 1647.61000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'EBG COMPOSITE', NULL, ''),
(66, '2017-11-07 09:23:36', '2018-07-18 12:43:34', '2017-11-07', '2017-11-07', 76.61000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'COURBIS SILICONES', NULL, ''),
(67, '2017-11-07 09:36:13', '2018-07-18 12:42:22', '2017-11-06', '2017-11-06', 395.94000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(68, '2017-11-07 09:44:05', '2018-07-18 12:42:35', '2017-11-06', '2017-11-06', 1295.70000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SEBM', NULL, ''),
(69, '2017-11-08 09:14:23', '2018-07-18 12:43:45', '2017-11-08', '2017-11-08', 1129.72000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(70, '2017-11-08 09:15:24', '2018-07-18 12:42:46', '2017-11-06', '2017-11-06', 1363.78000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 4, NULL, 'CIRAM SAS', NULL, ''),
(71, '2017-11-08 09:16:21', '2018-07-18 12:42:58', '2017-11-06', '2017-11-06', 472.07000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 4, NULL, 'CARROSSERIE PACHOT', NULL, ''),
(72, '2017-11-08 09:17:11', '2018-07-18 12:41:58', '2017-11-04', '2017-11-04', 1224.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 4, NULL, 'UDT MECA', NULL, ''),
(73, '2017-11-08 09:18:13', '2018-07-18 12:41:47', '2017-11-03', '2017-11-03', 211.42000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 4, NULL, 'PEILLET MACH. AGRICOLES', NULL, ''),
(74, '2017-11-08 09:19:58', '2018-07-18 12:43:09', '2017-11-06', '2017-11-06', 330.00000000, 'Règlement client', 2, 8, NULL, 'CHQ', '1', '', 1, NULL, 4, '', 'SARL CERAMCAD', NULL, ''),
(75, '2017-11-09 13:36:00', '2018-07-18 12:43:57', '2017-11-08', '2017-11-08', -2301.17000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(76, '2017-11-09 13:38:50', '2018-07-18 12:44:07', '2017-11-08', '2017-11-08', -4880.06000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(77, '2017-11-09 16:48:56', '2018-07-18 12:44:17', '2017-11-09', '2017-11-09', 330.00000000, '(CustomerInvoicePayment)', 2, 5, NULL, 'CB', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(78, '2017-11-09 16:49:13', '2018-07-18 12:44:27', '2017-11-09', '2017-11-09', -660.00000000, '(CustomerInvoicePayment)', 2, 5, NULL, 'CB', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(79, '2017-11-10 09:47:45', '2018-07-18 12:44:39', '2017-11-09', '2017-11-09', 4572.68000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 4, NULL, 'TISSAGES SAFADI RHODANIENS', NULL, ''),
(80, '2017-11-10 09:48:44', '2018-07-18 12:44:50', '2017-11-09', '2017-11-09', 285.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 4, NULL, 'SAS CHEVAL MAINTENANCE', NULL, ''),
(81, '2017-11-13 10:52:23', '2018-07-18 12:45:19', '2017-11-10', '2017-11-10', -1291.55000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(82, '2017-11-13 10:54:16', '2018-07-18 12:45:37', '2017-11-10', '2017-11-10', -862.92000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(83, '2017-11-13 10:56:28', '2018-07-18 12:45:01', '2017-11-09', '2017-11-09', 612.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 4, NULL, 'Christophe Garnier', NULL, ''),
(84, '2017-11-13 11:00:21', '2018-07-18 12:45:47', '2017-11-10', '2017-11-10', 484.55000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'VALSOLEIL (CENTRE CONDITIONNEMENT FRUITS LEGUMES)', NULL, ''),
(85, '2017-11-15 09:15:25', '2018-07-18 12:45:59', '2017-11-15', '2017-11-15', 1794.21000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(86, '2017-11-15 09:16:31', '2018-07-18 12:46:11', '2017-11-15', '2017-11-15', 909.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SORHOFROID SITE DE CHASSE', NULL, ''),
(87, '2017-11-16 13:58:59', '2018-07-18 12:46:22', '2017-11-16', '2017-11-16', 821.42000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 4, NULL, 'SCIERIE DE LA VALLEE DU DOUX', NULL, ''),
(88, '2017-11-16 13:59:54', '2018-07-18 12:46:32', '2017-11-16', '2017-11-16', 44.50000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 4, NULL, 'LE DIAMANT NOIR', NULL, ''),
(89, '2017-11-16 14:01:17', '2018-07-18 12:46:43', '2017-11-16', '2017-11-16', 944.58000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SAS PROCYL COLORS', NULL, ''),
(90, '2017-11-16 14:01:57', '2018-07-18 12:46:55', '2017-11-16', '2017-11-16', 602.40000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'EXSTO THERMOPLASTICS', NULL, ''),
(91, '2017-11-16 14:02:32', '2018-07-18 12:47:05', '2017-11-16', '2017-11-16', 170.90000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'BOURBON AUTOMOTIVE PLASTICS', NULL, ''),
(92, '2017-11-20 09:51:57', '2018-07-18 12:40:00', '2017-10-31', '2017-10-31', 5814.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'MODELAGE CONCEPT SARL', NULL, ''),
(93, '2017-11-20 16:13:17', '2018-07-18 12:34:57', '2017-10-09', '2017-10-09', 1407.40000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 4, NULL, 'TRANSPORTS JULLIEN', NULL, ''),
(94, '2017-11-22 09:08:52', '2018-07-18 12:47:28', '2017-11-20', '2017-11-20', 291.27000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 4, NULL, 'SCIERIE COMBALOT SAS', NULL, ''),
(95, '2017-11-22 09:09:42', '2018-07-18 12:47:39', '2017-11-20', '2017-11-20', 1174.32000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 4, NULL, 'Les Forestiers RICHARDS FILS', NULL, ''),
(96, '2017-11-22 09:15:40', '2018-07-04 14:35:29', '2017-07-03', '2017-07-03', 575.47000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 4, NULL, 'LE SOULIER FRANCAIS', NULL, ''),
(97, '2017-11-23 13:47:35', '2018-07-18 12:48:29', '2017-11-23', '2017-11-23', 2353.21000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'KERRY INGREDIENTS & FLAVOURS', NULL, ''),
(98, '2017-11-23 13:48:14', '2018-07-18 12:47:51', '2017-11-22', '2017-11-22', 272.15000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(99, '2017-11-23 13:49:01', '2018-07-18 12:48:38', '2017-11-23', '2017-11-23', 307.49000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 4, NULL, 'HARMONYL 2', NULL, ''),
(100, '2017-11-23 13:49:58', '2018-07-18 12:48:50', '2017-11-23', '2017-11-23', 4222.21000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 4, NULL, 'TRANSPORTS JULLIEN', NULL, ''),
(101, '2017-11-23 16:46:25', '2018-07-18 12:48:04', '2017-11-22', '2017-11-22', -1540.80000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(102, '2017-11-23 16:48:15', '2018-07-18 12:48:17', '2017-11-22', '2017-11-22', -2001.24000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(103, '2017-11-24 09:37:35', '2018-07-18 12:49:01', '2017-11-23', '2017-11-23', 5338.40000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'EXSTO THERMOPLASTICS', NULL, ''),
(104, '2017-11-28 09:11:54', '2018-07-18 12:47:17', '2017-11-16', '2017-11-16', 247.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'NEWSCOM', NULL, ''),
(105, '2017-11-29 09:57:06', '2018-07-18 12:49:12', '2017-11-28', '2017-11-28', 38664.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(106, '2017-11-29 09:57:55', '2018-07-18 12:49:24', '2017-11-28', '2017-11-28', 1066.19000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'DUMG', NULL, ''),
(107, '2017-12-01 11:02:27', '2018-07-18 12:50:02', '2017-12-01', '2017-12-01', 1793.63000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'PODIS', NULL, ''),
(108, '2017-12-01 11:05:56', '2018-07-18 13:10:43', '2017-12-30', '2017-12-30', 690.08000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'CMS CONCEPT METAL SERVICE', NULL, ''),
(109, '2017-12-01 11:06:33', '2018-07-18 12:49:37', '2017-11-30', '2017-11-30', 327.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'COVAL', NULL, ''),
(110, '2017-12-01 11:08:02', '2018-07-18 12:50:26', '2017-12-01', '2017-12-01', 166.13000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'PONCIN', NULL, ''),
(111, '2017-12-01 11:09:32', '2018-07-18 12:52:08', '2017-12-01', '2017-12-01', 3080.96000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'TRANSALP', NULL, ''),
(112, '2017-12-01 11:10:50', '2018-07-18 12:52:35', '2017-12-01', '2017-12-01', -240.00000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(113, '2017-12-01 11:11:46', '2018-07-18 12:52:54', '2017-12-01', '2017-12-01', 156.62000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'LUCE Hydro', NULL, ''),
(114, '2017-12-01 11:12:15', '2018-07-18 12:53:06', '2017-12-01', '2017-12-01', 880.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'JARS CERAMISTES', NULL, ''),
(115, '2017-12-01 11:13:14', '2018-07-18 12:49:49', '2017-11-30', '2017-11-30', 291.03000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'AIR PN', NULL, ''),
(116, '2017-12-04 17:29:34', '2018-07-18 12:57:40', '2017-12-04', '2017-12-04', 648.70000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'CROS PERE ET FILS 07 DESAIGNES', NULL, ''),
(117, '2017-12-04 17:30:24', '2018-07-18 12:55:12', '2017-12-01', '2017-12-01', 271.66000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'NORHAM', NULL, ''),
(118, '2017-12-04 17:32:40', '2018-07-18 12:55:30', '2017-12-01', '2017-12-01', -5033.09000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(119, '2017-12-04 17:35:27', '2018-07-18 12:56:58', '2017-12-01', '2017-12-01', -5348.04000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(120, '2017-12-05 09:33:00', '2018-07-18 13:00:30', '2017-12-05', '2017-12-05', 395.94000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(121, '2017-12-05 09:34:16', '2018-07-18 12:58:02', '2017-12-04', '2017-12-04', 10820.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'INSOFT', NULL, ''),
(122, '2017-12-05 09:34:56', '2018-07-18 12:58:42', '2017-12-04', '2017-12-04', 557.97000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'ROMANS TRUCKS', NULL, ''),
(123, '2017-12-06 12:17:34', '2018-07-18 12:59:03', '2017-12-04', '2017-12-04', 603.40000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 5, NULL, 'FUMAS SCIERIE', NULL, ''),
(124, '2017-12-11 10:00:30', '2018-07-18 13:01:29', '2017-12-08', '2017-12-08', 1427.81000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 5, NULL, 'SMS', NULL, ''),
(125, '2017-12-11 10:01:13', '2018-07-18 13:00:59', '2017-12-07', '2017-12-07', 984.44000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 5, NULL, 'PEILLET MACH. AGRICOLES', NULL, ''),
(126, '2017-12-11 10:01:58', '2018-07-18 13:01:16', '2017-12-07', '2017-12-07', 299.88000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 5, NULL, 'DF EMBALLAGES', NULL, ''),
(127, '2017-12-12 11:42:14', '2018-07-18 13:02:06', '2017-12-11', '2017-12-11', 3561.98000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SFPA Institut de Sélection Animale – ISA SAS', NULL, ''),
(128, '2017-12-12 11:42:52', '2018-07-18 13:02:17', '2017-12-11', '2017-12-11', 365.94000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SIMGA', NULL, ''),
(129, '2017-12-13 09:03:26', '2018-07-18 13:02:38', '2017-12-11', '2017-12-11', 252.49000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 6, NULL, 'TTI ROCHETAILLE EMAIL SARL', NULL, ''),
(130, '2017-12-13 09:04:08', '2018-07-18 13:03:10', '2017-12-11', '2017-12-11', 1265.37000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 6, NULL, 'FIGUET MECANIQUE SARL', NULL, ''),
(131, '2017-12-13 09:05:44', '2018-07-18 13:03:33', '2017-12-11', '2017-12-11', 654.55000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 6, NULL, 'AMR', NULL, ''),
(132, '2017-12-13 11:11:43', '2018-07-18 13:03:48', '2017-12-12', '2017-12-12', 15600.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 7, NULL, 'EUROVIA  DALA', NULL, ''),
(133, '2017-12-13 11:14:40', '2018-07-18 12:33:55', '2017-10-03', '2017-10-03', 1042.68000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'ABURA SARL', NULL, ''),
(134, '2017-12-14 13:38:45', '2018-07-18 13:04:01', '2017-12-14', '2017-12-14', 3236.72000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'PRISME MECA', NULL, ''),
(135, '2017-12-14 13:39:23', '2018-07-18 13:04:20', '2017-12-14', '2017-12-14', 3101.99000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'Drom Pneus Point\'s Bourg De Peage By BONHOMME', NULL, ''),
(136, '2017-12-14 13:40:03', '2018-07-18 13:04:34', '2017-12-14', '2017-12-14', 720.22000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'DESGRANGES SARL', NULL, ''),
(137, '2017-12-14 13:41:57', '2018-07-18 13:04:51', '2017-12-14', '2017-12-14', -10771.87000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(138, '2017-12-15 16:25:43', '2018-07-18 13:05:19', '2017-12-15', '2017-12-15', 1688.84000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'MPG', NULL, ''),
(139, '2017-12-15 16:26:36', '2018-07-18 13:05:02', '2017-12-14', '2017-12-14', 1104.72000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 8, NULL, 'Vos Idées Plastiques', NULL, ''),
(140, '2017-12-15 16:27:31', '2018-07-18 13:05:35', '2017-12-15', '2017-12-15', 244.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(141, '2017-12-15 16:28:22', '2018-07-18 13:05:47', '2017-12-15', '2017-12-15', 799.05000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(142, '2017-12-18 11:24:55', '2018-07-18 13:06:18', '2017-12-18', '2017-12-18', 1884.76000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'RENNER GMBH KOMPRESSOREN', NULL, ''),
(143, '2017-12-18 11:25:28', '2018-07-18 13:06:37', '2017-12-18', '2017-12-18', 2880.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'BOISSET TP (SARL)', NULL, ''),
(144, '2017-12-18 11:26:10', '2018-07-18 13:06:51', '2017-12-18', '2017-12-18', 3942.30000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'EXSTO', NULL, ''),
(145, '2017-12-18 11:32:24', '2018-07-18 13:06:02', '2017-12-15', '2017-12-15', 654.68000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 9, NULL, 'BARBIER', NULL, ''),
(146, '2017-12-21 13:27:47', '2018-07-18 13:07:03', '2017-12-21', '2017-12-21', 5539.61000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'CROS PERE ET FILS 07 DESAIGNES', NULL, ''),
(147, '2017-12-21 13:28:21', '2018-07-18 13:07:16', '2017-12-21', '2017-12-21', 167.04000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'RCR PRODUCTION FRANCE', NULL, ''),
(148, '2017-12-21 13:29:50', '2018-07-18 13:07:32', '2017-12-21', '2017-12-21', 2271.52000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'CIBOX SITE GRANGES ET PORTES', NULL, ''),
(149, '2017-12-21 17:10:38', '2018-07-18 13:07:44', '2017-12-21', '2017-12-21', 272.15000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(150, '2017-12-22 10:10:58', '2018-07-18 13:07:59', '2017-12-22', '2017-12-22', 103.44000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'MIC ( MONTAGE INDUSTRIEL ET CHAUDRONNERIE )', NULL, ''),
(151, '2017-12-22 10:11:48', '2018-07-18 13:08:17', '2017-12-22', '2017-12-22', 1315.55000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'PIERRE PUILLET SIGNALETIQUE', NULL, ''),
(152, '2017-12-26 11:01:44', '2018-07-18 13:08:31', '2017-12-22', '2017-12-22', 1051.68000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'PSI', NULL, ''),
(153, '2017-12-26 11:30:55', '2018-07-18 13:08:50', '2017-12-26', '2017-12-26', -651.73000000, '(CustomerInvoicePaymentBack)', 2, 5, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(154, '2017-12-28 11:50:09', '2018-07-18 13:09:07', '2017-12-28', '2017-12-28', 629.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'MMD', NULL, ''),
(155, '2017-12-29 09:46:46', '2018-07-18 13:09:58', '2017-12-29', '2017-12-29', 736.68000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'EUROVIA  DALA', NULL, ''),
(156, '2017-12-29 09:47:25', '2018-07-18 13:09:22', '2017-12-28', '2017-12-28', 531.39000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 10, NULL, 'GUICHARD RODAGE', NULL, ''),
(157, '2018-01-02 10:18:47', '2018-07-18 13:11:02', '2018-01-02', '2018-01-02', 1031.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'DROME ARDECHE INDUSTRIE BTP', NULL, ''),
(158, '2018-01-02 10:19:41', '2018-07-18 13:11:19', '2018-01-02', '2018-01-02', 26400.01000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'TRUCKS SOLUTIONS ST VALLIER', NULL, ''),
(159, '2018-01-02 10:21:06', '2018-07-18 13:09:41', '2017-12-28', '2017-12-28', 911.27000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'TISSAGES SAFADI RHODANIENS', NULL, ''),
(160, '2018-01-03 09:29:21', '2018-07-18 13:12:29', '2018-01-02', '2018-01-02', 191.52000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'TECHNOCOLOR', NULL, ''),
(161, '2018-01-03 09:30:37', '2018-07-18 13:12:44', '2018-01-02', '2018-01-02', 1254.66000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'COOPERATIVE LA DAUPHINOISE', NULL, ''),
(162, '2018-01-03 09:31:53', '2018-07-18 13:13:04', '2018-01-02', '2018-01-02', -17303.07000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(163, '2018-01-04 13:34:14', '2018-07-18 13:13:21', '2018-01-04', '2018-01-04', 993.88000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 11, NULL, 'INNODEC', NULL, ''),
(164, '2018-01-04 13:34:53', '2018-07-18 13:13:44', '2018-01-04', '2018-01-04', 1062.48000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 11, NULL, 'IMPRIMERIE DEVAL', NULL, ''),
(165, '2018-01-04 13:35:30', '2018-07-18 13:14:49', '2018-01-04', '2018-01-04', 2367.26000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 11, NULL, 'CROS PERE ET FILS 07 DESAIGNES', NULL, ''),
(166, '2018-01-04 13:36:21', '2018-07-18 13:15:15', '2018-01-04', '2018-01-04', 1947.59000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SIBELCO', NULL, ''),
(167, '2018-01-04 14:19:01', '2018-07-18 13:15:41', '2018-01-04', '2018-01-04', 441.45000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'AIR BEL - DIVISION DE S.A. BEL AIR', NULL, ''),
(168, '2018-01-09 09:56:14', '2018-07-18 13:17:09', '2018-01-09', '2018-01-09', 81.12000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'AIR PN', NULL, ''),
(169, '2018-01-09 09:57:08', '2018-07-18 13:16:37', '2018-01-08', '2018-01-08', 477.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'MAIRIE DE MONTCHENU', NULL, ''),
(170, '2018-01-09 10:01:56', '2018-07-18 13:17:45', '2018-01-09', '2018-01-09', -11949.50000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(171, '2018-01-10 09:40:24', '2018-07-18 13:17:57', '2018-01-10', '2018-01-10', 395.94000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'MECA INDUSTRIE', NULL, ''),
(172, '2018-01-10 09:41:47', '2018-07-18 13:16:54', '2018-01-08', '2018-01-08', 461.14000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 12, NULL, 'SMS', NULL, ''),
(173, '2018-01-11 15:47:20', '2018-07-18 13:18:09', '2018-01-11', '2018-01-11', 5230.73000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 12, NULL, 'COP', NULL, ''),
(174, '2018-01-11 15:47:58', '2018-07-18 13:18:28', '2018-01-11', '2018-01-11', 675.85000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 12, NULL, 'RCI - CARTONNAGE DE VAUCANSON', NULL, ''),
(175, '2018-01-11 15:48:37', '2018-07-18 13:19:06', '2018-01-11', '2018-01-11', 523.55000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 12, NULL, 'AUTO PIECE 26', NULL, ''),
(176, '2018-01-11 15:49:03', '2018-07-18 13:19:25', '2018-01-11', '2018-01-11', 1241.78000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'CHAUSSY GOMEZ S.A.S.', NULL, ''),
(177, '2018-01-12 09:52:06', '2018-07-18 13:19:40', '2018-01-12', '2018-01-12', 223.06000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'KERRY INGREDIENTS & FLAVOURS', NULL, ''),
(178, '2018-01-15 10:08:33', '2018-07-18 13:19:54', '2018-01-12', '2018-01-12', 479.04000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'DETFI', NULL, ''),
(179, '2018-01-15 10:09:22', '2018-07-18 13:20:20', '2018-01-15', '2018-01-15', 2976.96000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(180, '2018-01-15 10:10:09', '2018-07-18 13:20:36', '2018-01-15', '2018-01-15', 1273.91000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'VENTADOUR CHANTEMERLE - SOURCES DU PESTRIN', NULL, ''),
(181, '2018-01-15 10:10:53', '2018-07-18 13:20:50', '2018-01-15', '2018-01-15', 475.91000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'REBORN SAFETY SAS', NULL, ''),
(182, '2018-01-16 09:53:41', '2018-07-18 13:21:49', '2018-01-16', '2018-01-16', 118.22000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'EXSTO', NULL, ''),
(183, '2018-01-16 09:54:25', '2018-07-18 13:22:03', '2018-01-16', '2018-01-16', 712.54000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'BOURBON AUTOMOTIVE PLASTICS', NULL, ''),
(184, '2018-01-16 09:55:08', '2018-07-18 13:21:02', '2018-01-15', '2018-01-15', 1524.82000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'COOPERATIVE LA DAUPHINOISE', NULL, ''),
(185, '2018-01-17 13:29:03', '2018-07-18 13:22:16', '2018-01-17', '2018-01-17', 1122.78000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'BAXTER INJECTION', NULL, ''),
(186, '2018-01-17 13:30:01', '2018-07-18 13:22:56', '2018-01-17', '2018-01-17', 8897.32000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'EXSTO THERMOPLASTICS', NULL, ''),
(187, '2018-01-19 11:47:05', '2018-07-18 13:25:33', '2018-01-19', '2018-01-19', 12533.30000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 13, NULL, 'TISSAGES SAFADI RHODANIENS', NULL, ''),
(188, '2018-01-19 11:48:00', '2018-07-18 13:25:18', '2018-01-17', '2018-01-17', 8106.76000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 13, NULL, 'LA DRAGEE DE VALENCE', NULL, ''),
(189, '2018-01-19 11:48:40', '2018-07-18 13:25:49', '2018-01-19', '2018-01-19', 5682.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(190, '2018-01-22 10:35:36', '2018-07-18 13:26:09', '2018-01-22', '2018-01-22', -13782.80000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(191, '2018-01-24 09:12:07', '2018-07-18 13:26:48', '2018-01-24', '2018-01-24', -540.45000000, '(CustomerInvoicePaymentBack)', 2, 5, NULL, 'CB', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(192, '2018-01-24 09:12:54', '2018-07-18 13:27:11', '2018-01-24', '2018-01-24', 540.45000000, '(CustomerInvoicePayment)', 2, 5, NULL, 'CHQ', '1', NULL, 1, NULL, 14, NULL, 'LA DRAGEE DE VALENCE', NULL, ''),
(193, '2018-01-26 10:37:34', '2018-07-18 13:28:53', '2018-01-25', '2018-01-25', 1470.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'PAYEN MENUISERIE', NULL, ''),
(194, '2018-01-26 10:38:59', '2018-07-18 13:29:09', '2018-01-25', '2018-01-25', 870.52000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'HOPITAUX DROME NORD', NULL, ''),
(195, '2018-01-26 10:40:00', '2018-07-18 13:29:35', '2018-01-25', '2018-01-25', 288.02000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'HOPITAUX DROME NORD', NULL, ''),
(196, '2018-01-26 10:50:18', '2018-07-18 13:26:24', '2018-01-22', '2018-01-22', 751.07000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 15, NULL, 'GARAGE PEROLLIER (SARL) AGENT RENAULT', NULL, ''),
(197, '2018-01-29 09:23:22', '2018-07-18 13:30:11', '2018-01-25', '2018-01-25', 5039.98000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 16, NULL, 'DETFI', NULL, ''),
(198, '2018-01-29 09:24:32', '2018-07-18 13:30:28', '2018-01-29', '2018-01-29', 2516.33000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'DEVES', NULL, ''),
(199, '2018-01-31 09:26:50', '2018-07-18 13:31:26', '2018-01-30', '2018-01-30', 1261.93000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'PRISME MECA', NULL, ''),
(200, '2018-01-31 09:27:43', '2018-07-18 13:31:01', '2018-01-29', '2018-01-29', 755.40000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 17, NULL, 'BUYS CARROSSERIE', NULL, ''),
(201, '2018-01-31 09:28:27', '2018-07-18 13:31:40', '2018-01-30', '2018-01-30', 1055.66000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'ISRA', NULL, ''),
(202, '2018-02-01 16:22:40', '2018-07-18 13:32:00', '2018-01-31', '2018-01-31', 1643.58000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'COOPERATIVE LA DAUPHINOISE', NULL, ''),
(203, '2018-02-01 16:33:59', '2018-07-18 13:32:14', '2018-01-31', '2018-01-31', 588.96000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SVVI', NULL, ''),
(204, '2018-02-01 16:35:22', '2018-07-18 13:32:41', '2018-02-01', '2018-02-01', 2305.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SICAL CELTA SAINT HILAIRE', NULL, ''),
(205, '2018-02-01 16:39:41', '2018-07-18 13:32:28', '2018-01-31', '2018-01-31', 513.41000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'FONDERIE BOT', NULL, ''),
(206, '2018-02-01 16:41:03', '2018-07-18 13:32:54', '2018-02-01', '2018-02-01', 106.81000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 18, NULL, 'PEILLET MACH. AGRICOLES', NULL, ''),
(207, '2018-02-05 10:05:41', '2018-07-18 13:35:37', '2018-02-05', '2018-02-05', 446.11000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'EPIDAURE', NULL, ''),
(208, '2018-02-05 10:06:15', '2018-07-18 13:34:33', '2018-02-02', '2018-02-02', 254.71000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'RCI - CARTONNAGE DE VAUCANSON', NULL, ''),
(209, '2018-02-05 10:07:06', '2018-07-18 13:34:48', '2018-02-02', '2018-02-02', 52.32000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 19, NULL, 'LA DRAGEE DE VALENCE', NULL, ''),
(210, '2018-02-05 10:07:51', '2018-07-18 13:35:01', '2018-02-02', '2018-02-02', 2984.11000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SIBELCO', NULL, ''),
(211, '2018-02-05 10:11:10', '2018-07-18 13:33:10', '2018-02-01', '2018-02-01', -9688.05000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(212, '2018-02-05 10:19:40', '2018-07-18 13:10:29', '2017-12-29', '2017-12-29', 649.63000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 19, NULL, 'INSOFT', NULL, ''),
(213, '2018-02-07 13:40:39', '2018-07-18 13:35:49', '2018-02-05', '2018-02-05', 638.01000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 20, NULL, 'CARRIESCOPIC', NULL, ''),
(214, '2018-02-07 13:41:58', '2018-07-18 13:36:02', '2018-02-05', '2018-02-05', 345.50000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 20, NULL, 'LE DIAMANT NOIR', NULL, ''),
(215, '2018-02-07 13:45:30', '2018-07-18 13:36:37', '2018-02-06', '2018-02-06', -8194.23000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(216, '2018-02-12 09:05:13', '2018-07-18 13:37:32', '2018-02-09', '2018-02-09', 517.15000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'CROS PERE ET FILS 07 DESAIGNES', NULL, ''),
(217, '2018-02-14 08:41:03', '2018-07-18 13:37:44', '2018-02-13', '2018-02-13', 1227.12000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'REY FRERES', NULL, ''),
(218, '2018-02-14 08:41:44', '2018-07-18 13:38:00', '2018-02-13', '2018-02-13', 2149.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'NOVAIR', NULL, ''),
(219, '2018-02-14 11:44:22', '2018-07-18 13:35:23', '2018-02-03', '2018-02-03', 518.04000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'FONDERIE BOT', NULL, ''),
(220, '2018-02-15 11:51:34', '2018-07-18 13:38:25', '2018-02-15', '2018-02-15', 716.42000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'MECANIQUE GENERALE PRIVADOISE', NULL, ''),
(221, '2018-02-15 11:52:43', '2018-07-18 13:38:40', '2018-02-15', '2018-02-15', 673.97000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SORHOFROID SITE DE CHASSE', NULL, ''),
(222, '2018-02-15 11:53:20', '2018-07-18 13:39:08', '2018-02-15', '2018-02-15', 473.64000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SFPA Institut de Sélection Animale – ISA SAS', NULL, ''),
(223, '2018-02-16 10:10:50', '2018-07-18 13:39:19', '2018-02-16', '2018-02-16', 432.05000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'EXSTO', NULL, ''),
(224, '2018-02-16 10:11:32', '2018-07-18 13:39:31', '2018-02-16', '2018-02-16', 1782.61000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'BOURBON AUTOMOTIVE PLASTICS', NULL, ''),
(225, '2018-02-16 10:12:10', '2018-07-18 13:48:41', '2018-02-16', '2018-02-16', 1112.64000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'HOPITAUX DROME NORD', NULL, ''),
(226, '2018-02-19 10:33:43', '2018-07-18 13:36:13', '2018-02-05', '2018-02-05', 1418.40000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'Ajm Emballages(SARL)', NULL, ''),
(227, '2018-02-19 10:34:24', '2018-07-18 13:36:24', '2018-02-05', '2018-02-05', 465.30000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SARRAZIN', NULL, ''),
(228, '2018-02-19 10:35:09', '2018-07-18 13:35:11', '2018-02-02', '2018-02-02', 651.16000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'FRANCE CAOUTCHOUC SERVICE', NULL, ''),
(229, '2018-02-19 10:35:44', '2018-07-18 13:33:27', '2018-02-01', '2018-02-01', 1314.99000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'BONTOUT', NULL, ''),
(230, '2018-02-19 10:37:51', '2018-07-18 13:49:28', '2018-02-19', '2018-02-19', 216.41000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SAS PROCYL COLORS', NULL, ''),
(231, '2018-02-19 10:39:17', '2018-07-18 13:33:39', '2018-02-01', '2018-02-01', -97.16000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(232, '2018-02-19 10:40:16', '2018-07-18 13:33:51', '2018-02-01', '2018-02-01', 97.16000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'MICHAT ELECTRONIQUE', NULL, ''),
(233, '2018-02-19 11:01:02', '2018-07-18 13:34:05', '2018-02-01', '2018-02-01', 266.02000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'Delmonico Dorel Carriere', NULL, ''),
(234, '2018-02-19 11:02:00', '2018-07-18 13:34:20', '2018-02-01', '2018-02-01', -266.02000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(235, '2018-02-22 12:08:39', '2018-07-18 13:48:57', '2018-02-16', '2018-02-16', 1417.66000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 21, NULL, 'SMS', NULL, ''),
(236, '2018-02-22 12:09:23', '2018-07-18 13:52:46', '2018-02-22', '2018-02-22', 1484.72000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'F.M.R.', NULL, ''),
(237, '2018-02-28 09:55:36', '2018-07-18 13:53:07', '2018-02-28', '2018-02-28', 306.31000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'RAVIOLES DU DAUPHIN', NULL, ''),
(238, '2018-02-28 09:56:18', '2018-07-18 13:53:23', '2018-02-28', '2018-02-28', 2409.18000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(239, '2018-02-28 09:57:08', '2018-07-18 13:53:35', '2018-02-28', '2018-02-28', 1748.61000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'MODELAGE CONCEPT SARL', NULL, ''),
(240, '2018-02-28 09:58:26', '2018-07-18 13:53:48', '2018-02-28', '2018-02-28', 987.96000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'TRUCKS SOLUTIONS ST VALLIER', NULL, ''),
(241, '2018-02-28 15:40:28', '2018-07-18 13:53:59', '2018-02-28', '2018-02-28', 639.72000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'CAPAG', NULL, ''),
(242, '2018-02-28 15:41:09', '2018-07-18 13:54:11', '2018-02-28', '2018-02-28', 651.24000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'MOULINAGES DE LA GALAURE', NULL, ''),
(243, '2018-03-07 18:45:18', '2018-07-18 13:56:23', '2018-03-01', '2018-03-01', 614.40000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'FONDERIE BOT', NULL, ''),
(244, '2018-03-07 18:45:57', '2018-07-18 13:56:39', '2018-03-02', '2018-03-02', 505.74000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'ETABLISSEMENTS ROUSSET', NULL, ''),
(245, '2018-03-08 13:09:58', '2018-07-18 14:00:52', '2018-03-07', '2018-03-07', 353.02000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'DESGRANGES SARL', NULL, ''),
(246, '2018-03-08 13:10:37', '2018-07-18 13:57:53', '2018-03-05', '2018-03-05', 249.72000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'COURBIS SYNTHESES', NULL, ''),
(247, '2018-03-08 13:12:11', '2018-07-18 13:54:31', '2018-02-28', '2018-02-28', 28702.14000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(248, '2018-03-08 13:14:20', '2018-07-18 13:58:31', '2018-03-05', '2018-03-05', 1901.63000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'VIGNE FRERES', NULL, ''),
(249, '2018-03-08 13:15:19', '2018-07-18 14:00:37', '2018-03-06', '2018-03-06', 18146.24000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'EPIDAURE', NULL, ''),
(250, '2018-03-08 13:16:28', '2018-07-18 13:58:53', '2018-03-05', '2018-03-05', 654.64000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'M22', NULL, ''),
(251, '2018-03-08 13:16:56', '2018-07-18 14:00:23', '2018-03-05', '2018-03-05', 44.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 22, NULL, 'PEILLET MACH. AGRICOLES', NULL, ''),
(252, '2018-03-08 13:17:50', '2018-07-18 13:54:56', '2018-02-28', '2018-02-28', 708.89000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 22, NULL, 'CIPS', NULL, '');
INSERT INTO `llx_bank` (`rowid`, `datec`, `tms`, `datev`, `dateo`, `amount`, `label`, `fk_account`, `fk_user_author`, `fk_user_rappro`, `fk_type`, `num_releve`, `num_chq`, `rappro`, `note`, `fk_bordereau`, `banque`, `emetteur`, `author`, `numero_compte`) VALUES
(253, '2018-03-08 13:18:32', '2018-07-18 13:55:11', '2018-02-28', '2018-02-28', 1944.40000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 22, NULL, 'DEBIONNE (Société d\'Emballage)', NULL, ''),
(254, '2018-03-08 13:19:21', '2018-07-18 13:55:24', '2018-02-28', '2018-02-28', 314.79000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 22, NULL, 'BOUYOUD TONNELLERIE', NULL, ''),
(255, '2018-03-08 13:19:49', '2018-07-18 13:55:35', '2018-02-28', '2018-02-28', 171.53000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SOCIETE CLEMENT AGENCEMENTS', NULL, ''),
(256, '2018-03-08 13:20:43', '2018-07-18 14:01:21', '2018-03-07', '2018-03-07', 24.65000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 22, NULL, 'LE DIAMANT NOIR', NULL, ''),
(257, '2018-03-08 13:21:35', '2018-07-18 13:55:48', '2018-02-28', '2018-02-28', 928.36000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SOURCES DU PESTRIN', NULL, ''),
(258, '2018-03-08 13:23:11', '2018-07-18 13:56:01', '2018-02-28', '2018-02-28', 195.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'DEBIAS SAS', NULL, ''),
(259, '2018-03-08 13:24:27', '2018-07-18 14:01:44', '2018-03-07', '2018-03-07', 468.44000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'CI CARROSSIER CONSTRUCTEUR', NULL, ''),
(260, '2018-03-08 13:27:31', '2018-07-18 14:02:19', '2018-03-08', '2018-03-08', 691.29000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SEBM SUD(Société Exploitation des Bétons Martel Sud)', NULL, ''),
(261, '2018-03-08 13:39:52', '2018-07-18 13:56:55', '2018-03-02', '2018-03-02', -10000.00000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(262, '2018-03-08 13:52:11', '2018-07-18 14:02:01', '2018-03-07', '2018-03-07', 1887.79000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 22, NULL, 'Sarl Johan Ledent', NULL, ''),
(263, '2018-03-09 14:06:48', '2018-07-18 14:03:08', '2018-03-09', '2018-03-09', 4560.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(264, '2018-03-13 09:25:54', '2018-07-18 14:03:20', '2018-03-12', '2018-03-12', 1195.35000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'EPOXY3000', NULL, ''),
(265, '2018-03-13 09:26:42', '2018-07-18 14:03:33', '2018-03-12', '2018-03-12', 1026.35000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'HOPITAUX DROME NORD', NULL, ''),
(266, '2018-03-13 09:27:20', '2018-07-18 14:03:46', '2018-03-12', '2018-03-12', 1330.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'DESMET', NULL, ''),
(267, '2018-03-14 10:34:30', '2018-07-18 14:04:01', '2018-03-13', '2018-03-13', -3008.52000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(268, '2018-03-14 10:36:19', '2018-07-18 14:04:25', '2018-03-13', '2018-03-13', -1355.93000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(269, '2018-03-14 10:38:38', '2018-07-18 14:04:40', '2018-03-13', '2018-03-13', -2573.16000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(270, '2018-03-14 10:43:32', '2018-07-18 13:57:14', '2018-03-02', '2018-03-02', -1000.00000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(271, '2018-03-14 10:45:00', '2018-07-18 13:57:30', '2018-03-02', '2018-03-02', -1000.00000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(272, '2018-03-14 10:48:17', '2018-07-18 14:04:54', '2018-03-13', '2018-03-13', -3986.41000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(273, '2018-03-15 13:18:57', '2018-07-18 14:05:25', '2018-03-15', '2018-03-15', 835.72000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(274, '2018-03-15 13:20:26', '2018-07-18 14:05:10', '2018-03-14', '2018-03-14', 3572.06000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 23, NULL, 'SMS', NULL, ''),
(275, '2018-03-15 17:41:30', '2018-07-18 14:10:47', '2018-03-23', '2018-03-23', 272.15000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(276, '2018-03-16 10:46:15', '2018-07-18 14:06:18', '2018-03-15', '2018-03-15', 472.99000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'MICHAL PREFA', NULL, ''),
(277, '2018-03-16 10:48:10', '2018-07-18 14:06:34', '2018-03-16', '2018-03-16', 33810.77000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'EXSTO THERMOPLASTICS', NULL, ''),
(278, '2018-03-16 10:49:22', '2018-07-18 14:06:48', '2018-03-16', '2018-03-16', 3051.95000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'BOURBON AUTOMOTIVE PLASTICS', NULL, ''),
(279, '2018-03-19 10:35:50', '2018-07-18 14:07:18', '2018-03-19', '2018-03-19', 671.83000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'C.T.D. DE MONTELIMAR', NULL, ''),
(280, '2018-03-19 10:36:45', '2018-07-18 14:07:32', '2018-03-19', '2018-03-19', 12745.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'Mairie de Romans ( Service Technique )', NULL, ''),
(281, '2018-03-19 10:37:35', '2018-07-18 14:07:44', '2018-03-19', '2018-03-19', 285.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'MICHAL PREFA', NULL, ''),
(282, '2018-03-19 10:39:16', '2018-07-18 14:07:03', '2018-03-16', '2018-03-16', 186.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'EXSTO', NULL, ''),
(283, '2018-03-20 09:35:59', '2018-07-18 14:09:14', '2018-03-20', '2018-03-20', 651.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'POINT S - DROM\'PNEUS', NULL, ''),
(284, '2018-03-21 09:13:11', '2018-07-18 14:08:49', '2018-03-19', '2018-03-19', 635.58000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 24, NULL, 'EUROBROCHE SERVICES', NULL, ''),
(285, '2018-03-21 09:13:53', '2018-07-18 14:09:02', '2018-03-19', '2018-03-19', 526.99000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 24, NULL, 'PAYEN MENUISERIE', NULL, ''),
(286, '2018-03-21 09:14:52', '2018-07-18 14:09:34', '2018-03-21', '2018-03-21', 1907.65000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'ETS RICHARD PONTVERT ET CIE (Paraboot)', NULL, ''),
(287, '2018-03-22 11:57:46', '2018-07-18 14:10:21', '2018-03-22', '2018-03-22', 175.93000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 24, NULL, 'GARAGE PEROLLIER (SARL) AGENT RENAULT', NULL, ''),
(288, '2018-03-27 10:09:12', '2018-07-18 14:11:15', '2018-03-27', '2018-03-27', 961.67000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'HOPITAUX DROME NORD', NULL, ''),
(289, '2018-03-27 10:10:34', '2018-07-18 14:11:28', '2018-03-27', '2018-03-27', 867.15000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(290, '2018-03-27 10:11:06', '2018-07-18 14:11:40', '2018-03-27', '2018-03-27', -595.00000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(291, '2018-03-28 09:17:47', '2018-07-18 14:11:02', '2018-03-26', '2018-03-26', 836.41000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 25, NULL, 'CINTRALP', NULL, ''),
(292, '2018-03-29 16:45:56', '2018-07-18 14:10:32', '2018-03-22', '2018-03-22', 272.15000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(293, '2018-04-03 16:19:16', '2018-07-18 14:12:41', '2018-04-03', '2018-04-03', 1355.18000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'CAPAG', NULL, ''),
(294, '2018-04-03 16:20:25', '2018-07-18 14:12:51', '2018-04-03', '2018-04-03', 565.12000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'EBG COMPOSITE', NULL, ''),
(295, '2018-04-03 16:21:17', '2018-07-18 14:13:02', '2018-04-03', '2018-04-03', 498.54000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'MPG', NULL, ''),
(296, '2018-04-03 16:21:54', '2018-07-18 14:13:15', '2018-04-03', '2018-04-03', 1250.91000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'CTMI', NULL, ''),
(297, '2018-04-03 16:23:01', '2018-07-18 14:13:28', '2018-04-03', '2018-04-03', 529.91000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'INSOFT', NULL, ''),
(298, '2018-04-03 16:24:01', '2018-07-18 14:13:40', '2018-04-03', '2018-04-03', 907.49000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'BONTOUT', NULL, ''),
(299, '2018-04-03 16:28:17', '2018-07-18 14:11:55', '2018-03-30', '2018-03-30', 1988.89000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 26, NULL, 'TISSAGES SAFADI RHODANIENS', NULL, ''),
(300, '2018-04-03 16:29:00', '2018-07-18 14:12:07', '2018-03-30', '2018-03-30', 2376.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 26, NULL, 'FUMAS SCIERIE', NULL, ''),
(301, '2018-04-03 16:29:43', '2018-07-18 14:12:18', '2018-03-30', '2018-03-30', 670.34000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 26, NULL, 'RENE BOIS', NULL, ''),
(302, '2018-04-03 16:30:38', '2018-07-18 14:12:29', '2018-03-31', '2018-03-31', 2239.63000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'MODELAGE CONCEPT SARL', NULL, ''),
(303, '2018-04-03 16:33:30', '2018-07-18 14:13:51', '2018-04-03', '2018-04-03', 1469.83000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'EOVI HANDICAP - ESAT', NULL, ''),
(304, '2018-04-03 16:34:16', '2018-07-18 14:14:05', '2018-04-03', '2018-04-03', 735.41000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'COVAL', NULL, ''),
(305, '2018-04-03 16:37:38', '2018-07-18 14:14:12', '2018-04-03', '2018-04-03', -5018.07000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(306, '2018-04-04 09:12:15', '2018-07-18 14:14:18', '2018-04-04', '2018-04-04', 1303.19000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'PODIS', NULL, ''),
(307, '2018-04-04 09:13:03', '2018-07-18 14:14:24', '2018-04-04', '2018-04-04', 118.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'LYON BISCUIT (ESAL)', NULL, ''),
(308, '2018-04-04 09:13:44', '2018-07-18 14:14:29', '2018-04-04', '2018-04-04', 2656.11000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'GIRAUD-DELAY CONSTRUCTIONS METALLIQUES', NULL, ''),
(309, '2018-04-04 09:14:23', '2018-07-18 14:14:35', '2018-04-04', '2018-04-04', 485.50000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'TRUCKS SOLUTIONS ST VALLIER', NULL, ''),
(310, '2018-04-04 09:15:39', '2018-07-18 14:14:40', '2018-04-03', '2018-04-03', 2398.84000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'FCA', NULL, ''),
(311, '2018-04-05 13:45:40', '2018-07-18 14:14:44', '2018-04-05', '2018-04-05', 667.31000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 27, NULL, 'LES JAMBONS DE L\'HERMITAGE', NULL, ''),
(312, '2018-04-05 13:46:25', '2018-07-18 14:14:51', '2018-04-05', '2018-04-05', 629.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 27, NULL, 'CIPS', NULL, ''),
(313, '2018-04-05 13:47:06', '2018-07-18 14:14:58', '2018-04-05', '2018-04-05', 1417.35000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'COURBIS SYNTHESES', NULL, ''),
(314, '2018-04-05 13:47:57', '2018-07-18 14:15:04', '2018-04-04', '2018-04-04', 787.56000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'BRASSERIE DU VAL DE DROME', NULL, ''),
(315, '2018-04-05 13:49:39', '2018-07-18 14:15:10', '2018-04-03', '2018-04-03', 395.94000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(316, '2018-04-05 13:50:54', '2018-07-18 14:15:14', '2018-04-05', '2018-04-05', 395.94000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(317, '2018-04-05 13:52:39', '2018-07-18 14:15:19', '2018-04-04', '2018-04-04', -1968.78000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(318, '2018-04-05 13:54:32', '2018-07-18 14:15:25', '2018-04-04', '2018-04-04', -3806.67000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(319, '2018-04-06 10:17:23', '2018-07-18 14:15:31', '2018-04-05', '2018-04-05', 595.52000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'DUMG', NULL, ''),
(320, '2018-04-06 10:18:14', '2018-07-18 14:15:36', '2018-04-05', '2018-04-05', 1067.23000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'EPIDAURE', NULL, ''),
(321, '2018-04-09 11:47:47', '2018-07-18 14:15:41', '2018-04-09', '2018-04-09', 1118.37000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'COURBIS SILICONES', NULL, ''),
(322, '2018-04-09 11:48:42', '2018-07-18 14:15:46', '2018-04-09', '2018-04-09', 2364.26000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(323, '2018-04-10 16:50:55', '2018-07-18 14:15:54', '2018-04-09', '2018-04-09', 395.04000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 28, NULL, 'LE DIAMANT NOIR', NULL, ''),
(324, '2018-04-10 16:51:51', '2018-07-18 14:16:00', '2018-04-09', '2018-04-09', 1800.63000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 28, NULL, 'VILLE SAS-VALNOIX', NULL, ''),
(325, '2018-04-10 16:52:40', '2018-07-18 14:16:06', '2018-04-06', '2018-04-06', 175.44000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 28, NULL, 'GUICHARD RODAGE', NULL, ''),
(326, '2018-04-11 16:31:03', '2018-07-18 14:16:11', '2018-04-11', '2018-04-11', 468.44000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'CI CARROSSIER CONSTRUCTEUR', NULL, ''),
(327, '2018-04-11 16:35:58', '2018-07-18 14:16:16', '2018-04-10', '2018-04-10', -1064.41000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(328, '2018-04-11 16:37:56', '2018-07-18 14:16:21', '2018-04-10', '2018-04-10', -3214.29000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(329, '2018-04-13 13:29:04', '2018-07-18 14:16:25', '2018-04-13', '2018-04-13', 156.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'TECH POWER ELECTRONICS', NULL, ''),
(330, '2018-04-13 13:29:44', '2018-07-18 14:16:31', '2018-04-13', '2018-04-13', 450.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'BAUMGARTEN FRANCE', NULL, ''),
(331, '2018-04-13 13:32:14', '2018-07-18 14:16:36', '2018-04-13', '2018-04-13', 117.92000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SIMGA', NULL, ''),
(332, '2018-04-13 13:33:37', '2018-07-18 14:16:42', '2018-04-12', '2018-04-12', 622.46000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 28, NULL, 'CROS PERE ET FILS 07 DESAIGNES', NULL, ''),
(333, '2018-04-16 10:08:59', '2018-07-18 14:16:48', '2018-04-16', '2018-04-16', 1573.30000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'IVARS FRANCE', NULL, ''),
(334, '2018-04-17 10:36:14', '2018-07-18 14:16:52', '2018-04-17', '2018-04-17', 441.24000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'EXSTO', NULL, ''),
(335, '2018-04-17 10:37:09', '2018-07-18 14:16:56', '2018-04-17', '2018-04-17', 897.42000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'PONCIN', NULL, ''),
(336, '2018-04-17 10:37:50', '2018-07-18 14:17:02', '2018-04-17', '2018-04-17', 1928.45000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'COOPERATIVE LA DAUPHINOISE', NULL, ''),
(337, '2018-04-23 16:03:57', '2018-07-18 14:17:08', '2018-04-20', '2018-04-20', 2455.40000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'KERRY INGREDIENTS & FLAVOURS', NULL, ''),
(338, '2018-04-23 16:04:42', '2018-07-18 14:17:15', '2018-04-19', '2018-04-19', 951.41000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'COMMUNE DE LE GRAND SERRE', NULL, ''),
(339, '2018-04-23 16:05:51', '2018-07-18 14:17:20', '2018-04-19', '2018-04-19', 1604.05000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'BAXTER INJECTION', NULL, ''),
(340, '2018-04-23 16:07:17', '2018-07-18 14:17:26', '2018-04-17', '2018-04-17', 539.70000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'AVENIR CARROSSERIE', NULL, ''),
(341, '2018-04-23 16:08:13', '2018-07-18 14:17:32', '2018-04-17', '2018-04-17', 717.53000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SORALEP', NULL, ''),
(342, '2018-04-23 16:09:10', '2018-07-18 14:17:37', '2018-04-17', '2018-04-17', -17.15000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(343, '2018-04-24 09:45:08', '2018-07-18 14:17:43', '2018-04-24', '2018-04-24', 616.08000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SFPA Institut de Sélection Animale – ISA SAS', NULL, ''),
(344, '2018-04-24 09:46:51', '2018-07-18 14:17:48', '2018-04-24', '2018-04-24', 272.15000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(345, '2018-04-25 09:24:33', '2018-07-18 14:17:54', '2018-04-24', '2018-04-24', 31924.62000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(346, '2018-04-25 09:25:34', '2018-07-18 14:18:06', '2018-04-24', '2018-04-24', 2686.92000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 29, NULL, 'RTSI', NULL, ''),
(347, '2018-04-25 09:26:25', '2018-07-18 14:18:13', '2018-04-23', '2018-04-23', 268.87000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 29, NULL, 'AK CENTRE AUTO PIECES 26', NULL, ''),
(348, '2018-04-26 08:11:32', '2018-07-18 14:18:19', '2018-04-25', '2018-04-25', -2917.17000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(349, '2018-04-26 08:13:09', '2018-07-18 14:18:24', '2018-04-25', '2018-04-25', -1306.14000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(350, '2018-05-02 09:17:15', '2018-07-18 14:18:30', '2018-05-02', '2018-05-02', 1427.11000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'EXSTO THERMOPLASTICS', NULL, ''),
(351, '2018-05-02 09:18:11', '2018-07-18 14:18:35', '2018-04-30', '2018-04-30', 1764.71000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'TRUCKS SOLUTIONS ST VALLIER', NULL, ''),
(352, '2018-05-02 09:18:59', '2018-07-18 14:18:41', '2018-04-30', '2018-04-30', -70.88000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(353, '2018-05-02 09:19:51', '2018-07-18 14:18:46', '2018-04-30', '2018-04-30', 2340.03000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'PONCIN', NULL, ''),
(354, '2018-05-02 09:20:25', '2018-07-18 14:18:53', '2018-04-30', '2018-04-30', 284.64000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'BONTOUT', NULL, ''),
(355, '2018-05-02 09:20:57', '2018-07-18 14:19:00', '2018-04-30', '2018-04-30', 1201.93000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SARL MCD Champsyl', NULL, ''),
(356, '2018-05-02 09:21:31', '2018-07-18 14:19:05', '2018-04-30', '2018-04-30', 257.87000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'MPG', NULL, ''),
(357, '2018-05-02 09:22:07', '2018-07-18 14:19:11', '2018-04-30', '2018-04-30', 562.50000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'MENUISERIE BARD', NULL, ''),
(358, '2018-05-02 09:23:01', '2018-07-18 14:19:18', '2018-04-30', '2018-04-30', 1549.98000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'LA VINSOBRAISE', NULL, ''),
(359, '2018-05-02 09:23:35', '2018-07-18 14:19:23', '2018-04-30', '2018-04-30', 2589.68000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'PSI', NULL, ''),
(360, '2018-05-02 09:25:08', '2018-07-18 14:19:29', '2018-04-30', '2018-04-30', 1920.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'Mairie de Romans ( Service Technique )', NULL, ''),
(361, '2018-05-02 09:26:03', '2018-07-18 14:19:34', '2018-04-30', '2018-04-30', 1218.96000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'PAVAILLER', NULL, ''),
(362, '2018-05-02 09:26:44', '2018-07-18 14:19:38', '2018-04-30', '2018-04-30', 923.72000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'EUROVIA DALA', NULL, ''),
(363, '2018-05-02 09:27:23', '2018-07-18 14:19:43', '2018-04-30', '2018-04-30', 261.36000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'KERRY INGREDIENTS & FLAVOURS', NULL, ''),
(364, '2018-05-02 09:28:13', '2018-07-18 14:19:48', '2018-05-02', '2018-05-02', 274.90000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'LYON BISCUIT (ESAL)', NULL, ''),
(365, '2018-05-02 09:28:53', '2018-07-18 14:19:54', '2018-05-02', '2018-05-02', -259.30000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(366, '2018-05-02 09:29:34', '2018-07-18 14:19:59', '2018-04-30', '2018-04-30', 3542.59000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'BERNARD ROYAL DAUPHINE', NULL, ''),
(367, '2018-05-02 09:30:28', '2018-07-18 14:20:03', '2018-04-30', '2018-04-30', 8087.61000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'COVAL', NULL, ''),
(368, '2018-05-03 13:50:39', '2018-07-18 14:19:59', '2018-05-02', '2018-05-02', 1939.65000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'EPIDAURE', NULL, ''),
(369, '2018-05-03 13:51:10', '2018-07-18 14:19:54', '2018-04-30', '2018-04-30', 203.70000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'CHARIGNON VILQUIN ( GROUPE FAYAT)', NULL, ''),
(370, '2018-05-03 13:51:57', '2018-07-18 14:19:50', '2018-04-30', '2018-04-30', 956.50000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 30, NULL, 'DEBIONNE (Société d\'Emballage)', NULL, ''),
(371, '2018-05-03 13:53:33', '2018-07-18 14:19:45', '2018-05-02', '2018-05-02', -6981.27000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(372, '2018-05-03 13:55:23', '2018-07-18 14:19:41', '2018-05-02', '2018-05-02', -5297.47000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(373, '2018-05-03 13:57:29', '2018-07-18 14:19:37', '2018-05-03', '2018-05-03', 1451.05000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'FACEO FM CENTRE EST', NULL, ''),
(374, '2018-05-04 09:04:27', '2018-07-18 14:19:30', '2018-05-03', '2018-05-03', 629.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 30, NULL, 'CIPS', NULL, ''),
(375, '2018-05-04 09:05:34', '2018-07-18 14:19:14', '2018-05-02', '2018-05-02', 1038.96000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(376, '2018-05-04 09:06:25', '2018-07-18 14:19:10', '2018-05-04', '2018-05-04', 1029.04000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'EBG COMPOSITE', NULL, ''),
(377, '2018-05-07 09:43:01', '2018-07-18 14:19:06', '2018-05-07', '2018-05-07', 770.16000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'PAVAILLER', NULL, ''),
(378, '2018-05-07 09:43:48', '2018-07-18 14:19:02', '2018-05-07', '2018-05-07', 3202.44000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'LAFUMA MOBILIER SAS', NULL, ''),
(379, '2018-05-07 09:44:24', '2018-07-18 14:18:57', '2018-05-04', '2018-05-04', 1277.13000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'HERBAROM LABORATOIRE', NULL, ''),
(380, '2018-05-07 09:45:03', '2018-07-18 14:18:52', '2018-05-04', '2018-05-04', 2709.22000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'JT LASER', NULL, ''),
(381, '2018-05-07 09:48:43', '2018-07-18 14:18:32', '2018-05-04', '2018-05-04', -4223.68000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(382, '2018-05-09 08:54:02', '2018-07-18 14:18:27', '2018-05-08', '2018-05-08', 468.44000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'CI CARROSSIER CONSTRUCTEUR', NULL, ''),
(383, '2018-05-09 08:58:23', '2018-07-18 14:17:25', '2018-05-09', '2018-05-09', 1079.29000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SEBM', NULL, ''),
(384, '2018-05-09 08:59:03', '2018-07-18 14:21:05', '2018-05-07', '2018-05-07', 1568.72000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'MOLTENI GRPE ELECTROLUX SAS', NULL, ''),
(385, '2018-05-09 08:59:45', '2018-07-18 14:21:01', '2018-05-07', '2018-05-07', 3628.19000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SARRAZIN', NULL, ''),
(386, '2018-05-11 12:07:53', '2018-07-18 14:16:03', '2018-05-10', '2018-05-10', 3982.26000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'VENTADOUR CHANTEMERLE - SOURCES DU PESTRIN', NULL, ''),
(387, '2018-05-11 12:08:30', '2018-07-18 14:16:57', '2018-05-09', '2018-05-09', 1568.24000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(388, '2018-05-11 12:09:14', '2018-07-18 14:20:53', '2018-05-07', '2018-05-07', 878.11000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 30, NULL, 'UDT MECA', NULL, ''),
(389, '2018-05-11 12:10:01', '2018-07-18 14:20:49', '2018-05-07', '2018-05-07', 376.27000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 30, NULL, 'VILLE SAS-VALNOIX', NULL, ''),
(390, '2018-05-14 09:36:16', '2018-07-18 14:15:52', '2018-05-11', '2018-05-11', 386.52000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SIMGA', NULL, ''),
(391, '2018-05-14 15:51:50', '2018-07-18 14:21:25', '2018-04-30', '2018-04-30', 2550.09000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'COUIX', NULL, ''),
(392, '2018-05-16 08:42:01', '2018-07-18 14:14:24', '2018-05-16', '2018-05-16', 1466.81000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'HOPITAUX DROME NORD', NULL, ''),
(393, '2018-05-16 08:42:43', '2018-07-18 14:14:37', '2018-05-15', '2018-05-15', 2206.49000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SOREA', NULL, ''),
(394, '2018-05-16 08:43:40', '2018-07-18 14:15:09', '2018-05-14', '2018-05-14', 616.16000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 31, NULL, 'GARAGE PHEBY CITROEN', NULL, ''),
(395, '2018-05-28 17:02:06', '2018-07-24 15:06:03', '2018-05-22', '2018-05-22', 11040.12000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'MELAPRO', NULL, ''),
(396, '2018-05-28 17:03:03', '2018-07-24 15:06:22', '2018-05-23', '2018-05-23', 827.71000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'VENTADOUR CHANTEMERLE - SOURCES DU PESTRIN', NULL, ''),
(397, '2018-05-28 17:03:52', '2018-08-24 06:55:43', '2018-05-23', '2018-05-23', 9962.44000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SOURCES DU PESTRIN', NULL, ''),
(398, '2018-05-28 17:04:44', '2018-08-24 06:55:48', '2018-05-23', '2018-05-23', 776.46000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'CEGELEC', NULL, ''),
(399, '2018-05-28 17:06:00', '2018-08-24 06:54:20', '2018-05-22', '2018-05-22', 1205.11000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 31, NULL, 'RUET MECANIQUE', NULL, ''),
(400, '2018-05-29 10:58:46', '2018-08-24 06:54:26', '2018-05-28', '2018-05-28', 177.36000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'CALTECH', NULL, ''),
(401, '2018-05-30 08:52:54', '2018-08-24 06:54:30', '2018-05-30', '2018-05-30', 30000.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'CMP LASER DECOUPE', NULL, ''),
(402, '2018-05-31 14:22:59', '2018-08-24 06:54:38', '2018-05-31', '2018-05-31', 440.89000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'BRUNEL SAS - site ABURA', NULL, ''),
(403, '2018-05-31 14:24:55', '2018-08-24 06:54:43', '2018-05-31', '2018-05-31', 4176.46000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'COVAL', NULL, ''),
(404, '2018-05-31 14:25:35', '2018-08-24 06:54:47', '2018-05-31', '2018-05-31', 836.09000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'COP', NULL, ''),
(405, '2018-05-31 14:26:15', '2018-08-24 06:54:51', '2018-05-31', '2018-05-31', 211.42000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 31, NULL, 'FROMAGERIE ALPINE', NULL, ''),
(406, '2018-05-31 14:26:56', '2018-08-24 06:54:58', '2018-05-29', '2018-05-29', 1974.01000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 31, NULL, 'SCIERIE COMBALOT SAS', NULL, ''),
(407, '2018-05-31 14:27:38', '2018-08-24 06:55:04', '2018-05-29', '2018-05-29', 1796.81000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 31, NULL, 'M22', NULL, ''),
(408, '2018-05-31 14:30:04', '2018-07-18 14:20:55', '2018-05-05', '2018-05-05', 395.94000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(409, '2018-05-31 14:30:47', '2018-07-18 14:15:40', '2018-05-11', '2018-05-11', 395.94000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(410, '2018-06-01 10:43:07', '2018-08-24 06:56:03', '2018-06-01', '2018-06-01', 2014.72000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'JARS CERAMISTES', NULL, ''),
(411, '2018-06-04 10:08:27', '2018-08-24 06:56:16', '2018-06-01', '2018-06-01', 349.92000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'TRUCKS SOLUTIONS ST VALLIER', NULL, ''),
(412, '2018-06-04 10:09:37', '2018-08-24 06:56:28', '2018-06-04', '2018-06-04', 298.18000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'LYON BISCUIT (ESAL)', NULL, ''),
(413, '2018-06-05 11:40:12', '2018-08-24 06:56:35', '2018-06-01', '2018-06-01', -4975.41000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(414, '2018-06-05 11:42:18', '2018-08-24 06:56:40', '2018-06-01', '2018-06-01', -3564.38000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(415, '2018-06-05 11:43:40', '2018-08-24 06:56:45', '2018-06-05', '2018-06-05', 250.14000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SARRAZIN', NULL, ''),
(416, '2018-06-05 11:45:56', '2018-08-24 06:56:51', '2018-06-05', '2018-06-05', 994.22000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(417, '2018-06-05 14:18:00', '2018-08-24 06:56:58', '2018-06-05', '2018-06-05', 395.94000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(418, '2018-06-06 09:57:58', '2018-08-24 06:57:04', '2018-06-06', '2018-06-06', 30240.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'CMP LASER DECOUPE', NULL, ''),
(419, '2018-06-06 09:58:27', '2018-08-24 06:57:08', '2018-06-06', '2018-06-06', 270.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'ELAN GIPEN', NULL, ''),
(420, '2018-06-06 09:59:09', '2018-08-24 06:57:16', '2018-06-06', '2018-06-06', 282.48000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'FACEO FM CENTRE EST', NULL, ''),
(421, '2018-06-06 10:16:07', '2018-08-24 06:57:21', '2018-06-06', '2018-06-06', -2355.71000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(422, '2018-06-08 09:17:42', '2018-08-24 06:57:27', '2018-06-08', '2018-06-08', 5658.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'LUCE Hydro', NULL, ''),
(423, '2018-06-08 09:18:34', '2018-08-24 06:57:37', '2018-06-08', '2018-06-08', 691.32000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'GOASDUFF SUD EST', NULL, ''),
(424, '2018-06-11 10:07:17', '2018-08-24 06:57:42', '2018-06-07', '2018-06-07', 211.42000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 31, NULL, 'CARRIESCOPIC', NULL, ''),
(425, '2018-06-11 10:08:06', '2018-08-24 06:57:50', '2018-06-11', '2018-06-11', 501.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'HOPITAUX DROME NORD', NULL, ''),
(426, '2018-06-18 15:55:54', '2018-08-24 06:57:56', '2018-06-18', '2018-06-18', 709.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SIBELCO', NULL, ''),
(427, '2018-06-18 16:02:00', '2018-08-24 06:58:01', '2018-06-12', '2018-06-12', 3662.46000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'BAXTER INJECTION', NULL, ''),
(428, '2018-06-18 16:03:21', '2018-08-24 06:58:07', '2018-06-08', '2018-06-08', 306.85000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 32, NULL, 'FIGUET MECANIQUE SARL', NULL, ''),
(429, '2018-06-18 16:05:09', '2018-08-24 06:58:14', '2018-06-08', '2018-06-08', 1650.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 32, NULL, 'REACOMPOSIT', NULL, ''),
(430, '2018-06-18 16:06:43', '2018-08-24 06:58:19', '2018-06-11', '2018-06-11', 170.68000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'IWATA Anest', NULL, ''),
(431, '2018-06-19 08:58:35', '2018-08-24 06:58:24', '2018-06-18', '2018-06-18', 2680.75000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'CIBOX SITE GRANGES ET PORTES', NULL, ''),
(432, '2018-06-19 08:59:41', '2018-08-24 06:58:30', '2018-06-19', '2018-06-19', 441.79000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'DROME ARDECHE INDUSTRIE BTP', NULL, ''),
(433, '2018-06-20 08:31:04', '2018-08-24 06:58:37', '2018-06-19', '2018-06-19', 103.25000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 32, NULL, 'AUTO PIECE 26', NULL, ''),
(434, '2018-06-20 08:32:01', '2018-08-24 06:58:45', '2018-06-18', '2018-06-18', 209.09000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 32, NULL, 'I-d-e-e-m Ginot', NULL, ''),
(435, '2018-06-20 08:32:42', '2018-08-24 06:58:54', '2018-06-18', '2018-06-18', 1920.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 32, NULL, 'IZIER RICHARD', NULL, ''),
(436, '2018-06-20 08:33:13', '2018-08-24 06:59:01', '2018-06-18', '2018-06-18', 384.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 32, NULL, 'PAYEN MENUISERIE', NULL, ''),
(437, '2018-06-20 08:34:03', '2018-08-24 06:59:06', '2018-06-18', '2018-06-18', -191.36000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(438, '2018-06-20 08:34:51', '2018-08-24 06:59:13', '2018-06-18', '2018-06-18', 2545.48000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 32, NULL, 'AVENIR CARROSSERIE', NULL, ''),
(439, '2018-06-20 08:35:42', '2018-08-24 06:59:20', '2018-06-18', '2018-06-18', 5950.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 32, NULL, 'COUIX', NULL, ''),
(440, '2018-06-20 08:36:45', '2018-08-24 06:59:25', '2018-06-18', '2018-06-18', 677.52000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 32, NULL, 'SORALEP', NULL, ''),
(441, '2018-06-20 08:37:41', '2018-08-24 06:59:31', '2018-06-19', '2018-06-19', 2406.53000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'EXSTO', NULL, ''),
(442, '2018-06-25 10:18:17', '2018-08-24 06:59:36', '2018-06-25', '2018-06-25', 544.30000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(443, '2018-06-29 17:39:30', '2018-08-24 06:59:41', '2018-06-29', '2018-06-29', 226.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'RENNER GMBH KOMPRESSOREN', NULL, ''),
(444, '2018-07-02 09:25:03', '2018-08-24 06:59:48', '2018-06-29', '2018-06-29', 2534.63000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'PRISME MECA', NULL, ''),
(445, '2018-07-02 09:25:49', '2018-08-24 07:00:00', '2018-07-02', '2018-07-02', 132.86000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SONDEO', NULL, ''),
(446, '2018-07-02 09:26:42', '2018-08-24 07:00:07', '2018-07-02', '2018-07-02', 1823.52000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'LYON BISCUIT (ESAL)', NULL, ''),
(447, '2018-07-02 09:27:45', '2018-08-24 07:00:12', '2018-06-29', '2018-06-29', 3557.69000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'VALFORMES', NULL, ''),
(448, '2018-07-02 10:47:42', '2018-08-24 07:00:19', '2018-07-02', '2018-07-02', 1139.56000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SVVI', NULL, ''),
(449, '2018-07-03 14:01:24', '2018-08-24 07:00:52', '2018-07-03', '2018-07-03', 806.40000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'Froid & Services Auvergne Rhone Alpes', NULL, ''),
(450, '2018-07-03 14:02:42', '2018-08-24 07:00:58', '2018-07-03', '2018-07-03', -2163.43000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(451, '2018-07-03 14:05:56', '2018-08-24 07:01:04', '2018-07-03', '2018-07-03', -9299.82000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(452, '2018-07-03 14:07:51', '2018-08-24 07:01:09', '2018-07-03', '2018-07-03', 353.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'ETS RICHARD PONTVERT ET CIE (Paraboot)', NULL, ''),
(453, '2018-07-03 14:08:24', '2018-08-24 07:01:17', '2018-07-03', '2018-07-03', 637.02000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'CHAUSSY GOMEZ S.A.S.', NULL, ''),
(454, '2018-07-05 14:00:00', '2018-08-24 07:01:22', '2018-07-05', '2018-07-05', 677.84000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'TERRE D\'HORIZON ( LYCEE HORTICOLE DE ROMANS )', NULL, ''),
(455, '2018-07-05 14:00:38', '2018-08-24 07:01:29', '2018-07-05', '2018-07-05', 2836.64000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'COOPENOIX SOC COOP AGRIC', NULL, ''),
(456, '2018-07-09 11:03:16', '2018-08-24 07:01:35', '2018-07-09', '2018-07-09', 712.74000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'DETFI', NULL, ''),
(457, '2018-07-09 11:07:59', '2018-08-24 07:01:42', '2018-07-09', '2018-07-09', 280.32000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'KERRY INGREDIENTS France SAS', NULL, ''),
(458, '2018-07-09 11:08:28', '2018-08-24 07:01:47', '2018-07-09', '2018-07-09', 918.06000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'RTSI', NULL, ''),
(459, '2018-07-09 11:09:31', '2018-08-24 07:01:53', '2018-07-09', '2018-07-09', 683.01000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 33, NULL, 'HARMONYL 2', NULL, ''),
(460, '2018-07-09 11:13:43', '2018-08-24 07:02:00', '2018-07-09', '2018-07-09', 1037.85000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'FROMAGERIE ALPINE', NULL, ''),
(461, '2018-07-10 16:39:40', '2018-08-24 07:02:06', '2018-07-10', '2018-07-10', 1143.50000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'DETFI', NULL, ''),
(462, '2018-07-11 12:03:41', '2018-08-24 07:02:13', '2018-07-11', '2018-07-11', 1422.19000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SIMGA', NULL, ''),
(463, '2018-07-11 12:04:16', '2018-08-24 07:02:19', '2018-07-11', '2018-07-11', 1908.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 34, NULL, 'FROID ET SERVICES GRAND EST', NULL, ''),
(464, '2018-07-11 12:05:33', '2018-08-24 07:02:24', '2018-07-11', '2018-07-11', 1572.95000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'MPG', NULL, ''),
(465, '2018-07-12 16:08:06', '2018-08-24 07:02:30', '2018-07-12', '2018-07-12', 395.94000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(466, '2018-07-13 13:44:33', '2018-08-24 07:02:35', '2018-07-13', '2018-07-13', 626.78000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 35, NULL, 'ATELIER DES QUATRE COLLINES', NULL, ''),
(467, '2018-07-16 15:31:35', '2018-08-24 07:02:40', '2018-07-16', '2018-07-16', 21900.00000000, '(CustomerInvoicePayment)', 2, 5, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'COOPERATIVE LA DAUPHINOISE', NULL, ''),
(468, '2018-07-17 10:41:37', '2018-08-24 07:02:47', '2018-07-17', '2018-07-17', 2878.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'EXSTO', NULL, ''),
(469, '2018-07-17 10:42:31', '2018-08-24 07:02:53', '2018-07-17', '2018-07-17', -1504.80000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(470, '2018-07-17 10:43:17', '2018-08-24 07:02:59', '2018-07-17', '2018-07-17', 712.54000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'BOURBON AUTOMOTIVE PLASTICS', NULL, ''),
(471, '2018-07-17 10:43:50', '2018-08-24 07:03:06', '2018-07-17', '2018-07-17', 1483.46000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'ACIERIES DE BONPERTUIS', NULL, ''),
(472, '2018-07-17 10:44:25', '2018-08-24 07:03:12', '2018-07-17', '2018-07-17', 108.77000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'AIR PN', NULL, ''),
(473, '2018-07-17 10:45:02', '2018-08-24 07:03:17', '2018-07-17', '2018-07-17', 555.68000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SORALEP', NULL, ''),
(474, '2018-07-17 10:46:34', '2018-08-24 07:03:23', '2018-07-17', '2018-07-17', 599.02000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'MICHAL PREFA', NULL, ''),
(475, '2018-07-23 09:53:30', '2018-08-24 07:03:28', '2018-07-23', '2018-07-23', 733.57000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 36, NULL, 'CLUZE Jean-Michel Garage', NULL, ''),
(476, '2018-07-23 09:55:38', '2018-08-24 07:03:46', '2018-07-23', '2018-07-23', 1643.58000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SARL CARROSSERIE RIGNOL', NULL, ''),
(477, '2018-07-24 17:04:56', '2018-08-24 07:03:52', '2018-07-24', '2018-07-24', -3270.23000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(478, '2018-07-24 17:09:16', '2018-08-24 07:03:57', '2018-07-24', '2018-07-24', -4033.36000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(479, '2018-08-07 17:46:16', '2018-08-24 07:04:03', '2018-07-27', '2018-07-27', 2804.84000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'BONTOUT', NULL, ''),
(480, '2018-08-07 17:47:27', '2018-08-24 07:04:10', '2018-07-30', '2018-07-30', 3053.90000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'HOPITAUX DROME NORD', NULL, ''),
(481, '2018-08-07 17:48:30', '2018-08-24 07:04:16', '2018-07-31', '2018-07-31', 434.11000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'PAVAILLER', NULL, ''),
(482, '2018-08-07 17:49:31', '2018-08-24 07:04:21', '2018-07-31', '2018-07-31', 389.19000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'TRUCKS SOLUTIONS ST VALLIER', NULL, ''),
(483, '2018-08-07 17:50:55', '2018-08-24 07:04:27', '2018-07-31', '2018-07-31', 300.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'FONDERIE BOT', NULL, ''),
(484, '2018-08-07 17:51:54', '2018-08-24 07:04:32', '2018-07-31', '2018-07-31', 294.77000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'BRUNEL SAS', NULL, ''),
(485, '2018-08-07 17:53:15', '2018-08-24 07:04:38', '2018-07-31', '2018-07-31', 1279.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'JARS CERAMISTES', NULL, ''),
(486, '2018-08-07 17:55:38', '2018-08-24 07:04:44', '2018-08-07', '2018-08-07', 3253.03000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SOURCES DU PESTRIN', NULL, ''),
(487, '2018-08-07 17:56:33', '2018-08-24 07:04:56', '2018-08-07', '2018-08-07', 2221.81000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'VENTADOUR CHANTEMERLE - SOURCES DU PESTRIN', NULL, ''),
(488, '2018-08-07 17:58:36', '2018-08-24 07:05:02', '2018-08-07', '2018-08-07', 2709.22000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'JT LASER', NULL, ''),
(489, '2018-08-07 18:00:45', '2018-08-24 07:05:06', '2018-08-07', '2018-08-07', 1836.28000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'JT LASER', NULL, ''),
(490, '2018-08-07 18:01:38', '2018-08-24 07:05:12', '2018-08-07', '2018-08-07', -1836.28000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(491, '2018-08-07 18:04:48', '2018-08-24 07:05:18', '2018-08-03', '2018-08-03', 30000.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'CMP LASER DECOUPE', NULL, ''),
(492, '2018-08-07 18:06:26', '2018-08-24 07:05:23', '2018-08-02', '2018-08-02', 1188.24000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'FCA', NULL, ''),
(493, '2018-08-07 18:07:45', '2018-08-24 07:05:28', '2018-08-02', '2018-08-02', 4089.62000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'HENRi SAVY SAS', NULL, ''),
(494, '2018-08-07 18:09:31', '2018-08-24 07:05:34', '2018-08-01', '2018-08-01', 3279.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SICAL CELTA SAINT HILAIRE', NULL, ''),
(495, '2018-08-07 18:10:59', '2018-08-24 07:05:39', '2018-08-06', '2018-08-06', 336.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 37, NULL, 'BOUYOUD TONNELLERIE', NULL, ''),
(496, '2018-08-07 18:12:03', '2018-08-24 07:05:45', '2018-08-02', '2018-08-02', 211.42000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 37, NULL, 'CARRIESCOPIC', NULL, ''),
(497, '2018-08-07 18:13:08', '2018-08-24 07:05:50', '2018-07-24', '2018-07-24', 558.23000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'MAGIC FEET', NULL, ''),
(498, '2018-08-07 18:14:06', '2018-08-24 07:05:55', '2018-08-27', '2018-08-27', 1920.01000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'IZIER RICHARD', NULL, ''),
(499, '2018-08-07 18:16:01', '2018-08-24 07:06:00', '2018-08-03', '2018-08-03', 17069.02000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'PODIS', NULL, ''),
(500, '2018-08-07 18:16:50', '2018-08-24 07:06:05', '2018-08-06', '2018-08-06', 395.94000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'MECA INDUSTRIE', NULL, ''),
(501, '2018-08-07 18:17:37', '2018-08-24 07:06:10', '2018-08-01', '2018-08-01', 223.06000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'TGCP MAESTRO GRANDE CUISINE', NULL, ''),
(502, '2018-08-07 18:20:47', '2018-08-24 07:06:15', '2018-07-27', '2018-07-27', 603.26000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'VALFORMES', NULL, ''),
(503, '2018-08-08 10:51:33', '2018-08-24 07:06:22', '2018-08-08', '2018-08-08', -22188.27000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, '');
INSERT INTO `llx_bank` (`rowid`, `datec`, `tms`, `datev`, `dateo`, `amount`, `label`, `fk_account`, `fk_user_author`, `fk_user_rappro`, `fk_type`, `num_releve`, `num_chq`, `rappro`, `note`, `fk_bordereau`, `banque`, `emetteur`, `author`, `numero_compte`) VALUES
(504, '2018-08-08 18:09:03', '2018-08-24 07:06:28', '2018-08-08', '2018-08-08', 2125.81000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'HUILERIE DE CHAMBARAND', NULL, ''),
(505, '2018-08-10 08:26:51', '2018-08-24 07:06:34', '2018-08-10', '2018-08-10', 378.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 37, NULL, 'TISSAGES SAFADI RHODANIENS', NULL, ''),
(506, '2018-08-10 08:27:59', '2018-08-24 07:08:53', '2018-08-10', '2018-08-10', 506.48000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 37, NULL, 'GUICHARD RODAGE', NULL, ''),
(507, '2018-08-10 08:28:42', '2018-08-24 07:09:00', '2018-08-10', '2018-08-10', 4791.36000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 37, NULL, 'CROS PERE ET FILS 07 DESAIGNES', NULL, ''),
(508, '2018-08-10 08:30:25', '2018-08-24 07:09:21', '2018-08-10', '2018-08-10', 1530.30000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', '1', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(509, '2018-08-10 08:36:58', '2018-08-24 07:09:36', '2018-08-10', '2018-08-10', 199.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 37, NULL, 'DEBIONNE (Société d\'Emballage)', NULL, ''),
(510, '2018-08-14 10:09:46', '2018-08-24 07:09:42', '2018-08-14', '2018-08-14', 878.59000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'TENA BUTTY', NULL, ''),
(511, '2018-08-17 10:13:14', '2018-08-24 07:10:08', '2018-08-17', '2018-08-17', 1543.95000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'CIBOX SITE GRANGES ET PORTES', NULL, ''),
(512, '2018-08-17 10:13:58', '2018-08-24 07:10:22', '2018-08-17', '2018-08-17', 83.70000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'EARL ST PIERRE', NULL, ''),
(513, '2018-08-17 10:14:27', '2018-08-24 07:10:29', '2018-08-17', '2018-08-17', 1520.73000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'VALSOLEIL (CENTRE CONDITIONNEMENT FRUITS LEGUMES)', NULL, ''),
(514, '2018-08-17 11:42:29', '2018-08-24 07:07:45', '2018-07-26', '2018-07-26', 172.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'FRANCE VENTILATION', NULL, ''),
(515, '2018-08-17 17:52:06', '2018-08-24 07:07:52', '2018-07-31', '2018-07-31', 1219.51000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'DROME PACK', NULL, ''),
(516, '2018-08-20 11:19:23', '2018-08-24 07:12:05', '2018-08-20', '2018-08-20', 1210.27000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'KERRY INGREDIENTS France SAS', NULL, ''),
(517, '2018-08-22 13:52:16', '2018-08-24 07:12:09', '2018-08-22', '2018-08-22', 665.69000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'EXSTO', NULL, ''),
(518, '2018-08-22 13:53:29', '2018-08-24 07:12:46', '2018-08-22', '2018-08-22', 517.44000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'ACIERIES DE BONPERTUIS', NULL, ''),
(519, '2018-08-22 13:54:15', '2018-08-24 07:13:00', '2018-08-22', '2018-08-22', 24678.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(520, '2018-08-22 14:00:27', '2018-08-24 07:13:20', '2018-08-22', '2018-08-22', 544.30000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(521, '2018-08-23 09:49:28', '2018-08-24 07:13:54', '2018-08-23', '2018-08-23', 1756.99000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'HOPITAUX DROME NORD', NULL, ''),
(522, '2018-08-23 09:50:25', '2018-08-24 10:07:56', '2018-08-23', '2018-08-23', 689.47000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 38, NULL, 'CARRIESCOPIC', NULL, ''),
(523, '2018-08-24 12:13:39', '2018-08-27 07:18:50', '2018-08-24', '2018-08-24', 16355.85000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'COOPERATIVE LA DAUPHINOISE', NULL, ''),
(524, '2018-08-29 13:27:02', '2018-08-29 13:03:23', '2018-08-29', '2018-08-29', 1419.33000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'BEILLARD TUBES CARTON', NULL, ''),
(525, '2018-08-31 10:10:19', '2018-11-15 14:15:34', '2018-08-31', '2018-08-31', 546.52000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'COSTECHARAYRE', NULL, ''),
(526, '2018-08-31 10:11:14', '2018-11-15 14:17:24', '2018-08-31', '2018-08-31', 1134.72000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'SIBELCO', NULL, ''),
(527, '2018-08-31 10:11:51', '2018-11-15 14:17:16', '2018-08-31', '2018-08-31', 473.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'RENNER GMBH KOMPRESSOREN', NULL, ''),
(528, '2018-08-31 10:12:39', '2018-11-15 14:17:09', '2018-08-31', '2018-08-31', 662.19000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'DEVES', NULL, ''),
(529, '2018-08-31 10:13:15', '2018-11-15 14:17:01', '2018-08-31', '2018-08-31', 479.98000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'MECANIQUE GENERALE PRIVADOISE', NULL, ''),
(530, '2018-08-31 10:14:01', '2018-11-15 14:16:53', '2018-08-31', '2018-08-31', 301.99000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 39, NULL, 'HARMONYL 2', NULL, ''),
(531, '2018-08-31 10:14:39', '2018-11-15 14:16:43', '2018-08-31', '2018-08-31', 639.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 39, NULL, 'OLEA SERVICES', NULL, ''),
(532, '2018-08-31 10:15:19', '2018-11-15 14:16:34', '2018-08-31', '2018-08-31', 937.15000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', '1', NULL, 1, NULL, 39, NULL, 'FROMAGERIE ALPINE', NULL, ''),
(533, '2018-09-03 09:55:31', '2020-07-21 08:53:22', '2018-09-03', '2018-09-03', 1622.84000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'SERVIPACK', NULL, ''),
(534, '2018-09-03 09:56:08', '2020-07-21 08:53:22', '2018-09-03', '2018-09-03', 1102.16000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'SERKOL', NULL, ''),
(535, '2018-09-03 09:56:51', '2020-07-21 08:53:22', '2018-09-03', '2018-09-03', 1521.34000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'KERRY INGREDIENTS France SAS', NULL, ''),
(536, '2018-09-03 09:58:32', '2020-07-21 08:53:22', '2018-09-03', '2018-09-03', 1079.95000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'ETS RICHARD PONTVERT ET CIE (Paraboot)', NULL, ''),
(537, '2018-09-04 13:38:31', '2020-07-21 08:53:22', '2018-09-04', '2018-09-04', 366.12000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'Centre d\'exploitation départemental de LORIOL', NULL, ''),
(538, '2018-09-04 13:39:04', '2020-07-21 08:53:22', '2018-09-04', '2018-09-04', 4010.01000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(539, '2018-09-04 13:39:34', '2020-07-21 08:53:22', '2018-09-04', '2018-09-04', 352.08000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'DROME PACK', NULL, ''),
(540, '2018-09-04 13:40:11', '2020-07-21 08:53:22', '2018-09-04', '2018-09-04', 1494.36000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'CAPAG', NULL, ''),
(541, '2018-09-04 13:41:41', '2020-07-21 08:53:22', '2018-09-04', '2018-09-04', 45000.00000000, 'Règlement client', 2, 8, 5, 'VIR', '202007', '', 1, NULL, 0, '', 'CMP LASER DECOUPE', NULL, ''),
(542, '2018-09-05 08:52:55', '2020-07-21 08:53:22', '2018-09-05', '2018-09-05', 119.90000000, '(CustomerInvoicePayment)', 2, 8, 5, 'CHQ', '202007', NULL, 1, NULL, 40, NULL, 'M22', NULL, ''),
(543, '2018-09-05 08:53:33', '2020-07-21 08:53:22', '2018-09-05', '2018-09-05', 935.79000000, '(CustomerInvoicePayment)', 2, 8, 5, 'CHQ', '202007', NULL, 1, NULL, 40, NULL, 'PEILLET MACH. AGRICOLES', NULL, ''),
(544, '2018-09-05 08:54:13', '2020-07-21 08:53:22', '2018-09-05', '2018-09-05', 244.79000000, '(CustomerInvoicePayment)', 2, 8, 5, 'CHQ', '202007', NULL, 1, NULL, 40, NULL, 'IMPRIMERIE DEVAL', NULL, ''),
(545, '2018-09-05 08:54:50', '2020-07-21 08:53:22', '2018-09-05', '2018-09-05', 3976.80000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'JEGOU Industrie', NULL, ''),
(546, '2018-09-05 08:58:21', '2020-07-21 08:53:22', '2018-09-05', '2018-09-05', -15192.74000000, '(SupplierInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(547, '2018-09-05 08:59:25', '2020-07-21 08:53:22', '2018-09-05', '2018-09-05', -900.00000000, '(SupplierInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(548, '2018-09-06 13:17:32', '2020-07-21 08:53:22', '2018-09-06', '2018-09-06', 288.02000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'MMD', NULL, ''),
(549, '2018-09-06 13:18:17', '2020-07-21 08:53:22', '2018-09-06', '2018-09-06', 841.26000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'EBG COMPOSITE', NULL, ''),
(550, '2018-09-06 13:19:06', '2020-07-21 08:53:22', '2018-09-06', '2018-09-06', 141.24000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'GOASDUFF SUD EST', NULL, ''),
(551, '2018-09-06 17:49:41', '2020-07-21 08:53:22', '2018-09-03', '2018-09-03', 1245.97000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'PODIS', NULL, ''),
(552, '2018-09-06 17:50:15', '2018-11-15 14:15:49', '2018-08-31', '2018-08-31', 1386.35000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', '1', NULL, 1, NULL, 0, NULL, 'VALLET FRERES (SARL)', NULL, ''),
(553, '2018-09-07 10:32:59', '2020-07-21 08:53:22', '2018-09-07', '2018-09-07', 816.83000000, '(CustomerInvoicePayment)', 2, 8, 5, 'CHQ', '202007', NULL, 1, NULL, 41, NULL, 'MENUISERIE ROCHEGUE', NULL, ''),
(554, '2018-09-07 10:33:30', '2020-07-21 08:53:22', '2018-09-07', '2018-09-07', 343.37000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'DROME ARDECHE INDUSTRIE BTP', NULL, ''),
(555, '2018-09-10 10:04:51', '2020-07-21 08:53:22', '2018-09-10', '2018-09-10', 10319.94000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'HDC LAMOTTE', NULL, ''),
(556, '2018-09-10 10:08:51', '2020-07-21 08:53:22', '2018-09-10', '2018-09-10', 299.87000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'PISTON SERVICE', NULL, ''),
(557, '2018-09-10 10:10:18', '2020-07-21 08:53:22', '2018-09-10', '2018-09-10', 547.98000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'CIRAM SAS', NULL, ''),
(558, '2018-09-10 10:11:46', '2020-07-21 08:53:22', '2018-09-10', '2018-09-10', 1522.29000000, '(CustomerInvoicePayment)', 2, 8, 5, 'CHQ', '202007', NULL, 1, NULL, 42, NULL, 'FUMAS SCIERIE', NULL, ''),
(559, '2018-09-10 10:41:27', '2020-07-21 08:53:22', '2018-09-10', '2018-09-10', 629.73000000, '(CustomerInvoicePayment)', 2, 8, 5, 'CHQ', '202007', NULL, 1, NULL, 42, NULL, 'HARMONYL 2', NULL, ''),
(560, '2018-09-11 11:06:24', '2020-07-21 08:53:22', '2018-09-11', '2018-09-11', 1669.82000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'HUILERIE DE CHAMBARAND', NULL, ''),
(561, '2018-09-11 11:07:07', '2020-07-21 08:53:22', '2018-09-11', '2018-09-11', 1195.35000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'EPOXY3000', NULL, ''),
(562, '2018-09-11 11:07:47', '2020-07-21 08:53:22', '2018-09-11', '2018-09-11', 326.89000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'COMAP WTI', NULL, ''),
(563, '2018-09-13 11:50:07', '2020-07-21 08:53:22', '2018-09-13', '2018-09-13', 8000.00000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'SOURCES DU PESTRIN', NULL, ''),
(564, '2018-09-17 09:08:49', '2020-07-21 08:53:22', '2018-09-17', '2018-09-17', 3553.39000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(565, '2018-09-17 09:09:19', '2020-07-21 08:53:22', '2018-09-17', '2018-09-17', 2148.00000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'IFTH', NULL, ''),
(566, '2018-09-17 09:10:00', '2020-07-21 08:53:22', '2018-09-17', '2018-09-17', 2914.03000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'MMD', NULL, ''),
(567, '2018-09-17 09:10:33', '2020-07-21 08:53:22', '2018-09-17', '2018-09-17', 951.75000000, '(CustomerInvoicePayment)', 2, 8, 5, 'CHQ', '202007', NULL, 1, NULL, 43, NULL, 'DEROUX PLANTS EURL', NULL, ''),
(568, '2018-09-17 09:11:24', '2020-07-21 08:54:25', '2018-09-17', '2018-09-17', 20.46000000, '(CustomerInvoicePayment)', 2, 8, 5, 'CHQ', '202007', NULL, 1, NULL, 43, NULL, 'TOUTES MECANIQUES', NULL, ''),
(569, '2018-09-17 09:11:52', '2020-07-21 08:54:25', '2018-09-17', '2018-09-17', 709.66000000, '(CustomerInvoicePayment)', 2, 8, 5, 'CHQ', '202007', NULL, 1, NULL, 43, NULL, 'SIRA', NULL, ''),
(570, '2018-09-17 09:12:30', '2020-07-21 08:54:25', '2018-09-17', '2018-09-17', 395.94000000, '(CustomerInvoicePayment)', 2, 8, 5, 'PRE', '202007', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(571, '2018-09-18 09:28:02', '2020-07-21 08:54:25', '2018-09-18', '2018-09-18', 1422.67000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'COOPERATIVE LA DAUPHINOISE', NULL, ''),
(572, '2018-09-18 09:28:39', '2020-07-21 08:54:25', '2018-09-18', '2018-09-18', 1233.20000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'COVAL', NULL, ''),
(573, '2018-09-18 09:29:16', '2020-07-21 08:54:25', '2018-09-18', '2018-09-18', 618.00000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'MICHAL PREFA', NULL, ''),
(574, '2018-09-18 09:29:50', '2020-07-21 08:54:25', '2018-09-18', '2018-09-18', 348.06000000, '(CustomerInvoicePayment)', 2, 8, 5, 'PRE', '202007', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(575, '2018-09-19 08:57:51', '2020-07-21 08:54:25', '2018-09-19', '2018-09-19', 474.00000000, '(CustomerInvoicePayment)', 2, 8, 5, 'CHQ', '202007', NULL, 1, NULL, 43, NULL, 'SARL CERAMCAD', NULL, ''),
(576, '2018-09-19 08:58:50', '2020-07-21 08:54:25', '2018-09-19', '2018-09-19', 339.43000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'EXSTO THERMOPLASTICS', NULL, ''),
(577, '2018-09-19 08:59:17', '2020-07-21 08:54:25', '2018-09-19', '2018-09-19', 99.00000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'CTMI', NULL, ''),
(578, '2018-09-21 09:14:48', '2020-07-21 08:54:25', '2018-09-21', '2018-09-21', 797.38000000, '(CustomerInvoicePayment)', 2, 8, 5, 'CHQ', '202007', NULL, 1, NULL, 43, NULL, 'DELORME BATTANDIER', NULL, ''),
(579, '2018-09-21 09:15:33', '2020-07-21 08:54:25', '2018-09-21', '2018-09-21', 838.32000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'ETS RICHARD PONTVERT ET CIE (Paraboot)', NULL, ''),
(580, '2018-09-21 09:16:11', '2020-07-21 08:54:25', '2018-09-21', '2018-09-21', 11759.96000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'COOPENOIX SOC COOP AGRIC', NULL, ''),
(581, '2018-09-21 09:16:45', '2020-07-21 08:54:25', '2018-09-21', '2018-09-21', 1195.36000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'MOLTENI GRPE ELECTROLUX SAS', NULL, ''),
(582, '2018-09-24 11:31:36', '2020-07-21 08:54:25', '2018-09-24', '2018-09-24', 777.17000000, '(CustomerInvoicePayment)', 2, 8, 5, 'CHQ', '202007', NULL, 1, NULL, 44, NULL, 'HARMONYL 2', NULL, ''),
(583, '2018-09-26 09:40:01', '2020-07-21 08:54:25', '2018-09-26', '2018-09-26', 1357.92000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'DEVES', NULL, ''),
(584, '2018-09-26 09:40:37', '2020-07-21 08:54:25', '2018-09-26', '2018-09-26', 454.61000000, '(CustomerInvoicePayment)', 2, 8, 5, 'CHQ', '202007', NULL, 1, NULL, 45, NULL, 'FROMENT MENUISERIE', NULL, ''),
(585, '2018-09-28 10:32:10', '2020-07-21 08:54:25', '2018-09-28', '2018-09-28', 1371.91000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'PSI', NULL, ''),
(586, '2018-09-28 10:32:58', '2020-07-21 08:54:25', '2018-09-28', '2018-09-28', 645.60000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'HERBAROM LABORATOIRE', NULL, ''),
(587, '2018-09-28 10:33:40', '2020-07-21 08:54:25', '2018-09-28', '2018-09-28', 5632.13000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'RCR PRODUCTION FRANCE', NULL, ''),
(588, '2018-10-01 11:12:43', '2020-07-21 08:54:25', '2018-10-01', '2018-10-01', 1030.50000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'BEILLARD TUBES CARTON', NULL, ''),
(589, '2018-10-01 11:13:21', '2020-07-21 08:54:25', '2018-10-01', '2018-10-01', 803.38000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'IDEC', NULL, ''),
(590, '2018-10-01 11:15:08', '2020-07-21 08:54:25', '2018-10-01', '2018-10-01', 702.60000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'LA VINSOBRAISE', NULL, ''),
(591, '2018-10-01 11:16:16', '2020-07-21 08:54:25', '2018-10-01', '2018-10-01', 1149.57000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'BRASSERIE PLEINE LUNE', NULL, ''),
(592, '2018-10-01 11:16:46', '2020-07-21 08:54:25', '2018-10-01', '2018-10-01', 727.02000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'INNODEC', NULL, ''),
(593, '2018-10-01 11:17:16', '2020-07-21 08:54:25', '2018-10-01', '2018-10-01', 2249.10000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'CAPITAL ENERGY', NULL, ''),
(594, '2018-10-01 11:19:02', '2020-07-21 08:54:25', '2018-10-01', '2018-10-01', 941.34000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'ROMANAISE DE LA CHAUSSURE CLERGERIE', NULL, ''),
(595, '2018-10-03 10:04:04', '2020-07-21 08:54:25', '2018-10-03', '2018-10-03', 243.90000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'DUMG', NULL, ''),
(596, '2018-10-03 10:05:33', '2020-07-21 08:54:25', '2018-10-03', '2018-10-03', 1626.85000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'TELENCO', NULL, ''),
(597, '2018-10-03 10:06:09', '2020-07-21 08:54:25', '2018-10-03', '2018-10-03', 3759.67000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'BOURBON AUTOMOTIVE PLASTICS', NULL, ''),
(598, '2018-10-03 10:07:02', '2020-07-21 08:54:25', '2018-10-03', '2018-10-03', 995.06000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'SIBELCO', NULL, ''),
(599, '2018-10-03 10:07:39', '2020-07-21 08:54:25', '2018-10-03', '2018-10-03', 1955.83000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'BERNARD ROYAL DAUPHINE', NULL, ''),
(600, '2018-10-05 18:11:18', '2020-07-21 08:54:25', '2018-10-05', '2018-10-05', 913.03000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'EPOXY3000', NULL, ''),
(601, '2018-10-05 18:11:52', '2020-07-21 08:54:25', '2018-10-05', '2018-10-05', 540.00000000, '(CustomerInvoicePayment)', 2, 8, 5, 'CHQ', '202007', NULL, 1, NULL, 46, NULL, 'VILLE SAS-VALNOIX', NULL, ''),
(602, '2018-10-05 18:12:42', '2020-07-21 08:54:25', '2018-10-05', '2018-10-05', 811.36000000, '(CustomerInvoicePayment)', 2, 8, 5, 'CHQ', '202007', NULL, 1, NULL, 46, NULL, 'BAGALU', NULL, ''),
(603, '2018-10-05 18:13:58', '2020-07-21 08:54:25', '2018-10-05', '2018-10-05', 993.09000000, '(CustomerInvoicePayment)', 2, 8, 5, 'CHQ', '202007', NULL, 1, NULL, 46, NULL, 'BOUYOUD TONNELLERIE', NULL, ''),
(604, '2018-10-05 18:15:31', '2020-07-21 08:54:25', '2018-10-05', '2018-10-05', 1100.24000000, '(CustomerInvoicePayment)', 2, 8, 5, 'CHQ', '202007', NULL, 1, NULL, 46, NULL, 'DEBIONNE (Société d\'Emballage)', NULL, ''),
(605, '2018-10-05 18:18:59', '2020-07-21 08:54:25', '2018-10-05', '2018-10-05', -24156.35000000, '(SupplierInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(606, '2018-10-09 10:04:22', '2020-07-21 08:54:25', '2018-10-09', '2018-10-09', 601.30000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'BAXTER INJECTION', NULL, ''),
(607, '2018-10-10 09:56:48', '2020-07-21 08:54:25', '2018-10-10', '2018-10-10', 3768.00000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'Centre d\'exploitation départemental de LORIOL', NULL, ''),
(608, '2018-10-10 09:57:30', '2020-07-21 08:54:25', '2018-10-10', '2018-10-10', 844.21000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'REY FRERES', NULL, ''),
(609, '2018-10-10 14:53:02', '2020-07-21 08:54:25', '2018-10-10', '2018-10-10', 1842.36000000, '(CustomerInvoicePayment)', 2, 5, 5, 'CHQ', '202007', NULL, 1, NULL, 47, NULL, 'I-d-e-e-m Ginot', NULL, ''),
(610, '2018-10-11 17:08:49', '2020-07-21 08:54:25', '2018-10-11', '2018-10-11', 429.60000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'SIMGA', NULL, ''),
(611, '2018-10-11 17:09:43', '2020-07-21 08:54:25', '2018-10-11', '2018-10-11', 785.83000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'SEBM', NULL, ''),
(612, '2018-10-11 17:10:27', '2020-07-21 08:54:25', '2018-10-11', '2018-10-11', 680.70000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'COOPENOIX SOC COOP AGRIC', NULL, ''),
(613, '2018-10-11 17:10:58', '2020-07-21 08:54:25', '2018-10-11', '2018-10-11', 399.00000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'MPG', NULL, ''),
(614, '2018-10-11 17:11:36', '2020-07-21 08:54:25', '2018-10-11', '2018-10-11', 1734.30000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'DUMG', NULL, ''),
(615, '2018-10-12 09:25:53', '2020-07-21 08:54:25', '2018-10-12', '2018-10-12', 1196.40000000, '(CustomerInvoicePayment)', 2, 8, 5, 'CHQ', '202007', NULL, 1, NULL, 48, NULL, 'EARL des Coteaux', NULL, ''),
(616, '2018-10-15 10:38:52', '2020-07-21 08:54:25', '2018-10-15', '2018-10-15', 265.53000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'Garage Faurie Delhomme', NULL, ''),
(617, '2018-10-16 13:42:51', '2020-07-21 08:54:25', '2018-10-16', '2018-10-16', 278.71000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'MICHAL PREFA', NULL, ''),
(618, '2018-10-16 13:43:33', '2020-07-21 08:54:25', '2018-10-16', '2018-10-16', 4816.67000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'EXSTO', NULL, ''),
(619, '2018-10-17 09:03:40', '2020-07-21 08:54:25', '2018-10-17', '2018-10-17', 822.44000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'HOPITAUX DROME NORD', NULL, ''),
(620, '2018-10-17 09:04:17', '2020-07-21 08:54:25', '2018-10-17', '2018-10-17', 128.40000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'IVARS FRANCE', NULL, ''),
(621, '2018-10-17 09:04:58', '2020-07-21 08:54:25', '2018-10-17', '2018-10-17', -7200.00000000, '(SupplierInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(622, '2018-10-22 09:40:55', '2020-07-21 08:54:25', '2018-10-22', '2018-10-22', 1014.49000000, '(CustomerInvoicePayment)', 2, 8, 5, 'CHQ', '202007', NULL, 1, NULL, 49, NULL, 'C DENTAL - LE LABO', NULL, ''),
(623, '2018-10-22 09:41:27', '2020-07-21 08:54:25', '2018-10-22', '2018-10-22', 144.07000000, '(CustomerInvoicePayment)', 2, 8, 5, 'CHQ', '202007', NULL, 1, NULL, 49, NULL, 'EARL TIRON ( FRUITS & LEGUMES )', NULL, ''),
(624, '2018-10-22 09:42:06', '2020-07-21 08:54:25', '2018-10-22', '2018-10-22', 687.67000000, '(CustomerInvoicePayment)', 2, 8, 5, 'CHQ', '202007', NULL, 1, NULL, 49, NULL, 'DELPHINOIX', NULL, ''),
(625, '2018-10-22 09:42:59', '2020-07-21 08:54:25', '2018-10-22', '2018-10-22', 2326.58000000, '(CustomerInvoicePayment)', 2, 8, 5, 'CHQ', '202007', NULL, 1, NULL, 49, NULL, 'SMS', NULL, ''),
(626, '2018-10-22 09:43:37', '2020-07-21 08:54:25', '2018-10-22', '2018-10-22', 436.20000000, '(CustomerInvoicePayment)', 2, 8, 5, 'CHQ', '202007', NULL, 1, NULL, 49, NULL, 'NEGOMETAL', NULL, ''),
(627, '2018-10-22 16:07:17', '2020-07-21 08:54:25', '2018-10-15', '2018-10-15', 1541.73000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'COOPERATIVE LA DAUPHINOISE', NULL, ''),
(628, '2018-10-26 08:59:05', '2020-07-21 08:54:25', '2018-10-26', '2018-10-26', 408.00000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'A3p Application Plasturgie', NULL, ''),
(629, '2018-10-26 08:59:40', '2020-07-21 08:54:25', '2018-10-26', '2018-10-26', 529.20000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'CULIMETA FRANCE ISERE', NULL, ''),
(630, '2018-10-26 09:00:34', '2020-07-21 08:54:25', '2018-10-26', '2018-10-26', 50000.00000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'CMP LASER DECOUPE', NULL, ''),
(631, '2018-10-31 09:02:35', '2020-07-21 08:55:37', '2018-10-31', '2018-10-31', 791.41000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'EBG COMPOSITE', NULL, ''),
(632, '2018-10-31 09:03:09', '2020-07-21 08:55:37', '2018-10-31', '2018-10-31', 441.00000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'MODELAGE CONCEPT SARL', NULL, ''),
(633, '2018-10-31 09:03:46', '2020-07-21 08:55:37', '2018-10-31', '2018-10-31', 1142.09000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'PRISME MECA', NULL, ''),
(634, '2018-11-05 12:27:37', '2020-07-21 08:55:37', '2018-11-05', '2018-11-05', 600.91000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(635, '2018-11-05 12:28:08', '2020-07-21 08:55:37', '2018-11-05', '2018-11-05', 743.73000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'BONTOUT', NULL, ''),
(636, '2018-11-05 12:28:38', '2020-07-21 08:55:37', '2018-11-05', '2018-11-05', 712.54000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'BOURBON AUTOMOTIVE PLASTICS', NULL, ''),
(637, '2018-11-05 12:31:59', '2020-07-21 08:55:37', '2018-11-05', '2018-11-05', 1469.16000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'GOASDUFF SUD EST', NULL, ''),
(638, '2018-11-05 17:17:27', '2020-07-21 08:55:37', '2018-11-05', '2018-11-05', 629.79000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'CMS CONCEPT METAL SERVICE', NULL, ''),
(639, '2018-11-05 17:18:07', '2020-07-21 08:55:37', '2018-11-05', '2018-11-05', 1878.71000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'COVAL', NULL, ''),
(640, '2018-11-06 08:46:07', '2020-07-21 08:55:37', '2018-11-06', '2018-11-06', 1526.72000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'Froid & Services Auvergne Rhone Alpes', NULL, ''),
(641, '2018-11-06 08:49:31', '2020-07-21 08:55:37', '2018-11-06', '2018-11-06', -9318.44000000, '(SupplierInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(642, '2018-11-06 08:53:18', '2020-07-21 08:55:37', '2018-11-06', '2018-11-06', -9614.85000000, '(SupplierInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(643, '2018-11-06 08:55:26', '2020-07-21 08:55:37', '2018-11-06', '2018-11-06', -2037.12000000, '(SupplierInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(644, '2018-11-06 08:56:06', '2020-07-21 08:55:37', '2018-11-06', '2018-11-06', -900.00000000, '(SupplierInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(645, '2018-11-07 09:03:02', '2020-07-21 08:55:37', '2018-11-07', '2018-11-07', 1579.64000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'DUMG', NULL, ''),
(646, '2018-11-08 13:35:36', '2020-07-21 08:55:37', '2018-11-08', '2018-11-08', 405.60000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'SICAL CELTA SAINT HILAIRE', NULL, ''),
(647, '2018-11-09 09:36:05', '2020-07-21 08:55:37', '2018-11-09', '2018-11-09', 11436.07000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'REY FRERES', NULL, ''),
(648, '2018-11-09 09:36:43', '2020-07-21 08:55:37', '2018-11-09', '2018-11-09', 134.40000000, '(CustomerInvoicePayment)', 2, 8, 5, 'CHQ', '202007', NULL, 1, NULL, 50, NULL, 'SCIERIE DES BLACHES-BOUCHARD', NULL, ''),
(649, '2018-11-12 10:01:15', '2020-07-21 08:55:37', '2018-11-12', '2018-11-12', 866.10000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'BAXTER INJECTION', NULL, ''),
(650, '2018-11-14 10:05:12', '2020-07-21 08:55:37', '2018-11-14', '2018-11-14', -429.60000000, '(CustomerInvoicePaymentBack)', 2, 5, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(651, '2018-11-15 15:23:01', '2020-07-21 08:55:37', '2018-11-15', '2018-11-15', 258.07000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'AIR PN', NULL, ''),
(652, '2018-11-15 15:23:36', '2020-07-21 08:55:37', '2018-11-15', '2018-11-15', 1539.95000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'P&M Développement', NULL, ''),
(653, '2018-11-15 15:24:34', '2020-07-21 08:55:37', '2018-11-15', '2018-11-15', 14077.87000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'SIBELCO', NULL, ''),
(654, '2018-11-15 15:26:57', '2020-07-21 08:55:37', '2018-11-15', '2018-11-15', 16597.86000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'COOPERATIVE LA DAUPHINOISE', NULL, ''),
(655, '2018-11-16 10:27:36', '2020-07-21 08:55:37', '2018-11-16', '2018-11-16', 884.83000000, '(CustomerInvoicePayment)', 2, 8, 5, 'PRE', '202007', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(656, '2018-11-16 10:28:08', '2020-07-21 08:55:37', '2018-11-16', '2018-11-16', 1151.77000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'CHAUSSY GOMEZ S.A.S.', NULL, ''),
(657, '2018-11-16 10:28:50', '2020-07-21 08:55:37', '2018-11-16', '2018-11-16', 3215.15000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'HOPITAUX DROME NORD', NULL, ''),
(658, '2018-11-16 10:31:06', '2020-07-21 08:55:37', '2018-11-16', '2018-11-16', 801.49000000, '(CustomerInvoicePayment)', 2, 8, 5, 'CHQ', '202007', NULL, 1, NULL, 51, NULL, 'VIVIER GEORGES', NULL, ''),
(659, '2018-11-16 10:34:22', '2020-07-21 08:55:37', '2018-11-16', '2018-11-16', 1958.40000000, '(CustomerInvoicePayment)', 2, 8, 5, 'CHQ', '202007', NULL, 1, NULL, 51, NULL, 'NEGOMETAL', NULL, ''),
(660, '2018-11-16 10:36:03', '2020-07-21 08:55:37', '2018-11-16', '2018-11-16', 124.20000000, '(CustomerInvoicePayment)', 2, 8, 5, 'CHQ', '202007', NULL, 1, NULL, 51, NULL, 'BOUCHERIE SOTON PASCAL', NULL, ''),
(661, '2018-11-16 10:37:04', '2020-07-21 08:55:37', '2018-11-16', '2018-11-16', 2400.00000000, '(CustomerInvoicePayment)', 2, 8, 5, 'CHQ', '202007', NULL, 1, NULL, 51, NULL, 'Domaine Pradelle', NULL, ''),
(662, '2018-11-16 11:04:44', '2020-07-21 08:55:37', '2018-11-16', '2018-11-16', 272.15000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(663, '2018-11-16 18:42:31', '2020-07-21 08:54:25', '2018-10-30', '2018-10-30', 600.91000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(664, '2018-11-19 10:58:42', '2020-07-21 08:55:37', '2018-11-19', '2018-11-19', 331.73000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'REY FRERES', NULL, ''),
(665, '2018-11-19 10:59:15', '2020-07-21 08:55:37', '2018-11-19', '2018-11-19', 260.77000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'COVED Environnement', NULL, ''),
(666, '2018-11-20 09:24:37', '2020-07-21 08:55:37', '2018-11-20', '2018-11-20', 3462.50000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'EXSTO THERMOPLASTICS', NULL, ''),
(667, '2018-11-20 09:25:25', '2020-07-21 08:55:37', '2018-11-20', '2018-11-20', 110.16000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'EXSTO', NULL, ''),
(668, '2018-11-20 09:26:02', '2020-07-21 08:55:37', '2018-11-20', '2018-11-20', 216.60000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'Gardner Denver ( division Compair )', NULL, ''),
(669, '2018-11-21 09:15:13', '2020-07-21 08:55:37', '2018-11-21', '2018-11-21', 1037.52000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'SAS PROCYL COLORS', NULL, ''),
(670, '2018-11-21 09:16:45', '2020-07-21 08:55:37', '2018-11-21', '2018-11-21', 19164.80000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'PRECIA MOLEN', NULL, ''),
(671, '2018-11-23 14:04:54', '2020-07-21 08:55:37', '2018-11-23', '2018-11-23', 1315.32000000, '(CustomerInvoicePayment)', 2, 8, 5, 'CHQ', '202007', NULL, 1, NULL, 52, NULL, 'MIELLERIE SAINT-JOSEPH', NULL, ''),
(672, '2018-11-26 09:16:08', '2020-07-21 08:55:37', '2018-11-26', '2018-11-26', 663.95000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'DESMET', NULL, ''),
(673, '2018-11-26 09:16:49', '2020-07-21 08:55:37', '2018-11-26', '2018-11-26', 2760.00000000, '(CustomerInvoicePayment)', 2, 8, 5, 'CHQ', '202007', NULL, 1, NULL, 53, NULL, 'SCIERIE DES BLACHES-BOUCHARD', NULL, ''),
(674, '2018-11-27 09:30:34', '2020-07-21 08:55:37', '2018-11-27', '2018-11-27', 3000.00000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'SOURCES DU PESTRIN', NULL, ''),
(675, '2018-11-27 15:04:22', '2020-07-21 08:54:25', '2018-11-27', '2018-11-27', 709.91000000, '(CustomerInvoicePayment)', 2, 5, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'VIVIER GEORGES', NULL, ''),
(676, '2018-11-27 16:00:15', '2020-07-21 08:54:25', '2018-11-27', '2018-11-27', 272.15000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(677, '2018-11-27 16:01:34', '2020-07-21 08:54:25', '2018-11-27', '2018-11-27', 272.15000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(678, '2018-11-28 09:33:06', '2020-07-21 08:55:37', '2018-11-28', '2018-11-28', -6742.80000000, '(SupplierInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(679, '2018-11-30 09:42:30', '2020-07-21 08:55:37', '2018-11-30', '2018-11-30', 1030.18000000, '(CustomerInvoicePayment)', 2, 8, 5, 'PRE', '202007', NULL, 1, NULL, 0, NULL, NULL, NULL, ''),
(680, '2018-11-30 09:43:15', '2020-07-21 08:55:37', '2018-11-30', '2018-11-30', 4235.79000000, '(CustomerInvoicePayment)', 2, 8, 5, 'CHQ', '202007', NULL, 1, NULL, 54, NULL, 'TISSAGES SAFADI RHODANIENS', NULL, ''),
(681, '2018-11-30 09:44:04', '2020-07-21 08:55:37', '2018-11-30', '2018-11-30', 290.01000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'SIBELCO', NULL, ''),
(682, '2018-12-03 10:35:01', '2020-07-21 08:55:37', '2018-12-03', '2018-12-03', 1214.32000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'SICAL CELTA SAINT HILAIRE', NULL, ''),
(683, '2018-12-03 10:35:42', '2020-07-21 08:55:37', '2018-12-03', '2018-12-03', 929.30000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'FRANCE CAOUTCHOUC SERVICE', NULL, ''),
(684, '2018-12-03 10:36:15', '2020-07-21 08:55:37', '2018-12-03', '2018-12-03', 734.49000000, '(CustomerInvoicePayment)', 2, 8, 5, 'VIR', '202007', NULL, 1, NULL, 0, NULL, 'C.I.M.S. DE LA BIEVRE', NULL, ''),
(685, '2018-12-03 10:37:01', '2018-12-03 09:37:01', '2018-12-03', '2018-12-03', 1184.50000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DROME ARDECHE INDUSTRIE BTP', NULL, ''),
(686, '2018-12-03 10:37:36', '2018-12-03 09:37:36', '2018-12-03', '2018-12-03', 227.38000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'JARS CERAMISTES', NULL, ''),
(687, '2018-12-05 09:02:50', '2018-12-05 08:02:50', '2018-12-05', '2018-12-05', -1435.28000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(688, '2018-12-05 09:04:25', '2018-12-05 08:04:25', '2018-12-05', '2018-12-05', -4118.00000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(689, '2018-12-05 09:06:31', '2018-12-05 08:06:31', '2018-12-05', '2018-12-05', -6664.82000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(690, '2018-12-05 09:12:59', '2018-12-05 08:12:59', '2018-12-05', '2018-12-05', 447.22000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EPIDAURE', NULL, ''),
(691, '2018-12-05 09:13:28', '2018-12-05 08:13:29', '2018-12-05', '2018-12-05', -118.56000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(692, '2018-12-07 08:37:48', '2018-12-07 07:37:48', '2018-12-07', '2018-12-07', 10645.24000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'HDC LAMOTTE', NULL, ''),
(693, '2018-12-10 08:48:03', '2018-12-10 08:24:19', '2018-12-10', '2018-12-10', 713.65000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 55, NULL, 'COP', NULL, ''),
(694, '2018-12-10 08:48:42', '2018-12-10 08:24:19', '2018-12-10', '2018-12-10', 544.78000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 55, NULL, 'ESPACS', NULL, ''),
(695, '2018-12-10 08:49:15', '2018-12-10 08:24:19', '2018-12-10', '2018-12-10', 678.84000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 55, NULL, 'VIGNE FRERES', NULL, ''),
(696, '2018-12-10 08:49:55', '2018-12-10 07:49:55', '2018-12-10', '2018-12-10', 1615.83000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TRANSALP', NULL, ''),
(697, '2018-12-10 08:50:29', '2018-12-10 07:50:29', '2018-12-10', '2018-12-10', 798.68000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SEBM SUD(Société Exploitation des Bétons Martel Sud)', NULL, ''),
(698, '2018-12-12 08:55:31', '2018-12-12 07:55:31', '2018-12-12', '2018-12-12', 1187.82000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(699, '2018-12-12 08:56:16', '2018-12-12 07:56:16', '2018-12-12', '2018-12-12', 141.24000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'GOASDUFF SUD EST', NULL, ''),
(700, '2018-12-12 08:57:04', '2018-12-13 11:12:44', '2018-12-12', '2018-12-12', 199.93000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 56, NULL, 'TTI ROCHETAILLE EMAIL SARL', NULL, ''),
(701, '2018-12-12 08:57:36', '2018-12-13 11:12:44', '2018-12-12', '2018-12-12', 1116.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 56, NULL, 'SMS', NULL, ''),
(702, '2018-12-12 08:59:00', '2018-12-12 07:59:00', '2018-12-12', '2018-12-12', 1.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COLLAVET PLASTIQUES', NULL, ''),
(703, '2018-12-13 13:26:23', '2018-12-13 12:26:23', '2018-12-13', '2018-12-13', -180.00000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(704, '2018-12-13 13:27:10', '2018-12-13 12:27:10', '2018-12-13', '2018-12-13', 360.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'Invest Solutios', NULL, ''),
(705, '2018-12-14 13:30:53', '2018-12-17 09:57:01', '2018-12-14', '2018-12-14', 499.31000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 57, NULL, 'SOCAM', NULL, ''),
(706, '2018-12-14 13:31:22', '2018-12-17 09:57:01', '2018-12-14', '2018-12-14', 1502.97000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 57, NULL, 'FIGUET MECANIQUE SARL', NULL, ''),
(707, '2018-12-14 13:32:05', '2018-12-14 12:32:05', '2018-12-14', '2018-12-14', 837.76000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CULIMETA FRANCE ISERE', NULL, ''),
(708, '2018-12-17 17:54:14', '2018-12-17 16:54:14', '2018-12-17', '2018-12-17', 924.54000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MICHAL PREFA', NULL, ''),
(709, '2018-12-17 17:54:42', '2018-12-17 16:54:42', '2018-12-17', '2018-12-17', 113.53000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SARL CARROSSERIE RIGNOL', NULL, ''),
(710, '2018-12-17 17:55:20', '2018-12-17 16:55:20', '2018-12-17', '2018-12-17', 2828.87000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'IVARS FRANCE', NULL, ''),
(711, '2018-12-17 17:55:49', '2018-12-17 16:55:49', '2018-12-17', '2018-12-17', 291.68000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'HOPITAUX DROME NORD', NULL, ''),
(712, '2018-12-17 17:56:25', '2018-12-18 09:37:31', '2018-12-17', '2018-12-17', 818.40000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 58, NULL, 'DELPHINOIX', NULL, ''),
(713, '2018-12-18 09:21:20', '2018-12-18 08:21:20', '2018-12-18', '2018-12-18', 115.56000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EXSTO', NULL, ''),
(714, '2018-12-18 09:21:50', '2018-12-18 08:21:50', '2018-12-18', '2018-12-18', 1725.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'Centre d\'exploitation départemental de LORIOL', NULL, ''),
(715, '2018-12-18 09:22:30', '2018-12-18 08:22:30', '2018-12-18', '2018-12-18', 11855.64000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SIBELCO', NULL, ''),
(716, '2018-12-19 09:02:38', '2018-12-19 08:02:38', '2018-12-19', '2018-12-19', 2204.67000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(717, '2018-12-19 09:03:24', '2018-12-19 09:47:54', '2018-12-19', '2018-12-19', 1970.78000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 59, NULL, 'CROS PERE ET FILS 07 DESAIGNES', NULL, ''),
(718, '2018-12-21 10:55:04', '2018-12-21 09:55:04', '2018-12-21', '2018-12-21', 2562.66000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SICAL CELTA SAINT HILAIRE', NULL, ''),
(719, '2018-12-21 10:55:39', '2018-12-21 09:55:39', '2018-12-21', '2018-12-21', 2613.22000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COOPENOIX SOC COOP AGRIC', NULL, ''),
(720, '2018-12-21 10:56:10', '2018-12-21 09:56:10', '2018-12-21', '2018-12-21', 600.91000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(721, '2018-12-21 10:56:50', '2018-12-21 09:56:50', '2018-12-21', '2018-12-21', 440.40000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'JARS CERAMISTES', NULL, ''),
(722, '2018-12-21 10:57:34', '2018-12-21 09:57:34', '2018-12-21', '2018-12-21', 3478.10000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(723, '2018-12-21 11:00:18', '2018-12-21 10:00:18', '2018-12-21', '2018-12-21', -3156.66000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(724, '2018-12-21 11:01:32', '2018-12-21 10:01:32', '2018-12-21', '2018-12-21', -3128.75000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(725, '2018-12-26 10:01:21', '2018-12-26 09:01:21', '2018-12-26', '2018-12-26', 645.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COOPENOIX SOC COOP AGRIC', NULL, ''),
(726, '2018-12-26 10:02:04', '2018-12-26 09:02:04', '2018-12-26', '2018-12-26', 1467.44000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PAVAILLER', NULL, ''),
(727, '2018-12-26 10:02:42', '2018-12-26 09:02:42', '2018-12-26', '2018-12-26', 272.15000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(728, '2018-12-26 10:03:12', '2018-12-26 09:03:12', '2018-12-26', '2018-12-26', 1450.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'NAVYA', NULL, ''),
(729, '2018-12-27 13:26:19', '2019-01-02 16:07:29', '2018-12-27', '2018-12-27', 1115.01000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 60, NULL, 'BARBIER', NULL, ''),
(730, '2019-01-02 08:59:24', '2019-01-02 07:59:24', '2019-01-02', '2019-01-02', 12360.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'Les Volaillers du Dauphiné - CAPAG', NULL, ''),
(731, '2019-01-02 08:59:55', '2019-01-02 07:59:55', '2019-01-02', '2019-01-02', 1004.24000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MPG', NULL, ''),
(732, '2019-01-02 09:00:32', '2019-01-02 16:07:29', '2019-01-02', '2019-01-02', 2000.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 60, NULL, 'BUYS CARROSSERIE', NULL, ''),
(733, '2019-01-03 09:34:24', '2019-01-03 08:34:24', '2019-01-03', '2019-01-03', 100.00000000, '(CustomerInvoicePayment)', 2, 5, NULL, 'LIQ', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(734, '2019-01-03 12:18:40', '2019-01-03 11:18:40', '2019-01-03', '2019-01-03', 2740.51000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FCA', NULL, ''),
(735, '2019-01-03 12:19:16', '2019-01-03 11:19:16', '2019-01-03', '2019-01-03', 2254.43000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ACIERIES DE BONPERTUIS', NULL, ''),
(736, '2019-01-03 12:19:42', '2019-01-03 11:19:43', '2019-01-03', '2019-01-03', 430.48000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COOPERATIVE LA DAUPHINOISE', NULL, ''),
(737, '2019-01-03 12:20:17', '2019-01-04 14:44:46', '2019-01-03', '2019-01-03', 1037.48000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 61, NULL, 'COFATEC', NULL, ''),
(738, '2019-01-03 12:21:00', '2019-01-04 14:44:46', '2019-01-03', '2019-01-03', 2760.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 61, NULL, 'SCIERIE DES BLACHES-BOUCHARD', NULL, ''),
(739, '2019-01-07 09:11:54', '2019-01-07 08:11:54', '2019-01-07', '2019-01-07', 2670.38000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'KERRY INGREDIENTS France SAS', NULL, ''),
(740, '2019-01-07 09:12:31', '2019-01-07 08:12:31', '2019-01-07', '2019-01-07', 395.94000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(741, '2019-01-07 09:33:11', '2019-01-07 08:33:11', '2019-01-03', '2019-01-03', -4722.90000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(742, '2019-01-07 09:34:34', '2019-01-07 08:34:34', '2019-01-02', '2019-01-02', -5467.78000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(743, '2019-01-08 11:58:34', '2019-01-08 10:58:34', '2019-01-08', '2019-01-08', 415.79000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ECO SAULE\'UTION', NULL, ''),
(744, '2019-01-08 11:59:12', '2019-01-08 10:59:12', '2019-01-08', '2019-01-08', -3508.91000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(745, '2019-01-08 12:00:24', '2019-01-08 11:00:24', '2019-01-08', '2019-01-08', -1887.42000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(746, '2019-01-09 09:04:51', '2019-01-09 08:04:51', '2019-01-09', '2019-01-09', 684.16000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SARRAZIN', NULL, ''),
(747, '2019-01-09 09:05:43', '2019-01-09 08:05:43', '2019-01-09', '2019-01-09', 3731.46000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PRISME MECA', NULL, ''),
(748, '2019-01-10 16:03:55', '2019-01-10 15:03:55', '2019-01-10', '2019-01-10', 2484.03000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ISRA', NULL, ''),
(749, '2019-01-10 16:04:24', '2019-01-10 15:04:24', '2019-01-10', '2019-01-10', -204.32000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(750, '2019-01-10 16:05:12', '2019-01-10 15:05:12', '2019-01-10', '2019-01-10', 889.94000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COP', NULL, ''),
(751, '2019-01-10 16:05:45', '2019-01-10 15:05:45', '2019-01-10', '2019-01-10', 884.76000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MECA INDUSTRIE', NULL, '');
INSERT INTO `llx_bank` (`rowid`, `datec`, `tms`, `datev`, `dateo`, `amount`, `label`, `fk_account`, `fk_user_author`, `fk_user_rappro`, `fk_type`, `num_releve`, `num_chq`, `rappro`, `note`, `fk_bordereau`, `banque`, `emetteur`, `author`, `numero_compte`) VALUES
(752, '2019-01-10 16:06:41', '2019-01-10 15:06:41', '2019-01-10', '2019-01-10', 249.72000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CI CARROSSIER CONSTRUCTEUR', NULL, ''),
(753, '2019-01-14 09:52:19', '2019-01-14 08:52:19', '2019-01-14', '2019-01-14', 6917.18000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DETFI', NULL, ''),
(754, '2019-01-15 12:23:05', '2019-01-15 11:23:05', '2019-01-15', '2019-01-15', 962.74000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SORALEP', NULL, ''),
(755, '2019-01-16 09:25:06', '2019-01-16 08:25:06', '2019-01-16', '2019-01-16', 971.51000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DEBIONNE (Société d\'Emballage)', NULL, ''),
(756, '2019-01-16 09:26:33', '2019-01-16 08:26:33', '2019-01-16', '2019-01-16', 1576.96000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SMS', NULL, ''),
(757, '2019-01-16 09:41:05', '2019-01-16 08:41:05', '2019-01-16', '2019-01-16', 376.56000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PERNAT technologie', NULL, ''),
(758, '2019-01-16 09:41:37', '2019-01-16 08:41:37', '2019-01-16', '2019-01-16', 433.90000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'IVARS FRANCE', NULL, ''),
(759, '2019-01-17 13:22:19', '2019-01-17 12:22:19', '2019-01-17', '2019-01-17', 3000.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SOURCES DU PESTRIN', NULL, ''),
(760, '2019-01-17 13:26:55', '2019-01-17 12:26:55', '2019-01-17', '2019-01-17', 2615.90000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MECANIQUE GENERALE PRIVADOISE', NULL, ''),
(761, '2019-01-18 09:14:16', '2019-01-18 08:14:16', '2019-01-18', '2019-01-18', 20000.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CMP LASER DECOUPE', NULL, ''),
(762, '2019-01-18 09:16:18', '2019-01-18 08:16:18', '2019-01-18', '2019-01-18', 250.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'Gardner Denver ( division Compair )', NULL, ''),
(763, '2019-01-21 09:02:32', '2019-01-21 08:02:32', '2019-01-21', '2019-01-21', 213.75000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'HOPITAUX DROME NORD', NULL, ''),
(764, '2019-01-21 09:03:04', '2019-01-21 08:03:04', '2019-01-21', '2019-01-21', 211.42000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ETABLISSEMENTS ROUSSET', NULL, ''),
(765, '2019-01-21 09:03:37', '2019-01-21 08:03:37', '2019-01-21', '2019-01-21', 2876.94000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SCIERIE DES BLACHES-BOUCHARD', NULL, ''),
(766, '2019-01-22 09:33:09', '2019-01-22 08:33:09', '2019-01-22', '2019-01-22', 7200.01000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'Invest Solutios', NULL, ''),
(767, '2019-01-23 09:42:41', '2019-01-23 08:42:41', '2019-01-23', '2019-01-23', 272.15000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(768, '2019-01-23 09:43:40', '2019-01-23 08:43:40', '2019-01-23', '2019-01-23', 805.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'LIQ', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(769, '2019-01-23 09:44:05', '2019-01-29 11:29:46', '2019-01-23', '2019-01-23', 1195.43000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 62, NULL, 'BUYS CARROSSERIE', NULL, ''),
(770, '2019-01-29 11:10:20', '2019-01-29 10:10:20', '2019-01-29', '2019-01-29', -10000.00000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(771, '2019-01-30 08:40:22', '2019-01-30 07:40:22', '2019-01-30', '2019-01-30', 2520.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BEILLARD TUBES CARTON', NULL, ''),
(772, '2019-01-30 08:40:59', '2019-01-30 09:30:04', '2019-01-30', '2019-01-30', 4146.05000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 63, NULL, 'FROMENT MENUISERIE', NULL, ''),
(773, '2019-01-30 08:41:46', '2019-01-30 09:30:04', '2019-01-30', '2019-01-30', 223.06000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 63, NULL, 'HARMONYL 2', NULL, ''),
(774, '2019-01-30 08:42:21', '2019-01-30 09:30:04', '2019-01-30', '2019-01-30', 882.36000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 63, NULL, 'IDEA ( INDUSTRIE DE DEVELOPPEMENT DE L ELECTRICITE AUTONOME )', NULL, ''),
(775, '2019-01-30 08:43:17', '2019-01-30 07:43:17', '2019-01-30', '2019-01-30', -3000.00000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(776, '2019-02-07 22:51:19', '2019-02-07 21:51:19', '2019-02-07', '2019-02-07', 1881.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'REY FRERES', NULL, ''),
(777, '2019-02-07 22:56:17', '2019-02-07 21:56:17', '2019-02-07', '2019-02-07', 395.94000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MECA INDUSTRIE', NULL, ''),
(778, '2019-02-07 22:57:15', '2019-02-07 21:57:15', '2019-02-07', '2019-02-07', 7099.02000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EIFFAGE ROUTE CENTRE EST', NULL, ''),
(779, '2019-02-07 22:58:01', '2019-02-07 21:58:01', '2019-02-07', '2019-02-07', 3661.25000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'INSOFT', NULL, ''),
(780, '2019-02-07 22:58:43', '2019-02-07 21:58:43', '2019-02-07', '2019-02-07', 1671.11000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SOREA', NULL, ''),
(781, '2019-02-07 22:59:14', '2019-02-07 21:59:14', '2019-02-07', '2019-02-07', 817.82000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'Ajm Emballages(SARL)', NULL, ''),
(782, '2019-02-07 23:04:19', '2019-02-07 22:04:19', '2019-02-07', '2019-02-07', 3000.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SOURCES DU PESTRIN', NULL, ''),
(783, '2019-02-07 23:06:08', '2019-02-07 22:06:08', '2019-02-07', '2019-02-07', 603.26000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'VALFORMES', NULL, ''),
(784, '2019-02-07 23:06:57', '2019-02-07 22:06:57', '2019-02-07', '2019-02-07', 2026.92000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COOPERATIVE LA DAUPHINOISE', NULL, ''),
(785, '2019-02-07 23:07:27', '2019-02-07 22:07:27', '2019-02-07', '2019-02-07', 6600.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TRUCK Solutions Chambery', NULL, ''),
(786, '2019-02-07 23:09:33', '2019-02-07 22:09:33', '2019-02-07', '2019-02-07', 0.02000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SOURCES DU PESTRIN', NULL, ''),
(787, '2019-02-07 23:12:15', '2019-02-07 22:12:15', '2019-02-07', '2019-02-07', 2185.48000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MMD', NULL, ''),
(788, '2019-02-07 23:12:51', '2019-02-07 22:12:51', '2019-02-07', '2019-02-07', 1068.24000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MODELAGE CONCEPT SARL', NULL, ''),
(789, '2019-02-08 13:55:48', '2019-02-08 12:55:48', '2019-02-08', '2019-02-08', 530.42000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ESPB', NULL, ''),
(790, '2019-02-11 09:39:52', '2019-02-11 08:39:52', '2019-02-11', '2019-02-11', 1180.47000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'UDT MECA', NULL, ''),
(791, '2019-02-11 09:40:26', '2019-02-11 15:25:15', '2019-02-11', '2019-02-11', 300.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 64, NULL, 'MAISONS RIBEAUD', NULL, ''),
(792, '2019-02-11 09:41:10', '2019-02-11 15:25:15', '2019-02-11', '2019-02-11', 2097.22000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 64, NULL, 'TISSAGES SAFADI RHODANIENS', NULL, ''),
(793, '2019-02-12 08:48:28', '2019-02-12 07:48:28', '2019-02-12', '2019-02-12', 1903.14000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'RTSI', NULL, ''),
(794, '2019-02-12 08:51:53', '2019-02-12 07:51:53', '2019-02-12', '2019-02-12', -7797.80000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(795, '2019-02-12 09:06:41', '2019-02-12 08:06:41', '2019-02-12', '2019-02-12', 322.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BOURBON AUTOMOTIVE PLASTICS', NULL, ''),
(796, '2019-02-13 09:22:26', '2019-02-13 08:22:26', '2019-02-13', '2019-02-13', 34.10000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'JEAN PHILIPPE RICHARD', NULL, ''),
(797, '2019-02-13 09:24:11', '2019-02-13 14:28:17', '2019-02-13', '2019-02-13', 3000.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 65, NULL, 'SOURCES DU PESTRIN', NULL, ''),
(798, '2019-02-15 10:53:05', '2019-02-18 09:15:36', '2019-02-15', '2019-02-15', 649.56000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 66, NULL, 'SMS', NULL, ''),
(799, '2019-02-18 09:22:54', '2019-02-18 08:22:54', '2019-02-18', '2019-02-18', 1452.02000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PRECIA MOLEN', NULL, ''),
(800, '2019-02-18 09:27:53', '2019-02-18 09:15:36', '2019-02-18', '2019-02-18', 11999.97000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 66, NULL, 'ROTOMOD', NULL, ''),
(802, '2019-02-18 09:37:34', '2019-02-18 08:37:34', '2019-02-18', '2019-02-18', 578.59000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ACIERIES DE BONPERTUIS', NULL, ''),
(803, '2019-02-20 08:54:16', '2019-02-20 07:54:16', '2019-02-20', '2019-02-20', 272.15000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(804, '2019-02-21 12:01:37', '2019-02-21 11:01:37', '2019-02-21', '2019-02-21', 478.50000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CI CARROSSIER CONSTRUCTEUR', NULL, ''),
(805, '2019-02-21 12:02:15', '2019-02-21 11:02:15', '2019-02-21', '2019-02-21', 2029.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PODIS', NULL, ''),
(806, '2019-02-21 16:13:29', '2019-02-21 15:13:29', '2019-02-21', '2019-02-21', -406.20000000, '(CustomerInvoicePaymentBack)', 2, 5, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(807, '2019-02-28 18:17:58', '2019-02-28 17:17:58', '2019-02-28', '2019-02-28', 397.73000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EPOXY3000', NULL, ''),
(808, '2019-02-28 18:18:42', '2019-02-28 17:18:42', '2019-02-28', '2019-02-28', 890.22000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'IFTH', NULL, ''),
(809, '2019-02-28 18:20:04', '2019-03-01 10:57:33', '2019-02-28', '2019-02-28', 3000.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 67, NULL, 'SOURCES DU PESTRIN', NULL, ''),
(810, '2019-02-28 18:27:32', '2019-02-28 17:27:32', '2019-02-28', '2019-02-28', 1944.78000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BERNARD ROYAL DAUPHINE', NULL, ''),
(811, '2019-02-28 18:28:04', '2019-02-28 17:28:04', '2019-02-28', '2019-02-28', 574.99000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BEILLARD TUBES CARTON', NULL, ''),
(812, '2019-02-28 18:28:37', '2019-02-28 17:28:37', '2019-02-28', '2019-02-28', 2241.86000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MODELAGE CONCEPT SARL', NULL, ''),
(813, '2019-03-01 10:15:39', '2019-03-01 09:15:39', '2019-03-01', '2019-03-01', 600.91000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(814, '2019-03-01 10:16:09', '2019-03-01 09:16:09', '2019-03-01', '2019-03-01', 3662.25000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PSI', NULL, ''),
(815, '2019-03-01 10:16:41', '2019-03-01 09:16:41', '2019-03-01', '2019-03-01', 1796.81000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'M22', NULL, ''),
(816, '2019-03-01 10:17:51', '2019-03-01 09:17:51', '2019-03-01', '2019-03-01', 219.46000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'HUILERIE DE CHAMBARAND', NULL, ''),
(817, '2019-03-01 10:18:15', '2019-03-01 09:18:15', '2019-03-01', '2019-03-01', 188.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'RENNER GMBH KOMPRESSOREN', NULL, ''),
(818, '2019-03-01 10:18:46', '2019-03-01 09:18:46', '2019-03-01', '2019-03-01', 2078.93000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COOPERATIVE LA DAUPHINOISE', NULL, ''),
(819, '2019-03-05 09:01:38', '2019-03-05 08:01:38', '2019-03-05', '2019-03-05', -11000.00000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(820, '2019-03-06 09:15:42', '2019-03-11 11:06:00', '2019-03-06', '2019-03-06', 554.13000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 68, NULL, 'TISSAGES SAFADI RHODANIENS', NULL, ''),
(821, '2019-03-06 09:16:38', '2019-03-06 08:16:38', '2019-03-06', '2019-03-06', -247.70000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(822, '2019-03-06 09:18:34', '2019-03-11 11:06:00', '2019-03-06', '2019-03-06', 57.04000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 68, NULL, 'BAGALU', NULL, ''),
(823, '2019-03-06 09:19:24', '2019-03-11 11:06:00', '2019-03-06', '2019-03-06', 131.33000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 68, NULL, 'TECH PRO EQUIPEMENTS', NULL, ''),
(824, '2019-03-06 09:20:42', '2019-03-06 08:20:42', '2019-03-06', '2019-03-06', 256.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'HUILERIE DE CHAMBARAND', NULL, ''),
(825, '2019-03-07 13:43:36', '2019-03-07 12:43:36', '2019-03-07', '2019-03-07', 832.99000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'Delmonico Dorel Carriere', NULL, ''),
(826, '2019-03-07 13:44:13', '2019-03-07 12:44:13', '2019-03-07', '2019-03-07', 2347.87000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MIL.MECANIQUE', NULL, ''),
(827, '2019-03-07 13:46:20', '2019-03-07 12:46:20', '2019-03-07', '2019-03-07', -7452.72000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(828, '2019-03-08 10:06:48', '2019-03-11 11:06:00', '2019-03-08', '2019-03-08', 1621.15000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 68, NULL, 'MAISONS RIBEAUD', NULL, ''),
(829, '2019-03-11 09:15:43', '2019-03-11 08:15:43', '2019-03-11', '2019-03-11', 2709.21000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'JT LASER', NULL, ''),
(830, '2019-03-11 09:16:16', '2019-03-11 08:16:16', '2019-03-11', '2019-03-11', 15853.32000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'INNODEC', NULL, ''),
(831, '2019-03-11 09:16:48', '2019-03-11 08:16:48', '2019-03-11', '2019-03-11', 691.63000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'GARAGE PEROLLIER (SARL) AGENT RENAULT', NULL, ''),
(832, '2019-03-11 09:17:30', '2019-03-11 08:17:30', '2019-03-11', '2019-03-11', 1454.17000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(833, '2019-03-12 09:20:15', '2019-03-12 08:20:15', '2019-03-12', '2019-03-12', 52.40000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SOTIC SARL', NULL, ''),
(834, '2019-03-12 09:20:47', '2019-03-12 08:20:47', '2019-03-12', '2019-03-12', 1890.95000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MPG', NULL, ''),
(835, '2019-03-13 16:10:43', '2019-03-13 15:10:43', '2019-03-13', '2019-03-13', 882.90000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(836, '2019-03-13 16:12:08', '2019-03-13 15:12:08', '2019-03-13', '2019-03-13', 600.91000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(837, '2019-03-13 16:20:47', '2019-03-20 15:03:56', '2019-03-13', '2019-03-13', 316.59000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 69, NULL, 'AMR', NULL, ''),
(838, '2019-03-14 13:27:21', '2019-03-14 12:27:21', '2019-03-14', '2019-03-14', 321.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, '40-30', NULL, ''),
(839, '2019-03-15 10:23:10', '2019-03-15 09:23:10', '2019-03-15', '2019-03-15', 2515.84000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'KERRY INGREDIENTS France SAS', NULL, ''),
(840, '2019-03-15 10:23:59', '2019-03-15 09:23:59', '2019-03-15', '2019-03-15', 1716.62000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FACEO FM CENTRE EST', NULL, ''),
(841, '2019-03-15 10:31:42', '2019-03-20 15:03:56', '2019-03-15', '2019-03-15', 1196.40000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 69, NULL, 'EARL des Coteaux', NULL, ''),
(842, '2019-03-15 10:32:19', '2019-03-20 15:03:56', '2019-03-15', '2019-03-15', 7199.99000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 69, NULL, 'SMS', NULL, ''),
(843, '2019-03-18 10:32:56', '2019-03-18 09:32:56', '2019-03-18', '2019-03-18', 1665.87000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EXSTO', NULL, ''),
(844, '2019-03-18 10:33:44', '2019-03-18 09:33:44', '2019-03-18', '2019-03-18', 1426.87000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TGCP MAESTRO GRANDE CUISINE', NULL, ''),
(845, '2019-03-19 08:32:19', '2019-03-19 07:32:19', '2019-03-19', '2019-03-19', 890.04000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'VIGNE FRERES', NULL, ''),
(846, '2019-03-19 08:32:45', '2019-03-19 07:32:45', '2019-03-19', '2019-03-19', 1008.72000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'Gardner Denver ( division Compair )', NULL, ''),
(847, '2019-03-20 09:01:34', '2019-03-20 08:01:34', '2019-03-20', '2019-03-20', 736.48000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'F.M.R.', NULL, ''),
(848, '2019-03-20 09:23:03', '2019-03-20 08:23:03', '2019-02-28', '2019-02-28', 1195.35000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EPOXY3000', NULL, ''),
(849, '2019-03-25 10:09:55', '2019-03-25 09:09:55', '2019-03-25', '2019-03-25', 2391.46000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(850, '2019-03-25 10:11:24', '2019-03-25 09:11:24', '2019-03-25', '2019-03-25', 272.15000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(851, '2019-03-25 10:13:45', '2019-03-25 09:13:45', '2019-03-25', '2019-03-25', 600.91000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(852, '2019-03-26 10:54:50', '2019-03-26 09:54:50', '2019-03-26', '2019-03-26', 266.35000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DESMET', NULL, ''),
(853, '2019-03-26 10:55:23', '2019-03-26 09:55:23', '2019-03-26', '2019-03-26', 596.72000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SCIERIE DE LA VALLEE DU DOUX', NULL, ''),
(854, '2019-03-28 17:19:26', '2019-04-12 08:37:33', '2019-03-28', '2019-03-28', 766.03000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 70, NULL, 'AMR', NULL, ''),
(855, '2019-03-28 17:19:58', '2019-04-12 08:37:33', '2019-03-28', '2019-03-28', 2920.54000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 70, NULL, 'TISSAGES SAFADI RHODANIENS', NULL, ''),
(856, '2019-04-02 09:39:56', '2019-04-02 07:39:56', '2019-04-02', '2019-04-02', 688.79000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PODIS', NULL, ''),
(857, '2019-04-02 09:40:49', '2019-04-02 07:40:49', '2019-04-02', '2019-04-02', 3010.33000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ETS RICHARD PONTVERT ET CIE (Paraboot)', NULL, ''),
(858, '2019-04-02 09:41:41', '2019-04-02 07:41:41', '2019-04-02', '2019-04-02', 1970.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'GIRAUD-DELAY CONSTRUCTIONS METALLIQUES', NULL, ''),
(859, '2019-04-02 09:42:18', '2019-04-02 07:42:18', '2019-04-02', '2019-04-02', 1529.77000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BOURBON AUTOMOTIVE PLASTICS', NULL, ''),
(860, '2019-04-02 09:43:09', '2019-04-02 07:43:09', '2019-04-02', '2019-04-02', 199.06000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'AIR PN', NULL, ''),
(861, '2019-04-02 09:43:44', '2019-04-02 07:43:44', '2019-04-02', '2019-04-02', 3842.32000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'JARS CERAMISTES', NULL, ''),
(862, '2019-04-02 09:45:57', '2019-04-02 07:45:57', '2019-04-02', '2019-04-02', -5004.81000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(863, '2019-04-02 09:48:04', '2019-04-02 07:48:04', '2019-04-02', '2019-04-02', -3026.46000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(864, '2019-04-03 09:53:53', '2019-04-03 07:53:53', '2019-04-03', '2019-04-03', 4691.10000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FACEO FM CENTRE EST', NULL, ''),
(865, '2019-04-03 09:54:24', '2019-04-03 07:54:24', '2019-04-03', '2019-04-03', 547.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EPIDAURE', NULL, ''),
(866, '2019-04-03 09:55:04', '2019-04-03 07:55:04', '2019-04-03', '2019-04-03', -1092.00000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(867, '2019-04-03 09:56:00', '2019-04-03 07:56:00', '2019-04-03', '2019-04-03', -1985.20000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(868, '2019-04-03 10:14:29', '2019-04-12 08:37:33', '2019-04-03', '2019-04-03', 909.01000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 70, NULL, 'PROSTYL', NULL, ''),
(869, '2019-04-03 10:15:00', '2019-04-12 08:37:33', '2019-04-03', '2019-04-03', 946.11000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 70, NULL, 'TISSAGES SAFADI RHODANIENS', NULL, ''),
(870, '2019-04-03 10:15:37', '2019-04-12 08:37:33', '2019-04-03', '2019-04-03', 312.06000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 70, NULL, 'TRANSPORTS JULLIEN', NULL, ''),
(871, '2019-04-04 13:42:45', '2019-04-04 11:42:45', '2019-04-04', '2019-04-04', 80.28000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'VALFORMES', NULL, ''),
(872, '2019-04-04 13:43:19', '2019-04-04 11:43:19', '2019-04-04', '2019-04-04', 628.44000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'GOASDUFF SUD EST', NULL, ''),
(873, '2019-04-04 13:45:54', '2019-04-12 08:37:33', '2019-04-04', '2019-04-04', 5000.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 70, NULL, 'SOURCES DU PESTRIN', NULL, ''),
(874, '2019-04-05 09:50:08', '2019-04-05 07:50:08', '2019-04-05', '2019-04-05', 2046.28000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'REDALUM FRANCE', NULL, ''),
(875, '2019-04-05 09:51:33', '2019-04-05 07:51:33', '2019-04-05', '2019-04-05', 4455.48000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BAXTER INJECTION', NULL, ''),
(876, '2019-04-08 10:02:50', '2019-04-08 08:02:50', '2019-04-08', '2019-04-08', 395.94000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MECA INDUSTRIE', NULL, ''),
(877, '2019-04-08 10:03:23', '2019-04-08 08:03:23', '2019-04-08', '2019-04-08', 749.91000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'AIR BEL - DIVISION DE S.A. BEL AIR', NULL, ''),
(878, '2019-04-09 08:54:20', '2019-04-09 06:54:20', '2019-04-09', '2019-04-09', 883.33000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DETFI', NULL, ''),
(879, '2019-04-09 09:57:51', '2019-04-12 08:37:33', '2019-04-09', '2019-04-09', 1700.16000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 70, NULL, 'AMR', NULL, ''),
(880, '2019-04-10 08:40:07', '2019-04-12 08:37:33', '2019-04-10', '2019-04-10', 895.95000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 70, NULL, 'EARL ST PIERRE', NULL, ''),
(881, '2019-04-10 08:40:38', '2019-04-12 08:37:33', '2019-04-10', '2019-04-10', 206.83000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 70, NULL, 'GARAGE ALLEMAND SARL', NULL, ''),
(882, '2019-04-10 08:41:22', '2019-04-12 08:37:33', '2019-04-10', '2019-04-10', 264.22000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 70, NULL, 'Transports TRAS', NULL, ''),
(883, '2019-04-10 08:42:05', '2019-04-12 08:37:33', '2019-04-10', '2019-04-10', 794.28000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 70, NULL, 'SARL COMBE LANOTTE', NULL, ''),
(884, '2019-04-11 13:20:00', '2019-04-11 11:20:00', '2019-04-11', '2019-04-11', 2576.42000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(885, '2019-04-15 10:07:04', '2019-04-15 08:07:04', '2019-04-15', '2019-04-15', 16507.50000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FACEO FM CENTRE EST', NULL, ''),
(886, '2019-04-15 10:07:41', '2019-04-15 08:07:41', '2019-04-15', '2019-04-15', 1075.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SIBELCO', NULL, ''),
(887, '2019-04-15 10:08:47', '2019-04-15 08:08:47', '2019-04-15', '2019-04-15', 3946.83000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COOPENOIX SOC COOP AGRIC', NULL, ''),
(888, '2019-04-15 10:09:28', '2019-04-15 08:09:28', '2019-04-15', '2019-04-15', 1998.36000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DEVES', NULL, ''),
(889, '2019-04-16 10:50:59', '2019-04-16 08:50:59', '2019-04-16', '2019-04-16', -8442.00000000, '(CustomerInvoicePaymentBack)', 2, 5, NULL, 'CB', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(890, '2019-04-16 11:06:01', '2019-04-16 09:06:01', '2019-04-16', '2019-04-16', 63.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EXSTO', NULL, ''),
(891, '2019-04-16 11:06:38', '2019-04-16 09:06:38', '2019-04-16', '2019-04-16', 110.98000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FACEO FM CENTRE EST', NULL, ''),
(892, '2019-04-16 11:07:13', '2019-04-16 09:07:13', '2019-04-16', '2019-04-16', 600.91000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(893, '2019-04-16 11:07:43', '2019-04-16 09:07:43', '2019-04-16', '2019-04-16', 813.54000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'Omexom NDT Engineering & Services', NULL, ''),
(894, '2019-04-17 09:26:27', '2019-04-17 07:26:27', '2019-04-17', '2019-04-17', 1929.09000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'P&M Développement', NULL, ''),
(895, '2019-04-17 09:27:26', '2019-04-17 07:27:26', '2019-04-17', '2019-04-17', 1975.28000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PAYEN MENUISERIE', NULL, ''),
(896, '2019-04-17 09:27:59', '2019-04-17 07:27:59', '2019-04-17', '2019-04-17', -210.42000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(897, '2019-04-17 09:28:48', '2019-04-17 12:56:07', '2019-04-17', '2019-04-17', 397.73000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 71, NULL, 'Transports TRAS', NULL, ''),
(898, '2019-04-18 08:26:42', '2019-04-18 06:26:42', '2019-04-18', '2019-04-18', 1188.50000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CI CARROSSIER CONSTRUCTEUR', NULL, ''),
(899, '2019-04-18 08:28:24', '2019-04-18 06:28:24', '2019-04-18', '2019-04-18', 3600.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CDS BULLE VERTE', NULL, ''),
(900, '2019-04-18 08:28:55', '2019-04-18 06:28:55', '2019-04-18', '2019-04-18', 517.44000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ACIERIES DE BONPERTUIS', NULL, ''),
(901, '2019-04-18 08:29:31', '2019-04-18 06:29:31', '2019-04-18', '2019-04-18', 9870.98000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MGEN Action Sanitaire et Social', NULL, ''),
(902, '2019-04-19 08:41:39', '2019-04-19 06:41:39', '2019-04-19', '2019-04-19', 1096.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DESGRANGES SARL', NULL, ''),
(903, '2019-04-19 08:42:16', '2019-04-19 06:42:16', '2019-04-19', '2019-04-19', 272.15000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(904, '2019-04-24 08:53:05', '2019-04-24 06:53:05', '2019-04-24', '2019-04-24', 189.17000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EOVI HANDICAP', NULL, ''),
(905, '2019-04-24 09:02:22', '2019-05-14 07:35:04', '2019-04-24', '2019-04-24', 1300.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 72, NULL, 'BUYS CARROSSERIE', NULL, ''),
(906, '2019-04-25 11:41:40', '2019-04-25 09:41:40', '2019-04-25', '2019-04-25', 3960.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BE2BIZ', NULL, ''),
(907, '2019-04-25 11:42:48', '2019-04-25 09:42:48', '2019-04-25', '2019-04-25', -6082.08000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(908, '2019-04-29 09:23:11', '2019-04-29 07:23:11', '2019-04-29', '2019-04-29', 430.63000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PRISME MECA', NULL, ''),
(909, '2019-04-29 09:23:45', '2019-04-29 07:23:45', '2019-04-29', '2019-04-29', 1616.73000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FACEO FM CENTRE EST', NULL, ''),
(910, '2019-04-30 09:22:48', '2019-04-30 07:22:48', '2019-04-30', '2019-04-30', 607.28000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MENUISERIE BARD', NULL, ''),
(911, '2019-04-30 09:23:20', '2019-04-30 07:23:20', '2019-04-30', '2019-04-30', 585.48000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DUMG', NULL, ''),
(912, '2019-04-30 09:39:30', '2019-04-30 07:39:30', '2019-03-25', '2019-03-25', 909.50000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CIBOX SITE GRANGES ET PORTES', NULL, ''),
(913, '2019-05-02 13:36:51', '2019-05-02 11:36:51', '2019-05-02', '2019-05-02', 471.53000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PIERRE PUILLET SIGNALETIQUE', NULL, ''),
(914, '2019-05-02 13:37:16', '2019-05-02 11:37:16', '2019-05-02', '2019-05-02', 1696.46000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'RCI Cartonnage de Vaucanson', NULL, ''),
(915, '2019-05-02 13:37:48', '2019-05-02 11:37:48', '2019-05-02', '2019-05-02', 610.04000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CHAUSSY GOMEZ S.A.S.', NULL, ''),
(916, '2019-05-02 13:38:22', '2019-05-14 07:35:04', '2019-05-02', '2019-05-02', 836.41000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 72, NULL, 'CINTRALP', NULL, ''),
(917, '2019-05-02 13:39:02', '2019-05-14 07:35:04', '2019-05-02', '2019-05-02', 5000.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 72, NULL, 'SOURCES DU PESTRIN', NULL, ''),
(918, '2019-05-03 09:49:41', '2019-05-03 07:49:41', '2019-05-03', '2019-05-03', 873.42000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FCA', NULL, ''),
(919, '2019-05-03 09:50:10', '2019-05-03 07:50:10', '2019-05-03', '2019-05-03', 6120.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(920, '2019-05-03 09:52:58', '2019-05-03 07:52:58', '2019-05-03', '2019-05-03', -7916.31000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(921, '2019-05-06 09:50:01', '2019-05-06 07:50:01', '2019-05-06', '2019-05-06', 522.82000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COOPENOIX SOC COOP AGRIC', NULL, ''),
(922, '2019-05-06 09:50:42', '2019-05-06 07:50:42', '2019-05-06', '2019-05-06', 2956.94000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'INSOFT', NULL, ''),
(923, '2019-05-06 09:51:15', '2019-05-06 07:51:15', '2019-05-06', '2019-05-06', -383.04000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(924, '2019-05-06 09:52:10', '2019-05-06 07:52:10', '2019-05-06', '2019-05-06', 1555.62000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EOVI HANDICAP', NULL, ''),
(925, '2019-05-06 09:54:06', '2019-05-06 07:54:06', '2019-05-06', '2019-05-06', -6012.73000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(926, '2019-05-07 08:44:27', '2019-05-07 06:44:27', '2019-05-07', '2019-05-07', 9418.71000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'VALFORMES', NULL, ''),
(927, '2019-05-09 12:04:29', '2019-05-09 10:04:29', '2019-05-09', '2019-05-09', 7035.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CAPITAL ENERGY', NULL, ''),
(928, '2019-05-09 12:05:02', '2019-05-09 10:05:02', '2019-05-09', '2019-05-09', 957.62000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'Transports TRAS', NULL, ''),
(929, '2019-05-10 11:57:06', '2019-05-10 09:57:06', '2019-05-10', '2019-05-10', 383.42000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BOUYOUD TONNELLERIE', NULL, ''),
(930, '2019-05-13 16:37:29', '2019-05-13 14:37:29', '2019-05-13', '2019-05-13', 1887.18000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'REBORN SAFETY SAS', NULL, ''),
(931, '2019-05-13 16:38:13', '2019-05-13 14:38:13', '2019-05-13', '2019-05-13', 2343.36000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PIERRE PUILLET SIGNALETIQUE', NULL, ''),
(932, '2019-05-13 16:38:43', '2019-05-13 14:38:43', '2019-05-13', '2019-05-13', 1300.96000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TRUCKS SOLUTIONS ROMANS', NULL, ''),
(933, '2019-05-13 16:39:29', '2019-05-14 07:35:04', '2019-05-13', '2019-05-13', 204.44000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 72, NULL, 'PAYEN MENUISERIE', NULL, ''),
(934, '2019-05-15 10:27:15', '2019-05-15 08:27:15', '2019-05-15', '2019-05-15', 1122.01000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SMS', NULL, ''),
(935, '2019-05-15 10:27:59', '2019-05-15 08:27:59', '2019-05-15', '2019-05-15', 2930.75000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MODELAGE CONCEPT SARL', NULL, ''),
(936, '2019-05-16 14:17:58', '2019-05-16 12:17:59', '2019-05-16', '2019-05-16', 9055.30000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COVAL', NULL, ''),
(937, '2019-05-20 09:09:54', '2019-05-20 07:09:55', '2019-05-20', '2019-05-20', 1157.12000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'Les Volaillers du Dauphiné - CAPAG', NULL, ''),
(938, '2019-05-21 09:18:02', '2019-05-21 07:18:03', '2019-05-21', '2019-05-21', 301.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SARRAZIN', NULL, ''),
(939, '2019-05-21 09:18:55', '2019-05-21 07:18:56', '2019-05-21', '2019-05-21', 1051.11000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ACIERIES DE BONPERTUIS', NULL, ''),
(940, '2019-05-21 09:20:50', '2019-05-21 07:20:50', '2019-05-21', '2019-05-21', 2279.59000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PODIS', NULL, ''),
(941, '2019-05-22 09:04:25', '2019-05-22 07:04:27', '2019-05-22', '2019-05-22', 1162.84000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SEBM', NULL, ''),
(942, '2019-05-22 09:05:03', '2019-05-22 07:05:03', '2019-05-22', '2019-05-22', 288.90000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'RAVIOLES DU DAUPHIN', NULL, ''),
(943, '2019-05-22 09:05:40', '2019-05-22 07:05:40', '2019-05-22', '2019-05-22', 3149.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CROS PERE ET FILS 07 DESAIGNES', NULL, ''),
(944, '2019-05-22 09:06:17', '2019-05-22 07:06:17', '2019-05-22', '2019-05-22', 616.16000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'GARAGE PHEBY CITROEN', NULL, ''),
(945, '2019-05-27 09:44:54', '2019-05-27 07:44:55', '2019-05-27', '2019-05-27', 645.93000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PONCIN', NULL, ''),
(946, '2019-05-27 09:45:55', '2019-05-27 07:45:56', '2019-05-27', '2019-05-27', 562.46000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'AVENIR CARROSSERIE', NULL, ''),
(947, '2019-05-27 09:46:27', '2019-05-27 13:13:19', '2019-05-27', '2019-05-27', 745.48000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 73, NULL, 'AVENIR CARROSSERIE', NULL, ''),
(948, '2019-05-27 09:49:02', '2019-05-27 07:49:03', '2019-05-27', '2019-05-27', 413.52000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CIBOX SITE GRANGES ET PORTES', NULL, ''),
(949, '2019-05-29 09:58:38', '2019-05-29 07:58:39', '2019-04-06', '2019-04-06', 6000.00000000, '(CustomerInvoicePayment)', 2, 5, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MAFE INDUSTRIE', NULL, ''),
(950, '2019-06-03 09:50:17', '2019-06-03 07:50:18', '2019-06-03', '2019-06-03', 1346.50000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BONTOUT', NULL, ''),
(951, '2019-06-03 09:50:53', '2019-06-03 07:50:53', '2019-06-03', '2019-06-03', 1022.04000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'JARS CERAMISTES', NULL, ''),
(952, '2019-06-03 09:52:53', '2019-07-03 13:47:28', '2019-06-03', '2019-06-03', 4999.36000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 74, NULL, 'SOURCES DU PESTRIN', NULL, ''),
(953, '2019-06-03 09:56:47', '2019-06-03 07:56:48', '2019-06-03', '2019-06-03', -4976.57000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(954, '2019-06-03 09:58:03', '2019-06-03 07:58:04', '2019-06-03', '2019-06-03', -8000.00000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(955, '2019-06-03 09:59:31', '2019-06-03 07:59:32', '2019-06-03', '2019-06-03', -4148.50000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(956, '2019-06-03 10:02:48', '2019-06-03 08:02:49', '2019-06-03', '2019-06-03', -1919.10000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(957, '2019-06-03 10:04:01', '2019-06-03 08:04:01', '2019-06-03', '2019-06-03', 1281.65000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BOURBON AUTOMOTIVE PLASTICS', NULL, ''),
(958, '2019-06-03 11:03:54', '2019-06-03 09:03:54', '2019-06-03', '2019-06-03', -80.90000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(959, '2019-06-04 13:40:37', '2019-06-04 11:40:38', '2019-06-04', '2019-06-04', 600.91000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(960, '2019-06-04 13:41:13', '2019-06-04 11:41:14', '2019-06-04', '2019-06-04', 410.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PERNAT technologie', NULL, ''),
(961, '2019-06-04 13:41:46', '2019-06-04 11:41:47', '2019-06-04', '2019-06-04', 5979.52000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SICAL CELTA SAINT HILAIRE', NULL, ''),
(962, '2019-06-04 13:42:25', '2019-06-04 11:42:25', '2019-06-04', '2019-06-04', 92.76000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EPIDAURE', NULL, ''),
(963, '2019-06-05 08:53:30', '2019-06-05 06:53:31', '2019-06-05', '2019-06-05', 791.88000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MECA INDUSTRIE', NULL, ''),
(964, '2019-06-06 09:11:15', '2019-06-06 07:11:15', '2019-06-06', '2019-06-06', -300.00000000, 'paiement autosur', 2, 4, NULL, 'CB', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(965, '2019-06-06 10:18:27', '2019-06-06 08:18:27', '2019-04-05', '2019-04-05', 6000.00000000, '(CustomerInvoicePayment)', 2, 5, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MAFE INDUSTRIE', NULL, ''),
(966, '2019-06-07 09:09:09', '2019-07-03 13:47:28', '2019-06-07', '2019-06-07', 659.62000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 74, NULL, 'EUROBROCHE SERVICES', NULL, ''),
(967, '2019-06-07 09:09:43', '2019-07-03 13:47:28', '2019-06-07', '2019-06-07', 824.82000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 74, NULL, 'DEBIONNE (Société d\'Emballage)', NULL, ''),
(968, '2019-06-13 13:25:58', '2019-06-13 11:25:58', '2019-06-13', '2019-06-13', 10799.99000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CDS BULLE VERTE', NULL, ''),
(969, '2019-06-13 13:26:39', '2019-06-13 11:26:39', '2019-06-13', '2019-06-13', 2096.65000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DETFI', NULL, ''),
(970, '2019-06-17 14:00:12', '2019-06-17 12:00:13', '2019-06-14', '2019-06-14', 400.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'LIQ', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(971, '2019-06-17 14:01:12', '2019-06-17 12:01:12', '2019-06-13', '2019-06-13', 1583.23000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SMS', NULL, ''),
(972, '2019-06-18 11:10:20', '2019-06-18 09:10:21', '2019-06-18', '2019-06-18', 80.04000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SIBELCO', NULL, ''),
(973, '2019-06-18 11:10:50', '2019-06-18 09:10:51', '2019-06-18', '2019-06-18', 4000.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BE2BIZ', NULL, ''),
(974, '2019-06-18 11:12:52', '2019-06-18 09:12:52', '2019-06-18', '2019-06-18', 270.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EXSTO THERMOPLASTICS', NULL, ''),
(975, '2019-06-18 11:13:27', '2019-06-18 09:13:28', '2019-06-18', '2019-06-18', 713.10000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CIBOX SITE GRANGES ET PORTES', NULL, ''),
(976, '2019-06-18 11:13:57', '2019-06-18 09:13:57', '2019-06-18', '2019-06-18', 210.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PRECIA MOLEN', NULL, ''),
(977, '2019-06-21 13:34:26', '2019-06-21 11:34:26', '2019-06-21', '2019-06-21', 2376.95000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SEBM SUD(Société Exploitation des Bétons Martel Sud)', NULL, ''),
(978, '2019-06-21 13:35:18', '2019-06-21 11:35:18', '2019-06-21', '2019-06-21', 1989.86000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(979, '2019-06-21 13:36:03', '2019-06-21 11:36:03', '2019-06-21', '2019-06-21', 2234.01000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CIBOX SITE GRANGES ET PORTES', NULL, ''),
(980, '2019-06-25 09:10:07', '2019-06-25 07:10:08', '2019-06-25', '2019-06-25', 544.30000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(981, '2019-06-25 09:10:37', '2019-06-25 07:10:38', '2019-06-25', '2019-06-25', 218.28000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DEVES', NULL, ''),
(982, '2019-06-28 11:17:13', '2019-06-28 09:17:13', '2019-06-28', '2019-06-28', 1602.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'VALGOURMET', NULL, ''),
(983, '2019-06-28 11:17:52', '2019-06-28 09:17:52', '2019-06-28', '2019-06-28', 3740.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'KERRY INGREDIENTS France SAS', NULL, ''),
(984, '2019-07-01 10:51:13', '2019-07-01 08:51:13', '2019-07-01', '2019-07-01', 296.44000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'INNODEC', NULL, ''),
(985, '2019-07-01 10:51:46', '2019-07-01 08:51:46', '2019-07-01', '2019-07-01', 144.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'GOASDUFF SUD EST', NULL, ''),
(986, '2019-07-01 10:53:25', '2019-07-01 08:53:25', '2019-07-01', '2019-07-01', 18146.24000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EPIDAURE', NULL, ''),
(987, '2019-07-01 10:53:51', '2019-07-01 08:53:51', '2019-07-01', '2019-07-01', 288.02000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MMD', NULL, ''),
(988, '2019-07-02 16:39:41', '2019-07-02 14:39:41', '2019-07-02', '2019-07-02', 20.17000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DROME ARDECHE INDUSTRIE BTP', NULL, ''),
(989, '2019-07-02 16:40:14', '2019-07-02 14:40:14', '2019-07-02', '2019-07-02', 1970.96000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EOVI HANDICAP', NULL, ''),
(990, '2019-07-02 16:41:15', '2019-07-02 14:41:15', '2019-07-02', '2019-07-02', 189.70000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'HDC LAMOTTE', NULL, ''),
(991, '2019-07-02 16:41:50', '2019-07-02 14:41:50', '2019-07-02', '2019-07-02', 646.59000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'Lycée polyvalent de l\'édit SEP', NULL, ''),
(992, '2019-07-02 16:43:09', '2019-07-02 14:43:09', '2019-07-02', '2019-07-02', 1343.28000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ENROBES SABLONS', NULL, ''),
(993, '2019-07-02 16:44:20', '2019-07-02 14:44:20', '2019-07-02', '2019-07-02', 60.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'LIQ', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(994, '2019-07-02 16:46:14', '2019-07-02 14:46:14', '2019-07-02', '2019-07-02', -7330.80000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(995, '2019-07-02 16:47:06', '2019-07-02 14:47:06', '2019-07-02', '2019-07-02', -3317.82000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(996, '2019-07-02 16:48:32', '2019-07-02 14:48:32', '2019-07-02', '2019-07-02', -4245.93000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(997, '2019-07-02 16:50:15', '2019-07-02 14:50:15', '2019-07-02', '2019-07-02', -5000.00000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(998, '2019-07-03 11:06:55', '2019-07-03 13:47:28', '2019-07-03', '2019-07-03', 1203.69000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 74, NULL, 'CIRAM SAS', NULL, ''),
(999, '2019-07-03 11:08:53', '2019-07-03 09:08:53', '2019-07-03', '2019-07-03', 7327.69000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SCALES SERVICES', NULL, ''),
(1000, '2019-07-04 13:17:11', '2019-07-04 11:17:11', '2019-07-04', '2019-07-04', 12000.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MAFE INDUSTRIE', NULL, ''),
(1001, '2019-07-04 13:18:05', '2019-07-04 11:18:05', '2019-07-04', '2019-07-04', 654.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'GARAGE GEORGES PELLAT & FILS', NULL, '');
INSERT INTO `llx_bank` (`rowid`, `datec`, `tms`, `datev`, `dateo`, `amount`, `label`, `fk_account`, `fk_user_author`, `fk_user_rappro`, `fk_type`, `num_releve`, `num_chq`, `rappro`, `note`, `fk_bordereau`, `banque`, `emetteur`, `author`, `numero_compte`) VALUES
(1002, '2019-07-05 08:58:16', '2019-07-05 06:58:16', '2019-07-05', '2019-07-05', 395.94000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1003, '2019-07-08 09:44:12', '2019-07-08 07:44:12', '2019-07-08', '2019-07-08', 43.70000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SEBM SUD(Société Exploitation des Bétons Martel Sud)', NULL, ''),
(1004, '2019-07-08 09:45:19', '2019-09-03 09:42:07', '2019-07-08', '2019-07-08', 676.63000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 75, NULL, 'MELAPRO', NULL, ''),
(1005, '2019-07-09 10:07:14', '2019-07-09 08:07:14', '2019-07-09', '2019-07-09', 1070.01000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LES JAMBONS DE L\'HERMITAGE', NULL, ''),
(1006, '2019-07-09 10:07:54', '2019-07-09 08:07:54', '2019-07-09', '2019-07-09', 1728.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SIRA', NULL, ''),
(1007, '2019-07-10 11:35:34', '2019-07-10 09:35:34', '2019-07-10', '2019-07-10', -3200.38000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1008, '2019-07-11 18:03:12', '2019-09-03 09:42:07', '2019-07-11', '2019-07-11', 627.38000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 75, NULL, 'DELORME BATTANDIER', NULL, ''),
(1009, '2019-07-11 18:03:49', '2019-09-03 09:42:07', '2019-07-11', '2019-07-11', 891.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 75, NULL, 'OENO CONCEPT', NULL, ''),
(1010, '2019-07-11 18:04:20', '2019-07-11 16:04:20', '2019-07-11', '2019-07-11', 5015.99000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'RAVIOLES DU DAUPHIN', NULL, ''),
(1011, '2019-07-11 18:05:02', '2019-07-11 16:05:02', '2019-07-11', '2019-07-11', 7727.08000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'INNODEC', NULL, ''),
(1012, '2019-07-11 18:06:27', '2019-07-11 16:06:27', '2019-07-11', '2019-07-11', -30000.00000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1013, '2019-07-12 09:15:31', '2019-07-12 07:15:31', '2019-07-12', '2019-07-12', 158.88000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SIMGA', NULL, ''),
(1014, '2019-07-12 09:17:21', '2019-07-12 07:17:21', '2019-07-12', '2019-07-12', -5459.16000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1015, '2019-07-16 09:57:38', '2019-07-16 07:57:38', '2019-07-16', '2019-07-16', 1580.06000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EPIDAURE', NULL, ''),
(1016, '2019-07-16 10:05:10', '2019-07-16 08:05:10', '2019-07-16', '2019-07-16', 36991.05000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'INNODEC', NULL, ''),
(1017, '2019-07-16 10:06:01', '2019-07-16 08:06:01', '2019-07-16', '2019-07-16', 1280.13000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BE2BIZ', NULL, ''),
(1018, '2019-07-19 11:09:11', '2019-09-03 09:42:07', '2019-07-19', '2019-07-19', 349.96000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 75, NULL, 'MONSIEUR MARC GARAPON', NULL, ''),
(1019, '2019-07-19 11:09:47', '2019-09-03 09:42:07', '2019-07-19', '2019-07-19', 93.49000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 75, NULL, 'SEBM', NULL, ''),
(1020, '2019-07-19 11:10:46', '2019-07-19 09:10:46', '2019-07-19', '2019-07-19', 74.16000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CI CARROSSIER CONSTRUCTEUR', NULL, ''),
(1021, '2019-07-22 12:14:44', '2019-07-22 10:14:44', '2019-07-22', '2019-07-22', 1955.11000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'HDC LAMOTTE', NULL, ''),
(1022, '2019-07-22 12:15:08', '2019-07-22 10:15:08', '2019-07-22', '2019-07-22', -984.50000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(1023, '2019-07-22 12:15:50', '2019-07-22 10:15:50', '2019-07-22', '2019-07-22', 391.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EOVI HANDICAP', NULL, ''),
(1024, '2019-07-23 13:13:39', '2019-07-23 11:13:39', '2019-07-23', '2019-07-23', 2097.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FCA', NULL, ''),
(1025, '2019-08-05 09:53:45', '2019-08-05 07:53:45', '2019-08-05', '2019-08-05', 909.47000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DEROUX PLANTS EURL', NULL, ''),
(1026, '2019-08-05 10:00:35', '2019-08-05 08:00:35', '2019-08-05', '2019-08-05', 603.40000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FUMAS SCIERIE', NULL, ''),
(1027, '2019-08-05 10:01:25', '2019-08-05 08:01:25', '2019-08-05', '2019-08-05', 7752.43000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COOPERATIVE LA DAUPHINOISE', NULL, ''),
(1028, '2019-08-05 10:02:04', '2019-08-05 08:02:04', '2019-08-05', '2019-08-05', 665.06000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'AUTOSUR CONTROLE TECHNIQUE DE L\'HERBASSE', NULL, ''),
(1029, '2019-08-05 10:02:33', '2019-08-05 08:02:33', '2019-08-05', '2019-08-05', 600.91000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(1030, '2019-08-05 10:16:29', '2019-08-05 08:16:29', '2019-08-05', '2019-08-05', 875.06000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DROME ARDECHE INDUSTRIE BTP', NULL, ''),
(1031, '2019-08-05 10:17:30', '2019-08-05 08:17:30', '2019-08-05', '2019-08-05', 1770.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ENROBES SABLONS', NULL, ''),
(1032, '2019-08-05 10:18:40', '2019-08-05 08:18:40', '2019-08-05', '2019-08-05', 676.63000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'HDC LAMOTTE', NULL, ''),
(1033, '2019-08-05 10:19:34', '2019-08-05 08:19:34', '2019-08-05', '2019-08-05', 3182.08000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MAFE INDUSTRIE', NULL, ''),
(1034, '2019-08-05 10:20:13', '2019-08-05 08:20:13', '2019-08-05', '2019-08-05', 518.42000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'VIGNE FRERES', NULL, ''),
(1035, '2019-08-05 10:21:21', '2019-08-05 08:21:21', '2019-08-05', '2019-08-05', 2482.99000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'INNODEC', NULL, ''),
(1036, '2019-08-05 10:22:54', '2019-08-05 08:22:54', '2019-08-05', '2019-08-05', 1059.06000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LYON BISCUIT (ESAL)', NULL, ''),
(1037, '2019-08-05 10:25:11', '2019-08-05 08:25:11', '2019-08-05', '2019-08-05', -5400.00000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1038, '2019-08-05 11:05:59', '2019-08-05 09:05:59', '2019-08-05', '2019-08-05', 611.16000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EPIDAURE', NULL, ''),
(1039, '2019-08-05 11:10:42', '2019-08-05 09:10:42', '2019-08-05', '2019-08-05', 1078.18000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DESMET', NULL, ''),
(1040, '2019-08-05 11:11:21', '2019-08-05 09:11:21', '2019-08-05', '2019-08-05', 2531.72000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BEILLARD TUBES CARTON', NULL, ''),
(1041, '2019-08-05 11:29:31', '2019-08-05 09:29:31', '2019-06-12', '2019-06-12', 196.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ETS MOUNARD', NULL, ''),
(1042, '2019-08-05 11:31:59', '2019-08-05 09:31:59', '2019-08-05', '2019-08-05', 268.41000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ENROBES SABLONS', NULL, ''),
(1043, '2019-08-05 11:32:46', '2019-08-05 09:32:46', '2019-08-05', '2019-08-05', -268.41000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(1044, '2019-08-06 10:18:12', '2019-08-06 08:18:12', '2019-08-05', '2019-08-05', 395.94000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MECA INDUSTRIE', NULL, ''),
(1045, '2019-08-07 09:07:44', '2019-08-07 07:07:44', '2019-08-07', '2019-08-07', 3738.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'VALGOURMET', NULL, ''),
(1046, '2019-08-07 09:08:22', '2019-08-07 07:08:22', '2019-08-07', '2019-08-07', 1628.23000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BARBIER', NULL, ''),
(1047, '2019-08-07 09:08:53', '2019-08-07 07:08:53', '2019-08-07', '2019-08-07', -73.20000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(1048, '2019-08-07 09:09:40', '2019-09-03 09:42:07', '2019-08-07', '2019-08-07', 761.30000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 75, NULL, 'COLLADELLO', NULL, ''),
(1049, '2019-08-07 09:10:47', '2019-09-03 09:42:07', '2019-08-07', '2019-08-07', 1217.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 75, NULL, 'PEILLET MACH. AGRICOLES', NULL, ''),
(1050, '2019-08-09 11:55:25', '2019-08-09 09:55:25', '2019-08-09', '2019-08-09', 9891.34000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(1051, '2019-08-12 10:53:57', '2019-09-03 09:42:07', '2019-08-12', '2019-08-12', 775.62000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 75, NULL, 'SARL JEF 38', NULL, ''),
(1052, '2019-08-19 09:40:24', '2019-09-03 09:42:07', '2019-08-19', '2019-08-19', 711.17000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 75, NULL, 'MAGIC FEET', NULL, ''),
(1053, '2019-08-19 09:40:53', '2019-08-19 07:40:53', '2019-08-19', '2019-08-19', 3303.51000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EXSTO THERMOPLASTICS', NULL, ''),
(1054, '2019-08-19 09:41:21', '2019-08-19 07:41:21', '2019-08-19', '2019-08-19', 109.73000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BRUNEL SAS - site ABURA', NULL, ''),
(1055, '2019-08-19 09:42:02', '2019-08-19 07:42:02', '2019-08-19', '2019-08-19', 312.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CEGELEC NDT PSC', NULL, ''),
(1056, '2019-08-19 11:35:06', '2019-08-19 09:35:06', '2019-08-19', '2019-08-19', 316.10000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1057, '2019-08-19 11:36:16', '2019-08-19 09:36:16', '2019-08-19', '2019-08-19', 1061.41000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1058, '2019-08-20 09:09:11', '2019-08-20 07:09:11', '2019-08-20', '2019-08-20', 4362.99000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EXSTO', NULL, ''),
(1059, '2019-08-20 09:09:45', '2019-08-20 07:09:45', '2019-08-20', '2019-08-20', 122.40000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'VALINCO', NULL, ''),
(1060, '2019-08-21 09:19:19', '2019-08-21 07:19:19', '2019-08-21', '2019-08-21', 544.30000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(1061, '2019-08-22 17:06:09', '2019-08-22 15:06:09', '2019-08-22', '2019-08-22', 1119.78000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CDS BULLE VERTE', NULL, ''),
(1062, '2019-08-22 17:09:06', '2019-09-03 09:42:07', '2019-08-22', '2019-08-22', 150.45000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 75, NULL, 'BUYS CARROSSERIE', NULL, ''),
(1063, '2019-08-22 17:13:32', '2019-08-22 15:13:32', '2019-08-22', '2019-08-22', 2285.46000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BONTOUT', NULL, ''),
(1064, '2019-08-23 09:44:02', '2019-08-23 07:44:02', '2019-08-23', '2019-08-23', 3627.52000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SARRAZIN', NULL, ''),
(1065, '2019-08-27 11:24:11', '2019-08-27 09:24:11', '2019-08-27', '2019-08-27', 1588.65000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FACEO FM CENTRE EST', NULL, ''),
(1066, '2019-08-30 10:42:07', '2019-09-03 09:42:07', '2019-08-30', '2019-08-30', 550.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 75, NULL, 'COLLADELLO', NULL, ''),
(1067, '2019-08-30 10:42:47', '2019-09-03 09:42:07', '2019-08-30', '2019-08-30', 1180.06000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 75, NULL, 'AUTO PIECE 26', NULL, ''),
(1068, '2019-09-02 09:34:06', '2019-09-02 07:34:06', '2019-09-02', '2019-09-02', 1669.82000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'HUILERIE DE CHAMBARAND', NULL, ''),
(1069, '2019-09-02 09:34:46', '2019-09-02 07:34:46', '2019-09-02', '2019-09-02', 1265.52000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'GOASDUFF SUD EST', NULL, ''),
(1070, '2019-09-02 09:35:19', '2019-09-02 07:35:19', '2019-09-02', '2019-09-02', 600.91000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(1071, '2019-09-03 10:25:04', '2019-09-03 08:25:04', '2019-09-03', '2019-09-03', 1038.94000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'NAVYA', NULL, ''),
(1072, '2019-09-04 08:54:42', '2019-09-04 06:54:42', '2019-09-04', '2019-09-04', 720.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PAVAILLER', NULL, ''),
(1073, '2019-09-04 08:58:41', '2019-09-04 06:58:41', '2019-09-04', '2019-09-04', -12402.82000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1075, '2019-09-04 09:01:35', '2019-09-04 07:01:35', '2019-09-04', '2019-09-04', -7523.70000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1076, '2019-09-05 14:07:21', '2019-09-05 12:07:21', '2019-09-05', '2019-09-05', -3333.23000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1077, '2019-09-05 14:08:12', '2019-09-05 12:08:12', '2019-09-05', '2019-09-05', 6119.99000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(1078, '2019-09-05 14:08:49', '2019-09-05 12:08:49', '2019-09-05', '2019-09-05', 331.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COOPERATIVE LA DAUPHINOISE', NULL, ''),
(1079, '2019-09-05 16:05:02', '2019-09-05 14:05:02', '2019-09-05', '2019-09-05', -107.04000000, '(CustomerInvoicePaymentBack)', 2, 5, NULL, 'CB', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1080, '2019-09-05 16:05:30', '2019-09-05 14:05:30', '2019-09-05', '2019-09-05', -5326.20000000, '(CustomerInvoicePaymentBack)', 2, 5, NULL, 'CB', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1081, '2019-09-06 09:44:46', '2019-09-10 07:41:40', '2019-09-06', '2019-09-06', 713.54000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 76, NULL, 'BAGALU', NULL, ''),
(1082, '2019-09-06 09:45:14', '2019-09-10 07:41:40', '2019-09-06', '2019-09-06', 240.69000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 76, NULL, 'BOUYOUD TONNELLERIE', NULL, ''),
(1083, '2019-09-06 09:45:52', '2019-09-06 07:45:52', '2019-09-06', '2019-09-06', 4018.02000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MAFE INDUSTRIE', NULL, ''),
(1084, '2019-09-09 08:49:37', '2019-09-09 06:49:37', '2019-09-09', '2019-09-09', 2724.36000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FACEO FM CENTRE EST', NULL, ''),
(1085, '2019-09-09 08:50:12', '2019-09-09 06:50:12', '2019-09-09', '2019-09-09', 614.48000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EOVI HANDICAP', NULL, ''),
(1086, '2019-09-09 08:51:10', '2019-09-09 06:51:10', '2019-09-09', '2019-09-09', 397.73000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EPOXY3000', NULL, ''),
(1087, '2019-09-09 08:52:08', '2019-09-09 06:52:08', '2019-09-09', '2019-09-09', 873.42000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BAXTER INJECTION', NULL, ''),
(1088, '2019-09-10 10:16:17', '2019-09-10 08:16:17', '2019-09-10', '2019-09-10', 1957.10000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'HERBAROM LABORATOIRE', NULL, ''),
(1089, '2019-09-10 10:16:59', '2019-09-10 08:16:59', '2019-09-10', '2019-09-10', 2888.33000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EPIDAURE', NULL, ''),
(1090, '2019-09-10 10:17:41', '2019-09-10 08:17:41', '2019-09-10', '2019-09-10', 937.16000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1091, '2019-09-12 13:12:27', '2019-09-13 08:39:18', '2019-09-12', '2019-09-12', 204.44000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 77, NULL, 'SARRAZIN', NULL, ''),
(1092, '2019-09-12 13:13:02', '2019-09-12 11:13:02', '2019-09-12', '2019-09-12', 3443.37000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FCA', NULL, ''),
(1093, '2019-09-13 09:51:54', '2019-09-13 07:51:54', '2019-09-13', '2019-09-13', 123.62000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'VALFORMES', NULL, ''),
(1094, '2019-09-13 09:52:38', '2019-09-13 08:39:18', '2019-09-13', '2019-09-13', 286.86000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 77, NULL, 'SCALES SERVICES', NULL, ''),
(1095, '2019-09-13 09:54:32', '2019-09-13 07:54:32', '2019-09-13', '2019-09-13', 823.56000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1096, '2019-09-16 11:01:53', '2019-09-16 09:01:53', '2019-09-16', '2019-09-16', 1186.74000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PSI', NULL, ''),
(1097, '2019-09-16 11:02:56', '2019-09-16 09:02:56', '2019-09-16', '2019-09-16', 1099.58000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BRASSERIE PLEINE LUNE', NULL, ''),
(1098, '2019-09-16 11:03:37', '2019-09-16 09:03:37', '2019-09-16', '2019-09-16', 879.76000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SIMGA', NULL, ''),
(1099, '2019-09-17 09:45:06', '2019-09-17 07:45:06', '2019-09-17', '2019-09-17', 8904.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SIRA', NULL, ''),
(1100, '2019-09-18 09:46:10', '2019-09-18 07:46:10', '2019-09-18', '2019-09-18', 594.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SIRA', NULL, ''),
(1101, '2019-09-18 09:52:38', '2019-09-18 07:52:38', '2019-09-18', '2019-09-18', 1741.56000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COOPENOIX SOC COOP AGRIC', NULL, ''),
(1102, '2019-09-19 13:58:16', '2019-09-19 11:58:16', '2019-09-19', '2019-09-19', 4438.50000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CAPITAL ENERGY', NULL, ''),
(1103, '2019-09-19 13:58:53', '2019-09-19 11:58:53', '2019-09-19', '2019-09-19', 272.15000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(1104, '2019-09-19 14:00:21', '2019-09-24 09:12:19', '2019-09-19', '2019-09-19', 292.28000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 78, NULL, 'RENE BOIS', NULL, ''),
(1105, '2019-09-19 14:00:45', '2019-09-19 12:00:45', '2019-09-19', '2019-09-19', 0.70000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'RENE BOIS', NULL, ''),
(1106, '2019-09-23 09:22:02', '2019-09-23 07:22:02', '2019-09-23', '2019-09-23', 6728.40000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'Ardagh Aluminium Packaging France', NULL, ''),
(1107, '2019-09-23 09:22:33', '2019-09-23 07:22:33', '2019-09-23', '2019-09-23', 2709.22000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'JT LASER', NULL, ''),
(1108, '2019-09-24 09:42:16', '2019-09-24 07:42:16', '2019-09-24', '2019-09-24', 1647.64000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SARL CARROSSERIE RIGNOL', NULL, ''),
(1109, '2019-09-24 09:42:48', '2019-09-24 07:42:48', '2019-09-24', '2019-09-24', 691.64000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'VALSOLEIL (CENTRE CONDITIONNEMENT FRUITS LEGUMES)', NULL, ''),
(1110, '2019-09-25 08:44:37', '2019-09-25 06:44:37', '2019-09-25', '2019-09-25', 459.03000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'RTSI', NULL, ''),
(1111, '2019-09-25 08:45:21', '2019-09-30 08:10:58', '2019-09-25', '2019-09-25', 3425.51000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 79, NULL, 'CROS PERE ET FILS 07 DESAIGNES', NULL, ''),
(1112, '2019-09-30 12:03:14', '2019-09-30 10:03:14', '2019-09-30', '2019-09-30', 837.10000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FRANCE CAOUTCHOUC SERVICE', NULL, ''),
(1113, '2019-09-30 12:03:56', '2019-09-30 10:03:56', '2019-09-30', '2019-09-30', 1394.44000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FACEO FM CENTRE EST', NULL, ''),
(1114, '2019-09-30 12:04:40', '2019-09-30 10:04:40', '2019-09-30', '2019-09-30', 2152.38000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SIBELCO', NULL, ''),
(1115, '2019-09-30 12:05:10', '2019-09-30 10:05:10', '2019-09-30', '2019-09-30', 349.35000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'HUILERIE DE CHAMBARAND', NULL, ''),
(1116, '2019-09-30 12:12:08', '2019-09-30 10:12:08', '2019-09-30', '2019-09-30', 1387.06000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'REY FRERES', NULL, ''),
(1117, '2019-10-01 10:26:23', '2019-10-01 08:26:23', '2019-10-01', '2019-10-01', 1051.17000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BRASSERIE PLEINE LUNE', NULL, ''),
(1118, '2019-10-01 10:26:53', '2019-10-01 08:26:53', '2019-10-01', '2019-10-01', 2969.76000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BERNARD ROYAL DAUPHINE', NULL, ''),
(1119, '2019-10-01 10:27:54', '2019-10-01 08:27:54', '2019-10-01', '2019-10-01', 2571.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'JARS CERAMISTES', NULL, ''),
(1120, '2019-10-02 09:26:32', '2019-10-02 07:26:32', '2019-10-02', '2019-10-02', 718.22000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'INSOFT', NULL, ''),
(1121, '2019-10-02 09:27:17', '2019-10-02 07:27:17', '2019-10-02', '2019-10-02', 1103.16000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MMD', NULL, ''),
(1122, '2019-10-02 09:27:58', '2019-10-02 07:27:58', '2019-10-02', '2019-10-02', 1367.84000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EPIDAURE', NULL, ''),
(1123, '2019-10-02 09:48:01', '2019-10-02 07:48:01', '2019-10-02', '2019-10-02', -7065.97000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1124, '2019-10-02 09:49:14', '2019-10-02 07:49:14', '2019-10-02', '2019-10-02', -2081.86000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1125, '2019-10-02 09:50:06', '2019-10-02 07:50:06', '2019-10-02', '2019-10-02', -1324.76000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1126, '2019-10-02 14:55:45', '2019-10-02 12:55:45', '2019-08-05', '2019-08-05', 2500.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'THX MEDICAL', NULL, ''),
(1127, '2019-10-03 13:53:39', '2019-10-03 11:53:39', '2019-10-03', '2019-10-03', 771.48000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ROTOMOD', NULL, ''),
(1128, '2019-10-03 13:54:17', '2019-10-03 11:54:17', '2019-10-03', '2019-10-03', 1137.49000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COP', NULL, ''),
(1129, '2019-10-03 13:55:22', '2019-10-03 11:55:22', '2019-10-03', '2019-10-03', 665.82000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COUIX', NULL, ''),
(1130, '2019-10-07 09:19:32', '2019-10-07 07:19:32', '2019-10-07', '2019-10-07', 2311.39000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'HOPITAUX DROME NORD', NULL, ''),
(1131, '2019-10-08 11:33:48', '2019-10-08 09:33:48', '2019-10-08', '2019-10-08', 2000.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BE2BIZ', NULL, ''),
(1132, '2019-10-08 11:34:30', '2019-10-08 09:34:30', '2019-10-08', '2019-10-08', 677.84000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TERRE D\'HORIZON ( LYCEE HORTICOLE DE ROMANS )', NULL, ''),
(1133, '2019-10-09 08:56:42', '2019-10-09 06:56:42', '2019-10-09', '2019-10-09', 5900.02000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'THX MEDICAL', NULL, ''),
(1134, '2019-10-10 09:33:49', '2019-10-10 07:33:49', '2019-10-10', '2019-10-10', 1057.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LYON BISCUIT (ESAL)', NULL, ''),
(1135, '2019-10-11 09:18:04', '2019-10-11 07:18:04', '2019-10-11', '2019-10-11', 3705.70000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'RTSI', NULL, ''),
(1136, '2019-10-11 09:18:40', '2019-10-16 14:45:16', '2019-10-11', '2019-10-11', 240.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 80, NULL, 'SCALES SERVICES', NULL, ''),
(1137, '2019-10-11 09:19:14', '2019-10-16 14:45:16', '2019-10-11', '2019-10-11', 270.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 80, NULL, 'CINTRALP', NULL, ''),
(1138, '2019-10-11 09:19:55', '2019-10-16 14:45:16', '2019-10-11', '2019-10-11', 754.31000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 80, NULL, 'AK CENTRE AUTO PIECES 26', NULL, ''),
(1139, '2019-10-16 21:12:04', '2019-10-16 19:12:04', '2019-10-16', '2019-10-16', 4024.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(1140, '2019-10-16 21:13:40', '2019-10-16 19:13:40', '2019-10-16', '2019-10-16', 833.09000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COOPERATIVE LA DAUPHINOISE', NULL, ''),
(1141, '2019-10-16 21:14:48', '2019-10-16 19:14:48', '2019-10-16', '2019-10-16', 944.59000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SAS PROCYL COLORS', NULL, ''),
(1142, '2019-10-16 21:15:55', '2019-10-16 19:15:55', '2019-10-16', '2019-10-16', 2800.30000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SIBELCO', NULL, ''),
(1143, '2019-10-16 21:16:57', '2019-10-16 19:16:57', '2019-10-16', '2019-10-16', 2424.44000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SORALEP', NULL, ''),
(1144, '2019-10-16 21:18:06', '2019-10-16 19:18:06', '2019-10-16', '2019-10-16', 12000.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BCH Compresseur', NULL, ''),
(1145, '2019-10-16 21:19:59', '2019-10-16 19:19:59', '2019-10-16', '2019-10-16', 3216.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SEBM site de 69 Communay', NULL, ''),
(1146, '2019-10-16 21:21:10', '2019-10-16 19:21:10', '2019-10-16', '2019-10-16', 1796.84000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'M22', NULL, ''),
(1147, '2019-10-16 21:22:47', '2019-10-16 19:22:47', '2019-10-16', '2019-10-16', 925.79000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PRECIA MOLEN', NULL, ''),
(1148, '2019-10-16 21:24:44', '2019-10-21 07:21:42', '2019-10-16', '2019-10-16', 711.45000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 81, NULL, 'DEROUX PLANTS EURL', NULL, ''),
(1149, '2019-10-16 21:25:34', '2019-10-21 07:21:42', '2019-10-16', '2019-10-16', 0.30000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 81, NULL, 'DEROUX PLANTS EURL', NULL, ''),
(1150, '2019-10-16 21:26:33', '2019-10-21 07:21:42', '2019-10-16', '2019-10-16', 690.71000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 81, NULL, 'C DENTAL - LE LABO', NULL, ''),
(1151, '2019-10-18 21:19:52', '2019-10-18 19:19:52', '2019-10-18', '2019-10-18', 272.15000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(1152, '2019-10-18 21:21:02', '2019-10-18 19:21:02', '2019-10-18', '2019-10-18', 3401.58000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ACIERIES DE BONPERTUIS', NULL, ''),
(1153, '2019-10-18 21:21:58', '2019-10-18 19:21:58', '2019-10-18', '2019-10-18', 1966.18000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'KERRY INGREDIENTS France SAS', NULL, ''),
(1154, '2019-10-18 21:22:56', '2019-10-18 19:22:56', '2019-10-18', '2019-10-18', 132.86000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CI CARROSSIER CONSTRUCTEUR', NULL, ''),
(1155, '2019-10-22 09:10:56', '2019-10-22 07:10:56', '2019-10-22', '2019-10-22', 323.40000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'VINCENT BERNARD', NULL, ''),
(1156, '2019-10-24 08:55:06', '2019-10-24 06:55:06', '2019-10-24', '2019-10-24', 281.04000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SARRAZIN', NULL, ''),
(1157, '2019-10-24 08:56:31', '2019-10-24 06:56:31', '2019-10-24', '2019-10-24', 731.44000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FACEO FM CENTRE EST', NULL, ''),
(1158, '2019-10-24 08:57:44', '2019-10-24 06:57:44', '2019-10-24', '2019-10-24', 1195.36000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MOLTENI GRPE ELECTROLUX SAS', NULL, ''),
(1159, '2019-10-24 16:03:25', '2019-10-24 14:03:25', '2019-10-24', '2019-10-24', 2022.15000000, '(CustomerInvoicePayment)', 2, 5, NULL, 'VIR', NULL, '1448517', 0, NULL, 0, NULL, 'SMS', NULL, ''),
(1160, '2019-10-24 16:04:10', '2019-10-25 09:09:13', '2019-10-24', '2019-10-24', 2192.06000000, '(CustomerInvoicePayment)', 2, 5, NULL, 'CHQ', NULL, NULL, 0, NULL, 82, NULL, '4772388', NULL, ''),
(1161, '2019-10-24 16:04:50', '2019-10-24 14:04:50', '2019-10-24', '2019-10-24', 595.39000000, '(CustomerInvoicePayment)', 2, 5, NULL, 'VIR', NULL, '2007084', 0, NULL, 0, NULL, 'CARRIESCOPIC', NULL, ''),
(1162, '2019-10-28 11:07:51', '2019-10-28 10:07:51', '2019-10-28', '2019-10-28', 1724.40000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DEVES', NULL, ''),
(1163, '2019-10-28 11:09:56', '2019-10-28 10:09:56', '2019-10-28', '2019-10-28', -5000.00000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1164, '2019-10-30 08:54:03', '2019-10-30 07:54:03', '2019-10-30', '2019-10-30', 1334.09000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ACIERIES DE BONPERTUIS', NULL, ''),
(1165, '2019-10-31 11:12:36', '2019-10-31 10:12:36', '2019-10-31', '2019-10-31', 1231.08000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'Les Volaillers du Dauphiné - CAPAG', NULL, ''),
(1166, '2019-10-31 11:13:13', '2019-10-31 10:13:13', '2019-10-31', '2019-10-31', 507.27000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ROMANAISE DE LA CHAUSSURE CLERGERIE', NULL, ''),
(1167, '2019-10-31 11:13:39', '2019-10-31 10:13:39', '2019-10-31', '2019-10-31', -300.00000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(1168, '2019-10-31 11:14:14', '2019-10-31 10:14:14', '2019-10-31', '2019-10-31', 1707.96000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ISRA', NULL, ''),
(1169, '2019-11-04 11:08:57', '2019-11-04 10:08:57', '2019-11-04', '2019-11-04', 800.54000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'INNODEC', NULL, ''),
(1170, '2019-11-04 11:09:28', '2019-11-04 10:09:28', '2019-11-04', '2019-11-04', 397.73000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MAFE INDUSTRIE', NULL, ''),
(1171, '2019-11-04 11:10:03', '2019-11-04 10:10:03', '2019-11-04', '2019-11-04', 419.59000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TIBA', NULL, ''),
(1172, '2019-11-04 11:10:32', '2019-11-04 10:10:32', '2019-11-04', '2019-11-04', 882.45000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COOPERATIVE LA DAUPHINOISE', NULL, ''),
(1173, '2019-11-04 11:10:57', '2019-11-04 10:10:57', '2019-11-04', '2019-11-04', 2339.86000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EPOXY3000', NULL, ''),
(1174, '2019-11-04 11:11:24', '2019-11-04 10:11:24', '2019-11-04', '2019-11-04', 770.09000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DELPACK', NULL, ''),
(1175, '2019-11-04 11:13:41', '2019-11-05 15:44:56', '2019-11-04', '2019-11-04', 563.69000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 83, NULL, 'Domaine Coursodon', NULL, ''),
(1176, '2019-11-04 11:14:23', '2019-11-04 10:14:23', '2019-11-04', '2019-11-04', 33.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BEILLARD TUBES CARTON', NULL, ''),
(1177, '2019-11-05 11:23:06', '2019-11-05 10:23:06', '2019-11-05', '2019-11-05', 218.40000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TGCP MAESTRO GRANDE CUISINE', NULL, ''),
(1178, '2019-11-05 11:24:01', '2019-11-05 10:24:01', '2019-11-05', '2019-11-05', 1888.61000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SEBM', NULL, ''),
(1179, '2019-11-05 11:24:31', '2019-11-05 10:24:31', '2019-11-05', '2019-11-05', 1027.04000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LUCE Hydro', NULL, ''),
(1180, '2019-11-05 11:25:18', '2019-11-05 10:25:18', '2019-11-05', '2019-11-05', 29400.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MBH INVESTISSEMENT SARL', NULL, ''),
(1181, '2019-11-05 11:30:00', '2019-11-05 10:30:00', '2019-11-05', '2019-11-05', -8424.41000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1182, '2019-11-05 11:32:04', '2019-11-05 10:32:04', '2019-11-05', '2019-11-05', -5137.68000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1183, '2019-11-06 09:22:05', '2019-11-06 08:22:05', '2019-11-06', '2019-11-06', 929.97000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COURBIS SILICONES', NULL, ''),
(1184, '2019-11-06 09:22:36', '2019-11-06 08:22:36', '2019-11-06', '2019-11-06', 1178.69000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COURBIS SYNTHESES', NULL, ''),
(1185, '2019-11-06 09:23:10', '2019-11-06 08:23:10', '2019-11-06', '2019-11-06', 724.12000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SOREA', NULL, ''),
(1186, '2019-11-06 09:24:29', '2019-11-06 08:24:29', '2019-11-06', '2019-11-06', -670.49000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1187, '2019-11-07 18:17:25', '2019-11-07 17:17:25', '2019-11-07', '2019-11-07', 810.24000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DETFI', NULL, ''),
(1188, '2019-11-07 18:18:05', '2019-11-13 10:44:08', '2019-11-07', '2019-11-07', 677.83000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 84, NULL, 'MENUISERIE ROCHEGUE', NULL, ''),
(1189, '2019-11-07 18:18:45', '2019-11-13 10:44:08', '2019-11-07', '2019-11-07', 620.10000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 84, NULL, 'IMPRIMERIE DEVAL', NULL, ''),
(1190, '2019-11-07 18:19:20', '2019-11-13 10:44:08', '2019-11-07', '2019-11-07', 719.65000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 84, NULL, 'COP', NULL, ''),
(1191, '2019-11-07 18:19:59', '2019-11-13 10:44:08', '2019-11-07', '2019-11-07', 284.40000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 84, NULL, 'BOUYOUD TONNELLERIE', NULL, ''),
(1192, '2019-11-12 09:38:05', '2019-11-12 08:38:05', '2019-11-12', '2019-11-12', -81.60000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(1193, '2019-11-12 09:38:44', '2019-11-12 08:38:44', '2019-11-12', '2019-11-12', 247.73000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SARRAZIN', NULL, ''),
(1194, '2019-11-12 09:39:19', '2019-11-12 08:39:19', '2019-11-12', '2019-11-12', 371.76000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'AIR PN', NULL, ''),
(1195, '2019-11-12 09:39:49', '2019-11-12 08:39:49', '2019-11-12', '2019-11-12', 860.40000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TELENCO', NULL, ''),
(1196, '2019-11-12 09:40:37', '2019-11-13 10:44:08', '2019-11-12', '2019-11-12', 478.82000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 84, NULL, 'PEILLET MACH. AGRICOLES', NULL, ''),
(1197, '2019-11-12 09:41:12', '2019-11-13 10:44:08', '2019-11-12', '2019-11-12', 875.66000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 84, NULL, 'HARMONYL 2', NULL, ''),
(1198, '2019-11-12 09:41:40', '2019-11-13 10:44:08', '2019-11-12', '2019-11-12', 455.21000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 84, NULL, 'BAXTER INJECTION', NULL, ''),
(1199, '2019-11-13 09:05:54', '2019-11-13 08:05:54', '2019-11-13', '2019-11-13', 466.98000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'VALGOURMET', NULL, ''),
(1200, '2019-11-13 09:06:37', '2019-11-13 08:06:37', '2019-11-13', '2019-11-13', 486.51000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'GARAGE PEROLLIER (SARL) AGENT RENAULT', NULL, ''),
(1201, '2019-11-13 10:33:29', '2019-11-13 09:33:29', '2019-11-13', '2019-11-13', 1431.64000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TIBA', NULL, ''),
(1202, '2019-11-14 13:24:09', '2019-11-14 12:24:09', '2019-11-14', '2019-11-14', 2274.66000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MPG', NULL, ''),
(1203, '2019-11-18 10:06:56', '2019-11-18 09:06:56', '2019-11-18', '2019-11-18', 548.33000000, '(CustomerInvoicePayment)', 2, 4, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SERKOL', NULL, ''),
(1204, '2019-11-18 10:07:39', '2019-11-18 09:07:39', '2019-11-18', '2019-11-18', 633.60000000, '(CustomerInvoicePayment)', 2, 4, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'JARS CERAMISTES', NULL, ''),
(1205, '2019-11-18 10:08:29', '2019-11-18 09:08:29', '2019-11-18', '2019-11-18', 1056.79000000, '(CustomerInvoicePayment)', 2, 4, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CIBOX', NULL, ''),
(1206, '2019-11-19 09:59:52', '2019-11-19 08:59:52', '2019-11-19', '2019-11-19', 1180.62000000, '(CustomerInvoicePayment)', 2, 4, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'IVARS FRANCE', NULL, ''),
(1207, '2019-11-19 10:00:36', '2019-11-19 09:00:36', '2019-11-19', '2019-11-19', 600.91000000, '(CustomerInvoicePayment)', 2, 4, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(1208, '2019-11-25 12:17:34', '2019-11-25 11:17:34', '2019-11-25', '2019-11-25', -3739.74000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1209, '2019-11-25 12:22:22', '2019-11-25 11:22:22', '2019-11-25', '2019-11-25', -3666.35000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1210, '2019-11-26 09:51:25', '2019-11-26 08:51:25', '2019-11-26', '2019-11-26', 1778.47000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TRANSALP', NULL, ''),
(1211, '2019-11-27 12:14:30', '2019-11-27 11:14:30', '2019-11-27', '2019-11-27', 720.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'Domaine Pradelle', NULL, ''),
(1212, '2019-11-28 17:05:02', '2019-11-28 16:05:02', '2019-11-28', '2019-11-28', 2092.74000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CDS BULLE VERTE', NULL, ''),
(1213, '2019-11-28 17:05:34', '2019-11-28 16:05:34', '2019-11-28', '2019-11-28', 2037.54000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'VALLET FRERES (SARL)', NULL, ''),
(1214, '2019-11-28 17:06:08', '2019-12-05 14:24:20', '2019-11-28', '2019-11-28', 1113.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 85, NULL, 'TTI SARL', NULL, ''),
(1215, '2019-11-28 17:06:34', '2019-12-05 14:24:20', '2019-11-28', '2019-11-28', 2800.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 85, NULL, 'REGACHE ANDRE', NULL, ''),
(1216, '2019-11-28 17:06:58', '2019-11-28 16:06:58', '2019-11-28', '2019-11-28', 39.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'LIQ', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1217, '2019-11-28 17:07:41', '2019-11-28 16:07:41', '2019-11-28', '2019-11-28', 204.12000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DESMET', NULL, ''),
(1218, '2019-11-29 09:12:19', '2019-11-29 08:12:19', '2019-11-29', '2019-11-29', 1600.52000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PRISME MECA', NULL, ''),
(1219, '2019-11-29 09:12:55', '2019-11-29 08:12:55', '2019-11-29', '2019-11-29', 922.55000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TENA BUTTY', NULL, ''),
(1220, '2019-11-29 09:13:51', '2019-11-29 08:13:51', '2019-11-29', '2019-11-29', 8817.44000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COVAL', NULL, ''),
(1221, '2019-12-02 10:15:20', '2019-12-02 09:15:20', '2019-12-02', '2019-12-02', 3270.42000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PODIS', NULL, ''),
(1222, '2019-12-02 10:16:18', '2019-12-02 09:16:18', '2019-12-02', '2019-12-02', 1241.88000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BEILLARD TUBES CARTON', NULL, ''),
(1223, '2019-12-02 10:17:20', '2019-12-02 09:17:20', '2019-12-02', '2019-12-02', 882.09000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'M22', NULL, ''),
(1224, '2019-12-02 10:17:49', '2019-12-02 09:17:49', '2019-12-02', '2019-12-02', 244.67000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'GIRAUD-DELAY CONSTRUCTIONS METALLIQUES', NULL, ''),
(1225, '2019-12-02 10:18:23', '2019-12-02 09:18:23', '2019-12-02', '2019-12-02', 1142.90000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CHAUSSY GOMEZ S.A.S.', NULL, ''),
(1226, '2019-12-02 10:19:05', '2019-12-02 09:19:05', '2019-12-02', '2019-12-02', 1795.04000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FACEO FM CENTRE EST', NULL, ''),
(1227, '2019-12-03 10:27:09', '2019-12-03 09:27:09', '2019-12-03', '2019-12-03', 178.83000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'HUILERIE DE CHAMBARAND', NULL, ''),
(1228, '2019-12-03 10:27:32', '2019-12-03 09:27:32', '2019-12-03', '2019-12-03', 144.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'GOASDUFF SUD EST', NULL, ''),
(1229, '2019-12-03 10:28:04', '2019-12-03 09:28:04', '2019-12-03', '2019-12-03', 126.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FROID & SERVICES BRESSE', NULL, ''),
(1230, '2019-12-03 10:28:44', '2019-12-03 09:28:44', '2019-12-03', '2019-12-03', 323.28000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CMS CONCEPT METAL SERVICE', NULL, ''),
(1231, '2019-12-03 10:35:40', '2019-12-03 09:35:40', '2019-12-03', '2019-12-03', -3977.08000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1232, '2019-12-03 10:38:36', '2019-12-03 09:38:36', '2019-12-03', '2019-12-03', -3722.65000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1233, '2019-12-03 10:39:44', '2019-12-03 09:39:44', '2019-12-03', '2019-12-03', -1410.20000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1234, '2019-12-04 10:24:08', '2019-12-04 09:24:08', '2019-12-04', '2019-12-04', 545.31000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ROTOM', NULL, ''),
(1235, '2019-12-04 10:24:50', '2019-12-04 09:24:50', '2019-12-04', '2019-12-04', 507.27000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ROMANAISE DE LA CHAUSSURE CLERGERIE', NULL, ''),
(1236, '2019-12-04 10:25:40', '2019-12-04 09:25:40', '2019-12-04', '2019-12-04', 904.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EIFFAGE ROUTE CENTRE EST', NULL, ''),
(1237, '2019-12-04 10:26:11', '2019-12-04 09:26:11', '2019-12-04', '2019-12-04', 2444.88000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SICAL CELTA SAINT HILAIRE', NULL, ''),
(1238, '2019-12-04 11:08:22', '2019-12-04 10:08:22', '2019-12-04', '2019-12-04', -403.20000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(1239, '2019-12-04 11:10:15', '2019-12-04 10:10:15', '2019-12-04', '2019-12-04', 411.19000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CIBOX', NULL, ''),
(1240, '2019-12-04 11:11:03', '2019-12-04 10:11:03', '2019-12-04', '2019-12-04', 605.97000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SARL CARROSSERIE RIGNOL', NULL, ''),
(1241, '2019-12-04 11:11:55', '2019-12-04 10:11:55', '2019-12-04', '2019-12-04', 1164.83000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DELPHINOIX', NULL, ''),
(1242, '2019-12-04 11:13:09', '2019-12-04 10:13:09', '2019-12-04', '2019-12-04', 192.12000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MODELAGE CONCEPT SARL', NULL, ''),
(1243, '2019-12-04 11:13:32', '2019-12-04 10:13:32', '2019-12-04', '2019-12-04', 3.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MODELAGE CONCEPT SARL', NULL, ''),
(1244, '2019-12-04 11:14:26', '2019-12-04 10:14:26', '2019-12-04', '2019-12-04', 646.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'POLLIEN MENUISERIE', NULL, ''),
(1245, '2019-12-04 11:16:14', '2019-12-04 10:16:14', '2019-12-04', '2019-12-04', 108.06000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MECAGRI', NULL, ''),
(1246, '2019-12-04 11:18:12', '2019-12-04 10:18:12', '2019-12-04', '2019-12-04', 29399.99000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'S.L.C.D', NULL, ''),
(1247, '2019-12-04 11:19:04', '2019-12-04 10:19:04', '2019-12-04', '2019-12-04', 780.61000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TIBA', NULL, ''),
(1248, '2019-12-04 11:19:58', '2019-12-04 10:19:58', '2019-12-04', '2019-12-04', -1200.00000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(1249, '2019-12-04 11:20:42', '2019-12-04 10:20:42', '2019-12-04', '2019-12-04', -29399.99000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(1250, '2019-12-05 16:45:38', '2019-12-05 15:45:38', '2019-12-05', '2019-12-05', 1010.88000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'P&M Développement', NULL, ''),
(1251, '2019-12-05 16:46:16', '2019-12-05 15:46:16', '2019-12-05', '2019-12-05', 622.12000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SEBM SUD(Société Exploitation des Bétons Martel Sud)', NULL, '');
INSERT INTO `llx_bank` (`rowid`, `datec`, `tms`, `datev`, `dateo`, `amount`, `label`, `fk_account`, `fk_user_author`, `fk_user_rappro`, `fk_type`, `num_releve`, `num_chq`, `rappro`, `note`, `fk_bordereau`, `banque`, `emetteur`, `author`, `numero_compte`) VALUES
(1252, '2019-12-05 16:46:55', '2019-12-05 15:46:55', '2019-12-05', '2019-12-05', 3015.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'Mairie de Romans ( Service Technique )', NULL, ''),
(1253, '2019-12-05 16:47:44', '2019-12-06 15:42:03', '2019-12-05', '2019-12-05', 336.01000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 86, NULL, 'PEILLET MACH. AGRICOLES', NULL, ''),
(1254, '2019-12-05 16:48:26', '2019-12-06 15:42:03', '2019-12-05', '2019-12-05', 167.29000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 86, NULL, 'FIGUET MECANIQUE SARL', NULL, ''),
(1255, '2019-12-05 16:50:23', '2019-12-05 15:50:23', '2019-12-05', '2019-12-05', 268.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EPIDAURE', NULL, ''),
(1256, '2019-12-05 16:51:58', '2019-12-06 15:42:03', '2019-12-05', '2019-12-05', 1080.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 86, NULL, 'BERNARD DUC', NULL, ''),
(1257, '2019-12-09 10:00:42', '2019-12-09 09:00:42', '2019-12-09', '2019-12-09', 3103.92000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BAXTER INJECTION', NULL, ''),
(1258, '2019-12-09 10:01:24', '2019-12-09 09:01:24', '2019-12-09', '2019-12-09', 7755.73000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BEILLARD TUBES CARTON', NULL, ''),
(1259, '2019-12-09 10:02:48', '2019-12-09 09:02:48', '2019-12-09', '2019-12-09', 532.34000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'INNODEC', NULL, ''),
(1260, '2019-12-09 10:03:23', '2019-12-09 09:03:23', '2019-12-09', '2019-12-09', 529.36000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'GUICHARD RODAGE', NULL, ''),
(1261, '2019-12-11 09:23:17', '2019-12-11 08:23:17', '2019-12-11', '2019-12-11', 7656.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EIFFAGE ROUTE CENTRE EST', NULL, ''),
(1262, '2019-12-11 09:24:43', '2019-12-11 08:24:43', '2019-12-11', '2019-12-11', 1423.24000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'THX MEDICAL', NULL, ''),
(1263, '2019-12-12 16:19:50', '2019-12-13 09:18:29', '2019-12-12', '2019-12-12', 6516.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 87, NULL, 'MONSIEUR MARC GARAPON', NULL, ''),
(1264, '2019-12-12 16:21:10', '2019-12-13 09:18:29', '2019-12-12', '2019-12-12', 900.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 87, NULL, 'Jean Luc Falconnet', NULL, ''),
(1265, '2019-12-12 16:21:52', '2019-12-12 15:21:52', '2019-12-12', '2019-12-12', 1132.84000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SARL MCD Champsyl', NULL, ''),
(1266, '2019-12-12 16:22:28', '2019-12-12 15:22:28', '2019-12-12', '2019-12-12', 97.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ROTOM', NULL, ''),
(1267, '2019-12-13 09:32:26', '2019-12-13 08:32:26', '2019-12-13', '2019-12-13', 158.40000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'HOPITAUX DROME NORD', NULL, ''),
(1268, '2019-12-16 10:40:40', '2019-12-16 09:40:40', '2019-12-16', '2019-12-16', 540.36000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DEVES', NULL, ''),
(1269, '2019-12-16 10:41:15', '2019-12-16 09:41:15', '2019-12-16', '2019-12-16', 130.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'IVARS FRANCE', NULL, ''),
(1270, '2019-12-16 10:42:32', '2019-12-16 09:42:32', '2019-12-16', '2019-12-16', -17500.00000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1271, '2019-12-18 10:57:37', '2019-12-18 09:57:37', '2019-12-18', '2019-12-18', 1277.84000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SORALEP', NULL, ''),
(1272, '2019-12-18 10:58:33', '2019-12-18 09:58:33', '2019-12-18', '2019-12-18', 1612.18000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EPIDAURE', NULL, ''),
(1273, '2019-12-18 10:58:58', '2019-12-18 09:58:58', '2019-12-18', '2019-12-18', 676.59000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CMS CONCEPT METAL SERVICE', NULL, ''),
(1274, '2019-12-23 10:14:25', '2020-01-09 10:22:46', '2019-12-23', '2019-12-23', 782.26000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 88, NULL, 'SMS', NULL, ''),
(1275, '2019-12-23 10:15:51', '2019-12-23 09:15:51', '2019-12-23', '2019-12-23', -1807.57000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1276, '2019-12-26 11:28:19', '2019-12-26 10:28:19', '2019-12-26', '2019-12-26', 1934.16000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MARION MECANIQUE', NULL, ''),
(1277, '2019-12-27 12:03:20', '2020-01-09 10:22:46', '2019-12-27', '2019-12-27', 10722.06000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 88, NULL, 'SEBM site de 69 Communay', NULL, ''),
(1278, '2019-12-27 12:04:00', '2020-01-09 10:22:46', '2019-12-27', '2019-12-27', 1211.75000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 88, NULL, 'COP', NULL, ''),
(1279, '2019-12-30 09:29:38', '2019-12-30 08:29:38', '2019-12-30', '2019-12-30', 173.11000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DETFI-FLIGHT 38', NULL, ''),
(1280, '2019-12-30 09:30:16', '2020-01-09 10:22:46', '2019-12-30', '2019-12-30', 336.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 88, NULL, 'BOUYOUD TONNELLERIE', NULL, ''),
(1281, '2019-12-31 10:26:09', '2019-12-31 09:26:09', '2019-12-31', '2019-12-31', 2968.62000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MODELAGE CONCEPT SARL', NULL, ''),
(1282, '2020-01-02 13:25:29', '2020-01-02 12:25:29', '2020-01-02', '2020-01-02', 1148.07000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DUMG', NULL, ''),
(1283, '2020-01-02 13:26:00', '2020-01-02 12:26:00', '2020-01-02', '2020-01-02', 33.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'VALFORMES', NULL, ''),
(1284, '2020-01-02 13:26:30', '2020-01-02 12:26:30', '2020-01-02', '2020-01-02', 319.18000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SORALEP', NULL, ''),
(1285, '2020-01-02 13:27:00', '2020-01-02 12:27:00', '2020-01-02', '2020-01-02', 117.98000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'GUICHARD RODAGE', NULL, ''),
(1286, '2020-01-03 10:02:26', '2020-01-03 09:02:26', '2020-01-03', '2020-01-03', 388.86000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COVAL', NULL, ''),
(1287, '2020-01-03 10:03:25', '2020-01-03 09:03:25', '2020-01-03', '2020-01-03', -4771.85000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1288, '2020-01-03 10:07:45', '2020-01-03 09:07:45', '2020-01-03', '2020-01-03', -6140.59000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1289, '2020-01-03 10:10:12', '2020-01-03 09:10:12', '2020-01-03', '2020-01-03', 4698.09000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'RCR PRODUCTION FRANCE', NULL, ''),
(1290, '2020-01-08 12:29:08', '2020-01-08 11:29:08', '2020-01-08', '2020-01-08', 1960.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BE2BIZ', NULL, ''),
(1291, '2020-01-08 12:29:38', '2020-01-08 11:29:38', '2020-01-08', '2020-01-08', 195.12000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'IDEA ( INDUSTRIE DE DEVELOPPEMENT DE L ELECTRICITE AUTONOME )', NULL, ''),
(1292, '2020-01-08 12:30:02', '2020-01-08 11:30:02', '2020-01-08', '2020-01-08', 1443.64000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'RCI Cartonnage de Vaucanson', NULL, ''),
(1293, '2020-01-08 12:30:45', '2020-01-08 11:30:45', '2020-01-08', '2020-01-08', 660.95000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CEF polymeres', NULL, ''),
(1294, '2020-01-08 12:31:24', '2020-01-08 11:31:24', '2020-01-08', '2020-01-08', 1444.93000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'HUILERIE DE CHAMBARAND', NULL, ''),
(1295, '2020-01-08 12:32:55', '2020-01-08 11:32:55', '2020-01-08', '2020-01-08', 5093.06000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BOURBON AUTOMOTIVE PLASTICS', NULL, ''),
(1296, '2020-01-09 17:11:29', '2020-01-09 16:11:29', '2020-01-09', '2020-01-09', 2167.16000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PLATEFORME38', NULL, ''),
(1297, '2020-01-09 17:13:30', '2020-01-09 16:13:30', '2020-01-09', '2020-01-09', -2028.10000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1298, '2020-01-10 13:08:20', '2020-01-10 12:08:20', '2020-01-10', '2020-01-10', 388.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CHARIGNON VILQUIN ( GROUPE FAYAT)', NULL, ''),
(1299, '2020-01-10 13:09:03', '2020-01-10 14:40:41', '2020-01-10', '2020-01-10', 1323.96000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 89, NULL, 'VILLE SAS-VALNOIX', NULL, ''),
(1300, '2020-01-10 13:09:35', '2020-01-10 12:09:35', '2020-01-10', '2020-01-10', -153.22000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(1301, '2020-01-10 13:11:06', '2020-01-10 12:11:06', '2020-01-10', '2020-01-10', 673.72000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ROTOM', NULL, ''),
(1302, '2020-01-10 13:13:18', '2020-01-10 12:13:18', '2020-01-10', '2020-01-10', 81.98000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COLLADELLO', NULL, ''),
(1303, '2020-01-10 13:14:03', '2020-01-10 12:14:03', '2020-01-10', '2020-01-10', 272.15000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(1304, '2020-01-13 13:36:09', '2020-01-13 12:36:09', '2020-01-13', '2020-01-13', 39521.55000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'REALEASE CAPITAL', NULL, ''),
(1305, '2020-01-13 13:36:45', '2020-01-13 12:36:45', '2020-01-13', '2020-01-13', 1431.64000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TIBA', NULL, ''),
(1306, '2020-01-13 13:37:11', '2020-01-16 15:50:49', '2020-01-13', '2020-01-13', 651.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 90, NULL, 'CROS PERE ET FILS 07 DESAIGNES', NULL, ''),
(1307, '2020-01-13 13:38:24', '2020-01-13 12:38:24', '2020-01-13', '2020-01-13', -310.50000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(1308, '2020-01-13 13:38:58', '2020-01-13 12:38:58', '2020-01-13', '2020-01-13', 310.50000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COURBIS SILICONES', NULL, ''),
(1309, '2020-01-14 09:00:54', '2020-01-14 08:00:54', '2020-01-14', '2020-01-14', 912.72000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'JULLIEN LOGISTIQUE', NULL, ''),
(1310, '2020-01-15 09:13:09', '2020-01-15 08:13:09', '2020-01-15', '2020-01-15', 1584.09000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'THX MEDICAL', NULL, ''),
(1311, '2020-01-15 09:13:45', '2020-01-15 08:13:45', '2020-01-15', '2020-01-15', 1050.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BOURBON AUTOMOTIVE PLASTICS', NULL, ''),
(1312, '2020-01-15 09:14:22', '2020-01-15 08:14:22', '2020-01-15', '2020-01-15', 8130.38000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BAXTER INJECTION', NULL, ''),
(1313, '2020-01-15 09:14:56', '2020-01-16 15:50:49', '2020-01-15', '2020-01-15', 2800.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 90, NULL, 'Gilles ANCETTE', NULL, ''),
(1314, '2020-01-16 17:25:25', '2020-01-16 16:25:25', '2020-01-16', '2020-01-16', 280.88000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EXSTO', NULL, ''),
(1315, '2020-01-16 17:25:59', '2020-01-16 16:25:59', '2020-01-16', '2020-01-16', 600.91000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(1316, '2020-01-16 17:27:15', '2020-01-17 15:59:01', '2020-01-16', '2020-01-16', 452.52000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 91, NULL, 'scierie de chambaran', NULL, ''),
(1317, '2020-01-16 17:27:41', '2020-01-16 16:27:41', '2020-01-16', '2020-01-16', 917.33000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MECANIQUE GENERALE PRIVADOISE', NULL, ''),
(1318, '2020-01-16 17:28:23', '2020-01-16 16:28:23', '2020-01-16', '2020-01-16', 584.16000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'IDEC SAS', NULL, ''),
(1319, '2020-01-17 09:46:37', '2020-01-17 08:46:37', '2020-01-17', '2020-01-17', 1197.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SIBELCO', NULL, ''),
(1320, '2020-01-20 09:47:16', '2020-01-20 08:47:16', '2020-01-20', '2020-01-20', 1046.04000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COURBIS SILICONES', NULL, ''),
(1321, '2020-01-20 09:47:53', '2020-01-20 08:47:53', '2020-01-20', '2020-01-20', 3383.44000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'HOPITAUX DROME NORD', NULL, ''),
(1322, '2020-01-21 09:17:59', '2020-01-21 08:17:59', '2020-01-21', '2020-01-21', 600.91000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(1323, '2020-01-21 09:18:29', '2020-01-21 08:18:29', '2020-01-21', '2020-01-21', 175.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COURBIS SYNTHESES', NULL, ''),
(1324, '2020-01-21 09:23:34', '2020-01-21 08:23:34', '2020-01-21', '2020-01-21', -4480.64000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1325, '2020-01-21 09:24:23', '2020-01-21 08:24:23', '2020-01-21', '2020-01-21', -6000.00000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1326, '2020-01-22 10:24:50', '2020-01-22 09:24:50', '2020-01-22', '2020-01-22', 1751.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'VIGNE FRERES', NULL, ''),
(1327, '2020-01-31 02:53:18', '2020-01-31 01:53:18', '2020-01-31', '2020-01-31', 223.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'HOPITAUX DROME NORD', NULL, ''),
(1328, '2020-01-31 02:54:32', '2020-01-31 01:54:32', '2020-01-31', '2020-01-31', 1142.64000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FACEO FM CENTRE EST', NULL, ''),
(1329, '2020-01-31 02:55:52', '2020-01-31 01:55:52', '2020-01-31', '2020-01-31', 2306.59000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PRISME MECA', NULL, ''),
(1330, '2020-02-05 03:10:30', '2020-02-05 02:10:30', '2020-02-05', '2020-02-05', 229.13000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'JEGOU Industrie', NULL, ''),
(1331, '2020-02-05 03:12:06', '2020-02-05 02:12:06', '2020-02-05', '2020-02-05', 615.25000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'GUICHARD RODAGE', NULL, ''),
(1332, '2020-02-05 03:13:34', '2020-02-05 02:13:34', '2020-02-05', '2020-02-05', 890.12000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'HUILERIE DE CHAMBARAND', NULL, ''),
(1333, '2020-02-05 03:19:56', '2020-02-05 02:19:56', '2020-02-05', '2020-02-05', 3770.32000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'KERRY INGREDIENTS France SAS', NULL, ''),
(1334, '2020-02-05 03:22:10', '2020-02-05 02:22:10', '2020-02-05', '2020-02-05', 981.43000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FCA', NULL, ''),
(1335, '2020-02-10 11:30:35', '2020-02-10 10:30:35', '2020-02-10', '2020-02-10', -3737.22000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1336, '2020-02-10 11:34:00', '2020-02-10 10:34:00', '2020-02-10', '2020-02-10', -2775.11000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1337, '2020-02-10 12:06:39', '2020-02-10 11:06:39', '2020-02-10', '2020-02-10', 4875.66000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SRM', NULL, ''),
(1338, '2020-02-11 17:57:11', '2020-02-11 16:57:11', '2020-02-11', '2020-02-11', 81.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SCIERIE DE LA VALLEE DU DOUX', NULL, ''),
(1339, '2020-02-12 09:19:01', '2020-02-12 08:19:01', '2020-02-12', '2020-02-12', 265.32000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'POLLIEN MENUISERIE', NULL, ''),
(1340, '2020-02-12 09:19:42', '2020-02-13 15:26:58', '2020-02-12', '2020-02-12', 844.15000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 92, NULL, 'AMR', NULL, ''),
(1341, '2020-02-12 09:20:14', '2020-02-13 15:26:58', '2020-02-12', '2020-02-12', 1651.63000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 92, NULL, 'COP', NULL, ''),
(1342, '2020-02-12 09:20:50', '2020-02-13 15:26:58', '2020-02-12', '2020-02-12', 2097.52000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 92, NULL, 'FROMAGERIE ALPINE', NULL, ''),
(1343, '2020-02-12 09:21:29', '2020-02-13 15:26:58', '2020-02-12', '2020-02-12', 670.34000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 92, NULL, 'RENE BOIS', NULL, ''),
(1344, '2020-02-12 09:21:59', '2020-02-13 15:26:58', '2020-02-12', '2020-02-12', 650.11000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 92, NULL, 'PLATEFORME38', NULL, ''),
(1345, '2020-02-13 09:25:57', '2020-02-13 08:25:57', '2020-02-13', '2020-02-13', 1469.41000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MPG', NULL, ''),
(1346, '2020-02-17 08:09:42', '2020-02-17 07:09:43', '2020-02-17', '2020-02-17', 1781.79000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SIBELCO', NULL, ''),
(1347, '2020-02-17 08:10:19', '2020-02-17 07:10:19', '2020-02-17', '2020-02-17', 600.91000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(1348, '2020-02-17 08:10:53', '2020-02-17 14:01:34', '2020-02-17', '2020-02-17', 760.71000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 93, NULL, 'BARBIER', NULL, ''),
(1349, '2020-02-18 11:05:21', '2020-02-18 10:05:21', '2020-02-18', '2020-02-18', 912.66000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'REBORN SAFETY SAS', NULL, ''),
(1350, '2020-02-18 11:06:15', '2020-02-18 10:06:15', '2020-02-18', '2020-02-18', 9842.65000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EXSTO', NULL, ''),
(1351, '2020-02-18 11:08:27', '2020-02-18 10:08:27', '2020-02-18', '2020-02-18', 498.74000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SORALEP', NULL, ''),
(1352, '2020-02-20 13:25:14', '2020-02-20 12:25:14', '2020-02-20', '2020-02-20', 816.45000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(1353, '2020-02-20 16:27:27', '2020-02-20 15:53:52', '2020-02-20', '2020-02-20', 2971.79000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 94, NULL, 'SMS', NULL, ''),
(1354, '2020-02-20 16:27:57', '2020-02-20 15:53:52', '2020-02-20', '2020-02-20', 407.21000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 94, NULL, 'COP', NULL, ''),
(1355, '2020-02-20 16:28:35', '2020-02-20 15:53:52', '2020-02-20', '2020-02-20', 8892.32000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 94, NULL, 'Faravelon Ludovic', NULL, ''),
(1356, '2020-02-20 16:32:37', '2020-02-20 15:32:37', '2020-02-20', '2020-02-20', 364.68000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'AIR BEL - DIVISION DE S.A. BEL AIR', NULL, ''),
(1357, '2020-02-21 09:56:04', '2020-02-21 08:56:04', '2020-02-21', '2020-02-21', -4973.99000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1358, '2020-02-21 09:58:39', '2020-02-21 08:58:39', '2020-02-21', '2020-02-21', -3788.53000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1359, '2020-02-21 10:02:18', '2020-02-21 09:02:18', '2020-02-21', '2020-02-21', -55.29000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(1360, '2020-02-21 11:40:32', '2020-02-21 10:40:32', '2020-02-21', '2020-02-21', 64.55000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'I-d-e-e-m Ginot', NULL, ''),
(1361, '2020-02-24 15:53:44', '2020-02-24 14:53:44', '2020-02-24', '2020-02-24', 2518.21000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FACEO FM CENTRE EST', NULL, ''),
(1362, '2020-02-24 15:54:22', '2020-02-24 14:54:22', '2020-02-24', '2020-02-24', 494.23000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DETFI-FLIGHT 38', NULL, ''),
(1363, '2020-02-26 09:26:09', '2020-02-26 14:02:35', '2020-02-26', '2020-02-26', 7536.96000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 95, NULL, 'SUP', NULL, ''),
(1364, '2020-02-26 09:36:09', '2020-02-26 08:36:09', '2020-02-26', '2020-02-26', 434.73000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CEF polymeres', NULL, ''),
(1365, '2020-02-26 09:37:29', '2020-02-26 08:37:29', '2020-02-26', '2020-02-26', -3446.62000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(1366, '2020-02-26 09:40:38', '2020-02-26 08:40:38', '2020-01-13', '2020-01-13', 12960.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MMD', NULL, ''),
(1367, '2020-02-27 15:44:36', '2020-02-27 14:44:36', '2020-02-27', '2020-02-27', 447.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BOURBON AUTOMOTIVE PLASTICS', NULL, ''),
(1368, '2020-02-27 15:45:24', '2020-02-27 14:45:24', '2020-02-27', '2020-02-27', 371.95000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SASU EPIDAURE 26', NULL, ''),
(1369, '2020-02-27 15:46:10', '2020-02-27 14:46:10', '2020-02-27', '2020-02-27', 1483.46000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ACIERIES DE BONPERTUIS', NULL, ''),
(1370, '2020-02-27 15:47:02', '2020-02-27 14:47:02', '2020-02-27', '2020-02-27', 667.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1371, '2020-02-28 10:36:27', '2020-02-28 09:36:27', '2020-02-28', '2020-02-28', 2335.68000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LOCAVERRE', NULL, ''),
(1372, '2020-03-02 09:42:57', '2020-03-02 08:42:57', '2020-03-02', '2020-03-02', 654.01000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'C.I.M.S. DE LA BIEVRE', NULL, ''),
(1373, '2020-03-02 09:43:26', '2020-03-02 08:43:26', '2020-03-02', '2020-03-02', 813.44000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ASPI 3000', NULL, ''),
(1374, '2020-03-02 09:43:58', '2020-03-02 08:43:58', '2020-03-02', '2020-03-02', 397.73000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EPOXY3000', NULL, ''),
(1375, '2020-03-02 09:46:42', '2020-03-02 08:46:42', '2020-03-02', '2020-03-02', 894.04000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'IDEC SAS', NULL, ''),
(1376, '2020-03-02 09:47:16', '2020-03-02 08:47:16', '2020-03-02', '2020-03-02', 688.79000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PODIS', NULL, ''),
(1377, '2020-03-03 10:13:22', '2020-03-03 09:13:22', '2020-03-03', '2020-03-03', 2026.67000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BERNARD ROYAL DAUPHINE', NULL, ''),
(1378, '2020-03-03 10:14:04', '2020-03-03 09:14:04', '2020-03-03', '2020-03-03', 688.34000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DROME ARDECHE INDUSTRIE BTP', NULL, ''),
(1379, '2020-03-05 13:45:45', '2020-03-05 12:45:45', '2020-03-05', '2020-03-05', 716.45000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LES JAMBONS DE L\'HERMITAGE', NULL, ''),
(1380, '2020-03-05 13:46:31', '2020-03-05 12:46:31', '2020-03-05', '2020-03-05', 7982.01000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EBS 26', NULL, ''),
(1381, '2020-03-05 13:48:17', '2020-03-05 12:48:17', '2020-03-05', '2020-03-05', -777.05000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1382, '2020-03-05 13:49:36', '2020-03-05 12:49:36', '2020-03-05', '2020-03-05', -1114.35000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1383, '2020-03-06 10:13:15', '2020-03-06 09:13:15', '2020-03-06', '2020-03-06', 253.50000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BOURBON AUTOMOTIVE PLASTICS', NULL, ''),
(1384, '2020-03-06 10:15:12', '2020-03-06 10:05:51', '2020-03-06', '2020-03-06', 427.56000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 96, NULL, 'SIBILLE OUTILLAGE', NULL, ''),
(1385, '2020-03-09 08:40:29', '2020-03-09 07:40:29', '2020-03-09', '2020-03-09', 4059.36000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CDS BULLE VERTE', NULL, ''),
(1386, '2020-03-10 09:29:15', '2020-03-10 08:29:15', '2020-03-10', '2020-03-10', 2155.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CI CARROSSIER CONSTRUCTEUR', NULL, ''),
(1387, '2020-03-11 10:26:17', '2020-03-11 09:26:17', '2020-03-11', '2020-03-11', 1053.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'AMR', NULL, ''),
(1388, '2020-03-11 10:26:59', '2020-03-11 09:26:59', '2020-03-11', '2020-03-11', 2172.28000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ETS RICHARD PONTVERT ET CIE (Paraboot)', NULL, ''),
(1389, '2020-03-11 10:27:35', '2020-03-11 09:27:35', '2020-03-11', '2020-03-11', 1335.12000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MOULINAGES DE LA GALAURE', NULL, ''),
(1390, '2020-03-11 10:29:41', '2020-03-11 09:29:41', '2020-03-11', '2020-03-11', 772.46000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FACEO FM CENTRE EST', NULL, ''),
(1391, '2020-03-12 14:02:53', '2020-03-12 13:02:53', '2020-03-12', '2020-03-12', 658.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BRICE GUILLON', NULL, ''),
(1392, '2020-03-13 09:55:22', '2020-03-13 08:55:22', '2020-03-13', '2020-03-13', 1416.78000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'GOASDUFF SUD EST', NULL, ''),
(1393, '2020-03-13 09:55:50', '2020-03-13 08:55:50', '2020-03-13', '2020-03-13', 0.01000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'GOASDUFF SUD EST', NULL, ''),
(1394, '2020-03-16 10:51:11', '2020-03-16 09:51:11', '2020-03-16', '2020-03-16', 4271.42000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SIBELCO', NULL, ''),
(1395, '2020-03-16 10:52:09', '2020-03-16 09:52:09', '2020-03-16', '2020-03-16', 3902.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'HUILERIE DE CHAMBARAND', NULL, ''),
(1396, '2020-03-16 10:52:39', '2020-03-16 09:52:39', '2020-03-16', '2020-03-16', 3240.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BEILLARD TUBES CARTON', NULL, ''),
(1397, '2020-03-16 10:53:50', '2020-03-16 09:53:50', '2020-03-16', '2020-03-16', 1980.76000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'IDEC SAS', NULL, ''),
(1398, '2020-03-17 11:48:55', '2020-03-17 10:48:55', '2020-03-17', '2020-03-17', 1456.56000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PIERRE PUILLET SIGNALETIQUE', NULL, ''),
(1399, '2020-03-17 11:49:33', '2020-03-17 10:49:33', '2020-03-17', '2020-03-17', 645.92000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ORPPA', NULL, ''),
(1400, '2020-03-17 11:51:45', '2020-03-17 10:51:45', '2020-03-17', '2020-03-17', 989.79000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CIBOX', NULL, ''),
(1401, '2020-03-18 10:12:54', '2020-03-18 09:12:54', '2020-03-18', '2020-03-18', 64.02000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EXSTO', NULL, ''),
(1402, '2020-03-19 09:59:29', '2020-03-19 08:59:29', '2020-03-19', '2020-03-19', 272.15000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(1403, '2020-03-24 10:41:16', '2020-03-24 09:41:16', '2020-03-24', '2020-03-24', 1755.76000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FACEO FM CENTRE EST', NULL, ''),
(1404, '2020-03-25 09:35:30', '2020-03-25 08:35:30', '2020-03-25', '2020-03-25', 1962.07000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1405, '2020-03-25 09:37:19', '2020-03-25 08:37:19', '2020-03-25', '2020-03-25', -4722.61000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1406, '2020-03-26 09:53:48', '2020-03-26 08:53:48', '2020-03-26', '2020-03-26', 680.34000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DEVES', NULL, ''),
(1407, '2020-03-31 10:11:12', '2020-03-31 08:11:12', '2020-03-31', '2020-03-31', 340.30000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'M22', NULL, ''),
(1408, '2020-03-31 10:11:44', '2020-03-31 08:11:44', '2020-03-31', '2020-03-31', 923.72000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EUROVIA DALA', NULL, ''),
(1409, '2020-04-01 10:17:40', '2020-04-01 08:17:40', '2020-04-01', '2020-04-01', 342.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'HDC LAMOTTE', NULL, ''),
(1410, '2020-04-01 10:18:11', '2020-04-01 08:18:11', '2020-04-01', '2020-04-01', 64.66000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'GOASDUFF SUD EST', NULL, ''),
(1411, '2020-04-01 10:18:56', '2020-04-01 08:18:56', '2020-04-01', '2020-04-01', 93.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COLLADELLO', NULL, ''),
(1412, '2020-04-02 09:56:20', '2020-04-02 07:56:20', '2020-04-02', '2020-04-02', 3117.19000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(1413, '2020-04-02 09:58:34', '2020-04-02 07:58:34', '2020-04-02', '2020-04-02', -5836.98000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1414, '2020-04-02 10:00:50', '2020-04-02 08:00:50', '2020-04-02', '2020-04-02', -4430.45000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1415, '2020-04-03 09:24:45', '2020-04-03 07:24:45', '2020-04-03', '2020-04-03', 471.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ORPPA', NULL, ''),
(1416, '2020-04-03 09:25:29', '2020-04-03 07:25:29', '2020-04-03', '2020-04-03', 526.41000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DUMG', NULL, ''),
(1417, '2020-04-03 09:26:19', '2020-04-03 07:26:19', '2020-04-03', '2020-04-03', 1791.16000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COOPERATIVE LA DAUPHINOISE', NULL, ''),
(1418, '2020-04-03 09:26:54', '2020-04-17 12:23:32', '2020-04-03', '2020-04-03', 474.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 97, NULL, 'SRA ( froid & climatisation', NULL, ''),
(1419, '2020-04-03 09:27:36', '2020-04-17 12:23:32', '2020-04-03', '2020-04-03', 988.05000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 97, NULL, 'Faravelon Agencement', NULL, ''),
(1420, '2020-04-06 09:46:59', '2020-04-06 07:46:59', '2020-04-06', '2020-04-06', 671.85000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'C.T.D. DE MONTELIMAR', NULL, ''),
(1421, '2020-04-06 09:48:08', '2020-04-06 07:48:08', '2020-04-06', '2020-04-06', 40.34000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DROME ARDECHE INDUSTRIE BTP', NULL, ''),
(1422, '2020-04-06 09:50:44', '2020-04-06 07:50:44', '2020-04-06', '2020-04-06', 1077.29000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CHAUSSY GOMEZ S.A.S.', NULL, ''),
(1423, '2020-04-06 09:51:54', '2020-04-06 07:51:54', '2020-04-06', '2020-04-06', 2047.78000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'KERRY INGREDIENTS France SAS', NULL, ''),
(1424, '2020-04-06 09:52:35', '2020-04-06 07:52:35', '2020-04-06', '2020-04-06', 979.56000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1425, '2020-04-06 10:22:57', '2020-04-06 08:22:57', '2020-04-06', '2020-04-06', 1705.90000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MODELAGE CONCEPT SARL', NULL, ''),
(1426, '2020-04-06 10:23:32', '2020-04-06 08:23:32', '2020-04-06', '2020-04-06', 2061.52000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SASU EPIDAURE 26', NULL, ''),
(1427, '2020-04-06 10:24:50', '2020-04-06 08:24:50', '2020-04-06', '2020-04-06', 1514.39000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MMD', NULL, ''),
(1428, '2020-04-08 08:57:34', '2020-04-08 06:57:34', '2020-04-08', '2020-04-08', 367.86000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MOLTENI GRPE ELECTROLUX SAS', NULL, ''),
(1429, '2020-04-08 08:58:35', '2020-04-08 06:58:35', '2020-04-08', '2020-04-08', -900.00000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1430, '2020-04-09 10:00:01', '2020-04-09 08:00:01', '2020-04-09', '2020-04-09', 78.72000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'AIR PN', NULL, ''),
(1431, '2020-04-10 11:58:59', '2020-04-10 09:58:59', '2020-04-10', '2020-04-10', 109.01000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SARL CARROSSERIE RIGNOL', NULL, ''),
(1432, '2020-04-15 09:21:41', '2020-04-15 07:21:41', '2020-04-15', '2020-04-15', 288.02000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'INNODEC', NULL, ''),
(1433, '2020-04-16 14:04:01', '2020-04-16 12:04:01', '2020-04-16', '2020-04-16', 3421.42000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EXSTO', NULL, ''),
(1434, '2020-04-16 14:04:35', '2020-04-16 12:04:35', '2020-04-16', '2020-04-16', 278.71000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MICHAL PREFA', NULL, ''),
(1435, '2020-04-16 14:05:36', '2020-04-17 12:23:32', '2020-04-16', '2020-04-16', 214.91000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 97, NULL, 'COLLADELLO', NULL, ''),
(1436, '2020-04-16 14:05:59', '2020-04-17 12:23:32', '2020-04-16', '2020-04-16', 527.10000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 97, NULL, 'EARL TIRON ( FRUITS & LEGUMES )', NULL, ''),
(1437, '2020-04-17 12:14:11', '2020-04-17 10:14:11', '2020-04-17', '2020-04-17', 6725.78000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COOPERATIVE LA DAUPHINOISE', NULL, ''),
(1438, '2020-04-20 10:19:27', '2020-04-20 08:19:27', '2020-04-20', '2020-04-20', 3236.88000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CIBOX', NULL, ''),
(1439, '2020-04-20 10:20:07', '2020-04-20 08:20:07', '2020-04-20', '2020-04-20', 1948.81000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'Delmonico Dorel CARRIERES', NULL, ''),
(1440, '2020-04-21 13:29:23', '2020-04-21 11:29:23', '2020-04-21', '2020-04-21', 800.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CHAUSSY GOMEZ S.A.S.', NULL, ''),
(1441, '2020-04-21 13:29:49', '2020-04-21 11:29:49', '2020-04-21', '2020-04-21', 3167.26000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LUBRILOG', NULL, ''),
(1442, '2020-04-22 09:23:43', '2020-04-22 07:23:43', '2020-04-22', '2020-04-22', 5496.71000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1443, '2020-04-22 09:24:14', '2020-04-22 07:24:14', '2020-04-22', '2020-04-22', 602.84000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DESMET', NULL, ''),
(1444, '2020-04-22 09:25:00', '2020-04-22 07:25:00', '2020-04-22', '2020-04-22', 967.58000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TIBA', NULL, ''),
(1445, '2020-04-22 09:25:30', '2020-04-22 07:25:30', '2020-04-22', '2020-04-22', 631.68000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DESGRANGES SARL', NULL, ''),
(1446, '2020-04-23 14:16:03', '2020-04-23 12:16:03', '2020-04-23', '2020-04-23', 63.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MACONNERIE ROSE PAUL', NULL, ''),
(1447, '2020-04-24 14:15:30', '2020-04-24 12:15:30', '2020-04-24', '2020-04-24', 258.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ACI SAS', NULL, ''),
(1448, '2020-04-27 09:21:09', '2020-04-27 07:21:09', '2020-04-27', '2020-04-27', 2297.15000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SCI JERONICO', NULL, ''),
(1449, '2020-04-28 09:22:02', '2020-04-28 07:22:02', '2020-04-28', '2020-04-28', -92.64000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(1450, '2020-04-28 09:22:44', '2020-04-28 07:22:44', '2020-04-28', '2020-04-28', 2063.61000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'HUILERIE DE CHAMBARAND', NULL, ''),
(1451, '2020-04-28 09:30:45', '2020-04-28 07:30:45', '2020-04-28', '2020-04-28', -2939.14000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1452, '2020-04-29 09:24:51', '2020-04-29 07:24:51', '2020-04-29', '2020-04-29', 4500.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'HUILERIE DE CHAMBARAND', NULL, ''),
(1453, '2020-04-30 12:12:41', '2020-06-18 14:11:31', '2020-04-30', '2020-04-30', 378.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 98, NULL, 'DESIGNOLLE Helene', NULL, ''),
(1454, '2020-04-30 12:13:14', '2020-06-18 14:11:31', '2020-04-30', '2020-04-30', 63.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 98, NULL, 'BEAUTE NATURE INSTITUT', NULL, ''),
(1455, '2020-04-30 12:13:46', '2020-06-18 14:11:31', '2020-04-30', '2020-04-30', 132.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 98, NULL, 'DZ OPTIQUE', NULL, ''),
(1456, '2020-04-30 12:14:13', '2020-06-18 14:11:31', '2020-04-30', '2020-04-30', 173.11000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 98, NULL, 'SMS', NULL, ''),
(1457, '2020-04-30 12:14:40', '2020-04-30 10:14:40', '2020-04-30', '2020-04-30', 517.02000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'Les Volaillers du Dauphiné - CAPAG', NULL, ''),
(1458, '2020-04-30 12:15:16', '2020-04-30 10:15:16', '2020-04-30', '2020-04-30', 580.06000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'GOASDUFF SUD EST', NULL, ''),
(1459, '2020-04-30 12:15:42', '2020-04-30 10:15:42', '2020-04-30', '2020-04-30', 956.12000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PONCIN', NULL, ''),
(1460, '2020-05-04 16:19:30', '2020-05-04 14:19:30', '2020-05-04', '2020-05-04', 271.66000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'NORHAM', NULL, ''),
(1461, '2020-05-04 16:20:13', '2020-05-04 14:20:13', '2020-05-04', '2020-05-04', 2088.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COOPERATIVE LA DAUPHINOISE', NULL, ''),
(1462, '2020-05-04 16:20:45', '2020-05-04 14:20:45', '2020-05-04', '2020-05-04', 2709.23000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'JT LASER', NULL, ''),
(1463, '2020-05-04 16:21:18', '2020-05-04 14:21:18', '2020-05-04', '2020-05-04', 657.92000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TIBA', NULL, ''),
(1464, '2020-05-04 16:21:45', '2020-05-04 14:21:45', '2020-05-04', '2020-05-04', 804.86000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EOVI HANDICAP', NULL, ''),
(1465, '2020-05-04 16:22:14', '2020-05-04 14:22:14', '2020-05-04', '2020-05-04', 1676.15000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EPOXY3000', NULL, ''),
(1466, '2020-05-04 16:22:55', '2020-05-04 14:22:55', '2020-05-04', '2020-05-04', 1983.25000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PSI', NULL, ''),
(1467, '2020-05-04 16:23:29', '2020-05-04 14:23:29', '2020-05-04', '2020-05-04', 1886.47000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COVAL', NULL, ''),
(1468, '2020-05-05 09:50:45', '2020-05-05 07:50:45', '2020-05-05', '2020-05-05', 494.88000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MMD', NULL, ''),
(1469, '2020-05-05 09:51:31', '2020-05-05 07:51:31', '2020-05-05', '2020-05-05', 1352.88000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'HOPITAUX DROME NORD', NULL, ''),
(1470, '2020-05-05 09:52:25', '2020-05-05 07:52:25', '2020-05-05', '2020-05-05', 12960.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MMD', NULL, ''),
(1471, '2020-05-05 09:53:37', '2020-05-05 07:53:37', '2020-05-05', '2020-05-05', -487.18000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1472, '2020-05-05 09:56:07', '2020-05-05 07:56:07', '2020-05-05', '2020-05-05', -3316.82000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1473, '2020-05-05 09:56:53', '2020-05-05 07:56:53', '2020-05-05', '2020-05-05', -281.86000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1474, '2020-05-05 09:58:02', '2020-05-05 07:58:02', '2020-05-05', '2020-05-05', -3856.10000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1475, '2020-05-07 16:46:59', '2020-05-07 14:46:59', '2020-05-07', '2020-05-07', 1097.52000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BAXTER INJECTION', NULL, ''),
(1476, '2020-05-12 10:05:07', '2020-05-12 08:05:07', '2020-05-12', '2020-05-12', 635.54000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BOURBON AUTOMOTIVE PLASTICS', NULL, ''),
(1477, '2020-05-13 10:12:59', '2020-05-13 08:12:59', '2020-05-13', '2020-05-13', 515.42000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'REBORN SAFETY SAS', NULL, ''),
(1478, '2020-05-13 10:13:33', '2020-06-18 14:11:31', '2020-05-13', '2020-05-13', 56.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 98, NULL, 'MARTIN JUAN', NULL, ''),
(1479, '2020-05-13 10:14:05', '2020-06-18 14:11:31', '2020-05-13', '2020-05-13', 126.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 98, NULL, 'ABYSSE', NULL, ''),
(1480, '2020-05-13 10:14:37', '2020-06-18 14:11:31', '2020-05-13', '2020-05-13', 302.85000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 98, NULL, 'GAEC DE LA HAUTE GALAURE', NULL, ''),
(1481, '2020-05-13 10:15:11', '2020-06-18 14:11:31', '2020-05-13', '2020-05-13', 33.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 98, NULL, 'BAGALU', NULL, ''),
(1482, '2020-05-14 14:00:31', '2020-05-14 12:00:31', '2020-05-14', '2020-05-14', 3360.08000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FACEO FM CENTRE EST', NULL, ''),
(1483, '2020-05-14 14:01:11', '2020-05-14 12:01:11', '2020-05-14', '2020-05-14', -6000.00000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1484, '2020-05-15 09:08:54', '2020-05-15 07:08:54', '2020-05-15', '2020-05-15', 1486.32000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1485, '2020-05-15 09:09:20', '2020-05-15 07:09:20', '2020-05-15', '2020-05-15', 69.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SARL TPF', NULL, ''),
(1486, '2020-05-19 09:42:23', '2020-05-19 07:42:23', '2020-05-19', '2020-05-19', 9000.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PRISME MECA', NULL, ''),
(1487, '2020-05-19 09:43:06', '2020-05-19 07:43:06', '2020-05-19', '2020-05-19', 3303.51000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EXSTO THERMOPLASTICS', NULL, ''),
(1488, '2020-05-19 09:43:57', '2020-05-19 07:43:57', '2020-05-19', '2020-05-19', 392.62000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CI CARROSSIER CONSTRUCTEUR', NULL, ''),
(1489, '2020-05-20 12:06:59', '2020-05-20 10:06:59', '2020-05-20', '2020-05-20', 56.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'LIQ', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1490, '2020-05-20 12:07:46', '2020-05-20 10:07:46', '2020-05-20', '2020-05-20', 1278.97000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MGEN Action Sanitaire et Social', NULL, ''),
(1491, '2020-05-26 09:03:03', '2020-06-18 14:11:31', '2020-05-26', '2020-05-26', 4040.04000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 98, NULL, 'CROS PERE ET FILS 07 DESAIGNES', NULL, ''),
(1492, '2020-05-26 09:25:07', '2020-05-26 07:25:07', '2020-05-26', '2020-05-26', 104.04000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BOURBON AUTOMOTIVE PLASTICS', NULL, ''),
(1493, '2020-05-26 09:26:26', '2020-05-26 07:26:26', '2020-05-26', '2020-05-26', 600.91000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(1494, '2020-05-26 09:28:53', '2020-05-26 07:28:53', '2020-05-26', '2020-05-26', 262.37000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'GUICHARD RODAGE', NULL, ''),
(1495, '2020-05-26 09:30:32', '2020-05-26 07:30:32', '2020-05-26', '2020-05-26', 5216.09000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EXSTO', NULL, ''),
(1496, '2020-05-28 09:36:30', '2020-06-18 14:11:31', '2020-05-28', '2020-05-28', 305.11000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 98, NULL, 'NEGOMETAL', NULL, ''),
(1497, '2020-05-28 09:42:50', '2020-05-28 07:42:50', '2020-05-28', '2020-05-28', 438.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CM HYDROTECH', NULL, ''),
(1498, '2020-05-29 09:51:08', '2020-05-29 07:51:08', '2020-05-29', '2020-05-29', 273.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TRANSALP', NULL, ''),
(1499, '2020-05-29 09:51:39', '2020-05-29 07:51:39', '2020-05-29', '2020-05-29', 252.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MAIRIE DE CHARMES', NULL, ''),
(1500, '2020-05-29 09:52:12', '2020-05-29 07:52:12', '2020-05-29', '2020-05-29', 2376.69000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PRISME MECA', NULL, '');
INSERT INTO `llx_bank` (`rowid`, `datec`, `tms`, `datev`, `dateo`, `amount`, `label`, `fk_account`, `fk_user_author`, `fk_user_rappro`, `fk_type`, `num_releve`, `num_chq`, `rappro`, `note`, `fk_bordereau`, `banque`, `emetteur`, `author`, `numero_compte`) VALUES
(1501, '2020-05-29 09:52:56', '2020-06-18 14:11:31', '2020-05-29', '2020-05-29', 1105.58000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 98, NULL, 'CIRAM SAS', NULL, ''),
(1502, '2020-05-29 09:53:40', '2020-06-18 14:11:31', '2020-05-29', '2020-05-29', 1867.77000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 98, NULL, 'FIGUET MECANIQUE SARL', NULL, ''),
(1503, '2020-05-29 09:54:14', '2020-06-18 14:11:31', '2020-05-29', '2020-05-29', 1103.86000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 98, NULL, 'MENUISERIE MARION', NULL, ''),
(1504, '2020-06-02 16:12:40', '2020-06-02 14:12:40', '2020-06-02', '2020-06-02', 2659.15000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'GIRAUD-DELAY CONSTRUCTIONS METALLIQUES', NULL, ''),
(1505, '2020-06-02 16:13:45', '2020-06-02 14:13:45', '2020-06-02', '2020-06-02', -6009.60000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1506, '2020-06-02 16:15:17', '2020-06-02 14:15:17', '2020-06-02', '2020-06-02', -4099.64000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1507, '2020-06-03 09:03:53', '2020-06-03 07:03:53', '2020-06-03', '2020-06-03', 290.35000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SASU EPIDAURE 26', NULL, ''),
(1508, '2020-06-03 09:04:33', '2020-06-03 07:04:33', '2020-06-03', '2020-06-03', 2577.39000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FCA', NULL, ''),
(1509, '2020-06-03 09:05:04', '2020-06-03 07:05:04', '2020-06-03', '2020-06-03', 600.91000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(1510, '2020-06-03 09:05:45', '2020-06-03 07:05:45', '2020-06-03', '2020-06-03', 7770.36000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CEF polymeres', NULL, ''),
(1511, '2020-06-03 09:06:42', '2020-06-03 07:06:42', '2020-06-03', '2020-06-03', 756.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, '40-30 site de seysinnet pariset', NULL, ''),
(1512, '2020-06-03 09:07:20', '2020-06-03 07:07:20', '2020-06-03', '2020-06-03', 1715.79000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COOPERATIVE LA DAUPHINOISE', NULL, ''),
(1513, '2020-06-03 09:07:54', '2020-06-03 07:07:54', '2020-06-03', '2020-06-03', 9472.22000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CDS BULLE VERTE', NULL, ''),
(1514, '2020-06-03 09:09:19', '2020-06-03 07:09:19', '2020-06-03', '2020-06-03', -3794.36000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1515, '2020-06-03 09:10:27', '2020-06-03 07:10:27', '2020-06-03', '2020-06-03', -2641.59000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1516, '2020-06-08 09:57:56', '2020-06-18 14:11:31', '2020-06-08', '2020-06-08', 681.04000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 98, NULL, 'AST', NULL, ''),
(1517, '2020-06-08 09:58:43', '2020-06-18 14:11:31', '2020-06-08', '2020-06-08', 63.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 98, NULL, 'SARL AQUIFORE', NULL, ''),
(1518, '2020-06-08 09:59:10', '2020-06-18 14:11:31', '2020-06-08', '2020-06-08', 258.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 98, NULL, 'SAS MHV', NULL, ''),
(1519, '2020-06-09 15:57:44', '2020-06-09 13:57:44', '2020-06-09', '2020-06-09', 1025.57000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DROME PACK', NULL, ''),
(1520, '2020-06-10 09:52:52', '2020-06-10 07:52:52', '2020-06-10', '2020-06-10', 10461.39000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BEILLARD TUBES CARTON', NULL, ''),
(1521, '2020-06-10 10:02:21', '2020-06-10 08:02:21', '2020-06-10', '2020-06-10', 1178.99000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MPG', NULL, ''),
(1522, '2020-06-10 10:02:51', '2020-06-10 08:02:51', '2020-06-10', '2020-06-10', 2313.04000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(1523, '2020-06-10 10:22:26', '2020-06-18 14:11:31', '2020-06-10', '2020-06-10', 75.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 98, NULL, 'SARL BERARD TP', NULL, ''),
(1524, '2020-06-10 10:22:58', '2020-06-18 14:11:31', '2020-06-10', '2020-06-10', 151.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 98, NULL, 'AMR', NULL, ''),
(1525, '2020-06-11 16:17:57', '2020-06-11 14:17:57', '2020-06-11', '2020-06-11', 211.42000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CI CARROSSIER CONSTRUCTEUR', NULL, ''),
(1526, '2020-06-11 16:18:38', '2020-06-18 14:11:31', '2020-06-11', '2020-06-11', 443.11000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 98, NULL, 'LES TRACOLS', NULL, ''),
(1527, '2020-06-12 10:57:17', '2020-06-12 08:57:17', '2020-06-12', '2020-06-12', 1764.11000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'VALLET FRERES (SARL)', NULL, ''),
(1528, '2020-06-15 12:15:54', '2020-06-15 10:15:54', '2020-06-15', '2020-06-15', 459.40000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ROTOMOD', NULL, ''),
(1529, '2020-06-15 12:16:24', '2020-06-18 14:11:31', '2020-06-15', '2020-06-15', 63.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 98, NULL, 'ROCHE CARRELAGE', NULL, ''),
(1530, '2020-06-16 10:10:50', '2020-06-16 08:10:50', '2020-06-16', '2020-06-16', 5449.91000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LOCAVERRE', NULL, ''),
(1531, '2020-06-16 10:11:19', '2020-06-16 08:11:19', '2020-06-16', '2020-06-16', 1303.07000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SAS PAYEN MENUISERIE', NULL, ''),
(1532, '2020-06-16 10:11:37', '2020-06-16 08:11:37', '2020-06-16', '2020-06-16', -118.81000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(1533, '2020-06-16 10:12:23', '2020-06-18 14:11:31', '2020-06-16', '2020-06-16', 441.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 98, NULL, 'CBMA - CONCEPT BOIS MENUISERIE & ASSOCIES', NULL, ''),
(1534, '2020-06-16 10:12:46', '2020-06-16 08:12:46', '2020-06-16', '2020-06-16', -378.00000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(1535, '2020-06-19 09:59:34', '2020-06-19 07:59:34', '2020-06-19', '2020-06-19', 1888.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EXSTO', NULL, ''),
(1536, '2020-06-22 10:42:36', '2020-06-24 09:31:32', '2020-06-22', '2020-06-22', 31.65000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 99, NULL, 'CABINET JEROME CROSETTA', NULL, ''),
(1537, '2020-06-22 10:43:09', '2020-06-24 09:31:32', '2020-06-22', '2020-06-22', 494.10000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 99, NULL, 'ATELIER DES QUATRE COLLINES', NULL, ''),
(1538, '2020-06-22 10:43:42', '2020-06-22 08:43:42', '2020-06-22', '2020-06-22', 1103.41000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'HDC LAMOTTE', NULL, ''),
(1539, '2020-06-22 10:44:21', '2020-06-22 08:44:21', '2020-06-22', '2020-06-22', 1113.78000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FACEO FM CENTRE EST', NULL, ''),
(1540, '2020-06-22 10:47:16', '2020-06-22 08:47:16', '2020-06-22', '2020-06-22', 600.91000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(1541, '2020-06-23 09:53:23', '2020-06-23 07:53:23', '2020-06-23', '2020-06-23', 258.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SAMM', NULL, ''),
(1542, '2020-06-23 09:54:37', '2020-06-23 07:54:37', '2020-06-23', '2020-06-23', 273.92000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(1543, '2020-06-23 09:55:14', '2020-06-23 07:55:14', '2020-06-23', '2020-06-23', 881.51000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'OMEXOM NDT Engineering & Services', NULL, ''),
(1544, '2020-06-24 11:59:22', '2020-06-24 09:59:22', '2020-06-24', '2020-06-24', 1086.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ROTOMOD', NULL, ''),
(1545, '2020-06-25 16:35:18', '2020-06-29 06:46:12', '2020-06-25', '2020-06-25', 3060.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 100, NULL, 'RENE BOIS', NULL, ''),
(1546, '2020-06-26 10:19:40', '2020-06-26 08:19:40', '2020-06-26', '2020-06-26', 1080.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ATEM-Agencement', NULL, ''),
(1547, '2020-06-29 10:49:06', '2020-06-29 08:49:06', '2020-06-29', '2020-06-29', 3177.87000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'HUILERIE DE CHAMBARAND', NULL, ''),
(1548, '2020-06-29 10:49:44', '2020-06-29 13:57:24', '2020-06-29', '2020-06-29', 1302.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 101, NULL, 'NEGOMETAL', NULL, ''),
(1549, '2020-06-30 10:55:49', '2020-06-30 08:55:49', '2020-06-30', '2020-06-30', 2926.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EPOXY3000', NULL, ''),
(1550, '2020-06-30 10:56:38', '2020-06-30 08:56:38', '2020-06-30', '2020-06-30', 16252.01000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DETFI-FLIGHT 38', NULL, ''),
(1551, '2020-06-30 10:57:47', '2020-06-30 08:57:47', '2020-06-30', '2020-06-30', 6475.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EIFFAGE ROUTE CENTRE EST', NULL, ''),
(1552, '2020-07-01 13:27:13', '2020-07-01 11:27:13', '2020-07-01', '2020-07-01', 1927.35000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LYON BISCUIT (ESAL)', NULL, ''),
(1553, '2020-07-01 13:27:42', '2020-07-01 11:27:42', '2020-07-01', '2020-07-01', 336.91000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TIBA', NULL, ''),
(1554, '2020-07-01 13:28:13', '2020-07-01 11:28:13', '2020-07-01', '2020-07-01', 1492.92000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'VALFORMES', NULL, ''),
(1555, '2020-07-01 13:28:40', '2020-07-01 11:28:40', '2020-07-01', '2020-07-01', 768.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EPOXY3000', NULL, ''),
(1556, '2020-07-01 13:29:14', '2020-07-01 11:29:14', '2020-07-01', '2020-07-01', 2567.71000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PODIS', NULL, ''),
(1557, '2020-07-02 13:28:07', '2020-07-02 11:28:07', '2020-07-02', '2020-07-02', 2145.12000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EOVI HANDICAP', NULL, ''),
(1558, '2020-07-02 13:30:24', '2020-07-02 11:30:24', '2020-07-02', '2020-07-02', -2727.16000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1559, '2020-07-02 13:32:24', '2020-07-02 11:32:24', '2020-07-02', '2020-07-02', -2207.46000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1560, '2020-07-06 10:39:08', '2020-07-06 08:39:08', '2020-07-06', '2020-07-06', 1195.11000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1561, '2020-07-06 10:40:42', '2020-07-06 08:40:42', '2020-07-06', '2020-07-06', 2663.63000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COOPERATIVE DAUPHINOISE', NULL, ''),
(1562, '2020-07-07 09:46:27', '2020-07-07 07:46:27', '2020-07-07', '2020-07-07', 1326.08000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ASPI 3000', NULL, ''),
(1563, '2020-07-08 10:51:54', '2020-07-08 08:51:54', '2020-07-08', '2020-07-08', 8064.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'REB Finances', NULL, ''),
(1564, '2020-07-08 10:55:43', '2020-07-15 09:22:47', '2020-07-08', '2020-07-08', 211.42000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 102, NULL, 'CARRIESCOPIC', NULL, ''),
(1565, '2020-07-08 10:57:54', '2020-07-15 09:22:47', '2020-07-08', '2020-07-08', 625.81000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 102, NULL, 'CIRAM SAS', NULL, ''),
(1566, '2020-07-09 13:50:31', '2020-07-09 11:50:31', '2020-07-09', '2020-07-09', 1195.53000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'IWATA Anest', NULL, ''),
(1567, '2020-07-09 13:51:04', '2020-07-09 11:51:04', '2020-07-09', '2020-07-09', 2533.68000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COOPERATIVE DAUPHINOISE', NULL, ''),
(1568, '2020-07-09 13:51:35', '2020-07-09 11:51:35', '2020-07-09', '2020-07-09', 1000.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'LIQ', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1569, '2020-07-09 13:52:28', '2020-07-09 11:52:28', '2020-07-09', '2020-07-09', -8823.13000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1570, '2020-07-10 13:28:38', '2020-07-15 09:22:47', '2020-07-10', '2020-07-10', 1082.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 102, NULL, 'Nasao Lavage Auto', NULL, ''),
(1571, '2020-07-16 12:13:35', '2020-07-16 10:13:35', '2020-07-16', '2020-07-16', 819.34000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MELAPRO', NULL, ''),
(1572, '2020-07-16 12:14:05', '2020-07-16 10:14:05', '2020-07-16', '2020-07-16', 558.84000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'GCS Restauration Nord drome', NULL, ''),
(1573, '2020-07-17 09:16:05', '2020-07-17 07:16:05', '2020-07-17', '2020-07-17', 1992.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'REBORN SAFETY SAS', NULL, ''),
(1574, '2020-07-17 09:16:45', '2020-07-17 07:16:45', '2020-07-17', '2020-07-17', 835.51000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'VALLET FRERES (SARL)', NULL, ''),
(1575, '2020-07-17 09:17:22', '2020-07-17 07:17:22', '2020-07-17', '2020-07-17', 3078.78000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SIBELCO', NULL, ''),
(1576, '2020-07-17 09:20:22', '2020-07-17 07:20:22', '2020-07-17', '2020-07-17', 2160.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BRASSERIE DES CUVES', NULL, ''),
(1577, '2020-07-20 09:52:48', '2020-07-20 07:52:48', '2020-07-20', '2020-07-20', 7476.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MMD', NULL, ''),
(1578, '2020-07-20 09:53:25', '2020-07-20 07:53:25', '2020-07-20', '2020-07-20', 79.24000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'NATEVA', NULL, ''),
(1579, '2020-07-21 11:14:07', '2020-07-21 09:14:07', '2020-07-21', '2020-07-21', 1387.05000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'REY FRERES', NULL, ''),
(1580, '2020-07-21 11:15:14', '2020-07-21 09:15:14', '2020-07-21', '2020-07-21', 562.46000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'AVENIR CARROSSERIE ESTRABLIN', NULL, ''),
(1581, '2020-07-24 12:03:31', '2020-07-24 10:03:31', '2020-07-24', '2020-07-24', 5039.99000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BRASSERIE DES CUVES', NULL, ''),
(1582, '2020-07-24 12:04:18', '2020-07-24 10:04:18', '2020-07-24', '2020-07-24', 1195.77000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'THX MEDICAL', NULL, ''),
(1583, '2020-07-24 12:04:47', '2020-07-24 10:04:47', '2020-07-24', '2020-07-24', -115.68000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(1584, '2020-07-24 12:05:23', '2020-07-24 10:05:23', '2020-07-24', '2020-07-24', 1487.16000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'VALLET FRERES (SARL)', NULL, ''),
(1585, '2020-07-27 16:17:10', '2020-07-27 14:17:10', '2020-07-27', '2020-07-27', 136.96000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(1586, '2020-07-28 09:05:55', '2020-07-28 07:05:55', '2020-07-28', '2020-07-28', 5371.12000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FACEO FM CENTRE EST', NULL, ''),
(1587, '2020-07-29 10:20:57', '2020-07-29 08:20:57', '2020-07-29', '2020-07-29', 1796.82000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'M22', NULL, ''),
(1588, '2020-07-30 16:41:59', '2020-08-12 13:24:00', '2020-07-30', '2020-07-30', 711.75000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 103, NULL, 'DEROUX PLANTS EURL', NULL, ''),
(1589, '2020-07-31 08:53:32', '2020-07-31 06:53:32', '2020-07-31', '2020-07-31', 516.30000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'VALLET FRERES (SARL)', NULL, ''),
(1590, '2020-07-31 08:54:00', '2020-07-31 06:54:00', '2020-07-31', '2020-07-31', 779.83000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PAVAILLER', NULL, ''),
(1591, '2020-07-31 08:54:35', '2020-07-31 06:54:35', '2020-07-31', '2020-07-31', 1724.13000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BONTOUT', NULL, ''),
(1592, '2020-07-31 08:55:07', '2020-08-12 13:24:00', '2020-07-31', '2020-07-31', 514.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 103, NULL, 'SCI JERONICO', NULL, ''),
(1593, '2020-07-31 08:55:36', '2020-08-12 13:24:00', '2020-07-31', '2020-07-31', 930.24000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 103, NULL, 'DELORME BATTANDIER', NULL, ''),
(1594, '2020-08-07 10:08:32', '2020-08-07 08:08:27', '2020-08-07', '2020-08-07', 891.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COFATEC', NULL, ''),
(1595, '2020-08-07 10:11:21', '2020-08-07 08:11:16', '2020-08-07', '2020-08-07', 616.08000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'GOASDUFF SUD EST', NULL, ''),
(1596, '2020-08-07 10:13:07', '2020-08-07 08:13:02', '2020-08-07', '2020-08-07', 562.50000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MENUISERIE BARD', NULL, ''),
(1597, '2020-08-07 10:15:23', '2020-08-07 08:15:18', '2020-08-07', '2020-08-07', 2409.34000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'JARS CERAMISTES', NULL, ''),
(1598, '2020-08-07 10:17:23', '2020-08-07 08:17:18', '2020-08-07', '2020-08-07', 600.91000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(1599, '2020-08-07 10:21:42', '2020-08-07 08:21:37', '2020-08-07', '2020-08-07', 878.08000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'Delmonico Dorel Carrieres', NULL, ''),
(1600, '2020-08-07 10:23:12', '2020-08-07 08:23:06', '2020-08-07', '2020-08-07', 1475.12000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FIGUET MECANIQUE SARL', NULL, ''),
(1601, '2020-08-07 10:24:41', '2020-08-07 08:24:35', '2020-08-07', '2020-08-07', 620.09000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SERKOL', NULL, ''),
(1602, '2020-08-07 10:26:03', '2020-08-07 08:25:57', '2020-08-07', '2020-08-07', 878.93000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DELPACK', NULL, ''),
(1603, '2020-08-07 10:29:09', '2020-08-07 08:29:04', '2020-08-07', '2020-08-07', 1069.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COP', NULL, ''),
(1604, '2020-08-07 10:30:28', '2020-08-07 08:30:22', '2020-08-07', '2020-08-07', 236.55000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'HUILERIE DE CHAMBARAND', NULL, ''),
(1605, '2020-08-07 10:31:34', '2020-08-07 08:31:29', '2020-08-07', '2020-08-07', 31.39000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'AIR PN', NULL, ''),
(1606, '2020-08-07 10:40:56', '2020-08-07 08:40:51', '2020-08-07', '2020-08-07', 17968.17000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COOPERATIVE OXYANE', NULL, ''),
(1607, '2020-08-07 10:42:20', '2020-08-07 08:42:15', '2020-08-07', '2020-08-07', 1542.94000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'RTSI', NULL, ''),
(1608, '2020-08-07 10:43:28', '2020-08-07 08:43:23', '2020-08-07', '2020-08-07', 528.90000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'AESIO SANTE SUD RHONE ALPES', NULL, ''),
(1609, '2020-08-07 10:46:17', '2020-08-07 08:46:12', '2020-08-07', '2020-08-07', 2518.21000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FACEO FM CENTRE EST', NULL, ''),
(1610, '2020-08-07 10:48:38', '2020-08-07 08:48:33', '2020-08-07', '2020-08-07', 1503.40000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FUMAS SCIERIE', NULL, ''),
(1611, '2020-08-07 10:50:08', '2020-08-07 08:50:02', '2020-08-07', '2020-08-07', 4722.36000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COVAL', NULL, ''),
(1612, '2020-08-07 10:51:11', '2020-08-12 13:24:00', '2020-08-07', '2020-08-07', 336.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 103, NULL, 'BOUYOUD TONNELLERIE', NULL, ''),
(1613, '2020-08-07 10:55:55', '2020-08-07 08:55:50', '2020-08-07', '2020-08-07', 1209.31000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TGCP MAESTRO GRANDE CUISINE', NULL, ''),
(1614, '2020-08-07 10:56:53', '2020-08-07 08:56:48', '2020-08-07', '2020-08-07', 1223.01000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'VALSOLEIL (CENTRE CONDITIONNEMENT FRUITS LEGUMES)', NULL, ''),
(1615, '2020-08-07 11:00:08', '2020-08-07 09:00:08', '2020-08-07', '2020-08-07', 446.92000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PODIS', NULL, ''),
(1616, '2020-08-07 11:23:10', '2020-08-07 09:23:05', '2020-08-07', '2020-08-07', 271.59000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DETFI -FLIGHT38', NULL, ''),
(1617, '2020-08-07 11:24:16', '2020-08-07 09:24:11', '2020-08-07', '2020-08-07', 4586.40000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'HERBORISTERIE de CHARTEUSE et du GRESIVAUDAN', NULL, ''),
(1618, '2020-08-07 11:25:23', '2020-08-07 09:25:18', '2020-08-07', '2020-08-07', 76.96000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SARL CARROSSERIE RIGNOL', NULL, ''),
(1619, '2020-08-11 16:45:29', '2020-08-11 14:45:29', '2020-08-11', '2020-08-11', 1635.93000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SARL JMBE SOLEIL', NULL, ''),
(1620, '2020-08-11 16:46:12', '2020-08-11 14:46:12', '2020-08-11', '2020-08-11', 315.06000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COURBIS SYNTHESES', NULL, ''),
(1621, '2020-08-11 16:50:33', '2020-08-11 14:50:33', '2020-08-11', '2020-08-11', -3520.00000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1622, '2020-08-11 16:52:20', '2020-08-11 14:52:20', '2020-08-11', '2020-08-11', -6439.38000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1623, '2020-08-11 16:55:22', '2020-08-11 14:55:22', '2020-08-11', '2020-08-11', -4973.95000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1624, '2020-08-11 16:56:48', '2020-08-11 14:56:48', '2020-08-11', '2020-08-11', -4036.57000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1625, '2020-08-11 16:58:05', '2020-08-11 14:58:05', '2020-08-11', '2020-08-11', -3238.06000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1626, '2020-08-12 09:39:48', '2020-08-12 07:39:48', '2020-08-12', '2020-08-12', 1525.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'VALLET FRERES (SARL)', NULL, ''),
(1627, '2020-08-13 17:01:45', '2020-08-19 09:19:28', '2020-08-13', '2020-08-13', 276.42000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 104, NULL, 'RENE BOIS', NULL, ''),
(1628, '2020-08-13 17:02:38', '2020-08-19 09:19:28', '2020-08-13', '2020-08-13', 951.95000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 104, NULL, 'FROMENT MENUISERIE', NULL, ''),
(1629, '2020-08-13 17:03:13', '2020-08-19 09:19:28', '2020-08-13', '2020-08-13', 4037.75000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 104, NULL, 'SMS', NULL, ''),
(1630, '2020-08-13 17:03:39', '2020-08-19 09:19:28', '2020-08-13', '2020-08-13', 937.15000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 104, NULL, 'FROMAGERIE ALPINE', NULL, ''),
(1631, '2020-08-17 09:58:16', '2020-08-17 07:58:16', '2020-08-17', '2020-08-17', 5160.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'Delmonico Dorel Carrieres', NULL, ''),
(1632, '2020-08-17 09:59:13', '2020-08-17 07:59:13', '2020-08-17', '2020-08-17', 1746.62000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'HERBAROM LABORATOIRE', NULL, ''),
(1633, '2020-08-18 09:20:08', '2020-08-18 07:20:08', '2020-08-18', '2020-08-18', 6342.02000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'HUILERIE DE CHAMBARAND', NULL, ''),
(1634, '2020-08-18 09:20:48', '2020-08-18 07:20:48', '2020-08-18', '2020-08-18', 21000.06000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PRISME MECA', NULL, ''),
(1635, '2020-08-18 09:21:24', '2020-08-18 07:21:24', '2020-08-18', '2020-08-18', 1499.31000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BOURBON AUTOMOTIVE PLASTICS', NULL, ''),
(1636, '2020-08-18 09:21:57', '2020-08-18 07:21:57', '2020-08-18', '2020-08-18', 1232.39000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MAFE INDUSTRIE', NULL, ''),
(1637, '2020-08-19 09:39:36', '2020-08-19 09:19:28', '2020-08-19', '2020-08-19', 284.24000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 104, NULL, 'DEROUX PLANTS EURL', NULL, ''),
(1638, '2020-08-19 09:40:11', '2020-08-19 09:19:28', '2020-08-19', '2020-08-19', 267.07000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 104, NULL, 'scierie de chambaran', NULL, ''),
(1639, '2020-08-19 09:40:49', '2020-08-19 07:40:49', '2020-08-19', '2020-08-19', 455.47000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SIBELCO', NULL, ''),
(1640, '2020-08-19 09:41:22', '2020-08-19 07:41:22', '2020-08-19', '2020-08-19', 497.09000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EXSTO', NULL, ''),
(1641, '2020-08-21 10:09:06', '2020-08-21 08:09:06', '2020-08-21', '2020-08-21', 283.71000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SARRAZIN', NULL, ''),
(1642, '2020-08-21 10:10:05', '2020-08-21 08:10:05', '2020-08-21', '2020-08-21', 136.96000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(1643, '2020-08-21 10:10:44', '2020-08-28 08:41:29', '2020-08-21', '2020-08-21', 129.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 105, NULL, 'DEMMIA', NULL, ''),
(1644, '2020-08-21 10:12:03', '2020-08-21 08:12:03', '2020-08-21', '2020-08-21', 196.32000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COURBIS SYNTHESES', NULL, ''),
(1645, '2020-08-21 11:58:38', '2020-08-21 09:58:38', '2020-08-21', '2020-08-21', -4320.00000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1646, '2020-08-27 09:18:48', '2020-08-27 07:18:48', '2020-08-27', '2020-08-27', 1051.17000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BRASSERIE PLEINE LUNE', NULL, ''),
(1647, '2020-08-27 09:19:26', '2020-08-27 07:19:26', '2020-08-27', '2020-08-27', 925.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PRECIA MOLEN', NULL, ''),
(1648, '2020-08-28 10:36:46', '2020-08-28 08:36:46', '2020-08-28', '2020-08-28', 1056.21000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'F.M.R.', NULL, ''),
(1649, '2020-08-28 10:37:21', '2020-08-28 08:41:29', '2020-08-28', '2020-08-28', 37.18000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 105, NULL, 'CLUZE Jean-Michel Garage', NULL, ''),
(1650, '2020-08-31 09:23:16', '2020-08-31 07:23:16', '2020-08-31', '2020-08-31', 432.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MODELAGE CONCEPT SARL', NULL, ''),
(1651, '2020-08-31 09:24:05', '2020-08-31 07:24:05', '2020-08-31', '2020-08-31', 1503.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DESMET', NULL, ''),
(1652, '2020-08-31 09:24:43', '2020-08-31 07:24:43', '2020-08-31', '2020-08-31', 2311.84000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ISRA', NULL, ''),
(1653, '2020-08-31 09:25:44', '2020-09-07 09:58:18', '2020-08-31', '2020-08-31', 691.63000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 106, NULL, 'GARAGE PEROLLIER (SARL) AGENT RENAULT', NULL, ''),
(1654, '2020-08-31 09:26:23', '2020-08-31 07:26:23', '2020-08-31', '2020-08-31', 1071.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LORIFRUIT', NULL, ''),
(1655, '2020-08-31 09:26:51', '2020-08-31 07:26:51', '2020-08-31', '2020-08-31', 1740.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MENUISERIE BARD', NULL, ''),
(1656, '2020-08-31 09:27:25', '2020-08-31 07:27:25', '2020-08-31', '2020-08-31', 496.61000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EPOXY3000', NULL, ''),
(1657, '2020-08-31 09:27:53', '2020-08-31 07:27:53', '2020-08-31', '2020-08-31', 1800.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ASPI 3000', NULL, ''),
(1658, '2020-09-01 10:27:17', '2020-09-01 08:27:17', '2020-09-01', '2020-09-01', 2738.58000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FACEO FM CENTRE EST', NULL, ''),
(1659, '2020-09-01 10:40:46', '2020-09-01 08:40:46', '2020-09-01', '2020-09-01', 785.30000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'RCI Cartonnage de Vaucanson', NULL, ''),
(1660, '2020-09-01 10:41:31', '2020-09-01 08:41:31', '2020-09-01', '2020-09-01', 4966.66000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BERNARD ROYAL DAUPHINE', NULL, ''),
(1661, '2020-09-01 10:42:13', '2020-09-01 08:42:13', '2020-09-01', '2020-09-01', 597.84000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'REDALUM FRANCE', NULL, ''),
(1662, '2020-09-02 13:27:02', '2020-09-02 11:27:02', '2020-09-02', '2020-09-02', 837.12000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FRANCE CAOUTCHOUC SERVICE', NULL, ''),
(1663, '2020-09-02 13:27:53', '2020-09-02 11:27:53', '2020-09-02', '2020-09-02', 2138.71000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(1664, '2020-09-02 13:28:23', '2020-09-02 11:28:23', '2020-09-02', '2020-09-02', 685.53000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COMMUNE DE LE GRAND SERRE', NULL, ''),
(1665, '2020-09-02 13:30:10', '2020-09-02 11:30:10', '2020-09-02', '2020-09-02', -6557.59000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1666, '2020-09-02 13:31:56', '2020-09-02 11:31:56', '2020-09-02', '2020-09-02', -5853.71000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1667, '2020-09-03 12:12:27', '2020-09-03 10:12:27', '2020-09-03', '2020-09-03', 417.65000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'Ajm Emballages(SARL)', NULL, ''),
(1668, '2020-09-03 12:13:04', '2020-09-03 10:13:04', '2020-09-03', '2020-09-03', 789.68000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SCIERIE DE LA VALLEE DU DOUX', NULL, ''),
(1669, '2020-09-03 12:13:33', '2020-09-03 10:13:33', '2020-09-03', '2020-09-03', 3706.41000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CDS BULLE VERTE', NULL, ''),
(1670, '2020-09-03 12:13:58', '2020-09-07 09:58:18', '2020-09-03', '2020-09-03', 203.99000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 106, NULL, 'BOUYOUD TONNELLERIE', NULL, ''),
(1671, '2020-09-03 12:14:48', '2020-09-03 10:14:48', '2020-09-03', '2020-09-03', -900.00000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1672, '2020-09-03 12:15:49', '2020-09-03 10:15:49', '2020-09-03', '2020-09-03', -1134.72000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1673, '2020-09-03 12:16:48', '2020-09-03 10:16:48', '2020-09-03', '2020-09-03', -2329.09000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1674, '2020-09-03 12:54:57', '2020-09-03 10:54:57', '2020-09-03', '2020-09-03', -4558.82000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1675, '2020-09-04 09:35:28', '2020-09-04 07:35:28', '2020-09-04', '2020-09-04', 1978.67000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MPG', NULL, ''),
(1676, '2020-09-04 09:36:04', '2020-09-04 07:36:04', '2020-09-04', '2020-09-04', 739.57000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DUMG', NULL, ''),
(1677, '2020-09-07 09:15:29', '2020-09-07 07:15:29', '2020-09-07', '2020-09-07', 888.46000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'VIGNE FRERES', NULL, ''),
(1678, '2020-09-07 09:16:08', '2020-09-07 07:16:08', '2020-09-07', '2020-09-07', 710.18000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DETFI -FLIGHT38', NULL, ''),
(1679, '2020-09-07 09:16:43', '2020-09-07 07:16:43', '2020-09-07', '2020-09-07', 210.45000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1680, '2020-09-09 11:42:14', '2020-09-09 09:42:14', '2020-09-09', '2020-09-09', 5201.75000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BAXTER INJECTION', NULL, ''),
(1681, '2020-09-10 16:09:53', '2020-09-10 14:09:53', '2020-09-10', '2020-09-10', 1318.66000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PEILLET MACH. AGRICOLES', NULL, ''),
(1682, '2020-09-10 16:10:40', '2020-09-21 13:58:15', '2020-09-10', '2020-09-10', 404.40000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 107, NULL, 'CARROSSERIE MICHEL', NULL, ''),
(1683, '2020-09-10 16:11:23', '2020-09-10 14:11:23', '2020-09-10', '2020-09-10', 677.67000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'VALLET FRERES (SARL)', NULL, ''),
(1684, '2020-09-10 16:11:54', '2020-09-10 14:11:54', '2020-09-10', '2020-09-10', 866.90000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EXSTO', NULL, ''),
(1685, '2020-09-11 10:21:25', '2020-09-11 08:21:25', '2020-09-11', '2020-09-11', 1286.70000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SICAL CELTA SAINT HILAIRE', NULL, ''),
(1686, '2020-09-11 10:21:59', '2020-09-11 08:21:59', '2020-09-11', '2020-09-11', 775.42000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SIRA', NULL, ''),
(1687, '2020-09-14 09:23:56', '2020-09-14 07:23:56', '2020-09-14', '2020-09-14', 1315.51000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SIMGA', NULL, ''),
(1688, '2020-09-14 09:24:29', '2020-09-14 07:24:29', '2020-09-14', '2020-09-14', -81.41000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(1689, '2020-09-14 09:25:01', '2020-09-14 07:25:01', '2020-09-14', '2020-09-14', 713.54000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BAGALU', NULL, ''),
(1690, '2020-09-15 16:41:46', '2020-09-15 14:41:46', '2020-09-15', '2020-09-15', 10701.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'HERBORISTERIE de CHARTEUSE et du GRESIVAUDAN', NULL, ''),
(1691, '2020-09-15 16:42:25', '2020-09-15 14:42:25', '2020-09-15', '2020-09-15', 1485.18000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SIBILLE OUTILLAGE', NULL, ''),
(1692, '2020-09-16 11:44:12', '2020-09-16 09:44:12', '2020-09-16', '2020-09-16', -306.43000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(1693, '2020-09-16 11:45:09', '2020-09-16 09:45:09', '2020-09-16', '2020-09-16', 493.51000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'Les Volaillers du Dauphiné - CAPAG', NULL, ''),
(1694, '2020-09-16 11:45:52', '2020-09-16 09:45:52', '2020-09-16', '2020-09-16', 716.83000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MICHAL PREFA', NULL, ''),
(1695, '2020-09-16 11:46:24', '2020-09-16 09:46:24', '2020-09-16', '2020-09-16', 304.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BOURBON AUTOMOTIVE PLASTICS', NULL, ''),
(1696, '2020-09-21 09:21:49', '2020-09-21 13:58:15', '2020-09-21', '2020-09-21', 759.69000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 107, NULL, 'MAGIC FEET', NULL, ''),
(1697, '2020-09-21 09:22:24', '2020-09-21 13:58:15', '2020-09-21', '2020-09-21', 843.93000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 107, NULL, 'SARL CERAMCAD', NULL, ''),
(1698, '2020-09-21 09:22:57', '2020-09-21 07:22:57', '2020-09-21', '2020-09-21', 3771.52000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'KERRY INGREDIENTS France SAS', NULL, ''),
(1699, '2020-09-21 09:23:27', '2020-09-21 07:23:27', '2020-09-21', '2020-09-21', 581.68000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'REBORN SAFETY SAS', NULL, ''),
(1700, '2020-09-21 09:24:00', '2020-09-21 07:24:00', '2020-09-21', '2020-09-21', 2520.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ATEM-Agencement', NULL, ''),
(1701, '2020-09-21 09:24:28', '2020-09-21 07:24:28', '2020-09-21', '2020-09-21', 2396.13000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CHAUSSY GOMEZ S.A.S.', NULL, ''),
(1702, '2020-09-21 09:24:57', '2020-09-21 07:24:57', '2020-09-21', '2020-09-21', 1081.76000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DETFI -FLIGHT38', NULL, ''),
(1703, '2020-09-21 09:25:26', '2020-09-21 07:25:26', '2020-09-21', '2020-09-21', 762.50000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DROME ARDECHE INDUSTRIE BTP', NULL, ''),
(1704, '2020-09-21 09:52:08', '2020-09-21 07:52:08', '2020-09-21', '2020-09-21', 1117.32000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CI CARROSSIER CONSTRUCTEUR', NULL, ''),
(1705, '2020-09-24 12:59:53', '2020-09-24 10:59:53', '2020-09-24', '2020-09-24', 4523.04000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BEILLARD TUBES CARTON', NULL, ''),
(1706, '2020-09-25 11:54:47', '2020-09-28 12:26:48', '2020-09-25', '2020-09-25', 216.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 108, NULL, 'SCI JERONICO', NULL, ''),
(1707, '2020-09-25 11:55:22', '2020-09-28 12:26:48', '2020-09-25', '2020-09-25', 231.64000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 108, NULL, 'EUROBROCHE SERVICES', NULL, ''),
(1708, '2020-09-28 09:35:41', '2020-09-28 07:35:41', '2020-09-28', '2020-09-28', 618.52000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'Chaudira', NULL, ''),
(1709, '2020-09-28 09:36:31', '2020-09-28 07:36:31', '2020-09-28', '2020-09-28', 10161.75000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MECELEC Composites', NULL, ''),
(1710, '2020-09-29 09:18:44', '2020-09-29 07:18:44', '2020-09-29', '2020-09-29', 806.28000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EIFFAGE ROUTE CENTRE EST', NULL, ''),
(1711, '2020-09-29 09:19:13', '2020-09-29 07:19:13', '2020-09-29', '2020-09-29', 49.81000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FACEO FM CENTRE EST', NULL, ''),
(1712, '2020-09-30 08:58:58', '2020-09-30 06:58:58', '2020-09-30', '2020-09-30', 2167.16000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PLATEFORME38', NULL, ''),
(1713, '2020-09-30 08:59:43', '2020-10-12 08:55:37', '2020-09-30', '2020-09-30', 1616.06000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 109, NULL, 'scierie de chambaran', NULL, ''),
(1714, '2020-09-30 09:00:43', '2020-09-30 07:00:43', '2020-09-30', '2020-09-30', 4355.54000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COOPENOIX SOC COOP AGRIC', NULL, ''),
(1715, '2020-09-30 09:01:23', '2020-09-30 07:01:23', '2020-09-30', '2020-09-30', -4355.54000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(1716, '2020-10-01 13:14:29', '2020-10-01 11:14:29', '2020-10-01', '2020-10-01', 1888.16000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TRUCKS SOLUTIONS ST VALLIER', NULL, ''),
(1717, '2020-10-01 13:15:12', '2020-10-01 11:15:12', '2020-10-01', '2020-10-01', 3120.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PRSE', NULL, ''),
(1718, '2020-10-01 13:15:41', '2020-10-01 11:15:41', '2020-10-01', '2020-10-01', 1114.12000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COSTECHARAYRE (groupe ALPENA)', NULL, ''),
(1719, '2020-10-01 13:16:14', '2020-10-01 11:16:14', '2020-10-01', '2020-10-01', 1747.91000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'INNODEC', NULL, ''),
(1720, '2020-10-01 13:16:42', '2020-10-01 11:16:42', '2020-10-01', '2020-10-01', 701.10000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SASU EPIDAURE 26', NULL, ''),
(1721, '2020-10-01 13:17:06', '2020-10-01 11:17:06', '2020-10-01', '2020-10-01', 600.91000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(1722, '2020-10-01 13:17:42', '2020-10-01 11:17:42', '2020-10-01', '2020-10-01', 11005.64000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EPOXY3000', NULL, ''),
(1723, '2020-10-01 13:18:09', '2020-10-01 11:18:09', '2020-10-01', '2020-10-01', 208.32000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FUMAS SCIERIE', NULL, ''),
(1724, '2020-10-05 09:54:46', '2020-10-05 07:54:46', '2020-10-05', '2020-10-05', 122.94000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'Ferrand Loreille Tp', NULL, ''),
(1725, '2020-10-05 09:56:48', '2020-10-05 07:56:48', '2020-10-05', '2020-10-05', 1491.31000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1726, '2020-10-05 10:00:33', '2020-10-05 08:00:33', '2020-10-05', '2020-10-05', -1239.10000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1727, '2020-10-05 10:02:00', '2020-10-05 08:02:00', '2020-10-05', '2020-10-05', -5877.00000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1728, '2020-10-05 10:03:05', '2020-10-05 08:03:05', '2020-10-05', '2020-10-05', -1835.17000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1729, '2020-10-05 10:04:51', '2020-10-05 08:04:51', '2020-10-05', '2020-10-05', -7076.93000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1730, '2020-10-07 09:04:56', '2020-10-12 08:55:37', '2020-10-07', '2020-10-07', 1642.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 109, NULL, 'FROMAGERIE ALPINE', NULL, ''),
(1731, '2020-10-07 09:05:37', '2020-10-12 08:55:37', '2020-10-07', '2020-10-07', 2082.78000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 109, NULL, 'SMS', NULL, ''),
(1732, '2020-10-07 09:06:18', '2020-10-12 08:55:37', '2020-10-07', '2020-10-07', 819.71000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 109, NULL, 'C DENTAL - LE LABO', NULL, ''),
(1733, '2020-10-08 11:53:47', '2020-10-08 09:53:47', '2020-10-08', '2020-10-08', 0.01000000, '(CustomerInvoicePayment)', 2, 5, NULL, 'LIQ', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1734, '2020-10-12 09:37:09', '2020-10-12 07:37:09', '2020-10-12', '2020-10-12', 346.22000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CEF polymeres', NULL, ''),
(1735, '2020-10-12 09:42:45', '2020-10-12 07:42:45', '2020-10-12', '2020-10-12', 25.15000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EARL DES VARILLES', NULL, ''),
(1736, '2020-10-12 09:43:13', '2020-10-12 07:43:13', '2020-10-12', '2020-10-12', 2030.68000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'OMEXOM NDT Engineering & Services', NULL, ''),
(1737, '2020-10-12 09:43:46', '2020-10-12 07:43:46', '2020-10-12', '2020-10-12', 1452.13000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MOBIDECOR', NULL, ''),
(1738, '2020-10-12 09:44:26', '2020-10-12 07:44:26', '2020-10-12', '2020-10-12', 7177.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'RS Motoculture et Bonin', NULL, ''),
(1739, '2020-10-12 09:45:01', '2020-10-12 08:55:37', '2020-10-12', '2020-10-12', 595.18000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 109, NULL, 'GARAGE PHEBY CITROEN', NULL, ''),
(1740, '2020-10-16 10:26:33', '2020-10-16 08:26:33', '2020-10-16', '2020-10-16', 4815.29000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COOPENOIX SOC COOP AGRIC', NULL, ''),
(1741, '2020-10-16 10:27:06', '2020-10-16 08:27:06', '2020-10-16', '2020-10-16', -134.34000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(1742, '2020-10-16 10:28:36', '2020-10-16 08:28:36', '2020-10-16', '2020-10-16', 587.50000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'AK CENTRE AUTO PIECES 26', NULL, ''),
(1743, '2020-10-16 10:29:06', '2020-10-16 08:29:06', '2020-10-16', '2020-10-16', 339.43000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EXSTO THERMOPLASTICS', NULL, ''),
(1744, '2020-10-16 10:29:41', '2020-10-16 08:29:41', '2020-10-16', '2020-10-16', 1499.93000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BOURBON AUTOMOTIVE PLASTICS', NULL, ''),
(1745, '2020-10-16 10:30:08', '2020-10-16 08:30:08', '2020-10-16', '2020-10-16', 944.57000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SAS PROCYL COLORS', NULL, ''),
(1746, '2020-10-16 10:30:38', '2020-10-16 08:30:38', '2020-10-16', '2020-10-16', 2702.12000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ACIERIES DE BONPERTUIS', NULL, ''),
(1747, '2020-10-16 10:31:19', '2020-10-16 08:31:19', '2020-10-16', '2020-10-16', 216.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SCI JERONICO', NULL, '');
INSERT INTO `llx_bank` (`rowid`, `datec`, `tms`, `datev`, `dateo`, `amount`, `label`, `fk_account`, `fk_user_author`, `fk_user_rappro`, `fk_type`, `num_releve`, `num_chq`, `rappro`, `note`, `fk_bordereau`, `banque`, `emetteur`, `author`, `numero_compte`) VALUES
(1748, '2020-10-16 10:31:54', '2020-10-16 08:31:54', '2020-10-16', '2020-10-16', 259.15000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TOP SEMENCE', NULL, ''),
(1749, '2020-10-20 08:53:05', '2020-10-20 06:53:05', '2020-10-20', '2020-10-20', 2281.46000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'KERRY INGREDIENTS France SAS', NULL, ''),
(1750, '2020-10-21 09:37:04', '2020-10-21 07:37:04', '2020-10-21', '2020-10-21', 1234.05000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MOLTENI GRPE ELECTROLUX SAS', NULL, ''),
(1751, '2020-10-23 09:02:56', '2020-10-29 13:20:20', '2020-10-23', '2020-10-23', 2291.66000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 110, NULL, 'DEBIONNE (Société d\'Emballage)', NULL, ''),
(1752, '2020-10-26 09:19:20', '2020-10-26 08:19:20', '2020-10-26', '2020-10-26', 1818.05000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TELENCO', NULL, ''),
(1753, '2020-10-26 09:19:52', '2020-10-26 08:19:52', '2020-10-26', '2020-10-26', 1750.78000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DEVES', NULL, ''),
(1754, '2020-10-28 16:55:49', '2020-10-28 15:55:49', '2020-10-28', '2020-10-28', 2147.46000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EPOXY3000', NULL, ''),
(1755, '2020-10-28 16:56:28', '2020-10-28 15:56:28', '2020-10-28', '2020-10-28', 3276.95000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PRISME MECA', NULL, ''),
(1756, '2020-10-28 16:56:59', '2020-10-28 15:56:59', '2020-10-28', '2020-10-28', 720.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'Domaine Pradelle', NULL, ''),
(1757, '2020-10-29 13:28:34', '2020-10-29 12:28:34', '2020-10-29', '2020-10-29', 294.18000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SIBILLE OUTILLAGE', NULL, ''),
(1758, '2020-10-29 13:29:03', '2020-10-29 12:29:03', '2020-10-29', '2020-10-29', 859.62000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LUCE Hydro', NULL, ''),
(1759, '2020-10-30 12:12:28', '2020-10-30 11:12:28', '2020-10-30', '2020-10-30', 144.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'GOASDUFF SUD EST', NULL, ''),
(1760, '2020-10-30 12:12:57', '2020-11-03 13:28:59', '2020-10-30', '2020-10-30', 1047.93000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 111, NULL, 'EARL ST PIERRE', NULL, ''),
(1761, '2020-11-02 09:10:55', '2020-11-02 08:10:55', '2020-11-02', '2020-11-02', 1669.82000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'HUILERIE DE CHAMBARAND', NULL, ''),
(1762, '2020-11-02 09:11:31', '2020-11-02 08:11:31', '2020-11-02', '2020-11-02', 651.98000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'INNODEC', NULL, ''),
(1763, '2020-11-02 09:12:15', '2020-11-02 08:12:15', '2020-11-02', '2020-11-02', 850.86000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SEBM', NULL, ''),
(1764, '2020-11-02 09:12:55', '2020-11-02 08:12:55', '2020-11-02', '2020-11-02', 211.42000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COURBIS SYNTHESES', NULL, ''),
(1765, '2020-11-02 09:13:24', '2020-11-02 08:13:24', '2020-11-02', '2020-11-02', 600.91000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(1766, '2020-11-02 09:13:59', '2020-11-02 08:13:59', '2020-11-02', '2020-11-02', 775.62000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SARL JEF 38', NULL, ''),
(1767, '2020-11-02 09:22:43', '2020-11-02 08:22:43', '2020-11-02', '2020-11-02', 10976.59000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BEILLARD TUBES CARTON', NULL, ''),
(1768, '2020-11-02 09:23:30', '2020-11-02 08:23:30', '2020-11-02', '2020-11-02', 513.37000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EURL GIRAUD TURBINE', NULL, ''),
(1769, '2020-11-03 09:15:43', '2020-11-03 08:15:43', '2020-11-03', '2020-11-03', 3000.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'UDT MECA', NULL, ''),
(1770, '2020-11-03 09:16:11', '2020-11-03 08:16:11', '2020-11-03', '2020-11-03', 1171.45000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CDS BULLE VERTE', NULL, ''),
(1771, '2020-11-03 09:17:38', '2020-11-03 08:17:38', '2020-11-03', '2020-11-03', -7260.97000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1772, '2020-11-03 09:18:50', '2020-11-03 08:18:50', '2020-11-03', '2020-11-03', -5549.31000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1773, '2020-11-04 09:49:47', '2020-11-04 08:49:47', '2020-11-04', '2020-11-04', 2809.06000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'AB PRECISION', NULL, ''),
(1774, '2020-11-04 09:51:25', '2020-11-05 08:33:01', '2020-11-04', '2020-11-04', 714.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 112, NULL, 'Habrard Christophe & Catherine', NULL, ''),
(1775, '2020-11-04 09:51:58', '2020-11-05 08:33:01', '2020-11-04', '2020-11-04', 2999.99000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 112, NULL, 'DELORME BATTANDIER', NULL, ''),
(1776, '2020-11-05 11:30:38', '2020-11-05 10:30:38', '2020-11-05', '2020-11-05', 23347.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SAVAJOLS SAS', NULL, ''),
(1777, '2020-11-05 11:31:15', '2020-11-05 10:31:15', '2020-11-05', '2020-11-05', 666.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1778, '2020-11-05 11:31:43', '2020-11-05 10:31:43', '2020-11-05', '2020-11-05', 736.84000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'PRE', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1779, '2020-11-05 11:34:17', '2020-11-05 10:34:17', '2020-11-05', '2020-11-05', -3054.09000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1780, '2020-11-05 11:35:32', '2020-11-05 10:35:32', '2020-11-05', '2020-11-05', -1485.80000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1781, '2020-11-06 09:15:11', '2020-11-06 08:15:11', '2020-11-06', '2020-11-06', -4437.80000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1782, '2020-11-06 09:16:31', '2020-11-06 08:16:31', '2020-11-06', '2020-11-06', -4398.08000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1783, '2020-11-09 09:16:30', '2020-11-09 08:16:30', '2020-11-09', '2020-11-09', 1352.65000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TRANSALP', NULL, ''),
(1784, '2020-11-09 09:17:14', '2020-11-09 08:17:14', '2020-11-09', '2020-11-09', 761.95000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TRANSFOPLAST', NULL, ''),
(1785, '2020-11-09 09:17:46', '2020-11-09 08:17:46', '2020-11-09', '2020-11-09', 1405.81000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'IMPRIMERIE DEVAL', NULL, ''),
(1786, '2020-11-09 09:18:19', '2020-11-09 08:18:19', '2020-11-09', '2020-11-09', 1033.53000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SARL BERARD TP', NULL, ''),
(1787, '2020-11-12 09:11:41', '2020-11-12 08:11:41', '2020-11-12', '2020-11-12', 657.92000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TIBA', NULL, ''),
(1788, '2020-11-13 09:05:45', '2020-11-19 08:32:16', '2020-11-13', '2020-11-13', 745.48000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 113, NULL, 'CARROSSERIE MICHEL', NULL, ''),
(1789, '2020-11-13 09:06:56', '2020-11-13 08:06:56', '2020-11-13', '2020-11-13', 273.92000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(1790, '2020-11-16 09:12:35', '2020-11-16 08:12:35', '2020-11-16', '2020-11-16', 600.91000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(1791, '2020-11-16 09:13:18', '2020-11-16 08:13:18', '2020-11-16', '2020-11-16', 1131.45000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SIBELCO', NULL, ''),
(1792, '2020-11-16 09:14:01', '2020-11-16 08:14:01', '2020-11-16', '2020-11-16', 922.55000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TENA BUTTY', NULL, ''),
(1793, '2020-11-17 09:42:12', '2020-11-17 08:42:12', '2020-11-17', '2020-11-17', 2494.28000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EXSTO', NULL, ''),
(1794, '2020-11-17 09:42:42', '2020-11-17 08:42:42', '2020-11-17', '2020-11-17', 517.44000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ACIERIES DE BONPERTUIS', NULL, ''),
(1795, '2020-11-17 09:43:10', '2020-11-17 08:43:10', '2020-11-17', '2020-11-17', 555.68000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SORALEP', NULL, ''),
(1796, '2020-11-17 09:43:36', '2020-11-17 08:43:36', '2020-11-17', '2020-11-17', 58.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'RS Motoculture et Bonin', NULL, ''),
(1797, '2020-11-20 09:50:31', '2020-11-20 08:50:31', '2020-11-20', '2020-11-20', 392.52000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BOURBON AUTOMOTIVE PLASTICS', NULL, ''),
(1798, '2020-11-20 09:51:07', '2020-11-20 08:51:07', '2020-11-20', '2020-11-20', 280.82000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MPG', NULL, ''),
(1799, '2020-11-20 09:51:52', '2020-11-20 08:51:52', '2020-11-20', '2020-11-20', 365.76000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'Gardner Denver ( division Compair )', NULL, ''),
(1800, '2020-11-20 09:53:00', '2020-11-20 08:53:00', '2020-11-20', '2020-11-20', 1126.13000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TOP SEMENCE', NULL, ''),
(1801, '2020-11-20 09:53:39', '2020-11-20 08:53:39', '2020-11-20', '2020-11-20', 994.70000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'Transports TRAS', NULL, ''),
(1802, '2020-11-20 09:54:22', '2020-11-20 08:54:22', '2020-11-20', '2020-11-20', 798.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CECIM DAUPHINE', NULL, ''),
(1803, '2020-11-20 09:54:52', '2020-11-23 14:35:21', '2020-11-20', '2020-11-20', 793.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 114, NULL, 'GARAGE ASP', NULL, ''),
(1804, '2020-11-20 09:55:26', '2020-11-23 14:35:21', '2020-11-20', '2020-11-20', 486.61000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 114, NULL, 'FROMAGERIE ALPINE', NULL, ''),
(1805, '2020-11-20 10:43:56', '2020-11-20 09:43:56', '2020-11-20', '2020-11-20', 136.96000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(1806, '2020-11-20 10:44:59', '2020-11-20 09:44:59', '2020-11-20', '2020-11-20', 136.96000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(1807, '2020-11-23 11:18:03', '2020-11-23 10:18:03', '2020-11-23', '2020-11-23', 3762.85000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SARRAZIN', NULL, ''),
(1808, '2020-11-23 11:19:25', '2020-11-23 10:19:25', '2020-11-23', '2020-11-23', 3170.92000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CROS PERE ET FILS 07 DESAIGNES', NULL, ''),
(1809, '2020-11-24 10:38:51', '2020-11-24 09:38:51', '2020-11-24', '2020-11-24', 1722.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CTMG', NULL, ''),
(1810, '2020-11-25 09:55:45', '2020-11-25 08:55:45', '2020-11-25', '2020-11-25', 804.67000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'RCR PRODUCTION FRANCE', NULL, ''),
(1811, '2020-11-25 09:56:20', '2020-11-25 08:56:20', '2020-11-25', '2020-11-25', 812.71000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PLATEFORME38', NULL, ''),
(1812, '2020-11-26 13:15:27', '2020-11-26 12:15:27', '2020-11-26', '2020-11-26', 528.50000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SAS PAYEN MENUISERIE', NULL, ''),
(1813, '2020-11-27 08:58:09', '2020-11-27 07:58:09', '2020-11-27', '2020-11-27', 3240.06000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CROS PERE ET FILS 07 DESAIGNES', NULL, ''),
(1814, '2020-11-30 09:56:31', '2020-11-30 08:56:31', '2020-11-30', '2020-11-30', 1320.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'REDALUM FRANCE', NULL, ''),
(1815, '2020-11-30 09:57:12', '2020-11-30 08:57:12', '2020-11-30', '2020-11-30', 1161.76000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'HDC LAMOTTE', NULL, ''),
(1816, '2020-11-30 09:57:40', '2020-11-30 08:57:40', '2020-11-30', '2020-11-30', 1484.75000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'Les Volaillers du Dauphiné - CAPAG', NULL, ''),
(1817, '2020-11-30 09:58:11', '2020-11-30 08:58:11', '2020-11-30', '2020-11-30', 1727.04000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'GARAGE ASP', NULL, ''),
(1818, '2020-11-30 09:58:47', '2020-11-30 08:58:47', '2020-11-30', '2020-11-30', 2547.48000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'HOPITAUX DROME NORD', NULL, ''),
(1819, '2020-11-30 09:59:24', '2020-11-30 10:31:44', '2020-11-30', '2020-11-30', 897.48000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 115, NULL, 'CARRIESCOPIC', NULL, ''),
(1820, '2020-12-01 09:51:54', '2020-12-01 08:51:54', '2020-12-01', '2020-12-01', 681.77000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TRUCKS SOLUTIONS VIENNE CHASSE SUR RHONE', NULL, ''),
(1821, '2020-12-01 09:52:34', '2020-12-01 08:52:34', '2020-12-01', '2020-12-01', 891.43000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TRUCKS SOLUTIONS ST VALLIER', NULL, ''),
(1822, '2020-12-01 09:53:34', '2020-12-01 08:53:34', '2020-12-01', '2020-12-01', -258.47000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(1823, '2020-12-01 09:55:51', '2020-12-01 08:55:51', '2020-12-01', '2020-12-01', -676.79000000, '(CustomerInvoicePaymentBack)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SFACS Industrie', NULL, ''),
(1824, '2020-12-01 09:56:15', '2020-12-01 08:56:15', '2020-12-01', '2020-12-01', 676.79000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'S.L.C.D', NULL, ''),
(1825, '2020-12-02 09:16:35', '2020-12-02 08:16:35', '2020-12-02', '2020-12-02', 101.28000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'AIR PN', NULL, ''),
(1826, '2020-12-02 09:17:54', '2020-12-02 08:17:54', '2020-12-02', '2020-12-02', 718.22000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'INSOFT', NULL, ''),
(1827, '2020-12-07 11:54:00', '2020-12-07 10:54:00', '2020-12-07', '2020-12-07', 1109.28000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'JARS CERAMISTES', NULL, ''),
(1828, '2020-12-07 11:54:39', '2020-12-07 10:54:39', '2020-12-07', '2020-12-07', 9803.99000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MMD', NULL, ''),
(1829, '2020-12-07 11:55:14', '2020-12-09 09:31:03', '2020-12-07', '2020-12-07', 3000.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 116, NULL, 'DELORME BATTANDIER', NULL, ''),
(1830, '2020-12-07 11:56:28', '2020-12-07 10:56:28', '2020-12-07', '2020-12-07', -2252.23000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1831, '2020-12-07 11:57:17', '2020-12-07 10:57:17', '2020-12-07', '2020-12-07', -3053.14000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1832, '2020-12-07 11:58:24', '2020-12-07 10:58:24', '2020-12-07', '2020-12-07', -5057.33000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1833, '2020-12-08 09:39:41', '2020-12-08 08:39:41', '2020-12-08', '2020-12-08', 8642.08000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'RAVIOLES DU DAUPHIN', NULL, ''),
(1834, '2020-12-08 09:43:19', '2020-12-08 08:43:19', '2020-12-08', '2020-12-08', 52.84000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MELWYN BOUCHUT', NULL, ''),
(1835, '2020-12-10 09:24:56', '2020-12-10 08:24:56', '2020-12-10', '2020-12-10', -3066.59000000, '(CustomerInvoicePaymentBack)', 2, 5, NULL, 'CB', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1836, '2020-12-10 10:09:21', '2020-12-10 09:09:21', '2020-12-10', '2020-12-10', 178.82000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'VALINCO', NULL, ''),
(1837, '2020-12-15 09:13:53', '2020-12-15 08:13:53', '2020-12-15', '2020-12-15', 199.78000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'AMR', NULL, ''),
(1838, '2020-12-15 09:21:41', '2020-12-15 08:21:41', '2020-12-15', '2020-12-15', 2264.62000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'NATURAMOLE', NULL, ''),
(1839, '2020-12-15 09:49:12', '2020-12-15 08:49:12', '2020-12-15', '2020-12-15', 1164.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 0, NULL, 'BRARD JP & LAGUILLE ANNIE', NULL, ''),
(1840, '2020-12-16 10:04:08', '2020-12-16 09:04:08', '2020-12-16', '2020-12-16', 600.91000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(1841, '2020-12-16 10:04:52', '2020-12-16 09:04:52', '2020-12-16', '2020-12-16', 3897.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CIBOX', NULL, ''),
(1842, '2020-12-16 10:07:32', '2020-12-16 09:07:32', '2020-12-16', '2020-12-16', 173.62000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MTS', NULL, ''),
(1843, '2020-12-18 13:14:35', '2020-12-18 12:14:35', '2020-12-18', '2020-12-18', 13537.61000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CDS BULLE VERTE', NULL, ''),
(1844, '2020-12-21 10:28:42', '2020-12-21 09:28:42', '2020-12-21', '2020-12-21', 23710.76000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MECELEC Composites', NULL, ''),
(1845, '2020-12-21 10:29:19', '2020-12-21 09:29:19', '2020-12-21', '2020-12-21', 1062.35000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SCIERIE DE LA VALLEE DU DOUX', NULL, ''),
(1846, '2020-12-21 10:29:59', '2020-12-21 09:29:59', '2020-12-21', '2020-12-21', 1245.83000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'AB PRECISION', NULL, ''),
(1847, '2020-12-21 10:30:38', '2020-12-21 09:30:38', '2020-12-21', '2020-12-21', 1374.54000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ROMANAISE DE LA CHAUSSURE CLERGERIE', NULL, ''),
(1848, '2020-12-22 16:05:20', '2020-12-22 15:05:20', '2020-12-22', '2020-12-22', 777.39000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CMS CONCEPT METAL SERVICE', NULL, ''),
(1849, '2020-12-24 09:14:43', '2020-12-24 08:14:43', '2020-12-24', '2020-12-24', 768.83000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MENUISERIE ROCHEGUE', NULL, ''),
(1850, '2020-12-24 09:15:41', '2020-12-24 08:15:41', '2020-12-24', '2020-12-24', 8059.31000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 0, NULL, 'CROS PERE ET FILS 07 DESAIGNES', NULL, ''),
(1851, '2020-12-28 10:37:34', '2020-12-28 09:37:34', '2020-12-28', '2020-12-28', 4921.89000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FACEO FM CENTRE EST', NULL, ''),
(1852, '2020-12-28 10:38:02', '2020-12-28 09:38:02', '2020-12-28', '2020-12-28', 1020.07000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'RAVIOLES DU DAUPHIN', NULL, ''),
(1853, '2020-12-28 10:38:27', '2020-12-28 09:38:27', '2020-12-28', '2020-12-28', 531.24000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DEVES', NULL, ''),
(1854, '2020-12-30 09:09:24', '2020-12-30 08:09:24', '2020-12-30', '2020-12-30', 2744.12000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PODIS', NULL, ''),
(1855, '2020-12-30 09:12:11', '2020-12-30 08:12:11', '2020-12-30', '2020-12-30', 342.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'HDC LAMOTTE', NULL, ''),
(1856, '2020-12-30 09:12:52', '2020-12-30 08:12:52', '2020-12-30', '2020-12-30', 3329.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PSI', NULL, ''),
(1857, '2020-12-30 09:13:23', '2020-12-30 08:13:23', '2020-12-30', '2020-12-30', 558.43000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PLATEFORME38', NULL, ''),
(1858, '2020-12-31 10:13:11', '2020-12-31 09:13:11', '2020-12-31', '2020-12-31', 122.50000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'RENNER GMBH KOMPRESSOREN', NULL, ''),
(1859, '2020-12-31 10:13:58', '2020-12-31 09:13:58', '2020-12-31', '2020-12-31', 998.48000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CDS BULLE VERTE', NULL, ''),
(1860, '2020-12-31 10:15:06', '2020-12-31 09:15:06', '2020-12-31', '2020-12-31', 4056.25000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MIXT COMPOSITES RECYCLABLES', NULL, ''),
(1861, '2020-12-31 10:15:46', '2020-12-31 09:15:46', '2020-12-31', '2020-12-31', 204.44000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PONCIN', NULL, ''),
(1862, '2020-12-31 10:16:34', '2020-12-31 09:16:34', '2020-12-31', '2020-12-31', 1462.67000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BEILLARD TUBES CARTON', NULL, ''),
(1863, '2020-12-31 10:17:15', '2020-12-31 09:17:15', '2020-12-31', '2020-12-31', 1186.32000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'NAVYA', NULL, ''),
(1864, '2021-01-04 10:19:39', '2021-01-04 09:19:39', '2021-01-04', '2021-01-04', 5865.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SORALEP', NULL, ''),
(1865, '2021-01-04 10:20:18', '2021-01-04 09:20:18', '2021-01-04', '2021-01-04', 205.65000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'GARAGE PEROLLIER (SARL) AGENT RENAULT', NULL, ''),
(1866, '2021-01-04 10:20:45', '2021-01-04 09:20:45', '2021-01-04', '2021-01-04', 634.46000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'JARS CERAMISTES', NULL, ''),
(1867, '2021-01-05 12:03:34', '2021-01-05 11:03:34', '2021-01-05', '2021-01-05', 21349.08000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PSI', NULL, ''),
(1868, '2021-01-05 12:04:02', '2021-01-05 11:04:02', '2021-01-05', '2021-01-05', 631.10000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'INNODEC', NULL, ''),
(1869, '2021-01-05 12:05:00', '2021-01-05 11:05:00', '2021-01-05', '2021-01-05', 5868.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TRANSFOPLAST', NULL, ''),
(1870, '2021-01-05 12:05:33', '2021-01-05 11:05:33', '2021-01-05', '2021-01-05', 402.48000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TRUCKS SOLUTIONS ST VALLIER', NULL, ''),
(1871, '2021-01-05 12:08:28', '2021-01-05 11:08:28', '2021-01-05', '2021-01-05', -9149.40000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1872, '2021-01-05 12:10:17', '2021-01-05 11:10:17', '2021-01-05', '2021-01-05', -6200.58000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1873, '2021-01-06 09:37:56', '2021-01-06 08:37:56', '2021-01-06', '2021-01-06', 659.20000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SEBM SUD(Société Exploitation des Bétons Martel Sud)', NULL, ''),
(1874, '2021-01-06 09:38:37', '2021-01-06 08:38:37', '2021-01-06', '2021-01-06', 288.02000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COURBIS SYNTHESES', NULL, ''),
(1875, '2021-01-06 09:39:49', '2021-01-06 08:39:49', '2021-01-06', '2021-01-06', -5431.64000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1876, '2021-01-07 13:49:44', '2021-01-07 12:49:44', '2021-01-07', '2021-01-07', 7847.04000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'REALEASE CAPITAL', NULL, ''),
(1877, '2021-01-07 13:50:14', '2021-01-07 12:50:14', '2021-01-07', '2021-01-07', 110.28000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DUMG', NULL, ''),
(1878, '2021-01-11 09:19:27', '2021-01-11 08:19:27', '2021-01-07', '2021-01-07', 592.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'AMS-Assistance Maintenance Service', NULL, ''),
(1879, '2021-01-11 10:13:47', '2021-01-11 09:13:47', '2021-01-11', '2021-01-11', 143.59000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 0, NULL, 'CINTRALP', NULL, ''),
(1880, '2021-01-12 12:02:45', '2021-01-12 11:02:45', '2021-01-12', '2021-01-12', 746.28000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'ispack', NULL, ''),
(1881, '2021-01-13 11:54:47', '2021-01-13 10:54:47', '2021-01-13', '2021-01-13', 654.88000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TRUCKS SOLUTIONS ROMANS', NULL, ''),
(1882, '2021-01-13 11:55:21', '2021-01-13 10:55:21', '2021-01-13', '2021-01-13', 676.79000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'MBH INVESTISSEMENT SARL', NULL, ''),
(1883, '2021-01-13 11:56:04', '2021-01-13 10:56:04', '2021-01-13', '2021-01-13', 2606.03000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TISSAGES SAFADI RHODANIENS', NULL, ''),
(1884, '2021-01-15 16:33:24', '2021-01-15 15:33:24', '2021-01-15', '2021-01-15', 518.42000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'VIGNE FRERES', NULL, ''),
(1885, '2021-01-15 16:35:27', '2021-01-15 15:35:27', '2021-01-15', '2021-01-15', 7164.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SCI ADEN', NULL, ''),
(1886, '2021-01-18 16:45:05', '2021-01-18 15:45:05', '2021-01-18', '2021-01-18', 1133.65000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SIBELCO', NULL, ''),
(1887, '2021-01-19 09:20:40', '2021-01-19 08:20:40', '2021-01-19', '2021-01-19', 2709.23000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'JT LASER', NULL, ''),
(1888, '2021-01-19 09:22:43', '2021-01-19 08:22:43', '2021-01-19', '2021-01-19', 223.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'NAVYA', NULL, ''),
(1889, '2021-01-19 09:31:41', '2021-01-19 08:31:41', '2021-01-19', '2021-01-19', 712.54000000, '(CustomerInvoicePayment)', 2, 5, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BOURBON AUTOMOTIVE PLASTICS', NULL, ''),
(1890, '2021-01-19 09:32:21', '2021-01-19 08:32:21', '2021-01-19', '2021-01-19', 1715.52000000, '(CustomerInvoicePayment)', 2, 5, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BOURBON AUTOMOTIVE PLASTICS', NULL, ''),
(1891, '2021-01-21 11:49:46', '2021-01-21 10:49:46', '2021-01-21', '2021-01-21', 3451.65000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'REBORN SAFETY SAS', NULL, ''),
(1892, '2021-01-22 09:11:00', '2021-01-22 08:11:00', '2021-01-22', '2021-01-22', 136.96000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(1893, '2021-01-22 09:21:49', '2021-01-22 08:21:49', '2021-01-22', '2021-01-22', 136.96000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LOCAM SAS', NULL, ''),
(1894, '2021-01-25 09:07:21', '2021-01-25 08:07:21', '2021-01-25', '2021-01-25', 11446.75000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'RCR PRODUCTION FRANCE', NULL, ''),
(1895, '2021-01-27 10:40:31', '2021-01-27 09:40:31', '2021-01-27', '2021-01-27', 1448.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'GCS Restauration Nord drome', NULL, ''),
(1896, '2021-01-28 16:37:24', '2021-01-28 15:37:24', '2021-01-28', '2021-01-28', 338.27000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 0, NULL, 'DEBIONNE (Société d\'Emballage)', NULL, ''),
(1897, '2021-01-29 09:44:00', '2021-01-29 08:44:00', '2021-01-29', '2021-01-29', 2764.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FACEO FM CENTRE EST', NULL, ''),
(1898, '2021-02-01 10:17:25', '2021-02-01 09:17:25', '2021-02-01', '2021-02-01', 375.60000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'PONCIN', NULL, ''),
(1899, '2021-02-01 10:18:08', '2021-02-01 09:18:08', '2021-02-01', '2021-02-01', 707.90000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TIBA', NULL, ''),
(1900, '2021-02-01 10:18:36', '2021-02-01 09:18:36', '2021-02-01', '2021-02-01', 1683.13000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SARL JEF 38', NULL, ''),
(1901, '2021-02-01 10:19:06', '2021-02-01 09:19:06', '2021-02-01', '2021-02-01', 514.80000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BEILLARD TUBES CARTON', NULL, ''),
(1902, '2021-02-01 10:19:43', '2021-02-01 09:19:43', '2021-02-01', '2021-02-01', 218.40000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TGCP MAESTRO GRANDE CUISINE', NULL, ''),
(1903, '2021-02-01 11:58:47', '2021-02-01 10:58:47', '2021-02-01', '2021-02-01', -4036.53000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1904, '2021-02-02 15:57:44', '2021-02-02 14:57:44', '2021-02-02', '2021-02-02', 716.45000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'LES JAMBONS DE L\'HERMITAGE', NULL, ''),
(1905, '2021-02-02 15:58:23', '2021-02-02 14:58:23', '2021-02-02', '2021-02-02', 1783.86000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TRUCKS SOLUTIONS VIENNE CHASSE SUR RHONE', NULL, ''),
(1906, '2021-02-02 16:00:06', '2021-02-02 15:00:06', '2021-02-02', '2021-02-02', -9190.96000000, '(SupplierInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, ''),
(1907, '2021-02-03 12:09:44', '2021-02-03 11:09:44', '2021-02-03', '2021-02-03', 5868.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TRANSFOPLAST', NULL, ''),
(1908, '2021-02-03 12:10:30', '2021-02-03 11:10:30', '2021-02-03', '2021-02-03', 241.67000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 0, NULL, 'BOUYOUD TONNELLERIE', NULL, ''),
(1909, '2021-02-05 09:02:22', '2021-02-05 08:02:22', '2021-02-05', '2021-02-05', 1387.07000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'REY FRERES', NULL, ''),
(1910, '2021-02-05 09:03:04', '2021-02-05 08:03:04', '2021-02-05', '2021-02-05', 1229.35000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BAXTER INJECTION', NULL, ''),
(1911, '2021-02-09 08:57:11', '2021-02-09 07:57:11', '2021-02-09', '2021-02-09', 1245.83000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'AB PRECISION', NULL, ''),
(1912, '2021-02-09 08:57:44', '2021-02-09 07:57:44', '2021-02-09', '2021-02-09', 2512.22000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'TISSAGES SAFADI RHODANIENS', NULL, ''),
(1913, '2021-02-09 08:58:18', '2021-02-09 07:58:18', '2021-02-09', '2021-02-09', 298.13000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SAS PAYEN MENUISERIE', NULL, ''),
(1914, '2021-02-11 16:15:15', '2021-02-11 15:15:15', '2021-02-11', '2021-02-11', 4992.79000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'CHQ', NULL, NULL, 0, NULL, 0, NULL, 'SMS', NULL, ''),
(1915, '2021-02-15 10:02:12', '2021-02-15 09:02:12', '2021-02-15', '2021-02-15', 2518.21000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'FACEO FM CENTRE EST', NULL, ''),
(1916, '2021-02-16 09:43:19', '2021-02-16 08:43:19', '2021-02-16', '2021-02-16', 787.26000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'CIBOX', NULL, ''),
(1917, '2021-02-16 09:44:11', '2021-02-16 08:44:11', '2021-02-16', '2021-02-16', 1138.58000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SORALEP', NULL, ''),
(1918, '2021-02-16 09:49:45', '2021-02-16 08:49:45', '2021-02-16', '2021-02-16', 4417.77000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'COOPERATIVE OXYANE', NULL, ''),
(1919, '2021-02-17 15:23:03', '2021-02-17 14:23:03', '2021-02-17', '2021-02-17', 1086.42000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BOURBON AUTOMOTIVE PLASTICS', NULL, ''),
(1920, '2021-02-17 15:23:37', '2021-02-17 14:23:37', '2021-02-17', '2021-02-17', 167.40000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'Chaudira', NULL, ''),
(1921, '2021-02-19 09:40:07', '2021-02-19 08:40:07', '2021-02-19', '2021-02-19', 663.95000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'DESMET', NULL, ''),
(1922, '2021-02-19 09:41:05', '2021-02-19 08:41:05', '2021-02-19', '2021-02-19', 7864.87000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'BOURBON AUTOMOTIVE PLASTICS', NULL, ''),
(1923, '2021-02-19 09:41:33', '2021-02-19 08:41:33', '2021-02-19', '2021-02-19', 2797.50000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'SICAL CELTA SAINT HILAIRE', NULL, ''),
(1924, '2021-02-19 09:42:03', '2021-02-19 08:42:03', '2021-02-19', '2021-02-19', 1326.00000000, '(CustomerInvoicePayment)', 2, 8, NULL, 'VIR', NULL, NULL, 0, NULL, 0, NULL, 'EXSTO', NULL, '');
