
-- --------------------------------------------------------

--
-- Structure de la table `llx_commande`
--

CREATE TABLE `llx_commande` (
  `rowid` int(11) NOT NULL,
  `ref` varchar(30) NOT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `ref_ext` varchar(255) DEFAULT NULL,
  `ref_int` varchar(255) DEFAULT NULL,
  `ref_client` varchar(255) DEFAULT NULL,
  `fk_soc` int(11) NOT NULL,
  `fk_projet` int(11) DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_creation` datetime DEFAULT NULL,
  `date_valid` datetime DEFAULT NULL,
  `date_cloture` datetime DEFAULT NULL,
  `date_commande` date DEFAULT NULL,
  `fk_user_author` int(11) DEFAULT NULL,
  `fk_user_modif` int(11) DEFAULT NULL,
  `fk_user_valid` int(11) DEFAULT NULL,
  `fk_user_cloture` int(11) DEFAULT NULL,
  `source` smallint(6) DEFAULT NULL,
  `fk_statut` smallint(6) DEFAULT '0',
  `amount_ht` double(24,8) DEFAULT '0.00000000',
  `remise_percent` double DEFAULT '0',
  `remise_absolue` double DEFAULT '0',
  `remise` double DEFAULT '0',
  `tva` double(24,8) DEFAULT '0.00000000',
  `localtax1` double(24,8) DEFAULT '0.00000000',
  `localtax2` double(24,8) DEFAULT '0.00000000',
  `total_ht` double(24,8) DEFAULT '0.00000000',
  `total_ttc` double(24,8) DEFAULT '0.00000000',
  `note_private` text,
  `note_public` text,
  `model_pdf` varchar(255) DEFAULT NULL,
  `facture` tinyint(4) DEFAULT '0',
  `fk_account` int(11) DEFAULT NULL,
  `fk_currency` varchar(3) DEFAULT NULL,
  `fk_cond_reglement` int(11) DEFAULT NULL,
  `fk_mode_reglement` int(11) DEFAULT NULL,
  `date_livraison` date DEFAULT NULL,
  `fk_shipping_method` int(11) DEFAULT NULL,
  `fk_warehouse` int(11) DEFAULT NULL,
  `fk_availability` int(11) DEFAULT NULL,
  `fk_input_reason` int(11) DEFAULT NULL,
  `fk_delivery_address` int(11) DEFAULT NULL,
  `fk_incoterms` int(11) DEFAULT NULL,
  `location_incoterms` varchar(255) DEFAULT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  `extraparams` varchar(255) DEFAULT NULL,
  `fk_multicurrency` int(11) DEFAULT NULL,
  `multicurrency_code` varchar(255) DEFAULT NULL,
  `multicurrency_tx` double(24,8) DEFAULT '1.00000000',
  `multicurrency_total_ht` double(24,8) DEFAULT '0.00000000',
  `multicurrency_total_tva` double(24,8) DEFAULT '0.00000000',
  `multicurrency_total_ttc` double(24,8) DEFAULT '0.00000000',
  `last_main_doc` varchar(255) DEFAULT NULL,
  `module_source` varchar(32) DEFAULT NULL,
  `pos_source` varchar(32) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Déchargement des données de la table `llx_commande`
--

INSERT INTO `llx_commande` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_cloture`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_cloture`, `source`, `fk_statut`, `amount_ht`, `remise_percent`, `remise_absolue`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `facture`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_livraison`, `fk_shipping_method`, `fk_warehouse`, `fk_availability`, `fk_input_reason`, `fk_delivery_address`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(2, 'CO1708-0001', 1, NULL, NULL, '904295374-0-10760', 2407, NULL, '2019-01-14 09:37:07', '2017-08-21 09:37:33', '2017-08-21 09:37:42', '2019-01-14 10:37:07', '2017-08-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 131.90000000, 0.00000000, 0.00000000, 659.52000000, 791.42000000, '', 'Nous vous remercions pour votre consultation, et nous avons le plaisir de vous proposer le mat&eacute;riel suivant :', 'einstein', 1, NULL, NULL, 3, 2, NULL, 2, NULL, 3, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 659.52000000, 131.90000000, 791.42000000, NULL, NULL, NULL),
(4, 'CO1708-0002', 1, NULL, NULL, '507657', 2123, NULL, '2017-09-08 12:39:45', '2017-08-21 10:04:18', '2017-08-21 10:04:32', '2017-09-08 11:34:38', '2017-08-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 55.40000000, 0.00000000, 0.00000000, 277.00000000, 332.40000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 277.00000000, 55.40000000, 332.40000000, NULL, NULL, NULL),
(6, 'CO1708-0004', 1, NULL, NULL, NULL, 12608, NULL, '2017-08-29 07:50:06', '2017-08-21 10:22:29', '2017-08-21 10:22:55', NULL, '2017-08-21', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 860.00000000, 0.00000000, 0.00000000, 4300.00000000, 5160.00000000, 'COMPRESSSEUR PRIS SUR DEPOT VENTE', 'Installation compresseur RENNER &agrave; vis RS-PRO 7,5kw/10b', '', 1, NULL, NULL, 3, NULL, '2017-08-18', 1, NULL, 1, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4300.00000000, 860.00000000, 5160.00000000, NULL, NULL, NULL),
(8, 'CO1708-0005', 1, NULL, NULL, 'CONTRAT LISSE', 2321, NULL, '2017-09-15 08:20:05', '2017-08-21 11:24:31', '2017-08-21 11:27:18', '2017-09-15 10:19:25', '2017-08-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 157.44000000, 0.00000000, 0.00000000, 787.14000000, 944.58000000, 'CONTRAT LISE', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 787.14000000, 157.44000000, 944.58000000, NULL, NULL, NULL),
(10, 'CO1708-0006', 1, NULL, NULL, NULL, 2091, NULL, '2017-09-08 09:20:09', '2017-08-21 16:27:55', '2017-08-21 16:28:09', '2017-09-08 11:12:44', '2017-08-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1900.00000000, 0.00000000, 0.00000000, 9500.00000000, 11400.00000000, 'financement en locam', 'Ensemble compresseur L18 7.5 Bars avec installation et raccordement en air&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, 2, NULL, 4, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 9500.00000000, 1900.00000000, 11400.00000000, NULL, NULL, NULL),
(13, 'CO1708-0007', 1, NULL, NULL, NULL, 11435, NULL, '2017-08-29 09:25:17', '2017-08-22 14:35:11', '2017-08-22 14:35:19', '2017-08-22 14:36:53', '2017-08-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 42.87000000, 0.00000000, 0.00000000, 214.36000000, 257.23000000, '', 'Remplacement filtre reseau charbon actif - r&eacute;alisation des travaux en m&ecirc;me temps que le remplacement de la bague &agrave; l&eacute;vres &nbsp;prise en garantie&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 214.36000000, 42.87000000, 257.23000000, NULL, NULL, NULL),
(14, 'CO1708-0009', 1, NULL, NULL, 'REGIE - Réaménagement Local', 2064, NULL, '2017-08-23 08:59:39', '2017-08-23 10:53:44', '2017-08-23 10:58:13', '2017-08-23 10:58:34', '2017-08-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 876.03000000, 0.00000000, 0.00000000, 4380.12000000, 5256.15000000, 'EN REGIE', 'R&eacute;amenagement local technique compresseur - Remis en place Kaeser avec secheur- deplacement L80 - Armoire avec sectionneur + cable alimentation TGBT + &nbsp;Raccordement en inox 54 &amp; 42 - creation d&#39;un piquage AC pour alimentation passerelle .&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4380.12000000, 876.03000000, 5256.15000000, NULL, NULL, NULL),
(15, 'CO1708-0008', 1, NULL, NULL, NULL, 2064, NULL, '2017-08-24 10:00:52', '2017-08-23 10:53:56', '2017-08-23 10:54:04', '2017-08-23 14:58:34', '2017-08-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 876.03000000, 0.00000000, 0.00000000, 4380.12000000, 5256.15000000, 'EN REGIE', 'R&eacute;amenagement local technique compresseur - Remis en place Kaeser avec secheur- deplacement L80 - Armoire avec sectionneur + cable alimentation TGBT + &nbsp;Raccordement en inox 54 &amp; 42 - creation d&#39;un piquage AC pour alimentation passerelle .&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4380.12000000, 876.03000000, 5256.15000000, NULL, NULL, NULL),
(17, 'CO1708-0010', 1, NULL, NULL, NULL, 2352, NULL, '2017-08-24 10:00:32', '2017-08-23 11:40:39', '2017-08-23 11:40:50', '2017-08-23 15:00:07', '2017-08-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 134.31000000, 0.00000000, 0.00000000, 671.56000000, 805.87000000, '', 'Probleme compresseur L37RS N&deg; CD10019189001 &agrave; 5116 HRS - Variateur de fr&eacute;quence d&eacute;faillant pris en garantie ASSURE COMPAIR - Pr&eacute;t Gratuit d&#39;un compresseur en d&eacute;pannage ROLLAIR50', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 671.56000000, 134.31000000, 805.87000000, NULL, NULL, NULL),
(19, 'CO1708-0011', 1, NULL, NULL, 'S98117073053GG', 2054, NULL, '2017-08-23 12:57:54', '2017-08-23 14:17:37', '2017-08-23 14:17:46', '2017-08-23 14:57:54', '2017-08-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 5700.00000000, 0.00000000, 0.00000000, 28500.00000000, 34200.00000000, '', '', 'einstein', 1, NULL, NULL, 1, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 28500.00000000, 5700.00000000, 34200.00000000, NULL, NULL, NULL),
(21, 'CO1708-0012', 1, NULL, NULL, NULL, 2054, NULL, '2017-08-23 13:41:07', '2017-08-23 15:38:22', '2017-08-23 15:38:30', '2017-08-23 15:40:07', '2017-08-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 3199.99000000, 0.00000000, 0.00000000, 16000.00000000, 19199.99000000, '', 'Founiture et raccordement compresseur &agrave; vis lubrifi&eacute;e Vitesse variable L26RS COMPAIR<br />\r\nLivraison : COOPERATIVE LA DAUPHINOISE Site Sces MAIS CHEMIN DU POULOUX 38270 BEAUREPAIRE<br />\r\nCommande N&deg;S98217073052GG', 'einstein', 1, NULL, NULL, 1, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 16000.00000000, 3199.99000000, 19199.99000000, NULL, NULL, NULL),
(23, 'CO1708-0013', 1, NULL, NULL, 's98117061015', 2054, NULL, '2017-08-24 09:59:47', '2017-08-23 16:11:12', '2017-08-23 16:13:47', '2017-08-23 16:15:00', '2017-08-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 193.72000000, 0.00000000, 0.00000000, 968.55000000, 1162.27000000, '', 'Maintenance compresseur MACOSULLAIR WA3008V -<br />\r\nLivraison : COOPERATIVE DAUPHINOISE Site Sce Bl&eacute; 2 calibrage - Chemin du Pouloux 38270 BEAUREPAIRE<br />\r\nCommande N&deg; S98117061015', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 968.55000000, 193.72000000, 1162.27000000, NULL, NULL, NULL),
(25, 'CO1708-0014', 1, NULL, NULL, '2017/1', 2118, NULL, '2017-08-24 09:59:24', '2017-08-24 10:49:28', '2017-08-24 10:49:37', '2017-08-24 11:59:24', '2017-08-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 2600.00000000, 0.00000000, 0.00000000, 13000.00000000, 15600.00000000, '', 'Compresseur COMPAIR L11 &agrave; vis de 11KW 10 BARS avec filtration , s&eacute;cheur et traitement de condensats avec reprise compl&eacute;te du local', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 13000.00000000, 2600.00000000, 15600.00000000, NULL, NULL, NULL),
(27, 'CO1708-0015', 1, NULL, NULL, 'idec maintenance rs top 11', 2163, NULL, '2017-08-24 09:56:39', '2017-08-24 11:31:46', '2017-08-24 11:31:54', '2017-08-24 11:54:22', '2017-08-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 109.33000000, 0.00000000, 0.00000000, 546.63000000, 655.96000000, '', 'Maintenance compresseur RENNER RS TOP 11 N&deg; 438079 &agrave; 1793 HRS -<br />\r\nBL N&deg; 45 du 21/08/2017', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 546.63000000, 109.33000000, 655.96000000, NULL, NULL, NULL),
(29, 'CO1708-0016', 1, NULL, NULL, 'Maintenance 6020ELX', 2239, NULL, '2017-08-24 14:51:33', '2017-08-24 15:04:48', '2017-08-24 15:04:55', '2017-08-24 15:30:06', '2017-08-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 199.22000000, 0.00000000, 0.00000000, 996.14000000, 1195.36000000, '', 'Maintenance COmpresseur LUCHARD COMPAIR 6020ELX07BE &agrave; 3457 HRS et filtres reseaux<br />\r\nBL N&deg; 43 du 01/08/2017', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 996.14000000, 199.22000000, 1195.36000000, NULL, NULL, NULL),
(31, 'CO1708-0017', 1, NULL, NULL, '4800268294', 2234, NULL, '2017-08-24 14:51:22', '2017-08-24 16:00:45', '2017-08-24 16:00:50', '2017-08-24 16:51:06', '2017-08-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 455.03000000, 0.00000000, 0.00000000, 2275.12000000, 2730.15000000, '', 'Maintenance L45RS N&deg; CD10005658001 &agrave; 48395 HRS &amp; remplacement accouplement .', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2275.12000000, 455.03000000, 2730.15000000, NULL, NULL, NULL),
(33, 'CO1708-0018', 1, NULL, NULL, NULL, 2263, NULL, '2017-08-24 14:50:51', '2017-08-24 16:44:21', '2017-08-24 16:44:27', '2017-08-24 16:50:51', '2017-08-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 66.50000000, 0.00000000, 0.00000000, 332.50000000, 399.00000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 332.50000000, 66.50000000, 399.00000000, NULL, NULL, NULL),
(35, 'CO1708-0019', 1, NULL, NULL, 'hv04', 2285, NULL, '2017-08-25 08:19:15', '2017-08-25 10:15:55', '2017-08-25 10:16:00', '2017-08-25 10:18:16', '2017-08-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 127.37000000, 0.00000000, 0.00000000, 636.84000000, 764.21000000, '', 'Maintenance HV04 N&deg; V040013080803 &agrave; 5621 HRS&nbsp;<br />\r\nsuivant BL N&deg;16 du 10/08/2017', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 636.84000000, 127.37000000, 764.21000000, NULL, NULL, NULL),
(37, 'CO1708-0020', 1, NULL, NULL, NULL, 2285, NULL, '2017-08-25 08:58:47', '2017-08-25 10:53:40', '2017-08-25 10:53:49', '2017-08-25 10:55:53', '2017-08-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 89.97000000, 0.00000000, 0.00000000, 449.84000000, 539.81000000, '', 'Maintenance L15 N&deg;349015/1508 &agrave; 31300 HRS<br />\r\nBL N&deg; 17 du 10/08/2017', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 449.84000000, 89.97000000, 539.81000000, NULL, NULL, NULL),
(38, 'CO1708-0026', 1, NULL, NULL, 'surpresseurs', 2285, NULL, '2017-08-25 14:58:44', '2017-08-25 11:47:40', '2017-08-25 16:00:08', '2017-08-25 16:58:44', '2017-08-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 389.89000000, 0.00000000, 0.00000000, 1949.45000000, 2339.34000000, '', 'Maintenance des deux surpresseurs pedrogil N&deg; 13250 &amp; 13251<br />\r\nselon BL n&deg; 18 du 10/08/2017', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1949.45000000, 389.89000000, 2339.34000000, NULL, NULL, NULL),
(39, 'CO1708-0021', 1, NULL, NULL, 'surpresseurs', 2285, NULL, '2017-08-25 14:59:44', '2017-08-25 11:47:56', '2017-08-25 11:48:03', '2017-08-25 16:59:44', '2017-08-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 389.89000000, 0.00000000, 0.00000000, 1949.45000000, 2339.34000000, '', 'Maintenance des deux surpresseurs pedrogil N&deg; 13250 &amp; 13251<br />\r\nselon BL n&deg; 18 du 10/08/2017', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1949.45000000, 389.89000000, 2339.34000000, NULL, NULL, NULL),
(41, 'CO1708-0022', 1, NULL, NULL, 'natte l15rs', 2286, NULL, '2017-11-03 10:48:04', '2017-08-25 12:01:45', '2017-08-25 12:01:55', '2017-08-29 15:16:56', '2017-08-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 18.68000000, 0.00000000, 0.00000000, 93.40000000, 112.08000000, '', 'Natte filtrante pour L15RS COMPRESSEUR COMPAIR', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 93.40000000, 18.68000000, 112.08000000, NULL, NULL, NULL),
(42, 'CO1708-0024', 1, NULL, NULL, '355 DU 31/07/2017', 11441, NULL, '2017-08-25 14:59:07', '2017-08-25 12:12:35', '2017-08-25 15:59:28', '2017-08-25 16:59:07', '2017-08-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 79.34000000, 0.00000000, 0.00000000, 396.69000000, 476.03000000, '', 'COMMANDE 355 DU 31/07/2017&nbsp;<br />\r\nAFF 950<br />\r\nQUENTIN FOSSET', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 396.69000000, 79.34000000, 476.03000000, NULL, NULL, NULL),
(46, 'CO1708-0028', 1, NULL, NULL, NULL, 7060, NULL, '2017-09-12 07:19:12', '2017-08-28 09:44:47', '2017-08-28 09:44:55', '2017-09-08 11:39:01', '2017-08-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 254.25000000, 0.00000000, 0.00000000, 1271.23000000, 1525.48000000, '', 'Remplacement d&#39;une cuve 500Litres en lieu et place de l&#39;existante :&nbsp;<br />\r\nD&eacute;lai : DISPONIBLE', 'einstein', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1271.23000000, 254.25000000, 1525.48000000, NULL, NULL, NULL),
(48, 'CO1708-0029', 1, NULL, NULL, NULL, 2102, NULL, '2017-08-28 09:36:21', '2017-08-28 11:23:13', '2017-08-28 11:23:19', '2017-08-28 11:36:21', '2017-08-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 19.62000000, 0.00000000, 0.00000000, 98.11000000, 117.73000000, '', 'Intervention filtre r&eacute;seau - remplacment flotteur', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 98.11000000, 19.62000000, 117.73000000, NULL, NULL, NULL),
(51, 'CO1708-0030', 1, NULL, NULL, NULL, 2169, NULL, '2017-09-13 13:35:02', '2017-08-28 14:06:52', '2017-08-28 14:06:56', '2017-09-13 15:35:02', '2017-08-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 105.77000000, 0.00000000, 0.00000000, 528.86000000, 634.63000000, '', 'Remplacement flexible sur compresseur BOTTARINI', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 528.86000000, 105.77000000, 634.63000000, NULL, NULL, NULL),
(52, 'CO1708-0031', 1, NULL, NULL, '2017/08408', 2197, NULL, '2017-08-28 12:38:57', '2017-08-28 14:36:21', '2017-08-28 14:38:29', '2017-08-28 14:38:42', '2017-08-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 45.36000000, 0.00000000, 0.00000000, 226.79000000, 272.15000000, '', 'Dossier Sebm et Technocolor', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 226.79000000, 45.36000000, 272.15000000, NULL, NULL, NULL),
(54, 'CO1708-0032', 1, NULL, NULL, NULL, 7060, NULL, '2017-09-12 07:13:31', '2017-08-28 14:58:17', '2017-08-28 14:58:25', '2017-09-08 11:39:43', '2017-08-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 234.48000000, 0.00000000, 0.00000000, 1172.42000000, 1406.90000000, '', 'Maintenance Local technique : Maintenance compresseur SULLAIR TREK30HH &amp; compresseur Silpack 10 et 2 filtres reseaux -<br />\r\nSoufflage et verification des connection du s&eacute;cheur &nbsp;ACT55 .', 'einstein', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1172.42000000, 234.48000000, 1406.90000000, NULL, NULL, NULL),
(55, 'CO1708-0033', 1, NULL, NULL, 'MAINTENANCE KAESER', 2386, NULL, '2017-09-20 14:47:04', '2017-08-28 15:05:11', '2017-09-20 16:26:27', '2017-09-20 16:46:54', '2017-08-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 513.50000000, 0.00000000, 0.00000000, 2567.47000000, 3080.99000000, '', 'MAINTENANCE KAESER BS61', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2567.47000000, 513.50000000, 3080.99000000, NULL, NULL, NULL),
(56, 'CO1708-0034', 1, NULL, NULL, NULL, 11435, NULL, '2017-08-28 13:29:16', '2017-08-28 15:28:15', '2017-08-28 15:28:37', '2017-08-28 15:28:42', '2017-08-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 42.87000000, 0.00000000, 0.00000000, 214.36000000, 257.23000000, '', 'Remplacement filtre reseau charbon actif - r&eacute;alisation des travaux en m&ecirc;me temps que le remplacement de la bague &agrave; l&eacute;vres &nbsp;prise en garantie&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 214.36000000, 42.87000000, 257.23000000, NULL, NULL, NULL),
(58, 'CO1708-0035', 1, NULL, NULL, 'trx elec', 2383, NULL, '2017-08-29 08:51:16', '2017-08-29 10:05:23', '2017-08-29 10:48:13', '2017-08-29 10:51:00', '2017-08-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 698.82000000, 0.00000000, 0.00000000, 3494.10000000, 4192.92000000, '', 'Travaux electrique sur deplacement canalis et divers', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3494.10000000, 698.82000000, 4192.92000000, NULL, NULL, NULL),
(59, 'CO1708-0036', 1, NULL, NULL, 'L15RS', 2379, NULL, '2017-08-29 09:13:13', '2017-08-29 11:09:54', '2017-08-29 11:11:30', '2017-08-29 11:12:38', '2017-08-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 137.10000000, 0.00000000, 0.00000000, 685.53000000, 822.63000000, '', 'Maintenance L15RS N&deg;CD1002489002 &agrave; 2434 HRS- maintenace separateur de condensats owamat 10 et remplacement cartouches des 2 filtres reseaux - recyclage des anciens consommables', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 685.53000000, 137.10000000, 822.63000000, NULL, NULL, NULL),
(61, 'CO1708-0037', 1, NULL, NULL, NULL, 2062, NULL, '2017-08-29 09:21:25', '2017-08-29 11:18:44', '2017-08-29 11:18:48', '2017-08-29 11:21:12', '2017-08-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 283.19000000, 0.00000000, 0.00000000, 1415.98000000, 1699.17000000, '', 'Remise en place LOCAL AC', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1415.98000000, 283.19000000, 1699.17000000, NULL, NULL, NULL),
(62, 'CO1708-0038', 1, NULL, NULL, NULL, 2095, NULL, '2017-09-11 12:16:21', '2017-08-30 09:05:05', '2017-08-30 09:11:29', '2017-09-11 14:15:20', '2017-08-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 201.16000000, 0.00000000, 0.00000000, 1005.81000000, 1206.97000000, '', 'Maintenance Compresseur STAR 2008 et Genesis', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1005.81000000, 201.16000000, 1206.97000000, NULL, NULL, NULL),
(63, 'CO1708-0039', 1, NULL, NULL, NULL, 12612, NULL, '2017-09-12 13:03:32', '2017-08-30 09:35:04', '2017-08-30 09:36:03', '2017-09-12 15:03:14', '2017-08-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 102.00000000, 0.00000000, 0.00000000, 510.00000000, 612.00000000, '', 'Compresseur &agrave; piston COMPAIR - Garantie TOTALE 2 ANS', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 510.00000000, 102.00000000, 612.00000000, NULL, NULL, NULL),
(65, 'CO1708-0040', 1, NULL, NULL, NULL, 2095, NULL, '2017-09-11 12:22:45', '2017-08-30 11:15:37', '2017-08-30 11:16:03', '2017-09-11 14:22:25', '2017-08-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 85.80000000, 0.00000000, 0.00000000, 429.00000000, 514.80000000, 'commande tel du 30/08/2017 A arthur', '2 ponceuses orbitales :&nbsp;', 'einstein', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 429.00000000, 85.80000000, 514.80000000, NULL, NULL, NULL),
(66, 'CO1708-0041', 1, NULL, NULL, 'commande du 30/08/2017', 2388, NULL, '2017-08-30 09:26:41', '2017-08-30 11:21:39', '2017-08-30 11:25:54', '2017-08-30 11:26:16', '2017-08-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 17.04000000, 0.00000000, 0.00000000, 85.17000000, 102.21000000, '', 'Suivant BL N&deg; 21 du 30/08/2017', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 85.17000000, 17.04000000, 102.21000000, NULL, NULL, NULL),
(67, 'CO1708-0042', 1, NULL, NULL, NULL, 2234, NULL, '2017-09-12 13:34:45', '2017-08-30 14:41:24', '2017-08-30 14:42:55', '2017-08-30 14:47:01', '2017-08-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 176.32000000, 0.00000000, 0.00000000, 881.59000000, 1057.91000000, '', 'Maintenance Compresseur L45RS N&deg; CD10005658001 &agrave; 50 413 HEuresselon BL N&deg; 26 du 24/08/2017', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 881.59000000, 176.32000000, 1057.91000000, NULL, NULL, NULL),
(68, 'CO1708-0043', 1, NULL, NULL, NULL, 2286, NULL, '2017-09-12 12:49:13', '2017-08-30 15:19:36', '2017-08-30 15:19:54', '2017-09-08 11:34:21', '2017-08-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 30.59000000, 0.00000000, 0.00000000, 152.95000000, 183.54000000, '', 'Rouleau de natte filtrante', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 152.95000000, 30.59000000, 183.54000000, NULL, NULL, NULL),
(69, 'CO1708-0044', 1, NULL, NULL, 'l80 - membrane', 2064, NULL, '2017-08-30 13:34:22', '2017-08-30 15:31:44', '2017-08-30 15:34:04', '2017-08-30 15:34:08', '2017-08-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 97.92000000, 0.00000000, 0.00000000, 489.58000000, 587.50000000, '', 'Remplacement membrane sur compresseur L80 N&deg; CD10000635001 &agrave; 29225 Hrs', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 489.58000000, 97.92000000, 587.50000000, NULL, NULL, NULL),
(70, 'CO1708-0045', 1, NULL, NULL, NULL, 2071, NULL, '2017-08-30 14:40:19', '2017-08-30 15:58:46', '2017-08-30 16:32:54', '2017-08-30 16:36:40', '2017-08-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 202.91000000, 0.00000000, 0.00000000, 1014.58000000, 1217.49000000, '', 'Maintenance compresseur BOGE &amp; HV05 selon BL N&deg; 28 &amp; 29 du 28/08/2017 -<br />\r\nRemise sp&eacute;ciale Alain Balazard -100 &euro;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1014.58000000, 202.91000000, 1217.49000000, NULL, NULL, NULL),
(71, 'CO1708-0046', 1, NULL, NULL, 'cde patrick richard', 12612, NULL, '2017-09-20 08:47:10', '2017-08-30 16:54:33', '2017-08-30 16:56:17', '2017-09-15 09:03:15', '2017-08-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 195.72000000, 0.00000000, 0.00000000, 978.60000000, 1174.32000000, '', 'Etaux d&#39;etabli', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 978.60000000, 195.72000000, 1174.32000000, NULL, NULL, NULL),
(72, 'CO1708-0047', 1, NULL, NULL, 'reseau electrique', 2383, NULL, '2017-08-31 07:11:08', '2017-08-31 09:04:19', '2017-08-31 09:05:32', '2017-08-31 09:10:54', '2017-08-31', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 63.29000000, 0.00000000, 0.00000000, 316.47000000, 379.76000000, '', 'Intervention sur reseau electrique suite &agrave; un incendie sur machine N&deg;37&nbsp;<br />\r\nselon BL N&deg; 3 du 29/08/2017', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 316.47000000, 63.29000000, 379.76000000, NULL, NULL, NULL),
(73, 'CO1708-0048', 1, NULL, NULL, 'AUTOREEL', 12613, NULL, '2017-08-31 07:37:44', '2017-08-31 09:36:04', '2017-08-31 09:36:59', '2017-08-31 09:37:15', '2017-08-31', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 45.00000000, 0.00000000, 0.00000000, 225.00000000, 270.00000000, '', 'Fourniture un enrouleur en promotion -&nbsp;<br />\r\nLivraison par Mr BALAZARD ce jour&nbsp;', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 225.00000000, 45.00000000, 270.00000000, NULL, NULL, NULL),
(75, 'CO1707-0049', 1, NULL, NULL, 'MB20170705161', 2286, NULL, '2017-09-04 08:22:35', '2017-09-04 10:16:37', '2017-09-04 10:18:29', '2017-09-04 10:20:46', '2017-07-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1079.00000000, 0.00000000, 0.00000000, 5395.00000000, 6474.00000000, '', 'Groupe Froid TAE EVO Tech 20STD - r&eacute;cup&eacute;rer par vos soins &agrave; l&#39;usine', 'einstein', 1, NULL, NULL, 6, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5395.00000000, 1079.00000000, 6474.00000000, NULL, NULL, NULL),
(76, 'CO1709-0050', 1, NULL, NULL, 'reservoir 500Litres', 2189, NULL, '2017-09-15 08:26:40', '2017-09-04 14:57:47', '2017-09-04 14:59:24', '2017-09-13 15:35:41', '2017-09-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 173.54000000, 0.00000000, 0.00000000, 867.70000000, 1041.24000000, '', 'Fourniture reservoir 500Litres en lieu et place de l&#39;existant :&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 867.70000000, 173.54000000, 1041.24000000, NULL, NULL, NULL),
(78, 'CO1709-0051', 1, NULL, NULL, NULL, 5888, NULL, '2017-09-29 13:06:31', '2017-09-05 08:58:28', '2017-09-05 08:58:34', '2017-09-29 15:05:09', '2017-09-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 82.68000000, 0.00000000, 0.00000000, 413.39000000, 496.07000000, 'maintenance et nettoyage secheur', 'Maintenance &nbsp;maintenance compresseur &agrave; vis&nbsp;', 'einstein', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 413.39000000, 82.68000000, 496.07000000, NULL, NULL, NULL),
(80, 'CO1709-0052', 1, NULL, NULL, NULL, 2338, NULL, '2017-09-20 08:10:53', '2017-09-05 14:47:14', '2017-09-05 14:47:20', '2017-09-20 10:08:56', '2017-09-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 215.95000000, 0.00000000, 0.00000000, 1079.75000000, 1295.70000000, '', 'Maintenance L07RS en FULL SERVICE et MAINTENACE ROLLAIR', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1079.75000000, 215.95000000, 1295.70000000, NULL, NULL, NULL),
(81, 'CO1709-0053', 1, NULL, NULL, 'Maintenance L37RS', 2352, NULL, '2018-04-26 09:25:46', '2017-09-05 14:51:45', '2017-09-05 14:55:25', '2017-10-23 10:51:53', '2017-09-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 415.56000000, 0.00000000, 0.00000000, 2077.78000000, 2493.34000000, '', 'Maintenance L37RS', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2077.78000000, 415.56000000, 2493.34000000, NULL, NULL, NULL),
(83, 'CO1709-0055', 1, NULL, NULL, 'L11RS', 2399, NULL, '2017-11-03 10:49:44', '2017-09-05 15:07:46', '2017-10-03 12:41:08', '2017-11-03 11:49:44', '2017-09-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 87.63000000, 0.00000000, 0.00000000, 438.15000000, 525.78000000, '', 'Maintenance compresseur &nbsp;L11RS :&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 438.15000000, 87.63000000, 525.78000000, NULL, NULL, NULL),
(84, 'CO1709-0056', 1, NULL, NULL, NULL, 2331, NULL, '2017-10-24 09:27:38', '2017-09-05 16:05:40', '2017-09-06 09:20:23', '2017-10-24 11:27:14', '2017-09-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 136.90000000, 0.00000000, 0.00000000, 684.52000000, 821.42000000, '', 'Maintenance compresseur GA22 :&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 684.52000000, 136.90000000, 821.42000000, NULL, NULL, NULL),
(85, 'CO1709-0057', 1, NULL, NULL, 'L11', 2297, NULL, '2017-10-31 15:21:24', '2017-09-06 09:21:23', '2017-09-06 09:23:12', '2017-10-31 16:20:42', '2017-09-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 93.00000000, 0.00000000, 0.00000000, 464.97000000, 557.97000000, '', 'Maintenance compresseur L11', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 464.97000000, 93.00000000, 557.97000000, NULL, NULL, NULL),
(86, 'CO1709-0058', 1, NULL, NULL, 'L29rs et ingersoll', 2276, NULL, '2017-10-24 08:48:26', '2017-09-06 09:24:13', '2017-10-23 10:56:55', '2017-10-23 10:57:17', '2017-09-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 539.45000000, 0.00000000, 0.00000000, 2697.27000000, 3236.72000000, '', 'Maintenances des compresseurs L29RS COMPAIR et IRN18 10H INGERSOLLRAND :', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2697.27000000, 539.45000000, 3236.72000000, NULL, NULL, NULL),
(87, 'CO1709-0059', 1, NULL, NULL, 'L11', 2263, NULL, '2019-06-05 12:21:55', '2017-09-06 09:45:49', '2017-09-06 09:47:17', '2019-06-05 14:21:54', '2017-09-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 164.08000000, 0.00000000, 0.00000000, 820.36000000, 984.44000000, '', 'Maintenance L11 :', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 820.36000000, 164.08000000, 984.44000000, NULL, NULL, NULL),
(89, 'CO1709-0060', 1, NULL, NULL, '2311084/184200', 2350, NULL, '2017-09-13 13:33:24', '2017-09-06 09:51:44', '2017-09-06 09:51:48', '2017-09-13 15:33:24', '2017-09-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 37.00000000, 0.00000000, 0.00000000, 185.02000000, 222.02000000, '', '2 Distributeurs pneumatique CAMOZZI&nbsp; -&nbsp; 5 / 2&nbsp; -&nbsp; R&eacute;f 458 - 011 -22', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 185.02000000, 37.00000000, 222.02000000, NULL, NULL, NULL),
(90, 'CO1709-0061', 1, NULL, NULL, 'L07', 2218, NULL, '2017-12-28 09:24:21', '2017-09-06 10:33:49', '2017-12-28 10:21:12', '2017-12-28 10:22:49', '2017-09-06', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 119.41000000, 0.00000000, 0.00000000, 597.01000000, 716.42000000, NULL, 'Maintenance compresseur L07 N°ba27547001 à 9098 HRS<br />\r\n<br />\r\nBL N°12 du 17/12/2017', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 597.01000000, 119.41000000, 716.42000000, NULL, NULL, NULL),
(91, 'CO1709-0062', 1, NULL, NULL, 'L15', 2204, NULL, '2018-01-31 15:09:25', '2017-09-06 10:46:33', '2017-09-08 09:52:14', '2018-01-31 16:08:41', '2017-09-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 109.11000000, 0.00000000, 0.00000000, 545.53000000, 654.64000000, '', 'Maintenance l15', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 545.53000000, 109.11000000, 654.64000000, NULL, NULL, NULL),
(92, 'CO1709-0063', 1, NULL, NULL, 'PO7000583858', 2184, NULL, '2017-09-19 12:44:02', '2017-09-06 11:09:04', '2017-09-19 14:42:39', '2017-09-19 14:43:06', '2017-09-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 392.19000000, 0.00000000, 0.00000000, 1961.02000000, 2353.21000000, '', 'Maintenance compresseur L45RS :&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1961.02000000, 392.19000000, 2353.21000000, NULL, NULL, NULL),
(95, 'CO1709-0066', 1, NULL, NULL, 'l75sr', 2127, NULL, '2017-10-03 10:07:07', '2017-09-06 11:40:59', '2017-09-06 11:42:03', '2017-10-03 12:04:41', '2017-09-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 192.68000000, 0.00000000, 0.00000000, 963.39000000, 1156.07000000, '', 'Maintenance L75SR COMPAIR :&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 963.39000000, 192.68000000, 1156.07000000, NULL, NULL, NULL),
(96, 'CO1709-0067', 1, NULL, NULL, 'l04fs', 2117, NULL, '2017-12-05 09:22:18', '2017-09-06 11:44:43', '2017-12-05 10:20:56', '2017-12-05 10:21:35', '2017-09-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 105.94000000, 0.00000000, 0.00000000, 529.64000000, 635.58000000, '', 'Maintenance L04FS', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 529.64000000, 105.94000000, 635.58000000, NULL, NULL, NULL),
(97, 'CO1709-0068', 1, NULL, NULL, 'soupape', 2203, NULL, '2018-02-21 08:33:51', '2017-09-06 11:54:46', '2017-09-06 11:55:01', '2018-02-21 09:33:51', '2017-09-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 19.80000000, 0.00000000, 0.00000000, 99.00000000, 118.80000000, '', 'soupape pour cuve', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 99.00000000, 19.80000000, 118.80000000, NULL, NULL, NULL),
(98, 'CO1709-0069', 1, NULL, NULL, 'compapiston', 2391, NULL, '2017-10-03 13:32:44', '2017-09-06 14:41:21', '2017-09-06 14:42:18', '2017-10-03 15:29:23', '2017-09-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 204.00000000, 0.00000000, 0.00000000, 1020.00000000, 1224.00000000, '', 'Compresseur &agrave; piston', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1020.00000000, 204.00000000, 1224.00000000, NULL, NULL, NULL),
(99, 'CO1709-0070', 1, NULL, NULL, 'l11rs', 2086, NULL, '2019-03-20 14:40:00', '2017-09-06 16:10:56', '2017-09-06 16:12:25', '2019-03-20 15:40:00', '2017-09-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 192.32000000, 0.00000000, 0.00000000, 961.59000000, 1153.91000000, '', 'maintenance L11RS', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 961.59000000, 192.32000000, 1153.91000000, NULL, NULL, NULL),
(100, 'CO1709-0071', 1, NULL, NULL, 'hv07', 2073, NULL, '2017-10-13 08:34:16', '2017-09-06 16:18:13', '2017-10-13 10:32:52', '2017-10-13 10:33:11', '2017-09-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 120.04000000, 0.00000000, 0.00000000, 600.18000000, 720.22000000, '', 'Maintenance Hv07', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 600.18000000, 120.04000000, 720.22000000, NULL, NULL, NULL),
(101, 'CO1709-0072', 1, NULL, NULL, NULL, 2054, NULL, '2017-11-13 11:03:43', '2017-09-06 16:29:01', '2017-09-06 16:30:31', '2017-10-19 10:37:37', '2017-09-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 124.32000000, 0.00000000, 0.00000000, 621.64000000, 745.96000000, '', 'Compresseur BEL AIR VRC20F de 1991 N° 0913124 à 21939 HEURES:<br />\r\n<br />\r\nSite COOPERATIVE LA DAUPHINOISE 2460 Chemin de la voie ferree 38260 LA COTE SAINT ANDRE', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 621.64000000, 124.32000000, 745.96000000, NULL, NULL, NULL),
(102, 'CO1709-0073', 1, NULL, NULL, NULL, 2054, NULL, '2017-10-19 08:22:27', '2017-09-06 16:34:10', '2017-10-09 10:32:05', '2017-10-19 10:21:35', '2017-09-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 209.10000000, 0.00000000, 0.00000000, 1045.56000000, 1254.66000000, '', 'Maintenance sullair es8 à 22689 HRS  - Remplacement des cartouches des filtres réseau-<br />\r\n<br />\r\nSite d\'intervention : COOPERATIVE LA DAUPHINOISE Bourg Evescal 73250 ST JEAN DE LA PORTE', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1045.56000000, 209.10000000, 1254.66000000, NULL, NULL, NULL),
(103, 'CO1709-0074', 1, NULL, NULL, NULL, 2054, NULL, '2017-11-13 11:12:43', '2017-09-06 16:51:18', '2017-10-19 10:43:16', '2017-10-19 10:43:42', '2017-09-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 129.81000000, 0.00000000, 0.00000000, 649.05000000, 778.86000000, '', 'Maintenance SULLAIR WS1508 N° C03-C210029 de 2009 à 36264 HRS<br />\r\n<br />\r\nSite COOPERATIVE LA DAUPHINOISE 2460 Chemin de la voie ferree 38260 LA COTE SAINT ANDRE', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 649.05000000, 129.81000000, 778.86000000, NULL, NULL, NULL),
(104, 'CO1709-0075', 1, NULL, NULL, 'L18', 2055, NULL, '2018-04-26 09:26:01', '2017-09-07 09:11:13', '2017-12-05 09:57:47', '2017-12-05 09:58:01', '2017-09-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 170.95000000, 0.00000000, 0.00000000, 854.74000000, 1025.69000000, '', 'Mainteannce L18', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 854.74000000, 170.95000000, 1025.69000000, NULL, NULL, NULL),
(105, 'CO1709-0076', 1, NULL, NULL, 'RSDK pro 5.5', 2042, NULL, '2017-10-13 07:55:34', '2017-09-07 09:47:02', '2017-10-13 09:51:26', '2017-10-13 09:52:09', '2017-09-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 115.01000000, 0.00000000, 0.00000000, 575.07000000, 690.08000000, '', 'Maintenance RSDK PRO 5.5 :', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 575.07000000, 115.01000000, 690.08000000, NULL, NULL, NULL),
(106, 'CO1709-0077', 1, NULL, NULL, 'l07RS', 2038, NULL, '2017-10-13 08:19:26', '2017-09-07 09:50:48', '2017-10-13 10:18:24', '2017-10-13 10:18:46', '2017-09-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 227.30000000, 0.00000000, 0.00000000, 1136.48000000, 1363.78000000, '', 'Maintenance L07RS', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1136.48000000, 227.30000000, 1363.78000000, NULL, NULL, NULL),
(107, 'CO1709-0078', 1, NULL, NULL, 'l26rs', 2033, NULL, '2017-10-13 08:10:47', '2017-09-07 09:56:15', '2017-09-07 09:58:18', '2017-10-13 10:08:45', '2017-09-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 378.59000000, 0.00000000, 0.00000000, 1892.93000000, 2271.52000000, '', 'Maintenance L26RS', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1892.93000000, 378.59000000, 2271.52000000, NULL, NULL, NULL),
(108, 'CO1709-0079', 1, NULL, NULL, 'l07 + l07RS', 2011, NULL, '2017-09-29 12:56:56', '2017-09-07 10:00:32', '2017-09-29 14:53:25', '2017-09-29 14:56:08', '2017-09-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 262.46000000, 0.00000000, 0.00000000, 1312.28000000, 1574.74000000, '', 'Maintenances des 2 compresseurs :<br />\r\nL07 &amp; L07RS', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1312.28000000, 262.46000000, 1574.74000000, NULL, NULL, NULL),
(109, 'CO1709-0080', 1, NULL, NULL, 'rsdktop 7.5', 2005, NULL, '2017-09-19 07:34:00', '2017-09-07 10:25:18', '2017-09-07 10:26:57', '2017-09-19 09:28:09', '2017-09-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 110.43000000, 0.00000000, 0.00000000, 552.13000000, 662.56000000, '', 'Maintenance RSDK TOP 7.5 :', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 552.13000000, 110.43000000, 662.56000000, NULL, NULL, NULL),
(110, 'CO1709-0081', 1, NULL, NULL, 'L15RS', 2140, NULL, '2017-09-29 14:24:57', '2017-09-07 10:29:58', '2017-09-07 10:32:27', '2017-09-29 16:23:39', '2017-09-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 217.53000000, 0.00000000, 0.00000000, 1087.63000000, 1305.16000000, '', 'Maintenance L15RS', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1087.63000000, 217.53000000, 1305.16000000, NULL, NULL, NULL),
(111, 'CO1709-0082', 1, NULL, NULL, 'L07RS', 1983, NULL, '2017-10-13 07:17:23', '2017-09-07 11:40:09', '2017-10-13 09:14:23', '2017-10-13 09:15:01', '2017-09-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 109.12000000, 0.00000000, 0.00000000, 545.56000000, 654.68000000, '', 'Maintenance L07RS', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 545.56000000, 109.12000000, 654.68000000, NULL, NULL, NULL),
(112, 'CO1709-0083', 1, NULL, NULL, 'l15', 2268, NULL, '2017-10-13 12:26:13', '2017-09-07 11:47:17', '2017-10-13 14:24:02', '2017-10-13 14:25:39', '2017-09-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 298.94000000, 0.00000000, 0.00000000, 1494.69000000, 1793.63000000, '', 'Maintenance L15', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1494.69000000, 298.94000000, 1793.63000000, NULL, NULL, NULL),
(113, 'CO1709-0084', 1, NULL, NULL, NULL, 12585, NULL, '2017-09-08 09:29:33', '2017-09-08 09:57:23', '2017-09-08 10:03:10', '2017-09-08 11:29:33', '2017-09-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 912.06000000, 0.00000000, 0.00000000, 4560.30000000, 5472.36000000, '', 'Proposition air comprim&eacute; :&nbsp;', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4560.30000000, 912.06000000, 5472.36000000, NULL, NULL, NULL),
(114, 'CO1709-0085', 1, NULL, NULL, NULL, 2197, NULL, '2017-09-08 09:21:32', '2017-09-08 11:20:31', '2017-09-08 11:20:37', '2017-09-08 11:20:42', '2017-09-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1900.00000000, 0.00000000, 0.00000000, 9500.00000000, 11400.00000000, 'financement en locam', 'Ensemble compresseur L18 7.5 Bars avec installation et raccordement en air&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, 2, NULL, 4, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 9500.00000000, 1900.00000000, 11400.00000000, NULL, NULL, NULL),
(115, 'CO1709-0086', 1, NULL, NULL, NULL, 9782, NULL, '2017-10-02 08:21:04', '2017-09-08 12:04:09', '2017-09-08 14:11:50', '2017-10-02 10:19:53', '2017-09-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 17.24000000, 0.00000000, 0.00000000, 86.20000000, 103.44000000, '', 'Founiture de burin et prise ne charge r&eacute;paration RC5185', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 86.20000000, 17.24000000, 103.44000000, NULL, NULL, NULL),
(116, 'CO1709-0087', 1, NULL, NULL, '507697', 2123, NULL, '2017-09-08 12:32:58', '2017-09-08 14:27:53', '2017-09-08 14:31:46', '2017-09-08 14:32:04', '2017-09-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 45.00000000, 0.00000000, 0.00000000, 225.00000000, 270.00000000, '', 'ENrouleurs a rapel automatique&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 225.00000000, 45.00000000, 270.00000000, NULL, NULL, NULL),
(117, 'CO1709-0088', 1, NULL, NULL, NULL, 2153, NULL, '2017-09-11 11:56:58', '2017-09-11 12:15:13', '2017-09-11 12:17:53', '2017-09-11 13:56:30', '2017-09-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 183.37000000, 0.00000000, 0.00000000, 916.83000000, 1100.20000000, '', 'Changement vanne thermostatique sur compresseur 6020 ELX 09BE :&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 916.83000000, 183.37000000, 1100.20000000, NULL, NULL, NULL),
(118, 'CO1709-0090', 1, NULL, NULL, NULL, 2030, NULL, '2017-09-12 13:12:24', '2017-09-11 14:54:07', '2017-09-11 15:59:01', '2017-09-11 15:59:09', '2017-09-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 47.60000000, 0.00000000, 0.00000000, 238.00000000, 285.60000000, '', 'R&eacute;paration Cl&eacute; &agrave; chocs PAOLI DP320', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 238.00000000, 47.60000000, 285.60000000, NULL, NULL, NULL),
(120, 'CO1709-0089', 1, NULL, NULL, NULL, 6314, NULL, '2017-10-24 08:27:23', '2017-09-11 15:30:52', '2017-09-11 15:36:00', '2017-10-24 10:27:23', '2017-09-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 49.98000000, 0.00000000, 0.00000000, 249.90000000, 299.88000000, '', '', 'einstein', 1, NULL, NULL, 9, 2, NULL, NULL, NULL, 2, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 249.90000000, 49.98000000, 299.88000000, NULL, NULL, NULL),
(121, 'CO1709-0091', 1, NULL, NULL, NULL, 2184, NULL, '2018-02-21 09:15:08', '2017-09-12 09:31:12', '2017-09-12 09:32:35', '2018-02-21 10:15:08', '2017-09-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 37.18000000, 0.00000000, 0.00000000, 185.88000000, 223.06000000, '', 'Intervention sur s&eacute;cheur COMPAIR F84C N&deg;1412MA7895 suivant BL N&deg;1 du 12/07/2017', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 185.88000000, 37.18000000, 223.06000000, NULL, NULL, NULL),
(123, 'CO1709-0093', 1, NULL, NULL, NULL, 12609, NULL, '2017-09-12 12:30:56', '2017-09-12 14:29:53', '2017-09-12 14:29:58', '2017-09-12 14:30:12', '2017-09-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 41.20000000, 0.00000000, 0.00000000, 206.00000000, 247.20000000, '', '', 'einstein', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 206.00000000, 41.20000000, 247.20000000, NULL, NULL, NULL),
(124, 'CO1709-0094', 1, NULL, NULL, 'maintenances', 2215, NULL, '2017-10-02 09:45:39', '2017-09-13 09:26:20', '2017-09-13 09:34:16', '2017-10-02 11:40:37', '2017-09-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 226.73000000, 0.00000000, 0.00000000, 1133.65000000, 1360.38000000, '', 'Maintenances de vos 2 compresseurs :&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1133.65000000, 226.73000000, 1360.38000000, NULL, NULL, NULL),
(125, 'CO1709-0095', 1, NULL, NULL, NULL, 2287, NULL, '2018-02-23 09:44:53', '2017-09-13 09:49:13', '2018-02-23 10:41:33', '2018-02-23 10:44:26', '2017-09-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 111.73000000, 0.00000000, 0.00000000, 558.61000000, 670.34000000, '', 'Maintenance ROLLAIR N&deg; 339336', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 558.61000000, 111.73000000, 670.34000000, NULL, NULL, NULL),
(126, 'CO1709-0096', 1, NULL, NULL, 'maintenance', 2128, NULL, '2017-10-04 07:26:03', '2017-09-13 10:20:21', '2017-09-13 10:22:17', '2017-10-04 09:23:15', '2017-09-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 210.90000000, 0.00000000, 0.00000000, 1054.47000000, 1265.37000000, '', 'Maintenance compresseur MAUGUIERE MAV61/10', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1054.47000000, 210.90000000, 1265.37000000, NULL, NULL, NULL),
(127, 'CO1709-0097', 1, NULL, NULL, 'sepdecond', 2407, NULL, '2018-02-08 11:09:29', '2017-09-13 14:18:40', '2017-09-13 14:18:56', '2018-02-08 12:09:26', '2017-09-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 37.32000000, 0.00000000, 0.00000000, 186.59000000, 223.91000000, '', 'separateur de condensats :', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 186.59000000, 37.32000000, 223.91000000, NULL, NULL, NULL),
(128, 'CO1709-0098', 1, NULL, NULL, NULL, 11275, NULL, '2017-10-03 10:27:21', '2017-09-14 09:39:34', '2017-09-14 09:40:37', '2017-10-02 17:05:47', '2017-09-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 42.08000000, 0.00000000, 0.00000000, 210.41000000, 252.49000000, '', 'Pieces detachees pour Devillbiss mod1508 de 2008 :&nbsp;', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 210.41000000, 42.08000000, 252.49000000, NULL, NULL, NULL),
(129, 'CO1709-0099', 1, NULL, NULL, 'separateur', 12581, NULL, '2017-09-14 09:01:02', '2017-09-14 10:59:24', '2017-09-14 10:59:43', '2017-09-14 10:59:55', '2017-09-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 27.56000000, 0.00000000, 0.00000000, 137.81000000, 165.37000000, '', 'Changement separateur sur compresseur ATLAS GA15FF N&deg; API329281 &agrave; 2788HRS et soufflage des radiateur :', 'einstein', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 137.81000000, 27.56000000, 165.37000000, NULL, NULL, NULL),
(131, 'CO1709-0100', 1, NULL, NULL, NULL, 1996, NULL, '2017-09-19 08:30:18', '2017-09-15 09:42:08', '2017-09-15 09:42:24', '2017-09-19 10:29:25', '2017-09-15', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 227.69000000, 0.00000000, 0.00000000, 1138.50000000, 1366.19000000, '', 'Depannage compresseur L15 et L18 + maintenance complete L15', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1138.50000000, 227.69000000, 1366.19000000, NULL, NULL, NULL);
INSERT INTO `llx_commande` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_cloture`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_cloture`, `source`, `fk_statut`, `amount_ht`, `remise_percent`, `remise_absolue`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `facture`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_livraison`, `fk_shipping_method`, `fk_warehouse`, `fk_availability`, `fk_input_reason`, `fk_delivery_address`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(132, 'CO1709-0101', 1, NULL, NULL, NULL, 2189, NULL, '2017-09-15 08:36:55', '2017-09-15 10:31:24', '2017-09-15 10:34:28', '2017-09-15 10:36:04', '2017-09-15', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 74.63000000, 0.00000000, 0.00000000, 373.17000000, 447.80000000, '', 'Maintenance L11 N&deg;349027/4810 &agrave; 2610 HRS suivant BL N&deg; 33 du 13/09/2017', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 373.17000000, 74.63000000, 447.80000000, NULL, NULL, NULL),
(133, 'CO1709-0102', 1, NULL, NULL, 'muraspirant', 9822, NULL, '2017-09-15 09:31:41', '2017-09-15 11:05:14', '2017-09-15 11:22:37', '2017-09-15 11:31:27', '2017-09-15', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 969.10000000, 0.00000000, 0.00000000, 4845.50000000, 5814.60000000, '', 'Installation mur apsirant et petite hotte d&#39;aspiration ( rejet exterieur ) + vmc cabine&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4845.50000000, 969.10000000, 5814.60000000, NULL, NULL, NULL),
(135, 'CO1709-0104', 1, NULL, NULL, NULL, 12590, NULL, '2017-11-23 15:39:04', '2017-09-15 16:14:37', '2017-09-15 16:51:32', '2017-10-23 10:25:23', '2017-09-15', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 6444.00000000, 0.00000000, 0.00000000, 32220.00000000, 38664.00000000, '', 'Nouveau batiment avec local AC N² reseau en 28mm et 6 descentes : <br />\r\nComprenant un compresseur vitesse variable à vis lubrifiée 30KW et fourniture NOVAIR azote <br />\r\nPrime CEE : 892.50€ HT', 'einstein', 1, NULL, NULL, 9, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 32220.00000000, 6444.00000000, 38664.00000000, NULL, NULL, NULL),
(137, 'CO1709-0105', 1, NULL, NULL, NULL, 2173, NULL, '2017-09-19 13:07:26', '2017-09-18 09:49:46', '2017-09-18 09:49:55', '2017-09-18 09:52:02', '2017-09-18', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 20.74000000, 0.00000000, 0.00000000, 103.68000000, 124.42000000, '', 'Kit de maintenance Separateur de condensats OWAMAT 10 :&nbsp;<br />\r\n<br />\r\n&nbsp;', 'einstein', 1, NULL, NULL, 9, 2, NULL, NULL, NULL, 1, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 103.68000000, 20.74000000, 124.42000000, NULL, NULL, NULL),
(139, 'CO1709-0106', 1, NULL, NULL, NULL, 5719, NULL, '2017-10-12 13:55:08', '2017-09-19 09:42:54', '2017-09-19 09:43:05', '2017-10-12 15:26:01', '2017-09-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 480.00000000, 0.00000000, 0.00000000, 2400.00000000, 2880.00000000, '', '<strong>En Paiement 3x sans frais pour un montant de 811.42 x 3&nbsp;<br />\r\nEn LOA sur 24 mois avec une mensualit&eacute; de 115.92 &euro; par mois&nbsp;<br />\r\nSous r&egrave;serve d&#39;acceptation par notre partenaire Financier&nbsp;</strong>', 'einstein', 1, NULL, NULL, 9, 2, NULL, NULL, NULL, 3, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2400.00000000, 480.00000000, 2880.00000000, NULL, NULL, NULL),
(141, 'CO1709-0107', 1, NULL, NULL, NULL, 2381, NULL, '2017-10-02 14:23:43', '2017-09-19 15:59:48', '2017-09-19 16:00:14', '2017-10-02 16:21:10', '2017-09-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 192.20000000, 0.00000000, 0.00000000, 961.00000000, 1153.20000000, '', 'Maintenance de vos 2 compresseurs :<br />\r\n- Contr&ocirc;les et v&eacute;rifications &nbsp;pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es&nbsp;<br />\r\n&nbsp;-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n&nbsp;- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la &nbsp;joun&eacute;e<br />\r\n&nbsp;- Audit GRATUIT , ... etc<br />\r\n&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, 2, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 961.00000000, 192.20000000, 1153.20000000, NULL, NULL, NULL),
(142, 'CO1709-0184', 1, NULL, NULL, NULL, 2383, NULL, '2017-11-21 09:41:54', '2017-09-20 09:21:29', '2017-11-06 14:47:39', '2017-11-21 10:40:06', '2017-09-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 2088.89000000, 0.00000000, 0.00000000, 10444.41000000, 12533.30000000, '', 'Suite &agrave; incendie machine SOMET: refection de la distribution electrique de puissance,de l&#39;&eacute;clairage, du reseau informatique et de l&#39;air comprim&eacute;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 10444.41000000, 2088.89000000, 12533.30000000, NULL, NULL, NULL),
(143, 'CO1709-0108', 1, NULL, NULL, NULL, 2347, NULL, '2017-10-24 09:40:20', '2017-09-20 09:28:17', '2017-09-20 09:30:09', '2017-10-24 11:39:02', '2017-09-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 255.43000000, 0.00000000, 0.00000000, 1277.13000000, 1532.56000000, '', 'Maintenance L15RS :', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1277.13000000, 255.43000000, 1532.56000000, NULL, NULL, NULL),
(144, 'CO1709-0119', 1, NULL, NULL, NULL, 2064, NULL, '2017-09-29 12:49:15', '2017-09-20 10:22:22', '2017-09-29 14:45:09', '2017-09-29 14:48:53', '2017-09-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 108.12000000, 0.00000000, 0.00000000, 540.58000000, 648.70000000, '', 'Intervention L22S N&deg;349023/0675 &agrave; 32300 Heures -', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 540.58000000, 108.12000000, 648.70000000, NULL, NULL, NULL),
(145, 'CO1709-0109', 1, NULL, NULL, NULL, 2059, NULL, '2017-09-20 08:39:37', '2017-09-20 10:37:11', '2017-09-20 10:37:43', '2017-09-20 10:39:22', '2017-09-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 12.77000000, 0.00000000, 0.00000000, 63.84000000, 76.61000000, '', 'Intervention sur sécheur MPF140 - selon BL N° 11 du 13/09/2017', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 63.84000000, 12.77000000, 76.61000000, NULL, NULL, NULL),
(147, 'CO1709-0110', 1, NULL, NULL, NULL, 7060, NULL, '2017-10-13 09:03:31', '2017-09-20 14:44:54', '2017-09-20 14:45:02', '2017-10-13 11:03:06', '2017-09-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 51.25000000, 0.00000000, 0.00000000, 256.24000000, 307.49000000, '', 'remplacement bouton reset poussoir avec voyant et natte filtrante et courroie sur compresseru SULLAIR&nbsp;', 'einstein', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 256.24000000, 51.25000000, 307.49000000, NULL, NULL, NULL),
(148, 'CO1709-0111', 1, NULL, NULL, NULL, 2273, NULL, '2017-10-02 12:25:19', '2017-09-20 15:25:37', '2017-09-20 15:28:07', '2017-10-02 14:16:58', '2017-09-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 74.53000000, 0.00000000, 0.00000000, 372.64000000, 447.17000000, '', 'Mise en place et raccordement compresseur de pret ALMIG BELT &agrave; 14704 HEURES', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 372.64000000, 74.53000000, 447.17000000, NULL, NULL, NULL),
(152, 'CO1709-0113', 1, NULL, NULL, NULL, 2388, NULL, '2018-02-05 09:09:22', '2017-09-22 15:35:14', '2017-09-22 15:35:45', '2017-10-31 16:27:25', '2017-09-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 938.27000000, 0.00000000, 0.00000000, 4691.34000000, 5629.61000000, '', 'fourniture tuyau pour echappement du moteur thermique compresseur', 'einstein', 1, NULL, NULL, 12, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4691.34000000, 938.27000000, 5629.61000000, NULL, NULL, NULL),
(154, 'CO1709-0114', 1, NULL, NULL, NULL, 2347, NULL, '2017-10-23 08:23:15', '2017-09-25 09:59:00', '2017-09-25 09:59:10', '2017-10-23 10:23:15', '2017-09-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 23.16000000, 0.00000000, 0.00000000, 115.80000000, 138.96000000, '', 'Ventilateur pour s&eacute;cheur COMPAIR F039HS :&nbsp;<br />\r\n<br />\r\nD&eacute;lai : 10/10/2017', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 115.80000000, 23.16000000, 138.96000000, NULL, NULL, NULL),
(156, 'CO1709-0115', 1, NULL, NULL, NULL, 2215, NULL, '2017-10-13 09:26:54', '2017-09-26 15:43:58', '2017-09-26 15:44:02', '2017-10-13 11:26:00', '2017-09-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 40.80000000, 0.00000000, 0.00000000, 204.00000000, 244.80000000, '', 'enrouleur waterreel', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 204.00000000, 40.80000000, 244.80000000, NULL, NULL, NULL),
(158, 'CO1709-0116', 1, NULL, NULL, NULL, 5741, NULL, '2017-09-29 12:38:42', '2017-09-27 10:08:40', '2017-09-27 10:08:48', '2017-09-29 14:37:46', '2017-09-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 28.48000000, 0.00000000, 0.00000000, 142.42000000, 170.90000000, '', 'Filtre &agrave; air pour Rallye 086 :&nbsp;', 'einstein', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 142.42000000, 28.48000000, 170.90000000, NULL, NULL, NULL),
(160, 'CO1709-0117', 1, NULL, NULL, NULL, 2285, NULL, '2017-10-13 14:50:11', '2017-09-29 10:36:17', '2017-09-29 10:36:24', '2017-10-13 16:37:57', '2017-09-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 27.84000000, 0.00000000, 0.00000000, 139.20000000, 167.04000000, '', 'Probl&egrave;me pour nettoyage de sa vis sans fin&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, 2, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 139.20000000, 27.84000000, 167.04000000, NULL, NULL, NULL),
(162, 'CO1709-0118', 1, NULL, NULL, NULL, 9371, NULL, '2018-04-26 09:25:28', '2017-09-29 10:47:54', '2017-09-29 10:48:03', '2017-10-23 10:58:56', '2017-09-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1801.50000000, 0.00000000, 0.00000000, 9007.52000000, 10809.02000000, '', '', 'einstein', 1, NULL, NULL, 2, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 9007.52000000, 1801.50000000, 10809.02000000, NULL, NULL, NULL),
(163, 'CO1709-0120', 1, NULL, NULL, NULL, 2127, NULL, '2017-09-29 13:55:54', '2017-09-29 15:41:28', '2017-09-29 15:41:32', '2017-09-29 15:55:16', '2017-09-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 68.06000000, 0.00000000, 0.00000000, 340.32000000, 408.38000000, '', 'Suite &agrave; maintenance de votre compresseur l75SR , notre technicien nous informe que l&#39;accouplement de votre compresseur est d&eacute;faillant , veuillez donc trouver ci desssous notre offre pour le remplcament de l&#39;accouplement de votre compresseeur L75SR COMPAIR :&nbsp;<br />\r\nCommande N&deg;&nbsp; CDA-FCA1710384', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 340.32000000, 68.06000000, 408.38000000, NULL, NULL, NULL),
(164, 'CO1709-0121', 1, NULL, NULL, NULL, 2170, NULL, '2017-09-29 15:03:02', '2017-09-29 16:37:10', '2017-09-29 16:58:44', '2017-09-29 17:02:27', '2017-09-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1803.55000000, 0.00000000, 0.00000000, 9017.22000000, 10821.21000000, '', 'R&eacute;alisation d&#39;un reseau d&#39;air ix&eacute; au canalis en souple&nbsp; et installation d&#39;une rampe canalis pour machines&nbsp; suivant devis accept&eacute;&nbsp;<br />\r\nEn plus value raccordement electrique machine &agrave; d&eacute;couper&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 9017.22000000, 1803.55000000, 10821.21000000, NULL, NULL, NULL),
(165, 'CO1706-0122', 1, NULL, NULL, NULL, 2162, NULL, '2017-10-02 07:33:18', '2017-10-02 09:18:44', '2017-10-02 09:29:24', '2017-10-02 09:31:40', '2017-06-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 4800.00000000, 0.00000000, 0.00000000, 24000.00000000, 28800.00000000, '', 'Fourniture et raccordement compresseur &agrave; vis 37 KW &agrave; vitesse variable COMPAIR L37RS :&nbsp;', 'einstein', 1, NULL, NULL, 1, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 24000.00000000, 4800.00000000, 28800.00000000, NULL, NULL, NULL),
(166, 'CO1710-0123', 1, NULL, NULL, NULL, 2263, NULL, '2017-10-02 10:09:42', '2017-10-02 11:57:53', '2017-10-02 12:09:00', '2017-10-02 12:09:09', '2017-10-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 35.24000000, 0.00000000, 0.00000000, 176.18000000, 211.42000000, '', 'Intervention Lumieres exterieurs - recheche de panne&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 176.18000000, 35.24000000, 211.42000000, NULL, NULL, NULL),
(167, 'CO1709-0124', 1, NULL, NULL, NULL, 1948, NULL, '2017-10-02 13:16:30', '2017-10-02 14:37:26', '2017-10-02 15:01:28', '2017-10-02 15:15:59', '2017-09-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 74.36000000, 0.00000000, 0.00000000, 371.76000000, 446.12000000, '', 'Intervention sur s&eacute;cheur OMI HL0200 N&deg; 17P -026754 - probleme de silencieux&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 371.76000000, 74.36000000, 446.12000000, NULL, NULL, NULL),
(168, 'CO1710-0125', 1, NULL, NULL, NULL, 2373, NULL, '2017-10-02 13:50:11', '2017-10-02 15:30:51', '2017-10-02 15:38:03', '2017-10-02 15:49:26', '2017-10-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 151.64000000, 0.00000000, 0.00000000, 758.16000000, 909.80000000, '', 'Intervention sur compresseur Ingersollrand IRN 5K TAS 7H &agrave; 10733 Heures- problemes de temperature et probleme d&#39;arret d&#39;urgence&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 758.16000000, 151.64000000, 909.80000000, NULL, NULL, NULL),
(170, 'CO1710-0126', 1, NULL, NULL, NULL, 1935, NULL, '2017-10-23 07:40:28', '2017-10-03 09:24:16', '2017-10-03 09:24:40', '2017-10-23 09:40:28', '2017-10-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 173.78000000, 0.00000000, 0.00000000, 868.90000000, 1042.68000000, '', 'En remplacement de votre s&eacute;cheur par r&eacute;frigeration F0018HS &nbsp;( 108 m3/h ) COMPAIR Nous vous proposons un s&eacute;cheur F018S ( 108 m3/h) par r&eacute;frigeration compair -&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 868.90000000, 173.78000000, 1042.68000000, NULL, NULL, NULL),
(171, 'CO1710-0127', 1, NULL, NULL, NULL, 2191, NULL, '2017-10-03 08:42:20', '2017-10-03 10:14:52', '2017-10-03 10:29:14', '2017-10-03 10:34:51', '2017-10-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 240.00000000, 0.00000000, 0.00000000, 1200.00000000, 1440.00000000, '', 'Location d&#39;un aspirateur -<br />\r\n<br />\r\nPret pouvant &ecirc;tre gratuit&nbsp; ( d&eacute;duit ) sous r&eacute;serve de nous confier la commande d&#39;une machine neuve ou d&#39;un nouveau systeme d&#39;aspiration .', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1200.00000000, 240.00000000, 1440.00000000, NULL, NULL, NULL),
(172, 'CO1710-0128', 1, NULL, NULL, NULL, 2330, NULL, '2017-10-03 09:55:52', '2017-10-03 11:44:52', '2017-10-03 11:46:32', '2017-10-03 11:54:47', '2017-10-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 48.55000000, 0.00000000, 0.00000000, 242.72000000, 291.27000000, '', 'Intervention sur s&eacute;cheur MPF101 - Remplacement purge &eacute;lectropilot&eacute;&eacute;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 242.72000000, 48.55000000, 291.27000000, NULL, NULL, NULL),
(175, 'CO1710-0130', 1, NULL, NULL, NULL, 2373, NULL, '2017-12-27 14:10:02', '2017-10-05 08:18:42', '2017-10-05 08:18:48', '2017-12-27 15:09:41', '2017-10-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 112.33000000, 0.00000000, 0.00000000, 561.64000000, 673.97000000, '', 'Reparation compresseur Ingersollrand - remplacement flexible&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 561.64000000, 112.33000000, 673.97000000, NULL, NULL, NULL),
(176, 'CO1710-0131', 1, NULL, NULL, NULL, 2178, NULL, '2017-11-03 10:51:59', '2017-10-05 09:27:03', '2017-10-05 09:40:14', NULL, '2017-10-05', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 146.70000000, 0.00000000, 0.00000000, 733.50000000, 880.20000000, '', 'Perceuses RODCRAFT avec mandrin auto 13mm', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 733.50000000, 146.70000000, 880.20000000, NULL, NULL, NULL),
(178, 'CO1710-0132', 1, NULL, NULL, NULL, 2407, NULL, '2018-02-08 11:09:54', '2017-10-06 09:21:32', '2017-10-06 09:21:38', '2017-10-23 10:22:09', '2017-10-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 40.32000000, 0.00000000, 0.00000000, 201.59000000, 241.91000000, '', 'Separateur de condensats kit de maintenance OWAMAT 5R :&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 201.59000000, 40.32000000, 241.91000000, NULL, NULL, NULL),
(179, 'CO1710-0133', 1, NULL, NULL, 'comp a piston', 12645, NULL, '2017-10-13 08:26:58', '2017-10-06 10:50:17', '2017-10-06 10:51:36', '2017-10-13 10:26:28', '2017-10-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 102.00000000, 0.00000000, 0.00000000, 510.00000000, 612.00000000, '', 'Compresseur &agrave; piston perso&nbsp;', 'einstein', 1, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 510.00000000, 102.00000000, 612.00000000, NULL, NULL, NULL),
(181, 'CO1710-0134', 1, NULL, NULL, 'aspirateur', 2347, NULL, '2017-10-24 09:32:36', '2017-10-06 11:17:14', '2017-10-06 11:19:20', '2017-10-23 10:21:46', '2017-10-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 33.28000000, 0.00000000, 0.00000000, 166.40000000, 199.68000000, '', 'En remplacement de l&#39;aspirateur PROMAC VAC127 - aspirateur eau et poussiere - 30 min d&#39;utilisation quotidienne - capacit&eacute; 27 litres - cuve inox - 230 V 1500W poids 9kg 205m3/h :&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 166.40000000, 33.28000000, 199.68000000, NULL, NULL, NULL),
(182, 'CO1710-0135', 1, NULL, NULL, NULL, 2235, NULL, '2017-10-24 08:30:37', '2017-10-09 09:01:47', '2017-10-24 10:29:43', '2017-10-24 10:30:02', '2017-10-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 104.93000000, 0.00000000, 0.00000000, 524.67000000, 629.60000000, '', 'maintenance L15vs', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 524.67000000, 104.93000000, 629.60000000, NULL, NULL, NULL),
(184, 'CO1710-0136', 1, NULL, NULL, NULL, 2252, NULL, '2017-10-13 09:51:57', '2017-10-09 11:03:42', '2017-10-09 11:04:09', '2017-10-13 11:51:01', '2017-10-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 45.28000000, 0.00000000, 0.00000000, 226.38000000, 271.66000000, '', 'Remplacement de filtres r&eacute;seaux&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, 2, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 226.38000000, 45.28000000, 271.66000000, NULL, NULL, NULL),
(185, 'CO1710-0137', 1, NULL, NULL, NULL, 2719, NULL, '2017-10-09 09:59:30', '2017-10-09 11:56:19', '2017-10-09 11:57:16', '2017-10-09 11:57:22', '2017-10-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 75.51000000, 0.00000000, 0.00000000, 377.58000000, 453.09000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 377.58000000, 75.51000000, 453.09000000, NULL, NULL, NULL),
(186, 'CO1710-0138', 1, NULL, NULL, NULL, 1948, NULL, '2017-10-20 12:45:31', '2017-10-10 08:59:19', '2017-10-10 09:17:10', '2017-10-19 12:10:54', '2017-10-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 27.21000000, 0.00000000, 0.00000000, 136.04000000, 163.25000000, '', 'vanne 3 voies', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 136.04000000, 27.21000000, 163.25000000, NULL, NULL, NULL),
(188, 'CO1710-0139', 1, NULL, NULL, NULL, 2122, NULL, '2017-10-20 13:55:25', '2017-10-11 09:10:35', '2017-10-20 14:20:53', '2017-10-20 15:54:11', '2017-10-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 25.03000000, 0.00000000, 0.00000000, 125.16000000, 150.19000000, '', 'Soupape&nbsp;en 1&nbsp;/2 tar&eacute;e a 7 bars.', 'einstein', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 125.16000000, 25.03000000, 150.19000000, NULL, NULL, NULL),
(190, 'CO1710-0140', 1, NULL, NULL, NULL, 2006, NULL, '2017-10-20 13:02:32', '2017-10-11 09:12:31', '2017-10-11 09:12:36', '2017-10-20 15:01:51', '2017-10-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 125.90000000, 0.00000000, 0.00000000, 629.50000000, 755.40000000, '', 'Maintenance compresseur ALUP :&nbsp;<br />\r\n- Contr&ocirc;les et v&eacute;rifications &nbsp;pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es&nbsp;<br />\r\n&nbsp;-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n&nbsp;- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la &nbsp;joun&eacute;e<br />\r\n&nbsp;- Audit GRATUIT , ... etc<br />\r\n&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 629.50000000, 125.90000000, 755.40000000, NULL, NULL, NULL),
(191, 'CO1710-0141', 1, NULL, NULL, NULL, 12666, NULL, '2019-06-12 13:28:47', '2017-10-11 09:33:51', '2017-10-11 09:39:01', '2017-10-23 10:21:18', '2017-10-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 148.86000000, 0.00000000, 0.00000000, 744.26000000, 893.12000000, '', 'Maintenance compresseur MAC 3 - site de ST julien Molin molette&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 744.26000000, 148.86000000, 893.12000000, NULL, NULL, NULL),
(193, 'CO1710-0142', 1, NULL, NULL, NULL, 2064, NULL, '2017-11-20 10:50:01', '2017-10-11 16:00:26', '2017-11-20 11:46:46', '2017-11-20 11:48:33', '2017-10-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 394.55000000, 0.00000000, 0.00000000, 1972.71000000, 2367.26000000, '', 'remplcament vanne thermostatique sur l37', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1972.71000000, 394.55000000, 2367.26000000, NULL, NULL, NULL),
(196, 'CO1710-0143', 1, NULL, NULL, NULL, 2064, NULL, '2017-10-13 07:29:55', '2017-10-13 09:28:20', '2017-10-13 09:28:31', '2017-10-13 09:29:02', '2017-10-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 584.23000000, 0.00000000, 0.00000000, 2921.14000000, 3505.37000000, '', 'Maintenance L80 N&deg; CD10000635001 &agrave; 29730 Heures&nbsp;<br />\r\nBL N&deg;15 du 11/10/2017', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2921.14000000, 584.23000000, 3505.37000000, NULL, NULL, NULL),
(197, 'CO1710-0145', 1, NULL, NULL, NULL, 2064, NULL, '2017-10-13 07:37:16', '2017-10-13 09:35:04', '2017-10-13 09:36:13', '2017-10-13 09:36:46', '2017-10-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 339.05000000, 0.00000000, 0.00000000, 1695.19000000, 2034.24000000, '', 'Maintenance L37 N&deg; CD10001720002', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1695.19000000, 339.05000000, 2034.24000000, NULL, NULL, NULL),
(199, 'CO1710-0146', 1, NULL, NULL, NULL, 2142, NULL, '2017-10-13 08:42:38', '2017-10-13 10:40:03', '2017-10-13 10:40:10', '2017-10-13 10:42:11', '2017-10-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 100.57000000, 0.00000000, 0.00000000, 502.83000000, 603.40000000, '', 'Maintenance L22SR N&deg;CD10003983002 &agrave; 14010 HRS<br />\r\nBL N&deg; 16 du 11/10/2017', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 502.83000000, 100.57000000, 603.40000000, NULL, NULL, NULL),
(200, 'CO1710-0147', 1, NULL, NULL, NULL, 2122, NULL, '2017-10-31 09:29:39', '2017-10-13 16:13:00', '2017-10-13 16:14:33', '2017-10-23 10:59:50', '2017-10-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 632.02000000, 0.00000000, 0.00000000, 3160.09000000, 3792.11000000, '', 'Maintenance L75RS', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3160.09000000, 632.02000000, 3792.11000000, NULL, NULL, NULL),
(202, 'CO1710-0148', 1, NULL, NULL, '5631', 2354, NULL, '2017-10-24 09:15:23', '2017-10-16 10:30:34', '2017-10-16 10:30:44', '2017-10-17 16:26:14', '2017-10-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 60.99000000, 0.00000000, 0.00000000, 304.95000000, 365.94000000, '', 'Riveuteuse rodcraft pour rivet alu cuivre et acier de 2.4 &agrave; 6.4mm :', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 304.95000000, 60.99000000, 365.94000000, NULL, NULL, NULL),
(203, 'CO1710-0149', 1, NULL, NULL, 'BC201701004397', 12598, NULL, '2018-02-23 09:33:27', '2017-10-16 11:47:19', '2018-02-23 10:26:28', '2018-02-23 10:30:41', '2017-10-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 2124.20000000, 0.00000000, 0.00000000, 10621.00000000, 12745.20000000, '', 'Acquisition materiel de garage :&nbsp;', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 10621.00000000, 2124.20000000, 12745.20000000, NULL, NULL, NULL),
(204, 'CO1710-0150', 1, NULL, NULL, NULL, 2155, NULL, '2018-02-22 09:46:51', '2017-10-18 14:47:37', '2017-10-18 14:50:17', '2017-11-03 11:46:54', '2017-10-18', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 100.50000000, 0.00000000, 0.00000000, 502.49000000, 602.99000000, '', 'Maintenance L04 N&deg; BA37888001&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 502.49000000, 100.50000000, 602.99000000, NULL, NULL, NULL),
(205, 'CO1710-0151', 1, NULL, NULL, NULL, 1955, NULL, '2017-10-19 07:43:45', '2017-10-19 09:37:10', '2017-10-19 09:38:52', '2017-10-19 09:43:27', '2017-10-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 109.10000000, 0.00000000, 0.00000000, 545.45000000, 654.55000000, '', 'Maintenance L07 de 2009 N&deg; CD10000211002 &agrave; 6472 HRS<br />\r\nBL N&deg;17 du 13/10/2017', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 545.45000000, 109.10000000, 654.55000000, NULL, NULL, NULL),
(206, 'CO1710-0152', 1, NULL, NULL, NULL, 2170, NULL, '2017-10-19 09:29:00', '2017-10-19 11:26:22', '2017-10-19 11:28:21', '2017-10-19 11:28:37', '2017-10-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 56.72000000, 0.00000000, 0.00000000, 283.58000000, 340.30000000, '', 'Branchement machines de production raccordement electrique et raccordement en air :&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 283.58000000, 56.72000000, 340.30000000, NULL, NULL, NULL),
(207, 'CO1710-0153', 1, NULL, NULL, NULL, 12651, NULL, '2017-10-26 13:39:10', '2017-10-19 14:24:38', '2017-10-19 14:55:56', '2017-10-26 15:38:38', '2017-10-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 516.96000000, 0.00000000, 0.00000000, 2585.00000000, 3101.96000000, '', 'R&eacute;fection reseau AC sur 3 points avec d&eacute;pose et feraillage des materiaux obsoletes - Mise en conformit&eacute; distribution AC sur 3 postes et implantation comme vu avec votre collaborateur :&nbsp;', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2585.00000000, 516.96000000, 3101.96000000, NULL, NULL, NULL),
(208, 'CO1710-0154', 1, NULL, NULL, NULL, 2168, NULL, '2018-04-26 09:26:23', '2017-10-19 16:18:28', '2017-10-19 16:20:36', '2017-11-03 11:46:12', '2017-10-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 183.26000000, 0.00000000, 0.00000000, 916.30000000, 1099.56000000, '', 'Maintenance L11 N&deg;BA22910002 - owamat 10 et filtres reseaux', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 916.30000000, 183.26000000, 1099.56000000, NULL, NULL, NULL),
(209, 'CO1710-0155', 1, NULL, NULL, NULL, 12581, NULL, '2017-10-20 13:49:46', '2017-10-20 15:33:46', '2017-10-20 15:45:00', '2017-10-20 15:49:26', '2017-10-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 171.84000000, 0.00000000, 0.00000000, 859.16000000, 1031.00000000, '', 'Intervention compresseur ATLAS GA15FF API329281 &agrave; 3033 Heures - Problemes moteur &eacute;lectriques&nbsp;', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 859.16000000, 171.84000000, 1031.00000000, NULL, NULL, NULL),
(210, 'CO1710-0156', 1, NULL, NULL, NULL, 2077, NULL, '2018-04-26 09:26:35', '2017-10-23 12:22:30', '2017-12-07 09:54:59', '2017-12-07 09:55:03', '2017-10-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 282.94000000, 0.00000000, 0.00000000, 1414.70000000, 1697.64000000, '', 'Maintenance L22RS', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1414.70000000, 282.94000000, 1697.64000000, NULL, NULL, NULL),
(211, 'CO1710-0158', 1, NULL, NULL, NULL, 2261, NULL, '2017-12-22 10:34:35', '2017-10-23 15:05:14', '2017-10-23 15:09:54', '2017-11-03 11:44:41', '2017-10-23', 5, NULL, 5, 5, NULL, -1, 0.00000000, 0, NULL, 0, 242.30000000, 0.00000000, 0.00000000, 1211.50000000, 1453.80000000, '', 'Maintenance HV02 et maco :&nbsp;', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1211.50000000, 242.30000000, 1453.80000000, NULL, NULL, NULL),
(213, 'CO1710-0219', 1, NULL, NULL, NULL, 2247, NULL, '2018-02-21 09:27:19', '2017-10-24 10:36:27', '2018-02-21 10:26:50', '2018-02-21 10:27:09', '2017-10-24', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 83.09000000, 0.00000000, 0.00000000, 415.45000000, 498.54000000, '', 'Maintenance l18RS N° cd10018442001 à 19473HRS<br />\r\n<br />\r\nBL N°23 du 05/02/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 415.45000000, 83.09000000, 498.54000000, NULL, NULL, NULL),
(214, 'CO1710-0159', 1, NULL, NULL, NULL, 2247, NULL, '2017-10-24 08:42:03', '2017-10-24 10:36:57', '2017-10-24 10:38:42', '2017-10-24 10:41:04', '2017-10-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 281.47000000, 0.00000000, 0.00000000, 1407.37000000, 1688.84000000, '', 'Maintenance l18RS N&deg; cd10018442001 &agrave; 17451 Heures', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1407.37000000, 281.47000000, 1688.84000000, NULL, NULL, NULL),
(215, 'CO1710-0160', 1, NULL, NULL, NULL, 2273, NULL, '2017-10-24 08:59:36', '2017-10-24 10:53:50', '2017-10-24 10:57:49', '2017-10-24 10:59:22', '2017-10-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 27.69000000, 0.00000000, 0.00000000, 138.44000000, 166.13000000, '', 'Rebranch&eacute; compresseur MOD5-25 pour reprogrammation nouvelle carte -', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 138.44000000, 27.69000000, 166.13000000, NULL, NULL, NULL),
(216, 'CO1710-0161', 1, NULL, NULL, 'secheur', 2347, NULL, '2017-10-24 10:20:10', '2017-10-24 11:58:42', '2017-10-24 11:59:03', '2017-10-24 12:17:57', '2017-10-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 340.00000000, 0.00000000, 0.00000000, 1700.00000000, 2040.00000000, '', 'fourniture et installation s&eacute;cheur 260m3/h .Point de ros&eacute;e 3&deg;', '', 1, NULL, NULL, 2, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1700.00000000, 340.00000000, 2040.00000000, NULL, NULL, NULL),
(217, 'CO1710-0162', 1, NULL, NULL, NULL, 2358, NULL, '2017-10-24 12:25:26', '2017-10-24 14:12:00', '2017-10-24 14:15:42', '2017-10-24 14:15:48', '2017-10-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 237.97000000, 0.00000000, 0.00000000, 1189.84000000, 1427.81000000, '', 'Remplacement moteur sur four poudre suivant BL N&deg; 23 du 02/10/2017', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1189.84000000, 237.97000000, 1427.81000000, NULL, NULL, NULL),
(218, 'CO1710-0163', 1, NULL, NULL, NULL, 2383, NULL, '2017-10-24 12:33:22', '2017-10-24 14:29:44', '2017-10-24 14:31:28', '2017-10-24 14:32:50', '2017-10-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 51.10000000, 0.00000000, 0.00000000, 255.54000000, 306.64000000, '', 'Intervention sur rampe electrique ZONE 1 suivant BL N&deg; 13 du 10/10/2017', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 255.54000000, 51.10000000, 306.64000000, NULL, NULL, NULL),
(219, 'CO1710-0164', 1, NULL, NULL, NULL, 2383, NULL, '2017-10-24 12:42:33', '2017-10-24 14:38:19', '2017-10-24 14:40:12', '2017-10-24 14:42:23', '2017-10-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 100.77000000, 0.00000000, 0.00000000, 503.86000000, 604.63000000, '', 'branchement moteur definitif ITEMA et intervention sur machine GIROMATIE changement bloc transfo et batterie :&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 503.86000000, 100.77000000, 604.63000000, NULL, NULL, NULL),
(220, 'CO1710-0165', 1, NULL, NULL, NULL, 12639, NULL, '2017-10-24 12:47:22', '2017-10-24 14:46:27', '2017-10-24 14:46:39', '2017-10-24 14:46:59', '2017-10-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 184.12000000, 0.00000000, 0.00000000, 920.60000000, 1104.72000000, '', 'Enrouleurs&nbsp; autoreel :&nbsp;', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 920.60000000, 184.12000000, 1104.72000000, NULL, NULL, NULL),
(221, 'CO1710-0166', 1, NULL, NULL, NULL, 5741, NULL, '2017-11-27 14:56:03', '2017-10-25 11:17:35', '2017-10-25 11:18:50', '2017-11-27 15:55:38', '2017-10-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 118.76000000, 0.00000000, 0.00000000, 593.78000000, 712.54000000, '', 'Kit Separateur de condensats :', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 593.78000000, 118.76000000, 712.54000000, NULL, NULL, NULL),
(222, 'CO1710-0167', 1, NULL, NULL, 'Maintenance L18', 1996, NULL, '2017-12-20 09:56:31', '2017-10-25 12:00:08', '2017-10-25 12:00:19', '2017-12-20 10:29:53', '2017-10-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 219.16000000, 0.00000000, 0.00000000, 1095.83000000, 1314.99000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, 2, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1095.83000000, 219.16000000, 1314.99000000, NULL, NULL, NULL),
(223, 'CO1710-0168', 1, NULL, NULL, NULL, 1951, NULL, '2018-04-26 09:41:43', '2017-10-26 10:06:04', '2017-10-26 10:06:33', '2018-04-26 11:41:41', '2017-10-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 4400.05000000, 0.00000000, 0.00000000, 22000.19000000, 26400.24000000, '', 'DOSSIER ECHINARD ET FAURE - SAINT RAMBERT D&#39;ALBON&nbsp;<br />\r\nATELIER CARROSSERIE - EQUIPEMENT NEUF - HANGAR EXISTANT&nbsp;<br />\r\nR&eacute;seau en 28 &agrave; 15 Bars et 10bars ( partie carrosserie ) avec 18 descentes&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 22000.19000000, 4400.05000000, 26400.24000000, NULL, NULL, NULL),
(224, 'CO1710-0169', 1, NULL, NULL, NULL, 2032, NULL, '2018-04-26 09:26:47', '2017-10-26 11:32:46', '2017-11-21 10:18:10', '2017-11-21 10:34:33', '2017-10-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 234.21000000, 0.00000000, 0.00000000, 1171.11000000, 1405.32000000, '', 'maintenance KS58', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1171.11000000, 234.21000000, 1405.32000000, NULL, NULL, NULL),
(225, 'CO1710-0170', 1, NULL, NULL, NULL, 2284, NULL, '2018-04-26 09:27:00', '2017-10-26 11:40:34', '2017-10-26 11:42:36', '2017-11-03 11:43:00', '2017-10-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 127.27000000, 0.00000000, 0.00000000, 636.30000000, 763.57000000, '', 'Maintenance l18RS filtres reseau et separateur de condensats', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 636.30000000, 127.27000000, 763.57000000, NULL, NULL, NULL),
(227, 'CO1710-0171', 1, NULL, NULL, NULL, 10056, NULL, '2018-04-17 12:40:58', '2017-10-26 11:47:20', '2017-11-24 11:51:18', '2017-11-24 11:51:22', '2017-10-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 87.26000000, 0.00000000, 0.00000000, 436.29000000, 523.55000000, '', 'Maintenance l07', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 436.29000000, 87.26000000, 523.55000000, NULL, NULL, NULL),
(228, 'CO1710-0172', 1, NULL, NULL, NULL, 1948, NULL, '2017-10-27 11:48:23', '2017-10-26 12:03:27', '2017-10-26 12:05:52', NULL, '2017-10-26', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 21.30000000, 0.00000000, 0.00000000, 106.48000000, 127.78000000, '', 'Membrane compair DEMAG :', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 106.48000000, 21.30000000, 127.78000000, NULL, NULL, NULL),
(229, 'CO1710-0173', 1, NULL, NULL, NULL, 2279, NULL, '2018-04-26 09:27:12', '2017-10-26 15:02:32', '2017-10-26 15:05:32', '2017-11-03 11:42:02', '2017-10-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 251.03000000, 0.00000000, 0.00000000, 1255.14000000, 1506.17000000, '', 'Maintenance l50', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1255.14000000, 251.03000000, 1506.17000000, NULL, NULL, NULL),
(230, 'CO1710-0174', 1, NULL, NULL, NULL, 1940, NULL, '2018-02-06 11:28:24', '2017-10-30 16:08:03', '2017-10-30 16:08:14', '2017-11-03 11:41:14', '2017-10-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 413.72000000, 0.00000000, 0.00000000, 2068.56000000, 2482.28000000, '', 'Maintenance L45RS N&deg; CD10023839001', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2068.56000000, 413.72000000, 2482.28000000, NULL, NULL, NULL),
(231, 'CO1710-0175', 1, NULL, NULL, NULL, 2062, NULL, '2017-10-31 09:19:01', '2017-10-31 10:14:56', '2017-10-31 10:16:56', '2017-10-31 10:18:37', '2017-10-31', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 54.60000000, 0.00000000, 0.00000000, 273.00000000, 327.60000000, '', 'Intervention sur joint de trappe de visite cuve hors service - reffection joint - remise en service', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 273.00000000, 54.60000000, 327.60000000, NULL, NULL, NULL),
(233, 'CO1710-0176', 1, NULL, NULL, NULL, 2170, NULL, '2018-01-08 10:00:52', '2017-10-31 14:52:57', '2017-10-31 14:53:04', '2017-10-31 15:02:26', '2017-10-31', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 108.27000000, 0.00000000, 0.00000000, 541.36000000, 649.63000000, '', 'Branchement machine neuve .<br />\r\nInstallation filtre reseau en sortie secheur<br />\r\nModification et deplcament air nourice sur canalis :&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 541.36000000, 108.27000000, 649.63000000, NULL, NULL, NULL),
(235, 'CO1711-0177', 1, NULL, NULL, NULL, 2232, NULL, '2017-12-05 15:26:32', '2017-11-02 11:08:45', '2017-11-02 11:10:48', NULL, '2017-11-02', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 16.19000000, 0.00000000, 0.00000000, 80.97000000, 97.16000000, '', 'pieces detachees pour hv02', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 80.97000000, 16.19000000, 97.16000000, NULL, NULL, NULL),
(236, 'CO1711-0178', 1, NULL, NULL, NULL, 2276, NULL, '2017-12-05 13:26:51', '2017-11-03 09:04:39', '2017-11-03 09:05:23', '2017-11-03 11:40:38', '2017-11-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 129.14000000, 0.00000000, 0.00000000, 645.67000000, 774.81000000, '', 'Un owamat neuf et pose <u>( en lieu et place du IRPSG15,</u><u> obsol&egrave;te et dont les consommables ne se font plus),</u> suite &agrave; mon passage de ce matin :<br />\r\n<br />\r\nD&eacute;lai : 10 Jours', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 645.67000000, 129.14000000, 774.81000000, NULL, NULL, NULL),
(238, 'CO1711-0179', 1, NULL, NULL, NULL, 2055, NULL, '2017-11-13 09:08:21', '2017-11-06 10:50:48', '2017-11-06 10:50:57', '2017-11-13 10:07:46', '2017-11-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 591.37000000, 0.00000000, 0.00000000, 2956.84000000, 3548.21000000, '', 'Divers travaux: aspiration, compresseur, air comprim&eacute;', 'einstein', 1, NULL, NULL, 12, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2956.84000000, 591.37000000, 3548.21000000, NULL, NULL, NULL),
(239, 'CO1711-0180', 1, NULL, NULL, NULL, 2076, NULL, '2017-11-27 14:00:07', '2017-11-06 11:05:40', '2017-11-06 11:05:47', '2017-11-27 14:56:34', '2017-11-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 839.97000000, 0.00000000, 0.00000000, 4199.93000000, 5039.90000000, '', 'Projet Air Comprim&eacute;&nbsp;<br />\r\nNouveau Batiment&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4199.93000000, 839.97000000, 5039.90000000, NULL, NULL, NULL),
(240, 'CO1711-0181', 1, NULL, NULL, NULL, 2358, NULL, '2017-11-06 10:47:12', '2017-11-06 11:28:20', '2017-11-06 11:32:05', '2017-11-06 11:46:48', '2017-11-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 76.86000000, 0.00000000, 0.00000000, 384.28000000, 461.14000000, '', 'D&eacute;pannage Four poudre -<br />\r\nBL N&deg; 40 du 06/11/2017<br />\r\nBL N&deg; 39 du 03/11/2017', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 384.28000000, 76.86000000, 461.14000000, NULL, NULL, NULL),
(241, 'CO1711-0182', 1, NULL, NULL, NULL, 2609, NULL, '2017-11-06 10:56:40', '2017-11-06 11:54:54', '2017-11-06 11:56:12', '2017-11-06 11:56:21', '2017-11-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 73.57000000, 0.00000000, 0.00000000, 367.88000000, 441.45000000, '', 'Client final FAURE VALENCE&nbsp;<br />\r\nMr GARRIDO<br />\r\n460 Rue CHARLES DE GAULLE<br />\r\n26800 PORTES LES VALENCE<br />\r\n<br />\r\nMaintenance compresseur et remplacement electrovanne sur s&eacute;cheur .', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 367.88000000, 73.57000000, 441.45000000, NULL, NULL, NULL),
(242, 'CO1711-0183', 1, NULL, NULL, NULL, 2169, NULL, '2017-11-20 13:14:54', '2017-11-06 14:06:03', '2017-11-20 14:12:46', '2017-11-20 14:13:52', '2017-11-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 124.85000000, 0.00000000, 0.00000000, 624.24000000, 749.09000000, '', 'bottarini', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 624.24000000, 124.85000000, 749.09000000, NULL, NULL, NULL),
(243, 'CO1711-0185', 1, NULL, NULL, 'local compresseur', 2234, NULL, '2017-12-26 09:09:17', '2017-11-09 15:15:48', '2017-11-09 15:16:13', '2017-12-26 10:08:27', '2017-11-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 947.00000000, 0.00000000, 0.00000000, 4735.00000000, 5682.00000000, '', 'fourniture et pose conduit d&#39;evacuation d&#39;air chaud pour le compresseur L45RS', '', 1, NULL, NULL, 12, 2, NULL, NULL, NULL, 4, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4735.00000000, 947.00000000, 5682.00000000, NULL, NULL, NULL),
(244, 'CO1711-0186', 1, NULL, NULL, NULL, 2136, NULL, '2017-12-21 09:48:18', '2017-11-09 15:44:18', '2017-11-09 15:44:35', '2017-12-21 10:31:23', '2017-11-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 108.53000000, 0.00000000, 0.00000000, 542.63000000, 651.16000000, '', 'Maintenance rsdk pro 5.5 N&deg;639018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 542.63000000, 108.53000000, 651.16000000, NULL, NULL, NULL),
(245, 'CO1711-0188', 1, NULL, NULL, 'Local B3', 2102, NULL, '2017-12-27 10:58:38', '2017-11-10 10:51:36', '2017-11-10 11:10:12', '2017-12-27 11:57:20', '2017-11-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 3024.37000000, 0.00000000, 0.00000000, 15121.87000000, 18146.24000000, '', 'Amenagement electrique et air comprimé local B3, abaissement neons + remplacement par tube LEDS', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, 4, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 15121.87000000, 3024.37000000, 18146.24000000, NULL, NULL, NULL),
(246, 'CO1711-0187', 1, NULL, NULL, 'Maintenance L07', 2149, NULL, '2017-12-27 13:16:44', '2017-11-10 11:05:16', '2017-12-27 14:16:07', '2017-12-27 14:16:29', '2017-11-10', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 125.18000000, 0.00000000, 0.00000000, 625.89000000, 751.07000000, '', 'Maintenance L07 à 7045 HRS - <br />\r\nRemplacement filtre à air , filtre à huile et separateur - vidange - soufflage radiateur et grille d\'entrée<br />\r\nRemplacement kit seprateur de condensats<br />\r\nMise en place d\'une vanne 1/4 à la place d\'un purgeur defectueux sur filtre réseau .<br />\r\n<br />\r\nBL N° 4 du 04/12/2017', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 625.89000000, 125.18000000, 751.07000000, NULL, NULL, NULL),
(247, 'CO1711-0189', 1, NULL, NULL, '2311294/189992', 2350, NULL, '2018-01-12 10:47:10', '2017-11-10 14:18:24', '2017-11-10 14:19:25', NULL, '2017-11-10', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 383.35000000, 0.00000000, 0.00000000, 1916.76000000, 2300.11000000, '', 'accu ehv 2.5l 690 bars', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1916.76000000, 383.35000000, 2300.11000000, NULL, NULL, NULL),
(248, 'CO1711-0190', 1, NULL, NULL, 'Claudine Thenadey', 2350, NULL, '2017-11-24 13:18:36', '2017-11-10 14:24:21', '2017-11-10 14:24:32', '2017-11-24 14:18:04', '2017-11-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 2.73000000, 0.00000000, 0.00000000, 13.66000000, 16.39000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 13.66000000, 2.73000000, 16.39000000, NULL, NULL, NULL),
(249, 'CO1711-0191', 1, NULL, NULL, 'Maintenance L45 RS', 2350, NULL, '2017-11-21 08:35:27', '2017-11-10 14:27:47', '2017-11-10 14:28:08', '2017-11-21 09:33:34', '2017-11-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 321.87000000, 0.00000000, 0.00000000, 1609.33000000, 1931.20000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1609.33000000, 321.87000000, 1931.20000000, NULL, NULL, NULL),
(250, 'CO1711-0192', 1, NULL, NULL, NULL, 2300, NULL, '2018-04-26 09:27:27', '2017-11-10 15:34:11', '2017-11-10 15:38:35', '2017-12-27 14:44:58', '2017-11-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 447.83000000, 0.00000000, 0.00000000, 2239.09000000, 2686.92000000, '', 'Maintenance l45 et filtres reseaux et owamat 14', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2239.09000000, 447.83000000, 2686.92000000, NULL, NULL, NULL),
(251, 'CO1711-0193', 1, NULL, NULL, NULL, 2029, NULL, '2017-11-27 13:25:31', '2017-11-10 16:31:19', '2017-11-27 09:43:11', '2017-11-27 14:25:09', '2017-11-10', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 206.97000000, 0.00000000, 0.00000000, 1034.81000000, 1241.78000000, '', 'maintenance L11 à 29451 HRS - Mise en place d\'un clapet d\'aspiration d\'occasion provisoire .', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1034.81000000, 206.97000000, 1241.78000000, NULL, NULL, NULL);
INSERT INTO `llx_commande` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_cloture`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_cloture`, `source`, `fk_statut`, `amount_ht`, `remise_percent`, `remise_absolue`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `facture`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_livraison`, `fk_shipping_method`, `fk_warehouse`, `fk_availability`, `fk_input_reason`, `fk_delivery_address`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(252, 'CO1711-0194', 1, NULL, NULL, NULL, 2055, NULL, '2017-11-13 10:04:16', '2017-11-13 10:39:38', '2017-11-13 10:57:28', '2017-11-13 11:03:42', '2017-11-13', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 15.97000000, 0.00000000, 0.00000000, 79.84000000, 95.81000000, '', 'Vidange moto reducteur visco Jet VJ350030EX-', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 79.84000000, 15.97000000, 95.81000000, NULL, NULL, NULL),
(253, 'CO1711-0195', 1, NULL, NULL, NULL, 2118, NULL, '2018-04-26 09:27:52', '2017-11-13 12:16:53', '2017-11-13 12:19:03', '2017-11-13 12:23:30', '2017-11-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 122.78000000, 0.00000000, 0.00000000, 613.90000000, 736.68000000, '', 'Intervention sur compresseur INGERSOLLRAND SSR MH11 N090MIIE13474 &agrave; 1371 HRS -<br />\r\nFuite d&#39;huile', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 613.90000000, 122.78000000, 736.68000000, NULL, NULL, NULL),
(254, 'CO1711-0196', 1, NULL, NULL, NULL, 2729, NULL, '2018-04-26 09:27:55', '2017-11-13 14:30:36', '2017-11-13 14:40:10', '2017-11-13 14:43:24', '2017-11-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 314.12000000, 0.00000000, 0.00000000, 1570.64000000, 1884.76000000, '', 'Intervention compresseur Renner RS1-30 10 sur site EUROVIA JOUANNY Station de relavage SAUR 07120 RUOMS', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1570.64000000, 314.12000000, 1884.76000000, NULL, NULL, NULL),
(255, 'CO1711-0197', 1, NULL, NULL, NULL, 2401, NULL, '2017-11-14 08:53:17', '2017-11-14 09:34:32', '2017-11-14 09:48:10', '2017-11-14 09:53:05', '2017-11-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 212.31000000, 0.00000000, 0.00000000, 1061.60000000, 1273.91000000, '', 'Modification arriv&eacute;e d&#39;eau d&#39;embouteillage sur embouteilleuse pour permettre lavage .<br />\r\nAjout batterie de filtres sur arriv&eacute;e d&#39;eau de lavage ( eau de ville ) sur embouteilleuse .<br />\r\nSuivant BL n&deg; 28 du 08/11/2017', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1061.60000000, 212.31000000, 1273.91000000, NULL, NULL, NULL),
(257, 'CO1711-0198', 1, NULL, NULL, NULL, 1948, NULL, '2017-11-27 14:26:14', '2017-11-15 15:27:41', '2017-11-16 08:59:07', '2017-11-27 15:26:00', '2017-11-15', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 13.52000000, 0.00000000, 0.00000000, 67.60000000, 81.12000000, '', 'courroies A70', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 67.60000000, 13.52000000, 81.12000000, NULL, NULL, NULL),
(258, 'CO1711-0199', 1, NULL, NULL, NULL, 2175, NULL, '2018-02-14 14:41:41', '2017-11-16 09:55:19', '2017-11-16 09:55:48', '2018-02-14 15:29:33', '2017-11-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 154.01000000, 0.00000000, 0.00000000, 770.06000000, 924.07000000, '', 'Maintenance compresseur GA115 :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 770.06000000, 154.01000000, 924.07000000, NULL, NULL, NULL),
(259, 'CO1711-0200', 1, NULL, NULL, NULL, 2175, NULL, '2018-02-14 14:47:07', '2017-11-16 09:58:36', '2018-02-14 15:42:55', '2018-02-14 15:46:51', '2017-11-16', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 108.21000000, 0.00000000, 0.00000000, 541.02000000, 649.23000000, '', 'Maintenance Sullair Trek 15HH à 10590 HRS <br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 541.02000000, 108.21000000, 649.23000000, NULL, NULL, NULL),
(260, 'CO1711-0201', 1, NULL, NULL, NULL, 2124, NULL, '2018-04-26 09:28:52', '2017-11-16 10:11:57', '2017-11-16 10:17:38', '2017-12-08 11:06:59', '2017-11-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 247.46000000, 0.00000000, 0.00000000, 1237.26000000, 1484.72000000, '', 'maintenance L11', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1237.26000000, 247.46000000, 1484.72000000, NULL, NULL, NULL),
(261, 'CO1711-0202', 1, NULL, NULL, NULL, 2122, NULL, '2018-04-26 09:28:49', '2017-11-16 11:33:13', '2017-11-16 11:38:18', '2017-11-24 11:19:23', '2017-11-16', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 19.70000000, 0.00000000, 0.00000000, 98.52000000, 118.22000000, '', 'soupape 7 bars passage min demandé 840 m3/h raccordement 1\" debit annoncé 1500 m3/h <br />\r\n<br />\r\nDélai : Réception dans nos locaux annoncé fin de semaine 47', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 98.52000000, 19.70000000, 118.22000000, NULL, NULL, NULL),
(262, 'CO1711-0203', 1, NULL, NULL, NULL, 2068, NULL, '2017-12-28 09:12:17', '2017-11-16 14:45:51', '2017-11-16 14:45:59', '2017-12-28 10:11:17', '2017-11-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 32.50000000, 0.00000000, 0.00000000, 162.50000000, 195.00000000, '', 'Fourniture relai pour L05 : <br />\r\n<br />\r\nDélai : 05/12/2017', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 162.50000000, 32.50000000, 195.00000000, NULL, NULL, NULL),
(263, 'CO1711-0204', 1, NULL, NULL, NULL, 12667, NULL, '2018-04-26 09:42:42', '2017-11-17 09:07:39', '2017-11-17 09:07:56', '2018-04-26 11:42:42', '2017-11-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 121.39000000, 0.00000000, 0.00000000, 606.98000000, 728.37000000, '', 'Maintenance compresseur GX7PEL N° CAI936177 de 2016  et verification des connectiques et purge du secheur par réfrigération FX4 de 2016 :\r\n<p>- Contrôles et vérifications préconisés par le constructeur<br />\r\n- Vérification sécheur et purge<br />\r\n- Tous contrôles électriques ( contacteurs , tous organes électriques identifiés lors de la maintenance ) par nos électriciens dans le local technique<br />\r\n- Hors autres pièces défectueuses pouvant être trouvées<br />\r\n-<u> Garantie 6 mois sur pièces filtration et maintenance</u> effectuée<br />\r\n- <u>Prêt GRATUIT </u>d\'un compresseur de 0 à 100 CV dans la jounée<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', '', 1, NULL, NULL, 2, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 606.98000000, 121.39000000, 728.37000000, NULL, NULL, NULL),
(264, 'CO1711-0205', 1, NULL, NULL, NULL, 5741, NULL, '2017-12-20 09:04:39', '2017-11-17 09:15:28', '2017-11-17 09:15:37', '2017-12-06 14:27:26', '2017-11-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 105.92000000, 0.00000000, 0.00000000, 529.62000000, 635.54000000, '', 'cartouches filtres reseaux :&nbsp;', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 529.62000000, 105.92000000, 635.54000000, NULL, NULL, NULL),
(265, 'CO1711-0206', 1, NULL, NULL, NULL, 2001, NULL, '2018-04-26 09:28:55', '2017-11-17 09:16:35', '2017-11-17 09:16:45', '2017-12-05 09:37:40', '2017-11-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 52.46000000, 0.00000000, 0.00000000, 262.33000000, 314.79000000, '', '<p style=\"margin-left:70.5pt\">Pieces d&eacute;tach&eacute;es pour compresseur SK22&nbsp;&nbsp;&nbsp;&nbsp; N&deg;101952.0&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; N&deg;SERIE&nbsp;: 1902</p>\r\n\r\n<p style=\"margin-left:70.5pt\">Ann&eacute;e 2014&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Puissance 11 KW</p>\r\n\r\n<p style=\"margin-left:70.5pt\">Vitesse moteur 2960 tr/min&nbsp;&nbsp; 8 bars pression</p>\r\n\r\n<p style=\"margin-left:35.4pt; text-align:justify\">&nbsp;</p>\r\n\r\n<ul>\r\n	<li style=\"text-align:justify\"><span style=\"font-size:12.0pt\">1 filtre &agrave; huile KAESER&nbsp;&nbsp;&nbsp; REF 1200</span></li>\r\n	<li style=\"text-align:justify\"><span style=\"font-size:12.0pt\">2 filtres &agrave; air&nbsp; KAESER&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; REF 1250</span></li>\r\n	<li style=\"text-align:justify\"><span style=\"font-size:12.0pt\">1 cartouche s&eacute;paratrice d&rsquo;huile&nbsp; KAESER&nbsp;&nbsp; REF 1450</span></li>\r\n	<li style=\"text-align:justify\"><span style=\"font-size:12.0pt\">2 nattes filtrante KAESER ( &eacute;lectrique)&nbsp;&nbsp;&nbsp;&nbsp; REF 1100</span></li>\r\n</ul>\r\n', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 262.33000000, 52.46000000, 314.79000000, NULL, NULL, NULL),
(266, 'CO1711-0207', 1, NULL, NULL, NULL, 2161, NULL, '2017-12-07 10:14:41', '2017-11-17 12:09:28', '2017-11-17 12:13:25', '2017-12-07 11:13:54', '2017-11-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 185.43000000, 0.00000000, 0.00000000, 927.21000000, 1112.64000000, '', 'maintenance rollair 15 :&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 927.21000000, 185.43000000, 1112.64000000, NULL, NULL, NULL),
(267, 'CO1711-0208', 1, NULL, NULL, NULL, 12668, NULL, '2017-11-23 14:42:53', '2017-11-17 14:55:20', '2017-11-17 15:01:19', '2017-11-23 15:38:32', '2017-11-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 79.60000000, 0.00000000, 0.00000000, 398.00000000, 477.60000000, '', 'Fourniture gaine diametre 160 :&nbsp;', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 398.00000000, 79.60000000, 477.60000000, NULL, NULL, NULL),
(268, 'CO1711-0209', 1, NULL, NULL, NULL, 2055, NULL, '2017-11-20 13:00:39', '2017-11-20 13:57:01', '2017-11-20 13:58:42', '2017-11-20 14:00:25', '2017-11-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 30.79000000, 0.00000000, 0.00000000, 153.96000000, 184.75000000, '', 'Intervention MOTO REDUCTEUR VISCO JET&nbsp;<br />\r\nRevidange et niveau d&#39;huile<br />\r\n<br />\r\nBL N&deg;45 du 15/11/2017', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 153.96000000, 30.79000000, 184.75000000, NULL, NULL, NULL),
(269, 'CO1711-0210', 1, NULL, NULL, NULL, 2169, NULL, '2017-11-20 15:15:18', '2017-11-20 15:29:09', '2017-11-20 16:07:42', '2017-11-20 16:08:44', '2017-11-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 40.80000000, 0.00000000, 0.00000000, 203.99000000, 244.79000000, '', 'depannage DIlatoflex HS - remplcament de celui ci BL N&deg; 20 du 14/11/2017<br />\r\ndepannage fuite r&eacute;aspiration d&#39;huile - remplacement de celle ci BL N&deg;47 du 17/11/2017 - Prise en garantie SFACS', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 203.99000000, 40.80000000, 244.79000000, NULL, NULL, NULL),
(270, 'CO1711-0211', 1, NULL, NULL, NULL, 2064, NULL, '2017-12-07 08:38:17', '2017-11-20 16:21:16', '2017-11-22 14:40:30', '2017-11-22 14:40:59', '2017-11-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 86.19000000, 0.00000000, 0.00000000, 430.96000000, 517.15000000, '', 'suite &agrave; l&#39;intervention de notre technicien le 13/11/2017 , nous vous proposons la vanne thermostatique COMPAIR install&eacute;e par vos soins :&nbsp;<br />\r\n<br />\r\nD&eacute;lai : 15 jours &agrave; r&eacute;ception de commande', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 430.96000000, 86.19000000, 517.15000000, NULL, NULL, NULL),
(271, 'CO1711-0212', 1, NULL, NULL, NULL, 2076, NULL, '2017-11-27 13:37:33', '2017-11-20 16:32:24', '2017-11-20 16:32:42', '2017-11-27 14:37:09', '2017-11-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 79.84000000, 0.00000000, 0.00000000, 399.20000000, 479.04000000, '', 'fourniture en plus value FRL sur chaques descentes :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 399.20000000, 79.84000000, 479.04000000, NULL, NULL, NULL),
(272, 'CO1711-0213', 1, NULL, NULL, 'Maintenance L15 RS', 2286, NULL, '2017-11-21 08:59:45', '2017-11-21 09:45:35', '2017-11-21 09:45:42', '2017-11-21 09:58:35', '2017-11-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 79.32000000, 0.00000000, 0.00000000, 396.59000000, 475.91000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 396.59000000, 79.32000000, 475.91000000, NULL, NULL, NULL),
(273, 'CO1711-0214', 1, NULL, NULL, NULL, 1988, NULL, '2017-11-27 14:42:02', '2017-11-21 14:38:18', '2017-11-27 15:37:47', '2017-11-27 15:41:24', '2017-11-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 187.13000000, 0.00000000, 0.00000000, 935.65000000, 1122.78000000, '', 'maintenance L55rs', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 935.65000000, 187.13000000, 1122.78000000, NULL, NULL, NULL),
(274, 'CO1711-0215', 1, NULL, NULL, '507982', 2123, NULL, '2018-04-26 09:28:59', '2017-11-21 16:02:15', '2018-02-01 09:13:49', '2018-02-01 11:00:38', '2017-11-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 5338.50000000, 0.00000000, 0.00000000, 26692.46000000, 32030.96000000, '', 'Local AC en remplacement du compresseur GA11 par un compresseur &agrave; vitesse variable 30KW COMPAIR L29RS avec gainage recuperation chauffage et reservoir 1000Litres .', 'einstein', 1, NULL, NULL, 3, 2, '2017-12-18', NULL, NULL, 4, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 26692.46000000, 5338.50000000, 32030.96000000, NULL, NULL, NULL),
(276, 'CO1711-0216', 1, NULL, NULL, NULL, 2055, NULL, '2017-11-22 08:18:21', '2017-11-22 09:13:31', '2017-11-22 09:15:42', '2017-11-22 09:18:07', '2017-11-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 62.71000000, 0.00000000, 0.00000000, 313.56000000, 376.27000000, '', 'D&eacute;pannage Agitateur VISCO JET VJ350030&nbsp;<br />\r\nCreation d&#39;un passage de prises dans la hotte du laboratoire<br />\r\nGraissage moteur 75kw du melangeur avec graisse client&nbsp;<br />\r\n<br />\r\nBL N&deg;48 du 21/11/2017', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 313.56000000, 62.71000000, 376.27000000, NULL, NULL, NULL),
(277, 'CO1711-0217', 1, NULL, NULL, NULL, 2378, NULL, '2017-11-22 09:39:56', '2017-11-22 10:37:37', '2017-11-22 10:39:35', '2017-11-22 10:39:40', '2017-11-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 31.92000000, 0.00000000, 0.00000000, 159.60000000, 191.52000000, '', 'Remplacement electrovanne de purge sur s&eacute;cheur - ACP -', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 159.60000000, 31.92000000, 191.52000000, NULL, NULL, NULL),
(278, 'CO1711-0218', 1, NULL, NULL, NULL, 2284, NULL, '2017-12-05 13:41:01', '2017-11-22 14:29:32', '2017-11-22 14:29:38', '2017-12-05 14:40:09', '2017-11-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 42.45000000, 0.00000000, 0.00000000, 212.26000000, 254.71000000, '', 'SUite &agrave; la maintenance de votre compresseur L18RS COMPAIR , notre technicien a not&eacute; une d&eacute;faillance au niveau de votre purge capacit&eacute; sur votre s&eacute;cheur .<br />\r\nVeuillez trouver ci dessous le devis de remplacement de celle ci par une purge temporis&eacute;e .', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 212.26000000, 42.45000000, 254.71000000, NULL, NULL, NULL),
(279, 'CO1711-0224', 1, NULL, NULL, 'Maintenance L11 VS', 2102, NULL, '2017-11-28 15:11:34', '2017-11-24 10:35:01', '2017-11-28 16:08:29', '2017-11-28 16:11:02', '2017-11-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 74.35000000, 0.00000000, 0.00000000, 371.76000000, 446.11000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 371.76000000, 74.35000000, 446.11000000, NULL, NULL, NULL),
(280, 'CO1711-0220', 1, NULL, NULL, 'Maintenance L18 RS', 2265, NULL, '2017-11-24 13:07:48', '2017-11-24 12:06:46', '2017-11-24 12:06:54', '2017-11-24 14:06:31', '2017-11-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 219.25000000, 0.00000000, 0.00000000, 1096.30000000, 1315.55000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1096.30000000, 219.25000000, 1315.55000000, NULL, NULL, NULL),
(281, 'CO1711-0221', 1, NULL, NULL, NULL, 2376, NULL, '2017-11-24 13:59:05', '2017-11-24 14:51:34', '2017-11-24 14:53:49', '2017-11-24 14:56:34', '2017-11-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 98.16000000, 0.00000000, 0.00000000, 490.80000000, 588.96000000, '', 'Intervention compresseur L11RS N&deg; BA31005001 &agrave; 1825 HEures -&nbsp;<br />\r\n&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 490.80000000, 98.16000000, 588.96000000, NULL, NULL, NULL),
(282, 'CO1711-0222', 1, NULL, NULL, NULL, 10293, NULL, '2018-04-26 09:29:07', '2017-11-27 16:22:06', '2017-11-27 16:22:20', '2017-11-27 16:22:26', '2017-11-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 4400.05000000, 0.00000000, 0.00000000, 22000.19000000, 26400.24000000, '', 'DOSSIER ECHINARD ET FAURE - SAINT RAMBERT D&#39;ALBON&nbsp;<br />\r\nATELIER CARROSSERIE - EQUIPEMENT NEUF - HANGAR EXISTANT&nbsp;<br />\r\nR&eacute;seau en 28 &agrave; 15 Bars et 10bars ( partie carrosserie ) avec 18 descentes&nbsp;', '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 22000.19000000, 4400.05000000, 26400.24000000, NULL, NULL, NULL),
(283, 'CO1711-0223', 1, NULL, NULL, NULL, 2231, NULL, '2017-12-05 13:15:38', '2017-11-28 14:38:46', '2017-11-28 14:43:43', '2017-11-28 16:28:31', '2017-11-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 47.60000000, 0.00000000, 0.00000000, 238.00000000, 285.60000000, '', 'deroulleur avec jeu d&#39;aiguilles PROMOTION', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 238.00000000, 47.60000000, 285.60000000, NULL, NULL, NULL),
(284, 'CO1711-0225', 1, NULL, NULL, NULL, 2269, NULL, '2018-04-26 09:29:10', '2017-11-30 11:01:21', '2017-11-30 11:06:18', '2017-12-07 15:04:27', '2017-11-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 98.40000000, 0.00000000, 0.00000000, 492.00000000, 590.40000000, '', 'Commande de Mr Trouillet - Commande de chauffage<br />\r\n&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 492.00000000, 98.40000000, 590.40000000, NULL, NULL, NULL),
(285, 'CO1711-0226', 1, NULL, NULL, NULL, 2350, NULL, '2018-01-03 10:14:15', '2017-11-30 11:08:56', '2017-11-30 11:09:14', NULL, '2017-11-30', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 114.00000000, 0.00000000, 0.00000000, 570.00000000, 684.00000000, '', 'Fourniture d&#39;un accumulateur 2 Litres :<br />\r\n<br />\r\nD&eacute;lai : 10 jours', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 570.00000000, 114.00000000, 684.00000000, NULL, NULL, NULL),
(286, 'CO1712-0227', 1, NULL, NULL, NULL, 2016, NULL, '2017-12-22 08:27:22', '2017-12-01 13:57:54', '2017-12-22 09:21:33', '2017-12-22 09:24:59', '2017-12-01', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 106.34000000, 0.00000000, 0.00000000, 531.67000000, 638.01000000, '', 'maintenance l05', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 531.67000000, 106.34000000, 638.01000000, NULL, NULL, NULL),
(287, 'CO1712-0228', 1, NULL, NULL, NULL, 2054, NULL, '2017-12-21 09:03:37', '2017-12-01 14:13:23', '2017-12-01 14:15:40', '2017-12-21 09:59:40', '2017-12-01', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 273.93000000, 0.00000000, 0.00000000, 1369.65000000, 1643.58000000, '', 'maintenance L110rs', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1369.65000000, 273.93000000, 1643.58000000, NULL, NULL, NULL),
(288, 'CO1712-0229', 1, NULL, NULL, '34443', 2122, NULL, '2017-12-26 08:25:09', '2017-12-04 09:15:05', '2017-12-04 09:15:18', NULL, '2017-12-04', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 72.01000000, 0.00000000, 0.00000000, 360.04000000, 432.05000000, '', 'Fourniture&nbsp; 2 raccords union 2&nbsp;pouces pour pouvoir se raccorder sur du pvc diam 63', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 360.04000000, 72.01000000, 432.05000000, NULL, NULL, NULL),
(289, 'CO1711-0230', 1, NULL, NULL, NULL, 5315, NULL, '2020-12-10 09:21:21', '2017-12-04 11:09:17', '2017-12-04 11:09:38', '2020-12-10 10:21:21', '2017-11-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 106.40000000, 0.00000000, 0.00000000, 532.00000000, 638.40000000, '', 'Fourniture Riveuteuse AVDEL :<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE USINE', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 532.00000000, 106.40000000, 638.40000000, NULL, NULL, NULL),
(290, 'CO1712-0231', 1, NULL, NULL, NULL, 2174, NULL, '2018-04-26 09:29:13', '2017-12-05 10:28:23', '2017-12-05 10:28:34', '2017-12-05 10:31:07', '2017-12-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 225.33000000, 0.00000000, 0.00000000, 1126.66000000, 1351.99000000, '', 'Maintenance L29RS N&deg; CD10018602001', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1126.66000000, 225.33000000, 1351.99000000, NULL, NULL, NULL),
(291, 'CO1712-0236', 1, NULL, NULL, NULL, 2261, NULL, '2017-12-22 10:22:01', '2017-12-06 11:03:59', '2017-12-22 11:18:44', '2017-12-22 11:21:06', '2017-12-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 108.62000000, 0.00000000, 0.00000000, 543.11000000, 651.73000000, '', 'Maintenance HV02 et maco :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 543.11000000, 108.62000000, 651.73000000, NULL, NULL, NULL),
(292, 'CO1712-0235', 1, NULL, NULL, 'Enrouleurs', 2261, NULL, '2017-12-22 10:37:21', '2017-12-06 11:05:32', '2017-12-08 12:21:25', '2017-12-22 11:36:42', '2017-12-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 136.41000000, 0.00000000, 0.00000000, 682.06000000, 818.47000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, 3, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 682.06000000, 136.41000000, 818.47000000, NULL, NULL, NULL),
(294, 'CO1712-0232', 1, NULL, NULL, NULL, 10293, NULL, '2017-12-26 10:13:49', '2017-12-06 16:00:39', '2017-12-06 16:02:38', '2017-12-26 11:13:31', '2017-12-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 12.05000000, 0.00000000, 0.00000000, 60.24000000, 72.29000000, '', 'remplacement cartouche filtre reseau ABAC pour cabie &agrave; peinture :&nbsp;', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 60.24000000, 12.05000000, 72.29000000, NULL, NULL, NULL),
(295, 'CO1712-0233', 1, NULL, NULL, NULL, 2075, NULL, '2017-12-07 08:48:23', '2017-12-07 09:45:58', '2017-12-07 09:46:04', '2017-12-07 09:47:49', '2017-12-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 221.80000000, 0.00000000, 0.00000000, 1109.00000000, 1330.80000000, '', 'maintenance L07', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1109.00000000, 221.80000000, 1330.80000000, NULL, NULL, NULL),
(297, 'CO1712-0234', 1, NULL, NULL, NULL, 6259, NULL, '2018-01-19 14:32:41', '2017-12-07 14:48:37', '2017-12-07 14:49:17', '2018-01-19 15:31:29', '2017-12-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 324.07000000, 0.00000000, 0.00000000, 1620.33000000, 1944.40000000, '', 'Maintenance L30 -&nbsp;<br />\r\nPb de d&eacute;marrage quand il fait froid - huile de couleur &eacute;trange ?? voir avec le client&nbsp;<br />\r\nPlein d&#39;huile fait en 2015 avec huile compair SCWO4000-20', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1620.33000000, 324.07000000, 1944.40000000, NULL, NULL, NULL),
(298, 'CO1712-0237', 1, NULL, NULL, '4800283197', 2234, NULL, '2018-02-14 15:27:52', '2017-12-11 10:17:55', '2017-12-27 14:28:46', '2018-02-14 16:27:40', '2017-12-11', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 401.53000000, 0.00000000, 0.00000000, 2007.65000000, 2409.18000000, '', 'Maintenance compresseur L45RS à 53212 HRS  avec separateur de condensats Owamat 14 et filtres reseaux <br />\r\n<br />\r\nBL N° 13 du 20/12/2017<br />\r\n<br />\r\nCommande N°4800283197', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2007.65000000, 401.53000000, 2409.18000000, NULL, NULL, NULL),
(299, 'CO1712-0238', 1, NULL, NULL, '20171207606', 2077, NULL, '2017-12-28 09:07:16', '2017-12-11 11:39:00', '2017-12-11 11:39:32', '2017-12-28 10:05:05', '2017-12-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 136.45000000, 0.00000000, 0.00000000, 682.24000000, 818.69000000, '', 'Suite &agrave; la maintenance de votre compresseur&nbsp; L22RS N&deg; 10705866001 &agrave; 20506 HRS, notre technicien a not&eacute; que les silents blocs du bloc vis sont &agrave; remplacer :&nbsp;<br />\r\n<br />\r\nVeuillez trouver ci dessous l&#39;offre pour leurs remplcament :&nbsp;&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 682.24000000, 136.45000000, 818.69000000, NULL, NULL, NULL),
(300, 'CO1712-0239', 1, NULL, NULL, NULL, 6259, NULL, '2018-04-26 09:30:17', '2017-12-12 12:03:31', '2018-01-19 15:09:05', '2018-04-03 14:15:31', '2018-01-16', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 159.41000000, 0.00000000, 0.00000000, 797.09000000, 956.50000000, '', 'Remplacement clapet d\'aspiration sur compresseur L30 ', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 797.09000000, 159.41000000, 956.50000000, NULL, NULL, NULL),
(301, 'CO1712-0240', 1, NULL, NULL, NULL, 2161, NULL, '2018-04-26 09:30:14', '2017-12-12 14:54:50', '2017-12-12 14:55:05', '2017-12-27 10:42:44', '2017-12-12', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 145.09000000, 0.00000000, 0.00000000, 725.43000000, 870.52000000, '', 'Réparartion Rollair 15 8B cuisine :<br />\r\nRemplacement kit d\'aspiration<br />\r\nremplacement vanne de pression minimum<br />\r\nremplacement electrovanne <br />\r\n<br />\r\nCommande N° 17018672', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 725.43000000, 145.09000000, 870.52000000, NULL, NULL, NULL),
(303, 'CO1712-0241', 1, NULL, NULL, NULL, 12683, NULL, '2018-04-26 09:43:33', '2017-12-13 10:30:46', '2017-12-13 10:30:57', NULL, '2017-12-13', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 2617.38000000, 0.00000000, 0.00000000, 13086.92000000, 15704.30000000, '', ' \r\n<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"width:371px\">\r\n	<tbody>\r\n		<tr>\r\n			<td>Compresseur à vis Compair ref Cyclon 222 de cap débit 220 m3/h à 7,5 bars N° série F165/2471</td>\r\n		</tr>\r\n		<tr>\r\n			<td>Comme suite à l\'intervention pour dépannage, par notre technicien en date du 11/12/2017 et à son constat</td>\r\n		</tr>\r\n		<tr>\r\n			<td>Ce matériel est jugé économiquement irréparable, </td>\r\n		</tr>\r\n		<tr>\r\n			<td>Mise en place d\'un compresseur en prêt,afin d\'assurer votre production, le temps de renouvellement de cette machine </td>\r\n		</tr>\r\n		<tr>\r\n			<td>et de son installation,</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n<br />\r\nDélai : 3 à 4 semaines', '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 13086.92000000, 2617.38000000, 15704.30000000, NULL, NULL, NULL),
(304, 'CO1712-0242', 1, NULL, NULL, '18FB289', 2131, NULL, '2017-12-27 09:49:37', '2017-12-15 10:56:30', '2017-12-15 10:56:38', '2017-12-27 10:49:12', '2017-12-15', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 86.34000000, 0.00000000, 0.00000000, 431.70000000, 518.04000000, '', 'Meuleuse fuji :<br />\r\n<br />\r\nDisponible usine ( depart ce jour si commande avant midi )&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 431.70000000, 86.34000000, 518.04000000, NULL, NULL, NULL),
(305, 'CO1712-0243', 1, NULL, NULL, NULL, 2347, NULL, '2017-12-21 09:14:08', '2017-12-19 09:05:07', '2017-12-19 09:05:37', '2017-12-19 09:05:55', '2017-12-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 78.94000000, 0.00000000, 0.00000000, 394.70000000, 473.64000000, '', 'Pi&eacute;ces d&eacute;tach&eacute;es L15 COMPAIR maintenance', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 394.70000000, 78.94000000, 473.64000000, NULL, NULL, NULL),
(306, 'CO1712-0244', 1, NULL, NULL, NULL, 5315, NULL, '2017-12-20 08:58:32', '2017-12-19 14:32:20', '2017-12-19 14:33:24', '2017-12-20 09:58:15', '2017-12-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 130.00000000, 0.00000000, 0.00000000, 650.00000000, 780.00000000, '', 'Prix sp&eacute;cial avec effort commercial Mr Balazard SFACS INDUSTRIE', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 650.00000000, 130.00000000, 780.00000000, NULL, NULL, NULL),
(307, 'CO1712-0245', 1, NULL, NULL, NULL, 5741, NULL, '2017-12-20 09:08:24', '2017-12-20 10:06:07', '2017-12-20 10:06:27', '2017-12-20 10:07:57', '2017-12-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 185.00000000, 0.00000000, 0.00000000, 924.99000000, 1109.99000000, '', 'Maintenance du compresseur L45 N° 100010817/0128 à 25564 HRS<br />\r\nBL N° 6 du 13/12/2017<br />\r\nCommande N° 8809', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 924.99000000, 185.00000000, 1109.99000000, NULL, NULL, NULL),
(308, 'CO1712-0246', 1, NULL, NULL, NULL, 2131, NULL, '2017-12-20 10:54:55', '2017-12-20 11:46:32', '2017-12-20 11:47:29', '2017-12-20 11:54:41', '2017-12-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 85.57000000, 0.00000000, 0.00000000, 427.84000000, 513.41000000, '', 'Intervention sur vos 2 compresseurs :&nbsp;<br />\r\nATLAS GA75 1989 - probleme de carte electronique<br />\r\nATLAS GA75+ N&deg; API605673- Fuite d&#39;huile bloc vis moteur&nbsp;<br />\r\n<br />\r\nBL N&deg; 48 du 05/11/2017', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 427.84000000, 85.57000000, 513.41000000, NULL, NULL, NULL),
(309, 'CO1712-0247', 1, NULL, NULL, NULL, 6663, NULL, '2018-04-26 09:30:12', '2017-12-21 08:58:25', '2018-01-24 16:30:57', '2018-01-24 16:31:58', '2017-12-21', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 317.94000000, 0.00000000, 0.00000000, 1589.71000000, 1907.65000000, '', 'Maintenance l37RS - 2 filtres reseaux et separateur de condensats owamat 14 et maintenance L18', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1589.71000000, 317.94000000, 1907.65000000, NULL, NULL, NULL),
(310, 'CO1712-0248', 1, NULL, NULL, NULL, 2161, NULL, '2017-12-21 10:08:27', '2017-12-21 11:06:32', '2017-12-21 11:07:05', '2017-12-21 11:07:31', '2017-12-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 48.00000000, 0.00000000, 0.00000000, 240.02000000, 288.02000000, '', 'Intervention de d&eacute;pannage sur Worthingthon creyssensac RLR158B 2010 N&deg; CAI 410726- Probleme de demarrage -&nbsp;<br />\r\nBL n&deg; 5 du 04/11/2017', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 240.02000000, 48.00000000, 288.02000000, NULL, NULL, NULL),
(311, 'CO1712-0249', 1, NULL, NULL, NULL, 10293, NULL, '2017-12-22 08:54:22', '2017-12-22 09:49:37', '2017-12-22 09:49:57', '2017-12-22 09:53:30', '2017-12-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 152.61000000, 0.00000000, 0.00000000, 763.06000000, 915.67000000, '', 'Complement chantier en cours transport inclus dans 1er devis :<br />\r\nMise en place d&#39;un filtre reseau grade 0.01 &micro; devant votre ancien compresseur pour la cabine &agrave; peinture .<br />\r\nRaccordement des 3 fosses avec r&eacute;utilisation de l&#39;existant pour 2 fosses .', '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 763.06000000, 152.61000000, 915.67000000, NULL, NULL, NULL),
(312, 'CO1712-0250', 1, NULL, NULL, NULL, 2276, NULL, '2018-04-26 09:30:09', '2017-12-22 11:44:48', '2017-12-22 11:57:41', '2017-12-22 12:01:23', '2017-12-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 81.18000000, 0.00000000, 0.00000000, 405.94000000, 487.12000000, '', 'Remplacement flexible sur compresseur ingersollrand IR1810H &agrave; 50145 HRS<br />\r\n<br />\r\nBL N&deg; 8 du 08/12/2017', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 405.94000000, 81.18000000, 487.12000000, NULL, NULL, NULL),
(313, 'CO1712-0251', 1, NULL, NULL, NULL, 2321, NULL, '2017-12-22 14:01:56', '2017-12-22 14:56:28', '2017-12-22 15:00:34', '2017-12-22 15:01:27', '2017-12-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 36.07000000, 0.00000000, 0.00000000, 180.34000000, 216.41000000, '', 'Remplacement purge temporis&eacute;e sur cuve suite &agrave; votre demande :&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 180.34000000, 36.07000000, 216.41000000, NULL, NULL, NULL),
(315, 'CO1712-0252', 1, NULL, NULL, NULL, 12683, NULL, '2018-04-26 09:30:06', '2017-12-22 15:31:55', '2017-12-22 15:33:27', '2017-12-22 15:36:51', '2017-12-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 154.73000000, 0.00000000, 0.00000000, 773.63000000, 928.36000000, '', 'Panne compresseur Cyclon 222 - Montage clpet de retenue sur embouteilleuse neuve :&nbsp;', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 773.63000000, 154.73000000, 928.36000000, NULL, NULL, NULL),
(316, 'CO1712-0254', 1, NULL, NULL, NULL, 5741, NULL, '2020-12-21 10:08:15', '2017-12-26 09:12:01', '2017-12-26 09:13:36', '2020-12-21 11:08:15', '2017-12-26', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 50.02000000, 0.00000000, 0.00000000, 250.10000000, 300.12000000, '', 'Commande N°8893', '', 1, NULL, NULL, 2, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 250.10000000, 50.02000000, 300.12000000, NULL, NULL, NULL),
(317, 'CO1712-0253', 1, NULL, NULL, NULL, 5741, NULL, '2020-12-21 10:08:03', '2017-12-26 09:12:17', '2017-12-26 09:12:30', '2020-12-21 11:08:03', '2017-12-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 399.81000000, 0.00000000, 0.00000000, 1999.03000000, 2398.84000000, '', 'Miantenance L75 N&deg; CD10005618002&nbsp;', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1999.03000000, 399.81000000, 2398.84000000, NULL, NULL, NULL),
(318, 'CO1712-0255', 1, NULL, NULL, NULL, 2245, NULL, '2018-01-22 14:01:17', '2017-12-26 10:00:03', '2017-12-26 10:00:09', NULL, '2017-12-26', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 108.54000000, 0.00000000, 0.00000000, 542.70000000, 651.24000000, '', '10 x&nbsp;R&eacute;f &eacute;lectrovanne CAMOZZI 438.015.22.', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 542.70000000, 108.54000000, 651.24000000, NULL, NULL, NULL),
(319, 'CO1712-0256', 1, NULL, NULL, NULL, 2318, NULL, '2017-12-26 09:45:40', '2017-12-26 10:33:09', '2017-12-26 10:41:51', '2017-12-26 10:44:58', '2017-12-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 77.55000000, 0.00000000, 0.00000000, 387.75000000, 465.30000000, '', 'Intervention sur compresseur L15 Compair N&deg; 349015/3740 &agrave; 40300 Heures&nbsp;<br />\r\nProbleme de temperature - vanne 3 voies HS - relai etoile HS - A changer au plus tot&nbsp;<br />\r\n<br />\r\nBl N&deg; 9 du 16/12/2017', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 387.75000000, 77.55000000, 465.30000000, NULL, NULL, NULL),
(320, 'CO1712-0257', 1, NULL, NULL, NULL, 2358, NULL, '2017-12-26 09:57:08', '2017-12-26 10:50:05', '2017-12-26 10:55:12', '2017-12-26 10:56:56', '2017-12-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 236.28000000, 0.00000000, 0.00000000, 1181.38000000, 1417.66000000, '', 'Remplacement 2 regulateurs et programmation sur cabine &agrave; peinture :&nbsp;<br />\r\n<br />\r\nBl N&deg; 7 du 14/12/2017', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1181.38000000, 236.28000000, 1417.66000000, NULL, NULL, NULL),
(321, 'CO1712-0258', 1, NULL, NULL, 'PO7000640320', 2184, NULL, '2018-04-26 09:30:32', '2017-12-26 16:01:19', '2017-12-26 16:06:02', '2018-02-21 10:18:32', '2017-12-26', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 409.23000000, 0.00000000, 0.00000000, 2046.17000000, 2455.40000000, '', 'maintenance l45rs N° CD10015552001 à 32138 HRS<br />\r\n<br />\r\nBL N° 17 du 29/12/2017<br />\r\n<br />\r\nN°PO7000640320', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2046.17000000, 409.23000000, 2455.40000000, NULL, NULL, NULL),
(322, 'CO1712-0259', 1, NULL, NULL, 'Local Compresseur', 2184, NULL, '2018-03-30 08:53:22', '2017-12-28 10:34:01', '2017-12-28 10:36:50', '2018-03-30 10:52:45', '2017-12-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 5320.77000000, 0.00000000, 0.00000000, 26603.85000000, 31924.62000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 26603.85000000, 5320.77000000, 31924.62000000, NULL, NULL, NULL),
(323, 'CO1712-0260', 1, NULL, NULL, '20170609_cdc_air_comprime_v4', 11452, NULL, '2018-01-25 09:40:41', '2017-12-28 10:54:40', '2017-12-28 10:58:25', '2018-01-25 10:40:37', '2017-12-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 2649.66000000, 0.00000000, 0.00000000, 13248.51000000, 15898.17000000, '', 'Equipement reseau air comprimé en INOX serti  Ø 28 avec 3 vannes de sectionnement, 9 descentes Ø18, 9 enrouleurs Ø13mm int long 15m sur support pivotant avec coupleurs passage 8mm.<br />\r\nNacelle non prevue', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 13248.51000000, 2649.66000000, 15898.17000000, NULL, NULL, NULL),
(325, 'CO1801-0261', 1, NULL, NULL, NULL, 2128, NULL, '2018-03-29 12:21:47', '2018-01-02 14:12:39', '2018-01-02 14:16:30', '2018-02-21 11:47:41', '2018-01-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 2133.99000000, 0.00000000, 0.00000000, 10670.00000000, 12803.99000000, '', 'Fourniture et raccordement d&#39;un compresseur L11RS 11kw vitesse variable COMPAIR en lieu et place de votre compresseur 11 kw vitesse fixe 10 bars&nbsp; :&nbsp;', 'einstein', 1, NULL, NULL, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 10670.00000000, 2133.99000000, 12803.99000000, NULL, NULL, NULL),
(326, 'CO1801-0262', 1, NULL, NULL, '18FB322', 2131, NULL, '2018-01-09 10:30:27', '2018-01-03 15:02:26', '2018-01-03 15:04:51', '2018-01-09 11:30:15', '2018-01-03', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 102.40000000, 0.00000000, 0.00000000, 512.00000000, 614.40000000, '', 'Meuleuses RODCRAFT<br />\r\nCommande N° 18FB322', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 512.00000000, 102.40000000, 614.40000000, NULL, NULL, NULL),
(327, 'CO1801-0263', 1, NULL, NULL, NULL, 2011, NULL, '2018-01-19 12:54:57', '2018-01-08 09:16:21', '2018-01-08 09:18:06', NULL, '2018-01-08', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 26.49000000, 0.00000000, 0.00000000, 132.41000000, 158.90000000, '', 'Remplacement filtres r&eacute;seaux ( en meme temps que remplacement carte delcos compresseur sous garantie )&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 132.41000000, 26.49000000, 158.90000000, NULL, NULL, NULL),
(328, 'CO1801-0264', 1, NULL, NULL, NULL, 2122, NULL, '2018-01-22 09:02:43', '2018-01-08 16:24:09', '2018-01-08 16:24:16', '2018-01-08 16:24:51', '2018-01-08', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 31.00000000, 0.00000000, 0.00000000, 155.00000000, 186.00000000, '', ' 5 coudes a 90 °  F/F diam 63 pvc pour réseau air comprimé.<br />\r\n<br />\r\nCommande N° 34743', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 155.00000000, 31.00000000, 186.00000000, NULL, NULL, NULL),
(329, 'CO1801-0265', 1, NULL, NULL, NULL, 2273, NULL, '2018-02-14 15:50:48', '2018-01-09 09:53:04', '2018-02-14 16:47:00', '2018-02-14 16:49:57', '2018-01-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 149.57000000, 0.00000000, 0.00000000, 747.85000000, 897.42000000, '', 'maintenance modulos 25 compresseur', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 747.85000000, 149.57000000, 897.42000000, NULL, NULL, NULL),
(330, 'CO1801-0266', 1, NULL, NULL, NULL, 2283, NULL, '2018-04-26 09:31:45', '2018-01-10 14:58:17', '2018-01-10 14:58:49', '2018-01-26 11:20:11', '2018-01-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 51.05000000, 0.00000000, 0.00000000, 255.26000000, 306.31000000, '', 'remplacement media filtrants + maintenance compresseur piston', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 255.26000000, 51.05000000, 306.31000000, NULL, NULL, NULL),
(331, 'CO1801-0267', 1, NULL, NULL, NULL, 5741, NULL, '2018-01-19 11:06:19', '2018-01-17 12:13:55', '2018-01-17 12:15:54', '2018-01-19 12:05:36', '2018-01-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 58.83000000, 0.00000000, 0.00000000, 294.16000000, 352.99000000, '', 'Intervention sur compresseur Regatta 141 N&deg; 349017/0266 &agrave;&nbsp; 74327 Hrs -&nbsp;<br />\r\nremplacement d&#39;un regulateur pneumatique&nbsp;<br />\r\nVanne thermostatique HS&nbsp; -&nbsp;', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 294.16000000, 58.83000000, 352.99000000, NULL, NULL, NULL),
(332, 'CO1801-0268', 1, NULL, NULL, NULL, 2011, NULL, '2018-02-20 15:06:48', '2018-01-17 12:22:41', '2018-01-17 14:43:45', '2018-01-19 14:28:11', '2018-01-17', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 80.14000000, 0.00000000, 0.00000000, 400.68000000, 480.82000000, '', 'Remplacement carte Delcos Pro sur compresseur L07 N°CD10001752001 à 21255 HRS sous garantie ASSURE COMPAIR 24 000 HRS -<br />\r\n<br />\r\nProbleme d\'eau sur le réseau : recherche de panne ( decembre 2017 & 16/01/2018 ) sur les sécheurs OMI ED108 & EDD180', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 400.68000000, 80.14000000, 480.82000000, NULL, NULL, NULL),
(333, 'CO1801-0269', 1, NULL, NULL, NULL, 2161, NULL, '2018-01-31 14:44:10', '2018-01-17 14:52:08', '2018-01-17 14:52:16', '2018-01-31 15:43:55', '2018-01-17', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 126.53000000, 0.00000000, 0.00000000, 632.64000000, 759.17000000, '', 'Remplacement electrovanne de régulation sur compresseur BOGE :<br />\r\n<br />\r\nBL N° 18 du 29/01/2018<br />\r\n<br />\r\nCommande N° 2100/18000929', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 632.64000000, 126.53000000, 759.17000000, NULL, NULL, NULL),
(334, 'CO1801-0270', 1, NULL, NULL, NULL, 12666, NULL, '2018-01-31 13:41:56', '2018-01-17 15:37:49', '2018-01-31 14:39:32', '2018-01-31 14:40:51', '2018-01-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 759.99000000, 0.00000000, 0.00000000, 3800.00000000, 4559.99000000, '', 'Remplacement en lieu et&nbsp; place de votre s&eacute;cheur par adsorption ( kit de maintenance 1 967 &euro; )&nbsp; par un secheur par adsorption 170m3/h marque CTA avec un cout de maintenance plus faible que votre s&eacute;cheur actuel (prix du kit tarif 2017 CTA 597 &euro; Ht ) s&eacute;cheur non verrouill&eacute; par badge ou cl&eacute; pour la maintenance&nbsp; &nbsp;:&nbsp;', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3800.00000000, 759.99000000, 4559.99000000, NULL, NULL, NULL),
(335, 'CO1801-0271', 1, NULL, NULL, NULL, 2289, NULL, '2018-04-26 09:31:48', '2018-01-18 08:55:26', '2018-01-26 09:47:02', '2018-01-26 10:32:19', '2018-01-18', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 204.52000000, 0.00000000, 0.00000000, 1022.60000000, 1227.12000000, '', 'maintenance l07 N&deg; ba35645002', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1022.60000000, 204.52000000, 1227.12000000, NULL, NULL, NULL),
(336, 'CO1801-0272', 1, NULL, NULL, NULL, 2370, NULL, '2018-02-15 13:10:31', '2018-01-19 11:35:57', '2018-02-15 10:21:25', '2018-02-15 10:25:37', '2018-01-19', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 119.59000000, 0.00000000, 0.00000000, 597.94000000, 717.53000000, '', 'maintenance GE10 et secheur HL0030', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 597.94000000, 119.59000000, 717.53000000, NULL, NULL, NULL),
(337, 'CO1801-0273', 1, NULL, NULL, NULL, 2371, NULL, '2018-04-03 12:21:31', '2018-01-19 11:44:38', '2018-04-03 14:20:56', '2018-04-03 14:21:15', '2018-01-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 137.45000000, 0.00000000, 0.00000000, 687.22000000, 824.67000000, '', 'maintenance L22 et filtres reseaux', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 687.22000000, 137.45000000, 824.67000000, NULL, NULL, NULL),
(338, 'CO1801-0274', 1, NULL, NULL, NULL, 9371, NULL, '2018-01-19 14:04:37', '2018-01-19 14:47:15', '2018-01-19 15:04:14', '2018-01-19 15:04:25', '2018-01-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 8.72000000, 0.00000000, 0.00000000, 43.60000000, 52.32000000, '', 'Mise en place d&#39;un regulateur avec mano :', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 43.60000000, 8.72000000, 52.32000000, NULL, NULL, NULL),
(339, 'CO1801-0276', 1, NULL, NULL, NULL, 2103, NULL, '2018-01-22 08:51:11', '2018-01-19 15:43:18', '2018-01-22 09:44:22', '2018-01-22 09:50:22', '2018-01-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 199.22000000, 0.00000000, 0.00000000, 996.13000000, 1195.35000000, '', 'Maintenance L45RS owamat 14 et filtre m800x ( si il reste des cartouches )&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 996.13000000, 199.22000000, 1195.35000000, NULL, NULL, NULL),
(340, 'CO1801-0275', 1, NULL, NULL, 'CDA-FCA1802443', 2127, NULL, '2018-04-26 09:32:00', '2018-01-19 16:44:13', '2018-02-01 10:40:27', '2018-02-01 10:41:03', '2018-01-19', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 399.81000000, 0.00000000, 0.00000000, 1999.03000000, 2398.84000000, '', 'maintenance L75SR N°cd10000086001 à 51417 HRS<br />\r\n<br />\r\nBL N° 46 du 31/01/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1999.03000000, 399.81000000, 2398.84000000, NULL, NULL, NULL),
(341, 'CO1801-0277', 1, NULL, NULL, NULL, 2149, NULL, '2018-01-22 09:16:29', '2018-01-22 10:14:26', '2018-01-22 10:14:34', '2018-01-22 10:16:00', '2018-01-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 29.32000000, 0.00000000, 0.00000000, 146.61000000, 175.93000000, '', 'remplacement purgeur sur filtre r&eacute;seau :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 146.61000000, 29.32000000, 175.93000000, NULL, NULL, NULL),
(342, 'CO1801-0278', 1, NULL, NULL, NULL, 2161, NULL, '2018-02-21 08:35:16', '2018-01-22 10:29:13', '2018-01-22 10:34:55', '2018-01-22 10:35:01', '2018-01-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 44.53000000, 0.00000000, 0.00000000, 222.65000000, 267.18000000, '', 'Intervention Blanchisserie Drome Nord<br />\r\nZAC de la brassiere 26240 ST VALLIER<br />\r\n<br />\r\nProbleme de mise en charge sur compressseur BOGE S31-2 N&deg; 5034864 &agrave; 5774 HEURES de 2009 -', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 222.65000000, 44.53000000, 267.18000000, NULL, NULL, NULL);
INSERT INTO `llx_commande` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_cloture`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_cloture`, `source`, `fk_statut`, `amount_ht`, `remise_percent`, `remise_absolue`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `facture`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_livraison`, `fk_shipping_method`, `fk_warehouse`, `fk_availability`, `fk_input_reason`, `fk_delivery_address`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(343, 'CO1801-0279', 1, NULL, NULL, NULL, 2231, NULL, '2018-04-26 09:32:11', '2018-01-22 11:15:32', '2018-01-22 11:42:54', '2018-01-22 11:54:05', '2018-01-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 78.83000000, 0.00000000, 0.00000000, 394.16000000, 472.99000000, '', 'Depannage compresseur DEVILBISS - fuite d&#39;huile au niveau du seprateur -&nbsp;<br />\r\nBl N&deg; 33 du 17/01/2018&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 394.16000000, 78.83000000, 472.99000000, NULL, NULL, NULL),
(344, 'CO1801-0280', 1, NULL, NULL, NULL, 2363, NULL, '2018-01-22 11:16:11', '2018-01-22 12:02:07', '2018-01-22 12:04:36', '2018-01-22 12:15:59', '2018-01-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 28.59000000, 0.00000000, 0.00000000, 142.94000000, 171.53000000, '', 'D&eacute;pannage -<br />\r\nPresence d&#39;eau sur le r&eacute;seau suite &agrave; une vanne de BYPASS ouverte&nbsp;<br />\r\nFaux contact sur compresseur Sprint025<br />\r\n<br />\r\nBl N&deg; 25 du 08/01/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 142.94000000, 28.59000000, 171.53000000, NULL, NULL, NULL),
(345, 'CO1801-0281', 1, NULL, NULL, 'variateur', 9822, NULL, '2018-02-05 09:11:15', '2018-01-23 09:37:30', '2018-01-24 10:27:55', '2018-01-24 10:31:33', '2018-01-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 291.43000000, 0.00000000, 0.00000000, 1457.18000000, 1748.61000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1457.18000000, 291.43000000, 1748.61000000, NULL, NULL, NULL),
(346, 'CO1801-0282', 1, NULL, NULL, NULL, 2261, NULL, '2018-04-26 09:32:21', '2018-01-24 11:55:49', '2018-01-24 11:58:30', '2018-01-24 11:59:32', '2018-01-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 87.83000000, 0.00000000, 0.00000000, 439.16000000, 526.99000000, '', 'depannage HV02- Transfo HS<br />\r\n<br />\r\nBL N&deg; 34 du 17/01/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 439.16000000, 87.83000000, 526.99000000, NULL, NULL, NULL),
(347, 'CO1801-0283', 1, NULL, NULL, NULL, 2060, NULL, '2018-01-24 13:12:54', '2018-01-24 12:06:53', '2018-01-24 12:09:19', '2018-01-24 14:12:34', '2018-01-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 41.62000000, 0.00000000, 0.00000000, 208.10000000, 249.72000000, '', 'intervention sur Sprint N&deg; 149802/38 &agrave; 31337 HRS N&deg;2&nbsp;<br />\r\n<br />\r\nBL N&deg; 35 du 17/01/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 208.10000000, 41.62000000, 249.72000000, NULL, NULL, NULL),
(348, 'CO1801-0284', 1, NULL, NULL, NULL, 2263, NULL, '2018-01-26 08:42:00', '2018-01-24 16:50:49', '2018-01-24 17:02:57', '2018-01-26 09:41:47', '2018-01-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 7.43000000, 0.00000000, 0.00000000, 37.17000000, 44.60000000, '', 'Fourniture PVC par Mr BRET - le 22/01/2018 matin', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 37.17000000, 7.43000000, 44.60000000, NULL, NULL, NULL),
(349, 'CO1801-0285', 1, NULL, NULL, '543', 7066, NULL, '2018-04-26 09:32:33', '2018-01-25 09:25:22', '2018-01-29 15:05:13', '2018-01-31 11:14:04', '2018-01-25', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 212.85000000, 0.00000000, 0.00000000, 1064.28000000, 1277.13000000, '', 'Pieces de filtration maintenance de vos differents compresseurs : <br />\r\nCommande N°543 du 23/01/2018', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1064.28000000, 212.85000000, 1277.13000000, NULL, NULL, NULL),
(350, 'CO1801-0296', 1, NULL, NULL, NULL, 2073, NULL, '2018-01-31 13:25:36', '2018-01-25 09:48:37', '2018-01-31 14:21:23', '2018-01-31 14:22:28', '2018-01-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 58.84000000, 0.00000000, 0.00000000, 294.18000000, 353.02000000, '', 'Suite &agrave; la miantenance de votre compresseru HV 07 N&deg; V070044041002 , notre technicien&agrave; identifi&eacute; un probleme de vanne 3 voies sur votre compresseur . Nous vous proposons le remplacment de celui ci .', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 294.18000000, 58.84000000, 353.02000000, NULL, NULL, NULL),
(351, 'CO1801-0286', 1, NULL, NULL, NULL, 2197, NULL, '2018-01-25 09:42:29', '2018-01-25 10:40:59', '2018-01-25 10:41:10', '2018-01-25 10:42:08', '2018-01-25', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 2649.66000000, 0.00000000, 0.00000000, 13248.51000000, 15898.17000000, '', 'DOSSIER NAVYA N°2863705', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 13248.51000000, 2649.66000000, 15898.17000000, NULL, NULL, NULL),
(352, 'CO1801-0287', 1, NULL, NULL, NULL, 2406, NULL, '2018-02-01 09:36:14', '2018-01-25 10:56:35', '2018-02-01 10:31:27', '2018-02-01 10:35:48', '2018-01-25', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 234.38000000, 0.00000000, 0.00000000, 1171.90000000, 1406.28000000, '', 'mAINTENANCE COMPRESSEUR l18 N° CD10009710001 à 14526 HRS<br />\r\n<br />\r\n<br />\r\nBL N° 43 du 26/01/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1171.90000000, 234.38000000, 1406.28000000, NULL, NULL, NULL),
(353, 'CO1801-0288', 1, NULL, NULL, NULL, 2269, NULL, '2018-01-31 15:25:08', '2018-01-26 09:02:34', '2018-01-26 09:02:44', '2018-01-31 16:24:57', '2018-01-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 108.60000000, 0.00000000, 0.00000000, 543.00000000, 651.60000000, '', 'Chauffage SOVELOR C15 :', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 543.00000000, 108.60000000, 651.60000000, NULL, NULL, NULL),
(354, 'CO1801-0289', 1, NULL, NULL, NULL, 2110, NULL, '2018-01-26 10:57:30', '2018-01-26 11:28:19', '2018-01-26 11:48:12', '2018-01-26 11:57:19', '2018-01-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 84.29000000, 0.00000000, 0.00000000, 421.45000000, 505.74000000, '', 'Maintenance compresseur L22 COMPAIR N&deg; CD100017742003 &agrave; 6227 HRS&nbsp;<br />\r\n<br />\r\nBL N&deg;28 du 04/01/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 421.45000000, 84.29000000, 505.74000000, NULL, NULL, NULL),
(355, 'CO1801-0290', 1, NULL, NULL, NULL, 2358, NULL, '2018-01-26 13:40:54', '2018-01-26 14:37:07', '2018-01-26 14:37:28', '2018-01-26 14:40:36', '2018-01-26', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 250.02000000, 0.00000000, 0.00000000, 1250.15000000, 1500.17000000, '', 'BL N°26 du 03/01/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1250.15000000, 250.02000000, 1500.17000000, NULL, NULL, NULL),
(356, 'CO1801-0291', 1, NULL, NULL, NULL, 2358, NULL, '2018-01-26 13:50:24', '2018-01-26 14:48:35', '2018-01-26 14:49:18', '2018-01-26 14:49:55', '2018-01-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 38.30000000, 0.00000000, 0.00000000, 191.52000000, 229.82000000, '', 'BL n&deg; 26 du 03/01/2018<br />\r\n<br />\r\nV&eacute;rification ligne &eacute;lectrique ADSL -<br />\r\nModification branchement<br />\r\nRecherche panne avec technicien<br />\r\nEssai plusieurs Branchements', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 191.52000000, 38.30000000, 229.82000000, NULL, NULL, NULL),
(357, 'CO1801-0292', 1, NULL, NULL, NULL, 2358, NULL, '2018-01-26 14:11:06', '2018-01-26 15:04:25', '2018-01-26 15:09:18', '2018-01-26 15:10:49', '2018-01-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 307.01000000, 0.00000000, 0.00000000, 1535.06000000, 1842.07000000, '', 'Intervention sur cabine &agrave; peinture : parametrage regulateur&nbsp; (<strong> voir &agrave; changer les filtres bas et haut )&nbsp;</strong><br />\r\ngrenailleuse : remplacement variateur<br />\r\npalan : recablage cable <strong>( voir le fusible 3A &agrave; changer )</strong>&nbsp;<br />\r\nCabine &agrave; peinture liquide : parametrage variateur altivar 31<br />\r\n<br />\r\nBL n&deg; 18 du 03/01/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1535.06000000, 307.01000000, 1842.07000000, NULL, NULL, NULL),
(358, 'CO1801-0293', 1, NULL, NULL, NULL, 10293, NULL, '2018-02-15 13:15:53', '2018-01-26 15:17:38', '2018-01-26 15:20:42', '2018-01-26 15:25:31', '2018-01-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 58.66000000, 0.00000000, 0.00000000, 293.28000000, 351.94000000, '', 'Reseau d&#39;air comprim&eacute; 15 bars - Remplacement regulateur de pression et mano suite &agrave; arrachage&nbsp;<br />\r\n<br />\r\nBL N&deg;16 du 28/12/2017', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 293.28000000, 58.66000000, 351.94000000, NULL, NULL, NULL),
(359, 'CO1801-0294', 1, NULL, NULL, NULL, 12693, NULL, '2018-01-26 14:46:13', '2018-01-26 15:40:50', '2018-01-26 15:43:28', '2018-01-26 15:44:57', '2018-01-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 44.81000000, 0.00000000, 0.00000000, 224.06000000, 268.87000000, '', 'D&eacute;pannage provisoire s&eacute;cheur 18HS N&deg; 3602740001 - thermostat ventilo defectueux&nbsp;', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 224.06000000, 44.81000000, 268.87000000, NULL, NULL, NULL),
(360, 'CO1801-0295', 1, NULL, NULL, NULL, 2406, NULL, '2018-02-01 09:12:35', '2018-01-29 11:02:59', '2018-01-29 11:18:31', '2018-02-01 10:12:09', '2018-01-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 82.55000000, 0.00000000, 0.00000000, 412.80000000, 495.35000000, '', 'D&eacute;pannage secheur CTA DA004&nbsp;<br />\r\nRemplacement electrovanne et 2 silencieux&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 412.80000000, 82.55000000, 495.35000000, NULL, NULL, NULL),
(361, 'CO1801-0297', 1, NULL, NULL, NULL, 2102, NULL, '2018-01-31 14:25:43', '2018-01-31 15:23:34', '2018-01-31 15:24:30', '2018-01-31 15:25:25', '2018-01-31', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 177.87000000, 0.00000000, 0.00000000, 889.36000000, 1067.23000000, '', 'Maintenance L07RS N&deg; BA33915001 &agrave; 351 HRS', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 889.36000000, 177.87000000, 1067.23000000, NULL, NULL, NULL),
(362, 'CO1801-0298', 1, NULL, NULL, NULL, 2215, NULL, '2018-04-12 13:37:16', '2018-01-31 15:53:55', '2018-01-31 15:54:03', '2018-01-31 15:54:54', '2018-01-31', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 139.28000000, 0.00000000, 0.00000000, 696.44000000, 835.72000000, '', 'maintenance L11rs', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 696.44000000, 139.28000000, 835.72000000, NULL, NULL, NULL),
(363, 'CO1801-0299', 1, NULL, NULL, NULL, 2383, NULL, '2018-04-26 09:33:14', '2018-01-31 16:43:43', '2018-01-31 16:54:38', '2018-01-31 17:00:36', '2018-01-31', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 331.48000000, 0.00000000, 0.00000000, 1657.41000000, 1988.89000000, '', 'Travaux sur rapport ACritec :<br />\r\n<br />\r\nBL N&deg; 30 du 30/01/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1657.41000000, 331.48000000, 1988.89000000, NULL, NULL, NULL),
(364, 'CO1802-0300', 1, NULL, NULL, NULL, 2161, NULL, '2018-04-26 09:33:17', '2018-02-01 09:02:52', '2018-02-01 09:03:00', '2018-03-29 15:30:53', '2018-02-01', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 244.47000000, 0.00000000, 0.00000000, 1222.34000000, 1466.81000000, '', 'Remplacement  du clapet d\'aspiration sur BOGE S31-2 N° 5034864 de 2009 :<br />\r\n<br />\r\nDélai : 10 à 12 jours à réception de commande ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1222.34000000, 244.47000000, 1466.81000000, NULL, NULL, NULL),
(365, 'CO1802-0301', 1, NULL, NULL, NULL, 12618, NULL, '2018-04-26 09:33:20', '2018-02-01 09:05:27', '2018-02-01 09:05:35', '2018-03-02 16:18:27', '2018-02-01', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 300.11000000, 0.00000000, 0.00000000, 1500.52000000, 1800.63000000, '', 'Réalisation des travaux en meme temps que la maintenance - Hors  temps & frais de déplacement <br />\r\n<br />\r\nMise en place sur platine de fixation de 3 filtres réseaux - remplacement de votre flexible liaison filtres à entrée trieur et fourniture d\'une soufflette équipée avec 10m de Polyflex en diam  10, soufflage air alimentaire .<br />\r\n<br />\r\nMaintenance compresseur Cyclon215 de 1999 :', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1500.52000000, 300.11000000, 1800.63000000, NULL, NULL, NULL),
(366, 'CO1802-0302', 1, NULL, NULL, NULL, 2123, NULL, '2018-02-14 13:58:53', '2018-02-01 10:08:23', '2018-02-01 10:09:36', '2018-02-14 14:56:14', '2018-02-01', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 237.85000000, 0.00000000, 0.00000000, 1189.26000000, 1427.11000000, '', 'Maintenance L22 N&deg;100008032/0642 &agrave; 63580 HRS&nbsp;<br />\r\n<br />\r\nBL N&deg;21 du 31/01/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1189.26000000, 237.85000000, 1427.11000000, NULL, NULL, NULL),
(367, 'CO1802-0303', 1, NULL, NULL, '904726899-0-10760', 2407, NULL, '2018-02-15 13:28:57', '2018-02-01 16:12:18', '2018-02-01 16:12:24', '2018-02-08 12:16:17', '2018-02-01', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 204.51000000, 0.00000000, 0.00000000, 1022.63000000, 1227.14000000, '', 'Demande de Mr PONSON<br />\r\n<br />\r\nCommande N° 904726899-0-10760', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1022.63000000, 204.51000000, 1227.14000000, NULL, NULL, NULL),
(369, 'CO1802-0305', 1, NULL, NULL, NULL, 9822, NULL, '2018-02-21 09:04:27', '2018-02-02 11:28:34', '2018-02-21 10:00:57', '2018-02-21 10:04:16', '2018-02-02', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 85.90000000, 0.00000000, 0.00000000, 429.49000000, 515.39000000, '', 'maintenance L11 N°349027/0083 à 52200 HRS<br />\r\n<br />\r\nBL N° 2 du 09/02/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 429.49000000, 85.90000000, 515.39000000, NULL, NULL, NULL),
(370, 'CO1802-0304', 1, NULL, NULL, NULL, 9822, NULL, '2018-02-21 09:03:57', '2018-02-02 11:28:47', '2018-02-21 09:46:15', '2018-02-21 09:46:38', '2018-02-02', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 287.38000000, 0.00000000, 0.00000000, 1436.86000000, 1724.24000000, '', 'maintenance L18rs N° CD10008506001 à 12260 HRS', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1436.86000000, 287.38000000, 1724.24000000, NULL, NULL, NULL),
(371, 'CO1802-0506', 1, NULL, NULL, NULL, 12662, NULL, '2018-07-10 14:41:10', '2018-02-02 16:38:54', '2018-06-11 11:08:25', NULL, '2018-02-02', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 180.25000000, 0.00000000, 0.00000000, 901.25000000, 1081.50000000, '', 'Maintenance GA55 N&deg; AII482865&nbsp;\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la joun&eacute;e<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', '', 0, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 901.25000000, 180.25000000, 1081.50000000, NULL, NULL, NULL),
(372, 'CO1802-0306', 1, NULL, NULL, NULL, 2184, NULL, '2018-02-05 14:18:19', '2018-02-05 15:15:15', '2018-02-05 15:15:22', '2018-02-05 15:17:24', '2018-02-05', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 43.56000000, 0.00000000, 0.00000000, 217.80000000, 261.36000000, '', 'Intervention sur secheur compair F84C - <br />\r\nRemplacement  des roulements -<br />\r\n<br />\r\nCommande N° 7000633301', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 217.80000000, 43.56000000, 261.36000000, NULL, NULL, NULL),
(374, 'CO1802-0308', 1, NULL, NULL, NULL, 2119, NULL, '2018-03-02 12:31:16', '2018-02-06 11:31:35', '2018-02-06 11:31:45', '2018-03-02 13:29:19', '2018-02-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 153.96000000, 0.00000000, 0.00000000, 769.76000000, 923.72000000, '', 'Maintenance L05 , owamat et filtres reseaux&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 769.76000000, 153.96000000, 923.72000000, NULL, NULL, NULL),
(375, 'CO1802-0309', 1, NULL, NULL, NULL, 2153, NULL, '2018-04-26 09:33:23', '2018-02-06 11:32:30', '2018-02-06 11:32:44', '2018-03-02 16:57:01', '2018-02-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 113.01000000, 0.00000000, 0.00000000, 565.06000000, 678.07000000, '', 'Maintenance compresseur RENNER RSDK PRO3 13 BARS', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 565.06000000, 113.01000000, 678.07000000, NULL, NULL, NULL),
(376, 'CO1802-0310', 1, NULL, NULL, NULL, 2318, NULL, '2018-04-26 09:44:42', '2018-02-06 11:46:21', '2018-02-06 11:46:29', '2018-04-26 11:44:41', '2018-02-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 296.68000000, 0.00000000, 0.00000000, 1483.39000000, 1780.07000000, '', 'Maintenance compresseur L45 ( 01/2017 )&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1483.39000000, 296.68000000, 1780.07000000, NULL, NULL, NULL),
(377, 'CO1802-0311', 1, NULL, NULL, NULL, 1940, NULL, '2018-07-10 14:42:38', '2018-02-06 12:28:42', '2018-02-06 14:06:40', NULL, '2018-02-06', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 289.07000000, 0.00000000, 0.00000000, 1445.31000000, 1734.38000000, '', 'Maintenance L45RS N&deg; CD10023839001', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1445.31000000, 289.07000000, 1734.38000000, NULL, NULL, NULL),
(378, 'CO1802-0312', 1, NULL, NULL, NULL, 2268, NULL, '2018-04-26 09:33:25', '2018-02-06 14:14:55', '2018-02-21 11:08:53', '2018-02-21 11:11:21', '2018-02-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 217.20000000, 0.00000000, 0.00000000, 1085.99000000, 1303.19000000, '', 'Maintenance L15', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1085.99000000, 217.20000000, 1303.19000000, NULL, NULL, NULL),
(379, 'CO1802-0313', 1, NULL, NULL, NULL, 1980, NULL, '2018-02-22 09:32:17', '2018-02-06 14:23:14', '2018-02-22 10:27:45', '2018-02-22 10:30:27', '2018-02-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 89.95000000, 0.00000000, 0.00000000, 449.75000000, 539.70000000, '', 'Maintenance compresseur RS pro 5.5 7.5B', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 449.75000000, 89.95000000, 539.70000000, NULL, NULL, NULL),
(380, 'CO1802-0314', 1, NULL, NULL, NULL, 2221, NULL, '2018-04-03 12:35:54', '2018-02-06 14:34:02', '2018-02-06 14:34:14', '2018-04-03 14:35:43', '2018-02-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 93.75000000, 0.00000000, 0.00000000, 468.75000000, 562.50000000, '', 'Maintenance compresseur RS PRO 7.5 13 BARS', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 468.75000000, 93.75000000, 562.50000000, NULL, NULL, NULL),
(381, 'CO1802-0315', 1, NULL, NULL, NULL, 11435, NULL, '2018-02-22 10:09:07', '2018-02-06 14:43:31', '2018-02-21 14:51:06', '2018-02-21 14:51:30', '2018-02-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 590.42000000, 0.00000000, 0.00000000, 2952.17000000, 3542.59000000, '', 'maintenance L30RS N&deg;cd10013952002', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2952.17000000, 590.42000000, 3542.59000000, NULL, NULL, NULL),
(382, 'CO1802-0316', 1, NULL, NULL, NULL, 1996, NULL, '2018-08-08 07:20:18', '2018-02-06 15:21:07', '2018-02-06 15:21:13', NULL, '2018-02-06', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 286.68000000, 0.00000000, 0.00000000, 1433.43000000, 1720.11000000, '', 'Maintenance compresseur L07RS et filtres reseaux&nbsp;', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1433.43000000, 286.68000000, 1720.11000000, NULL, NULL, NULL),
(383, 'CO1802-0317', 1, NULL, NULL, NULL, 2003, NULL, '2018-02-20 09:19:23', '2018-02-06 15:34:24', '2018-02-20 10:12:59', '2018-02-20 10:17:57', '2018-02-06', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 131.25000000, 0.00000000, 0.00000000, 656.31000000, 787.56000000, '', 'Maintenance hv02  N° 502-022656-0803 et trois filtres reseaux : ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 656.31000000, 131.25000000, 787.56000000, NULL, NULL, NULL),
(384, 'CO1802-0318', 1, NULL, NULL, NULL, 2161, NULL, '2019-01-03 14:47:44', '2018-02-06 15:47:28', '2018-11-27 11:21:01', NULL, '2018-02-06', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 122.46000000, 0.00000000, 0.00000000, 612.41000000, 734.87000000, '', 'maintenance compresseur START25&nbsp;', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 612.41000000, 122.46000000, 734.87000000, NULL, NULL, NULL),
(385, 'CO1802-0319', 1, NULL, NULL, NULL, 2086, NULL, '2018-02-22 10:15:36', '2018-02-06 15:48:26', '2018-02-22 11:15:07', '2018-02-22 11:15:25', '2018-02-06', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 99.25000000, 0.00000000, 0.00000000, 496.27000000, 595.52000000, '', 'maintenance L11RS N° BA31759001 à 15922HRS<br />\r\n<br />\r\nBL N°39 du 21/02/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 496.27000000, 99.25000000, 595.52000000, NULL, NULL, NULL),
(386, 'CO1802-0320', 1, NULL, NULL, NULL, 2101, NULL, '2018-02-22 09:53:23', '2018-02-06 16:24:44', '2018-02-06 16:25:00', '2018-02-22 10:52:55', '2018-02-06', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 94.95000000, 0.00000000, 0.00000000, 474.75000000, 569.70000000, '', 'maintenance RSDK PRO ECN 7.5 10BARS N°640020 à 1393 HRS<br />\r\n<br />\r\nBL N°14 du 20/02/2018', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 474.75000000, 94.95000000, 569.70000000, NULL, NULL, NULL),
(387, 'CO1802-0321', 1, NULL, NULL, NULL, 2101, NULL, '2018-04-26 09:33:34', '2018-02-06 16:44:00', '2018-03-02 11:39:49', '2018-03-02 11:47:33', '2018-02-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 113.86000000, 0.00000000, 0.00000000, 569.32000000, 683.18000000, '', 'Maintenance l18RS', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 569.32000000, 113.86000000, 683.18000000, NULL, NULL, NULL),
(388, 'CO1802-0322', 1, NULL, NULL, '35700', 2122, NULL, '2018-04-04 12:18:21', '2018-02-06 16:49:55', '2018-03-29 11:32:46', '2018-04-04 14:16:55', '2018-02-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 383.81000000, 0.00000000, 0.00000000, 1919.04000000, 2302.85000000, '', 'Maintenance L75RS', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1919.04000000, 383.81000000, 2302.85000000, NULL, NULL, NULL),
(389, 'CO1802-0323', 1, NULL, NULL, NULL, 2022, NULL, '2018-04-26 09:33:40', '2018-02-07 09:24:30', '2018-03-02 16:52:28', '2018-03-02 16:53:25', '2018-02-07', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 129.41000000, 0.00000000, 0.00000000, 647.05000000, 776.46000000, '', 'Maintenance compresseur Rolalir 1400 à 3374 HRS<br />\r\n<br />\r\nBL N° 43 du 28/02/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 647.05000000, 129.41000000, 776.46000000, NULL, NULL, NULL),
(390, 'CO1802-0324', 1, NULL, NULL, NULL, 2033, NULL, '2018-04-17 09:16:04', '2018-02-07 09:39:37', '2018-04-17 11:13:06', '2018-04-17 11:15:04', '2018-02-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 446.79000000, 0.00000000, 0.00000000, 2233.96000000, 2680.75000000, '', 'Maintenance L26RS N&deg; CD10020872001', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2233.96000000, 446.79000000, 2680.75000000, NULL, NULL, NULL),
(391, 'CO1802-0325', 1, NULL, NULL, NULL, 2036, NULL, '2018-02-20 09:32:18', '2018-02-07 09:47:09', '2018-02-07 09:47:36', '2018-02-20 10:32:03', '2018-02-07', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 139.40000000, 0.00000000, 0.00000000, 697.01000000, 836.41000000, '', 'maintenance rs pro 4 à 2587 HRS <br />\r\nRemplacement cartouche filtre reseau<br />\r\nremplcament kit seprateur de condensats owamat 10<br />\r\n<br />\r\nBL N° 12 du 19/02/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 697.01000000, 139.40000000, 836.41000000, NULL, NULL, NULL),
(392, 'CO1802-0326', 1, NULL, NULL, NULL, 2049, NULL, '2018-03-23 15:27:58', '2018-02-07 09:57:56', '2018-02-07 09:58:04', '2018-03-23 16:27:36', '2018-02-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 158.56000000, 0.00000000, 0.00000000, 792.85000000, 951.41000000, '', 'maintenance cyclon 222 N&deg;F165/2079', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 792.85000000, 158.56000000, 951.41000000, NULL, NULL, NULL),
(393, 'CO1802-0327', 1, NULL, NULL, NULL, 2009, NULL, '2018-02-20 13:38:21', '2018-02-07 10:22:56', '2018-02-07 10:23:27', '2018-02-20 11:23:40', '2018-02-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 111.97000000, 0.00000000, 0.00000000, 559.86000000, 671.83000000, '', 'maintenance rs top 7.5 10 b N&deg; 538095', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 559.86000000, 111.97000000, 671.83000000, NULL, NULL, NULL),
(394, 'CO1802-0328', 1, NULL, NULL, NULL, 2069, NULL, '2018-08-29 12:50:11', '2018-02-07 10:47:16', '2018-08-29 14:38:38', '2018-08-29 14:48:57', '2018-02-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 132.89000000, 0.00000000, 0.00000000, 664.49000000, 797.38000000, '', 'maintenance cyclon 111', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 664.49000000, 132.89000000, 797.38000000, NULL, NULL, NULL),
(395, 'CO1802-0329', 1, NULL, NULL, 'voreppe wa3008', 2054, NULL, '2018-08-31 09:08:09', '2018-02-07 11:30:15', '2018-08-09 11:09:42', '2018-08-31 11:06:18', '2018-02-07', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 199.09000000, 0.00000000, 0.00000000, 995.46000000, 1194.55000000, '', 'maintenance compresseur SULLAIR w3008:<br />\r\n<br />\r\nSite de VOREPPE  ZA Centr alp Rue Louis Neel 38340 VOREPPE', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 995.46000000, 199.09000000, 1194.55000000, NULL, NULL, NULL),
(396, 'CO1802-0330', 1, NULL, NULL, NULL, 2102, NULL, '2018-04-26 09:34:08', '2018-02-07 11:53:45', '2018-02-07 11:53:53', NULL, '2018-02-07', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 323.27000000, 0.00000000, 0.00000000, 1616.38000000, 1939.65000000, '', 'Délai : DISPONIBLE sauf S302 01 101 : 102 pcs ce jour sur  stock - Matériel disponible en totalité S4/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1616.38000000, 323.27000000, 1939.65000000, NULL, NULL, NULL),
(397, 'CO1802-0331', 1, NULL, NULL, NULL, 2059, NULL, '2018-03-01 14:58:12', '2018-02-07 15:11:37', '2018-02-07 15:11:46', '2018-03-01 15:57:07', '2018-02-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 186.40000000, 0.00000000, 0.00000000, 931.97000000, 1118.37000000, '', 'Maintenance Sprint 15 N&deg; 250 et separateur de condensats UltrasepSUper plus 15 :', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 931.97000000, 186.40000000, 1118.37000000, NULL, NULL, NULL),
(398, 'CO1802-0332', 1, NULL, NULL, '01HA00007401', 2060, NULL, '2018-03-01 14:48:48', '2018-02-07 15:12:53', '2018-02-07 15:13:18', '2018-03-01 15:47:32', '2018-02-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 236.22000000, 0.00000000, 0.00000000, 1181.13000000, 1417.35000000, '', 'Suite au passage de notre technicien veuillez trouver ci dessous le devis de r&eacute;paration de votre compresseur Sprint 051 N&deg; 149802/38', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1181.13000000, 236.22000000, 1417.35000000, NULL, NULL, NULL),
(399, 'CO1802-0333', 1, NULL, NULL, NULL, 2153, NULL, '2018-04-26 09:34:10', '2018-02-08 09:15:09', '2018-02-08 09:15:25', '2018-03-02 17:02:26', '2018-02-08', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 329.67000000, 0.00000000, 0.00000000, 1648.37000000, 1978.04000000, '', 'Maintenance l15RS à 11241 HRS<br />\r\n<br />\r\nBL N° 23 du 27/02/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1648.37000000, 329.67000000, 1978.04000000, NULL, NULL, NULL),
(400, 'CO1802-0334', 1, NULL, NULL, NULL, 1988, NULL, '2018-04-03 12:39:14', '2018-02-09 15:32:33', '2018-02-14 09:15:25', '2018-04-03 14:39:14', '2018-02-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 210.62000000, 0.00000000, 0.00000000, 1053.13000000, 1263.75000000, '', 'commande de Anthony &agrave; Mr Balazard de ce jour pour installation au portugal&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1053.13000000, 210.62000000, 1263.75000000, NULL, NULL, NULL),
(401, 'CO1802-0335', 1, NULL, NULL, NULL, 2142, NULL, '2018-02-20 15:37:32', '2018-02-09 16:24:58', '2018-02-09 16:25:10', '2018-02-20 16:36:47', '2018-02-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 396.00000000, 0.00000000, 0.00000000, 1980.00000000, 2376.00000000, '', 'Fourniture et installation secheur par r&eacute;frig&eacute;ration Ed260 :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1980.00000000, 396.00000000, 2376.00000000, NULL, NULL, NULL),
(402, 'CO1802-0336', 1, NULL, NULL, NULL, 12608, NULL, '2019-06-27 13:56:08', '2018-02-12 09:15:23', '2018-02-12 09:16:12', '2019-06-27 15:56:08', '2018-02-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 179.89000000, 0.00000000, 0.00000000, 899.40000000, 1079.29000000, '', 'D&eacute;lai : 15 jours', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 899.40000000, 179.89000000, 1079.29000000, NULL, NULL, NULL),
(403, 'CO1802-0337', 1, NULL, NULL, NULL, 2170, NULL, '2018-02-14 14:25:25', '2018-02-12 11:48:38', '2018-02-14 15:12:10', '2018-02-14 15:24:21', '2018-02-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 88.32000000, 0.00000000, 0.00000000, 441.59000000, 529.91000000, '', 'maintenance L04', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 441.59000000, 88.32000000, 529.91000000, NULL, NULL, NULL),
(404, 'CO1802-0338', 1, NULL, NULL, NULL, 1996, NULL, '2018-04-26 09:34:15', '2018-02-14 10:45:23', '2018-02-14 10:46:01', '2018-02-14 10:48:08', '2018-02-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 77.81000000, 0.00000000, 0.00000000, 389.04000000, 466.85000000, '', 'Intervention local compresseur L18 N&deg; 100008030/0334 &agrave; 30200HRS&nbsp;<br />\r\nFuite au niveau de l&#39;electrovanne -<br />\r\nElectrovanne &agrave; remplacer au plus tot suivant devis transmis le 08/02/2018 -<br />\r\nPret d&#39;une electrovanne d&#39;occasion (dur&eacute;e 1 mois maximum) en attendant le remplacement definitif -', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 389.04000000, 77.81000000, 466.85000000, NULL, NULL, NULL),
(405, 'CO1802-0342', 1, NULL, NULL, NULL, 6204, NULL, '2018-04-26 09:57:29', '2018-02-14 10:52:38', '2018-02-15 11:20:11', '2018-04-26 11:57:29', '2018-02-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 208.48000000, 0.00000000, 0.00000000, 1042.43000000, 1250.91000000, '', 'Proposition sécheur par réfrigeration 72 m3/h point de rosée 2°C  suite au passage de Mr Balazard ce jour : <br />\r\nLivraison FRANCO par Mr Balazard', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1042.43000000, 208.48000000, 1250.91000000, NULL, NULL, NULL),
(406, 'CO1802-0339', 1, NULL, NULL, 'S98118021003', 2054, NULL, '2018-02-14 10:23:46', '2018-02-14 11:16:06', '2018-02-14 11:17:13', '2018-02-14 11:22:57', '2018-02-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 125.25000000, 0.00000000, 0.00000000, 626.26000000, 751.51000000, '', 'Mise en place d&#39;un kit hors gel sur le compresseur Compair L55RS -&nbsp;<br />\r\n<br />\r\nCommande S981 18 02 1003<br />\r\n<br />\r\nDu 12/02/2018<br />\r\n<br />\r\nBL N&deg; 26 du 12/02/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 626.26000000, 125.25000000, 751.51000000, NULL, NULL, NULL),
(407, 'CO1802-0340', 1, NULL, NULL, NULL, 2122, NULL, '2018-02-20 08:57:41', '2018-02-14 14:03:57', '2018-02-14 14:05:43', '2018-02-20 09:56:59', '2018-02-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 73.54000000, 0.00000000, 0.00000000, 367.70000000, 441.24000000, '', 'Aide &agrave; l&#39;examen visuel de la cuve du seprateur du compresseur REGATTA 140 N&deg;0 349017/0116 ann&eacute;e 2000 &agrave; 63457 HRS .<br />\r\n<br />\r\nBL N&deg;22 du 01/02/2018', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 367.70000000, 73.54000000, 441.24000000, NULL, NULL, NULL),
(408, 'CO1802-0341', 1, NULL, NULL, NULL, 2177, NULL, '2018-04-26 09:34:24', '2018-02-14 15:58:47', '2018-02-14 15:58:54', '2018-02-14 15:59:44', '2018-02-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 135.03000000, 0.00000000, 0.00000000, 675.13000000, 810.16000000, '', 'Maintenance L07RS et rollair RLR15 :', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 675.13000000, 135.03000000, 810.16000000, NULL, NULL, NULL),
(409, 'CO1802-0343', 1, NULL, NULL, NULL, 1996, NULL, '2018-04-26 09:34:32', '2018-02-15 11:27:58', '2018-02-15 11:28:53', '2018-03-02 16:47:56', '2018-02-15', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 73.44000000, 0.00000000, 0.00000000, 367.20000000, 440.64000000, '', 'Remplacement electrovanne sur compresseur L18 :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 367.20000000, 73.44000000, 440.64000000, NULL, NULL, NULL),
(410, 'CO1802-0344', 1, NULL, NULL, 'Sécheur Réfrigération', 10293, NULL, '2018-03-29 12:46:26', '2018-02-15 14:16:56', '2018-02-15 14:18:42', '2018-02-15 14:19:10', '2018-02-15', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 282.30000000, 0.00000000, 0.00000000, 1411.52000000, 1693.82000000, '', '', '', 1, NULL, NULL, 9, 3, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1411.52000000, 282.30000000, 1693.82000000, NULL, NULL, NULL),
(411, 'CO1802-0345', 1, NULL, NULL, NULL, 2062, NULL, '2018-04-26 09:34:48', '2018-02-16 11:09:40', '2018-03-12 11:07:45', '2018-03-12 11:09:21', '2018-02-16', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1238.88000000, 0.00000000, 0.00000000, 6194.35000000, 7433.23000000, '', 'Maintenances 3 compresseurs L26RS et differents filtres réseaux : <br />\r\nL26RS N° CD10015212001 à 2924  HRS<br />\r\nL26RS N° CD10021087002 à 5163 HRS<br />\r\nL26RS N° CD10027118001 à 5053 HRS<br />\r\nBL N° 46 , 48, 47 et 42', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 6194.35000000, 1238.88000000, 7433.23000000, NULL, NULL, NULL),
(412, 'CO1802-0346', 1, NULL, NULL, NULL, 2260, NULL, '2018-03-30 08:36:03', '2018-02-16 14:02:06', '2018-02-16 14:02:42', '2018-03-02 13:24:42', '2018-02-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 129.97000000, 0.00000000, 0.00000000, 649.86000000, 779.83000000, '', 'Pieces detach&eacute;es pour maintenance de vos compresseurs :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 649.86000000, 129.97000000, 779.83000000, NULL, NULL, NULL),
(413, 'CO1802-0354', 1, NULL, NULL, '5881', 2354, NULL, '2018-03-02 15:01:54', '2018-02-16 16:17:51', '2018-02-22 16:12:39', NULL, '2018-02-16', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 13.62000000, 0.00000000, 0.00000000, 68.06000000, 81.68000000, '', 'Pour compresseur SULLAIR :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 68.06000000, 13.62000000, 81.68000000, NULL, NULL, NULL),
(414, 'CO1802-0347', 1, NULL, NULL, NULL, 12718, NULL, '2018-03-02 14:40:22', '2018-02-19 14:43:51', '2018-02-19 14:43:57', '2018-03-02 15:39:58', '2018-02-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 314.63000000, 0.00000000, 0.00000000, 1573.16000000, 1887.79000000, '', 'Compresseurs à piston COMPAIR - Garantie 2 ans Piéces et main d\'oeuvre <br />\r\n<br />\r\nDélai : 1 semaine à réception de paiement', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1573.16000000, 314.63000000, 1887.79000000, NULL, NULL, NULL),
(415, 'CO1802-0348', 1, NULL, NULL, NULL, 2038, NULL, '2018-08-22 08:38:03', '2018-02-19 16:07:34', '2018-08-14 09:57:04', '2018-08-14 09:57:24', '2018-02-19', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 91.33000000, 0.00000000, 0.00000000, 456.65000000, 547.98000000, '', 'maintenance L07rs N° BA28124001 à 14356 HRS  <br />\r\n<br />\r\nBL N°1 du 04/08/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 456.65000000, 91.33000000, 547.98000000, NULL, NULL, NULL),
(416, 'CO1802-0349', 1, NULL, NULL, NULL, 2064, NULL, '2018-02-20 09:56:41', '2018-02-20 10:52:32', '2018-02-20 10:53:53', '2018-02-20 10:56:29', '2018-02-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 103.74000000, 0.00000000, 0.00000000, 518.72000000, 622.46000000, '', 'Depannage L80 - Remplcament membrane de mise &agrave; vide et fourniture d&#39;une membrane de secours .<br />\r\n<br />\r\nBL N&deg; 13 du 16/02/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 518.72000000, 103.74000000, 622.46000000, NULL, NULL, NULL),
(417, 'CO1802-0350', 1, NULL, NULL, NULL, 2011, NULL, '2018-04-26 09:34:44', '2018-02-20 16:07:42', '2018-02-20 16:12:40', '2018-02-20 16:13:21', '2018-02-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 225.86000000, 0.00000000, 0.00000000, 1129.32000000, 1355.18000000, '', 'Maintenance compresseur L07RS N&deg; CD10023563001 &agrave; 8687 HRS<br />\r\n<br />\r\nBL N&deg; 34 du 14/02/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1129.32000000, 225.86000000, 1355.18000000, NULL, NULL, NULL),
(418, 'CO1802-0351', 1, NULL, NULL, NULL, 2095, NULL, '2018-03-29 13:48:51', '2018-02-21 08:59:50', '2018-02-21 08:59:59', '2018-03-29 15:46:39', '2018-02-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 171.51000000, 0.00000000, 0.00000000, 857.53000000, 1029.04000000, '', 'Remplacement boitier de regulation , electrovanne et clapet d&#39;aspiration&nbsp; sur compresseur STAR N&deg; 170694001 :', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 857.53000000, 171.51000000, 1029.04000000, NULL, NULL, NULL),
(419, 'CO1802-0352', 1, NULL, NULL, NULL, 2161, NULL, '2018-04-26 09:23:48', '2018-02-21 09:36:00', '2018-02-21 09:36:16', '2018-02-21 09:38:02', '2018-02-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 160.28000000, 0.00000000, 0.00000000, 801.39000000, 961.67000000, '', 'maintenance compresseur START25  N° 349012/5793 à 24200 HRS', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 801.39000000, 160.28000000, 961.67000000, NULL, NULL, NULL),
(420, 'CO1802-0353', 1, NULL, NULL, NULL, 2128, NULL, '2018-03-29 12:22:52', '2018-02-21 14:13:14', '2018-02-21 14:15:53', '2018-03-29 14:22:24', '2018-02-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 51.14000000, 0.00000000, 0.00000000, 255.71000000, 306.85000000, '', 'Installation Filtre regulateur &amp; reparation de fuites', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 255.71000000, 51.14000000, 306.85000000, NULL, NULL, NULL),
(421, 'CO1802-0355', 1, NULL, NULL, '5900', 2354, NULL, '2018-03-02 15:02:40', '2018-02-21 15:28:38', '2018-02-21 15:29:11', '2018-02-22 16:12:01', '2018-02-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 6.04000000, 0.00000000, 0.00000000, 30.20000000, 36.24000000, '', 'raccords', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 30.20000000, 6.04000000, 36.24000000, NULL, NULL, NULL),
(422, 'CO1802-0356', 1, NULL, NULL, '00017985', 2062, NULL, '2018-03-02 13:53:33', '2018-02-21 16:22:31', '2018-02-21 16:23:16', '2018-03-02 14:43:38', '2018-02-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 122.57000000, 0.00000000, 0.00000000, 612.84000000, 735.41000000, '', 'Mise en place d&#39;un kit hors gel sur Compresseur L26RS du batiment A :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 612.84000000, 122.57000000, 735.41000000, NULL, NULL, NULL),
(423, 'CO1802-0357', 1, NULL, NULL, NULL, 2037, NULL, '2018-02-27 10:49:03', '2018-02-21 16:43:17', '2018-02-21 16:43:38', '2018-02-27 11:48:51', '2018-02-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 13.28000000, 0.00000000, 0.00000000, 66.41000000, 79.69000000, '', 'Pour compresseur type COMPAIR CLC507NTPBD - clapet anti retour', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 66.41000000, 13.28000000, 79.69000000, NULL, NULL, NULL),
(424, 'CO1802-0358', 1, NULL, NULL, NULL, 2037, NULL, '2018-04-26 09:59:34', '2018-02-21 16:50:27', '2018-02-21 16:50:50', '2018-04-26 11:59:34', '2018-02-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 314.60000000, 0.00000000, 0.00000000, 1573.00000000, 1887.60000000, '', 'Compresseur &agrave; piston Compair :<br />\r\n&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1573.00000000, 314.60000000, 1887.60000000, NULL, NULL, NULL),
(425, 'CO1802-0359', 1, NULL, NULL, NULL, 2155, NULL, '2018-02-22 09:47:15', '2018-02-22 10:42:30', '2018-02-22 10:44:03', '2018-02-22 10:47:02', '2018-02-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 29.24000000, 0.00000000, 0.00000000, 146.20000000, 175.44000000, '', 'Intervention compresseur L04 N&deg; BA37888001 &agrave; 1013 H - piece sous garantie', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 146.20000000, 29.24000000, 175.44000000, NULL, NULL, NULL),
(426, 'CO1802-0360', 1, NULL, NULL, NULL, 2095, NULL, '2018-03-02 10:54:02', '2018-02-26 09:13:21', '2018-02-26 09:13:29', '2018-03-02 11:53:46', '2018-02-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 39.20000000, 0.00000000, 0.00000000, 196.00000000, 235.20000000, '', 'Lustreuse diametre 150 : <br />\r\n<br />\r\nDISPONIBLE USINE', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 196.00000000, 39.20000000, 235.20000000, NULL, NULL, NULL),
(427, 'CO1802-0361', 1, NULL, NULL, NULL, 2273, NULL, '2018-03-30 13:45:13', '2018-02-26 13:51:14', '2018-02-26 13:51:23', '2018-03-30 15:44:53', '2018-02-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 183.91000000, 0.00000000, 0.00000000, 919.56000000, 1103.47000000, '', 'Fourniture d\'un reservoir 900Litres équipé - livraison FRANCO<br />\r\n<br />\r\nDélai : DISPONIBLE USINE livraison 48/72H', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 919.56000000, 183.91000000, 1103.47000000, NULL, NULL, NULL),
(428, 'CO1802-0362', 1, NULL, NULL, '685', 2273, NULL, '2018-03-30 13:44:33', '2018-02-26 15:07:28', '2018-02-26 15:44:16', '2018-03-30 15:34:54', '2018-02-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 206.09000000, 0.00000000, 0.00000000, 1030.47000000, 1236.56000000, '', 'Mise en lieu et place de la cuve choisie sur offre ci jointe et cr&eacute;ation d&#39;un bypass cuve raccordement du compresseur au reseau en inox :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1030.47000000, 206.09000000, 1236.56000000, NULL, NULL, NULL),
(429, 'CO1802-0425', 1, NULL, NULL, 'Réseau Air Comprimé ', 2076, NULL, '2018-04-26 10:01:41', '2018-02-26 15:27:25', '2018-04-16 09:11:21', '2018-04-26 12:01:41', '2018-02-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 839.97000000, 0.00000000, 0.00000000, 4199.93000000, 5039.90000000, '', 'Projet Air Comprim&eacute;&nbsp;<br />\r\nNouveau Batiment&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4199.93000000, 839.97000000, 5039.90000000, NULL, NULL, NULL),
(431, 'CO1802-0364', 1, NULL, NULL, NULL, 12618, NULL, '2018-04-26 09:58:58', '2018-02-27 09:59:47', '2018-03-01 16:24:21', '2018-04-26 11:58:56', '2018-02-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 40.08000000, 0.00000000, 0.00000000, 200.36000000, 240.44000000, '', 'remplacement cartouche reseau et remplcament pugeur et canalisation de celui ci&nbsp;', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 200.36000000, 40.08000000, 240.44000000, NULL, NULL, NULL),
(432, 'CO1802-0365', 1, NULL, NULL, NULL, 2279, NULL, '2018-04-26 09:59:53', '2018-02-27 11:19:07', '2018-03-30 16:44:52', '2018-04-26 11:59:53', '2018-02-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 431.61000000, 0.00000000, 0.00000000, 2158.07000000, 2589.68000000, '', 'Maintenance L50 N&deg; CD10002543001', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2158.07000000, 431.61000000, 2589.68000000, NULL, NULL, NULL),
(433, 'CO1802-0366', 1, NULL, NULL, NULL, 1988, NULL, '2018-02-27 10:34:25', '2018-02-27 11:26:28', '2018-02-27 11:29:42', '2018-02-27 11:33:38', '2018-02-27', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 56.72000000, 0.00000000, 0.00000000, 283.58000000, 340.30000000, '', 'Dépannage Bekomat V32 ZS1050595 gelé -<br />\r\n<br />\r\nBL N°19 du 26/02/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 283.58000000, 56.72000000, 340.30000000, NULL, NULL, NULL),
(434, 'CO1802-0367', 1, NULL, NULL, 'armoire electro-pneumatique', 9406, NULL, '2018-04-03 12:29:03', '2018-02-27 16:28:59', '2018-02-27 16:29:09', '2018-03-12 14:57:55', '2018-02-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 235.66000000, 0.00000000, 0.00000000, 1178.27000000, 1413.93000000, '', '', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1178.27000000, 235.66000000, 1413.93000000, NULL, NULL, NULL),
(435, 'CO1802-0368', 1, NULL, NULL, NULL, 12590, NULL, '2018-04-26 10:00:52', '2018-02-28 08:58:01', '2018-02-28 09:09:22', '2018-04-26 12:00:52', '2018-02-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 231.62000000, 0.00000000, 0.00000000, 1158.10000000, 1389.72000000, '', 'maintenance compresseur et filtres reseaux&nbsp; :&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1158.10000000, 231.62000000, 1389.72000000, NULL, NULL, NULL);
INSERT INTO `llx_commande` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_cloture`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_cloture`, `source`, `fk_statut`, `amount_ht`, `remise_percent`, `remise_absolue`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `facture`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_livraison`, `fk_shipping_method`, `fk_warehouse`, `fk_availability`, `fk_input_reason`, `fk_delivery_address`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(436, 'CO1802-0369', 1, NULL, NULL, NULL, 9406, NULL, '2018-04-03 12:29:25', '2018-02-28 10:57:26', '2018-02-28 11:04:43', '2018-03-12 14:56:48', '2018-02-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 14.97000000, 0.00000000, 0.00000000, 74.86000000, 89.83000000, '', '', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 74.86000000, 14.97000000, 89.83000000, NULL, NULL, NULL),
(437, 'CO1803-0370', 1, NULL, NULL, 'Compresseur à Piston', 2261, NULL, '2018-04-26 09:47:59', '2018-03-01 11:49:39', '2018-03-01 11:49:45', '2018-04-26 11:46:02', '2018-03-01', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 64.00000000, 0.00000000, 0.00000000, 320.00000000, 384.00000000, '', 'Compresseur sur cuve de 10 Litres <br />\r\nDébit Réel 8m3/h<br />\r\nPuissance 1.5 ch <br />\r\nPoids 21 kg<br />\r\nPression 8 Bars ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, 2, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 320.00000000, 64.00000000, 384.00000000, NULL, NULL, NULL),
(438, 'CO1803-0372', 1, NULL, NULL, NULL, 2140, NULL, '2018-04-16 09:35:45', '2018-03-01 16:20:56', '2018-03-01 16:33:23', '2018-04-16 11:35:45', '2018-03-01', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 156.19000000, 0.00000000, 0.00000000, 780.96000000, 937.15000000, '', 'Maintenance Compresseur L15RS - contrat lisé<br />\r\n<br />\r\nBL N° 21 du 26/02/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 780.96000000, 156.19000000, 937.15000000, NULL, NULL, NULL),
(439, 'CO1802-0371', 1, NULL, NULL, NULL, 2140, NULL, '2018-03-01 15:22:50', '2018-03-01 16:22:09', '2018-03-01 16:22:15', '2018-03-01 16:22:28', '2018-02-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 156.19000000, 0.00000000, 0.00000000, 780.96000000, 937.15000000, '', 'Maintenance Compresseur L15RS N&deg; cd100244995001 &agrave; 7380 HRS - contrat lis&eacute;<br />\r\n<br />\r\nBL N&deg; 21 du 26/02/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 780.96000000, 156.19000000, 937.15000000, NULL, NULL, NULL),
(440, 'CO1803-0373', 1, NULL, NULL, NULL, 2140, NULL, '2018-04-16 09:37:47', '2018-03-01 16:34:26', '2018-03-01 16:34:33', '2018-03-01 16:35:02', '2018-03-01', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 248.13000000, 0.00000000, 0.00000000, 1240.65000000, 1488.78000000, '', 'maintenance L15 N° CD10003063002 à 21572 HRS<br />\r\n<br />\r\nBL N°20 du 26/02/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1240.65000000, 248.13000000, 1488.78000000, NULL, NULL, NULL),
(441, 'CO1803-0374', 1, NULL, NULL, 'S981-18-02-1009', 2054, NULL, '2018-04-26 09:25:12', '2018-03-02 14:56:25', '2018-03-02 14:57:13', '2018-03-02 14:57:53', '2018-03-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 196.16000000, 0.00000000, 0.00000000, 980.78000000, 1176.94000000, '', 'Maintenance compresseur WS3008V à 27622 HRS :<br />\r\n<br />\r\nSIte sces blé 2 calibrage chemin du pouloux 38270 BEAUREPAIRE', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 980.78000000, 196.16000000, 1176.94000000, NULL, NULL, NULL),
(442, 'CO1802-0375', 1, NULL, NULL, NULL, 2101, NULL, '2018-03-02 14:19:15', '2018-03-02 15:09:01', '2018-03-02 15:17:58', '2018-03-02 15:18:45', '2018-02-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 36.16000000, 0.00000000, 0.00000000, 180.79000000, 216.95000000, '', 'Reparation fuite d&#39;air sur reseau Girair diametre 25 et descentes diamtre 20 :&nbsp;<br />\r\n<br />\r\nBL N&deg;13 du 20/02/2018', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 180.79000000, 36.16000000, 216.95000000, NULL, NULL, NULL),
(443, 'CO1803-0376', 1, NULL, NULL, NULL, 2095, NULL, '2018-03-02 14:37:03', '2018-03-02 15:35:31', '2018-03-02 15:36:05', '2018-03-02 15:36:47', '2018-03-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 54.98000000, 0.00000000, 0.00000000, 274.94000000, 329.92000000, '', 'Intervention sur compresseur devilbiss STAR 20 N&deg; 1706940001 &agrave; 15926 HRS<br />\r\n<br />\r\nBL N&deg; 6 du 13/02/2018', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 274.94000000, 54.98000000, 329.92000000, NULL, NULL, NULL),
(444, 'CO1803-0377', 1, NULL, NULL, NULL, 2401, NULL, '2018-04-17 14:17:26', '2018-03-02 15:43:43', '2018-03-02 15:54:53', '2018-03-02 15:55:16', '2018-03-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 663.75000000, 0.00000000, 0.00000000, 3318.76000000, 3982.51000000, '', 'Modification reseau d&#39;eau de ville et reseau d&#39;eau minerale + CO2 reseau mineral + cuve tampon&nbsp;<br />\r\n<br />\r\nBL N&deg; 33 du 13 &amp; 15 F&eacute;vrier 2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3318.76000000, 663.75000000, 3982.51000000, NULL, NULL, NULL),
(445, 'CO1803-0378', 1, NULL, NULL, NULL, 2150, NULL, '2018-03-02 16:06:29', '2018-03-02 17:05:25', '2018-03-02 17:05:32', '2018-03-02 17:05:51', '2018-03-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 102.69000000, 0.00000000, 0.00000000, 513.47000000, 616.16000000, '', 'maintenance L04 N&deg; ba35401001', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 513.47000000, 102.69000000, 616.16000000, NULL, NULL, NULL),
(447, 'CO1803-0379', 1, NULL, NULL, 'Compresseur + Réseau ', 12592, NULL, '2018-03-29 14:27:41', '2018-03-08 09:23:15', '2018-03-08 09:25:04', '2018-03-29 16:26:00', '2018-03-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1840.01000000, 0.00000000, 0.00000000, 9200.11000000, 11040.12000000, '', '', '', 1, NULL, NULL, 9, 2, NULL, NULL, NULL, NULL, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 9200.11000000, 1840.01000000, 11040.12000000, NULL, NULL, NULL),
(448, 'CO1803-0380', 1, NULL, NULL, 'Raccords Pneumatique ', 2354, NULL, '2018-04-03 12:25:46', '2018-03-08 10:14:14', '2018-03-08 10:14:21', '2018-03-12 14:55:54', '2018-03-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 64.42000000, 0.00000000, 0.00000000, 322.10000000, 386.52000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, 2, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 322.10000000, 64.42000000, 386.52000000, NULL, NULL, NULL),
(449, 'CO1803-0381', 1, NULL, NULL, NULL, 2318, NULL, '2018-04-17 13:57:23', '2018-03-09 08:52:29', '2018-04-09 12:03:34', '2018-04-17 15:57:20', '2018-03-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 604.73000000, 0.00000000, 0.00000000, 3023.49000000, 3628.22000000, '', 'Maintenance L45 + L15+ secheurpar adsotpion HL0080', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3023.49000000, 604.73000000, 3628.22000000, NULL, NULL, NULL),
(450, 'CO1803-0382', 1, NULL, NULL, '4800289414', 2234, NULL, '2018-04-26 09:40:05', '2018-03-12 11:38:36', '2018-03-30 16:14:40', '2018-04-18 15:11:15', '2018-03-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 261.37000000, 0.00000000, 0.00000000, 1306.87000000, 1568.24000000, '', 'Maintenance L45RS + owamat&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1306.87000000, 261.37000000, 1568.24000000, NULL, NULL, NULL),
(451, 'CO1803-0383', 1, NULL, NULL, '00018234', 2062, NULL, '2018-03-29 08:20:06', '2018-03-12 14:53:20', '2018-03-12 14:53:27', '2018-03-29 10:11:16', '2018-03-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 91.96000000, 0.00000000, 0.00000000, 459.82000000, 551.78000000, '', 'Remplacement flexible sous compresseur L26RS N&deg;CD10027118001 :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 459.82000000, 91.96000000, 551.78000000, NULL, NULL, NULL),
(452, 'CO1803-0384', 1, NULL, NULL, 'Filtres Mil\'s', 2401, NULL, '2018-04-17 14:14:13', '2018-03-13 10:14:47', '2018-03-13 10:14:56', '2018-04-17 16:13:22', '2018-03-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 137.95000000, 0.00000000, 0.00000000, 689.76000000, 827.71000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, 3, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 689.76000000, 137.95000000, 827.71000000, NULL, NULL, NULL),
(453, 'CO1803-0385', 1, NULL, NULL, NULL, 2260, NULL, '2018-04-17 12:34:16', '2018-03-13 12:29:49', '2018-03-13 12:29:54', '2018-04-17 14:29:50', '2018-03-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 128.36000000, 0.00000000, 0.00000000, 641.80000000, 770.16000000, '', 'D&eacute;lai : 10 &agrave; 15 Jours<br />\r\n<br />\r\nRemplacement bulbe thermostatique sur compresseur SCK42-08', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 641.80000000, 128.36000000, 770.16000000, NULL, NULL, NULL),
(454, 'CO1803-0386', 1, NULL, NULL, '18mc112', 2026, NULL, '2019-04-16 08:16:44', '2018-03-14 09:46:17', '2018-03-14 09:49:50', '2019-04-16 10:16:44', '2018-03-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 33.95000000, 0.00000000, 0.00000000, 169.75000000, 203.70000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 169.75000000, 33.95000000, 203.70000000, NULL, NULL, NULL),
(455, 'CO1803-0387', 1, NULL, NULL, 'Épreuve de Charge des Ponts ', 12598, NULL, '2018-03-30 14:28:02', '2018-03-14 10:15:42', '2018-03-14 10:15:49', '2018-03-30 16:27:24', '2018-03-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 320.00000000, 0.00000000, 0.00000000, 1600.00000000, 1920.00000000, '', '', '', 1, NULL, NULL, 9, 2, NULL, NULL, NULL, 3, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1600.00000000, 320.00000000, 1920.00000000, NULL, NULL, NULL),
(456, 'CO1803-0388', 1, NULL, NULL, NULL, 1980, NULL, '2018-04-09 08:49:55', '2018-03-14 11:37:18', '2018-03-14 11:41:57', '2018-04-09 10:48:55', '2018-03-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 124.24000000, 0.00000000, 0.00000000, 621.24000000, 745.48000000, '', 'maintenance genesis ge1510&nbsp;<br />\r\nsite beaurepaire', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 621.24000000, 124.24000000, 745.48000000, NULL, NULL, NULL),
(458, 'CO1803-0389', 1, NULL, NULL, NULL, 2407, NULL, '2019-01-14 09:37:18', '2018-03-14 14:38:56', '2018-03-14 14:39:07', '2019-01-14 10:37:18', '2018-03-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 47.08000000, 0.00000000, 0.00000000, 235.40000000, 282.48000000, '', 'D&eacute;lai : 29 Mars 2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 235.40000000, 47.08000000, 282.48000000, NULL, NULL, NULL),
(459, 'CO1803-0390', 1, NULL, NULL, NULL, 2330, NULL, '2018-04-26 09:24:59', '2018-03-15 09:08:11', '2018-03-15 09:20:41', '2018-03-23 15:48:28', '2018-03-15', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 329.04000000, 0.00000000, 0.00000000, 1645.00000000, 1974.04000000, '', 'prolongation reseau :&nbsp;', 'einstein', 1, NULL, NULL, 8, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1645.00000000, 329.04000000, 1974.04000000, NULL, NULL, NULL),
(461, 'CO1803-0391', 1, NULL, NULL, 'Cuve 900 Litres ', 2371, NULL, '2018-04-03 12:20:01', '2018-03-16 11:09:48', '2018-03-16 11:09:55', '2018-04-03 14:19:51', '2018-03-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 230.30000000, 0.00000000, 0.00000000, 1151.52000000, 1381.82000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, 2, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1151.52000000, 230.30000000, 1381.82000000, NULL, NULL, NULL),
(462, 'CO1803-0392', 1, NULL, NULL, NULL, 2062, NULL, '2019-02-15 14:09:52', '2018-03-16 11:39:45', '2018-03-16 11:40:01', '2019-02-15 15:09:52', '2018-03-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 17.10000000, 0.00000000, 0.00000000, 85.50000000, 102.60000000, '', '<p>Rajout huile hydraulique en bidon entre 10 et 20 litres (maximum) dans Pompe ICME type TBM68A2TROP&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</p>\r\n\r\n<p>(3 types accept&eacute;s par la pompe : Shell tellus T32 / Q8 Handell 32 / Esso Invarol EP46)</p>\r\n', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 85.50000000, 17.10000000, 102.60000000, NULL, NULL, NULL),
(463, 'CO1803-0393', 1, NULL, NULL, NULL, 2178, NULL, '2018-04-09 10:11:59', '2018-03-16 14:43:44', '2018-04-09 12:07:03', '2018-04-09 12:09:11', '2018-03-16', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 184.94000000, 0.00000000, 0.00000000, 924.70000000, 1109.64000000, '', 'maintenance L55 N° CD10008941001 à 19144HRS  + maintenance sep de condensats DOMINICK HUNTER ES2300<br />\r\nBL N° 46 Du 06/04/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 924.70000000, 184.94000000, 1109.64000000, NULL, NULL, NULL),
(464, 'CO1803-0394', 1, NULL, NULL, 'F18-00493', 2318, NULL, '2018-04-17 13:59:17', '2018-03-19 09:28:47', '2018-03-19 09:28:57', '2018-04-17 15:58:43', '2018-03-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 41.69000000, 0.00000000, 0.00000000, 208.45000000, 250.14000000, '', 'Maintenance separateur de condensats Ultrasep superplus10 :&nbsp;<br />\r\nHors deplacement inclus dans la maintenance des compresseurs&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 208.45000000, 41.69000000, 250.14000000, NULL, NULL, NULL),
(465, 'CO1803-0395', 1, NULL, NULL, NULL, 1940, NULL, '2018-03-23 14:19:40', '2018-03-19 10:26:22', '2018-03-19 10:38:49', '2018-03-23 15:19:09', '2018-03-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 173.16000000, 0.00000000, 0.00000000, 865.80000000, 1038.96000000, '', 'Aspirateur YS 2/62 Eau & Poussière Cuve inox 2 moteurs : <br />\r\n<br />\r\nDISPONIBLE USINE', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 865.80000000, 173.16000000, 1038.96000000, NULL, NULL, NULL),
(466, 'CO1803-0396', 1, NULL, NULL, NULL, 2239, NULL, '2018-04-26 09:24:48', '2018-03-19 10:42:32', '2018-03-19 10:46:18', '2018-03-29 14:35:31', '2018-03-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 258.46000000, 0.00000000, 0.00000000, 1292.27000000, 1550.73000000, '', 'Creation reseau inox en diametre 22 -<br />\r\nNacelle inclus&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1292.27000000, 258.46000000, 1550.73000000, NULL, NULL, NULL),
(467, 'CO1803-0397', 1, NULL, NULL, NULL, 2178, NULL, '2018-04-09 09:57:21', '2018-03-19 14:35:21', '2018-03-19 14:38:11', '2018-04-09 11:56:01', '2018-03-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 150.84000000, 0.00000000, 0.00000000, 754.24000000, 905.08000000, '', 'maintenance HV01 et HV02', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 754.24000000, 150.84000000, 905.08000000, NULL, NULL, NULL),
(468, 'CO1803-0398', 1, NULL, NULL, NULL, 2203, NULL, '2018-04-13 07:31:44', '2018-03-20 10:30:39', '2018-03-20 10:30:56', '2018-04-13 09:31:44', '2018-03-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 45.82000000, 0.00000000, 0.00000000, 229.08000000, 274.90000000, '', 'delai : 5 jours', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 229.08000000, 45.82000000, 274.90000000, NULL, NULL, NULL),
(469, 'CO1803-0399', 1, NULL, NULL, NULL, 9406, NULL, '2018-04-23 09:11:08', '2018-03-20 10:33:05', '2018-03-20 10:33:14', '2018-04-23 11:11:08', '2018-03-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 7.70000000, 0.00000000, 0.00000000, 38.52000000, 46.22000000, '', 'Pour vos 7&nbsp; electrodistributeurs :<br />\r\n<br />\r\nD&eacute;lai : 5 Jours', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 38.52000000, 7.70000000, 46.22000000, NULL, NULL, NULL),
(470, 'CO1803-0400', 1, NULL, NULL, NULL, 12728, NULL, '2018-04-26 10:02:00', '2018-03-21 11:42:46', '2018-03-21 14:02:04', '2018-04-26 12:02:00', '2018-03-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 75.00000000, 0.00000000, 0.00000000, 375.00000000, 450.00000000, '', '', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 375.00000000, 75.00000000, 450.00000000, NULL, NULL, NULL),
(471, 'CO1803-0401', 1, NULL, NULL, NULL, 12683, NULL, '2018-04-04 14:38:11', '2018-03-22 14:47:09', '2018-03-26 11:09:03', '2018-03-26 11:09:46', '2018-03-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1660.43000000, 0.00000000, 0.00000000, 8302.15000000, 9962.58000000, '', 'Raccordement filtre &agrave; sable ( avec air comprim&eacute; )&nbsp;<br />\r\n6/7/13/14/15 &amp; 19 Mars 2018 suivant BL&nbsp; N&deg;39&nbsp;', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 8302.15000000, 1660.43000000, 9962.58000000, NULL, NULL, NULL),
(472, 'CO1803-0497', 1, NULL, NULL, NULL, 12683, NULL, '2018-07-10 14:44:31', '2018-03-23 14:30:04', '2018-06-07 11:03:41', NULL, '2018-03-23', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 501.24000000, 0.00000000, 0.00000000, 2506.22000000, 3007.46000000, '', 'Soudure pour filtres &agrave; sables et reseau d&#39;eau mineral<br />\r\nsuivant BL N&deg;40 du 15 MARS 2018', 'einstein', 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2506.22000000, 501.24000000, 3007.46000000, NULL, NULL, NULL),
(473, 'CO1803-0402', 1, NULL, NULL, NULL, 1996, NULL, '2018-03-23 14:34:13', '2018-03-23 15:28:45', '2018-03-23 15:28:52', '2018-03-23 15:33:58', '2018-03-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 47.44000000, 0.00000000, 0.00000000, 237.20000000, 284.64000000, '', 'Intervention sur compresseur L18 N°100008030/0334 à 30200HRS: <br />\r\nBL N°33 du 13/03/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 237.20000000, 47.44000000, 284.64000000, NULL, NULL, NULL),
(474, 'CO1803-0403', 1, NULL, NULL, NULL, 12730, NULL, '2018-04-06 07:53:59', '2018-03-26 09:37:48', '2018-03-26 09:38:08', '2018-04-06 09:53:45', '2018-03-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 275.00000000, 0.00000000, 0.00000000, 1375.00000000, 1650.00000000, '', '', '', 1, NULL, NULL, 8, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1375.00000000, 275.00000000, 1650.00000000, NULL, NULL, NULL),
(475, 'CO1803-0404', 1, NULL, NULL, NULL, 12683, NULL, '2018-04-04 14:38:00', '2018-03-26 11:43:48', '2018-03-26 11:58:46', '2018-03-26 11:59:08', '2018-03-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 542.15000000, 0.00000000, 0.00000000, 2710.83000000, 3252.98000000, '', 'Modification CO&sup2; de la cuve 12Bar ext vers r&eacute;chauffeur&nbsp;<br />\r\nMontage detendeur sur filtres r&eacute;seaux&nbsp;<br />\r\nModification CO&sup2; inertage des cuves<br />\r\nAvant cuve &agrave; mazout', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2710.83000000, 542.15000000, 3252.98000000, NULL, NULL, NULL),
(476, 'CO1803-0405', 1, NULL, NULL, NULL, 2184, NULL, '2018-05-17 08:16:59', '2018-03-26 12:14:33', '2018-03-26 12:14:52', '2018-03-30 11:17:12', '2018-03-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 46.72000000, 0.00000000, 0.00000000, 233.60000000, 280.32000000, '', 'Maintenance Owamat 14 - Main d&#39;oeuvre offerte &agrave; titre commercial -&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 233.60000000, 46.72000000, 280.32000000, NULL, NULL, NULL),
(477, 'CO1803-0406', 1, NULL, NULL, NULL, 2188, NULL, '2018-03-26 12:56:54', '2018-03-26 14:43:13', '2018-03-26 14:43:22', NULL, '2018-03-26', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 533.74000000, 0.00000000, 0.00000000, 2668.70000000, 3202.44000000, '', 'Kits de maintenance pour compresseur à vitesse variable L132RS COMPAIR N° CD10023077001 suivant cahier des charges ASSURE COMPAIR permettant la garantie 44 000 Heures / 6 ans ( premier terme échu ) :', '', 1, NULL, NULL, 9, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2668.70000000, 533.74000000, 3202.44000000, NULL, NULL, NULL),
(478, 'CO1804-0407', 1, NULL, NULL, NULL, 12600, NULL, '2018-04-26 09:24:29', '2018-04-03 14:24:25', '2018-04-03 14:24:31', '2018-04-03 14:24:50', '2018-04-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 200.32000000, 0.00000000, 0.00000000, 1001.61000000, 1201.93000000, '', 'Maintenance compresseur L07RS et filtres reseaux&nbsp;', '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1001.61000000, 200.32000000, 1201.93000000, NULL, NULL, NULL),
(479, 'CO1804-0408', 1, NULL, NULL, NULL, 2391, NULL, '2018-04-03 12:35:03', '2018-04-03 14:34:00', '2018-04-03 14:34:07', '2018-04-03 14:34:39', '2018-04-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 146.35000000, 0.00000000, 0.00000000, 731.76000000, 878.11000000, '', 'Maintenance L15 N&deg;CD10007461004 de 2011&nbsp;<br />\r\nseprateur de condensats owamat 10', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 731.76000000, 146.35000000, 878.11000000, NULL, NULL, NULL),
(480, 'CO1804-0423', 1, NULL, NULL, NULL, 12743, NULL, '2018-04-26 08:10:19', '2018-04-03 14:36:56', '2018-04-13 14:05:44', '2018-04-26 10:09:41', '2018-04-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 26.00000000, 0.00000000, 0.00000000, 130.00000000, 156.00000000, '', 'Sac de 25 kg d&#39;alumine granulometrie 2-3mm', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 130.00000000, 26.00000000, 156.00000000, NULL, NULL, NULL),
(481, 'CO1804-0409', 1, NULL, NULL, NULL, 2204, NULL, '2018-04-17 12:21:37', '2018-04-03 16:57:46', '2018-04-03 17:07:12', '2018-04-17 14:20:47', '2018-04-03', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 299.46000000, 0.00000000, 0.00000000, 1497.35000000, 1796.81000000, '', 'Contrat Lissé L22 N°CD10029439002 à 2040 HRS+ owamat11 + filtres reseaux ( RA,RB et CA ) ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1497.35000000, 299.46000000, 1796.81000000, NULL, NULL, NULL),
(483, 'CO1804-0411', 1, NULL, NULL, '35721', 2122, NULL, '2018-04-09 09:18:07', '2018-04-05 09:26:26', '2018-04-05 10:04:46', '2018-04-09 11:17:53', '2018-04-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 17.28000000, 0.00000000, 0.00000000, 86.40000000, 103.68000000, '', 'supape 10 bars 3/4', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 86.40000000, 17.28000000, 103.68000000, NULL, NULL, NULL),
(484, 'CO1804-0412', 1, NULL, NULL, NULL, 2313, NULL, '2018-04-17 09:07:57', '2018-04-05 09:56:45', '2018-04-17 11:06:51', '2018-04-17 11:07:10', '2018-04-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 165.70000000, 0.00000000, 0.00000000, 828.52000000, 994.22000000, '', 'Maintenance L07RS et filtre reseau : an adaptable hors garantie', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 828.52000000, 165.70000000, 994.22000000, NULL, NULL, NULL),
(485, 'CO1804-0413', 1, NULL, NULL, NULL, 12747, NULL, '2018-04-17 08:49:02', '2018-04-05 14:22:49', '2018-04-05 14:23:02', '2018-04-17 10:48:47', '2018-04-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 29.56000000, 0.00000000, 0.00000000, 147.80000000, 177.36000000, '', '', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 147.80000000, 29.56000000, 177.36000000, NULL, NULL, NULL),
(486, 'CO1804-0414', 1, NULL, NULL, NULL, 2311, NULL, '2018-08-08 07:20:52', '2018-04-05 15:28:41', '2018-04-17 15:21:01', '2018-08-08 09:20:52', '2018-04-05', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 90.09000000, 0.00000000, 0.00000000, 450.45000000, 540.54000000, '', 'Maintenance devillbiss STAR20 à 17803HRS<br />\r\nBL N°49 du 10/04/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 450.45000000, 90.09000000, 540.54000000, NULL, NULL, NULL),
(487, 'CO1804-0415', 1, NULL, NULL, NULL, 2370, NULL, '2018-04-23 09:55:33', '2018-04-09 14:04:49', '2018-04-09 14:23:04', '2018-04-09 14:24:40', '2018-04-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 112.92000000, 0.00000000, 0.00000000, 564.60000000, 677.52000000, '', 'Maintenance s&eacute;cheur alumine HL0030 et remplcament cartouches filtres r&eacute;seaux :<br />\r\n<br />\r\nBL N&deg; 43 du 30/03/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 564.60000000, 112.92000000, 677.52000000, NULL, NULL, NULL),
(488, 'CO1804-0416', 1, NULL, NULL, NULL, 1980, NULL, '2018-04-19 07:34:36', '2018-04-11 09:24:21', '2018-04-11 09:24:34', '2018-04-19 09:33:57', '2018-04-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 300.00000000, 0.00000000, 0.00000000, 1500.00000000, 1800.00000000, '', 'Suite &agrave; conversation avec ALain Balazard, pour votre site de Beaurepaire veuillez trouver l&#39;offre pour le remplcament de votre r&eacute;servoir&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1500.00000000, 300.00000000, 1800.00000000, NULL, NULL, NULL),
(489, 'CO1804-0417', 1, NULL, NULL, NULL, 1968, NULL, '2018-08-13 13:31:00', '2018-04-11 15:08:16', '2018-04-11 15:08:26', '2018-06-04 11:53:02', '2018-04-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 104.46000000, 0.00000000, 0.00000000, 522.32000000, 626.78000000, '', 'Maintenance compresseur RSDBST3-8BARS et remplacement cartouche filtre r&eacute;seau&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 522.32000000, 104.46000000, 626.78000000, NULL, NULL, NULL),
(490, 'CO1804-0418', 1, NULL, NULL, NULL, 2223, NULL, '2018-07-20 08:57:38', '2018-04-11 15:08:58', '2018-04-11 15:09:50', '2018-07-20 10:56:16', '2018-04-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 136.14000000, 0.00000000, 0.00000000, 680.69000000, 816.83000000, '', 'Maintenance compresseur&nbsp; RSDK PRO ECN 7.5 7 .5 bars et remplacement cartouche filtre reseau&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 680.69000000, 136.14000000, 816.83000000, NULL, NULL, NULL),
(491, 'CO1804-0419', 1, NULL, NULL, '2018236', 1940, NULL, '2018-05-15 08:02:54', '2018-04-11 16:48:50', '2018-04-11 16:48:57', '2018-05-15 10:02:06', '2018-04-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 247.25000000, 0.00000000, 0.00000000, 1236.21000000, 1483.46000000, '', 'Maintenance de votre compresseur L45RS&nbsp;<br />\r\nRemplacement cartouches filtres r&eacute;seaux&nbsp;<br />\r\nMaintenance s&eacute;parateur de condensats owamat14', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1236.21000000, 247.25000000, 1483.46000000, NULL, NULL, NULL),
(492, 'CO1804-0420', 1, NULL, NULL, NULL, 9406, NULL, '2018-12-17 12:35:40', '2018-04-12 14:38:20', '2018-04-12 14:38:42', '2018-12-17 13:35:40', '2018-04-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 190.12000000, 0.00000000, 0.00000000, 950.60000000, 1140.72000000, '', '', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 950.60000000, 190.12000000, 1140.72000000, NULL, NULL, NULL),
(493, 'CO1804-0421', 1, NULL, NULL, NULL, 2203, NULL, '2018-04-17 12:11:24', '2018-04-13 09:32:35', '2018-04-13 09:34:19', '2018-04-17 14:11:04', '2018-04-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 49.70000000, 0.00000000, 0.00000000, 248.48000000, 298.18000000, '', 'en &eacute;change de celle en votre possession :&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 248.48000000, 49.70000000, 298.18000000, NULL, NULL, NULL),
(494, 'CO1804-0422', 1, NULL, NULL, NULL, 2161, NULL, '2018-06-12 14:00:29', '2018-04-13 09:35:20', '2018-04-13 09:35:43', '2018-06-12 16:00:29', '2018-04-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 83.60000000, 0.00000000, 0.00000000, 418.00000000, 501.60000000, '', 'Remplacement ventilateur s&eacute;cheur boge DS40<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 418.00000000, 83.60000000, 501.60000000, NULL, NULL, NULL),
(495, 'CO1804-0424', 1, NULL, NULL, NULL, 2140, NULL, '2018-07-16 11:59:32', '2018-04-13 15:21:34', '2018-05-18 09:43:41', '2018-05-18 09:44:16', '2018-04-13', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 172.97000000, 0.00000000, 0.00000000, 864.88000000, 1037.85000000, '', 'Maintenance start015 N°349012/2499 à 35600 HRS - remplacement cartouche filtre reseau <br />\r\nremplacement coffret et sectionneur de proximité sur compresseur L15-', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 864.88000000, 172.97000000, 1037.85000000, NULL, NULL, NULL),
(496, 'CO1804-0426', 1, NULL, NULL, NULL, 2376, NULL, '2018-05-15 14:02:55', '2018-04-16 11:23:07', '2018-05-03 16:32:14', '2018-05-03 16:33:31', '2018-04-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 189.93000000, 0.00000000, 0.00000000, 949.63000000, 1139.56000000, '', 'Maintenanace compresseur L11VS et filtre reseau', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 949.63000000, 189.93000000, 1139.56000000, NULL, NULL, NULL),
(497, 'CO1804-0427', 1, NULL, NULL, NULL, 2276, NULL, '2018-08-13 13:31:14', '2018-04-16 11:24:04', '2018-05-15 15:50:09', '2018-05-15 15:50:38', '2018-04-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 427.63000000, 0.00000000, 0.00000000, 2138.20000000, 2565.83000000, '', 'maintenance L29RS & separateur de condensats PSG15, filtres reseaux : ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2138.20000000, 427.63000000, 2565.83000000, NULL, NULL, NULL),
(498, 'CO1804-0428', 1, NULL, NULL, NULL, 2231, NULL, '2018-05-15 12:51:48', '2018-04-16 11:25:15', '2018-04-16 11:25:24', '2018-05-15 14:51:11', '2018-04-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 99.83000000, 0.00000000, 0.00000000, 499.19000000, 599.02000000, '', 'Maintenance compresseur HP10 :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 499.19000000, 99.83000000, 599.02000000, NULL, NULL, NULL),
(499, 'CO1804-0429', 1, NULL, NULL, 'S98108181001', 2054, NULL, '2018-11-13 15:07:08', '2018-04-16 11:26:13', '2018-08-24 09:49:00', '2018-11-13 16:07:08', '2018-04-16', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 118.97000000, 0.00000000, 0.00000000, 594.86000000, 713.83000000, '', 'Maintenance RS PRO 7.5 N°709122 à 309HRS<br />\r\n<br />\r\nSite SCES Blé 3 batiment polyvalent -<br />\r\nChemin du Pouloux<br />\r\n38270 BEAUREPAIRE', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 594.86000000, 118.97000000, 713.83000000, NULL, NULL, NULL),
(500, 'CO1804-0430', 1, NULL, NULL, NULL, 2085, NULL, '2018-06-14 09:00:38', '2018-04-16 11:32:43', '2018-06-14 10:58:56', '2018-06-14 11:00:02', '2018-04-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 203.25000000, 0.00000000, 0.00000000, 1016.26000000, 1219.51000000, '', 'Maintenance START25', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1016.26000000, 203.25000000, 1219.51000000, NULL, NULL, NULL),
(501, 'CO1804-0431', 1, NULL, NULL, NULL, 2140, NULL, '2018-07-10 14:45:55', '2018-04-16 11:50:11', '2018-04-16 11:50:25', NULL, '2018-04-16', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 176.18000000, 0.00000000, 0.00000000, 880.88000000, 1057.06000000, '', 'Maintenance L15RS et filtre reseaux', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 880.88000000, 176.18000000, 1057.06000000, NULL, NULL, NULL),
(502, 'CO1804-0432', 1, NULL, NULL, NULL, 2161, NULL, '2018-06-14 09:59:28', '2018-04-16 11:51:25', '2018-06-14 11:56:30', '2018-06-14 11:59:06', '2018-04-16', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 150.29000000, 0.00000000, 0.00000000, 751.40000000, 901.69000000, '', 'SIte de ST Vallier Blanchisserie<br />\r\nMaintenance compresseur BOGE S31-2 : à 12 716 HRS<br />\r\nsuivant contrat <br />\r\nBL N°15 du 12/06/2018<br />\r\n<br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 751.40000000, 150.29000000, 901.69000000, NULL, NULL, NULL),
(503, 'CO1804-0433', 1, NULL, NULL, NULL, 2161, NULL, '2018-08-13 13:32:03', '2018-04-16 11:52:13', '2018-06-14 11:45:46', '2018-06-14 11:47:25', '2018-04-16', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 358.69000000, 0.00000000, 0.00000000, 1793.53000000, 2152.22000000, '', 'SIte de ST VALLIER BLANCHISSERIE : <br />\r\nMaintenance compresseur BOGE S31-3 N°5072922 à 6468 HRS<br />\r\nMaintenance separateur de condensats CC4<br />\r\nSuivant contrat d\'entretien ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1793.53000000, 358.69000000, 2152.22000000, NULL, NULL, NULL),
(504, 'CO1804-0434', 1, NULL, NULL, NULL, 2161, NULL, '2018-08-13 13:31:53', '2018-04-16 11:52:56', '2018-07-16 14:33:42', '2018-07-16 14:35:26', '2018-04-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 105.16000000, 0.00000000, 0.00000000, 525.78000000, 630.94000000, '', 'SIte de romans <br />\r\nMaintenance compresseur MAUGUIERE ME11 & seprateur de condensats <br />\r\nremplacement cartouche filtre reseau :', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 525.78000000, 105.16000000, 630.94000000, NULL, NULL, NULL),
(505, 'CO1804-0435', 1, NULL, NULL, NULL, 2215, NULL, '2018-08-13 13:31:48', '2018-04-16 11:54:32', '2018-04-16 11:54:56', '2018-08-08 09:21:41', '2018-04-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 269.66000000, 0.00000000, 0.00000000, 1348.36000000, 1618.02000000, '', 'Maintenance L11RS&nbsp;<br />\r\nRemplcament cartouche reseau&nbsp;<br />\r\nMaintenance Separateur de condensats OWAMAT10', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1348.36000000, 269.66000000, 1618.02000000, NULL, NULL, NULL),
(506, 'CO1804-0436', 1, NULL, NULL, NULL, 2235, NULL, '2018-08-13 13:31:43', '2018-04-16 11:56:14', '2018-06-28 09:27:17', '2018-07-16 14:44:39', '2018-04-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 405.90000000, 0.00000000, 0.00000000, 2029.50000000, 2435.40000000, '', 'Maintenance L15VS :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2029.50000000, 405.90000000, 2435.40000000, NULL, NULL, NULL),
(507, 'CO1804-0437', 1, NULL, NULL, 'MAC3 - DD CARRIERE', 12666, NULL, '2020-08-12 13:27:10', '2018-04-16 12:03:10', '2020-06-09 14:35:44', '2020-06-26 12:06:22', '2018-04-16', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 146.35000000, 0.00000000, 0.00000000, 731.73000000, 878.08000000, '', 'Maintenance compresseur MAC3 : <br />\r\n<br />\r\nReference de commande FS-SMI-1290601', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 731.73000000, 146.35000000, 878.08000000, 'commande/CO1804-0437/CO1804-0437.pdf', NULL, NULL),
(508, 'CO1804-0438', 1, NULL, NULL, NULL, 12666, NULL, '2019-01-15 14:13:15', '2018-04-16 12:03:59', '2018-04-16 12:04:05', '2019-01-15 15:03:41', '2018-04-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 234.91000000, 0.00000000, 0.00000000, 1174.64000000, 1409.55000000, '', 'Maintenance secheur alumine :&nbsp;', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1174.64000000, 234.91000000, 1409.55000000, NULL, NULL, NULL),
(509, 'CO1804-0439', 1, NULL, NULL, NULL, 2380, NULL, '2018-08-13 13:32:48', '2018-04-16 12:06:57', '2018-06-14 15:06:07', '2018-06-14 15:06:47', '2018-04-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 146.43000000, 0.00000000, 0.00000000, 732.16000000, 878.59000000, '', 'Maintenance compresseur BOGE C9<br />\r\net remplcament cartouches filtres reseaux', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 732.16000000, 146.43000000, 878.59000000, NULL, NULL, NULL),
(510, 'CO1804-0440', 1, NULL, NULL, NULL, 2396, NULL, '2018-07-10 14:47:21', '2018-04-16 12:08:06', '2018-04-20 15:09:58', NULL, '2018-04-16', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 133.10000000, 0.00000000, 0.00000000, 665.52000000, 798.62000000, '', 'Maintenance HV04&nbsp;<br />\r\nMaintenance seprateur de condensats OWAMAT10', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 665.52000000, 133.10000000, 798.62000000, NULL, NULL, NULL),
(511, 'CO1804-0441', 1, NULL, NULL, NULL, 2016, NULL, '2018-04-17 08:55:12', '2018-04-17 10:53:57', '2018-04-17 10:54:28', '2018-04-17 10:54:50', '2018-04-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 35.24000000, 0.00000000, 0.00000000, 176.18000000, 211.42000000, '', 'Intervention sur compresseur L05 &agrave; 3920 HRS- D&eacute;faut A03', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 176.18000000, 35.24000000, 211.42000000, NULL, NULL, NULL),
(512, 'CO1804-0442', 1, NULL, NULL, NULL, 2055, NULL, '2018-04-17 10:04:42', '2018-04-17 12:03:08', '2018-04-17 12:03:17', '2018-04-17 12:03:36', '2018-04-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 139.34000000, 0.00000000, 0.00000000, 696.75000000, 836.09000000, '', 'maintenance L18', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 696.75000000, 139.34000000, 836.09000000, NULL, NULL, NULL),
(513, 'CO1804-0443', 1, NULL, NULL, NULL, 10056, NULL, '2018-04-23 11:46:59', '2018-04-17 14:41:27', '2018-04-17 14:43:16', '2018-04-23 13:46:56', '2018-04-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 17.21000000, 0.00000000, 0.00000000, 86.04000000, 103.25000000, '', 'Commande aupr&eacute;s de Mr BALAZARD', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 86.04000000, 17.21000000, 103.25000000, NULL, NULL, NULL),
(514, 'CO1804-0444', 1, NULL, NULL, NULL, 2311, NULL, '2018-04-17 13:09:17', '2018-04-17 15:05:21', '2018-04-17 15:05:30', '2018-04-17 15:06:00', '2018-04-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 100.17000000, 0.00000000, 0.00000000, 500.83000000, 601.00000000, '', 'maintenance compresseur à piston : <br />\r\nBL N° 50 du 10/04/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 500.83000000, 100.17000000, 601.00000000, NULL, NULL, NULL),
(515, 'CO1804-0445', 1, NULL, NULL, NULL, 2311, NULL, '2018-04-17 13:16:38', '2018-04-17 15:15:31', '2018-04-17 15:15:39', '2018-04-17 15:16:03', '2018-04-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 83.67000000, 0.00000000, 0.00000000, 418.37000000, 502.04000000, '', 'maintenance screw 10', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 418.37000000, 83.67000000, 502.04000000, NULL, NULL, NULL),
(516, 'CO1804-0446', 1, NULL, NULL, NULL, 2401, NULL, '2018-04-17 14:39:28', '2018-04-17 16:24:49', '2018-04-17 16:38:30', '2018-04-17 16:38:42', '2018-04-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 370.30000000, 0.00000000, 0.00000000, 1851.51000000, 2221.81000000, '', 'SOudures pour filtres &agrave; sables et r&eacute;seau d&#39;eau minerale<br />\r\n<br />\r\nBL N&deg; 40 du 15 MARS 2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1851.51000000, 370.30000000, 2221.81000000, NULL, NULL, NULL),
(517, 'CO1804-0447', 1, NULL, NULL, NULL, 1935, NULL, '2019-08-08 07:31:13', '2018-04-19 09:21:39', '2018-04-19 09:45:26', '2019-08-08 09:31:13', '2018-04-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 73.49000000, 0.00000000, 0.00000000, 367.40000000, 440.89000000, '', 'Pi&eacute;ces detach&eacute;es pour L11 -&nbsp;<br />\r\n<br />\r\nD&eacute;lai : 3 jours', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 367.40000000, 73.49000000, 440.89000000, NULL, NULL, NULL),
(518, 'CO1804-0448', 1, NULL, NULL, NULL, 2301, NULL, '2018-04-19 08:16:42', '2018-04-19 10:11:34', '2018-04-19 10:13:10', '2018-04-19 10:16:25', '2018-04-19', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 200.85000000, 0.00000000, 0.00000000, 1004.26000000, 1205.11000000, '', 'Maintenance compresseur  RSDK PRO ECN 5.5 N°627047 à 3827 HRS et maintenance  separateur de condensats OWAMAT 10 : <br />\r\n<br />\r\nBL N°8 du 17/04/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1004.26000000, 200.85000000, 1205.11000000, NULL, NULL, NULL),
(519, 'CO1804-0449', 1, NULL, NULL, NULL, 2369, NULL, '2018-04-20 06:53:49', '2018-04-20 08:52:36', '2018-04-20 08:53:00', '2018-04-20 08:53:28', '2018-04-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 22.14000000, 0.00000000, 0.00000000, 110.72000000, 132.86000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 110.72000000, 22.14000000, 132.86000000, NULL, NULL, NULL),
(520, 'CO1804-0450', 1, NULL, NULL, NULL, 2350, NULL, '2018-04-23 09:38:35', '2018-04-23 11:29:36', '2018-04-23 11:29:44', '2018-04-23 11:30:02', '2018-04-23', 5, NULL, 5, 5, NULL, -1, 0.00000000, 0, NULL, 0, 1690.59000000, 0.00000000, 0.00000000, 8452.90000000, 10143.49000000, '', 'Modification du r&eacute;seau inox en diametre 42 :&nbsp;', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 8452.90000000, 1690.59000000, 10143.49000000, NULL, NULL, NULL),
(521, 'CO1804-0451', 1, NULL, NULL, NULL, 2350, NULL, '2018-04-23 09:47:45', '2018-04-23 11:33:06', '2018-04-23 11:33:15', '2018-04-23 11:33:21', '2018-04-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 118.30000000, 0.00000000, 0.00000000, 591.50000000, 709.80000000, '', 'Raccordement cuve exitante au réseau inox en dessous de la plateforme existante - mettre un piquage en attente<br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 591.50000000, 118.30000000, 709.80000000, NULL, NULL, NULL),
(522, 'CO1804-0452', 1, NULL, NULL, NULL, 2350, NULL, '2018-04-23 09:45:37', '2018-04-23 11:42:03', '2018-04-23 11:43:33', '2018-04-23 11:44:48', '2018-04-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 189.12000000, 0.00000000, 0.00000000, 945.60000000, 1134.72000000, '', 'Maintenance L45RS N°CD10015094001 ( 6000H )  ( NB : attention pas de sectionneur de proximité) + remplacement cartouche filtre réseau<br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 945.60000000, 189.12000000, 1134.72000000, NULL, NULL, NULL),
(523, 'CO1804-0453', 1, NULL, NULL, NULL, 12699, NULL, '2018-06-21 13:56:12', '2018-04-23 12:00:29', '2018-04-23 12:00:50', '2018-06-21 15:55:42', '2018-04-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 662.80000000, 0.00000000, 0.00000000, 3314.00000000, 3976.80000000, '', 'Mise en place d\'un groupe froid ', '', 1, NULL, NULL, 12, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3314.00000000, 662.80000000, 3976.80000000, NULL, NULL, NULL),
(524, 'CO1804-0454', 1, NULL, NULL, NULL, 2203, NULL, '2018-07-10 14:47:46', '2018-04-23 13:44:42', '2018-04-26 16:48:40', NULL, '2018-04-23', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 303.92000000, 0.00000000, 0.00000000, 1519.60000000, 1823.52000000, '', 'Maintenance L45RS -', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1519.60000000, 303.92000000, 1823.52000000, NULL, NULL, NULL),
(525, 'CO1804-0455', 1, NULL, NULL, 'ensemble compresseur et secheur', 12745, NULL, '2018-08-13 13:30:20', '2018-04-23 14:09:00', '2018-04-23 16:19:33', '2018-05-18 09:55:42', '2018-04-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1416.71000000, 0.00000000, 0.00000000, 7083.58000000, 8500.29000000, '', '', '', 1, NULL, NULL, 12, NULL, NULL, NULL, NULL, 3, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 7083.58000000, 1416.71000000, 8500.29000000, NULL, NULL, NULL),
(526, 'CO1804-0456', 1, NULL, NULL, NULL, 12697, NULL, '2018-07-03 07:54:19', '2018-04-25 15:06:09', '2018-04-25 15:08:51', '2018-07-03 09:53:46', '2018-04-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 122.26000000, 0.00000000, 0.00000000, 611.31000000, 733.57000000, '', 'fourniture livr&eacute; par alain', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 611.31000000, 122.26000000, 733.57000000, NULL, NULL, NULL),
(527, 'CO1804-0457', 1, NULL, NULL, NULL, 2347, NULL, '2018-04-26 12:48:36', '2018-04-26 14:44:51', '2018-04-26 14:45:00', '2018-04-26 14:45:34', '2018-04-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 115.22000000, 0.00000000, 0.00000000, 576.10000000, 691.32000000, '', '<br />\r\nD&eacute;lai : livraison sous 10 jour(s) ouvr&eacute;(s), sous r&eacute;serve de disponibilit&eacute; chez le fabricant.', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 576.10000000, 115.22000000, 691.32000000, NULL, NULL, NULL),
(528, 'CO1804-0458', 1, NULL, NULL, NULL, 5741, NULL, '2020-12-21 10:08:24', '2018-04-27 08:46:16', '2018-04-27 08:46:32', '2020-12-21 11:08:24', '2018-04-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 118.76000000, 0.00000000, 0.00000000, 593.78000000, 712.54000000, '', 'D&eacute;lai : 15 jours', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 593.78000000, 118.76000000, 712.54000000, NULL, NULL, NULL),
(529, 'CO1804-0459', 1, NULL, NULL, NULL, 2062, NULL, '2018-04-27 09:29:57', '2018-04-27 11:26:26', '2018-04-27 11:26:34', '2018-04-27 11:27:50', '2018-04-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 642.25000000, 0.00000000, 0.00000000, 3211.27000000, 3853.52000000, '', 'Remplacement s&eacute;cheur par r&eacute;frigeration pour compresseur L26RS :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3211.27000000, 642.25000000, 3853.52000000, NULL, NULL, NULL),
(530, 'CO1805-0460', 1, NULL, NULL, NULL, 2157, NULL, '2018-07-03 07:10:02', '2018-05-02 12:04:41', '2018-05-02 12:04:50', '2018-07-03 09:02:57', '2018-05-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1719.96000000, 0.00000000, 0.00000000, 8599.98000000, 10319.94000000, '', 'air comprim&eacute;', 'generic_order_odt:/home/sfacs/web/gestion/documents/doctemplates/orders/Bon de commande.odt', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 8599.98000000, 1719.96000000, 10319.94000000, NULL, NULL, NULL),
(531, 'CO1805-0461', 1, NULL, NULL, NULL, 6086, NULL, '2019-09-03 09:43:24', '2018-05-03 08:56:11', '2018-11-30 11:24:37', '2018-12-14 10:45:01', '2018-04-25', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 50006.97000000, 0.00000000, 0.00000000, 251000.00000000, 301006.68000000, '', 'DOSSIER AC N2 et OX', 'einstein', 1, NULL, NULL, 13, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 251000.00000000, 50006.99000000, 301006.99000000, NULL, NULL, NULL),
(532, 'CO1805-0463', 1, NULL, NULL, NULL, 2370, NULL, '2018-06-05 13:42:34', '2018-05-03 10:47:44', '2018-06-05 15:40:03', '2018-06-05 15:41:22', '2018-05-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 92.61000000, 0.00000000, 0.00000000, 463.07000000, 555.68000000, '', 'Maintenance RStop 7.5 :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 463.07000000, 92.61000000, 555.68000000, NULL, NULL, NULL);
INSERT INTO `llx_commande` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_cloture`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_cloture`, `source`, `fk_statut`, `amount_ht`, `remise_percent`, `remise_absolue`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `facture`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_livraison`, `fk_shipping_method`, `fk_warehouse`, `fk_availability`, `fk_input_reason`, `fk_delivery_address`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(533, 'CO1805-0462', 1, NULL, NULL, NULL, 2076, NULL, '2018-05-15 08:39:48', '2018-05-03 11:30:00', '2018-05-03 11:30:07', '2018-05-03 16:31:46', '2018-05-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 118.79000000, 0.00000000, 0.00000000, 593.95000000, 712.74000000, '', 'Maintenance HV07 et remplcament cartouche filtre reseau', '', 1, NULL, NULL, 3, 2, '2018-05-04', NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 593.95000000, 118.79000000, 712.74000000, NULL, NULL, NULL),
(534, 'CO1805-0464', 1, NULL, NULL, NULL, 2234, NULL, '2018-09-05 07:52:04', '2018-05-04 15:55:34', '2018-07-12 11:20:01', '2018-09-05 09:52:02', '2018-05-04', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 4113.00000000, 0.00000000, 0.00000000, 20565.00000000, 24678.00000000, '', 'Installation en lieu et place de votre compresseur L45 45 KW vitesse fixe d\'un compresseur L45RS vitesse variable 45 KW COMPAIR :<br />\r\nRaccordement electrique du compresseur au sectionneur de proximité <br />\r\nHors gainage<br />\r\nRaccordement en air du compresseur<br />\r\n<span style=\"color:#222222\"><strong> Mise en place d\'un système de récupération de chaleur sur un compresseur d\'air d\'une puissance de 45kW\"</strong><em>. </em></span>', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 20565.00000000, 4113.00000000, 24678.00000000, NULL, NULL, NULL),
(535, 'CO1805-0465', 1, NULL, NULL, NULL, 2029, NULL, '2018-08-13 13:32:43', '2018-05-15 10:08:41', '2018-05-15 10:08:59', '2018-05-15 10:09:26', '2018-05-15', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 106.17000000, 0.00000000, 0.00000000, 530.85000000, 637.02000000, '', 'Maintenance Compresseur L11 et remplacement cartouche filtre reseau - maintenance seprateur de condensats OWAMAT 10', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 530.85000000, 106.17000000, 637.02000000, NULL, NULL, NULL),
(536, 'CO1805-0466', 1, NULL, NULL, '36119', 2122, NULL, '2018-05-18 08:12:26', '2018-05-15 11:21:01', '2018-05-18 10:11:09', '2018-05-18 10:11:33', '2018-05-15', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 479.80000000, 0.00000000, 0.00000000, 2399.00000000, 2878.80000000, '', 'location groupe froid tae evo tech 020 1 &agrave; 3 mois&nbsp; inclus port aller / retour avec mise en service&nbsp;', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2399.00000000, 479.80000000, 2878.80000000, NULL, NULL, NULL),
(537, 'CO1805-0467', 1, NULL, NULL, NULL, 2373, NULL, '2018-05-15 12:28:04', '2018-05-15 14:26:55', '2018-05-15 14:27:03', '2018-05-15 14:27:21', '2018-05-15', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 134.40000000, 0.00000000, 0.00000000, 672.00000000, 806.40000000, '', '<p>Réépreuve de vos 2 réservoirs d’air comprimé ( Hors organisme agrée ) - Cuve rollair 1400B et cuve IRN11K</p>\r\n\r\n<p>Notre offre comprend :</p>\r\n\r\n<ul>\r\n	<li>Dépose des accessoires fixer sur la cuve ( flexible , … etc )</li>\r\n	<li>Bouchonnage des differents orifices</li>\r\n	<li>Remplissage du reservoir avec de l’eau</li>\r\n	<li>Assistance eu verificateur de l’organisme agrée</li>\r\n	<li>Remontage et remise en service de la machine</li>\r\n</ul>\r\n', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 672.00000000, 134.40000000, 806.40000000, NULL, NULL, NULL),
(538, 'CO1805-0468', 1, NULL, NULL, NULL, 2354, NULL, '2018-06-05 13:25:56', '2018-05-15 15:19:19', '2018-06-05 15:24:24', '2018-06-05 15:25:19', '2018-05-15', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 237.03000000, 0.00000000, 0.00000000, 1185.16000000, 1422.19000000, '', 'maintenance L15 N°100014096-0169 à 21454 HRS & separateur de condensats owamat 11<br />\r\n<br />\r\nBL N°11 du 25/05/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1185.16000000, 237.03000000, 1422.19000000, NULL, NULL, NULL),
(539, 'CO1805-0469', 1, NULL, NULL, NULL, 2396, NULL, '2018-08-13 13:32:38', '2018-05-15 16:32:02', '2018-06-06 10:25:48', '2018-06-06 10:26:49', '2018-05-15', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 319.25000000, 0.00000000, 0.00000000, 1596.25000000, 1915.50000000, '', 'Remise en etat 4010ELK-09-BES', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1596.25000000, 319.25000000, 1915.50000000, NULL, NULL, NULL),
(540, 'CO1805-0470', 1, NULL, NULL, NULL, 2396, NULL, '2018-08-13 13:33:03', '2018-05-15 16:33:21', '2018-06-06 10:30:27', '2018-06-06 10:30:49', '2018-05-15', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 156.22000000, 0.00000000, 0.00000000, 781.09000000, 937.31000000, '', 'Modification du local suivant plan ci joint :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 781.09000000, 156.22000000, 937.31000000, NULL, NULL, NULL),
(541, 'CO1805-0495', 1, NULL, NULL, NULL, 2396, NULL, '2018-08-13 13:39:07', '2018-05-15 16:34:00', '2018-06-06 10:32:38', '2018-08-13 15:39:07', '2018-05-15', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 117.48000000, 0.00000000, 0.00000000, 587.40000000, 704.88000000, '', 'Maintenance HV04 <br />\r\nMaintenance separateur de condensats OWAMAT10', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 587.40000000, 117.48000000, 704.88000000, NULL, NULL, NULL),
(542, 'CO1805-0471', 1, NULL, NULL, NULL, 2178, NULL, '2018-06-07 07:51:18', '2018-05-17 15:53:40', '2018-05-17 15:53:59', '2018-06-07 09:51:09', '2018-05-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 146.70000000, 0.00000000, 0.00000000, 733.50000000, 880.20000000, '', 'perceuse avec mandrin auto 13 mm', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 733.50000000, 146.70000000, 880.20000000, NULL, NULL, NULL),
(543, 'CO1805-0472', 1, NULL, NULL, NULL, 2378, NULL, '2018-05-18 08:42:36', '2018-05-18 10:41:40', '2018-05-18 10:41:47', '2018-05-18 10:42:35', '2018-05-18', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 403.07000000, 0.00000000, 0.00000000, 2015.37000000, 2418.44000000, '', 'Maintenance L45RS&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2015.37000000, 403.07000000, 2418.44000000, NULL, NULL, NULL),
(545, 'CO1805-0483', 1, NULL, NULL, 'Maintenances compresseur COMPAIR & KAESER', 2053, NULL, '2018-06-04 11:47:49', '2018-05-25 14:31:29', '2018-06-04 13:46:13', '2018-06-04 13:47:01', '2018-05-25', 4, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 472.76000000, 0.00000000, 0.00000000, 2363.88000000, 2836.64000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2363.88000000, 472.76000000, 2836.64000000, NULL, NULL, NULL),
(551, 'CO1805-0475', 1, NULL, NULL, NULL, 12596, NULL, '2018-06-04 15:06:18', '2018-05-30 15:21:18', '2018-05-30 15:21:30', '2018-06-04 17:05:19', '2018-05-30', 4, NULL, 4, 5, NULL, 3, 0.00000000, 0, NULL, 0, 943.00000000, 0.00000000, 0.00000000, 4715.00000000, 5658.00000000, '', '', 'einstein', 1, NULL, NULL, 14, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4715.00000000, 943.00000000, 5658.00000000, NULL, NULL, NULL),
(553, 'CO1805-0476', 1, NULL, NULL, NULL, 12761, NULL, '2018-07-10 14:48:09', '2018-05-31 09:21:21', '2018-05-31 09:22:03', NULL, '2018-05-31', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 106.00000000, 0.00000000, 0.00000000, 530.00000000, 636.00000000, '', '', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 530.00000000, 106.00000000, 636.00000000, NULL, NULL, NULL),
(554, 'CO1805-0477', 1, NULL, NULL, NULL, 12761, NULL, '2018-07-10 14:48:23', '2018-05-31 09:26:11', '2018-05-31 09:26:30', NULL, '2018-05-31', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 106.00000000, 0.00000000, 0.00000000, 530.00000000, 636.00000000, '', '', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 530.00000000, 106.00000000, 636.00000000, NULL, NULL, NULL),
(555, 'CO1805-0478', 1, NULL, NULL, NULL, 12761, NULL, '2018-07-10 14:48:36', '2018-05-31 09:33:49', '2018-05-31 09:34:08', NULL, '2018-05-31', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 106.00000000, 0.00000000, 0.00000000, 530.00000000, 636.00000000, '', '', '', 1, NULL, NULL, 14, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 530.00000000, 106.00000000, 636.00000000, NULL, NULL, NULL),
(556, 'CO1805-0479', 1, NULL, NULL, NULL, 2338, NULL, '2018-06-11 07:19:32', '2018-05-31 14:25:18', '2018-05-31 14:35:16', '2018-06-11 09:19:31', '2018-05-31', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 254.79000000, 0.00000000, 0.00000000, 1273.97000000, 1528.76000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1273.97000000, 254.79000000, 1528.76000000, NULL, NULL, NULL),
(557, 'CO1806-0480', 1, NULL, NULL, '9626', 5741, NULL, '2018-08-13 13:35:22', '2018-06-04 10:55:12', '2018-07-19 10:32:33', '2018-07-19 10:33:23', '2018-06-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 626.61000000, 0.00000000, 0.00000000, 3133.06000000, 3759.67000000, '', 'Maintenance 16000 HRS pour compresseur L75&nbsp;', '', 1, NULL, NULL, 13, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3133.06000000, 626.61000000, 3759.67000000, NULL, NULL, NULL),
(558, 'CO1806-0481', 1, NULL, NULL, NULL, 2347, NULL, '2018-06-07 07:58:59', '2018-06-04 11:31:42', '2018-06-04 11:31:54', '2018-06-04 11:32:30', '2018-06-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 23.54000000, 0.00000000, 0.00000000, 117.70000000, 141.24000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 117.70000000, 23.54000000, 141.24000000, NULL, NULL, NULL),
(559, 'CO1806-0482', 1, NULL, NULL, NULL, 2157, NULL, '2018-08-22 12:06:54', '2018-06-04 12:03:14', '2018-06-04 14:02:29', '2018-07-03 10:44:24', '2018-06-04', 5, NULL, 7, 5, NULL, 3, 0.00000000, 0, NULL, 0, 184.00000000, 0.00000000, 0.00000000, 920.00000000, 1104.00000000, 'a ne pas facturer de suite / cde enrouleurs', '', 'generic_order_odt:/home/sfacs/web/gestion/documents/doctemplates/orders/Accuse_de_reception_commande.odt', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 920.00000000, 184.00000000, 1104.00000000, NULL, NULL, NULL),
(560, 'CO1806-0668', 1, NULL, NULL, '00227', 12581, NULL, '2018-10-31 13:30:01', '2018-06-04 14:22:17', '2018-09-21 16:02:53', '2018-10-31 14:30:01', '2018-06-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 57.23000000, 0.00000000, 0.00000000, 286.14000000, 343.37000000, '', 'Depannage site de portes les valence - compresseur GA15+FF - bouton d&#39;arret d&#39;urgence defectueux-&nbsp;<br />\r\n<br />\r\nBL N&deg; 21 du 18/05/2018<br />\r\n<br />\r\nBC N&deg; 00227 du 18/05/18&nbsp;<br />\r\nCHantier 82000 - centrale enrobes', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 286.14000000, 57.23000000, 343.37000000, NULL, NULL, NULL),
(561, 'CO1806-0493', 1, NULL, NULL, NULL, 12762, NULL, '2018-08-13 13:41:21', '2018-06-04 14:42:53', '2018-06-06 09:50:17', '2018-08-13 15:41:12', '2018-06-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 45.00000000, 0.00000000, 0.00000000, 225.00000000, 270.00000000, '', '', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 225.00000000, 45.00000000, 270.00000000, NULL, NULL, NULL),
(562, 'CO1806-0484', 1, NULL, NULL, 'reparation reseau GIRAIR par INOX 28', 2076, NULL, '2018-06-04 14:34:10', '2018-06-04 16:28:39', '2018-06-04 16:29:37', '2018-06-04 16:33:35', '2018-06-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 190.60000000, 0.00000000, 0.00000000, 952.90000000, 1143.50000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 952.90000000, 190.60000000, 1143.50000000, NULL, NULL, NULL),
(563, 'CO1806-0485', 1, NULL, NULL, NULL, 7060, NULL, '2018-06-04 14:50:11', '2018-06-04 16:43:37', '2018-06-04 16:49:15', '2018-06-04 16:49:26', '2018-06-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 113.83000000, 0.00000000, 0.00000000, 569.18000000, 683.01000000, '', 'depannage shiller NR42608 - recherche panne inter 12V - defcetueux - changement inter essais -&nbsp;', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 569.18000000, 113.83000000, 683.01000000, NULL, NULL, NULL),
(564, 'CO1806-0486', 1, NULL, NULL, NULL, 12590, NULL, '2018-11-13 15:29:00', '2018-06-05 09:20:59', '2018-06-05 09:29:21', NULL, '2018-06-05', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 194.10000000, 0.00000000, 0.00000000, 970.48000000, 1164.58000000, '', 'Maintenance compresseur RSF PRO 2 -30 :&nbsp;', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 970.48000000, 194.10000000, 1164.58000000, NULL, NULL, NULL),
(565, 'CO1806-0487', 1, NULL, NULL, NULL, 2162, NULL, '2018-07-27 09:13:21', '2018-06-05 11:29:26', '2018-07-27 11:09:21', '2018-07-27 11:10:25', '2018-06-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 278.29000000, 0.00000000, 0.00000000, 1391.52000000, 1669.81000000, '', 'contrat liss&eacute;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1391.52000000, 278.29000000, 1669.81000000, NULL, NULL, NULL),
(566, 'CO1806-0488', 1, NULL, NULL, NULL, 2215, NULL, '2018-06-05 10:00:19', '2018-06-05 11:59:56', '2018-06-05 12:00:01', '2018-06-05 12:00:05', '2018-06-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 65.99000000, 0.00000000, 0.00000000, 329.95000000, 395.94000000, '', 'Mensualit&eacute; contrat LDD', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 329.95000000, 65.99000000, 395.94000000, NULL, NULL, NULL),
(567, 'CO1806-0489', 1, NULL, NULL, NULL, 2162, NULL, '2018-06-20 07:38:40', '2018-06-05 12:05:33', '2018-06-05 12:07:40', '2018-06-20 09:38:40', '2018-06-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 149.78000000, 0.00000000, 0.00000000, 748.92000000, 898.70000000, '', 'maintenance compresseur L37 N&deg; CD10004203001 - hors garantie&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 748.92000000, 149.78000000, 898.70000000, NULL, NULL, NULL),
(568, 'CO1806-0490', 1, NULL, NULL, NULL, 2247, NULL, '2018-06-05 12:16:06', '2018-06-05 14:13:59', '2018-06-05 14:15:10', '2018-06-05 14:15:45', '2018-06-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 262.15000000, 0.00000000, 0.00000000, 1310.80000000, 1572.95000000, '', 'maintenance L18rs N° CD100018442001 à 21963 HRS<br />\r\n<br />\r\nBL N° 14 du 30/05/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1310.80000000, 262.15000000, 1572.95000000, NULL, NULL, NULL),
(569, 'CO1806-0491', 1, NULL, NULL, NULL, 2206, NULL, '2018-08-13 13:33:53', '2018-06-05 14:26:27', '2018-06-05 14:26:38', '2018-06-05 14:27:16', '2018-06-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 93.04000000, 0.00000000, 0.00000000, 465.19000000, 558.23000000, '', 'Maintenance HV05 :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 465.19000000, 93.04000000, 558.23000000, NULL, NULL, NULL),
(570, 'CO1806-0492', 1, NULL, NULL, '1798995', 2350, NULL, '2018-06-05 13:55:13', '2018-06-05 15:48:18', '2018-06-05 15:54:38', '2018-06-05 15:54:57', '2018-06-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 165.84000000, 0.00000000, 0.00000000, 829.22000000, 995.06000000, '', 'Changement des 2 accumulateurs sur pompe e lavage en 3/4 et 1&quot; -&nbsp;<br />\r\n<br />\r\nBL 12 du 27/04/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 829.22000000, 165.84000000, 995.06000000, NULL, NULL, NULL),
(571, 'CO1806-0494', 1, NULL, NULL, NULL, 2072, NULL, '2018-08-13 13:33:48', '2018-06-06 10:04:40', '2018-06-19 14:49:08', '2018-06-19 14:50:17', '2018-06-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 158.63000000, 0.00000000, 0.00000000, 793.12000000, 951.75000000, '', 'maintenance compresseur L11 N&deg;100008027/0114', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 793.12000000, 158.63000000, 951.75000000, NULL, NULL, NULL),
(572, 'CO1806-0496', 1, NULL, NULL, 'Commande de Mrs.Odeyer et Yang(L37RS)', 2352, NULL, '2018-06-07 06:46:59', '2018-06-07 08:45:59', '2018-06-07 08:46:07', '2018-06-07 08:46:33', '2018-06-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 546.50000000, 0.00000000, 0.00000000, 2732.50000000, 3279.00000000, '', 'Maintenance L37RS N° CD10019189001 à 8907 HRS - Remplacement des cartouches des filtres réseaux .', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2732.50000000, 546.50000000, 3279.00000000, NULL, NULL, NULL),
(573, 'CO1806-0498', 1, NULL, NULL, NULL, 11440, NULL, '2018-08-13 13:33:43', '2018-06-07 14:18:46', '2018-06-07 14:18:59', '2018-06-20 10:17:01', '2018-06-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 112.98000000, 0.00000000, 0.00000000, 564.86000000, 677.84000000, '', 'Maintenance compresseur RSDKB 4 -10bars RENNER N&deg; 710036', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 564.86000000, 112.98000000, 677.84000000, NULL, NULL, NULL),
(574, 'CO1806-0499', 1, NULL, NULL, NULL, 2033, NULL, '2018-08-13 13:36:16', '2018-06-07 16:20:12', '2018-06-19 14:42:05', '2018-06-19 14:42:28', '2018-06-07', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 257.33000000, 0.00000000, 0.00000000, 1286.62000000, 1543.95000000, '', 'Maintenance L15RS N° CD10006364001 à 20575 HRS<br />\r\n<br />\r\nBL N° 5 du 15/06/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1286.62000000, 257.33000000, 1543.95000000, NULL, NULL, NULL),
(575, 'CO1806-0500', 1, NULL, NULL, NULL, 2101, NULL, '2018-11-13 15:09:21', '2018-06-07 16:20:56', '2018-06-07 16:21:16', NULL, '2018-06-07', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 130.97000000, 0.00000000, 0.00000000, 654.86000000, 785.83000000, '', 'Maintenance RSDK PRO 7.5 :&nbsp;', '', 0, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 654.86000000, 130.97000000, 785.83000000, NULL, NULL, NULL),
(577, 'CO1806-0526', 1, NULL, NULL, 'L11 an adaptable', 2408, NULL, '2018-06-20 12:10:10', '2018-06-07 16:33:54', '2018-06-20 12:02:07', '2018-06-20 12:02:24', '2018-06-07', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 133.58000000, 0.00000000, 0.00000000, 667.91000000, 801.49000000, '', 'Maintenance compresseur L11  à 13380 HRS en adaptable et separateur de condensats OWAMAT 11<br />\r\n<br />\r\nBL N° 49 du 14/06/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 667.91000000, 133.58000000, 801.49000000, NULL, NULL, NULL),
(579, 'CO1806-0510', 1, NULL, NULL, 'maintenance adoucisseur', 2122, NULL, '2018-06-14 09:14:15', '2018-06-07 16:54:00', '2018-06-12 08:59:13', '2018-06-14 11:08:46', '2018-06-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 65.11000000, 0.00000000, 0.00000000, 325.54000000, 390.65000000, '', 'Maintenance adoucisseur :&nbsp;', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 325.54000000, 65.11000000, 390.65000000, NULL, NULL, NULL),
(580, 'CO1806-0502', 1, NULL, NULL, 'huile hydrovane', 1948, NULL, '2018-06-14 07:39:00', '2018-06-07 17:02:24', '2018-06-07 17:02:30', '2018-06-14 09:38:45', '2018-06-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 18.13000000, 0.00000000, 0.00000000, 90.64000000, 108.77000000, '', '', '', 1, NULL, NULL, 13, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 90.64000000, 18.13000000, 108.77000000, NULL, NULL, NULL),
(581, 'CO1806-0503', 1, NULL, NULL, '36371', 2122, NULL, '2018-07-03 08:57:56', '2018-06-08 08:44:38', '2018-06-15 07:53:23', '2018-07-03 10:57:56', '2018-06-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 45.84000000, 0.00000000, 0.00000000, 229.20000000, 275.04000000, '', 'une soupape de s&eacute;curit&eacute; tar&eacute; a 0.5 bars avec un diam&egrave;tre de raccordement &frac34; avec un d&eacute;bit de 548 L/min.', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 229.20000000, 45.84000000, 275.04000000, NULL, NULL, NULL),
(582, 'CO1806-0504', 1, NULL, NULL, NULL, 2001, NULL, '2018-06-14 07:43:01', '2018-06-08 10:45:47', '2018-06-08 10:45:55', '2018-06-14 09:42:44', '2018-06-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 56.00000000, 0.00000000, 0.00000000, 280.00000000, 336.00000000, '', 'D&eacute;lai : DISPONIBLE USINE', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 280.00000000, 56.00000000, 336.00000000, NULL, NULL, NULL),
(583, 'CO1806-0505', 1, NULL, NULL, 'S97218071014', 2054, NULL, '2018-07-27 08:01:02', '2018-06-11 08:57:11', '2018-06-11 08:57:27', '2018-07-27 10:00:32', '2018-06-11', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 419.01000000, 0.00000000, 0.00000000, 2094.99000000, 2514.00000000, '', 'Maintenance Kaeser CCSD105 N°2626 à 8741 HRS<br />\r\n<br />\r\nBL N° 38 du 18/07/2018<br />\r\n<br />\r\nLieu d\'intervention<br />\r\nCOOPERATIVE DAUPHINOISE<br />\r\nLA COTE SILO<br />\r\n2460 Chemin de la voie Férrée<br />\r\n38260 LA COTE SAINT ANDRE', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2094.99000000, 419.01000000, 2514.00000000, NULL, NULL, NULL),
(584, 'CO1806-0507', 1, NULL, NULL, 'modif sortie compresseurs', 2162, NULL, '2018-07-12 14:07:46', '2018-06-11 11:55:29', '2018-07-12 16:05:41', '2018-07-12 16:06:08', '2018-06-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 354.30000000, 0.00000000, 0.00000000, 1771.51000000, 2125.81000000, '', 'Modification tuyauterie pour eviter le gavage en eau du compresseur en releve. La tuyauterie sera vannable et demontable à chaque depart de compresseurs sur la partie haute pour permettre le demontage de la machine sans arret de production. Un point bas avec une vanne de vidange sera aussi mise en place.<br />\r\n<span style=\"font-size:14px\"><u><strong>Il est necessaire de prevoir une coupure d\'air totale d\'une demi-journée maximum</strong></u></span><br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1771.51000000, 354.30000000, 2125.81000000, NULL, NULL, NULL),
(585, 'CO1806-0508', 1, NULL, NULL, NULL, 2176, NULL, '2018-06-14 09:25:54', '2018-06-11 12:19:12', '2018-06-14 11:23:43', '2018-06-14 11:24:14', '2018-06-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 640.00000000, 0.00000000, 0.00000000, 3200.00000000, 3840.00000000, '', 'compresseur a piston NUAIR&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3200.00000000, 640.00000000, 3840.00000000, NULL, NULL, NULL),
(586, 'CO1806-0509', 1, NULL, NULL, NULL, 5786, NULL, '2018-06-15 11:30:33', '2018-06-11 15:33:36', '2018-06-11 15:33:43', '2018-06-14 09:45:59', '2018-06-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 49.13000000, 0.00000000, 0.00000000, 245.64000000, 294.77000000, '', 'Pieces pour ATLAS COPCO GA15 PACK', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 245.64000000, 49.13000000, 294.77000000, NULL, NULL, NULL),
(587, 'CO1806-0511', 1, NULL, NULL, NULL, 2184, NULL, '2018-06-12 07:41:47', '2018-06-12 09:39:46', '2018-06-12 09:40:28', '2018-06-12 09:40:51', '2018-06-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 201.71000000, 0.00000000, 0.00000000, 1008.56000000, 1210.27000000, '', 'Maintenance L45rs N°CD10015552001 à 34348 HRS<br />\r\n<br />\r\nBL N°40 du 07/06/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1008.56000000, 201.71000000, 1210.27000000, NULL, NULL, NULL),
(588, 'CO1806-0512', 1, NULL, NULL, NULL, 12757, NULL, '2018-07-04 14:29:04', '2018-06-12 10:13:21', '2018-06-12 10:14:39', '2018-06-12 10:22:16', '2018-06-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 42.13000000, 0.00000000, 0.00000000, 210.66000000, 252.79000000, '', '', '', 1, NULL, NULL, 12, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 210.66000000, 42.13000000, 252.79000000, NULL, NULL, NULL),
(589, 'CO1806-0513', 1, NULL, NULL, NULL, 1996, NULL, '2018-08-08 07:20:01', '2018-06-12 10:29:06', '2018-06-12 10:29:13', '2018-06-29 10:18:03', '2018-06-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 416.01000000, 0.00000000, 0.00000000, 2080.09000000, 2496.10000000, '', '<strong>Fourniture sécheur par réfrigeration pour le débit du L18 COMPAIR : <br />\r\nLivraison 1 Semaine si commande rapide</strong>', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, 3, 6, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2080.09000000, 416.01000000, 2496.10000000, NULL, NULL, NULL),
(590, 'CO1806-0519', 1, NULL, NULL, NULL, 2085, NULL, '2018-07-16 09:42:45', '2018-06-12 11:55:29', '2018-06-14 10:56:33', '2018-07-16 11:41:02', '2018-06-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 58.68000000, 0.00000000, 0.00000000, 293.40000000, 352.08000000, '', 'Remplcament ventilateur de votre secheur :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 293.40000000, 58.68000000, 352.08000000, NULL, NULL, NULL),
(592, 'CO1806-0514', 1, NULL, NULL, 'LOCAL L75', 2268, NULL, '2018-08-13 13:36:10', '2018-06-12 14:37:02', '2018-07-03 10:46:26', '2018-07-03 10:49:12', '2018-06-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 2844.83000000, 0.00000000, 0.00000000, 14224.19000000, 17069.02000000, '', 'Notre offre comprend : <br />\r\nRaccordement en air  et mise en service local L75 RS ainsi que la vidange pour le passage en huile alimentaire et la maintenance de celui ci  : <br />\r\nNous raccordons les differents éléments aux sectionneurs de proximité ( dans le local )  ou prises à proximité . Le compresseur L75 RS sera entierement raccordé par votre électricien .<br />\r\nMise en place du secheur en votre possession .<br />\r\nDeplacement et branchement en air du L15 hors electricté<br />\r\nMise en place et fourniture d\'un reservoir 900Litres .<br />\r\nMise en place et fourniture des purgeurs capacitifs sur votre cuve et 2 filtres existants .<br />\r\nMise en place et fourniture d\'e 3 filtres complets ,  .<br />\r\nMise en place et fourniture d\'un separateur de condensats avec pré-separation.<br />\r\nMise en place et fourniture d\'un gainage air chaud par l\'ouverture  (118x118 ) hors étanchéité . <br />\r\nHors électricité à votre charge .<br />\r\nMoyen de manutention à votre charge .<br />\r\n<br />\r\nIntervention prevus le 19 / 20 & 21 juin 2018 si commande ce jour .', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 14224.19000000, 2844.83000000, 17069.02000000, NULL, NULL, NULL),
(593, 'CO1806-0516', 1, NULL, NULL, NULL, 2161, NULL, '2018-08-13 13:36:03', '2018-06-12 16:08:31', '2018-07-16 14:40:04', '2018-07-16 14:40:27', '2018-06-12', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 187.67000000, 0.00000000, 0.00000000, 938.38000000, 1126.05000000, '', 'Maintenance ROLLAIR 15 N° CAI410726 à 30910 HRS<br />\r\nRemplacement cartouche reseaux :<br />\r\n<br />\r\nBL N° 34 du 10/07/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 938.38000000, 187.67000000, 1126.05000000, NULL, NULL, NULL),
(594, 'CO1806-0517', 1, NULL, NULL, NULL, 2064, NULL, '2018-06-14 07:52:42', '2018-06-14 09:52:03', '2018-06-14 09:52:09', '2018-06-14 09:52:32', '2018-06-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 176.17000000, 0.00000000, 0.00000000, 880.81000000, 1056.98000000, '', 'Maintenance L37 N° 10008491002 à 22416 HRS <br />\r\n<br />\r\nBL N°12 du 11/06/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 880.81000000, 176.17000000, 1056.98000000, NULL, NULL, NULL),
(595, 'CO1806-0518', 1, NULL, NULL, NULL, 2064, NULL, '2018-06-14 07:57:39', '2018-06-14 09:54:25', '2018-06-14 09:56:54', '2018-06-14 09:57:15', '2018-06-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 622.39000000, 0.00000000, 0.00000000, 3111.99000000, 3734.38000000, '', 'Maintenance L80 N&deg; CD10000635001 &agrave; 32248 HRS<br />\r\n<br />\r\nBL N&deg; 13 du 11/06/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3111.99000000, 622.39000000, 3734.38000000, NULL, NULL, NULL),
(596, 'CO1806-0520', 1, NULL, NULL, NULL, 10293, NULL, '2018-06-14 13:00:56', '2018-06-14 14:21:27', '2018-06-14 14:22:29', '2018-06-14 14:22:35', '2018-06-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 64.87000000, 0.00000000, 0.00000000, 324.32000000, 389.19000000, '', 'intervention sur compresseur ABAC GENESIS 7.5 270 N&deg; CAI 601490 &agrave; 6592 HRS - relai traingle HS', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 324.32000000, 64.87000000, 389.19000000, NULL, NULL, NULL),
(597, 'CO1806-0521', 1, NULL, NULL, NULL, 2155, NULL, '2018-06-15 13:25:04', '2018-06-15 09:10:07', '2018-06-15 15:23:31', '2018-06-15 15:24:38', '2018-06-15', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 84.42000000, 0.00000000, 0.00000000, 422.06000000, 506.48000000, '', 'Intervention sur compressseur L04 N&deg; BA37888001 &agrave; 1186 HRS<br />\r\nRemplacement pressostat<br />\r\n<br />\r\nBL N&deg; 18 &amp; 21 du 13 &amp; 14 juin 2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 422.06000000, 84.42000000, 506.48000000, NULL, NULL, NULL),
(598, 'CO1806-0522', 1, NULL, NULL, NULL, 2234, NULL, '2018-08-13 13:35:58', '2018-06-18 14:43:45', '2018-06-18 14:46:47', '2018-07-16 14:55:46', '2018-06-18', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 668.33000000, 0.00000000, 0.00000000, 3341.68000000, 4010.01000000, '', 'maintenance L45RS N&deg;CD10005658001', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3341.68000000, 668.33000000, 4010.01000000, NULL, NULL, NULL),
(602, 'CO1806-0529', 1, NULL, NULL, NULL, 2016, NULL, '2018-07-03 07:50:10', '2018-06-19 10:21:47', '2018-07-03 09:49:40', '2018-07-03 09:49:57', '2018-06-19', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 114.91000000, 0.00000000, 0.00000000, 574.56000000, 689.47000000, '', 'Maintenance et remplacement bulbe thermostatique sur compresseur L05 à 4090 HRS<br />\r\n<br />\r\nBL N°27 du 22/06/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 574.56000000, 114.91000000, 689.47000000, NULL, NULL, NULL),
(603, 'CO1806-0523', 1, NULL, NULL, NULL, 2184, NULL, '2018-07-03 07:38:18', '2018-06-19 10:22:09', '2018-06-19 11:56:46', '2018-07-03 09:36:17', '2018-06-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 253.55000000, 0.00000000, 0.00000000, 1267.79000000, 1521.34000000, '', 'Maintenance L45RS ( 2018 )  en huile alimentaire ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1267.79000000, 253.55000000, 1521.34000000, NULL, NULL, NULL),
(604, 'CO1806-0525', 1, NULL, NULL, NULL, 1996, NULL, '2018-06-29 08:25:09', '2018-06-19 16:42:52', '2018-06-19 16:43:03', '2018-06-29 10:24:55', '2018-06-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 51.46000000, 0.00000000, 0.00000000, 257.28000000, 308.74000000, '', 'remplacement capteur de pression sur compresseur L18 <br />\r\nChangement éffectué le mardi 26/06/2018 en même temps que l\'installation du sécheur ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 257.28000000, 51.46000000, 308.74000000, NULL, NULL, NULL),
(605, 'CO1806-0527', 1, NULL, NULL, 'L07 en adaptable', 2408, NULL, '2018-06-20 12:15:39', '2018-06-20 14:12:41', '2018-06-20 14:12:49', '2018-06-20 14:15:29', '2018-06-20', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 118.32000000, 0.00000000, 0.00000000, 591.59000000, 709.91000000, '', 'Maintenance compresseur l07 en piéces adaptable  à 21457 HRS - <br />\r\nRemplacement purge electropilotée sur sécheur .<br />\r\n<br />\r\nBL N° 50 du 14/06/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 591.59000000, 118.32000000, 709.91000000, NULL, NULL, NULL),
(606, 'CO1806-0528', 1, NULL, NULL, NULL, 2358, NULL, '2018-08-22 13:24:56', '2018-06-21 09:54:51', '2018-08-14 14:31:45', '2018-08-14 14:33:04', '2018-06-21', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 305.09000000, 0.00000000, 0.00000000, 1525.50000000, 1830.59000000, '', 'Maintenance GA90VSD N° AII495069 à 35197 HRS<br />\r\nRemplacement cartouche filtre reseau<br />\r\nMaintenance GA30 N°ABP716976 à 15024 HRS<br />\r\n<br />\r\nBL N° 40 & 39 du 08/08/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1525.50000000, 305.09000000, 1830.59000000, NULL, NULL, NULL),
(607, 'CO1806-0530', 1, NULL, NULL, NULL, 2399, NULL, '2018-07-03 12:42:38', '2018-06-25 11:53:11', '2018-06-25 11:53:20', '2018-07-03 14:41:53', '2018-06-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 253.45000000, 0.00000000, 0.00000000, 1267.28000000, 1520.73000000, '', 'Maintenance compresseur L11RS&nbsp;<br />\r\nRemplacement cartouche filtre reseau<br />\r\nMaintenance seprateur de condensats OWAMAT 10 :', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1267.28000000, 253.45000000, 1520.73000000, NULL, NULL, NULL),
(608, 'CO1806-0531', 1, NULL, NULL, NULL, 2203, NULL, '2018-07-03 08:41:15', '2018-06-25 12:16:05', '2018-06-25 12:16:38', '2018-06-25 12:18:55', '2018-06-25', 5, NULL, 5, 5, NULL, -1, 0.00000000, 0, NULL, 0, 58.65000000, 0.00000000, 0.00000000, 293.25000000, 351.90000000, '', 'DISTRIBUTEUR FESTO&nbsp;', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 293.25000000, 58.65000000, 351.90000000, NULL, NULL, NULL),
(609, 'CO1806-0532', 1, NULL, NULL, 'Portugal', 1988, NULL, '2018-08-13 13:42:13', '2018-06-26 08:53:17', '2018-06-26 08:54:16', '2018-08-13 15:42:13', '2018-06-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, '', 'Suite &agrave; demande d&#39;anthony Ginouvier au portugal, fourniture d&#39;une vanne thermostatique pour le compresseur L18 COMPAIR.', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 0.00000000, 0.00000000, 0.00000000, NULL, NULL, NULL),
(610, 'CO1806-0533', 1, NULL, NULL, NULL, 7064, NULL, '2018-07-16 13:29:18', '2018-06-26 08:55:27', '2018-06-26 08:55:35', '2018-07-16 15:28:42', '2018-06-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 681.60000000, 0.00000000, 0.00000000, 3408.02000000, 4089.62000000, '', 'Fourniture et raccordement en remplacement de votre secheur actuel .<br />\r\n<br />\r\nDélai : 4 jours  ', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3408.02000000, 681.60000000, 4089.62000000, NULL, NULL, NULL),
(611, 'CO1806-0534', 1, NULL, NULL, NULL, 2001, NULL, '2018-07-12 14:14:59', '2018-06-27 08:50:50', '2018-06-27 08:51:24', '2018-07-12 16:14:45', '2018-06-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 125.40000000, 0.00000000, 0.00000000, 627.00000000, 752.40000000, '', 'Délai : 1 semaine<br />\r\nLivraison par alain', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 627.00000000, 125.40000000, 752.40000000, NULL, NULL, NULL),
(612, 'CO1806-0535', 1, NULL, NULL, NULL, 12683, NULL, '2018-08-13 13:35:53', '2018-06-28 11:47:21', '2018-06-28 11:48:31', '2018-06-28 11:51:10', '2018-06-28', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 3729.04000000, 0.00000000, 0.00000000, 18645.24000000, 22374.28000000, '', 'Raccordement cuve  900 Litres recuperation CO² et eau .<br />\r\nRaccordement filtre neuf vers cuves 3 4 5 <br />\r\nModification CO²<br />\r\nPose débimetre + vanne laminage filtre neuf<br />\r\nPassage en eau de ville laveuse de bouteilles , laveuse de caisses et etiqueteuse<br />\r\nSuppression tuyauterie eau du bassin<br />\r\nRaccordement primaire du groupe froid<br />\r\nRaccordement partiel du reseau secondaire sur cuves & pompes ajout vannes pompes pour variante<br />\r\n<br />\r\nBL N° 18 du 15 juin 2018', '', 1, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 18645.24000000, 3729.04000000, 22374.28000000, NULL, NULL, NULL),
(613, 'CO1806-0536', 1, NULL, NULL, NULL, 2062, NULL, '2018-07-20 07:55:52', '2018-06-28 16:00:13', '2018-06-28 16:00:29', '2018-07-20 09:54:46', '2018-06-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 205.53000000, 0.00000000, 0.00000000, 1027.67000000, 1233.20000000, '', 'Intervention batiment 1 :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1027.67000000, 205.53000000, 1233.20000000, NULL, NULL, NULL),
(614, 'CO1806-0537', 1, NULL, NULL, '2018342', 1940, NULL, '2018-06-29 07:56:57', '2018-06-29 09:51:18', '2018-06-29 09:56:36', '2018-06-29 09:56:41', '2018-06-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 86.24000000, 0.00000000, 0.00000000, 431.20000000, 517.44000000, '', 'Aspirateur 3 moteurs', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 431.20000000, 86.24000000, 517.44000000, NULL, NULL, NULL),
(615, 'CO1806-0538', 1, NULL, NULL, NULL, 12773, NULL, '2018-08-08 07:12:53', '2018-06-29 11:10:46', '2018-07-02 11:14:39', '2018-08-08 09:12:53', '2018-06-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 61.02000000, 0.00000000, 0.00000000, 305.10000000, 366.12000000, '', 'intervention sur compresseur &agrave; piston POWAIR Industrie :&nbsp;', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 305.10000000, 61.02000000, 366.12000000, NULL, NULL, NULL),
(617, 'CO1807-0539', 1, NULL, NULL, NULL, 2054, NULL, '2018-08-09 09:08:43', '2018-07-03 09:59:58', '2018-07-03 10:00:05', '2018-07-03 10:00:39', '2018-07-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 249.17000000, 0.00000000, 0.00000000, 1245.88000000, 1495.05000000, '', 'rallongement reseau d&#39;air pour atelier mecanique :&nbsp;<br />\r\n<br />\r\nBL N&deg; 20 du 14/06/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1245.88000000, 249.17000000, 1495.05000000, NULL, NULL, NULL),
(618, 'CO1807-0540', 1, NULL, NULL, NULL, 2127, NULL, '2018-07-03 08:22:41', '2018-07-03 10:21:24', '2018-07-03 10:21:36', '2018-07-03 10:22:06', '2018-07-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 198.04000000, 0.00000000, 0.00000000, 990.20000000, 1188.24000000, '', '<p>l entretien de votre compresseur <span style=\"font-size:10.0pt\"> L75SR-13A à </span>53847 heures.<br />\r\n<br />\r\nBL N°38 du 07/06/2018</p>\r\n', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 990.20000000, 198.04000000, 1188.24000000, NULL, NULL, NULL),
(619, 'CO1807-0541', 1, NULL, NULL, NULL, 7060, NULL, '2018-08-13 13:37:18', '2018-07-03 10:33:59', '2018-07-03 10:34:07', '2018-07-03 10:34:13', '2018-07-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 50.33000000, 0.00000000, 0.00000000, 251.66000000, 301.99000000, '', '', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 251.66000000, 50.33000000, 301.99000000, NULL, NULL, NULL),
(620, 'CO1806-0542', 1, NULL, NULL, NULL, 2235, NULL, '2018-07-03 12:26:44', '2018-07-03 14:19:31', '2018-07-03 14:26:01', '2018-07-03 14:26:22', '2018-06-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 48.00000000, 0.00000000, 0.00000000, 240.02000000, 288.02000000, '', 'Intervention sur compresseur L15vs &agrave; 26859 HRS<br />\r\n<br />\r\nDefaut temperature&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 240.02000000, 48.00000000, 288.02000000, NULL, NULL, NULL),
(621, 'CO1807-0543', 1, NULL, NULL, NULL, 2053, NULL, '2018-11-27 14:52:59', '2018-07-03 15:01:45', '2018-07-03 15:27:13', '2018-08-14 10:05:11', '2018-07-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1959.99000000, 0.00000000, 0.00000000, 9800.00000000, 11759.99000000, '', 'compresseur 11 kw vitesse fixe avec huile alimentaire', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 9800.00000000, 1959.99000000, 11759.99000000, NULL, NULL, NULL),
(623, 'CO1807-0544', 1, NULL, NULL, NULL, 2311, NULL, '2018-07-16 13:14:56', '2018-07-05 09:21:35', '2018-07-16 15:13:33', '2018-07-16 15:14:21', '2018-07-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 58.01000000, 0.00000000, 0.00000000, 290.05000000, 348.06000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.05000000, 58.01000000, 348.06000000, NULL, NULL, NULL),
(624, 'CO1807-0545', 1, NULL, NULL, NULL, 2103, NULL, '2018-07-27 08:07:51', '2018-07-05 11:43:48', '2018-07-05 11:43:53', '2018-07-27 10:07:09', '2018-07-05', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 199.22000000, 0.00000000, 0.00000000, 996.13000000, 1195.35000000, '', 'Maintenance L45RS owamat 14 ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 996.13000000, 199.22000000, 1195.35000000, NULL, NULL, NULL),
(625, 'CO1807-0732', 1, NULL, NULL, NULL, 2300, NULL, '2018-11-13 14:30:37', '2018-07-05 14:10:43', '2018-11-13 15:30:21', '2018-11-13 15:30:37', '2018-07-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 153.02000000, 0.00000000, 0.00000000, 765.04000000, 918.06000000, '', 'Remplcament ventilateur sur s&eacute;cheur COMPAIR - Pi&eacute;ce sous garantie&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 765.04000000, 153.02000000, 918.06000000, NULL, NULL, NULL),
(626, 'CO1807-0546', 1, NULL, NULL, NULL, 12683, NULL, '2018-08-13 13:37:12', '2018-07-05 14:20:18', '2018-07-05 14:36:51', '2018-07-05 14:37:15', '2018-07-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 427.32000000, 0.00000000, 0.00000000, 2136.69000000, 2564.01000000, '', 'Raccordement groupe froid, pope extraction pour gazometre ( CO&sup2; ) et mise en service groupe froid .<br />\r\n<br />\r\nBL N&deg; 27 du 2 &amp; 3 Juillet 2018', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2136.69000000, 427.32000000, 2564.01000000, NULL, NULL, NULL),
(627, 'CO1807-0547', 1, NULL, NULL, NULL, 2091, NULL, '2018-07-10 14:24:54', '2018-07-05 15:24:53', '2018-07-05 15:28:10', '2018-07-10 16:24:40', '2018-07-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 13.95000000, 0.00000000, 0.00000000, 69.75000000, 83.70000000, '', 'courroies suite &agrave; erreur de votre electricien :', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 69.75000000, 13.95000000, 83.70000000, NULL, NULL, NULL),
(628, 'CO1807-0548', 1, NULL, NULL, NULL, 2284, NULL, '2019-03-20 08:51:49', '2018-07-05 15:35:53', '2019-03-20 09:49:11', '2019-03-20 09:50:26', '2018-07-05', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 282.75000000, 0.00000000, 0.00000000, 1413.71000000, 1696.46000000, '', 'Maintenance l18RS N° CD10009205002 à 25060 HRS<br />\r\nRemplacement cartouche filtres reseau<br />\r\net Maintenance separateur de condensats<br />\r\n<br />\r\nBL N°29 du 15/03/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1413.71000000, 282.75000000, 1696.46000000, 'commande/CO1807-0548/CO1807-0548.pdf', NULL, NULL),
(629, 'CO1807-0549', 1, NULL, NULL, NULL, 2070, NULL, '2019-10-01 07:22:31', '2018-07-05 16:47:02', '2019-10-01 09:21:15', '2019-10-01 09:21:38', '2018-07-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 128.35000000, 0.00000000, 0.00000000, 641.74000000, 770.09000000, '', 'maintenance L11&nbsp;<br />\r\nmaintenance separateur de condensats owamat 10', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 641.74000000, 128.35000000, 770.09000000, 'commande/CO1807-0549/CO1807-0549.pdf', NULL, NULL),
(630, 'CO1807-0550', 1, NULL, NULL, 'S972-1806-3950VM', 2054, NULL, '2018-09-28 08:19:48', '2018-07-09 10:44:39', '2018-07-09 10:44:49', '2018-09-28 10:19:48', '2018-07-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 2476.80000000, 0.00000000, 0.00000000, 12384.03000000, 14860.83000000, '', 'Intervention site :<br />\r\nCOOPERATIVE DAUPHINOISE<br />\r\nStation Semences Les Olagni&eacute;res<br />\r\n2825 Chemin de la voie fer&eacute;e<br />\r\n38260 LA COTE ST ANDRE<br />\r\n<br />\r\nMise en place de grille de ventilation sur votre silo :&nbsp;', '', 1, NULL, NULL, 12, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 12384.03000000, 2476.80000000, 14860.83000000, NULL, NULL, NULL),
(631, 'CO1807-0551', 1, NULL, NULL, 'MAintenance', 2285, NULL, '2018-08-13 13:37:05', '2018-07-09 12:12:05', '2018-07-30 14:26:32', '2018-07-30 14:29:15', '2018-07-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 938.68000000, 0.00000000, 0.00000000, 4693.45000000, 5632.13000000, '', 'Maintenance de vos 2 compresseurs , votre secheur alumine et vos 2 surpresseurs :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4693.45000000, 938.68000000, 5632.13000000, NULL, NULL, NULL),
(632, 'CO1807-0552', 1, NULL, NULL, NULL, 2164, NULL, '2018-07-27 07:45:37', '2018-07-10 10:07:32', '2018-07-10 10:08:11', '2018-07-27 09:45:06', '2018-07-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 358.00000000, 0.00000000, 0.00000000, 1790.00000000, 2148.00000000, '', 'Remplacement de votre reservoir 500Litres par un reservoir galva 900Litres :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1790.00000000, 358.00000000, 2148.00000000, NULL, NULL, NULL),
(633, 'CO1807-0553', 1, NULL, NULL, 'S88208181001', 2054, NULL, '2018-09-28 08:19:21', '2018-07-10 11:01:27', '2018-07-10 11:03:49', '2018-08-31 11:38:18', '2018-07-10', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 127.54000000, 0.00000000, 0.00000000, 637.70000000, 765.24000000, '', 'Maintenance L11 N° BA35366001 à 2888HRS<br />\r\n<br />\r\nLivraaison :<br />\r\nCOOPERATIVE LA DAUPHINOISE<br />\r\nSite SESEC<br />\r\n2460 Chemin de la voie Ferrée<br />\r\n38260 LA COTE SAINT ANDRE', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 637.70000000, 127.54000000, 765.24000000, NULL, NULL, NULL),
(634, 'CO1807-0554', 1, NULL, NULL, 'HL1500', 2054, NULL, '2018-10-04 07:09:17', '2018-07-10 11:06:12', '2018-09-14 14:56:50', '2018-09-14 15:00:41', '2018-07-10', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 792.71000000, 0.00000000, 0.00000000, 3963.56000000, 4756.27000000, '', 'Maintenance secheur alumine HL01500 , remplcament cartouches filtres reseaux<br />\r\n<br />\r\nN° 33 du 12/09/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3963.56000000, 792.71000000, 4756.27000000, NULL, NULL, NULL);
INSERT INTO `llx_commande` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_cloture`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_cloture`, `source`, `fk_statut`, `amount_ht`, `remise_percent`, `remise_absolue`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `facture`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_livraison`, `fk_shipping_method`, `fk_warehouse`, `fk_availability`, `fk_input_reason`, `fk_delivery_address`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(635, 'CO1807-0555', 1, NULL, NULL, 'Gainage du Compresseur L45 RS', 2234, NULL, '2018-08-27 08:35:40', '2018-07-12 09:04:29', '2018-07-12 09:04:37', '2018-08-27 10:34:18', '2018-07-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 492.08000000, 0.00000000, 0.00000000, 2460.40000000, 2952.48000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2460.40000000, 492.08000000, 2952.48000000, NULL, NULL, NULL),
(636, 'CO1807-0556', 1, NULL, NULL, NULL, 2239, NULL, '2018-08-06 08:53:26', '2018-07-12 10:00:52', '2018-07-12 10:01:00', '2018-08-06 10:53:10', '2018-07-12', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 199.22000000, 0.00000000, 0.00000000, 996.14000000, 1195.36000000, '', 'Maintenance COmpresseur LUCHARD COMPAIR 6020ELX07BE à 4610 HRS et filtres reseaux<br />\r\nBL N° 50 du 30/07/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 996.14000000, 199.22000000, 1195.36000000, NULL, NULL, NULL),
(637, 'CO1807-0557', 1, NULL, NULL, '2100/18012685', 2161, NULL, '2018-08-29 08:50:09', '2018-07-12 10:19:00', '2018-07-12 10:25:59', '2018-08-29 10:49:46', '2018-07-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 137.07000000, 0.00000000, 0.00000000, 685.37000000, 822.44000000, '', 'Maintenance secheur PARKEUR par adsorption :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 685.37000000, 137.07000000, 822.44000000, NULL, NULL, NULL),
(638, 'CO1807-0558', 1, NULL, NULL, NULL, 2197, NULL, '2018-07-12 08:54:35', '2018-07-12 10:39:41', '2018-07-12 10:52:53', '2018-07-12 10:53:45', '2018-07-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 4113.00000000, 0.00000000, 0.00000000, 20565.00000000, 24678.00000000, '', 'Installation en lieu et place de votre compresseur L45 45 KW vitesse fixe d\'un compresseur L45RS vitesse variable 45 KW COMPAIR :<br />\r\nRaccordement electrique du compresseur au sectionneur de proximité <br />\r\nHors gainage<br />\r\nRaccordement en air du compresseur<br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 20565.00000000, 4113.00000000, 24678.00000000, NULL, NULL, NULL),
(639, 'CO1807-0559', 1, NULL, NULL, 'Enrouleurs', 2157, NULL, '2018-08-22 12:23:28', '2018-07-12 14:56:31', '2018-07-12 14:57:41', '2018-08-07 16:30:57', '2018-07-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1590.20000000, 0.00000000, 0.00000000, 7951.04000000, 9541.24000000, '', '9 enrouleurs de 25 metres AIR/EAU avec support pivotant avec raccords rapides et pistolets de lavage<br />\r\n1 enrouleur de 15 metres AIR COMPRIME<br />\r\n10 enrouleurs AIR COMPRIME avec support pivotant&nbsp;<br />\r\n<br />\r\nd&eacute;lai : 2 &agrave; 3 semaines<br />\r\n<br />\r\nGarantie fonctionelle de 3 ans sur le ressort de rappel et le cliquet d&#39;arret sur les enrouleurs industriels', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 7951.04000000, 1590.20000000, 9541.24000000, NULL, NULL, NULL),
(640, 'CO1807-0560', 1, NULL, NULL, NULL, 2001, NULL, '2019-02-06 14:33:29', '2018-07-13 09:44:40', '2018-07-13 09:44:51', '2019-02-06 15:33:29', '2018-07-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 40.12000000, 0.00000000, 0.00000000, 200.57000000, 240.69000000, '', '<p>KAESER SK19 19760-3  N° 01813383 de 1998  :</p>\r\n\r\n<p> </p>\r\n\r\n<p>                               2 nattes filtrantes  710 X 575   ref BSA 6.1943.0</p>\r\n\r\n<p>                               1 Séparateur   ref AIP S1P503</p>\r\n\r\n<p>                               2 cartouches air    ref AIP A1F155</p>\r\n\r\n<p>                               1 cartouche huile    ref AIP  H1H112<br />\r\n<br />\r\nDélai : 5 jours à reception de commande</p>\r\n', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 200.57000000, 40.12000000, 240.69000000, NULL, NULL, NULL),
(641, 'CO1807-0561', 1, NULL, NULL, NULL, 6663, NULL, '2018-08-13 13:42:56', '2018-07-13 10:28:08', '2018-07-13 10:28:15', '2018-08-13 15:42:56', '2018-07-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 139.72000000, 0.00000000, 0.00000000, 698.60000000, 838.32000000, '', 'Délai disponible sauf UR011014NI 160piéces disponible restant délai 10 jours ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 698.60000000, 139.72000000, 838.32000000, NULL, NULL, NULL),
(643, 'CO1807-0562', 1, NULL, NULL, NULL, 2140, NULL, '2018-07-16 12:10:57', '2018-07-16 14:07:03', '2018-07-16 14:08:34', '2018-07-16 14:09:15', '2018-07-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 156.19000000, 0.00000000, 0.00000000, 780.96000000, 937.15000000, '', 'Maintenance L15RS', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 780.96000000, 156.19000000, 937.15000000, NULL, NULL, NULL),
(644, 'CO1807-0563', 1, NULL, NULL, NULL, 2123, NULL, '2018-07-16 12:26:09', '2018-07-16 14:25:22', '2018-07-16 14:25:35', '2018-07-16 14:25:42', '2018-07-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 56.57000000, 0.00000000, 0.00000000, 282.86000000, 339.43000000, '', 'Maintenance adoucisseur sur le site de l&#39;&eacute;canci&eacute;re :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 282.86000000, 56.57000000, 339.43000000, NULL, NULL, NULL),
(645, 'CO1807-0564', 1, NULL, NULL, NULL, 2268, NULL, '2018-07-16 13:04:19', '2018-07-16 15:02:23', '2018-07-16 15:02:32', '2018-07-16 15:03:05', '2018-07-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 207.66000000, 0.00000000, 0.00000000, 1038.31000000, 1245.97000000, '', 'Maintenance L15 N° CD10006861001 à 46630 HRS<br />\r\n<br />\r\nBL N° 31 du 10/07/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1038.31000000, 207.66000000, 1245.97000000, NULL, NULL, NULL),
(646, 'CO1807-0565', 1, NULL, NULL, NULL, 2295, NULL, '2018-07-16 13:09:54', '2018-07-16 15:08:18', '2018-07-16 15:08:59', '2018-07-16 15:09:18', '2018-07-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 156.88000000, 0.00000000, 0.00000000, 784.46000000, 941.34000000, '', 'Maintenance L30&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 784.46000000, 156.88000000, 941.34000000, NULL, NULL, NULL),
(647, 'CO1807-0566', 1, NULL, NULL, 'Telecommande avec verine', 6663, NULL, '2018-07-16 13:20:39', '2018-07-16 15:20:02', '2018-07-16 15:20:09', '2018-07-16 15:20:18', '2018-07-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 179.99000000, 0.00000000, 0.00000000, 899.96000000, 1079.95000000, '', 'Mise en place d\'une telecommande Marche Forcée + report d\'etat \"Marche\" des compresseurs L37RS et L18', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 899.96000000, 179.99000000, 1079.95000000, NULL, NULL, NULL),
(648, 'CO1807-0567', 1, NULL, NULL, NULL, 2062, NULL, '2018-11-27 14:53:18', '2018-07-16 16:49:37', '2018-09-14 14:42:53', '2018-09-14 14:43:09', '2018-07-16', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 313.12000000, 0.00000000, 0.00000000, 1565.59000000, 1878.71000000, '', 'Maintenance L26RS N° CD10027118001 à 9411 HRS -<br />\r\n<br />\r\nBL N° 11 du 10/09/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1565.59000000, 313.12000000, 1878.71000000, NULL, NULL, NULL),
(649, 'CO1807-0568', 1, NULL, NULL, NULL, 2004, NULL, '2018-08-13 13:36:56', '2018-07-17 09:40:54', '2018-07-17 09:41:49', '2018-07-17 09:42:16', '2018-07-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 191.60000000, 0.00000000, 0.00000000, 957.97000000, 1149.57000000, '', 'Maintenance SCROLL Compresseur SLi 3.7KW N°5260008', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 957.97000000, 191.60000000, 1149.57000000, NULL, NULL, NULL),
(650, 'CO1807-0569', 1, NULL, NULL, NULL, 12590, NULL, '2018-12-21 10:41:46', '2018-07-18 09:08:30', '2018-12-18 08:46:45', '2018-12-21 11:40:49', '2018-07-18', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 315.59000000, 0.00000000, 0.00000000, 1577.98000000, 1893.57000000, '', 'maintenance compresseur et filtres reseaux&nbsp; :&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, '2018-09-30', NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1577.98000000, 315.59000000, 1893.57000000, NULL, NULL, NULL),
(651, 'CO1807-0570', 1, NULL, NULL, NULL, 1990, NULL, '2018-08-13 13:36:52', '2018-07-18 14:26:08', '2018-07-18 14:30:41', '2018-07-18 14:31:52', '2018-07-18', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 236.56000000, 0.00000000, 0.00000000, 1182.77000000, 1419.33000000, '', 'Maintenances de vos 3 compresseurs :<br />\r\n2 compresseurs sprint 30 et un compresseur L30 :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1182.77000000, 236.56000000, 1419.33000000, NULL, NULL, NULL),
(652, 'CO1807-0571', 1, NULL, NULL, NULL, 2344, NULL, '2018-08-13 13:38:48', '2018-07-18 14:37:03', '2018-07-18 14:38:22', '2018-07-18 14:38:48', '2018-07-18', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 270.47000000, 0.00000000, 0.00000000, 1352.37000000, 1622.84000000, '', 'Maintenance L11<br />\r\nRemplacement cartouches filtres reseaux<br />\r\nMaintenance separateur de condensats', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1352.37000000, 270.47000000, 1622.84000000, NULL, NULL, NULL),
(653, 'CO1807-0572', 1, NULL, NULL, NULL, 9406, NULL, '2018-12-17 12:35:23', '2018-07-19 09:17:02', '2018-07-19 09:17:09', '2018-12-17 13:35:23', '2018-07-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 45.36000000, 0.00000000, 0.00000000, 226.77000000, 272.13000000, '', 'Filtres Kaeser :&nbsp;', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 226.77000000, 45.36000000, 272.13000000, NULL, NULL, NULL),
(654, 'CO1807-0573', 1, NULL, NULL, NULL, 9406, NULL, '2018-12-17 12:35:32', '2018-07-19 09:19:43', '2018-07-19 09:19:49', '2018-12-17 13:35:32', '2018-07-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 72.64000000, 0.00000000, 0.00000000, 363.23000000, 435.87000000, '', 'Maintenance compresseurs :&nbsp;<br />\r\n- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u>&nbsp;Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u>&nbsp;effectu&eacute;e<br />\r\n-&nbsp;<u>Pr&ecirc;t GRATUIT&nbsp;</u>d&#39;un compresseur de 0 &agrave; 100 CV&nbsp;<br />\r\n- Audit GRATUIT , ... etc', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 363.23000000, 72.64000000, 435.87000000, NULL, NULL, NULL),
(655, 'CO1807-0574', 1, NULL, NULL, NULL, 11435, NULL, '2018-08-13 13:38:40', '2018-07-19 10:13:46', '2018-07-19 10:13:53', '2018-07-19 10:14:26', '2018-07-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 282.88000000, 0.00000000, 0.00000000, 1414.39000000, 1697.27000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1414.39000000, 282.88000000, 1697.27000000, NULL, NULL, NULL),
(656, 'CO1807-0575', 1, NULL, NULL, NULL, 2053, NULL, '2018-07-19 08:40:23', '2018-07-19 10:37:58', '2018-07-19 10:38:06', '2018-07-19 10:39:20', '2018-07-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 62.92000000, 0.00000000, 0.00000000, 314.63000000, 377.55000000, '', 'Remplacement seprateur de condensats Kaeser et remplcament seprateur sur compresseur KAESER SK22 ( sous garantie )&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 314.63000000, 62.92000000, 377.55000000, NULL, NULL, NULL),
(657, 'CO1807-0576', 1, NULL, NULL, NULL, 2056, NULL, '2018-08-13 13:38:36', '2018-07-19 10:44:35', '2018-07-19 10:44:43', '2018-07-19 10:45:00', '2018-07-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 91.09000000, 0.00000000, 0.00000000, 455.43000000, 546.52000000, '', 'Maintenance compresseur COMPAIR L11 :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 455.43000000, 91.09000000, 546.52000000, NULL, NULL, NULL),
(658, 'CO1807-0577', 1, NULL, NULL, '4500106762', 10144, NULL, '2018-10-30 08:45:44', '2018-07-19 16:23:30', '2018-07-20 16:41:42', '2018-08-31 12:03:03', '2018-07-19', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 4840.23000000, 0.00000000, 0.00000000, 24201.21000000, 29041.44000000, '', 'Local Air Comprimé incluant : un compresseur à vitesse variable Renner 22 KW avec garantie piéces uniquement 5 ans ( hors main d\'oeuvre ) secheur par réfrigeration avec filtration amont et aval , separateur de condensats, by pass cuve et by pass sécheur .<br />\r\nInstallation et raccordement de l\'ensemble . <br />\r\nEntretien 16000Heures inclus pour 3500Heures de fonctionement du compresseur par an . exluant l\'entretien du separateur de condensats Owamat 12 et le remplcament des cartouches des 2 filtres réseaux BEA300.', 'generic_order_odt:/home/sfacs/web/gestion/documents/doctemplates/orders/Accuse_de_reception_commande.odt', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 24201.21000000, 4840.23000000, 29041.44000000, NULL, NULL, NULL),
(659, 'CO1807-0578', 1, NULL, NULL, NULL, 7060, NULL, '2018-07-30 09:29:37', '2018-07-20 10:08:57', '2018-07-20 10:09:02', '2018-07-30 11:28:47', '2018-07-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 234.48000000, 0.00000000, 0.00000000, 1172.42000000, 1406.90000000, '', 'Maintenance Local technique : Maintenance compresseur SULLAIR TREK30HH &amp; compresseur Silpack 10 et 2 filtres reseaux -<br />\r\nSoufflage et verification des connection du s&eacute;cheur &nbsp;ACT55 .', 'einstein', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1172.42000000, 234.48000000, 1406.90000000, NULL, NULL, NULL),
(660, 'CO1807-0579', 1, NULL, NULL, NULL, 2011, NULL, '2018-07-20 08:29:56', '2018-07-20 10:20:31', '2018-07-20 10:22:03', '2018-07-20 10:28:35', '2018-07-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 249.06000000, 0.00000000, 0.00000000, 1245.30000000, 1494.36000000, '', 'Maintenance compresseur L07 et L07RS :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1245.30000000, 249.06000000, 1494.36000000, NULL, NULL, NULL),
(661, 'CO1807-0580', 1, NULL, NULL, NULL, 2095, NULL, '2018-08-13 13:38:31', '2018-07-20 10:42:22', '2018-07-20 10:43:11', '2018-07-20 10:44:09', '2018-07-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 140.20000000, 0.00000000, 0.00000000, 701.06000000, 841.26000000, '', '', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 701.06000000, 140.20000000, 841.26000000, NULL, NULL, NULL),
(662, 'CO1807-0581', 1, NULL, NULL, '36960', 2122, NULL, '2018-09-14 09:56:44', '2018-07-20 10:50:40', '2018-08-14 09:45:16', '2018-08-22 12:01:31', '2018-07-20', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 802.78000000, 0.00000000, 0.00000000, 4013.89000000, 4816.67000000, '', 'Maintenance L75RS N° CD10018699001 à 16806 HRS<br />\r\n<br />\r\nBL N° 11 du 13/08/2018', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4013.89000000, 802.78000000, 4816.67000000, NULL, NULL, NULL),
(664, 'CO1807-0582', 1, NULL, NULL, NULL, 2169, NULL, '2018-08-22 12:28:57', '2018-07-23 11:32:11', '2018-08-14 10:48:21', '2018-08-14 10:48:43', '2018-07-23', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 121.17000000, 0.00000000, 0.00000000, 605.85000000, 727.02000000, '', 'Maintenance compresseur BOTTARINI KA7plus N° BA201804002 de 2011 à 20400 HRS<br />\r\n<br />\r\nBL N° 5 du 06/08/2018<br />\r\n<br />\r\nNB : Epreuve décénnale  de la cuve à effectuer ( 2007 ) ', 'generic_order_odt:/home/sfacs/web/gestion/documents/doctemplates/orders/Accuse_de_reception_commande.odt', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 605.85000000, 121.17000000, 727.02000000, NULL, NULL, NULL),
(665, 'CO1807-0583', 1, NULL, NULL, NULL, 2071, NULL, '2018-08-22 08:56:06', '2018-07-23 11:33:21', '2018-08-14 10:25:17', '2018-08-14 10:25:36', '2018-07-23', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 114.61000000, 0.00000000, 0.00000000, 573.06000000, 687.67000000, '', 'Maintenance BOGE S15 N°22777 à 15900 HRS<br />\r\n<br />\r\nBL N° 4 du 06/08/2018<br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 573.06000000, 114.61000000, 687.67000000, NULL, NULL, NULL),
(666, 'CO1807-0584', 1, NULL, NULL, '2018/18045/M', 12780, NULL, '2018-07-23 12:46:52', '2018-07-23 12:02:36', '2018-07-23 12:04:15', '2018-07-23 14:46:03', '2018-07-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 28.80000000, 0.00000000, 0.00000000, 144.00000000, 172.80000000, '', 'Commande pi&eacute;ces d&eacute;tach&eacute;ees Renner :', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 144.00000000, 28.80000000, 172.80000000, NULL, NULL, NULL),
(667, 'CO1807-0585', 1, NULL, NULL, NULL, 6204, NULL, '2018-07-30 10:11:27', '2018-07-25 09:48:28', '2018-07-25 09:48:34', '2018-07-30 12:10:05', '2018-07-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 16.50000000, 0.00000000, 0.00000000, 82.50000000, 99.00000000, '', 'Suite a votre demande, il n\'existe pas de kit joints pour reparation, nous vous proposons le remplacement de l\'ensemble.<br />\r\nDelai dispo fournisseur: compter 48h/72h delai de livraison à reception de commande.', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 82.50000000, 16.50000000, 99.00000000, NULL, NULL, NULL),
(668, 'CO1807-0586', 1, NULL, NULL, 'Raccords', 1981, NULL, '2018-08-06 08:25:31', '2018-07-25 14:14:48', '2018-07-31 14:50:27', '2018-07-31 14:50:33', '2018-07-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 24.00000000, 0.00000000, 0.00000000, 120.00000000, 144.00000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 120.00000000, 24.00000000, 144.00000000, NULL, NULL, NULL),
(669, 'CO1807-0587', 1, NULL, NULL, NULL, 7066, NULL, '2018-07-27 12:40:40', '2018-07-27 09:09:54', '2018-07-27 09:10:18', '2018-07-27 14:39:37', '2018-07-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 107.60000000, 0.00000000, 0.00000000, 538.00000000, 645.60000000, '', 'Reservoir galva 500Litres :<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE ( livraison 48/72H )&nbsp;<br />\r\nFRANCO', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 538.00000000, 107.60000000, 645.60000000, NULL, NULL, NULL),
(670, 'CO1807-0588', 1, NULL, NULL, 'fourniture pour réseau d\'air comprimé', 2263, NULL, '2018-07-30 11:59:35', '2018-07-27 10:55:10', '2018-07-27 10:55:27', '2018-07-30 13:59:24', '2018-07-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 155.98000000, 0.00000000, 0.00000000, 779.81000000, 935.79000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 779.81000000, 155.98000000, 935.79000000, NULL, NULL, NULL),
(672, 'CO1807-0589', 1, NULL, NULL, '905273912-0-10760', 2407, NULL, '2019-02-11 15:26:53', '2018-07-27 14:24:43', '2018-12-13 14:56:36', '2018-12-13 14:56:51', '2018-07-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 2751.25000000, 0.00000000, 0.00000000, 13756.25000000, 16507.50000000, '', 'Fourniture et installation en lieu et place L30RS Compresseur à vis lubrifiée 30KW -<br />\r\nGainage de celui ci -<br />\r\nDeplacement tuyauterie existant -', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 13756.25000000, 2751.25000000, 16507.50000000, NULL, NULL, NULL),
(673, 'CO1807-0590', 1, NULL, NULL, NULL, 2077, NULL, '2018-08-22 08:48:38', '2018-07-30 09:18:08', '2018-08-08 09:09:10', '2018-08-14 10:17:30', '2018-07-30', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 226.32000000, 0.00000000, 0.00000000, 1131.60000000, 1357.92000000, '', 'maintenance L22RS à 22480 HRS<br />\r\nRemplcament electrovanne de regulation<br />\r\nMaintenance seprateur de condensats Owamat 10<br />\r\nremplacement cartouche filtre reseau<br />\r\n<br />\r\nBL N°38 du 07/08/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1131.60000000, 226.32000000, 1357.92000000, NULL, NULL, NULL),
(674, 'CO1807-0591', 1, NULL, NULL, 'Meuleuse Diamètre 180', 2001, NULL, '2019-02-06 14:33:37', '2018-07-30 10:42:02', '2018-08-24 08:54:01', '2019-02-06 15:33:37', '2018-07-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 36.00000000, 0.00000000, 0.00000000, 180.00000000, 216.00000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 180.00000000, 36.00000000, 216.00000000, NULL, NULL, NULL),
(675, 'CO1807-0592', 1, NULL, NULL, NULL, 2168, NULL, '2018-07-30 08:57:13', '2018-07-30 10:55:04', '2018-07-30 10:56:51', '2018-07-30 10:56:58', '2018-07-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 40.80000000, 0.00000000, 0.00000000, 203.99000000, 244.79000000, '', 'Remplacement dilatoflex du compresseur L11 N&deg; BA22910002 &agrave; 6179 HRS<br />\r\n<br />\r\nBL N&deg; 30 du 13/07/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 203.99000000, 40.80000000, 244.79000000, NULL, NULL, NULL),
(676, 'CO1807-0593', 1, NULL, NULL, NULL, 2355, NULL, '2018-08-13 13:38:26', '2018-07-30 15:29:36', '2018-07-30 15:29:54', '2018-07-30 15:34:28', '2018-07-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 118.28000000, 0.00000000, 0.00000000, 591.38000000, 709.66000000, '', 'Maintenance compresseur Genesis 7.5 :', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 591.38000000, 118.28000000, 709.66000000, NULL, NULL, NULL),
(677, 'CO1807-0594', 1, NULL, NULL, NULL, 2397, NULL, '2018-07-30 13:56:25', '2018-07-30 15:51:31', '2018-07-30 15:51:39', '2018-07-30 15:54:42', '2018-07-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 231.06000000, 0.00000000, 0.00000000, 1155.29000000, 1386.35000000, '', 'Maintenance compresseur L07', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1155.29000000, 231.06000000, 1386.35000000, NULL, NULL, NULL),
(678, 'CO1808-0595', 1, NULL, NULL, NULL, 2086, NULL, '2018-09-27 12:54:51', '2018-08-03 09:08:05', '2018-08-03 09:08:13', '2018-09-14 15:29:59', '2018-08-03', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 289.05000000, 0.00000000, 0.00000000, 1445.25000000, 1734.30000000, '', 'Remplacement de votre sécheur par réfrigeration CTA  hors service par un secheur par réfrigeration OMI ED144  traitant le débit de votre compresseur L11RS : <br />\r\n<br />\r\nBL N°41 du 09/08/2018<br />\r\n<br />\r\n ', '', 1, NULL, NULL, 8, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1445.25000000, 289.05000000, 1734.30000000, NULL, NULL, NULL),
(679, 'CO1808-0596', 1, NULL, NULL, '12044 du 03/08/2018', 2175, NULL, '2019-08-22 07:55:15', '2018-08-03 14:09:09', '2018-08-03 14:09:43', '2019-08-22 09:55:15', '2018-08-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 21.40000000, 0.00000000, 0.00000000, 107.00000000, 128.40000000, '', 'Colle', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 107.00000000, 21.40000000, 128.40000000, NULL, NULL, NULL),
(680, 'CO1808-0597', 1, NULL, NULL, NULL, 12779, NULL, '2018-08-22 12:43:31', '2018-08-06 09:02:24', '2018-08-06 09:02:34', '2018-08-07 15:36:39', '2018-08-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 106.60000000, 0.00000000, 0.00000000, 533.00000000, 639.60000000, '', 'Fournitures de 3 cartouches pour filtres CTA NF004&nbsp; grade 1&micro; ( M ) grade 0.01&micro; ( S ) grade 0.01 &micro; 0.003 huile ( A )&nbsp;<br />\r\nFournitures de 3 filtres complets&nbsp; ( corps + cartouches ) en grade M , S et A traitant un d&eacute;bit de 60 m3/h maximum avec 2 kit de connection .<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE USINE', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 533.00000000, 106.60000000, 639.60000000, NULL, NULL, NULL),
(681, 'CO1808-0598', 1, NULL, NULL, NULL, 2386, NULL, '2018-09-28 09:43:36', '2018-08-08 16:24:36', '2018-09-03 15:25:36', '2018-09-28 11:42:31', '2018-08-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 269.30000000, 0.00000000, 0.00000000, 1346.53000000, 1615.83000000, '', 'Maintenance L11&nbsp;<br />\r\nMaintenance BS61<br />\r\nremplacement cartouche filtre reseau KAESER :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1346.53000000, 269.30000000, 1615.83000000, NULL, NULL, NULL),
(682, 'CO1808-0599', 1, NULL, NULL, 'C33008181001', 2054, NULL, '2018-08-31 08:49:48', '2018-08-09 11:03:59', '2018-08-20 09:46:15', '2018-08-31 10:49:39', '2018-08-09', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 196.44000000, 0.00000000, 0.00000000, 982.26000000, 1178.70000000, '', 'Maintenance Compresseur ES8 à 23713 HRS<br />\r\n<br />\r\nBL N°15 du 23/08/2018<br />\r\n<br />\r\nSite de livraison : <br />\r\nCOOPERATIVE LA DAUPHINOISE<br />\r\nBourg Evescal<br />\r\n73250 SAINT JEAN DE LA PORTE', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 982.26000000, 196.44000000, 1178.70000000, NULL, NULL, NULL),
(683, 'CO1808-0600', 1, NULL, NULL, 'belair silo', 2054, NULL, '2018-08-31 09:32:12', '2018-08-09 11:10:43', '2018-08-09 11:11:06', '2018-08-31 11:31:40', '2018-08-09', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 124.32000000, 0.00000000, 0.00000000, 621.64000000, 745.96000000, '', 'Compresseur BEL AIR VRC20F de 1991 N° 0913124 à  HEURES:<br />\r\n<br />\r\nSite COOPERATIVE LA DAUPHINOISE 2460 Chemin de la voie ferree 38260 LA COTE SAINT ANDRE', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 621.64000000, 124.32000000, 745.96000000, NULL, NULL, NULL),
(684, 'CO1808-0601', 1, NULL, NULL, 'C03808181001', 2054, NULL, '2018-08-31 09:42:03', '2018-08-09 11:12:23', '2018-08-09 11:12:52', '2018-08-31 11:41:52', '2018-08-09', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 129.81000000, 0.00000000, 0.00000000, 649.05000000, 778.86000000, '', 'Maintenance SULLAIR WS1508 N° C03-C210029 de 2009 à  HRS<br />\r\n<br />\r\nSite COOPERATIVE LA DAUPHINOISE 2460 Chemin de la voie ferree 38260 LA COTE SAINT ANDRE', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 649.05000000, 129.81000000, 778.86000000, NULL, NULL, NULL),
(685, 'CO1808-0602', 1, NULL, NULL, NULL, 12608, NULL, '2018-08-22 13:04:07', '2018-08-09 11:59:23', '2018-08-09 12:01:03', '2018-08-22 15:03:56', '2018-08-09', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 130.97000000, 0.00000000, 0.00000000, 654.86000000, 785.83000000, '', 'Maintenance RS PRO 7.5 N° 713056 à 1795 HRS<br />\r\n<br />\r\nBL N°10 du 10/08/2018', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 654.86000000, 130.97000000, 785.83000000, NULL, NULL, NULL),
(688, 'CO1808-0603', 1, NULL, NULL, NULL, 1981, NULL, '2018-08-22 08:27:35', '2018-08-14 09:54:24', '2018-08-14 09:54:31', '2018-08-14 09:54:52', '2018-08-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 111.23000000, 0.00000000, 0.00000000, 556.13000000, 667.36000000, '', 'Maintenance compresseur RS PRO 7.5 N°612032 à 5127 HRS<br />\r\n<br />\r\nBL N°8 du 08/08/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 556.13000000, 111.23000000, 667.36000000, NULL, NULL, NULL),
(689, 'CO1808-0604', 1, NULL, NULL, NULL, 2007, NULL, '2018-08-24 08:53:06', '2018-08-14 10:00:32', '2018-08-24 10:51:40', '2018-08-24 10:52:49', '2018-08-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 128.16000000, 0.00000000, 0.00000000, 640.81000000, 768.97000000, '', 'Maintenance HV02 N&deg; 502 029339-1408', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 640.81000000, 128.16000000, 768.97000000, NULL, NULL, NULL),
(690, 'CO1808-0605', 1, NULL, NULL, NULL, 2007, NULL, '2018-11-13 15:11:14', '2018-08-14 10:01:41', '2018-08-14 10:03:29', '2018-08-14 10:03:52', '2018-08-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 40.92000000, 0.00000000, 0.00000000, 204.60000000, 245.52000000, '', 'INTERVENTION de D&eacute;pannage sur compresseur HV02 N&deg; 502-029339-1408<br />\r\n<br />\r\nBL N&deg;33 du 01/08/2018<br />\r\n&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 204.60000000, 40.92000000, 245.52000000, NULL, NULL, NULL),
(691, 'CO1808-0606', 1, NULL, NULL, NULL, 6259, NULL, '2018-08-22 09:37:43', '2018-08-14 10:38:12', '2018-08-14 10:38:20', '2018-08-14 10:38:42', '2018-08-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 183.37000000, 0.00000000, 0.00000000, 916.87000000, 1100.24000000, '', 'Maintenance L11 N° CD10023655001 à 1865 HRS<br />\r\n<br />\r\nBL n°2 du 03/08/2018', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 916.87000000, 183.37000000, 1100.24000000, NULL, NULL, NULL),
(692, 'CO1808-0607', 1, NULL, NULL, NULL, 2103, NULL, '2018-08-22 09:29:58', '2018-08-14 10:42:49', '2018-08-14 10:43:44', '2018-08-14 10:44:00', '2018-08-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 152.17000000, 0.00000000, 0.00000000, 760.86000000, 913.03000000, '', 'Remplcament vanne thermostatique sur compresseur L45RS N&deg; CD10015227001 &agrave; 16236 HRS<br />\r\nsuivant BL n&deg;9 du 08/08/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 760.86000000, 152.17000000, 913.03000000, NULL, NULL, NULL),
(693, 'CO1808-0608', 1, NULL, NULL, NULL, 2231, NULL, '2018-11-07 14:47:35', '2018-08-14 11:57:30', '2018-08-14 12:02:35', '2018-08-22 14:37:48', '2018-08-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 46.45000000, 0.00000000, 0.00000000, 232.26000000, 278.71000000, '', 'raccordement et mise en service compresseur L15 &agrave; 9155HRS<br />\r\nRecherche de panne sur compresseur Devillbiss-preobleme de carte electronique<br />\r\n<br />\r\nBL N&deg; 3 du 03/08/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 232.26000000, 46.45000000, 278.71000000, NULL, NULL, NULL),
(694, 'CO1808-0609', 1, NULL, NULL, 'giraud delay', 2729, NULL, '2018-08-22 12:59:55', '2018-08-14 14:11:02', '2018-08-14 14:13:00', '2018-08-21 09:15:05', '2018-08-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 94.72000000, 0.00000000, 0.00000000, 473.60000000, 568.32000000, '', 'Garantie compresseur RSDK PRO&nbsp; N&deg; 707076 - remplacement helice', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 473.60000000, 94.72000000, 568.32000000, NULL, NULL, NULL),
(695, 'CO1808-0610', 1, NULL, NULL, '6263', 2354, NULL, '2018-08-30 07:41:49', '2018-08-14 14:34:05', '2018-08-14 14:36:50', '2018-08-16 14:49:01', '2018-08-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 71.60000000, 0.00000000, 0.00000000, 358.00000000, 429.60000000, '', '2 coffret Meuleuse droite RC7107 - fin de serie', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 358.00000000, 71.60000000, 429.60000000, NULL, NULL, NULL),
(696, 'CO1808-0611', 1, NULL, NULL, NULL, 2379, NULL, '2018-08-22 13:31:38', '2018-08-14 14:45:13', '2018-08-14 14:45:20', '2018-08-14 14:45:44', '2018-08-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 271.13000000, 0.00000000, 0.00000000, 1355.72000000, 1626.85000000, '', 'Maintenance compresseur L15RS N° CD10024800002 à 4219 HRS<br />\r\nMaintenance seprateur de condensats owamat 10<br />\r\nRemplacement des cartouches filtres réseaux <br />\r\n<br />\r\nBL N°6 du 07/08/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1355.72000000, 271.13000000, 1626.85000000, NULL, NULL, NULL),
(697, 'CO1808-0612', 1, NULL, NULL, NULL, 2352, NULL, '2018-11-21 08:12:24', '2018-08-20 11:17:38', '2018-08-20 11:18:01', '2018-11-21 09:12:24', '2018-08-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 67.60000000, 0.00000000, 0.00000000, 338.00000000, 405.60000000, '', 'commande de Mr YANG', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 338.00000000, 67.60000000, 405.60000000, NULL, NULL, NULL),
(699, 'CO1808-0614', 1, NULL, NULL, 'S98218083122GG', 2054, NULL, '2018-08-22 09:12:59', '2018-08-22 11:10:27', '2018-08-22 11:11:56', '2018-08-22 11:12:07', '2018-08-22', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 189.35000000, 0.00000000, 0.00000000, 946.78000000, 1136.13000000, '', 'Intervention sur compresseur L26RS N°CD10029231001 suite à appel de votre electricien .<br />\r\nConstatation: suite à appel de votre electricien pour un probleme de raccordement de commande à distance sur le compresseur L26RS, nous avons constaté que la carte des entrées avait subit une deterioration suite à un choc electrique. Nous avons demandé en garantie le remplacement de la carte. Lors du remontage, une nouvelle fois cette carte s\'est trouvée endommagée par un nouveau choc electrique provenant sans doute d\'une longueur excessive du câble de commande de la marche à distance qui longeait differents câbles de puissance se chargeant au passage de tension induite.<br />\r\nNous avons du à nos frais faire réparer à nouveau la carte de gestion des entrées( la garantie n\'yant pas été retenue une deuxieme fois). A la derniere intervention de remise en place de la carte DELCOS nous avons debranché la liaison externe au compresseur et le defaut à disparu. c\'est pourquoi nous vous proposons une indemnisation de nos frais de recherche de pannes et de reparation.<br />\r\n<br />\r\nLIVRAISON : COOPERATIVE LA DAUPHINOISE<br />\r\nSces Blé1<br />\r\nChemin du pouloux<br />\r\n38270 BEAUREPAIRE', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 946.78000000, 189.35000000, 1136.13000000, NULL, NULL, NULL),
(700, 'CO1808-0615', 1, NULL, NULL, 'S981 18 09 1 011', 2054, NULL, '2018-09-24 13:39:57', '2018-08-24 09:53:43', '2018-08-24 09:58:46', '2018-09-24 15:39:38', '2018-08-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 30.77000000, 0.00000000, 0.00000000, 153.84000000, 184.61000000, '', 'Mise en place d&#39;une purge electropilot&eacute;e sur cuve -<br />\r\n<br />\r\nBL N&deg; 37 du 23/08/2018<br />\r\n<br />\r\nSite : COOPERATIVE LA DAUPHINOISE<br />\r\nSces Bl&eacute; 3 Batiment polyvalent<br />\r\nChemin du pouloux<br />\r\n38270 BEAUREPAIRE', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 153.84000000, 30.77000000, 184.61000000, NULL, NULL, NULL),
(701, 'CO1808-0616', 1, NULL, NULL, NULL, 2163, NULL, '2018-08-24 08:17:11', '2018-08-24 10:15:59', '2018-08-24 10:16:06', '2018-08-24 10:16:23', '2018-08-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 133.89000000, 0.00000000, 0.00000000, 669.49000000, 803.38000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 669.49000000, 133.89000000, 803.38000000, NULL, NULL, NULL),
(702, 'CO1808-0617', 1, NULL, NULL, NULL, 12667, NULL, '2018-09-28 09:21:00', '2018-08-24 14:49:43', '2018-08-24 14:49:57', '2018-09-28 11:20:22', '2018-08-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 133.10000000, 0.00000000, 0.00000000, 665.58000000, 798.68000000, '', 'GX7', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 665.58000000, 133.10000000, 798.68000000, NULL, NULL, NULL),
(703, 'CO1808-0618', 1, NULL, NULL, 'pieces pour Devilbiss', 12785, NULL, '2018-08-29 13:06:50', '2018-08-24 15:51:24', '2018-08-29 15:05:22', '2018-08-29 15:06:38', '2018-08-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 72.70000000, 0.00000000, 0.00000000, 363.50000000, 436.20000000, '', '', '', 1, NULL, NULL, 15, 7, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 363.50000000, 72.70000000, 436.20000000, NULL, NULL, NULL),
(704, 'CO1808-0619', 1, NULL, NULL, NULL, 2347, NULL, '2018-11-13 15:11:32', '2018-08-27 09:10:15', '2018-09-28 10:50:14', '2018-09-28 10:50:32', '2018-08-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 228.91000000, 0.00000000, 0.00000000, 1144.54000000, 1373.45000000, '', 'maintenance L15RS N&deg;CD10021874001 - 8000 HRS', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1144.54000000, 228.91000000, 1373.45000000, NULL, NULL, NULL),
(705, 'CO1808-0620', 1, NULL, NULL, NULL, 12777, NULL, '2018-09-28 06:58:30', '2018-08-27 10:52:20', '2018-09-14 16:32:36', '2018-09-28 08:56:38', '2018-08-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 256.66000000, 0.00000000, 0.00000000, 1283.29000000, 1539.95000000, 'verification du secheur pb de ventilo sur l\'un des secheurs', 'Maintenance L15rs', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1283.29000000, 256.66000000, 1539.95000000, NULL, NULL, NULL),
(706, 'CO1808-0621', 1, NULL, NULL, '12538', 12773, NULL, '2018-08-31 09:46:01', '2018-08-28 09:00:55', '2018-08-28 10:36:08', '2018-08-31 11:45:40', '2018-08-28', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 628.00000000, 0.00000000, 0.00000000, 3140.00000000, 3768.00000000, '', 'N° OPERATION : INV.MAT.18.CEE<br />\r\nRéférence CMP : CF16/07/AXE11<br />\r\nSFACS INDUSTRIE', '', 1, NULL, NULL, 15, 2, NULL, NULL, NULL, NULL, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3140.00000000, 628.00000000, 3768.00000000, NULL, NULL, NULL),
(707, 'CO1808-0622', 1, NULL, NULL, NULL, 1990, NULL, '2018-08-29 08:26:53', '2018-08-28 09:51:45', '2018-08-28 10:24:47', '2018-08-29 10:26:42', '2018-08-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 156.04000000, 0.00000000, 0.00000000, 780.26000000, 936.30000000, '', 'Modification arriv&eacute;e d&#39;eau sanitaire et RIA , r&eacute;f&eacute;ction de la tuyauterie en inox 316L .<br />\r\n<br />\r\n<br />\r\nBl N&deg;18 du 27/08/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 780.26000000, 156.04000000, 936.30000000, NULL, NULL, NULL),
(708, 'CO1808-0623', 1, NULL, NULL, NULL, 2141, NULL, '2018-08-29 08:59:34', '2018-08-29 10:55:56', '2018-08-29 10:58:59', '2018-08-29 10:59:16', '2018-08-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 75.77000000, 0.00000000, 0.00000000, 378.84000000, 454.61000000, '', 'Intervention compresseur 7.5ch 10 bars &agrave; 479 HRS', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 378.84000000, 75.77000000, 454.61000000, NULL, NULL, NULL),
(709, 'CO1808-0624', 1, NULL, NULL, NULL, 2279, NULL, '2018-11-13 15:11:49', '2018-08-29 11:13:10', '2018-08-29 11:13:16', '2018-08-29 11:13:49', '2018-08-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 247.67000000, 0.00000000, 0.00000000, 1238.37000000, 1486.04000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1238.37000000, 247.67000000, 1486.04000000, NULL, NULL, NULL),
(710, 'CO1808-0625', 1, NULL, NULL, NULL, 12618, NULL, '2018-08-29 09:17:27', '2018-08-29 11:16:48', '2018-08-29 11:16:54', '2018-08-29 11:16:59', '2018-08-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 90.00000000, 0.00000000, 0.00000000, 450.00000000, 540.00000000, '', '', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 450.00000000, 90.00000000, 540.00000000, NULL, NULL, NULL),
(711, 'CO1808-0626', 1, NULL, NULL, 'Maintenance Compresseur', 2350, NULL, '2018-11-27 10:21:41', '2018-08-29 16:41:08', '2018-11-27 11:21:29', '2018-11-27 11:21:38', '2018-08-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1621.04000000, 0.00000000, 0.00000000, 8105.22000000, 9726.26000000, '', 'Maintenance Compresseurs ingersollrand :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 8105.22000000, 1621.04000000, 9726.26000000, NULL, NULL, NULL),
(712, 'CO1808-0630', 1, NULL, NULL, NULL, 2250, NULL, '2018-09-25 08:32:40', '2018-08-30 09:25:41', '2018-08-31 09:02:23', '2018-09-25 10:32:11', '2018-08-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 326.40000000, 0.00000000, 0.00000000, 1632.00000000, 1958.40000000, 'accord mail Mr barnneron du 30/08/2018', 'Compresseur &agrave; piston COMPAIR Garantie 2 ans pi&eacute;ces et main d&#39;oeuvre', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1632.00000000, 326.40000000, 1958.40000000, NULL, NULL, NULL),
(713, 'CO1808-0627', 1, NULL, NULL, NULL, 1988, NULL, '2018-08-31 12:54:47', '2018-08-30 10:25:07', '2018-08-30 10:48:11', '2018-08-30 10:49:29', '2018-08-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 100.22000000, 0.00000000, 0.00000000, 501.08000000, 601.30000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 501.08000000, 100.22000000, 601.30000000, NULL, NULL, NULL),
(714, 'CO1808-0628', 1, NULL, NULL, NULL, 2092, NULL, '2018-10-03 08:16:33', '2018-08-30 14:20:00', '2018-09-28 11:39:10', '2018-10-03 10:16:25', '2018-08-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 84.76000000, 0.00000000, 0.00000000, 423.81000000, 508.57000000, '', 'maintenance RSDB 4', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 423.81000000, 84.76000000, 508.57000000, NULL, NULL, NULL),
(715, 'CO1808-0629', 1, NULL, NULL, NULL, 2321, NULL, '2018-11-13 15:12:08', '2018-08-30 15:53:41', '2018-09-14 16:27:43', '2018-09-14 16:28:03', '2018-08-30', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 172.92000000, 0.00000000, 0.00000000, 864.60000000, 1037.52000000, 'CONTRAT LISE', 'Maintenance L15 N°1002718001 à 3653 HRS<br />\r\n<br />\r\nBL N°29 du 06/09/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 864.60000000, 172.92000000, 1037.52000000, NULL, NULL, NULL),
(716, 'CO1808-0631', 1, NULL, NULL, NULL, 1990, NULL, '2018-09-05 12:11:04', '2018-08-31 09:46:16', '2018-08-31 09:46:26', '2018-09-05 14:10:41', '2018-08-31', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 15.70000000, 0.00000000, 0.00000000, 78.50000000, 94.20000000, '', 'Suceur &agrave; eau pour aspirateur 160/2', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 78.50000000, 15.70000000, 94.20000000, NULL, NULL, NULL),
(717, 'CO1808-0632', 1, NULL, NULL, 'S97208181016', 2054, NULL, '2018-08-31 08:11:19', '2018-08-31 10:07:30', '2018-08-31 10:07:33', '2018-08-31 10:10:54', '2018-08-31', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 67.60000000, 0.00000000, 0.00000000, 338.00000000, 405.60000000, '', 'Commande de Mr AIlloud<br />\r\n<br />\r\nSite de livraison :  COOPERATIVE LA DAUPHINOISE ( LE RIVAL )<br />\r\n2460 Chemin de la voie ferrée<br />\r\n38260 LA COTE ST ANDRE', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 338.00000000, 67.60000000, 405.60000000, NULL, NULL, NULL),
(718, 'CO1808-0633', 1, NULL, NULL, 'Sécheur Par Réfrigération + Owamat', 2161, NULL, '2018-09-27 13:14:48', '2018-08-31 13:49:24', '2018-08-31 13:49:31', '2018-09-27 15:13:44', '2018-08-31', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 535.86000000, 0.00000000, 0.00000000, 2679.29000000, 3215.15000000, '', 'Remplacement de votre&nbsp; secheur par r&eacute;frigeration ( compresseur 22KW )&nbsp; suite &agrave; fuite du gaz et presostat d&eacute;faillant par un s&eacute;cheur par r&eacute;frigeration neuf .<br />\r\n<br />\r\nRemplacement de votre s&eacute;parateur de condensats PURO CC4 par un separateur de condensats traitant un plus gros d&eacute;bit&nbsp; - reconstruction de la conduite d&#39;evacuation d&#39;eau PVC 32 avec 4 coudes&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2679.29000000, 535.86000000, 3215.15000000, NULL, NULL, NULL),
(719, 'CO1808-0634', 1, NULL, NULL, NULL, 2053, NULL, '2018-11-13 15:12:33', '2018-08-31 15:13:57', '2018-09-03 14:17:40', NULL, '2018-08-31', 12, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 734.83000000, 0.00000000, 0.00000000, 3674.21000000, 4409.04000000, '', '', 'generic_order_odt:/home/sfacs/web/gestion/documents/doctemplates/orders/Accuse_de_reception_commande.odt', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3674.21000000, 734.83000000, 4409.04000000, NULL, NULL, NULL),
(720, 'CO1809-0635', 1, NULL, NULL, NULL, 2289, NULL, '2018-11-13 15:14:25', '2018-09-04 16:50:15', '2018-09-04 16:56:08', '2018-09-28 10:25:41', '2018-09-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 112.13000000, 0.00000000, 0.00000000, 560.63000000, 672.76000000, '', 'maintenance l07 N&deg; ba35645002', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 560.63000000, 112.13000000, 672.76000000, NULL, NULL, NULL),
(721, 'CO1809-0636', 1, NULL, NULL, '1950406-325-G9J-Bkp', 2350, NULL, '2018-11-08 13:16:24', '2018-09-05 10:17:04', '2018-09-05 10:29:43', '2018-09-05 10:32:28', '2018-09-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 657.36000000, 0.00000000, 0.00000000, 3286.80000000, 3944.16000000, '', 'Maintenance Compresseurs ingersollrand :&nbsp;', 'generic_order_odt:/home/sfacs/web/gestion/documents/doctemplates/orders/Accuse_de_reception_commande.odt', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3286.80000000, 657.36000000, 3944.16000000, NULL, NULL, NULL),
(722, 'CO1809-0637', 1, NULL, NULL, NULL, 5174, NULL, '2018-09-24 13:00:22', '2018-09-05 12:09:16', '2018-09-21 16:26:51', '2018-09-21 16:26:57', '2018-09-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 68.00000000, 0.00000000, 0.00000000, 340.00000000, 408.00000000, '', 'Fourniture et installation d&#39;un reservoir 200Litres -<br />\r\nMise en place et raccordement d&#39;un compresseur et s&eacute;cheur de pret .', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 340.00000000, 68.00000000, 408.00000000, NULL, NULL, NULL),
(723, 'CO1809-0638', 1, NULL, NULL, '1950406-325-G9J-Bkp', 2350, NULL, '2018-11-08 13:14:44', '2018-09-06 14:45:07', '2018-09-06 14:45:34', '2018-11-08 14:13:37', '2018-09-06', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1975.94000000, 0.00000000, 0.00000000, 9879.70000000, 11855.64000000, '', 'Raccordement et mise en service secheur A070TXT COMPAIR avec filtres amont et aval .<br />\r\n<br />\r\nBL N°42 du 18/10/18', 'generic_order_odt:/home/sfacs/web/gestion/documents/doctemplates/orders/Bon_de_livraison.odt', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 9879.70000000, 1975.94000000, 11855.64000000, NULL, NULL, NULL);
INSERT INTO `llx_commande` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_cloture`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_cloture`, `source`, `fk_statut`, `amount_ht`, `remise_percent`, `remise_absolue`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `facture`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_livraison`, `fk_shipping_method`, `fk_warehouse`, `fk_availability`, `fk_input_reason`, `fk_delivery_address`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(724, 'CO1809-0639', 1, NULL, NULL, 'BC-COV-032243-1', 12786, NULL, '2018-09-14 12:44:06', '2018-09-07 10:03:50', '2018-09-07 10:03:56', '2018-09-14 14:38:30', '2018-09-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 43.46000000, 0.00000000, 0.00000000, 217.31000000, 260.77000000, '', 'Pieces detach&eacute;es pour compresseur SILPACK R477T .<br />\r\n<br />\r\nD&eacute;lai : disponible usine&nbsp;', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 217.31000000, 43.46000000, 260.77000000, NULL, NULL, NULL),
(725, 'CO1809-0640', 1, NULL, NULL, '1950406-325-G9J-Bkp', 2350, NULL, '2018-09-28 10:00:00', '2018-09-07 10:13:11', '2018-09-07 10:13:25', '2018-09-28 11:59:08', '2018-09-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1688.95000000, 0.00000000, 0.00000000, 8444.76000000, 10133.71000000, '', 'Modification du réseau inox en diametre 42 : <br />\r\nMise en place d\'un T avec une vanne au niveau du coude sur le reseau du compresseur UPS 5 7 - connexion en souple de la vanne au sécheur par adsoption à votre charge<br />\r\nCreation et raccordement d\'un bypass sur le nouveau secheur par adsoption compair apres le sécheur frigorifique compair existant et raccordement du compresseur Rallye 40 en inox en amont du secheur par adsorption .<br />\r\n ', 'generic_order_odt:/home/sfacs/web/gestion/documents/doctemplates/orders/Accuse_de_reception_commande.odt', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 8444.76000000, 1688.95000000, 10133.71000000, NULL, NULL, NULL),
(726, 'CO1809-0641', 1, NULL, NULL, NULL, 12788, NULL, '2018-11-14 13:38:57', '2018-09-07 10:34:54', '2018-10-31 16:10:42', '2018-11-13 16:27:16', '2018-09-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 139.63000000, 0.00000000, 0.00000000, 698.13000000, 837.76000000, '', 'Remplacement des 2 cartouches de vos filtres réseaux : <br />\r\n \r\n<p>- Contrôles et vérifications préconisés par le constructeur<br />\r\n- Vérification sécheur et purge<br />\r\n- Tous contrôles électriques ( contacteurs , tous organes électriques identifiés lors de la maintenance ) par nos électriciens dans le local technique<br />\r\n- Hors autres pièces défectueuses pouvant être trouvées<br />\r\n-<u> Garantie 6 mois sur pièces filtration et maintenance</u> effectuée<br />\r\n- <u>Prêt GRATUIT </u>d\'un compresseur de 0 à 100 CV dans la jounée<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 698.13000000, 139.63000000, 837.76000000, NULL, NULL, NULL),
(727, 'CO1809-0642', 1, NULL, NULL, NULL, 5452, NULL, '2018-09-24 13:49:18', '2018-09-07 10:37:14', '2018-09-24 15:47:31', '2018-09-24 15:49:01', '2018-09-07', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 171.69000000, 0.00000000, 0.00000000, 858.48000000, 1030.17000000, '', 'Maintenance compresseur L11 N° BA43119001 à 864 HRS<br />\r\nSuivant contrat lissé.<br />\r\n<br />\r\nBL N° 42 du 17/09/2018', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 858.48000000, 171.69000000, 1030.17000000, NULL, NULL, NULL),
(728, 'CO1809-0643', 1, NULL, NULL, NULL, 2095, NULL, '2018-09-27 13:03:13', '2018-09-07 10:39:12', '2018-09-27 15:02:46', '2018-09-27 15:03:03', '2018-09-07', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 131.90000000, 0.00000000, 0.00000000, 659.51000000, 791.41000000, '', 'Maintenance compresseur Devilbiss SFR15 N° UGO15405G à 14263 HRS<br />\r\n<br />\r\nBL N° 14 du 14/09/2018', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 659.51000000, 131.90000000, 791.41000000, NULL, NULL, NULL),
(729, 'CO1809-0644', 1, NULL, NULL, 'Imprimante Jet d\'encre', 2350, NULL, '2018-09-28 08:35:09', '2018-09-11 11:04:01', '2018-09-11 11:04:17', '2018-09-28 10:33:16', '2018-09-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 48.34000000, 0.00000000, 0.00000000, 241.67000000, 290.01000000, '', 'Fourniture dun filtre regulateur eau et poussiere 0.1 à 0.5 Bars : <br />\r\n<br />\r\nCommande N° 1951638-325-G9J-BKP<br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 241.67000000, 48.34000000, 290.01000000, NULL, NULL, NULL),
(730, 'CO1809-0645', 1, NULL, NULL, NULL, 2043, NULL, '2018-10-31 13:13:22', '2018-09-11 11:47:14', '2018-09-11 11:47:32', '2018-10-31 14:13:11', '2018-09-11', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 172.91000000, 0.00000000, 0.00000000, 864.57000000, 1037.48000000, '', 'Maintenance compresseur Start036 N°349012/2329 <br />\r\nremplacement AU cassé<br />\r\nremplacement cartouche BEA290RB<br />\r\n<br />\r\nBL N° 28 du 05/10/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 864.57000000, 172.91000000, 1037.48000000, NULL, NULL, NULL),
(731, 'CO1809-0648', 1, NULL, NULL, NULL, 2373, NULL, '2018-11-27 15:01:19', '2018-09-11 14:36:35', '2018-10-02 11:12:48', '2018-10-02 11:13:14', '2018-09-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 254.44000000, 0.00000000, 0.00000000, 1272.28000000, 1526.72000000, '', 'Maintenance compresseur Rollair 1400B et Ingersollrand :', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1272.28000000, 254.44000000, 1526.72000000, NULL, NULL, NULL),
(732, 'CO1809-0646', 1, NULL, NULL, 'S97218091015', 2054, NULL, '2018-09-27 09:31:18', '2018-09-11 16:38:48', '2018-09-11 16:41:49', '2018-09-27 11:31:06', '2018-09-11', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1046.64000000, 0.00000000, 0.00000000, 5233.20000000, 6279.84000000, '', 'maintenance compresseur L110rs N° CD10017043001 à 17208HRS<br />\r\n<br />\r\nBL N° 17 du 21/09/2018<br />\r\n<br />\r\nCommande N° S97218091015<br />\r\n<br />\r\nSite d\'intervention :<br />\r\nCOOPERATIVE LA DAUPHINOISE<br />\r\nLes Olagnieres<br />\r\nLA COTE SILO<br />\r\n2460 CHemin de la voie Férée<br />\r\n38260 LA COTE SAINT ANDRE', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5233.20000000, 1046.64000000, 6279.84000000, NULL, NULL, NULL),
(733, 'CO1809-0647', 1, NULL, NULL, '1800729', 1948, NULL, '2019-02-11 13:29:29', '2018-09-11 16:49:36', '2018-09-11 17:00:33', '2019-02-11 14:29:29', '2018-09-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 43.01000000, 0.00000000, 0.00000000, 215.06000000, 258.07000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 215.06000000, 43.01000000, 258.07000000, NULL, NULL, NULL),
(734, 'CO1809-0649', 1, NULL, NULL, '37176', 2122, NULL, '2018-09-14 13:49:32', '2018-09-12 15:57:11', '2018-09-12 15:58:20', NULL, '2018-09-12', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 18.36000000, 0.00000000, 0.00000000, 91.80000000, 110.16000000, '', 'pvc en diametre 32', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 91.80000000, 18.36000000, 110.16000000, NULL, NULL, NULL),
(735, 'CO1809-0650', 1, NULL, NULL, NULL, 2347, NULL, '2018-09-27 13:08:26', '2018-09-13 09:54:55', '2018-09-13 09:55:03', '2018-09-27 15:08:16', '2018-09-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 15.95000000, 0.00000000, 0.00000000, 79.76000000, 95.71000000, '', 'kit de maintenance pour owamat 1 :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 79.76000000, 15.95000000, 95.71000000, NULL, NULL, NULL),
(736, 'CO1809-0651', 1, NULL, NULL, NULL, 2136, NULL, '2018-10-31 14:18:24', '2018-09-13 16:31:13', '2018-09-13 16:33:02', '2018-10-31 15:17:36', '2018-09-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 139.52000000, 0.00000000, 0.00000000, 697.58000000, 837.10000000, '', 'Maintenance rsdk pro 5.5 N&deg;639018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 697.58000000, 139.52000000, 837.10000000, NULL, NULL, NULL),
(737, 'CO1809-0652', 1, NULL, NULL, NULL, 2215, NULL, '2018-12-03 09:19:17', '2018-09-14 09:41:25', '2018-12-03 10:15:05', '2018-12-03 10:15:26', '2018-09-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 147.45000000, 0.00000000, 0.00000000, 737.31000000, 884.76000000, '', 'Maintenance L11RS&nbsp;<br />\r\nRemplcament cartouche reseau&nbsp;<br />\r\nMaintenance Separateur de condensats OWAMAT10', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 737.31000000, 147.45000000, 884.76000000, NULL, NULL, NULL),
(738, 'CO1809-0653', 1, NULL, NULL, NULL, 2276, NULL, '2018-11-27 14:53:44', '2018-09-14 09:42:53', '2018-11-12 09:28:58', '2018-11-13 10:20:38', '2018-09-14', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 608.49000000, 0.00000000, 0.00000000, 3042.52000000, 3651.01000000, '', 'maintenance L29RS N° CD10015163001 à 36793 HRS & separateur de condensats beko, filtres reseaux : <br />\r\n<br />\r\nBL N° 40 du 10/11/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3042.52000000, 608.49000000, 3651.01000000, NULL, NULL, NULL),
(739, 'CO1809-0654', 1, NULL, NULL, '9995', 5741, NULL, '2018-09-24 13:06:07', '2018-09-14 11:35:48', '2018-09-14 11:36:18', '2018-09-24 15:05:41', '2018-09-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 118.76000000, 0.00000000, 0.00000000, 593.78000000, 712.54000000, '', '', '', 1, NULL, NULL, 12, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 593.78000000, 118.76000000, 712.54000000, NULL, NULL, NULL),
(740, 'CO1809-0655', 1, NULL, NULL, NULL, 1988, NULL, '2018-09-27 09:07:54', '2018-09-14 14:37:08', '2018-09-14 14:37:34', '2018-09-14 14:38:08', '2018-09-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 144.35000000, 0.00000000, 0.00000000, 721.75000000, 866.10000000, '', 'Maintenance compresseur L55RS N° CD10011035001 à 33220 HRS<br />\r\n<br />\r\nBL N° 10 du 10/09/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 721.75000000, 144.35000000, 866.10000000, NULL, NULL, NULL),
(741, 'CO1809-0656', 1, NULL, NULL, NULL, 2086, NULL, '2018-09-27 12:54:03', '2018-09-14 15:25:01', '2018-09-14 15:25:32', '2018-09-27 11:43:48', '2018-09-14', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 263.27000000, 0.00000000, 0.00000000, 1316.37000000, 1579.64000000, '', 'Maintenance compresseur L11RS N° BA31759001 à 17686 HRS<br />\r\n<br />\r\nMaintenance seprateur de condensats OWAMAT 10<br />\r\n<br />\r\nBL N°8 du 07/09/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1316.37000000, 263.27000000, 1579.64000000, NULL, NULL, NULL),
(742, 'CO1809-0657', 1, NULL, NULL, NULL, 2075, NULL, '2018-09-27 12:51:24', '2018-09-14 15:34:35', '2018-09-14 15:34:57', '2018-09-14 15:35:20', '2018-09-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 110.66000000, 0.00000000, 0.00000000, 553.29000000, 663.95000000, '', 'Maintenance L07 N° CD10004696001 à 18613 HRS<br />\r\n<br />\r\nBL N°6 du 06/09/2018 ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 553.29000000, 110.66000000, 663.95000000, NULL, NULL, NULL),
(743, 'CO1809-0658', 1, NULL, NULL, NULL, 9822, NULL, '2018-09-27 13:18:39', '2018-09-14 16:01:04', '2018-09-14 16:02:43', '2018-09-14 16:03:01', '2018-09-14', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 43.31000000, 0.00000000, 0.00000000, 216.58000000, 259.89000000, '', 'changement vanne de purge sur cuve<br />\r\n<br />\r\nBL N° 31 du 11/09/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 216.58000000, 43.31000000, 259.89000000, NULL, NULL, NULL),
(744, 'CO1809-0659', 1, NULL, NULL, NULL, 9822, NULL, '2018-09-27 13:19:05', '2018-09-14 16:04:51', '2018-09-14 16:05:41', '2018-09-14 16:05:49', '2018-09-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 30.18000000, 0.00000000, 0.00000000, 150.93000000, 181.11000000, '', 'remplcament flotteur sur filtre ACD<br />\r\n<br />\r\nBL N&deg; 30 du 07/09/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 150.93000000, 30.18000000, 181.11000000, NULL, NULL, NULL),
(746, 'CO1809-0660', 1, NULL, NULL, NULL, 12788, NULL, '2018-09-27 13:21:26', '2018-09-14 16:06:53', '2018-09-14 16:06:59', '2018-09-14 16:07:05', '2018-09-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 88.20000000, 0.00000000, 0.00000000, 441.00000000, 529.20000000, '', 'Remplacement moteur ventilateur de votre secheur : <br />\r\n<br />\r\nN° 7 du 06/09/2018', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 441.00000000, 88.20000000, 529.20000000, NULL, NULL, NULL),
(747, 'CO1809-0661', 1, NULL, NULL, 'Mini REACTEUR', 2055, NULL, '2018-10-31 13:17:29', '2018-09-21 09:29:48', '2018-09-21 09:29:57', '2018-10-31 14:17:21', '2018-09-21', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 118.94000000, 0.00000000, 0.00000000, 594.71000000, 713.65000000, '', 'Fourniture et remplacement pieces defectueuses.<br />\r\n<br />\r\nBL N°40 du 08/10/2018', '', 1, NULL, NULL, 15, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 594.71000000, 118.94000000, 713.65000000, NULL, NULL, NULL),
(748, 'CO1809-0662', 1, NULL, NULL, NULL, 2247, NULL, '2018-11-27 14:53:56', '2018-09-21 10:29:38', '2018-11-12 09:19:35', '2018-11-12 09:19:51', '2018-09-21', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 167.37000000, 0.00000000, 0.00000000, 836.87000000, 1004.24000000, '', 'Maintenance L18RS N°CD10018442001 à 24000 HRS - owamat 11 et filtre reseaux<br />\r\n<br />\r\nBL N°23 du 01/10/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 836.87000000, 167.37000000, 1004.24000000, NULL, NULL, NULL),
(749, 'CO1809-0663', 1, NULL, NULL, 'canalis et divers', 2383, NULL, '2018-11-12 11:03:30', '2018-09-21 10:44:55', '2018-09-21 10:45:09', '2018-09-28 11:31:45', '2018-09-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 705.97000000, 0.00000000, 0.00000000, 3529.82000000, 4235.79000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3529.82000000, 705.97000000, 4235.79000000, NULL, NULL, NULL),
(750, 'CO1809-0664', 1, NULL, NULL, NULL, 12581, NULL, '2018-10-31 13:32:06', '2018-09-21 11:08:42', '2018-09-21 11:12:55', '2018-10-31 14:31:52', '2018-09-21', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 136.66000000, 0.00000000, 0.00000000, 683.34000000, 820.00000000, '', 'Maintenance GA15+FF à 5159 HRS<br />\r\n<br />\r\nCommande N° 01978 du 08/10/2018<br />\r\nChantier Centrale enrobé N° 82000<br />\r\nContact Fabien Laurent', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 683.34000000, 136.66000000, 820.00000000, NULL, NULL, NULL),
(751, 'CO1809-0665', 1, NULL, NULL, NULL, 2008, NULL, '2018-11-27 14:59:49', '2018-09-21 11:23:56', '2018-09-21 11:24:02', '2018-10-31 12:10:30', '2018-09-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 114.97000000, 0.00000000, 0.00000000, 574.92000000, 689.89000000, '', 'Maintenance compresseur 6000 EL', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 574.92000000, 114.97000000, 689.89000000, NULL, NULL, NULL),
(752, 'CO1809-0666', 1, NULL, NULL, NULL, 2184, NULL, '2018-10-31 15:02:04', '2018-09-21 15:32:28', '2018-10-02 11:31:45', '2018-10-02 11:52:14', '2018-09-21', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 445.06000000, 0.00000000, 0.00000000, 2225.32000000, 2670.38000000, '', 'Maintenance L45RS ( 2018 ) N° CD10034859001 en huile alimentaire à 4288 HRS<br />\r\n<br />\r\nBL N° 22 du 01/10/2018<br />\r\n<br />\r\nCommande N° 7000733307', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2225.32000000, 445.06000000, 2670.38000000, NULL, NULL, NULL),
(753, 'CO1809-0667', 1, NULL, NULL, NULL, 2042, NULL, '2018-10-02 08:32:41', '2018-09-21 15:50:45', '2018-09-21 15:50:51', '2018-10-02 10:31:30', '2018-09-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 104.96000000, 0.00000000, 0.00000000, 524.83000000, 629.79000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 524.83000000, 104.96000000, 629.79000000, NULL, NULL, NULL),
(754, 'CO1809-0669', 1, NULL, NULL, NULL, 6521, NULL, '2018-10-31 14:11:34', '2018-09-24 11:01:47', '2018-09-24 11:01:56', '2018-10-11 14:33:07', '2018-09-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 80.15000000, 0.00000000, 0.00000000, 400.75000000, 480.90000000, '', 'Maintenance compresseur CLT507NTBD de 2013 Compair :&nbsp;', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 400.75000000, 80.15000000, 480.90000000, NULL, NULL, NULL),
(755, 'CO1809-0670', 1, NULL, NULL, '2100/19000843', 2161, NULL, '2019-01-14 09:58:57', '2018-09-25 09:33:18', '2018-09-25 09:33:59', '2018-11-13 16:16:51', '2018-09-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 35.63000000, 0.00000000, 0.00000000, 178.12000000, 213.75000000, '', 'Intervention sur compresseur ROllair 15DB G9 N&deg; CAI410726 &agrave; 31470 HRS<br />\r\n<br />\r\nBL N&deg;35 du 14/09/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 178.12000000, 35.63000000, 213.75000000, NULL, NULL, NULL),
(756, 'CO1809-0671', 1, NULL, NULL, NULL, 9822, NULL, '2018-12-10 10:39:57', '2018-09-25 11:07:02', '2018-09-25 11:07:09', '2018-10-11 14:29:31', '2018-09-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 178.04000000, 0.00000000, 0.00000000, 890.20000000, 1068.24000000, '', 'Remplacement carte circuit imprim&eacute; + boite a boutons 2 VL', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 890.20000000, 178.04000000, 1068.24000000, NULL, NULL, NULL),
(757, 'CO1809-0672', 1, NULL, NULL, NULL, 2352, NULL, '2018-11-12 15:42:33', '2018-09-26 14:28:58', '2018-11-08 11:40:20', '2018-11-08 11:40:45', '2018-09-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 202.39000000, 0.00000000, 0.00000000, 1011.93000000, 1214.32000000, '', 'Maintenance L37RS', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1011.93000000, 202.39000000, 1214.32000000, NULL, NULL, NULL),
(758, 'CO1809-0673', 1, NULL, NULL, NULL, 2361, NULL, '2018-11-27 15:01:48', '2018-09-26 14:49:10', '2018-09-26 14:49:19', '2018-11-08 12:19:42', '2018-09-26', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 83.22000000, 0.00000000, 0.00000000, 416.09000000, 499.31000000, '', 'Maintenance compresseur CLC507NTP-BD - <br />\r\n \r\n<p>- Contrôles et vérifications préconisés par le constructeur<br />\r\n- Tous contrôles électriques ( contacteurs , tous organes électriques identifiés lors de la maintenance ) par nos électriciens dans le local technique<br />\r\n- Hors autres pièces défectueuses pouvant être trouvées<br />\r\n-<u> Garantie 6 mois sur pièces filtration et maintenance</u> effectuée<br />\r\n- <u>Prêt GRATUIT </u>d\'un compresseur de 0 à 100 CV dans la jounée<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 416.09000000, 83.22000000, 499.31000000, NULL, NULL, NULL),
(759, 'CO1809-0674', 1, NULL, NULL, 'Maintenance Adaptable', 2055, NULL, '2018-11-27 15:00:51', '2018-09-27 08:55:42', '2018-09-27 08:55:50', '2018-11-13 16:26:55', '2018-09-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 296.15000000, 0.00000000, 0.00000000, 1480.78000000, 1776.93000000, '', 'Maintenance compresseur L18 - en piéces adaptables ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1480.78000000, 296.15000000, 1776.93000000, NULL, NULL, NULL),
(760, 'CO1809-0675', 1, NULL, NULL, NULL, 2161, NULL, '2018-10-31 14:49:48', '2018-09-27 09:17:09', '2018-09-27 09:17:23', '2018-10-11 14:27:31', '2018-09-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 48.62000000, 0.00000000, 0.00000000, 243.06000000, 291.68000000, '', 'Remplcament vanne thermostatique sur compresseur Rollair15 N&deg; CAI410726', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 243.06000000, 48.62000000, 291.68000000, NULL, NULL, NULL),
(761, 'CO1809-0676', 1, NULL, NULL, NULL, 12792, NULL, '2018-10-31 14:38:06', '2018-09-27 09:48:05', '2018-10-31 15:35:17', '2018-10-31 15:37:42', '2018-09-27', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1079.20000000, 0.00000000, 0.00000000, 5396.00000000, 6475.20000000, '', 'Fourniture et installation d\'un local d\'air comprimé <br />\r\nHors raccordements éléctriques . <br />\r\nPose d\'un sectionneur de proximité à votre charge .<br />\r\n<br />\r\nCommande N° 10 - investissement 2018<br />\r\nvos references JMD/SB/PU<br />\r\n<br />\r\n<strong>lieu des travaux : </strong><br />\r\nEIFFAGE ROUTE ENTRE EST<br />\r\nETABLISSEMENT ISARDROME<br />\r\n101 AVenue du POrt <br />\r\nSalaise sur sanne<br />\r\n38556 SAINT MAURICE L EXIL<br />\r\n ', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5396.00000000, 1079.20000000, 6475.20000000, NULL, NULL, NULL),
(762, 'CO1809-0677', 1, NULL, NULL, NULL, 2333, NULL, '2018-09-27 12:36:35', '2018-09-27 14:34:37', '2018-09-27 14:35:27', '2018-09-27 14:36:25', '2018-09-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 22.40000000, 0.00000000, 0.00000000, 112.00000000, 134.40000000, '', 'Souflettes', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 112.00000000, 22.40000000, 134.40000000, NULL, NULL, NULL),
(763, 'CO1809-0678', 1, NULL, NULL, NULL, 2276, NULL, '2018-09-28 10:11:45', '2018-09-27 15:35:13', '2018-09-27 15:37:41', '2018-09-27 15:38:01', '2018-09-27', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 167.55000000, 0.00000000, 0.00000000, 837.77000000, 1005.32000000, '', 'Maintenance compresseur Ingersollrand IRN18-10H à 50220 HRS<br />\r\n<br />\r\nBL N° 18 du 21/09/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 837.77000000, 167.55000000, 1005.32000000, NULL, NULL, NULL),
(764, 'CO1809-0679', 1, NULL, NULL, NULL, 12623, NULL, '2018-10-11 12:26:30', '2018-09-28 08:49:23', '2018-09-28 08:49:58', '2018-10-11 14:26:30', '2018-09-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 60.00000000, 0.00000000, 0.00000000, 300.00000000, 360.00000000, '', 'Location compresseur Devillbiss 15 10 N&deg; 2338020003 &agrave; 1661 H&nbsp;<br />\r\nCuve pauchard 300Litres avec purge electropilot&eacute;e<br />\r\nS&eacute;cheur compair F39HS &amp;purge electropilot&eacute;e<br />\r\n<br />\r\nBL N&deg; 50 du 06/09/2018<br />\r\nDate de demande de r&eacute;cuperation du mat&eacute;riel : 21/09/2018', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 300.00000000, 60.00000000, 360.00000000, NULL, NULL, NULL),
(765, 'CO1809-0680', 1, NULL, NULL, NULL, 2369, NULL, '2018-09-28 09:28:32', '2018-09-28 11:24:52', '2018-09-28 11:24:58', '2018-09-28 11:25:09', '2018-09-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 147.47000000, 0.00000000, 0.00000000, 737.36000000, 884.83000000, '', 'Reparation compresseur mobile COMPAIR C180', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 737.36000000, 147.47000000, 884.83000000, NULL, NULL, NULL),
(766, 'CO1809-0681', 1, NULL, NULL, NULL, 2123, NULL, '2018-10-11 12:26:10', '2018-09-28 12:08:22', '2018-09-28 12:08:28', '2018-09-28 12:08:55', '2018-09-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 577.07000000, 0.00000000, 0.00000000, 2885.43000000, 3462.50000000, '', 'Maintenance L29RS', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2885.43000000, 577.07000000, 3462.50000000, NULL, NULL, NULL),
(767, 'CO1809-0682', 1, NULL, NULL, NULL, 2276, NULL, '2018-10-11 12:25:54', '2018-09-28 12:12:25', '2018-09-28 12:15:42', '2018-09-28 12:19:14', '2018-09-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 22.79000000, 0.00000000, 0.00000000, 113.98000000, 136.77000000, '', 'accesoires pour aspirateur', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 113.98000000, 22.79000000, 136.77000000, NULL, NULL, NULL),
(768, 'CO1810-0683', 1, NULL, NULL, 'ponceuse ', 2178, NULL, '2018-11-06 14:08:39', '2018-10-01 15:14:59', '2018-10-01 15:15:29', '2018-10-11 14:25:33', '2018-10-01', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 37.90000000, 0.00000000, 0.00000000, 189.48000000, 227.38000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 189.48000000, 37.90000000, 227.38000000, NULL, NULL, NULL),
(769, 'CO1810-0684', 1, NULL, NULL, NULL, 2029, NULL, '2018-10-11 12:24:58', '2018-10-02 10:37:48', '2018-10-02 10:38:01', '2018-10-02 10:38:20', '2018-10-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 191.96000000, 0.00000000, 0.00000000, 959.81000000, 1151.77000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 959.81000000, 191.96000000, 1151.77000000, NULL, NULL, NULL),
(770, 'CO1810-0685', 1, NULL, NULL, NULL, 2108, NULL, '2018-10-11 12:24:43', '2018-10-02 10:54:57', '2018-10-02 11:03:02', '2018-10-02 11:03:46', '2018-10-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 90.80000000, 0.00000000, 0.00000000, 453.98000000, 544.78000000, '', 'intervention sur compresseur devilllbiss remplcament regulateur de pression et coupleur<br />\r\n<br />\r\nBL N&deg;21 du 26/09/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 453.98000000, 90.80000000, 544.78000000, NULL, NULL, NULL),
(771, 'CO1810-0686', 1, NULL, NULL, NULL, 1940, NULL, '2018-11-27 14:52:36', '2018-10-02 14:16:18', '2018-10-02 14:18:20', '2018-10-31 11:49:32', '2018-10-02', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 369.93000000, 0.00000000, 0.00000000, 1849.61000000, 2219.54000000, '', 'Maintenance de votre compresseur L45RS N° CD10023839001 à 14532 HRS<br />\r\nRemplacement cartouches filtres réseaux <br />\r\nMaintenance séparateur de condensats owamat14<br />\r\n<br />\r\nBL N°45 du 20/10/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1849.61000000, 369.93000000, 2219.54000000, NULL, NULL, NULL),
(773, 'CO1810-0687', 1, NULL, NULL, NULL, 11275, NULL, '2018-11-08 13:22:39', '2018-10-04 09:02:10', '2018-10-04 09:02:50', '2018-11-08 14:22:23', '2018-10-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 33.32000000, 0.00000000, 0.00000000, 166.61000000, 199.93000000, '', 'Filtres pour compresseur devilbiss', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 166.61000000, 33.32000000, 199.93000000, NULL, NULL, NULL),
(774, 'CO1810-0688', 1, NULL, NULL, NULL, 12757, NULL, '2018-10-10 12:51:49', '2018-10-10 08:54:33', '2018-10-10 08:54:43', '2018-10-10 14:51:47', '2018-10-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 294.02000000, 0.00000000, 0.00000000, 1470.10000000, 1764.12000000, '', '', '', 1, NULL, NULL, 12, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1470.10000000, 294.02000000, 1764.12000000, NULL, NULL, NULL),
(775, 'CO1810-0689', 1, NULL, NULL, NULL, 2122, NULL, '2018-10-31 14:22:56', '2018-10-10 09:09:30', '2018-10-10 09:09:48', '2018-10-31 15:22:48', '2018-10-10', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 19.26000000, 0.00000000, 0.00000000, 96.30000000, 115.56000000, '', 'Commande N°37380', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 96.30000000, 19.26000000, 115.56000000, NULL, NULL, NULL),
(776, 'CO1810-0690', 1, NULL, NULL, NULL, 2289, NULL, '2018-11-13 15:26:14', '2018-10-10 14:46:56', '2018-10-10 15:08:23', '2018-11-13 16:26:11', '2018-10-10', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1905.99000000, 0.00000000, 0.00000000, 9530.00000000, 11435.99000000, '', 'local air comprimé - compresseur L11rs <br />\r\n<br />\r\n1%d\'escompte si paiement comptant', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 9530.00000000, 1905.99000000, 11435.99000000, NULL, NULL, NULL),
(777, 'CO1810-0691', 1, NULL, NULL, 'CUVE A.C', 2175, NULL, '2018-11-06 11:13:37', '2018-10-12 09:26:42', '2018-11-06 12:09:50', '2018-11-06 12:11:48', '2018-10-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 471.48000000, 0.00000000, 0.00000000, 2357.39000000, 2828.87000000, '', '', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2357.39000000, 471.48000000, 2828.87000000, NULL, NULL, NULL),
(778, 'CO1810-0692', 1, NULL, NULL, NULL, 12813, NULL, '2018-11-13 15:16:30', '2018-10-12 10:15:50', '2018-10-12 10:16:51', '2018-11-13 16:16:28', '2018-10-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 44.25000000, 0.00000000, 0.00000000, 221.28000000, 265.53000000, '', 'Fourniture pour compresseur &agrave; piston SILPACK 07NBE-&nbsp; N&deg; 250504', '', 1, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 221.28000000, 44.25000000, 265.53000000, NULL, NULL, NULL),
(779, 'CO1810-0693', 1, NULL, NULL, NULL, 1997, NULL, '2018-10-31 10:58:05', '2018-10-12 10:51:54', '2018-10-12 10:52:36', '2018-10-31 11:57:34', '2018-10-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 20.70000000, 0.00000000, 0.00000000, 103.50000000, 124.20000000, '', 'Batterie pour groupe electrogene', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 103.50000000, 20.70000000, 124.20000000, NULL, NULL, NULL),
(780, 'CO1810-0694', 1, NULL, NULL, NULL, 12623, NULL, '2018-11-27 14:52:31', '2018-10-12 11:05:56', '2018-10-12 11:06:18', '2018-11-09 15:32:44', '2018-10-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1200.01000000, 0.00000000, 0.00000000, 6000.01000000, 7200.02000000, '', '', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 6000.01000000, 1200.01000000, 7200.02000000, NULL, NULL, NULL),
(781, 'CO1810-0695', 1, NULL, NULL, NULL, 2333, NULL, '2019-01-14 09:48:23', '2018-10-12 16:13:56', '2018-10-18 09:52:33', '2018-11-13 16:13:41', '2018-10-12', 5, NULL, 4, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1399.49000000, 0.00000000, 0.00000000, 6997.45000000, 8396.94000000, '', 'Fourniture d&#39;un compresseur 22 Kw vitesse fixe RS PRO 22 - 10 Bars&nbsp; avec r&eacute;chauffeur mont&eacute; d&#39;usine et 1 jeu de filtre suplementaire.<br />\r\nCompresseur Renner garantie 2 ans pi&eacute;ces et main d&#39;oeuvre<br />\r\n<br />\r\nR&eacute;glement en 3 fois :<br />\r\n2300&euro; HT &agrave; la commande&nbsp;<br />\r\n2300 &euro; HT &agrave; 30 Jours<br />\r\n2300 &euro;&nbsp; HT&agrave; 60 jours&nbsp;<br />\r\n<br />\r\nPret d&#39;un compresseur BDS en attendant la reception du compresseur Renner .', 'einstein', 1, NULL, NULL, 15, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 6997.45000000, 1399.50000000, 8396.95000000, NULL, NULL, NULL),
(783, 'CO1810-0696', 1, NULL, NULL, NULL, 9795, NULL, '2018-11-06 14:25:12', '2018-10-19 08:47:46', '2018-10-19 08:47:58', '2018-11-06 15:24:58', '2018-10-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 170.80000000, 0.00000000, 0.00000000, 854.00000000, 1024.80000000, '', 'Fourniture d&#39;un compresseur &agrave; piston sur cuve 100 Litres et d&#39;une purge temporis&eacute;&nbsp;<br />\r\nFourniture d&#39;un enrouleur de 20 M<br />\r\nHors Raccordement &eacute;l&eacute;ctrique&nbsp;', 'einstein', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 854.00000000, 170.80000000, 1024.80000000, NULL, NULL, NULL),
(785, 'CO1810-0697', 1, NULL, NULL, NULL, 2178, NULL, '2018-11-09 09:04:23', '2018-10-22 08:32:21', '2018-10-22 08:32:49', '2018-11-09 10:03:47', '2018-10-22', 4, NULL, 4, 5, NULL, 3, 0.00000000, 0, NULL, 0, 73.40000000, 0.00000000, 0.00000000, 367.00000000, 440.40000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 367.00000000, 73.40000000, 440.40000000, NULL, NULL, NULL),
(786, 'CO1810-0698', 1, NULL, NULL, 'L18+ secheur', 2011, NULL, '2018-11-21 08:34:04', '2018-10-23 10:02:13', '2018-10-23 10:14:12', '2018-11-07 14:38:18', '2018-10-23', 4, NULL, 4, 5, NULL, 3, 0.00000000, 0, NULL, 0, 2060.00000000, 0.00000000, 0.00000000, 10300.00000000, 12360.00000000, '', 'Fourniture et raccordement compresseur 18KW 10 bars avec sécheur par réfrigeration ( surdimensionné pour résisiter à la chaleur )  avec pré filtre  . <br />\r\nHors installation électrique ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 10300.00000000, 2060.00000000, 12360.00000000, NULL, NULL, NULL),
(789, 'CO1810-0699', 1, NULL, NULL, 'Votre demmande', 12814, NULL, '2018-11-21 10:49:00', '2018-10-29 14:23:15', '2018-10-29 14:23:22', '2018-11-21 11:48:43', '2018-10-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 62.76000000, 0.00000000, 0.00000000, 313.80000000, 376.56000000, '', '', '', 1, NULL, NULL, 6, 2, '2018-10-31', 2, NULL, 3, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 313.80000000, 62.76000000, 376.56000000, NULL, NULL, NULL),
(790, 'CO1810-0700', 1, NULL, NULL, 'graisseur L75', 2268, NULL, '2018-11-20 08:13:56', '2018-10-29 15:57:06', '2018-10-29 15:57:13', '2018-11-16 12:09:01', '2018-10-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 338.20000000, 0.00000000, 0.00000000, 1691.00000000, 2029.20000000, '', 'Remplacement des moteurs des graisseurs votre compresseur L75RS suite au passage de notre technicien<br />\r\n<br />\r\nD&eacute;lai : 10 jours&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1691.00000000, 338.20000000, 2029.20000000, NULL, NULL, NULL),
(791, 'CO1810-0701', 1, NULL, NULL, NULL, 2175, NULL, '2019-08-22 07:55:09', '2018-10-29 16:21:29', '2018-10-29 16:24:32', '2019-08-22 09:55:09', '2018-10-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 26.06000000, 0.00000000, 0.00000000, 130.30000000, 156.36000000, '', 'fourniture d&#39;une soupape', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 130.30000000, 26.06000000, 156.36000000, NULL, NULL, NULL),
(792, 'CO1810-0702', 1, NULL, NULL, NULL, 2406, NULL, '2018-11-26 10:53:39', '2018-10-30 09:17:41', '2018-10-30 09:20:44', '2018-11-26 11:52:58', '2018-10-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 148.34000000, 0.00000000, 0.00000000, 741.70000000, 890.04000000, '', 'maintenancecompresseur&nbsp; L18 et filtres reseaux&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 741.70000000, 148.34000000, 890.04000000, NULL, NULL, NULL),
(793, 'CO1810-0703', 1, NULL, NULL, 'Secheur', 2218, NULL, '2018-11-20 07:56:46', '2018-10-30 11:15:18', '2018-10-30 11:15:28', '2018-11-20 08:55:09', '2018-10-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 302.00000000, 0.00000000, 0.00000000, 1510.00000000, 1812.00000000, '', 'Remplacement Secheur. Pour diminuer le coût de l\'installationnous vous proposons de faire la maintenance de votre compresseur en meme temps, sachant que celle ci est prevue debut Decembre.<br />\r\nMateriel dispo chez notre fournisseur, livraison sous 24/48h', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1510.00000000, 302.00000000, 1812.00000000, NULL, NULL, NULL),
(794, 'CO1810-0704', 1, NULL, NULL, 'Local Air Comprimé', 12584, NULL, '2018-12-19 10:50:56', '2018-10-30 11:40:21', '2018-10-30 11:43:26', '2018-11-27 16:04:31', '2018-10-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1999.99000000, 0.00000000, 0.00000000, 10000.00000000, 11999.99000000, '', 'Fourniture et raccordement local air comprimé<br />\r\nConditions commerciales pour les produits RENNER :<br />\r\nLivraison FRANCO<br />\r\nDélai sous 2 semaines environ<br />\r\nGarantie compresseur et sécheur 2 ans pieces Main d\'oeuvre et déplacement<br />\r\nFabrication : Allemagne', '', 1, NULL, NULL, 12, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 10000.00000000, 1999.99000000, 11999.99000000, NULL, NULL, NULL),
(796, 'CO1810-0706', 1, NULL, NULL, NULL, 2311, NULL, '2018-11-06 15:45:24', '2018-10-31 08:54:40', '2018-10-31 08:56:34', '2018-11-06 16:45:11', '2018-10-31', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 18.91000000, 0.00000000, 0.00000000, 94.62000000, 113.53000000, '', 'Suite &agrave; votre commande du 31/10/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 94.62000000, 18.91000000, 113.53000000, NULL, NULL, NULL),
(797, 'CO1810-0707', 1, NULL, NULL, NULL, 1983, NULL, '2018-11-27 14:52:19', '2018-10-31 12:00:58', '2018-10-31 12:02:02', '2018-10-31 12:02:34', '2018-10-31', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 185.84000000, 0.00000000, 0.00000000, 929.17000000, 1115.01000000, '', 'Maintenance L07RS N° BA2765001 à 13825 HRS<br />\r\nRemplcament cartouche filtre reseau<br />\r\n<br />\r\nBL N°50 du 10/10/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 929.17000000, 185.84000000, 1115.01000000, NULL, NULL, NULL),
(798, 'CO1810-0708', 1, NULL, NULL, NULL, 12821, NULL, '2018-12-19 13:30:46', '2018-10-31 14:55:15', '2018-11-29 15:05:38', '2018-11-29 15:06:50', '2018-10-31', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 147.05000000, 0.00000000, 0.00000000, 735.31000000, 882.36000000, '', 'Maintenance compresseur START035 N° 349012/6430 de 2001 à 10100 HRS<br />\r\n<br />\r\nBL N°39 du 07/11/2018', '', 1, NULL, NULL, 2, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 735.31000000, 147.05000000, 882.36000000, NULL, NULL, NULL),
(799, 'CO1810-0709', 1, NULL, NULL, NULL, 2136, NULL, '2018-11-06 09:47:40', '2018-10-31 16:16:53', '2018-10-31 16:17:55', NULL, '2018-10-31', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 15.37000000, 0.00000000, 0.00000000, 76.83000000, 92.20000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 76.83000000, 15.37000000, 92.20000000, NULL, NULL, NULL),
(800, 'CO1811-0710', 1, NULL, NULL, NULL, 2174, NULL, '2018-11-27 14:51:26', '2018-11-05 09:06:30', '2018-11-05 09:06:39', '2018-11-19 10:52:39', '2018-11-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 461.54000000, 0.00000000, 0.00000000, 2307.73000000, 2769.27000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2307.73000000, 461.54000000, 2769.27000000, NULL, NULL, NULL),
(801, 'CO1811-0711', 1, NULL, NULL, NULL, 2064, NULL, '2018-11-13 10:20:01', '2018-11-05 09:17:34', '2018-11-12 09:04:59', '2018-11-12 09:10:40', '2018-11-05', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 328.46000000, 0.00000000, 0.00000000, 1642.32000000, 1970.78000000, '', 'Maintenance L37 N° CD10008491001 à 15815 HRS<br />\r\nBL N° 46 du 06/11/2018<br />\r\nInterventiion sur compresseur  L80 N° CD10000635001 à 33659 HRS - ressort clapet cassé<br />\r\nBL N°47 du 06/11/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1642.32000000, 328.46000000, 1970.78000000, NULL, NULL, NULL),
(802, 'CO1811-0712', 1, NULL, NULL, NULL, 2053, NULL, '2018-11-14 13:07:58', '2018-11-05 17:03:44', '2018-11-06 14:50:37', '2018-11-12 09:09:36', '2018-11-05', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 435.54000000, 0.00000000, 0.00000000, 2177.68000000, 2613.22000000, '', 'Maintenance L18RS N° CD10025396001 à 7692 HRS<br />\r\nBL N°41 du 09/11/2018<br />\r\net remplacement cuve 500Litres N°92062<br />\r\nBL N°42 du 09/11/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2177.68000000, 435.54000000, 2613.22000000, NULL, NULL, NULL),
(803, 'CO1811-0713', 1, NULL, NULL, '4500106762', 10144, NULL, '2018-12-11 14:24:15', '2018-11-06 09:55:02', '2018-11-06 09:55:47', '2018-11-16 12:09:28', '2018-11-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 242.00000000, 0.00000000, 0.00000000, 1210.02000000, 1452.02000000, '', 'Restant &agrave; facturer de commande globale &agrave; 25 000 &euro; suite &agrave; demande de Mr merlau du 06/11/2018 .', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1210.02000000, 242.00000000, 1452.02000000, NULL, NULL, NULL),
(804, 'CO1811-0714', 1, NULL, NULL, NULL, 2128, NULL, '2018-11-27 14:50:50', '2018-11-06 10:54:32', '2018-11-06 11:00:44', '2018-11-06 11:01:26', '2018-11-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 250.49000000, 0.00000000, 0.00000000, 1252.47000000, 1502.96000000, '', 'Maintenance compresseur L11RS N&deg; BA4491101 &agrave; 3601 HRS sous contrat liss&eacute;<br />\r\net remplacement de 2 cartouches filtres r&eacute;seaux<br />\r\net remplcament kit separateur de condensats<br />\r\nBL N&deg; 10 du 19/10/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1252.47000000, 250.48000000, 1502.95000000, NULL, NULL, NULL),
(805, 'CO1811-0715', 1, NULL, NULL, 'Maintenance L75 SR ', 2127, NULL, '2018-11-06 10:12:14', '2018-11-06 11:07:44', '2018-11-06 11:07:53', '2018-11-06 11:08:23', '2018-11-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 456.75000000, 0.00000000, 0.00000000, 2283.76000000, 2740.51000000, '', 'Maintenance du Compresseur L75SRà 56348 HRS<br />\r\n<br />\r\nSuivant BL N° ? du 29/10/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, 3, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2283.76000000, 456.75000000, 2740.51000000, NULL, NULL, NULL),
(806, 'CO1811-0716', 1, NULL, NULL, NULL, 2215, NULL, '2018-11-13 15:23:51', '2018-11-06 11:20:06', '2018-11-06 11:20:10', '2018-11-13 16:23:51', '2018-11-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 65.99000000, 0.00000000, 0.00000000, 329.95000000, 395.94000000, '', 'Mensualit&eacute; contrat LDD', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 329.95000000, 65.99000000, 395.94000000, NULL, NULL, NULL),
(807, 'CO1811-0717', 1, NULL, NULL, NULL, 11452, NULL, '2018-11-15 13:54:33', '2018-11-06 12:19:19', '2018-11-06 16:38:07', '2018-11-15 14:50:59', '2018-11-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 241.80000000, 0.00000000, 0.00000000, 1209.00000000, 1450.80000000, '', 'Fourniture et pose d&#39;un enrouleur air comprim&eacute;', '', 1, NULL, NULL, 2, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1209.00000000, 241.80000000, 1450.80000000, NULL, NULL, NULL),
(808, 'CO1811-0718', 1, NULL, NULL, NULL, 9795, NULL, '2018-11-06 14:28:20', '2018-11-06 15:27:08', '2018-11-06 15:27:59', '2018-11-06 15:28:05', '2018-11-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 48.42000000, 0.00000000, 0.00000000, 242.10000000, 290.52000000, '', 'Intervention sur compresseur NUAIR LT100 - remplacement clapet anti retour<br />\r\n<br />\r\nBL N&deg;12 du 25/10/2018', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 242.10000000, 48.42000000, 290.52000000, NULL, NULL, NULL),
(809, 'CO1811-0719', 1, NULL, NULL, NULL, 12784, NULL, '2018-11-06 15:07:13', '2018-11-06 15:52:38', '2018-11-06 15:57:30', '2018-11-06 15:57:53', '2018-11-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 400.00000000, 0.00000000, 0.00000000, 2000.00000000, 2400.00000000, '', 'Location compresseur Genesis 10 10 avec secheur par r&eacute;frigeration&nbsp; Friulair ACT30.<br />\r\nInclus achat 3 filtres (filtration RA RB CA ) .<br />\r\nnecessaire &agrave; raccordement .<br />\r\n<br />\r\nlocation du 03/09/2018 au 25/10/2018 .<br />\r\n<br />\r\n&nbsp;', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2000.00000000, 400.00000000, 2400.00000000, NULL, NULL, NULL),
(810, 'CO1811-0720', 1, NULL, NULL, NULL, 2231, NULL, '2018-11-27 14:50:45', '2018-11-07 15:55:41', '2018-11-07 15:57:58', '2018-11-07 15:59:42', '2018-11-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 154.09000000, 0.00000000, 0.00000000, 770.45000000, 924.54000000, '', 'Intevention et maintenance sur compresseur L15 N&deg; CD10001593001 &agrave; 10004 HRS<br />\r\n<br />\r\nBL N&deg;36 du 31/10/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 770.45000000, 154.09000000, 924.54000000, NULL, NULL, NULL),
(811, 'CO1811-0721', 1, NULL, NULL, NULL, 2289, NULL, '2018-11-08 10:25:39', '2018-11-08 11:21:53', '2018-11-08 11:23:31', '2018-11-08 11:24:36', '2018-11-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 55.29000000, 0.00000000, 0.00000000, 276.44000000, 331.73000000, '', 'Intervention sur L07 - probleme de fuite alimentation carte. Remplcement du fusible<br />\r\n<br />\r\nBL N&deg;8 du 19/10/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 276.44000000, 55.29000000, 331.73000000, NULL, NULL, NULL),
(812, 'CO1811-0722', 1, NULL, NULL, 'variateur ATV31', 2358, NULL, '2018-11-08 10:34:08', '2018-11-08 11:33:19', '2018-11-08 11:33:28', '2018-11-08 11:33:36', '2018-11-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 186.00000000, 0.00000000, 0.00000000, 930.00000000, 1116.00000000, '', 'Remplacement et parametrage variateur de frequence.<br />\r\nLe devis tient compte de la recherche de panne', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 930.00000000, 186.00000000, 1116.00000000, NULL, NULL, NULL),
(813, 'CO1811-0724', 1, NULL, NULL, NULL, 2032, NULL, '2018-11-08 10:55:20', '2018-11-08 11:46:42', '2018-11-08 11:53:52', '2018-11-08 11:54:00', '2018-11-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 79.75000000, 0.00000000, 0.00000000, 398.75000000, 478.50000000, '', 'Remplacement pressostat et maintenance compresseur :', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 398.75000000, 79.75000000, 478.50000000, NULL, NULL, NULL),
(814, 'CO1811-0723', 1, NULL, NULL, '4800299482', 2234, NULL, '2018-11-30 09:40:08', '2018-11-08 11:50:53', '2018-11-16 12:08:09', '2018-11-16 12:08:27', '2018-11-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 267.29000000, 0.00000000, 0.00000000, 1336.47000000, 1603.76000000, '', 'maintenance L45RS N&deg;CD10005658001', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1336.47000000, 267.29000000, 1603.76000000, NULL, NULL, NULL),
(815, 'CO1811-0725', 1, NULL, NULL, NULL, 2406, NULL, '2018-11-08 13:40:36', '2018-11-08 14:34:13', '2018-11-08 14:35:31', '2018-11-08 14:39:17', '2018-11-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 113.14000000, 0.00000000, 0.00000000, 565.70000000, 678.84000000, '', 'Remplacement des 2 diabolos sur secheut CTA DA004 .<br />\r\n<br />\r\nBL N&deg;33 du 26/10/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 565.70000000, 113.14000000, 678.84000000, NULL, NULL, NULL),
(816, 'CO1811-0726', 1, NULL, NULL, NULL, 2370, NULL, '2018-11-26 13:47:19', '2018-11-09 11:27:03', '2018-11-09 11:27:10', '2018-11-26 14:46:27', '2018-11-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 160.46000000, 0.00000000, 0.00000000, 802.28000000, 962.74000000, '', 'Maintenance compresseur GE10 - remplacement du bulbe thermostatique -', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 802.28000000, 160.46000000, 962.74000000, NULL, NULL, NULL);
INSERT INTO `llx_commande` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_cloture`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_cloture`, `source`, `fk_statut`, `amount_ht`, `remise_percent`, `remise_absolue`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `facture`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_livraison`, `fk_shipping_method`, `fk_warehouse`, `fk_availability`, `fk_input_reason`, `fk_delivery_address`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(817, 'CO1811-0727', 1, NULL, NULL, NULL, 2260, NULL, '2018-11-27 14:50:09', '2018-11-09 14:13:09', '2018-11-09 14:13:17', '2018-11-15 15:20:53', '2018-11-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 244.58000000, 0.00000000, 0.00000000, 1222.86000000, 1467.44000000, '', 'Maintenance de vos compresseurs : <br />\r\n \r\n<p>Contrôles et vérifications préconisés par le constructeur<br />\r\n- Vérification sécheur et purge<br />\r\n- Tous contrôles électriques ( contacteurs , tous organes électriques identifiés lors de la maintenance ) par nos électriciens dans le local technique<br />\r\n- Hors autres pièces défectueuses pouvant être trouvées<br />\r\n-<u> Garantie 6 mois sur pièces filtration et maintenance</u> effectuée<br />\r\n- <u>Prêt GRATUIT </u>d\'un compresseur de 0 à 100 CV dans la jounée<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1222.86000000, 244.58000000, 1467.44000000, NULL, NULL, NULL),
(818, 'CO1811-0728', 1, NULL, NULL, NULL, 12792, NULL, '2018-11-15 13:59:25', '2018-11-12 09:14:05', '2018-11-12 09:14:25', '2018-11-15 14:57:14', '2018-11-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 103.97000000, 0.00000000, 0.00000000, 519.85000000, 623.82000000, '', 'Mise en place d&#39;une commande &agrave; distance pour le compresseur :&nbsp;', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 519.85000000, 103.97000000, 623.82000000, NULL, NULL, NULL),
(819, 'CO1811-0729', 1, NULL, NULL, NULL, 2318, NULL, '2018-11-14 15:27:27', '2018-11-12 11:18:16', '2018-11-12 11:20:08', '2018-11-12 11:20:21', '2018-11-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 114.03000000, 0.00000000, 0.00000000, 570.13000000, 684.16000000, '', 'Intervention sur compresseru L15 N&deg;349017/3740 - defaut erreur 3 remplcament contacteur et relai thermique<br />\r\n<br />\r\nBL N&deg; 15 du 08/11/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 570.13000000, 114.03000000, 684.16000000, NULL, NULL, NULL),
(820, 'CO1811-0730', 1, NULL, NULL, NULL, 2383, NULL, '2018-11-20 08:20:52', '2018-11-12 12:04:12', '2018-11-12 12:11:19', '2018-11-12 12:11:40', '2018-11-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 133.22000000, 0.00000000, 0.00000000, 666.10000000, 799.32000000, '', 'Intervention selon BL N&deg; 1 du 12/10/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 666.10000000, 133.22000000, 799.32000000, NULL, NULL, NULL),
(821, 'CO1811-0731', 1, NULL, NULL, 'Prolongation reseau', 2076, NULL, '2018-11-30 08:30:11', '2018-11-13 09:45:43', '2018-11-13 09:45:54', '2018-11-30 09:21:07', '2018-11-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 944.54000000, 0.00000000, 0.00000000, 4722.82000000, 5667.36000000, '', 'Prolongation reseau d\'air comprimé dans nouveau batiment pour alimentation d\'une nouvelle machine .<br />\r\nInstallation d\'un cable éléctrique et d\'un cable réseau pour alimentation de la nouvelle machine.<br />\r\n<br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4722.82000000, 944.54000000, 5667.36000000, NULL, NULL, NULL),
(822, 'CO1811-0733', 1, NULL, NULL, NULL, 2300, NULL, '2019-01-07 11:11:05', '2018-11-13 15:30:49', '2018-11-13 15:33:14', '2018-12-03 10:25:39', '2018-11-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 317.20000000, 0.00000000, 0.00000000, 1585.94000000, 1903.14000000, '', 'Maintenance l45 et filtres reseaux et owamat 14', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1585.94000000, 317.20000000, 1903.14000000, NULL, NULL, NULL),
(823, 'CO1811-0734', 1, NULL, NULL, '461823', 5452, NULL, '2019-02-19 09:13:48', '2018-11-19 10:08:03', '2018-11-19 10:08:11', '2019-02-19 10:13:48', '2018-11-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 236.80000000, 0.00000000, 0.00000000, 1184.00000000, 1420.80000000, '', 'Fourniture et mise en place d\'un reservoir 100 Litres en lieu et place de l\'existante :', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1184.00000000, 236.80000000, 1420.80000000, NULL, NULL, NULL),
(824, 'CO1811-0735', 1, NULL, NULL, 'Cuve 900 Litres', 5452, NULL, '2019-02-19 09:13:24', '2018-11-19 10:13:30', '2018-11-19 10:13:38', '2019-02-19 10:13:24', '2018-11-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 342.88000000, 0.00000000, 0.00000000, 1714.42000000, 2057.30000000, '', 'Remplacement en lieu et place d&#39;une cuve 900Litres raccordement en tuyau souple :&nbsp;', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1714.42000000, 342.88000000, 2057.30000000, NULL, NULL, NULL),
(825, 'CO1811-0736', 1, NULL, NULL, NULL, 2235, NULL, '2018-11-27 15:00:23', '2018-11-19 10:30:55', '2018-11-19 10:31:10', '2018-11-23 15:39:02', '2018-11-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 282.99000000, 0.00000000, 0.00000000, 1414.95000000, 1697.94000000, '', 'Mise en place, maintenance et raccordement du compresseur L11 en votre possession en lieu et place du compresseur Start : <br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1414.95000000, 282.99000000, 1697.94000000, NULL, NULL, NULL),
(826, 'CO1811-0737', 1, NULL, NULL, NULL, 2371, NULL, '2019-01-07 11:11:09', '2018-11-19 10:40:16', '2018-12-10 10:32:15', '2018-12-10 10:32:53', '2018-11-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 278.51000000, 0.00000000, 0.00000000, 1392.61000000, 1671.12000000, '', 'maintenance L22 et filtres reseaux', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1392.61000000, 278.53000000, 1671.14000000, NULL, NULL, NULL),
(827, 'CO1811-0738', 1, NULL, NULL, NULL, 2006, NULL, '2018-11-19 13:30:44', '2018-11-19 14:27:19', '2018-11-19 14:30:26', '2018-11-19 14:30:30', '2018-11-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 949.61000000, 0.00000000, 0.00000000, 4748.05000000, 5697.66000000, '', 'Fourniture et installation d\'un compresseur d\'occasion L37S N° 100008734/0017 ( ancien VINCI ) de 2006 . 7.5 Bars<br />\r\n<br />\r\nReglement en 3 fois :<br />\r\n<br />\r\n30% à la commande<br />\r\n30 % à 30 jours<br />\r\nsolde à 60 jours', '', 1, NULL, NULL, 15, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4748.05000000, 949.61000000, 5697.66000000, NULL, NULL, NULL),
(828, 'CO1811-0739', 1, NULL, NULL, 'Maintenance en Adaptable', 2218, NULL, '2018-11-27 14:50:39', '2018-11-20 09:01:25', '2018-11-20 09:02:16', '2018-11-20 09:02:43', '2018-11-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 133.11000000, 0.00000000, 0.00000000, 665.56000000, 798.67000000, '', 'Maintenance L07 en adaptable', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 665.56000000, 133.11000000, 798.67000000, NULL, NULL, NULL),
(829, 'CO1811-0740', 1, NULL, NULL, 'Commande N°11022', 12773, NULL, '2018-12-04 14:23:16', '2018-11-20 15:36:47', '2018-11-20 15:37:24', '2018-12-03 16:38:34', '2018-11-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 287.60000000, 0.00000000, 0.00000000, 1438.00000000, 1725.60000000, '', 'D&eacute;lai : DISPONIBLE USINE 48/72H', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1438.00000000, 287.60000000, 1725.60000000, NULL, NULL, NULL),
(830, 'CO1811-0741', 1, NULL, NULL, NULL, 2162, NULL, '2018-12-18 09:08:41', '2018-11-20 15:48:03', '2018-11-20 15:48:11', '2018-12-18 10:08:29', '2018-11-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 42.80000000, 0.00000000, 0.00000000, 214.00000000, 256.80000000, '', 'BEKOMAT 32U VARIO', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 214.00000000, 42.80000000, 256.80000000, NULL, NULL, NULL),
(831, 'CO1811-0742', 1, NULL, NULL, NULL, 5315, NULL, '2018-12-11 14:00:42', '2018-11-20 17:46:36', '2018-11-20 17:46:45', '2018-12-07 16:03:29', '2018-11-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 136.30000000, 0.00000000, 0.00000000, 681.52000000, 817.82000000, '', 'Proposition outil pneumatique PROSETXT2 équipé.<br />\r\nLa riveteuse Proset 2500 n’est plus commercialisée depuis 1 an, elle a été remplacée par la Proset XT2.<br />\r\n<br />\r\nDélai : 30 jours', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 681.52000000, 136.30000000, 817.82000000, NULL, NULL, NULL),
(832, 'CO1811-0743', 1, NULL, NULL, 'Filtre réseau', 2407, NULL, '2019-01-16 14:28:24', '2018-11-22 08:44:06', '2018-11-22 08:44:15', NULL, '2018-11-22', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 286.10000000, 0.00000000, 0.00000000, 1430.52000000, 1716.62000000, '', 'Demande du 20/11/2018 Mr LE MAGUET', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1430.52000000, 286.10000000, 1716.62000000, NULL, NULL, NULL),
(833, 'CO1811-0744', 1, NULL, NULL, NULL, 2110, NULL, '2018-11-22 09:24:09', '2018-11-22 10:23:46', '2018-11-22 10:23:54', '2018-11-22 10:23:58', '2018-11-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 35.24000000, 0.00000000, 0.00000000, 176.18000000, 211.42000000, '', 'Intervention sur secheur Friulair ACT18 de 2004 -<br />\r\n<br />\r\nBL N&deg;6 du 20/11/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 176.18000000, 35.24000000, 211.42000000, NULL, NULL, NULL),
(834, 'CO1811-0745', 1, NULL, NULL, NULL, 2391, NULL, '2018-12-17 09:19:51', '2018-11-23 09:12:05', '2018-12-17 10:18:37', '2018-12-17 10:19:13', '2018-11-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 196.75000000, 0.00000000, 0.00000000, 983.72000000, 1180.47000000, '', 'Maintenance L15 N&deg;CD10007461004 de 2011&nbsp;<br />\r\nseprateur de condensats owamat 10', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 983.72000000, 196.75000000, 1180.47000000, NULL, NULL, NULL),
(835, 'CO1811-0746', 1, NULL, NULL, NULL, 2347, NULL, '2018-11-23 15:03:36', '2018-11-23 09:13:46', '2018-11-23 09:14:15', '2018-11-23 15:49:42', '2018-11-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 23.54000000, 0.00000000, 0.00000000, 117.70000000, 141.24000000, '', 'kit 2000Hrs pour compresseur L15', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 117.70000000, 23.54000000, 141.24000000, NULL, NULL, NULL),
(836, 'CO1811-0747', 1, NULL, NULL, 'Nouvelle machine', 2076, NULL, '2018-11-30 08:33:14', '2018-11-23 09:42:02', '2018-11-23 09:42:17', '2018-11-30 09:31:07', '2018-11-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 158.96000000, 0.00000000, 0.00000000, 794.82000000, 953.78000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 794.82000000, 158.96000000, 953.78000000, NULL, NULL, NULL),
(837, 'CO1811-0748', 1, NULL, NULL, 'C17818113145GG', 2054, NULL, '2018-11-23 13:09:19', '2018-11-23 11:43:17', '2018-11-23 11:43:46', '2018-11-23 11:44:11', '2018-11-23', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 71.75000000, 0.00000000, 0.00000000, 358.73000000, 430.48000000, '', 'Intervention sur compresseur SULLAIR WA3008 N°90630031 à 17 554 HRS<br />\r\n<br />\r\nBL N°7 du 20/11/2018<br />\r\n<br />\r\nCommande N° C17818113145GG<br />\r\n<br />\r\nSite d\'intervention<br />\r\nCOOPERATIVE LA DAUPHINOISE \" VOREPPE \"<br />\r\nZA Centr\'Alpes<br />\r\nRue Louis Neel<br />\r\n38340 VOREPPE', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 358.73000000, 71.75000000, 430.48000000, NULL, NULL, NULL),
(838, 'CO1811-0749', 1, NULL, NULL, 'Epreuve cuve 4000 L', 2077, NULL, '2019-01-14 08:52:12', '2018-11-27 11:14:59', '2018-11-27 11:20:38', '2019-01-14 09:51:57', '2018-11-27', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 307.00000000, 0.00000000, 0.00000000, 1535.00000000, 1842.00000000, '', 'Réepreuve reservoir 4000 Litres  d’air comprimé ( Hors organisme agrée )\r\n<p>Commande N° 20180709252<br />\r\n<br />\r\nBL N°20 du 09/01/2019</p>\r\n', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1535.00000000, 307.00000000, 1842.00000000, NULL, NULL, NULL),
(839, 'CO1811-0750', 1, NULL, NULL, 'Reseau Air Comprimé', 12833, NULL, '2018-12-14 10:38:49', '2018-11-27 14:53:30', '2018-11-27 14:53:48', '2018-12-10 10:16:42', '2018-11-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1099.71000000, 0.00000000, 0.00000000, 5498.53000000, 6598.24000000, '', '', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5498.53000000, 1099.71000000, 6598.24000000, NULL, NULL, NULL),
(840, 'CO1811-0751', 1, NULL, NULL, 'reservoir 500L', 2053, NULL, '2018-11-28 08:02:39', '2018-11-28 09:00:46', '2018-11-28 09:00:56', '2018-11-28 09:01:06', '2018-11-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 107.60000000, 0.00000000, 0.00000000, 538.00000000, 645.60000000, '', 'Proposition pour un r&eacute;servoir 500Litres ( hors installation ) :<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE 48H', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 538.00000000, 107.60000000, 645.60000000, NULL, NULL, NULL),
(841, 'CO1811-0752', 1, NULL, NULL, 'souflettes aspirantes', 9617, NULL, '2018-12-10 08:30:41', '2018-11-29 09:01:35', '2018-11-29 09:05:12', NULL, '2018-11-29', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 50.00000000, 0.00000000, 0.00000000, 250.00000000, 300.00000000, '', '', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 250.00000000, 50.00000000, 300.00000000, NULL, NULL, NULL),
(842, 'CO1811-0753', 1, NULL, NULL, NULL, 2164, NULL, '2019-01-17 09:03:59', '2018-11-29 09:11:43', '2018-11-29 09:11:55', '2019-01-17 10:02:18', '2018-11-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 129.27000000, 0.00000000, 0.00000000, 646.35000000, 775.62000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 646.35000000, 129.27000000, 775.62000000, NULL, NULL, NULL),
(843, 'CO1811-0754', 1, NULL, NULL, NULL, 1988, NULL, '2019-01-23 09:36:10', '2018-11-29 14:24:00', '2019-01-23 09:45:56', '2019-01-23 09:46:20', '2018-11-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 742.58000000, 0.00000000, 0.00000000, 3712.90000000, 4455.48000000, '', 'Maintenance L55RS', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3712.90000000, 742.58000000, 4455.48000000, NULL, NULL, NULL),
(844, 'CO1811-0755', 1, NULL, NULL, NULL, 2124, NULL, '2019-01-09 09:56:39', '2018-11-29 15:15:35', '2019-01-09 10:55:19', '2019-01-09 10:55:41', '2018-11-29', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 122.75000000, 0.00000000, 0.00000000, 613.73000000, 736.48000000, '', 'maintenance L11<br />\r\n<br />\r\nDate d\'intervention mardi 8 Janvier 2019 au matin', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 613.73000000, 122.75000000, 736.48000000, NULL, NULL, NULL),
(845, 'CO1811-0756', 1, NULL, NULL, NULL, 1990, NULL, '2018-12-10 08:26:48', '2018-11-29 15:38:24', '2018-11-29 15:38:31', '2018-12-10 09:26:25', '2018-11-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 420.00000000, 0.00000000, 0.00000000, 2100.00000000, 2520.00000000, '', 'founiture s&eacute;cheur par r&eacute;frigeration ED360 debit trait&eacute; 360m3/h<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE USINE', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2100.00000000, 420.00000000, 2520.00000000, NULL, NULL, NULL),
(846, 'CO1811-0757', 1, NULL, NULL, 'manches filtrantes', 2141, NULL, '2018-12-13 13:14:16', '2018-11-30 09:49:59', '2018-11-30 09:50:07', '2018-12-12 14:08:46', '2018-11-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 691.01000000, 0.00000000, 0.00000000, 3455.04000000, 4146.05000000, '', '<p>Comme convenu lors de notre dernier entretien téléphonique, nous avons le plaisir de vous transmettre ci-joint notre meilleure offre détaillée concernant la fourniture suivante.</p>\r\n\r\n<p> </p>\r\n\r\n<h2><span style=\"font-size:12.0pt\">M</span><span style=\"font-size:12.0pt\">atériel<strong> </strong></span><strong><u><span style=\"font-size:12.0pt\">rendu Bren, non installé</span></u></strong><u><span style=\"font-size:12.0pt\">,</span></u></h2>\r\n<strong><u>Délai de livraison</u></strong> : <strong>Dispo. Environ</strong> <strong>3 à 4 jours pour transport</strong>', '', 1, NULL, NULL, 12, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3455.04000000, 691.01000000, 4146.05000000, NULL, NULL, NULL),
(848, 'CO1812-0759', 1, NULL, NULL, 'L26rs', 2054, NULL, '2019-01-10 09:33:12', '2018-12-03 10:49:43', '2019-01-09 14:08:56', '2019-01-10 10:32:53', '2018-12-03', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 346.49000000, 0.00000000, 0.00000000, 1732.44000000, 2078.93000000, '', 'Maintenance L26RS N°CD10029231001 à 2540 HRS<br />\r\n<br />\r\nCommande N° S98119011001<br />\r\n<br />\r\nSite d\'intervention:<br />\r\nSces Blé 1<br />\r\nChemin du Pouloux<br />\r\n38270 BEAUREPAIRE<br />\r\n<br />\r\nBL N° 19 du 08/01/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1732.44000000, 346.49000000, 2078.93000000, NULL, NULL, NULL),
(849, 'CO1812-0760', 1, NULL, NULL, NULL, 11435, NULL, '2019-01-09 13:52:00', '2018-12-04 09:08:42', '2019-01-09 14:50:35', '2019-01-09 14:50:58', '2018-12-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 324.13000000, 0.00000000, 0.00000000, 1620.65000000, 1944.78000000, '', 'maintenance L30RS N&deg;cd10013952002', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1620.65000000, 324.13000000, 1944.78000000, NULL, NULL, NULL),
(850, 'CO1812-0761', 1, NULL, NULL, NULL, 12666, NULL, '2019-12-23 13:14:41', '2018-12-04 11:51:34', '2018-12-04 12:07:08', '2019-12-23 14:14:41', '2018-12-04', 5, NULL, 7, 5, NULL, 3, 0.00000000, 0, NULL, 0, 153.87000000, 0.00000000, 0.00000000, 769.34000000, 923.21000000, '', 'Maintenance compresseur MAC 3 - site de ST julien Molin molette&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 769.34000000, 153.87000000, 923.21000000, NULL, NULL, NULL),
(851, 'CO1812-0762', 1, NULL, NULL, '10427', 5741, NULL, '2019-01-03 10:03:22', '2018-12-04 14:42:33', '2018-12-04 14:43:02', '2018-12-07 15:40:17', '2018-12-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 53.68000000, 0.00000000, 0.00000000, 268.40000000, 322.08000000, '', 'delai : 5 jours &agrave; r&eacute;ception de commande', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 268.40000000, 53.68000000, 322.08000000, NULL, NULL, NULL),
(852, 'CO1812-0763', 1, NULL, NULL, NULL, 12712, NULL, '2018-12-10 13:53:37', '2018-12-05 15:04:02', '2018-12-05 15:15:40', '2018-12-07 10:31:29', '2018-12-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 21.89000000, 0.00000000, 0.00000000, 109.44000000, 131.33000000, '', 'Piéces detachées pour maintenance compresseur KA6 N° BA40424004 de 2016.<br />\r\nPieces adaptables<br />\r\n<br />\r\nDélai : DISPONIBLE USINE', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 109.44000000, 21.89000000, 131.33000000, NULL, NULL, NULL),
(853, 'CO1812-0764', 1, NULL, NULL, NULL, 1955, NULL, '2019-01-03 15:07:39', '2018-12-06 09:02:06', '2018-12-06 09:02:38', '2019-01-03 16:07:11', '2018-12-06', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 127.68000000, 0.00000000, 0.00000000, 638.35000000, 766.03000000, '', 'Maintenance L07 de 2009 N° CD10000211002 à ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 638.35000000, 127.68000000, 766.03000000, NULL, NULL, NULL),
(854, 'CO1812-0765', 1, NULL, NULL, NULL, 9617, NULL, '2019-01-23 10:28:41', '2018-12-10 10:11:06', '2018-12-10 10:11:26', '2019-01-23 11:27:22', '2018-12-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 270.19000000, 0.00000000, 0.00000000, 1350.96000000, 1621.15000000, '', 'Remplacement de votre reservoir 500Litres accouplé à votre compresseur  par un reservoir vertical 500Litres à coté de votre compresseur : \r\n<p>Notre offre comprend :</p>\r\n\r\n<ul>\r\n	<li>Dépose des accessoires fixer sur la cuve ( flexible , … etc )</li>\r\n	<li>Bouchonnage des differents orifices</li>\r\n	<li>Remontage et remise en service de la machine</li>\r\n</ul>\r\n<br />\r\nDélai : DISPONIBLE USINE ( 48h )', '', 1, NULL, NULL, NULL, NULL, '2019-01-31', NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1350.96000000, 270.19000000, 1621.15000000, NULL, NULL, NULL),
(855, 'CO1812-0772', 1, NULL, NULL, NULL, 2170, NULL, '2018-12-26 08:12:50', '2018-12-10 15:42:46', '2018-12-14 10:45:35', '2018-12-26 09:11:46', '2018-12-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 610.21000000, 0.00000000, 0.00000000, 3051.04000000, 3661.25000000, '', 'Demmenagement ancien local dans nouveau local de l&#39;air comprim&eacute; etreseau electrique existant . Pour reconstitution identique dans nouveau local .<br />\r\nLocation nacelle inclus .', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3051.04000000, 610.21000000, 3661.25000000, NULL, NULL, NULL),
(856, 'CO1812-0766', 1, NULL, NULL, NULL, 6259, NULL, '2018-12-13 13:23:47', '2018-12-11 16:08:24', '2018-12-11 16:09:04', '2018-12-13 14:23:30', '2018-12-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 102.62000000, 0.00000000, 0.00000000, 513.11000000, 615.73000000, '', 'Pieces détachées pour maintenance rallye 040 N° 349011/285 <br />\r\n<br />\r\nDélai : Disponible', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 513.11000000, 102.62000000, 615.73000000, NULL, NULL, NULL),
(857, 'CO1812-0767', 1, NULL, NULL, 'travaux divers', 2213, NULL, '2019-01-07 11:11:13', '2018-12-12 10:53:16', '2018-12-12 10:54:11', '2018-12-28 11:23:14', '2018-12-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 373.64000000, 0.00000000, 0.00000000, 1868.22000000, 2241.86000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1868.22000000, 373.64000000, 2241.86000000, NULL, NULL, NULL),
(859, 'CO1812-0768', 1, NULL, NULL, NULL, 12666, NULL, '2019-01-07 11:11:18', '2018-12-13 09:29:43', '2018-12-13 09:32:26', '2018-12-21 10:43:28', '2018-12-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 158.63000000, 0.00000000, 0.00000000, 793.16000000, 951.79000000, '', 'maintenance UP5-15-8.5', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 793.16000000, 158.63000000, 951.79000000, NULL, NULL, NULL),
(860, 'CO1812-0769', 1, NULL, NULL, 'Iconn V2', 2407, NULL, '2018-12-17 14:37:57', '2018-12-13 15:26:27', '2018-12-13 15:26:38', '2018-12-17 15:37:53', '2018-12-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 56.46000000, 0.00000000, 0.00000000, 282.30000000, 338.76000000, '', 'Offre de pric pour la fourniture d&#39;un iconn V2 pour votre compresseur :<br />\r\n<br />\r\nD&eacute;lai: 15 jours &agrave; r&eacute;ception de commande&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 282.30000000, 56.46000000, 338.76000000, NULL, NULL, NULL),
(861, 'CO1812-0770', 1, NULL, NULL, 'scierie bouchard blaches', 2729, NULL, '2019-01-07 14:21:29', '2018-12-14 09:11:19', '2018-12-14 09:12:15', '2019-01-07 15:21:29', '2018-12-14', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 37.60000000, 0.00000000, 0.00000000, 188.00000000, 225.60000000, '', 'Garantie compresseur RS22  N°843062 - remplacement VPM', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 188.00000000, 37.60000000, 225.60000000, NULL, NULL, NULL),
(862, 'CO1812-0771', 1, NULL, NULL, 'Brun Buisson', 12764, NULL, '2019-02-19 09:14:54', '2018-12-14 10:28:38', '2018-12-14 10:28:46', '2019-02-19 10:14:54', '2018-12-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 926.62000000, 0.00000000, 0.00000000, 4633.15000000, 5559.77000000, '', 'Câblage Pneumatique sur scie de debit de deux verins avec distributeurs et FRL ( prix pour 3 scies de débit )', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4633.15000000, 926.62000000, 5559.77000000, NULL, NULL, NULL),
(863, 'CO1812-0773', 1, NULL, NULL, NULL, 6259, NULL, '2018-12-14 10:02:38', '2018-12-14 10:58:58', '2018-12-14 11:01:01', '2018-12-14 11:02:26', '2018-12-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 59.30000000, 0.00000000, 0.00000000, 296.48000000, 355.78000000, '', 'changement vanne thermostatique sur compresseur L30 .<br />\r\n<br />\r\nBL N&deg;9 du 12/12/2018', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 296.48000000, 59.30000000, 355.78000000, NULL, NULL, NULL),
(865, 'CO1812-0774', 1, NULL, NULL, NULL, 2122, NULL, '2019-01-03 14:57:46', '2018-12-14 14:12:03', '2019-01-03 15:50:06', '2019-01-03 15:52:32', '2018-12-14', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 277.65000000, 0.00000000, 0.00000000, 1388.22000000, 1665.87000000, '', 'Maintenance L75RS N° CD10018699001 à ', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1388.22000000, 277.65000000, 1665.87000000, NULL, NULL, NULL),
(866, 'CO1812-0775', 1, NULL, NULL, '2018741', 1940, NULL, '2019-01-07 11:11:40', '2018-12-14 15:02:32', '2018-12-14 15:02:40', '2018-12-14 15:11:00', '2018-12-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 96.43000000, 0.00000000, 0.00000000, 482.16000000, 578.59000000, '', 'Fourniture d&#39;un Aspirateur YS 2-62 et 2 coudes .<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE USINE', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 482.16000000, 96.43000000, 578.59000000, NULL, NULL, NULL),
(867, 'CO1812-0776', 1, NULL, NULL, NULL, 10981, NULL, '2019-01-10 14:41:32', '2018-12-17 15:06:49', '2018-12-17 15:06:57', '2019-01-10 15:41:05', '2018-12-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 8.73000000, 0.00000000, 0.00000000, 43.67000000, 52.40000000, '', 'Fourniture sonde de tremperature pour compresseur KS5 :&nbsp;', '', 1, NULL, NULL, 6, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 43.67000000, 8.73000000, 52.40000000, NULL, NULL, NULL),
(868, 'CO1812-0777', 1, NULL, NULL, NULL, 2358, NULL, '2019-01-07 11:10:33', '2018-12-17 15:48:35', '2018-12-17 15:48:44', '2019-01-03 15:42:57', '2018-12-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1199.99000000, 0.00000000, 0.00000000, 6000.02000000, 7200.01000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 6000.02000000, 1199.99000000, 7200.01000000, NULL, NULL, NULL),
(869, 'CO1812-0778', 1, NULL, NULL, NULL, 5741, NULL, '2019-02-01 13:22:20', '2018-12-18 09:16:04', '2018-12-18 09:16:10', '2019-01-29 15:35:58', '2018-12-18', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 105.92000000, 0.00000000, 0.00000000, 529.62000000, 635.54000000, '', 'filtres reseaux', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 529.62000000, 105.92000000, 635.54000000, NULL, NULL, NULL),
(870, 'CO1812-0779', 1, NULL, NULL, NULL, 12763, NULL, '2019-12-23 12:50:32', '2018-12-18 12:21:10', '2018-12-19 15:32:18', '2019-12-23 13:50:32', '2018-12-18', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 2200.00000000, 0.00000000, 0.00000000, 11000.00000000, 13200.00000000, '', '', 'einstein', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 11000.00000000, 2200.00000000, 13200.00000000, NULL, NULL, NULL),
(871, 'CO1812-0780', 1, NULL, NULL, NULL, 2184, NULL, '2019-02-05 08:04:26', '2018-12-20 09:00:11', '2019-01-23 10:59:06', '2019-01-23 10:59:43', '2018-12-20', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 320.00000000, 0.00000000, 0.00000000, 1600.02000000, 1920.02000000, '', 'Maintenance L45RS ( 2018 ) N° CD10034859001 en huile alimentaire à 6789 HRS<br />\r\n<br />\r\nRemplacement cartouche filtre réseau <br />\r\n<br />\r\nMaintenance seprateur de condensats OWAMAT 14<br />\r\n<br />\r\nBL N°26 du 1801/2019<br />\r\n<br />\r\nCommande N° PO7000788314 du 04/02/2019<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1600.02000000, 320.00000000, 1920.02000000, NULL, NULL, NULL),
(872, 'CO1812-0781', 1, NULL, NULL, NULL, 2352, NULL, '2019-04-26 14:43:25', '2018-12-20 10:23:30', '2018-12-20 10:23:42', '2019-03-15 09:35:21', '2018-12-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1423.68000000, 0.00000000, 0.00000000, 7118.50000000, 8542.18000000, '', 'Version 1/2 bouclage air comprimé ( zone 1 seulement ) <br />\r\nRéalisation d\'un reseau en sertinox diametre 42 et 22 , 3 vannesd\'isolement , 2 descentes, 1 attentes pour nouvelles machines .<br />\r\nSuivant devis et schéma de principe du 26/09/2018<br />\r\n ', '', 1, NULL, NULL, 12, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 7118.50000000, 1423.68000000, 8542.18000000, NULL, NULL, NULL),
(873, 'CO1812-0782', 1, NULL, NULL, NULL, 2164, NULL, '2019-01-17 09:00:06', '2018-12-20 15:04:05', '2018-12-20 15:22:23', '2019-01-17 09:59:19', '2018-12-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 19.10000000, 0.00000000, 0.00000000, 95.50000000, 114.60000000, '', 'cartouche filtre reseau', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 95.50000000, 19.10000000, 114.60000000, NULL, NULL, NULL),
(874, 'CO1812-0783', 1, NULL, NULL, '2 L22S ', 2407, NULL, '2019-06-03 12:59:00', '2018-12-20 16:38:31', '2018-12-20 16:38:57', '2019-03-01 10:37:40', '2018-12-20', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 360.82000000, 0.00000000, 0.00000000, 1804.09000000, 2164.91000000, '', 'Maintenance de vos 2 compresseurs : 2 compresseurs L22S - Maintenance 4000Heures - offre hors piéces détachées déjà en votre possession .<br />\r\nMaintenance seprateur de condensats<br />\r\net remplacement de vos cartouches de  vos 4  filtres réseaux fournitures inclus .<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1804.09000000, 360.82000000, 2164.91000000, NULL, NULL, NULL),
(875, 'CO1812-0784', 1, NULL, NULL, NULL, 2204, NULL, '2019-01-07 11:10:05', '2018-12-21 08:52:30', '2019-01-04 16:13:45', '2019-01-04 16:14:13', '2018-12-21', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 299.46000000, 0.00000000, 0.00000000, 1497.35000000, 1796.81000000, '', 'Contrat Lissé L22 N°CD10029439002 à  HRS+ owamat11 + filtres reseaux ( RA,RB et CA ) ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1497.35000000, 299.46000000, 1796.81000000, NULL, NULL, NULL),
(876, 'CO1812-0785', 1, NULL, NULL, 'L11rs et reparation', 12777, NULL, '2019-03-01 13:32:10', '2018-12-26 10:37:25', '2018-12-26 10:37:39', '2019-02-28 11:04:16', '2018-12-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 321.51000000, 0.00000000, 0.00000000, 1607.58000000, 1929.09000000, '', 'Maintenance compresseur L11RS , filtres reseaux et separateur de condensats ainsi que réparation du réseau coupé suite à l\'intervention de votre societe .', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1607.58000000, 321.51000000, 1929.09000000, NULL, NULL, NULL),
(877, 'CO1812-0786', 1, NULL, NULL, NULL, 2149, NULL, '2019-01-23 10:58:41', '2018-12-26 15:40:37', '2019-01-23 11:53:12', '2019-01-23 11:56:52', '2018-12-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 115.28000000, 0.00000000, 0.00000000, 576.35000000, 691.63000000, '', 'Maintenance L07 Compair', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 576.35000000, 115.28000000, 691.63000000, NULL, NULL, NULL),
(878, 'CO1812-0787', 1, NULL, NULL, NULL, 2140, NULL, '2019-01-16 10:01:49', '2018-12-26 16:04:22', '2019-01-16 11:00:00', '2019-01-16 11:00:21', '2018-12-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 156.20000000, 0.00000000, 0.00000000, 780.96000000, 937.16000000, '', 'Maintenance L15RS&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 780.96000000, 156.20000000, 937.16000000, NULL, NULL, NULL),
(879, 'CO1812-0788', 1, NULL, NULL, NULL, 2289, NULL, '2019-12-23 11:02:52', '2018-12-27 09:09:50', '2019-09-16 14:47:43', '2019-09-16 14:48:51', '2018-12-27', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 231.19000000, 0.00000000, 0.00000000, 1155.89000000, 1387.08000000, '', 'L11RS sous contrat lissé<br />\r\nN° BA46470001 à 2699 HRS<br />\r\n<br />\r\nBL N°30 du 11/09/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1155.89000000, 231.19000000, 1387.08000000, 'commande/CO1812-0788/CO1812-0788.pdf', NULL, NULL),
(880, 'CO1812-0789', 1, NULL, NULL, NULL, 6086, NULL, '2019-01-04 13:02:33', '2018-12-27 09:26:51', '2018-12-27 09:27:38', '2019-01-04 09:16:52', '2018-12-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 218.97000000, 0.00000000, 0.00000000, 1094.86000000, 1313.83000000, '', 'Maintenance L55Rs', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1094.86000000, 218.97000000, 1313.83000000, NULL, NULL, NULL),
(881, 'CO1812-0790', 1, NULL, NULL, NULL, 2073, NULL, '2019-01-15 13:20:49', '2018-12-27 10:12:24', '2018-12-27 10:13:42', '2019-01-15 09:49:38', '2018-12-27', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 182.70000000, 0.00000000, 0.00000000, 913.50000000, 1096.20000000, '', 'Maintenance Hv07 à 9933 HRS<br />\r\n<br />\r\nBL N° 22 du 14/01/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 913.50000000, 182.70000000, 1096.20000000, NULL, NULL, NULL),
(882, 'CO1901-0791', 1, NULL, NULL, NULL, 2279, NULL, '2019-01-23 10:45:31', '2019-01-02 11:17:25', '2019-01-23 11:37:10', '2019-01-23 11:37:28', '2019-01-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 610.37000000, 0.00000000, 0.00000000, 3051.88000000, 3662.25000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3051.88000000, 610.37000000, 3662.25000000, NULL, NULL, NULL),
(883, 'CO1901-0792', 1, NULL, NULL, 'Maintenance Compresseur', 2032, NULL, '2019-01-07 11:09:45', '2019-01-03 09:14:31', '2019-01-03 09:14:39', '2019-01-07 10:51:59', '2019-01-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 198.07000000, 0.00000000, 0.00000000, 990.43000000, 1188.50000000, '', 'Maintenance compresseur :', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 990.43000000, 198.07000000, 1188.50000000, NULL, NULL, NULL),
(884, 'CO1901-0793', 1, NULL, NULL, NULL, 2102, NULL, '2019-02-14 08:55:37', '2019-01-03 10:17:13', '2019-02-13 15:16:42', '2019-02-13 15:17:02', '2019-01-03', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 91.27000000, 0.00000000, 0.00000000, 456.33000000, 547.60000000, '', 'Maintenance L07RS N°BA33915001 à 1340 HRS<br />\r\n<br />\r\nBL N°31 du 07/02/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 456.33000000, 91.27000000, 547.60000000, NULL, NULL, NULL),
(885, 'CO1901-0794', 1, NULL, NULL, NULL, 2054, NULL, '2019-01-04 10:38:05', '2019-01-03 11:13:40', '2019-01-03 11:16:16', NULL, '2019-01-03', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 137.73000000, 0.00000000, 0.00000000, 688.68000000, 826.41000000, '', 'Maintenance WS1508', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 688.68000000, 137.73000000, 826.41000000, NULL, NULL, NULL),
(886, 'CO1901-0795', 1, NULL, NULL, NULL, 12590, NULL, '2019-01-14 09:49:20', '2019-01-07 15:39:35', '2019-01-07 15:41:07', NULL, '2019-01-07', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 162.00000000, 0.00000000, 0.00000000, 810.00000000, 972.00000000, '', '', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 810.00000000, 162.00000000, 972.00000000, NULL, NULL, NULL),
(887, 'CO1901-0796', 1, NULL, NULL, NULL, 2077, NULL, '2019-01-14 08:58:15', '2019-01-08 08:56:43', '2019-01-08 08:56:55', '2019-01-14 09:57:20', '2019-01-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 26.06000000, 0.00000000, 0.00000000, 130.30000000, 156.36000000, '', 'Soupape de suret&eacute; 1/4 en 10 bars pour reservoir 4000 Litres &agrave; pr&eacute;voir pour l&#39;&eacute;preuve de celle ci :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 130.30000000, 26.06000000, 156.36000000, NULL, NULL, NULL),
(888, 'CO1901-0797', 1, NULL, NULL, NULL, 2381, NULL, '2019-01-16 10:42:03', '2019-01-08 14:17:28', '2019-01-16 11:30:15', '2019-01-16 11:30:43', '2019-01-08', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 237.81000000, 0.00000000, 0.00000000, 1189.06000000, 1426.87000000, '', 'Maintenance 2 compresseurs + reparation flexible <br />\r\nKA10 à 7880Hrs<br />\r\nGA11C à 3648 HRS<br />\r\n<br />\r\nBL N° 23& 24 du 15/01/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1189.06000000, 237.81000000, 1426.87000000, NULL, NULL, NULL),
(889, 'CO1901-0798', 1, NULL, NULL, NULL, 1981, NULL, '2019-01-23 13:16:23', '2019-01-09 16:48:00', '2019-01-09 16:48:06', '2019-01-23 14:16:05', '2019-01-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 9.51000000, 0.00000000, 0.00000000, 47.53000000, 57.04000000, '', 'Nez pour riveuteuse rodcraft RC6700<br />\r\n<br />\r\nDélai : 1 semaine', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 47.53000000, 9.51000000, 57.04000000, NULL, NULL, NULL),
(890, 'CO1901-0799', 1, NULL, NULL, NULL, 2261, NULL, '2019-02-13 14:42:24', '2019-01-09 16:50:01', '2019-01-10 09:46:54', '2019-02-04 10:57:08', '2019-01-09', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 96.77000000, 0.00000000, 0.00000000, 483.84000000, 580.61000000, '', 'Mise en place d\'un réseau d\'air comprimé pour alimenter le bars articulé <br />\r\nRepiquage sur la ponceuse à bande <br />\r\n<br />\r\nBL N°40 du 01/02/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 483.84000000, 96.77000000, 580.61000000, NULL, NULL, NULL),
(891, 'CO1901-0800', 1, NULL, NULL, NULL, 12847, NULL, '2019-02-19 09:16:11', '2019-01-10 14:30:53', '2019-01-10 14:30:59', NULL, '2019-01-10', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 780.38000000, 0.00000000, 0.00000000, 3901.86000000, 4682.24000000, '', 'Compresseur à vis 4kw monté sur cuve de 90Litres .<br />\r\nMarque Renner Allemande<br />\r\nDebit à 7.5 Bars : 38.40 m3/h<br />\r\nNiveau sonore : 70 dB(A)<br />\r\ndimensions : 985x536x995 mm<br />\r\npoids : 184 kg<br />\r\n<br />\r\nAccesoires de raccordement comme vu avec Mr Balazard ce jour <br />\r\n<br />\r\nLivraison FRANCO <br />\r\nDélai : 15 jours à réception de commande', '', 0, NULL, NULL, 12, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3901.86000000, 780.38000000, 4682.24000000, NULL, NULL, NULL),
(892, 'CO1901-0801', 1, NULL, NULL, NULL, 2247, NULL, '2019-01-29 15:44:04', '2019-01-10 15:51:15', '2019-01-10 15:51:54', '2019-01-29 15:45:54', '2019-01-10', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 315.15000000, 0.00000000, 0.00000000, 1575.80000000, 1890.95000000, '', 'maintenance L18rs N° CD100018442001 à 2411HRS( nouvelle carte ) <br />\r\nMaintenance separateur de condensats OWAMT 11<br />\r\nRemplcament cartouche filtre reseau<br />\r\n<br />\r\n<br />\r\nBL N° 35 du 25/01/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1575.80000000, 315.15000000, 1890.95000000, NULL, NULL, NULL),
(893, 'CO1901-0802', 1, NULL, NULL, NULL, 2383, NULL, '2019-01-14 09:56:10', '2019-01-11 11:29:46', '2019-01-11 11:31:53', '2019-01-11 11:35:04', '2019-01-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 157.69000000, 0.00000000, 0.00000000, 788.42000000, 946.11000000, '', 'Changement 6 hublots dans les wc et remplcament radiateur &eacute;lectrique vestiaire.<br />\r\n<br />\r\nBL N&deg;17 du 07/10/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 788.42000000, 157.69000000, 946.11000000, NULL, NULL, NULL),
(894, 'CO1901-0803', 1, NULL, NULL, NULL, 2091, NULL, '2019-02-15 13:14:42', '2019-01-11 14:01:14', '2019-02-04 14:36:23', '2019-02-04 14:36:40', '2019-01-11', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 149.33000000, 0.00000000, 0.00000000, 746.62000000, 895.95000000, '', 'Maintenanxce compresseur L18 N°CD10030115002 à 448HRS suivant contrat lissé', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 746.62000000, 149.33000000, 895.95000000, NULL, NULL, NULL),
(895, 'CO1901-0804', 1, NULL, NULL, NULL, 10268, NULL, '2019-02-06 15:18:56', '2019-01-11 16:02:44', '2019-02-04 14:26:12', '2019-02-04 14:26:54', '2019-01-11', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 112.40000000, 0.00000000, 0.00000000, 562.02000000, 674.42000000, '', 'Maintenance compresseur GA7 N°AII124221 de 1999à 6455HRS<br />\r\n<br />\r\nBL N°36 du 25/01/2019<br />\r\n \r\n<p>- Contrôles et vérifications préconisés par le constructeur<br />\r\n- Vérification sécheur et purge<br />\r\n- Tous contrôles électriques ( contacteurs , tous organes électriques identifiés lors de la maintenance ) par nos électriciens dans le local technique<br />\r\n- Hors autres pièces défectueuses pouvant être trouvées<br />\r\n-<u> Garantie 6 mois sur pièces filtration et maintenance</u> effectuée<br />\r\n </p>\r\n', '', 1, NULL, NULL, 2, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 562.02000000, 112.40000000, 674.42000000, NULL, NULL, NULL),
(896, 'CO1901-0805', 1, NULL, NULL, NULL, 2297, NULL, '2019-03-07 10:46:17', '2019-01-14 11:56:19', '2019-01-14 11:57:38', '2019-03-07 11:45:57', '2019-01-14', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 216.83000000, 0.00000000, 0.00000000, 1084.13000000, 1300.96000000, '', 'Maintenance compresseur L11 à 18998 HRS<br />\r\n<br />\r\nBL N°47 du 04/03/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1084.13000000, 216.83000000, 1300.96000000, 'commande/CO1901-0805/CO1901-0805.pdf', NULL, NULL),
(897, 'CO1901-0806', 1, NULL, NULL, NULL, 2331, NULL, '2020-02-04 15:11:16', '2019-01-14 14:11:38', '2019-03-14 16:30:43', '2019-03-14 16:31:07', '2019-01-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 99.45000000, 0.00000000, 0.00000000, 497.27000000, 596.72000000, '', 'Maintenance compresseur GA22 :&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 497.27000000, 99.45000000, 596.72000000, 'commande/CO1901-0806/CO1901-0806.pdf', NULL, NULL),
(898, 'CO1901-0807', 1, NULL, NULL, NULL, 2102, NULL, '2019-07-08 12:15:28', '2019-01-15 09:30:45', '2019-01-15 09:30:58', '2019-07-08 14:15:09', '2019-01-15', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 481.39000000, 0.00000000, 0.00000000, 2406.94000000, 2888.33000000, '', 'Remplacement Inter differentiels Local B1-B2-B3<br />\r\n<br />\r\nCommande N°BC2019.01.008<br />\r\n<br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2406.94000000, 481.39000000, 2888.33000000, 'commande/CO1901-0807/CO1901-0807.pdf', NULL, NULL),
(899, 'CO1901-0808', 1, NULL, NULL, '10589', 5741, NULL, '2019-02-05 10:21:55', '2019-01-15 09:47:13', '2019-01-16 12:02:53', '2019-02-05 11:17:17', '2019-01-15', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 149.04000000, 0.00000000, 0.00000000, 745.19000000, 894.23000000, '', 'Maintenance pour compresseur L75 N°CD1005618002<br />\r\n<br />\r\nBL N°27 du 31/01/2019<br />\r\n<br />\r\nCommande N° 10589', '', 1, NULL, NULL, 13, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 745.19000000, 149.04000000, 894.23000000, NULL, NULL, NULL),
(900, 'CO1901-0809', 1, NULL, NULL, NULL, 2407, NULL, '2019-01-30 13:20:10', '2019-01-15 10:13:42', '2019-01-15 10:13:50', '2019-01-30 14:17:43', '2019-01-15', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 781.85000000, 0.00000000, 0.00000000, 3909.25000000, 4691.10000000, '', 'Maintenance L90RS 13BARS de 2017 N° CD10015199001 .<br />\r\nPrix de maintenance pour l\'année 2019 .', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3909.25000000, 781.85000000, 4691.10000000, NULL, NULL, NULL),
(901, 'CO1901-0810', 1, NULL, NULL, NULL, 12666, NULL, '2019-01-15 14:15:53', '2019-01-15 15:13:44', '2019-01-15 15:14:58', '2019-01-15 15:15:38', '2019-01-15', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 163.65000000, 0.00000000, 0.00000000, 818.26000000, 981.91000000, '', 'Maintenance compresseur MAC 3 MSC18 à 11 000HRS - site de ST julien Molin molette <br />\r\n<br />\r\nBL N°21 du 11/01/2019', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 818.26000000, 163.65000000, 981.91000000, NULL, NULL, NULL),
(902, 'CO1901-0811', 1, NULL, NULL, NULL, 2029, NULL, '2019-02-13 09:04:24', '2019-01-17 09:29:59', '2019-02-12 09:51:49', '2019-02-13 10:04:09', '2019-01-17', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 101.67000000, 0.00000000, 0.00000000, 508.37000000, 610.04000000, '', 'Maintenance L11 N° 100014090161 à 35206 HRS<br />\r\nMaintenance seprateur de condensats Owamat 10<br />\r\n<br />\r\nBL N°33 du 08/02/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 508.37000000, 101.67000000, 610.04000000, NULL, NULL, NULL),
(903, 'CO1901-0812', 1, NULL, NULL, 'BRUN BUISSON', 12764, NULL, '2019-02-15 13:15:00', '2019-01-17 15:08:57', '2019-01-30 10:17:01', '2019-01-30 10:18:22', '2019-01-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 267.13000000, 0.00000000, 0.00000000, 1956.55000000, 2223.68000000, '', '', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1956.55000000, 267.13000000, 2223.68000000, NULL, NULL, NULL),
(904, 'CO1901-0813', 1, NULL, NULL, NULL, 2261, NULL, '2019-02-27 08:37:42', '2019-01-18 10:42:10', '2019-02-04 10:58:33', '2019-02-04 10:59:35', '2019-01-18', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 232.44000000, 0.00000000, 0.00000000, 1162.23000000, 1394.67000000, '', 'Maintenances compresseur HV02 et maco trek5.5 à 24047 HRS : <br />\r\nmaintenance seprateur de condensats Owamat 10<br />\r\n<br />\r\nBL N°42 du 01/02/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1162.23000000, 232.44000000, 1394.67000000, NULL, NULL, NULL),
(905, 'CO1901-0814', 1, NULL, NULL, NULL, 2268, NULL, '2019-02-14 09:07:02', '2019-01-21 14:48:37', '2019-02-06 14:58:51', '2019-02-06 14:59:19', '2019-01-21', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 114.80000000, 0.00000000, 0.00000000, 573.99000000, 688.79000000, '', 'Maintenance L15 N° CD10006861001 à 48183 HRS<br />\r\n<br />\r\nBL N°29 du 01/02/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 573.99000000, 114.80000000, 688.79000000, NULL, NULL, NULL);
INSERT INTO `llx_commande` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_cloture`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_cloture`, `source`, `fk_statut`, `amount_ht`, `remise_percent`, `remise_absolue`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `facture`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_livraison`, `fk_shipping_method`, `fk_warehouse`, `fk_availability`, `fk_input_reason`, `fk_delivery_address`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(906, 'CO1901-0815', 1, NULL, NULL, NULL, 2268, NULL, '2019-02-19 08:41:45', '2019-01-21 14:51:18', '2019-02-06 15:03:15', '2019-02-19 09:40:15', '2019-01-21', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 379.94000000, 0.00000000, 0.00000000, 1899.65000000, 2279.59000000, '', 'Maintenance compresseur  L75 RS N° CD10003783001 avec huile alimentaire N° 102220468 à 35646HRS<br />\r\nMaintenance cartouches 3 filtres reseaux .<br />\r\n<br />\r\nBL N°28 du 01/02/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1899.65000000, 379.94000000, 2279.59000000, NULL, NULL, NULL),
(910, 'CO1901-0816', 1, NULL, NULL, NULL, 2178, NULL, '2019-02-13 13:26:00', '2019-01-23 10:24:20', '2019-01-23 10:24:26', '2019-02-06 14:46:57', '2019-01-23', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 640.39000000, 0.00000000, 0.00000000, 3201.93000000, 3842.32000000, '', 'Maintenance L55 N° CD10008941001 à 21 353 HRS +  maintenance separateur de condensats<br />\r\n<br />\r\nBL N°43 du 04/02/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3201.93000000, 640.39000000, 3842.32000000, NULL, NULL, NULL),
(911, 'CO1901-0817', 1, NULL, NULL, NULL, 2153, NULL, '2019-02-13 09:22:57', '2019-01-23 15:15:47', '2019-02-06 14:35:50', '2019-02-06 14:37:11', '2019-01-23', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 124.65000000, 0.00000000, 0.00000000, 623.26000000, 747.91000000, '', 'Maintenance L15RS à 13849 HRS N° CD18012765002<br />\r\nMaintenance separateur de condensats OWAMAT 11<br />\r\n<br />\r\nBL N° 28 du 09/02/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 623.26000000, 124.65000000, 747.91000000, NULL, NULL, NULL),
(912, 'CO1901-0818', 1, NULL, NULL, NULL, 2153, NULL, '2019-02-13 09:28:23', '2019-01-23 15:18:50', '2019-02-06 14:39:19', '2019-02-13 10:24:07', '2019-01-23', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 106.31000000, 0.00000000, 0.00000000, 531.56000000, 637.87000000, '', 'Maintenance compresseur RENNER RSDK PRO3 13 BARS N°707076 à 2727HRS<br />\r\n<br />\r\nBL N°29 du 04/02/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 531.56000000, 106.31000000, 637.87000000, NULL, NULL, NULL),
(914, 'CO1901-0819', 1, NULL, NULL, '2106079-325-G9J-BKP', 2350, NULL, '2019-02-25 13:17:55', '2019-01-28 10:56:33', '2019-02-13 15:52:55', '2019-02-19 09:50:04', '2019-01-28', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 179.17000000, 0.00000000, 0.00000000, 895.83000000, 1075.00000000, '', 'Maintenance Compresseur compair L45RS N°CD10015054001 à 25769 HRS et  remplacement du boitier de régulation.<br />\r\n<br />\r\nBL N° 32 du 08/02/2019<br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 895.83000000, 179.17000000, 1075.00000000, NULL, NULL, NULL),
(915, 'CO1901-0820', 1, NULL, NULL, NULL, 2181, NULL, '2019-02-12 09:12:52', '2019-01-28 15:45:20', '2019-01-28 15:48:14', '2019-02-04 10:51:51', '2019-01-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 5.68000000, 0.00000000, 0.00000000, 28.42000000, 34.10000000, '', 'huile pour hydrovanne HV02', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 28.42000000, 5.68000000, 34.10000000, NULL, NULL, NULL),
(916, 'CO1901-0821', 1, NULL, NULL, NULL, 2006, NULL, '2019-01-28 15:58:59', '2019-01-28 16:37:16', '2019-01-28 16:37:42', '2019-01-28 16:58:50', '2019-01-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 25.54000000, 0.00000000, 0.00000000, 127.68000000, 153.22000000, '', 'r&eacute;parartion chauffage MASTER -&nbsp;<br />\r\nReservoir colmat&eacute;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 127.68000000, 25.54000000, 153.22000000, NULL, NULL, NULL),
(917, 'CO1901-0822', 1, NULL, NULL, 'Local Compresseur ', 12819, NULL, '2019-02-28 08:16:22', '2019-01-29 10:58:00', '2019-01-29 10:58:27', '2019-02-28 09:09:20', '2019-01-29', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1645.16000000, 0.00000000, 0.00000000, 8225.82000000, 9870.98000000, '', 'Compresseur à vitesse fixe 7.5KW 10 bars avec secheur et filtre amont et aval , reservoir 900Litres.<br />\r\nraccordement de l\'ensemble <br />\r\nHors electricité et hors manutention.\r\n<p>Commande à livrer à :<br />\r\nCNMEA ST THOMAS EN ROYANS 26190 SAINT THOMAS EN ROYANS<br />\r\n<br />\r\nCommande N° : IM0005104 1<br />\r\nNom du gestionnaire : CHAPUIS JEAN CHRITOPHE</p>\r\n', '', 1, NULL, NULL, 15, 2, NULL, NULL, NULL, 4, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 8225.82000000, 1645.16000000, 9870.98000000, NULL, NULL, NULL),
(918, 'CO1901-0823', 1, NULL, NULL, 'MIGNOT', 1955, NULL, '2019-01-29 13:58:44', '2019-01-29 11:50:54', '2019-01-29 11:53:06', '2019-01-29 14:58:35', '2019-01-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 52.77000000, 0.00000000, 0.00000000, 263.82000000, 316.59000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 263.82000000, 52.77000000, 316.59000000, NULL, NULL, NULL),
(919, 'CO1901-0824', 1, NULL, NULL, NULL, 2215, NULL, '2019-01-30 08:41:21', '2019-01-30 09:33:45', '2019-01-30 09:37:15', '2019-01-30 09:37:23', '2019-01-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 81.16000000, 0.00000000, 0.00000000, 405.80000000, 486.96000000, '', 'Remplacement carte delcos sur compresseur L11RS N&deg; CD10021552001 &agrave; 22241 Heures .<br />\r\nDelcos sous garantie ASSURE<br />\r\n<br />\r\nBL N&deg; 25 du 24/01/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 405.80000000, 81.16000000, 486.96000000, NULL, NULL, NULL),
(920, 'CO1901-0825', 1, NULL, NULL, NULL, 6663, NULL, '2019-02-04 10:04:23', '2019-01-30 14:34:42', '2019-01-30 14:37:15', '2019-01-30 14:38:54', '2019-01-30', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 320.61000000, 0.00000000, 0.00000000, 1603.07000000, 1923.68000000, '', 'Maintenance L37RS N° CD100248873001 à 3731 HRS<br />\r\nMaintenance seprateur de condensats Owamat 14<br />\r\n<br />\r\nBL N°23 du 24/01/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1603.07000000, 320.61000000, 1923.68000000, NULL, NULL, NULL),
(921, 'CO1901-0826', 1, NULL, NULL, 'secheur neuf', 2289, NULL, '2019-02-01 08:53:57', '2019-01-31 10:20:25', '2019-02-01 09:50:51', '2019-02-01 09:52:06', '2019-01-31', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 320.00000000, 0.00000000, 0.00000000, 1600.00000000, 1920.00000000, '', 'S&eacute;cheur par r&eacute;frigeration OMI ref ED144 debit 144m3/h.<br />\r\n<br />\r\n<br />\r\n<br />\r\n&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1600.00000000, 320.00000000, 1920.00000000, NULL, NULL, NULL),
(922, 'CO1901-0827', 1, NULL, NULL, NULL, 1948, NULL, '2019-02-11 13:29:48', '2019-01-31 11:10:52', '2019-01-31 11:10:58', '2019-02-01 16:18:38', '2019-01-31', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 24.59000000, 0.00000000, 0.00000000, 122.98000000, 147.57000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 122.98000000, 24.59000000, 147.57000000, NULL, NULL, NULL),
(923, 'CO1901-0828', 1, NULL, NULL, NULL, 2234, NULL, '2019-03-20 09:11:24', '2019-01-31 11:17:06', '2019-02-27 09:29:19', '2019-02-27 09:30:13', '2019-01-31', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 429.40000000, 0.00000000, 0.00000000, 2147.02000000, 2576.42000000, '', 'Maintenance L45RS N°CD10005658001 à 4277 Hrs<br />\r\nRemplcament des cartouches des filtres reseaux <br />\r\n<br />\r\nBL N° 36 du 22/02/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2147.02000000, 429.40000000, 2576.42000000, NULL, NULL, NULL),
(924, 'CO1901-0829', 1, NULL, NULL, NULL, 2313, NULL, '2019-02-13 09:12:09', '2019-01-31 14:10:05', '2019-02-06 14:43:30', '2019-02-06 14:44:01', '2019-01-31', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 132.38000000, 0.00000000, 0.00000000, 661.90000000, 794.28000000, '', 'Maintenance L07RS N° BA3562001 à 9475 HRS et filtre reseau : an adaptable hors garantie', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 661.90000000, 132.38000000, 794.28000000, NULL, NULL, NULL),
(925, 'CO1902-0830', 1, NULL, NULL, NULL, 12594, NULL, '2019-12-23 12:18:26', '2019-02-01 12:01:36', '2019-03-13 09:33:48', '2019-03-13 09:34:25', '2019-02-01', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 159.61000000, 0.00000000, 0.00000000, 798.01000000, 957.62000000, '', 'MAINTENANCE COMPRESSEUR sullair ws1100 et filtres reseaux', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 798.01000000, 159.61000000, 957.62000000, 'commande/CO1902-0830/CO1902-0830.pdf', NULL, NULL),
(926, 'CO1902-0831', 1, NULL, NULL, NULL, 6663, NULL, '2019-02-14 10:10:54', '2019-02-04 11:05:25', '2019-02-14 10:30:52', '2019-02-14 10:31:08', '2019-02-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 181.11000000, 0.00000000, 0.00000000, 905.54000000, 1086.65000000, '', 'Maintenance compresseur L18 N&deg;100011405/0154 &agrave; 16870 HEURES<br />\r\nRemplacement cartouches filtres reseaux&nbsp;<br />\r\n<br />\r\nBL N&deg;27 du 01/02/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 905.54000000, 181.11000000, 1086.65000000, NULL, NULL, NULL),
(927, 'CO1902-0832', 1, NULL, NULL, NULL, 2388, NULL, '2019-02-13 14:58:54', '2019-02-04 14:39:43', '2019-02-13 15:57:48', '2019-02-13 15:58:25', '2019-02-04', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 52.01000000, 0.00000000, 0.00000000, 260.05000000, 312.06000000, '', 'Remplacement coupleurs et reglage ralenti compresseur thermique<br />\r\n<br />\r\nBL N°37 du 28/01/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 260.05000000, 52.01000000, 312.06000000, NULL, NULL, NULL),
(928, 'CO1902-0833', 1, NULL, NULL, NULL, 12594, NULL, '2019-02-13 15:03:47', '2019-02-04 14:46:08', '2019-02-04 14:46:25', '2019-02-04 14:46:31', '2019-02-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 66.29000000, 0.00000000, 0.00000000, 331.44000000, 397.73000000, '', 'Intervention sur compresseur SULLAIR WS1100 - probleme de d&eacute;marrage en charge ( fuite VPM &agrave; changer )&nbsp;<br />\r\n<br />\r\nBL N&deg; 38 du 28/01/2019', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 331.44000000, 66.29000000, 397.73000000, NULL, NULL, NULL),
(929, 'CO1902-0834', 1, NULL, NULL, NULL, 1955, NULL, '2019-02-13 08:56:44', '2019-02-05 09:37:17', '2019-02-05 09:37:34', '2019-02-05 10:48:51', '2019-02-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 283.36000000, 0.00000000, 0.00000000, 1416.80000000, 1700.16000000, '', '<h1>Chauffage Radiant Infrarouge Electrique Sovelor IRC 1500 CN</h1>\r\n<br />\r\n1500 W - Noir - IPX5', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1416.80000000, 283.36000000, 1700.16000000, NULL, NULL, NULL),
(930, 'CO1902-0835', 1, NULL, NULL, NULL, 5137, NULL, '2019-02-11 13:26:54', '2019-02-05 11:56:30', '2019-02-05 11:58:06', '2019-02-11 14:26:32', '2019-02-05', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 53.60000000, 0.00000000, 0.00000000, 268.00000000, 321.60000000, '', '<h1>Sovelor - Chauffage air pulsé portable électrique 230V~1 50 Hz - C3</h1>\r\n<br />\r\nCommande N° : BC1900529', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 268.00000000, 53.60000000, 321.60000000, NULL, NULL, NULL),
(931, 'CO1902-0836', 1, NULL, NULL, NULL, 10268, NULL, '2019-02-27 08:52:11', '2019-02-05 15:16:18', '2019-02-05 15:16:41', '2019-02-27 09:51:28', '2019-02-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 26.37000000, 0.00000000, 0.00000000, 131.84000000, 158.21000000, '', 'remplacement purge temporisée sur votre reservoir galva <br />\r\n<br />\r\n( cette offre ne comprend pas le déplacement à effectuer en même temps qu\'un autre intervention ) <br />\r\n<br />\r\nDélai : DISPONIBLE', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 131.84000000, 26.37000000, 158.21000000, NULL, NULL, NULL),
(932, 'CO1902-0837', 1, NULL, NULL, NULL, 10268, NULL, '2019-02-27 08:55:03', '2019-02-05 15:16:56', '2019-02-05 15:17:05', '2019-02-27 09:54:29', '2019-02-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 202.27000000, 0.00000000, 0.00000000, 1011.38000000, 1213.65000000, '', 'Remplacement clapet d&#39;aspiration et electrovanne sur votre compresseur GA 7 .<br />\r\n<br />\r\nD&eacute;lai : 5 jours', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1011.38000000, 202.27000000, 1213.65000000, NULL, NULL, NULL),
(933, 'CO1902-0838', 1, NULL, NULL, 'maintenance compresseurs', 6086, NULL, '2019-10-08 09:03:12', '2019-02-05 16:38:29', '2019-02-05 16:38:54', '2019-03-18 16:21:55', '2019-02-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 309.01000000, 0.00000000, 0.00000000, 1545.10000000, 1854.11000000, '', 'Maintenance de vos 2 compresseur KAESER SK26 &amp; SK22 ainsi que le remplcament des cartouches de vos filtres reseaux FE48 &amp; FB48 .<br />\r\n&nbsp;\r\n<p>Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e</p>\r\n', '', 1, NULL, NULL, 2, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1545.10000000, 309.01000000, 1854.11000000, NULL, NULL, NULL),
(934, 'CO1902-0839', 1, NULL, NULL, NULL, 12594, NULL, '2019-02-20 09:51:32', '2019-02-06 10:29:11', '2019-02-06 10:29:45', '2019-02-20 10:51:19', '2019-02-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 44.04000000, 0.00000000, 0.00000000, 220.18000000, 264.22000000, '', 'Remplacement de la vanne de pression minimum de votre compresseur WS1100, suite au passage de notre technicien celui ci &agrave; d&eacute;tecter une irr&eacute;gularit&eacute; au niveau de la vanne de pression minimum .<br />\r\n<br />\r\nNous vous proposons d&#39;effectuer cette intervention en m&ecirc;me temps que la maintenance de votre compresseur afin de diminuer les couts de transport . Cette offre n&#39;inclue pas le d&eacute;placement .&nbsp;<br />\r\n<br />\r\nD&eacute;lai : 4 semaine &agrave; reception de commande&nbsp;<br />\r\n&nbsp;', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 220.18000000, 44.04000000, 264.22000000, NULL, NULL, NULL),
(936, 'CO1902-0840', 1, NULL, NULL, NULL, 2407, NULL, '2019-02-15 10:33:38', '2019-02-07 09:48:06', '2019-02-07 09:48:16', '2019-02-15 09:55:27', '2019-02-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 18.50000000, 0.00000000, 0.00000000, 92.48000000, 110.98000000, '', 'tube polyamide calibr&eacute; rilsan avec boite carton d&eacute;vidoir&nbsp;<br />\r\n5 coudes 90&deg; egaux raccords instantan&eacute;s laiton nickel&eacute;<br />\r\n5 unions droit &eacute;gales&nbsp;raccords instantan&eacute;s laiton nickel&eacute;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 92.48000000, 18.50000000, 110.98000000, NULL, NULL, NULL),
(937, 'CO1902-0841', 1, NULL, NULL, 'enrouleur 15m diam 16', 2157, NULL, '2019-04-01 09:30:26', '2019-02-07 09:54:45', '2019-02-07 09:54:56', '2019-03-18 16:33:53', '2019-02-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 325.85000000, 0.00000000, 0.00000000, 1629.26000000, 1955.11000000, '', 'Fourniture de deux Enrouleurs pour eau .', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1629.26000000, 325.85000000, 1955.11000000, 'commande/CO1902-0841/CO1902-0841.pdf', NULL, NULL),
(938, 'CO1902-0842', 1, NULL, NULL, NULL, 12864, NULL, '2019-02-27 13:29:42', '2019-02-08 09:00:14', '2019-02-08 09:00:31', '2019-02-27 14:29:42', '2019-02-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 88.41000000, 0.00000000, 0.00000000, 442.01000000, 530.42000000, '', 'Demande Pieces d&eacute;tach&eacute;es COMPAIR', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 442.01000000, 88.41000000, 530.42000000, NULL, NULL, NULL),
(939, 'CO1902-0843', 1, NULL, NULL, NULL, 2022, NULL, '2019-03-05 15:44:12', '2019-02-11 10:18:52', '2019-02-11 10:18:59', '2019-03-05 16:43:09', '2019-02-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 135.59000000, 0.00000000, 0.00000000, 677.95000000, 813.54000000, '', 'Maintenance compresseur Rolalir 1400&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 677.95000000, 135.59000000, 813.54000000, NULL, NULL, NULL),
(940, 'CO1902-0844', 1, NULL, NULL, NULL, 6877, NULL, '2019-05-06 07:30:01', '2019-02-11 10:24:41', '2019-02-11 10:24:48', '2019-05-06 09:30:01', '2019-02-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 34.47000000, 0.00000000, 0.00000000, 172.36000000, 206.83000000, '', 'Piéces détachées pour ROLLAIR 750AE N° 231920 type 150197B<br />\r\n<br />\r\nDélai : DISPONIBLE', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 172.36000000, 34.47000000, 206.83000000, NULL, NULL, NULL),
(941, 'CO1902-0845', 1, NULL, NULL, NULL, 2347, NULL, '2019-02-15 10:31:23', '2019-02-13 09:07:12', '2019-02-13 09:07:37', '2019-02-15 09:42:39', '2019-02-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 104.74000000, 0.00000000, 0.00000000, 523.70000000, 628.44000000, '', 'kit 2000Hrs pour compresseur L15', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 523.70000000, 104.74000000, 628.44000000, NULL, NULL, NULL),
(942, 'CO1902-0846', 1, NULL, NULL, NULL, 2033, NULL, '2019-02-15 13:14:34', '2019-02-13 09:58:43', '2019-02-13 09:58:55', '2019-02-13 10:00:27', '2019-02-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 151.58000000, 0.00000000, 0.00000000, 757.92000000, 909.50000000, '', 'Maintenance compresseur GA30VSD et remplcament cartouche filtre reseau :<br />\r\nSite de Guilherand Granges ;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 757.92000000, 151.58000000, 909.50000000, NULL, NULL, NULL),
(943, 'CO1902-0847', 1, NULL, NULL, NULL, 2076, NULL, '2019-02-15 13:14:18', '2019-02-13 10:40:37', '2019-02-13 10:40:49', '2019-02-13 10:41:39', '2019-02-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 147.22000000, 0.00000000, 0.00000000, 736.11000000, 883.33000000, '', 'Raccordement machine de d&eacute;coupe et filtration electrqiue, air et informatique.<br />\r\n<br />\r\nBL N&deg; 30 du 06/02/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 736.11000000, 147.22000000, 883.33000000, NULL, NULL, NULL),
(944, 'CO1902-0848', 1, NULL, NULL, NULL, 1940, NULL, '2019-02-18 10:13:28', '2019-02-13 10:56:24', '2019-02-13 12:00:39', '2019-02-13 12:05:20', '2019-02-13', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 86.24000000, 0.00000000, 0.00000000, 431.20000000, 517.44000000, '', 'Fourniture d\'un Aspirateur YS 2-62  .<br />\r\n<br />\r\nCommande N°2019105', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 431.20000000, 86.24000000, 517.44000000, NULL, NULL, NULL),
(945, 'CO1902-0849', 1, NULL, NULL, NULL, 1948, NULL, '2019-02-18 13:10:58', '2019-02-14 16:16:27', '2019-02-14 16:18:55', '2019-02-18 14:10:40', '2019-02-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 8.58000000, 0.00000000, 0.00000000, 42.91000000, 51.49000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 42.91000000, 8.58000000, 51.49000000, NULL, NULL, NULL),
(947, 'CO1902-0851', 1, NULL, NULL, NULL, 12683, NULL, '2019-05-16 13:24:12', '2019-02-18 11:26:23', '2019-02-18 11:27:32', '2019-02-27 16:10:55', '2019-02-18', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 2499.98000000, 0.00000000, 0.00000000, 12500.02000000, 15000.00000000, '', 'Travaux :<br />\r\nEau de lavage<br />\r\nCO² haut naturel<br />\r\nCO²industriel<br />\r\nCuve de lavage + pompe', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 12500.02000000, 2499.98000000, 15000.00000000, NULL, NULL, NULL),
(948, 'CO1902-0852', 1, NULL, NULL, 'Antoine dde de prix', 2102, NULL, '2019-05-22 09:56:21', '2019-02-18 14:32:55', '2019-02-18 14:33:58', '2019-05-22 11:56:21', '2019-02-18', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 263.34000000, 0.00000000, 0.00000000, 1316.72000000, 1580.06000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1316.72000000, 263.34000000, 1580.06000000, NULL, NULL, NULL),
(949, 'CO1902-0853', 1, NULL, NULL, NULL, 2102, NULL, '2019-04-29 10:01:42', '2019-02-18 14:39:07', '2019-02-18 14:39:17', '2019-04-29 10:48:48', '2019-02-18', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 3024.37000000, 0.00000000, 0.00000000, 15121.87000000, 18146.24000000, '', 'Amenagement electrique et air comprimé local M7, abaissement neons + remplacement par tube LEDS<br />\r\n<br />\r\nCommande BC2019.02.040', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, 4, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 15121.87000000, 3024.37000000, 18146.24000000, 'commande/CO1902-0853/CO1902-0853.pdf', NULL, NULL),
(950, 'CO1902-0854', 1, NULL, NULL, NULL, 2265, NULL, '2019-03-07 10:27:46', '2019-02-19 09:12:23', '2019-02-19 09:12:33', '2019-03-07 11:26:19', '2019-02-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 390.55000000, 0.00000000, 0.00000000, 1952.81000000, 2343.36000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1952.81000000, 390.55000000, 2343.36000000, NULL, NULL, NULL),
(951, 'CO1902-0855', 1, NULL, NULL, NULL, 2062, NULL, '2019-03-12 13:57:07', '2019-02-20 09:07:17', '2019-03-11 10:08:49', '2019-03-11 10:15:03', '2019-02-20', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1429.02000000, 0.00000000, 0.00000000, 7145.13000000, 8574.15000000, '', 'Maintenances 3 compresseurs L26RS et du compresseurs MACO SULLAIR et differents filtres réseaux , et separateurs de condensats: <br />\r\nL26RS N° CD10015212001 à  4419 HRS<br />\r\nL26RS N° CD10021087002 à  6488 HRS<br />\r\nL26RS N° CD10027118001 à 13370 HRS<br />\r\nSULLAIR à  21483 HRS<br />\r\n<br />\r\nBL N° 19,18,17 et 16 du 08/03/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 7145.13000000, 1429.02000000, 8574.15000000, 'commande/CO1902-0855/CO1902-0855.pdf', NULL, NULL),
(952, 'CO1902-0856', 1, NULL, NULL, NULL, 2283, NULL, '2019-05-29 12:32:41', '2019-02-21 09:37:32', '2019-02-27 14:28:18', '2019-03-13 15:09:24', '2019-02-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 48.15000000, 0.00000000, 0.00000000, 240.75000000, 288.90000000, '', 'remplacement media filtrants + maintenance compresseur piston', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 240.75000000, 48.15000000, 288.90000000, NULL, NULL, NULL),
(953, 'CO1902-0857', 1, NULL, NULL, '38502', 2122, NULL, '2019-02-22 08:24:47', '2019-02-22 09:22:25', '2019-02-22 09:24:00', '2019-02-22 09:24:26', '2019-02-22', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 10.60000000, 0.00000000, 0.00000000, 53.00000000, 63.60000000, '', 'Sel regenerant pour adoucisseur<br />\r\n<br />\r\nCommande N°38502<br />\r\n ', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 53.00000000, 10.60000000, 63.60000000, NULL, NULL, NULL),
(954, 'CO1902-0858', 1, NULL, NULL, 'tuyau souple', 2053, NULL, '2019-02-27 08:13:08', '2019-02-22 15:30:28', '2019-02-22 15:30:35', '2019-02-22 15:31:48', '2019-02-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 33.88000000, 0.00000000, 0.00000000, 169.40000000, 203.28000000, '', 'tuyau caoutchouc SBR  outillair -20°C à +70°C', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 169.40000000, 33.88000000, 203.28000000, NULL, NULL, NULL),
(955, 'CO1902-0859', 1, NULL, NULL, NULL, 2396, NULL, '2019-03-01 09:05:58', '2019-02-22 15:33:07', '2019-02-22 15:34:14', '2019-02-22 15:34:36', '2019-02-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 13.38000000, 0.00000000, 0.00000000, 66.90000000, 80.28000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 66.90000000, 13.38000000, 80.28000000, NULL, NULL, NULL),
(956, 'CO1902-0860', 1, NULL, NULL, NULL, 2036, NULL, '2019-03-14 14:11:40', '2019-02-26 14:18:13', '2019-02-26 14:19:15', '2019-03-14 15:10:40', '2019-02-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 139.40000000, 0.00000000, 0.00000000, 697.01000000, 836.41000000, '', 'maintenance rs pro 4', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 697.01000000, 139.40000000, 836.41000000, NULL, NULL, NULL),
(957, 'CO1902-0861', 1, NULL, NULL, NULL, 2609, NULL, '2019-02-28 09:58:37', '2019-02-27 10:55:12', '2019-02-27 10:56:35', '2019-02-28 10:57:56', '2019-02-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 58.46000000, 0.00000000, 0.00000000, 292.31000000, 350.77000000, '', 'Site d&#39;intervention : UDEP du pays d&#39;Albon<br />\r\nLieu dit Les Granges<br />\r\n26140 ANDANCETTE<br />\r\n<br />\r\nPanne 0040 - Prevoir le remplacement du clapet&nbsp; de retenue<br />\r\nIntervention du 26/02/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 292.31000000, 58.46000000, 350.77000000, NULL, NULL, NULL),
(958, 'CO1902-0862', 1, NULL, NULL, NULL, 2062, NULL, '2019-03-11 09:01:02', '2019-02-27 11:43:26', '2019-02-27 11:43:33', '2019-03-11 10:00:00', '2019-02-27', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 26.37000000, 0.00000000, 0.00000000, 131.84000000, 158.21000000, '', 'Mise en place d\'une purge temporisée sur votre reservoir .<br />\r\n<br />\r\nCette offre n\'inclut pas le deplacement - les travaux seront réalisés en même temps que la maintenance des compresseurs .<br />\r\n<br />\r\nBL N° 18 du 08/03/2019 . <br />\r\n<br />\r\nCommande N°00022316', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 131.84000000, 26.37000000, 158.21000000, 'commande/CO1902-0862/CO1902-0862.pdf', NULL, NULL),
(959, 'CO1902-0863', 1, NULL, NULL, NULL, 2153, NULL, '2019-02-28 09:52:10', '2019-02-28 10:14:30', '2019-02-28 10:17:45', '2019-02-28 10:52:00', '2019-02-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 97.50000000, 0.00000000, 0.00000000, 487.52000000, 585.02000000, '', 'Intervention sur compresseur RENNER RSDK PRO 3 N&deg; 707076 - Fuite d&#39;huile sur le tuyau de r&eacute;aspiration d&#39;huile - reffection du tuyau<br />\r\n<br />\r\nBL N&deg; 40 du 27/02/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 487.52000000, 97.50000000, 585.02000000, NULL, NULL, NULL),
(960, 'CO1902-0864', 1, NULL, NULL, NULL, 1980, NULL, '2019-12-23 12:50:54', '2019-02-28 16:33:56', '2019-02-28 16:34:09', NULL, '2019-02-28', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 124.24000000, 0.00000000, 0.00000000, 621.24000000, 745.48000000, '', 'maintenance genesis ge1510&nbsp;<br />\r\nsite beaurepaire', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 621.24000000, 124.24000000, 745.48000000, NULL, NULL, NULL),
(962, 'CO1902-0866', 1, NULL, NULL, NULL, 1980, NULL, '2019-03-14 13:53:10', '2019-02-28 16:39:20', '2019-02-28 16:39:40', '2019-03-14 14:52:30', '2019-02-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 93.74000000, 0.00000000, 0.00000000, 468.72000000, 562.46000000, '', 'Maintenance compresseur RS pro 5.5 7.5B', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 468.72000000, 93.74000000, 562.46000000, NULL, NULL, NULL),
(963, 'CO1903-0867', 1, NULL, NULL, NULL, 2064, NULL, '2019-03-25 13:41:17', '2019-03-01 11:41:47', '2019-03-25 14:37:19', '2019-03-25 14:40:14', '2019-03-01', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 524.94000000, 0.00000000, 0.00000000, 2624.66000000, 3149.60000000, '', 'Maintenance L37 N° CD10001720002 à 24594 HRS<br />\r\nRemplacement cartouches réseaux<br />\r\n<br />\r\nBL N°6 du 23/03/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2624.66000000, 524.94000000, 3149.60000000, 'commande/CO1903-0867/CO1903-0867.pdf', NULL, NULL),
(964, 'CO1903-0868', 1, NULL, NULL, NULL, 2221, NULL, '2019-03-07 10:01:28', '2019-03-01 11:53:55', '2019-03-01 11:54:36', '2019-03-07 11:00:47', '2019-03-01', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 101.21000000, 0.00000000, 0.00000000, 506.07000000, 607.28000000, '', 'Maintenance compresseur RS PRO 7.5 13 BARS', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 506.07000000, 101.21000000, 607.28000000, NULL, NULL, NULL),
(965, 'CO1903-0869', 1, NULL, NULL, 'L15rs', 2286, NULL, '2019-03-12 13:36:50', '2019-03-01 15:30:43', '2019-03-01 15:30:53', '2019-03-07 11:34:29', '2019-03-01', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 314.53000000, 0.00000000, 0.00000000, 1572.65000000, 1887.18000000, '', 'maintenance compresseur L15RS N° CD10016180001 à 8616 HRS<br />\r\nRemplacement cartouche filtre réseau<br />\r\n<br />\r\nBL N°50 du 05/03/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1572.65000000, 314.53000000, 1887.18000000, 'commande/CO1903-0869/CO1903-0869.pdf', NULL, NULL),
(966, 'CO1903-0870', 1, NULL, NULL, NULL, 2150, NULL, '2019-03-07 10:20:49', '2019-03-01 15:32:44', '2019-03-01 15:32:52', '2019-03-07 11:20:14', '2019-03-01', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 102.69000000, 0.00000000, 0.00000000, 513.47000000, 616.16000000, '', 'maintenance L04 N&deg; ba35401001', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 513.47000000, 102.69000000, 616.16000000, NULL, NULL, NULL),
(967, 'CO1903-0874', 1, NULL, NULL, NULL, 2273, NULL, '2019-03-26 09:49:47', '2019-03-01 15:52:12', '2019-03-26 10:48:45', '2019-03-26 10:49:12', '2019-03-01', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 107.66000000, 0.00000000, 0.00000000, 538.27000000, 645.93000000, '', 'maintenance modulos 25 compresseur et filtres reseaux ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 538.27000000, 107.66000000, 645.93000000, 'commande/CO1903-0874/CO1903-0874.pdf', NULL, NULL),
(968, 'CO1903-0872', 1, NULL, NULL, 'version 4', 2169, NULL, '2019-06-05 07:28:32', '2019-03-01 15:52:35', '2019-03-07 10:54:48', '2019-06-05 09:06:03', '2019-03-01', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 8807.37000000, 0.00000000, 0.00000000, 44037.00000000, 52844.37000000, '', '', '', 1, NULL, NULL, 16, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 44037.00000000, 8807.37000000, 52844.37000000, 'commande/CO1903-0872/CO1903-0872.pdf', NULL, NULL),
(969, 'CO1903-0873', 1, NULL, NULL, NULL, 9822, NULL, '2019-03-05 15:37:40', '2019-03-01 15:52:56', '2019-03-05 16:36:14', '2019-03-05 16:36:39', '2019-03-01', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 134.32000000, 0.00000000, 0.00000000, 671.58000000, 805.90000000, '', 'Maintenance L18RS', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 671.58000000, 134.32000000, 805.90000000, 'commande/CO1903-0873/CO1903-0873.pdf', NULL, NULL),
(970, 'CO1903-0871', 1, NULL, NULL, 'reseau d\'air comprimé', 2169, NULL, '2019-06-05 07:33:10', '2019-03-01 16:02:18', '2019-03-01 16:02:41', '2019-06-05 09:30:19', '2019-03-01', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1287.84000000, 0.00000000, 0.00000000, 6439.24000000, 7727.08000000, '', 'Reseau inox serti en diamtre 28 envrion 135 metres<br />\r\n5 descentes<br />\r\n8 piquages<br />\r\nnacelle inclus', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 6439.24000000, 1287.84000000, 7727.08000000, NULL, NULL, NULL),
(971, 'CO1903-0875', 1, NULL, NULL, NULL, 2001, NULL, '2019-03-12 13:43:05', '2019-03-04 16:17:09', '2019-03-04 16:17:23', '2019-03-11 10:34:09', '2019-03-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 7.90000000, 0.00000000, 0.00000000, 39.52000000, 47.42000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 39.52000000, 7.90000000, 47.42000000, 'commande/CO1903-0875/CO1903-0875.pdf', NULL, NULL),
(972, 'CO1903-0876', 1, NULL, NULL, NULL, 2358, NULL, '2019-03-20 15:08:42', '2019-03-04 16:33:58', '2019-03-04 16:43:24', '2019-03-04 16:43:37', '2019-03-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 187.00000000, 0.00000000, 0.00000000, 935.01000000, 1122.01000000, '', 'Interevention de d&eacute;pannage -&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 935.01000000, 187.00000000, 1122.01000000, 'commande/CO1903-0876/CO1903-0876.pdf', NULL, NULL),
(973, 'CO1903-0877', 1, NULL, NULL, NULL, 2101, NULL, '2019-04-16 08:38:16', '2019-03-05 16:19:58', '2019-03-05 16:21:55', '2019-04-16 10:37:54', '2019-03-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 20.53000000, 0.00000000, 0.00000000, 102.64000000, 123.17000000, '', 'Remplcament sonde de temperature sur compresseur L18RS .<br />\r\n<br />\r\nBL N&deg;44 du 01/03/2019', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 102.64000000, 20.53000000, 123.17000000, 'commande/CO1903-0877/CO1903-0877.pdf', NULL, NULL),
(974, 'CO1903-0878', 1, NULL, NULL, NULL, 9822, NULL, '2019-03-05 15:35:00', '2019-03-05 16:26:12', '2019-03-05 16:30:34', '2019-03-05 16:32:26', '2019-03-05', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 321.62000000, 0.00000000, 0.00000000, 1608.10000000, 1929.72000000, '', 'Raccordement centrale aspiration entre usinage et les 2 scies - en régie<br />\r\n<br />\r\nBL N°43 du 04/03/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1608.10000000, 321.61000000, 1929.71000000, 'commande/CO1903-0878/CO1903-0878.pdf', NULL, NULL),
(975, 'CO1903-0879', 1, NULL, NULL, NULL, 1940, NULL, '2019-03-20 15:05:10', '2019-03-06 09:11:50', '2019-03-18 10:36:01', '2019-03-18 10:36:06', '2019-03-06', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 175.18000000, 0.00000000, 0.00000000, 875.93000000, 1051.11000000, '', 'Maintenance de votre compresseur L45RS <br />\r\nN°CD10023839001 à 17025 HRS<br />\r\nMaintenance séparateur de condensats owamat14<br />\r\n<br />\r\nBL N°36 du 16/03/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 875.93000000, 175.18000000, 1051.11000000, 'commande/CO1903-0879/CO1903-0879.pdf', NULL, NULL),
(976, 'CO1903-0880', 1, NULL, NULL, 'CDA-FCA1903019', 2127, NULL, '2019-03-18 15:16:58', '2019-03-11 09:54:24', '2019-03-11 09:54:46', '2019-03-18 15:58:24', '2019-03-11', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 145.57000000, 0.00000000, 0.00000000, 727.85000000, 873.42000000, '', 'Maintenance du Compresseur L75SRà 58767 HRS<br />\r\n<br />\r\nBL N°1 du 15/03/2018<br />\r\n<br />\r\nCommande N°CDA-FCA1903019<br />\r\n<br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, 3, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 727.85000000, 145.57000000, 873.42000000, 'commande/CO1903-0880/CO1903-0880.pdf', NULL, NULL),
(977, 'CO1903-0881', 1, NULL, NULL, 'Dépannage ', 2062, NULL, '2019-03-11 08:57:54', '2019-03-11 09:57:02', '2019-03-11 09:57:10', '2019-03-11 09:57:32', '2019-03-11', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 53.82000000, 0.00000000, 0.00000000, 269.12000000, 322.94000000, '', 'intervention de dépannage manque d\'huile sur compresseur Sullair WS1500 <br />\r\n<br />\r\nBL N°48 du 04/03/2019<br />\r\n<br />\r\nCOmmande N° 00022481', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 269.12000000, 53.82000000, 322.94000000, 'commande/CO1903-0881/CO1903-0881.pdf', NULL, NULL),
(978, 'CO1903-0882', 1, NULL, NULL, 'Maintenance Compresseur', 12592, NULL, '2019-03-12 09:29:00', '2019-03-11 14:54:38', '2019-03-11 14:55:55', '2019-03-11 15:26:24', '2019-03-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 112.77000000, 0.00000000, 0.00000000, 563.86000000, 676.63000000, '', 'Maintenance compresseur  RSDK PRO ECN 7.5 ', '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 563.86000000, 112.77000000, 676.63000000, 'commande/CO1903-0882/CO1903-0882.pdf', NULL, NULL),
(979, 'CO1903-0883', 1, NULL, NULL, NULL, 2338, NULL, '2019-05-29 12:51:26', '2019-03-11 16:14:49', '2019-03-27 10:00:21', '2019-03-28 11:20:00', '2019-03-11', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 193.81000000, 0.00000000, 0.00000000, 969.03000000, 1162.84000000, '', 'Maintenance L07RS en FULL SERVICE et MAINTENACE ROLLAIR<br />\r\n<br />\r\nBL N°8 & 7 du 26/03/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 969.03000000, 193.81000000, 1162.84000000, 'commande/CO1903-0883/CO1903-0883.pdf', NULL, NULL),
(980, 'CO1903-0884', 1, NULL, NULL, NULL, 2396, NULL, '2019-03-27 13:46:17', '2019-03-13 09:00:41', '2019-03-13 15:56:12', '2019-03-27 14:46:02', '2019-03-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1080.00000000, 0.00000000, 0.00000000, 5400.01000000, 6480.01000000, '', 'Fourniture et raccordement Compresseur à vis RENNER 11 KW 10 Bars <br />\r\nGARANTIE 2 ANS<br />\r\nDébit : 95 m3/h<br />\r\n65 Db<br />\r\nHors Electricité <br />\r\nPrévoir Sectionneur de Proximité <br />\r\n<br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5400.01000000, 1080.00000000, 6480.01000000, 'commande/CO1903-0884/CO1903-0884.pdf', NULL, NULL),
(981, 'CO1903-0885', 1, NULL, NULL, 'Broche Pneumatique ', 10173, NULL, '2019-03-27 10:25:02', '2019-03-13 09:07:59', '2019-03-13 09:08:17', NULL, '2019-03-13', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 151.50000000, 0.00000000, 0.00000000, 757.51000000, 909.01000000, '', 'Broche pour ébavureuse pneumatique <br />\r\nRéférence ES 350 ER qui remplace la ES 450 ER<br />\r\nDélai 8 Jours ', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 757.51000000, 151.50000000, 909.01000000, 'commande/CO1903-0885/CO1903-0885.pdf', NULL, NULL),
(982, 'CO1903-0886', 1, NULL, NULL, NULL, 10173, NULL, '2019-03-15 10:07:43', '2019-03-13 09:13:39', '2019-03-13 09:13:55', NULL, '2019-03-13', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 76.50000000, 0.00000000, 0.00000000, 382.50000000, 459.00000000, '', 'balayeuse M550', '', 0, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 382.50000000, 76.50000000, 459.00000000, 'commande/CO1903-0886/CO1903-0886.pdf', NULL, NULL),
(983, 'CO1903-0887', 1, NULL, NULL, NULL, 2103, NULL, '2019-03-18 14:11:17', '2019-03-14 09:26:34', '2019-03-18 12:05:44', '2019-03-18 12:06:09', '2019-03-14', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 199.22000000, 0.00000000, 0.00000000, 996.13000000, 1195.35000000, '', 'Maintenance L45RS N° CD10015227001 à 18448 HRS <br />\r\nMaintenance seprateur de condensats  owamat 14 <br />\r\n<br />\r\nBL N°2 du 15/03/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 996.13000000, 199.22000000, 1195.35000000, 'commande/CO1903-0887/CO1903-0887.pdf', NULL, NULL),
(984, 'CO1903-0888', 1, NULL, NULL, NULL, 2001, NULL, '2019-03-18 10:34:23', '2019-03-14 10:45:02', '2019-03-18 11:30:26', '2019-03-18 11:30:42', '2019-03-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 56.00000000, 0.00000000, 0.00000000, 280.00000000, 336.00000000, '', 'D&eacute;lai : DISPONIBLE USINE', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 280.00000000, 56.00000000, 336.00000000, 'commande/CO1903-0888/CO1903-0888.pdf', NULL, NULL),
(985, 'CO1903-0889', 1, NULL, NULL, 'secheur neuf', 2396, NULL, '2019-03-27 14:11:27', '2019-03-14 11:13:26', '2019-03-14 11:13:33', '2019-03-27 15:11:15', '2019-03-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 260.80000000, 0.00000000, 0.00000000, 1304.02000000, 1564.82000000, '', 'mise en place d&#39;un s&eacute;cheur par r&eacute;frigeration&nbsp; avec sa pr&eacute; filtration pouvant trait&eacute; le d&eacute;bit de votre compresseur 11KW Renner -<br />\r\nReprise de votre secheur MPF81&nbsp; &agrave; titre commercial .<br />\r\n&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1304.02000000, 260.80000000, 1564.82000000, 'commande/CO1903-0889/CO1903-0889.pdf', NULL, NULL),
(986, 'CO1903-0890', 1, NULL, NULL, 'l07rs maintenance', 2011, NULL, '2019-03-28 09:00:10', '2019-03-14 16:19:09', '2019-03-28 09:52:54', '2019-03-28 09:54:22', '2019-03-14', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 192.86000000, 0.00000000, 0.00000000, 964.26000000, 1157.12000000, '', 'Maintenance compresseur  L07RS N° CD10023563001 à 12545 HRS<br />\r\nMaintenance compresseur L18 N° CD10039960002 à 1753 HRS<br />\r\n<br />\r\nBL N°31 du 27/03/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 964.26000000, 192.86000000, 1157.12000000, 'commande/CO1903-0890/CO1903-0890.pdf', NULL, NULL),
(987, 'CO1903-0891', 1, NULL, NULL, NULL, 2276, NULL, '2019-03-14 15:27:48', '2019-03-14 16:24:40', '2019-03-14 16:27:07', '2019-03-14 16:27:34', '2019-03-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 71.77000000, 0.00000000, 0.00000000, 358.86000000, 430.63000000, '', 'Intervention suite &agrave; defaut temperature sur compresseur L29RS N&deg; CD10015163001 &agrave; 39741 HRS<br />\r\n<br />\r\nBL N&deg; 23 du 12/03/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 358.86000000, 71.77000000, 430.63000000, 'commande/CO1903-0891/CO1903-0891.pdf', NULL, NULL),
(988, 'CO1903-0892', 1, NULL, NULL, 'tirage inox diam 28', 2053, NULL, '2019-03-25 14:03:16', '2019-03-14 16:36:42', '2019-03-15 10:39:24', '2019-03-25 15:02:44', '2019-03-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 371.51000000, 0.00000000, 0.00000000, 1857.65000000, 2229.16000000, '', 'Creation de deux reseaux inox diametre 28 d\'environ 25 metres chacun. <br />\r\nTravail à l\'échelle<br />\r\n1 Journée 2 Techniciens <br />\r\nUtilisation de vos flexibles pour raccordement en souple ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1857.65000000, 371.51000000, 2229.16000000, 'commande/CO1903-0892/CO1903-0892.pdf', NULL, NULL),
(989, 'CO1903-0893', 1, NULL, NULL, 'L18rs', 2053, NULL, '2019-03-25 14:13:18', '2019-03-15 09:03:25', '2019-03-25 15:10:13', '2019-03-25 15:11:39', '2019-03-15', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 252.40000000, 0.00000000, 0.00000000, 1262.00000000, 1514.40000000, '', 'Maintenance L18RS N° CD10025596001 à 10307 HRS - contrat lissé<br />\r\nRemplacement média filtrant<br />\r\n<br />\r\nBL N°5 du 22/03/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1262.00000000, 252.40000000, 1514.40000000, 'commande/CO1903-0893/CO1903-0893.pdf', NULL, NULL),
(990, 'CO1903-0894', 1, NULL, NULL, NULL, 12794, NULL, '2019-03-15 09:02:40', '2019-03-15 09:58:57', '2019-03-15 10:01:25', '2019-03-15 10:01:52', '2019-03-15', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 124.24000000, 0.00000000, 0.00000000, 621.24000000, 745.48000000, '', 'maintenance genesis ge1510&nbsp;<br />\r\nsite beaurepaire', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 621.24000000, 124.24000000, 745.48000000, 'commande/CO1903-0894/CO1903-0894.pdf', NULL, NULL),
(991, 'CO1903-0895', 1, NULL, NULL, 'l26rs', 2054, NULL, '2020-08-28 08:45:36', '2019-03-18 15:21:41', '2019-05-28 16:32:29', '2019-05-28 16:33:11', '2019-03-18', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 346.49000000, 0.00000000, 0.00000000, 1732.44000000, 2078.93000000, '', 'Maintenance L26RS N°CD10036914001 à 2631 HRS<br />\r\n<br />\r\nBL N°49 du 20/05/2019<br />\r\n<br />\r\nCommande N° S981 19 06 1 007<br />\r\n<br />\r\nSite d\'intervention:<br />\r\nSces Blé 1<br />\r\n361 Chemin du Pouloux<br />\r\n38270 BEAUREPAIRE<br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1732.44000000, 346.49000000, 2078.93000000, 'commande/CO1903-0895/CO1903-0895.pdf', NULL, NULL),
(992, 'CO1903-0896', 1, NULL, NULL, NULL, 12667, NULL, '2019-03-20 09:46:23', '2019-03-20 10:19:23', '2019-03-20 10:44:52', '2019-03-20 10:46:09', '2019-03-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 396.15000000, 0.00000000, 0.00000000, 1980.80000000, 2376.95000000, '', 'Intervention sur compresseur ATLAS GX7-<br />\r\n<br />\r\nMise en place d&#39;un compresseur de pr&eacute;t gratuit durant la r&eacute;paration en atelier .<br />\r\n<br />\r\n&nbsp;', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1980.80000000, 396.15000000, 2376.95000000, 'commande/CO1903-0896/CO1903-0896.pdf', NULL, NULL),
(993, 'CO1903-0897', 1, NULL, NULL, NULL, 5741, NULL, '2019-04-09 07:52:11', '2019-03-20 11:17:14', '2019-03-20 11:17:21', '2019-04-04 15:09:16', '2019-03-20', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 213.60000000, 0.00000000, 0.00000000, 1068.04000000, 1281.64000000, '', '<p><span style=\"font-size:12.0pt\"><span style=\"color:black\">1 séparateur d’huile ainsi que </span></span></p>\r\n\r\n<p><span style=\"font-size:12.0pt\"><span style=\"color:black\">1 filtre a air </span></span></p>\r\n\r\n<p><span style=\"font-size:12.0pt\"><span style=\"color:black\"> Pour un compresseur REGATTA 141  <br />\r\n<br />\r\nCommande N° 10873 </span></span></p>\r\n', 'einstein', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1068.04000000, 213.60000000, 1281.64000000, 'commande/CO1903-0897/CO1903-0897.pdf', NULL, NULL),
(994, 'CO1903-0898', 1, NULL, NULL, NULL, 12814, NULL, '2019-04-29 14:14:41', '2019-03-20 11:17:44', '2019-03-20 11:17:57', '2019-04-24 15:39:41', '2019-03-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 68.36000000, 0.00000000, 0.00000000, 341.84000000, 410.20000000, '', '<p>pour la fourniture d’équivalence de filtres :</p>\r\n\r\n<p> </p>\r\n\r\n<p>-Kit :      2258 2901 21</p>\r\n\r\n<p>-Kit :      2258 2901 32<br />\r\n<br />\r\n Délai : 3 semaines<br />\r\n<br />\r\nLivraison France Metropolitaine</p>\r\n', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 341.84000000, 68.36000000, 410.20000000, 'commande/CO1903-0898/CO1903-0898.pdf', NULL, NULL);
INSERT INTO `llx_commande` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_cloture`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_cloture`, `source`, `fk_statut`, `amount_ht`, `remise_percent`, `remise_absolue`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `facture`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_livraison`, `fk_shipping_method`, `fk_warehouse`, `fk_availability`, `fk_input_reason`, `fk_delivery_address`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(996, 'CO1903-0899', 1, NULL, NULL, 'Maintenance du L26 RS', 2033, NULL, '2019-04-29 07:27:57', '2019-03-20 11:21:31', '2019-04-11 10:45:30', '2019-04-11 10:45:54', '2019-03-20', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 372.33000000, 0.00000000, 0.00000000, 1861.68000000, 2234.01000000, '', 'Maintenance L26RS N° CD10020872001 à 24226 HRS<br />\r\n<br />\r\nMaintenance seprateur de condensats Owamat 11 <br />\r\n<br />\r\nBL N° 35 du 05/04/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1861.68000000, 372.33000000, 2234.01000000, 'commande/CO1903-0899/CO1903-0899.pdf', NULL, NULL),
(998, 'CO1903-0900', 1, NULL, NULL, NULL, 2117, NULL, '2019-04-01 08:45:05', '2019-03-20 11:33:23', '2019-03-20 11:33:32', '2019-04-01 10:42:58', '2019-03-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 109.95000000, 0.00000000, 0.00000000, 549.67000000, 659.62000000, '', 'Maintenance compresseur L04 et filtre reseau\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la joun&eacute;e<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 549.67000000, 109.95000000, 659.62000000, 'commande/CO1903-0900/CO1903-0900.pdf', NULL, NULL),
(999, 'CO1903-0901', 1, NULL, NULL, NULL, 2086, NULL, '2019-04-01 09:20:28', '2019-03-20 15:50:30', '2019-04-01 11:19:33', '2019-04-01 11:20:01', '2019-03-20', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 97.58000000, 0.00000000, 0.00000000, 487.90000000, 585.48000000, '', 'Maintenance compresseur L11RS N° BA31759001 à  HRS<br />\r\n<br />\r\nMaintenance seprateur de condensats OWAMAT 10<br />\r\n<br />\r\nBL N° du', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 487.90000000, 97.58000000, 585.48000000, 'commande/CO1903-0901/CO1903-0901.pdf', NULL, NULL),
(1000, 'CO1903-0902', 1, NULL, NULL, NULL, 12581, NULL, '2019-03-27 14:21:30', '2019-03-22 11:28:40', '2019-03-22 11:28:52', '2019-03-22 11:29:21', '2019-03-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 3.36000000, 0.00000000, 0.00000000, 16.81000000, 20.17000000, '', 'filtre a air pour compresseur GA15+FF', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 16.81000000, 3.36000000, 20.17000000, 'commande/CO1903-0902/CO1903-0902.pdf', NULL, NULL),
(1001, 'CO1903-0903', 1, NULL, NULL, 'l80', 2064, NULL, '2019-10-09 07:02:09', '2019-03-25 09:57:14', '2019-08-13 09:48:18', '2019-08-13 09:49:13', '2019-03-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 570.91000000, 0.00000000, 0.00000000, 2854.60000000, 3425.51000000, '', 'maintenance L80', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2854.60000000, 570.91000000, 3425.51000000, 'commande/CO1903-0903/CO1903-0903.pdf', NULL, NULL),
(1002, 'CO1903-0904', 1, NULL, NULL, NULL, 9822, NULL, '2019-08-28 07:11:15', '2019-03-25 15:48:01', '2019-03-25 15:55:11', '2019-03-25 15:55:33', '2019-03-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 32.52000000, 0.00000000, 0.00000000, 162.60000000, 195.12000000, '', 'Intervention sur pompe &agrave; vide<br />\r\n<br />\r\nBL N&deg;3 du 20/03/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 162.60000000, 32.52000000, 195.12000000, 'commande/CO1903-0904/CO1903-0904.pdf', NULL, NULL),
(1003, 'CO1903-0905', 1, NULL, NULL, NULL, 11452, NULL, '2019-07-31 08:25:27', '2019-03-26 11:02:14', '2019-03-26 11:02:22', '2019-07-31 10:25:07', '2019-03-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 173.16000000, 0.00000000, 0.00000000, 865.78000000, 1038.94000000, '', 'Pose dans cellule C2 de 1 FRL ', '', 1, NULL, NULL, 12, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 865.78000000, 173.16000000, 1038.94000000, 'commande/CO1903-0905/CO1903-0905.pdf', NULL, NULL),
(1004, 'CO1903-0906', 1, NULL, NULL, 'RS 2-11', 12877, NULL, '2019-04-15 14:06:15', '2019-03-27 09:19:22', '2019-03-27 09:19:55', '2019-04-15 16:01:47', '2019-03-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1020.00000000, 0.00000000, 0.00000000, 5100.00000000, 6120.00000000, '', 'FOURNITURE ET INSTLLATION D UN COMPRESSEUR A VIS 11 kw 10 Bars<br />\r\nElectricit&eacute; connect&eacute;e sur coffret de proximit&eacute; existant . R&eacute;fection d&#39;une longueur d&#39;inox ayant subit une d&eacute;formation d&ucirc;e &agrave; la temp&eacute;rature du compresseur &agrave; piston .<br />\r\n<br />\r\nD&eacute;lai : 10 jours environ<br />\r\n&nbsp;', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5100.00000000, 1020.00000000, 6120.00000000, 'commande/CO1903-0906/CO1903-0906.pdf', NULL, NULL),
(1005, 'CO1903-0907', 1, NULL, NULL, NULL, 12882, NULL, '2019-05-29 12:26:01', '2019-03-27 11:17:19', '2019-03-27 11:17:26', '2019-04-26 14:12:34', '2019-03-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 148.60000000, 0.00000000, 0.00000000, 743.00000000, 891.60000000, '', 'Filtre <span style=\"color:#1f497d\">STERYFLON MINI<br />\r\n<br />\r\nD&eacute;lai : 15 jours&agrave; r&eacute;ception de commande</span>', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 743.00000000, 148.60000000, 891.60000000, 'commande/CO1903-0907/CO1903-0907.pdf', NULL, NULL),
(1006, 'CO1903-0908', 1, NULL, NULL, NULL, 2033, NULL, '2019-04-29 08:12:49', '2019-03-27 16:33:44', '2019-04-29 09:29:16', '2019-04-29 09:29:49', '2019-03-27', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 118.85000000, 0.00000000, 0.00000000, 594.25000000, 713.10000000, '', 'Maintenance compresseur GA30C N° AII278463 de 2004 à 50850 HRS<br />\r\n<br />\r\nBL N°18 du 25/04/2019<br />\r\n<br />\r\nCommande N° 25277/18296', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 594.25000000, 118.85000000, 713.10000000, 'commande/CO1903-0908/CO1903-0908.pdf', NULL, NULL),
(1007, 'CO1903-0909', 1, NULL, NULL, 'raccordement scie  + aspiration', 2076, NULL, '2019-08-22 08:47:43', '2019-03-29 10:17:17', '2019-03-29 10:17:32', '2019-04-04 09:10:40', '2019-03-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 314.72000000, 0.00000000, 0.00000000, 1573.61000000, 1888.33000000, '', 'Remplacement repartiteur 40 amp armoire par 125amp. pose d\'une ligne triphasé + N_20amp avec protection IC60N_20 amp/30mA. Pose de deux prises 20 amp tri+N pour scie 4kw et aspiration 2.2kw. Fourniture de 2 fiches 20 A tri + N pour connection machines.', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1573.61000000, 314.72000000, 1888.33000000, 'commande/CO1903-0909/CO1903-0909.pdf', NULL, NULL),
(1008, 'CO1903-0910', 1, NULL, NULL, NULL, 2318, NULL, '2019-04-01 09:27:28', '2019-03-29 10:24:03', '2019-04-01 11:26:43', '2019-04-01 11:26:55', '2019-03-29', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 50.20000000, 0.00000000, 0.00000000, 251.00000000, 301.20000000, '', 'Fourniture et remplacement  transformateur d\'occasion sur compresseur L15<br />\r\n<br />\r\nBL N°32 du 29/03/2019<br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 251.00000000, 50.20000000, 301.20000000, 'commande/CO1903-0910/CO1903-0910.pdf', NULL, NULL),
(1009, 'CO1904-0911', 1, NULL, NULL, 'Richard Burcet', 2101, NULL, '2019-04-16 08:41:39', '2019-04-02 14:10:46', '2019-04-02 14:10:55', '2019-04-16 10:40:44', '2019-04-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 119.75000000, 0.00000000, 0.00000000, 598.75000000, 718.50000000, '', 'modification raccordement START 025 pour cloisonnement', '', 1, NULL, NULL, 12, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 598.75000000, 119.75000000, 718.50000000, 'commande/CO1904-0911/CO1904-0911.pdf', NULL, NULL),
(1010, 'CO1904-0912', 1, NULL, NULL, NULL, 2101, NULL, '2019-04-16 08:39:16', '2019-04-02 14:55:45', '2019-04-03 09:33:34', '2019-04-16 10:38:41', '2019-04-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 139.52000000, 0.00000000, 0.00000000, 697.60000000, 837.12000000, '', 'Fourniture et raccordement cuve 500litres', '', 1, NULL, NULL, 12, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 697.60000000, 139.52000000, 837.12000000, 'commande/CO1904-0912/CO1904-0912.pdf', NULL, NULL),
(1011, 'CO1904-0913', 1, NULL, NULL, NULL, 10056, NULL, '2019-08-06 07:52:37', '2019-04-03 14:37:06', '2019-04-03 14:46:22', NULL, '2019-04-03', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 248.80000000, 0.00000000, 0.00000000, 1244.00000000, 1492.80000000, '', 'Maintenance l07', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1244.00000000, 248.80000000, 1492.80000000, 'commande/CO1904-0913/CO1904-0913.pdf', NULL, NULL),
(1012, 'CO1904-0914', 1, NULL, NULL, NULL, 2318, NULL, '2019-08-29 08:30:26', '2019-04-03 14:48:52', '2019-07-01 11:56:43', '2019-07-01 11:56:49', '2019-04-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 604.61000000, 0.00000000, 0.00000000, 3022.91000000, 3627.52000000, '', 'Maintenance L45 + L15+ secheurpar adsotpion HL0080', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3022.91000000, 604.61000000, 3627.52000000, 'commande/CO1904-0914/CO1904-0914.pdf', NULL, NULL),
(1013, 'CO1904-0915', 1, NULL, NULL, NULL, 2184, NULL, '2019-04-23 09:02:20', '2019-04-04 15:24:47', '2019-04-04 15:29:03', '2019-04-16 10:02:25', '2019-04-04', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 623.43000000, 0.00000000, 0.00000000, 3117.17000000, 3740.60000000, '', 'Maintenance L45RS ( 2018 ) N° CD10034859001 en huile alimentaire à  8843HRS<br />\r\n<br />\r\nRemplacement cartouche filtre réseau <br />\r\n<br />\r\nMaintenance seprateur de condensats OWAMAT 14<br />\r\n<br />\r\nBL N°14 du 15/04/2019<br />\r\n<br />\r\nCommande N°PO 7000820582<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3117.17000000, 623.43000000, 3740.60000000, 'commande/CO1904-0915/CO1904-0915.pdf', NULL, NULL),
(1014, 'CO1904-0916', 1, NULL, NULL, 'L29', 12890, NULL, '2019-09-27 08:26:48', '2019-04-05 14:10:32', '2019-04-05 14:10:59', '2019-05-29 10:02:29', '2019-04-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 4200.02000000, 0.00000000, 0.00000000, 21000.08000000, 25200.10000000, '', 'Local air comprimé 29KW 7.5 Bars<br />\r\nDésaccouplage vieille cuve vers 845 reprise tuyauterie pose d\'un cyclonique 1 1/2 en sortie 845<br />\r\nModification en 42 sortie 845 inserer cyclonique<br />\r\nnouveau local ou il y a le V22 ( qu on reprend ) il n\'y a qu\'un bypass sur la cuve pas d\'autre<br />\r\nelectricité et coffret par client', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 21000.08000000, 4200.02000000, 25200.10000000, 'commande/CO1904-0916/CO1904-0916.pdf', NULL, NULL),
(1015, 'CO1904-0917', 1, NULL, NULL, NULL, 2350, NULL, '2019-08-06 14:24:50', '2019-04-08 09:20:53', '2019-04-08 09:22:43', '2019-08-06 16:24:50', '2019-04-08', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 13.34000000, 0.00000000, 0.00000000, 66.70000000, 80.04000000, '', 'soupape 3/4 - 9 bars<br />\r\n<br />\r\nCommande N° 2155330-325-G9J-BKP du 8 avril 2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 66.70000000, 13.34000000, 80.04000000, 'commande/CO1904-0917/CO1904-0917.pdf', NULL, NULL),
(1016, 'CO1904-0918', 1, NULL, NULL, NULL, 2358, NULL, '2019-04-08 13:03:07', '2019-04-08 14:45:42', '2019-04-08 14:47:31', '2019-04-08 14:47:43', '2019-04-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 188.57000000, 0.00000000, 0.00000000, 942.84000000, 1131.41000000, '', 'intervention sur grenailleuse auto .<br />\r\n<br />\r\nBL N&deg;39 du 27/03/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 942.84000000, 188.57000000, 1131.41000000, 'commande/CO1904-0918/CO1904-0918.pdf', NULL, NULL),
(1017, 'CO1904-0919', 1, NULL, NULL, NULL, 12764, NULL, '2019-12-23 12:51:14', '2019-04-08 16:24:22', '2019-04-09 09:33:24', '2019-12-23 13:51:09', '2019-04-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 332.99000000, 0.00000000, 0.00000000, 2131.13000000, 2464.12000000, '', '', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2131.13000000, 332.99000000, 2464.12000000, 'commande/CO1904-0919/CO1904-0919.pdf', NULL, NULL),
(1018, 'CO1904-0920', 1, NULL, NULL, '509797', 2123, NULL, '2019-04-16 09:01:37', '2019-04-11 09:25:12', '2019-04-11 09:25:36', '2019-04-11 09:26:14', '2019-04-11', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 45.00000000, 0.00000000, 0.00000000, 225.00000000, 270.00000000, '', 'Enrouleur air comprimé<br />\r\n<br />\r\nCommande N° 509797', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 225.00000000, 45.00000000, 270.00000000, 'commande/CO1904-0920/CO1904-0920.pdf', NULL, NULL),
(1019, 'CO1904-0921', 1, NULL, NULL, NULL, 2358, NULL, '2019-04-12 12:08:36', '2019-04-12 12:03:25', '2019-04-12 14:08:08', '2019-04-12 14:08:25', '2019-04-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 75.30000000, 0.00000000, 0.00000000, 376.52000000, 451.82000000, '', 'intervention sur four .<br />\r\n<br />\r\nBL N&deg;41 du 11/03/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 376.52000000, 75.30000000, 451.82000000, 'commande/CO1904-0921/CO1904-0921.pdf', NULL, NULL),
(1020, 'CO1904-0922', 1, NULL, NULL, NULL, 6259, NULL, '2019-04-29 08:36:05', '2019-04-15 10:12:31', '2019-04-29 10:30:40', '2019-04-29 10:31:16', '2019-04-15', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 137.47000000, 0.00000000, 0.00000000, 687.35000000, 824.82000000, '', 'Maintenance L30 N°CD10007358001 à 12802 HRS<br />\r\n<br />\r\nBL N°43 du 24/04/2019<br />\r\n ', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 687.35000000, 137.47000000, 824.82000000, 'commande/CO1904-0922/CO1904-0922.pdf', NULL, NULL),
(1021, 'CO1904-0923', 1, NULL, NULL, NULL, 2197, NULL, '2019-04-23 12:44:03', '2019-04-15 16:06:35', '2019-04-15 16:06:41', '2019-04-15 16:37:52', '2019-04-15', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1020.00000000, 0.00000000, 0.00000000, 5100.00000000, 6120.00000000, '', 'ETUDE N° : 3126718<br />\r\n<br />\r\n<br />\r\nSCIERIE DE CHAMBARAN<br />\r\n762 Route de Thodure<br />\r\n38980 VIRIVILLE<br />\r\n<br />\r\nFOURNITURE ET INSTALLATION D UN COMPRESSEUR A VIS 11 kw 10 Bars<br />\r\n<br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5100.00000000, 1020.00000000, 6120.00000000, 'commande/CO1904-0923/CO1904-0923.pdf', NULL, NULL),
(1022, 'CO1904-0924', 1, NULL, NULL, 'LAC sans install', 2020, NULL, '2019-05-07 13:26:36', '2019-04-16 16:05:14', '2019-04-18 09:20:24', '2019-04-25 14:18:43', '2019-04-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 2399.99000000, 0.00000000, 0.00000000, 12000.00000000, 14399.99000000, '', 'Fournitures pour local d\'air comprimé d\'un compresseur à vitesse fixe 22KW 10 bars de marque COMPAIR avec un secheur par réfrigération sans préfiltration à votre demande ainsi que la fourniture d\'un reservoir en galva avec ses accessoires 1000Litres et d\'un reservoir en galva 500Litres .', 'einstein', 1, NULL, NULL, 12, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 12000.00000000, 2399.99000000, 14399.99000000, 'commande/CO1904-0924/CO1904-0924.pdf', NULL, NULL),
(1023, 'CO1904-0925', 1, NULL, NULL, NULL, 2235, NULL, '2019-07-31 08:02:46', '2019-04-17 09:27:50', '2019-07-31 10:00:32', '2019-07-31 10:01:07', '2019-04-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 183.86000000, 0.00000000, 0.00000000, 919.30000000, 1103.16000000, '', 'Maintenance L15VS :&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 919.30000000, 183.86000000, 1103.16000000, 'commande/CO1904-0925/CO1904-0925.pdf', NULL, NULL),
(1024, 'CO1904-0926', 1, NULL, NULL, NULL, 11438, NULL, '2019-12-23 13:05:21', '2019-04-18 10:03:43', '2019-04-18 10:03:54', NULL, '2019-04-18', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 138.44000000, 0.00000000, 0.00000000, 692.22000000, 830.66000000, '', 'Maintenance compresseur L22 -<span style=\"color:#c0392b\"><strong> Site de sablon</strong></span><br />\r\n<br />\r\n&nbsp;', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 692.22000000, 138.44000000, 830.66000000, 'commande/CO1904-0926/CO1904-0926.pdf', NULL, NULL),
(1025, 'CO1904-0927', 1, NULL, NULL, NULL, 2020, NULL, '2019-08-01 07:43:24', '2019-04-18 15:59:15', '2019-04-18 15:59:27', '2019-06-24 10:39:13', '2019-04-18', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 186.63000000, 0.00000000, 0.00000000, 933.15000000, 1119.78000000, '', 'Maintenance HV07 N&deg;V07-002671-0706&nbsp;<br />\r\nRemplacement cartouches des 2 filtres r&eacute;seaux Compair\r\n<p>Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la joun&eacute;e<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 933.15000000, 186.63000000, 1119.78000000, 'commande/CO1904-0927/CO1904-0927.pdf', NULL, NULL),
(1026, 'CO1904-0928', 1, NULL, NULL, NULL, 10144, NULL, '2019-04-29 13:11:27', '2019-04-19 09:36:00', '2019-04-19 09:36:47', '2019-04-29 15:08:40', '2019-04-19', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 35.00000000, 0.00000000, 0.00000000, 175.00000000, 210.00000000, '', 'Commande N° 4500123217', 'einstein', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 175.00000000, 35.00000000, 210.00000000, 'commande/CO1904-0928/CO1904-0928.pdf', NULL, NULL),
(1027, 'CO1904-0929', 1, NULL, NULL, NULL, 2157, NULL, '2019-06-27 09:27:01', '2019-04-19 14:54:54', '2019-04-19 14:55:32', '2019-05-17 10:57:21', '2019-04-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 31.62000000, 0.00000000, 0.00000000, 158.08000000, 189.70000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 158.08000000, 31.62000000, 189.70000000, 'commande/CO1904-0929/CO1904-0929.pdf', NULL, NULL),
(1028, 'CO1904-0930', 1, NULL, NULL, NULL, 12777, NULL, '2019-08-22 09:00:59', '2019-04-19 15:23:38', '2019-04-19 15:24:14', NULL, '2019-04-19', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 256.66000000, 0.00000000, 0.00000000, 1283.29000000, 1539.95000000, 'verification du secheur pb de ventilo sur l\'un des secheurs', 'Maintenance L15rs', '', 0, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1283.29000000, 256.66000000, 1539.95000000, 'commande/CO1904-0930/CO1904-0930.pdf', NULL, NULL),
(1029, 'CO1904-0931', 1, NULL, NULL, NULL, 2032, NULL, '2019-05-29 12:47:20', '2019-04-23 09:20:16', '2019-04-23 09:21:35', NULL, '2019-04-23', 5, 5, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 367.53000000, 0.00000000, 0.00000000, 1837.64000000, 2205.17000000, 'sauf la cuve en attente', '<br />\r\n1 Techniciens pour 1 Journée <br />\r\n<br />\r\nNouveau raccordement compresseur FINI de votre fourniture .<br />\r\nCette offre n\'inclut pas la  manutention et la maintenance de vos compresseurs.<br />\r\n<br />\r\nDate d\'intervention arrétée ensemble au 26/04/2019- arret de production d\'air toute la journée<br />\r\n ', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1837.64000000, 367.53000000, 2205.17000000, 'commande/CO1904-0931/CO1904-0931.pdf', NULL, NULL),
(1030, 'CO1904-0932', 1, NULL, NULL, NULL, 1996, NULL, '2019-04-23 08:31:51', '2019-04-23 09:55:35', '2019-04-23 09:55:45', '2019-04-23 10:31:51', '2019-04-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 109.25000000, 0.00000000, 0.00000000, 546.25000000, 655.50000000, '', 'Maintenance compresseur L18 N°100008030-0334 à 30400 Hrs<br />\r\n<br />\r\nBL N°16 du 16/04/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, 2, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 546.25000000, 109.25000000, 655.50000000, 'commande/CO1904-0932/CO1904-0932.pdf', NULL, NULL),
(1031, 'CO1904-0933', 1, NULL, NULL, NULL, 1996, NULL, '2019-06-03 12:52:01', '2019-04-23 10:32:05', '2019-04-23 10:32:13', '2019-06-03 14:51:20', '2019-04-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 380.91000000, 0.00000000, 0.00000000, 1904.55000000, 2285.46000000, '', 'Remplacement radiateur sur compresseur L15 de 2008 N°100014099-0206 .<br />\r\n<br />\r\n<span style=\"color:#e74c3c\"><strong><span style=\"font-size:11.0pt\">Délai : 100001570      9 SEMAINES </span></strong></span><br />\r\n<br />\r\n<span style=\"font-size:11.0pt\">MATERIEL NI REPRIS NI ECHANGE<br />\r\nLe commande ne sera effective qu\'aprés réception du réglement de l\'acompte .</span>', '', 1, NULL, NULL, 12, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1904.55000000, 380.91000000, 2285.46000000, 'commande/CO1904-0933/CO1904-0933.pdf', NULL, NULL),
(1032, 'CO1904-0934', 1, NULL, NULL, NULL, 1996, NULL, '2019-04-23 08:47:06', '2019-04-23 10:32:56', '2019-04-23 10:36:02', '2019-04-23 10:36:24', '2019-04-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 115.17000000, 0.00000000, 0.00000000, 575.83000000, 691.00000000, '', 'Maintenance L15 N&deg;100014099/0206 &agrave; 18986 HRS<br />\r\n<br />\r\nBL N&deg;15 du&nbsp; 16/04/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 575.83000000, 115.17000000, 691.00000000, 'commande/CO1904-0934/CO1904-0934.pdf', NULL, NULL),
(1033, 'CO1904-0935', 1, NULL, NULL, NULL, 12667, NULL, '2019-04-23 13:10:32', '2019-04-23 15:06:31', '2019-04-23 15:08:12', '2019-04-23 15:08:44', '2019-04-23', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 7.28000000, 0.00000000, 0.00000000, 36.42000000, 43.70000000, '', 'Intervention remplacement des courroies .<br />\r\n<br />\r\nBL N°12 du 11/04/2019', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 36.42000000, 7.28000000, 43.70000000, 'commande/CO1904-0935/CO1904-0935.pdf', NULL, NULL),
(1034, 'CO1904-0936', 1, NULL, NULL, 'CDA-FCA1904724', 2127, NULL, '2019-06-04 09:35:01', '2019-04-24 11:16:38', '2019-04-24 11:16:46', '2019-06-04 11:34:27', '2019-04-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 349.60000000, 0.00000000, 0.00000000, 1748.00000000, 2097.60000000, '', '<p>Réépreuve de réservoir d’air comprimé ( Hors organisme agrée ) de votre compresseur L75SR COMPAIR</p>\r\n\r\n<p>Notre offre comprend :</p>\r\n\r\n<ul>\r\n	<li>La vidange d’huile du compresseur</li>\r\n	<li>Dépose des accessoires fixer sur la cuve ( flexible , … etc )</li>\r\n	<li>Bouchonnage des differents orifices</li>\r\n	<li>Remplissage du reservoir avec de l’eau</li>\r\n	<li>Assistance eu verificateur de l’organisme agrée</li>\r\n	<li>Remontage et remise en service de la machine</li>\r\n	<li>Remise à niveau d’huile du compresseur</li>\r\n	<li>Fourniture et Remplacement soupape de sécurité</li>\r\n</ul>\r\n\r\n<p>Réépreuve de réservoir d’air comprimé 2000Litres( Hors organisme agrée )</p>\r\n\r\n<p> </p>\r\n\r\n<p>Notre offre comprend :</p>\r\n\r\n<ul>\r\n	<li>Dépose des accessoires fixer sur la cuve ( flexible , … etc )</li>\r\n	<li>Bouchonnage des differents orifices</li>\r\n	<li>Remplissage du reservoir avec de l’eau</li>\r\n	<li>Assistance eu verificateur de l’organisme agrée</li>\r\n	<li>Remontage et remise en service de la machine</li>\r\n	<li>Fourniture et remplacement soupape de sécurité</li>\r\n</ul>\r\n<br />\r\nOffre pour 1 journée à deux techniciens, pompe et groupe électrogéne .', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1748.00000000, 349.60000000, 2097.60000000, 'commande/CO1904-0936/CO1904-0936.pdf', NULL, NULL),
(1035, 'CO1904-0937', 1, NULL, NULL, NULL, 2247, NULL, '2019-06-05 12:16:59', '2019-04-24 15:42:05', '2019-05-29 09:53:17', '2019-05-29 09:53:45', '2019-04-24', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 114.37000000, 0.00000000, 0.00000000, 571.87000000, 686.24000000, '', 'maintenance L18rs N° CD100018442001 à HRS( nouvelle carte ) <br />\r\nMaintenance separateur de condensats OWAMT 11<br />\r\nRemplcament cartouche filtre reseau<br />\r\n<br />\r\n<br />\r\nBL N° du ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 571.87000000, 114.37000000, 686.24000000, 'commande/CO1904-0937/CO1904-0937.pdf', NULL, NULL),
(1036, 'CO1904-0938', 1, NULL, NULL, '6857', 2354, NULL, '2019-05-17 08:50:54', '2019-04-26 14:42:02', '2019-04-26 15:31:58', '2019-05-07 15:19:20', '2019-04-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 26.48000000, 0.00000000, 0.00000000, 132.40000000, 158.88000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 132.40000000, 26.48000000, 158.88000000, 'commande/CO1904-0938/CO1904-0938.pdf', NULL, NULL),
(1037, 'CO1904-0939', 1, NULL, NULL, NULL, 2177, NULL, '2020-02-03 15:24:47', '2019-04-29 12:07:27', '2019-05-29 09:30:46', '2019-06-05 09:49:59', '2019-04-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 178.34000000, 0.00000000, 0.00000000, 891.67000000, 1070.01000000, '', 'Maintenance L07RS ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 891.67000000, 178.34000000, 1070.01000000, 'commande/CO1904-0939/CO1904-0939.pdf', NULL, NULL),
(1038, 'CO1905-0940', 1, NULL, NULL, NULL, 2161, NULL, '2019-06-04 14:46:17', '2019-05-06 11:29:31', '2019-05-29 09:21:14', '2019-05-29 09:21:48', '2019-05-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 385.22000000, 0.00000000, 0.00000000, 1926.17000000, 2311.39000000, 'signé pour l\'année 2019', 'Base contrat de maintenance 2019 :', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1926.17000000, 385.22000000, 2311.39000000, 'commande/CO1905-0940/CO1905-0940.pdf', NULL, NULL),
(1039, 'CO1905-0941', 1, NULL, NULL, NULL, 1983, NULL, '2019-05-22 13:25:42', '2019-05-07 15:22:22', '2019-05-07 15:22:33', '2019-05-17 15:44:09', '2019-05-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 271.37000000, 0.00000000, 0.00000000, 1356.86000000, 1628.23000000, '', 'Fourniture d\'un secheur par réfrigeration Compair F50S par un secheur Compair F32S ( nouvelle gamme 2015 ) .<br />\r\nVous trouverez ci joint les plans dimensionnels des 2 sécheurs . <br />\r\nInstallation et raccordement par vos soins<br />\r\n<br />\r\nDélai : DISPONIBLE USINE<br />\r\nà votre demande livraison debut Mai 2019<br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1356.86000000, 271.37000000, 1628.23000000, 'commande/CO1905-0941/CO1905-0941.pdf', NULL, NULL),
(1040, 'CO1905-0942', 1, NULL, NULL, NULL, 2101, NULL, '2019-06-26 09:58:21', '2019-05-07 15:36:32', '2019-05-28 16:50:17', '2019-05-28 16:51:12', '2019-05-07', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 328.49000000, 0.00000000, 0.00000000, 1642.47000000, 1970.96000000, '', 'Maintenance l18RS à 8570 HRS<br />\r\nMaintenance owamat 10<br />\r\n<br />\r\nBL N°48 du 17/05/2019', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1642.47000000, 328.49000000, 1970.96000000, 'commande/CO1905-0942/CO1905-0942.pdf', NULL, NULL),
(1041, 'CO1905-0943', 1, NULL, NULL, NULL, 2347, NULL, '2019-05-17 07:47:27', '2019-05-07 16:53:57', '2019-05-07 16:54:05', '2019-05-17 09:46:48', '2019-05-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 24.00000000, 0.00000000, 0.00000000, 120.00000000, 144.00000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 120.00000000, 24.00000000, 144.00000000, 'commande/CO1905-0943/CO1905-0943.pdf', NULL, NULL),
(1042, 'CO1905-0944', 1, NULL, NULL, NULL, 2147, NULL, '2019-05-29 12:30:49', '2019-05-13 09:21:40', '2019-05-13 09:34:41', '2019-05-20 12:09:10', '2019-05-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 109.00000000, 0.00000000, 0.00000000, 545.00000000, 654.00000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 545.00000000, 109.00000000, 654.00000000, 'commande/CO1905-0944/CO1905-0944.pdf', NULL, NULL),
(1043, 'CO1905-0945', 1, NULL, NULL, NULL, 1990, NULL, '2019-10-30 09:00:28', '2019-05-13 10:56:23', '2019-06-12 15:37:59', '2019-06-12 15:47:56', '2019-05-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 421.94000000, 0.00000000, 0.00000000, 2109.78000000, 2531.72000000, '', 'Maintenances de vos 3 compresseurs :<br />\r\n2 compresseurs sprint 30 et un compresseur L30 :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2109.78000000, 421.94000000, 2531.72000000, 'commande/CO1905-0945/CO1905-0945.pdf', NULL, NULL),
(1044, 'CO1905-0946', 1, NULL, NULL, NULL, 2038, NULL, '2019-06-03 13:28:54', '2019-05-13 15:01:55', '2019-05-13 15:02:47', '2019-06-03 15:26:21', '2019-05-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 200.62000000, 0.00000000, 0.00000000, 1003.07000000, 1203.69000000, '', 'Maintenance L07RS', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1003.07000000, 200.62000000, 1203.69000000, 'commande/CO1905-0946/CO1905-0946.pdf', NULL, NULL),
(1045, 'CO1905-0947', 1, NULL, NULL, NULL, 2069, NULL, '2019-12-23 13:16:06', '2019-05-13 15:53:18', '2019-05-28 16:37:45', '2019-05-28 16:38:48', '2019-05-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 104.56000000, 0.00000000, 0.00000000, 522.82000000, 627.38000000, '', 'maintenance cyclon 111', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 522.82000000, 104.56000000, 627.38000000, 'commande/CO1905-0947/CO1905-0947.pdf', NULL, NULL),
(1046, 'CO1905-0948', 1, NULL, NULL, NULL, 2234, NULL, '2019-06-05 08:34:33', '2019-05-15 09:13:43', '2019-05-29 09:32:27', '2019-06-05 10:33:40', '2019-05-15', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 231.49000000, 0.00000000, 0.00000000, 1157.46000000, 1388.95000000, '', 'Maintenance L45RS N°CD10005658001 à 6383 Hrs<br />\r\nRemplacement des cartouches des filtres reseaux et maintenance owamat 14 .<br />\r\n<br />\r\nBL N°  02 du 24/05/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1157.46000000, 231.49000000, 1388.95000000, 'commande/CO1905-0948/CO1905-0948.pdf', NULL, NULL),
(1047, 'CO1905-0949', 1, NULL, NULL, NULL, 2075, NULL, '2019-06-04 08:39:58', '2019-05-15 11:02:31', '2019-05-28 16:16:26', '2019-06-04 10:39:42', '2019-05-15', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 179.70000000, 0.00000000, 0.00000000, 898.48000000, 1078.18000000, '', 'maintenance L07 N° CD10004996001 à 20739 HRS<br />\r\nMaintenance séparateur de condensats Owamat 10<br />\r\n<br />\r\n<br />\r\nBL N°27 du 23/05/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 898.48000000, 179.70000000, 1078.18000000, 'commande/CO1905-0949/CO1905-0949.pdf', NULL, NULL),
(1048, 'CO1905-0950', 1, NULL, NULL, NULL, 2162, NULL, '2019-07-29 13:55:20', '2019-05-15 16:09:06', '2019-07-29 15:52:01', '2019-07-29 15:55:05', '2019-05-15', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 278.30000000, 0.00000000, 0.00000000, 1391.52000000, 1669.82000000, '', 'contrat lissé<br />\r\nL37 N°cd10030327001 à 4358 Heures<br />\r\net cartouches filtres reseaux', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1391.52000000, 278.30000000, 1669.82000000, 'commande/CO1905-0950/CO1905-0950.pdf', NULL, NULL),
(1049, 'CO1905-0951', 1, NULL, NULL, NULL, 2765, NULL, '2020-10-16 12:17:12', '2019-05-20 09:55:10', '2019-05-20 09:55:54', '2020-10-16 14:17:12', '2019-05-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 20.40000000, 0.00000000, 0.00000000, 102.00000000, 122.40000000, '', '', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 102.00000000, 20.40000000, 122.40000000, 'commande/CO1905-0951/CO1905-0951.pdf', NULL, NULL),
(1050, 'CO1905-0952', 1, NULL, NULL, NULL, 2407, NULL, '2019-06-13 12:30:09', '2019-05-20 10:57:43', '2019-05-20 10:59:27', '2019-05-29 16:09:54', '2019-05-20', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 419.70000000, 0.00000000, 0.00000000, 2098.50000000, 2518.20000000, '', 'L29rs contrat lissé', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2098.50000000, 419.70000000, 2518.20000000, 'commande/CO1905-0952/CO1905-0952.pdf', NULL, NULL),
(1051, 'CO1905-0953', 1, NULL, NULL, NULL, 2203, NULL, '2019-06-25 09:31:25', '2019-05-21 09:55:14', '2019-05-21 14:49:01', NULL, '2019-05-21', 5, 5, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 293.43000000, 0.00000000, 0.00000000, 1467.15000000, 1760.58000000, '', 'Maintenance L45RS & filtres reseaux', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1467.15000000, 293.43000000, 1760.58000000, 'commande/CO1905-0953/CO1905-0953.pdf', NULL, NULL),
(1052, 'CO1905-0954', 1, NULL, NULL, NULL, 12848, NULL, '2019-06-13 08:08:39', '2019-05-21 14:41:16', '2019-05-21 14:41:24', '2019-06-13 10:08:14', '2019-05-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 58.32000000, 0.00000000, 0.00000000, 291.64000000, 349.96000000, '', 'Piéces détachées pour compresseur BELAIR VEIM 20-073-716 de 2007 <br />\r\n<br />\r\nDélai : 10 jours', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 291.64000000, 58.32000000, 349.96000000, 'commande/CO1905-0954/CO1905-0954.pdf', NULL, NULL),
(1053, 'CO1905-0955', 1, NULL, NULL, NULL, 2203, NULL, '2019-12-23 13:05:37', '2019-05-21 14:49:47', '2019-05-21 15:26:06', NULL, '2019-05-21', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 133.92000000, 0.00000000, 0.00000000, 669.61000000, 803.53000000, '', 'Maintenance compresseur Hydrovanne 68', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 669.61000000, 133.92000000, 803.53000000, 'commande/CO1905-0955/CO1905-0955.pdf', NULL, NULL),
(1054, 'CO1905-0956', 1, NULL, NULL, NULL, 2077, NULL, '2019-06-04 08:47:01', '2019-05-21 15:56:55', '2019-05-21 15:57:03', '2019-05-28 16:35:28', '2019-05-21', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 36.38000000, 0.00000000, 0.00000000, 181.90000000, 218.28000000, '', 'Commande N°20190511407<br />\r\nRef fournisseur 917599', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 181.90000000, 36.38000000, 218.28000000, 'commande/CO1905-0956/CO1905-0956.pdf', NULL, NULL),
(1055, 'CO1905-0957', 1, NULL, NULL, NULL, 12590, NULL, '2019-07-09 07:59:27', '2019-05-21 16:00:05', '2019-07-09 09:47:47', '2019-07-09 09:48:11', '2019-05-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 451.52000000, 0.00000000, 0.00000000, 2257.68000000, 2709.20000000, '', 'maintenance compresseur et filtres reseaux&nbsp; :&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, '2018-09-30', NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2257.68000000, 451.52000000, 2709.20000000, 'commande/CO1905-0957/CO1905-0957.pdf', NULL, NULL),
(1056, 'CO1905-0958', 1, NULL, NULL, NULL, 2338, NULL, '2019-05-29 12:52:07', '2019-05-21 16:00:56', '2019-05-21 16:01:03', '2019-05-29 14:51:54', '2019-05-21', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 15.58000000, 0.00000000, 0.00000000, 77.91000000, 93.49000000, '', 'coupleur à bouton 1/2 male<br />\r\n<br />\r\nCommande N° 582-2019-N', 'generic_order_odt:/home/sfacsind/www/documents/doctemplates/orders/Accuse_de_reception_commande.odt', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 77.91000000, 15.58000000, 93.49000000, 'commande/CO1905-0958/CO1905-0958.pdf', NULL, NULL),
(1057, 'CO1905-0959', 1, NULL, NULL, NULL, 2206, NULL, '2019-12-23 13:16:27', '2019-05-21 16:06:13', '2019-05-28 15:45:54', '2019-06-28 14:48:58', '2019-05-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 118.53000000, 0.00000000, 0.00000000, 592.64000000, 711.17000000, '', 'Maintenance HV05 :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 592.64000000, 118.53000000, 711.17000000, 'commande/CO1905-0959/CO1905-0959.pdf', NULL, NULL),
(1058, 'CO1905-0960', 1, NULL, NULL, NULL, 2122, NULL, '2019-06-25 13:28:29', '2019-05-22 09:58:18', '2019-05-22 09:59:09', '2019-06-25 15:22:53', '2019-05-22', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 65.11000000, 0.00000000, 0.00000000, 325.54000000, 390.65000000, '', 'Maintenance adoucisseur <br />\r\n<br />\r\nCommande 39482', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 325.54000000, 65.11000000, 390.65000000, 'commande/CO1905-0960/CO1905-0960.pdf', NULL, NULL),
(1059, 'CO1905-0961', 1, NULL, NULL, NULL, 2123, NULL, '2020-03-06 09:05:21', '2019-05-22 10:38:01', '2019-06-13 09:39:01', '2019-06-25 10:53:07', '2019-05-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 550.59000000, 0.00000000, 0.00000000, 2752.92000000, 3303.51000000, '', 'Maintenance L29RS', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2752.92000000, 550.59000000, 3303.51000000, 'commande/CO1905-0961/CO1905-0961.pdf', NULL, NULL),
(1060, 'CO1905-0962', 1, NULL, NULL, NULL, 2399, NULL, '2019-07-01 13:43:20', '2019-05-23 10:47:27', '2019-05-29 15:48:08', '2019-05-29 15:51:26', '2019-05-23', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 115.27000000, 0.00000000, 0.00000000, 576.37000000, 691.64000000, '', 'Maintenance compresseur L11RS  N°ba34398001 à 14830 HRS et remplacement sonde de temperature<br />\r\nMaintenance seprateur de condensats OWAMAT 10 :<br />\r\n<br />\r\nBL N°45 du 23/03/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 576.37000000, 115.27000000, 691.64000000, 'commande/CO1905-0962/CO1905-0962.pdf', NULL, NULL),
(1061, 'CO1905-0963', 1, NULL, NULL, NULL, 1988, NULL, '2019-09-06 08:30:57', '2019-05-27 10:04:05', '2019-05-27 10:06:12', '2019-06-24 10:13:42', '2019-05-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 200.97000000, 0.00000000, 0.00000000, 1004.85000000, 1205.82000000, '', 'Maintenance L55RS', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1004.85000000, 200.97000000, 1205.82000000, 'commande/CO1905-0963/CO1905-0963.pdf', NULL, NULL),
(1062, 'CO1905-0964', 1, NULL, NULL, NULL, 2122, NULL, '2019-06-25 13:22:37', '2019-05-27 16:49:39', '2019-06-13 09:47:00', '2019-06-13 09:47:53', '2019-05-27', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 662.06000000, 0.00000000, 0.00000000, 3310.28000000, 3972.34000000, '', 'Maintenance L75RS N° CD10018699001 à 21 150 HRS<br />\r\nMaintenance seprateur de condensats OWAMAT 15<br />\r\nRemplacement cartouche filtre réseau<br />\r\n<br />\r\nBL N° 35 du 06/06/2019<br />\r\n<br />\r\nCommande N°39715', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3310.28000000, 662.06000000, 3972.34000000, 'commande/CO1905-0964/CO1905-0964.pdf', NULL, NULL),
(1063, 'CO1905-0965', 1, NULL, NULL, NULL, 2169, NULL, '2019-06-28 07:33:29', '2019-05-28 09:12:16', '2019-05-28 09:13:01', '2019-06-13 10:16:14', '2019-05-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 194.65000000, 0.00000000, 0.00000000, 973.28000000, 1167.93000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 973.28000000, 194.65000000, 1167.93000000, 'commande/CO1905-0965/CO1905-0965.pdf', NULL, NULL),
(1064, 'CO1905-0966', 1, NULL, NULL, NULL, 12921, NULL, '2019-06-03 13:39:30', '2019-05-28 16:14:14', '2019-05-28 16:14:26', '2019-05-28 16:26:49', '2019-05-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 268.61000000, 0.00000000, 0.00000000, 1343.08000000, 1611.69000000, '', 'Maintenance compresseur L22 N&deg; CD10018313001 &agrave; 3712 HRS<br />\r\n<br />\r\nBL N&deg;43 du 13/05/2019', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1343.08000000, 268.61000000, 1611.69000000, 'commande/CO1905-0966/CO1905-0966.pdf', NULL, NULL),
(1065, 'CO1905-0967', 1, NULL, NULL, NULL, 2072, NULL, '2019-12-23 12:27:13', '2019-05-28 16:17:50', '2019-05-28 16:17:58', '2019-05-28 16:18:19', '2019-05-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 151.59000000, 0.00000000, 0.00000000, 757.88000000, 909.47000000, '', 'remplacement r&eacute;gulation avec electrovanne sur compresseur L11', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 757.88000000, 151.59000000, 909.47000000, 'commande/CO1905-0967/CO1905-0967.pdf', NULL, NULL),
(1066, 'CO1905-0968', 1, NULL, NULL, NULL, 2072, NULL, '2019-06-24 12:21:37', '2019-05-28 16:18:38', '2019-05-28 16:22:08', '2019-06-12 15:55:54', '2019-05-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 118.63000000, 0.00000000, 0.00000000, 593.12000000, 711.75000000, '', 'maintenance compresseur L11 N&deg;100008027/0114', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 593.12000000, 118.63000000, 711.75000000, 'commande/CO1905-0968/CO1905-0968.pdf', NULL, NULL),
(1067, 'CO1905-0969', 1, NULL, NULL, NULL, 2102, NULL, '2019-07-08 12:07:29', '2019-05-28 16:41:17', '2019-05-28 16:44:16', '2019-05-28 16:46:57', '2019-05-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 95.46000000, 0.00000000, 0.00000000, 477.30000000, 572.76000000, '', 'N&deg;BC2019.05.103', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 477.30000000, 95.46000000, 572.76000000, 'commande/CO1905-0969/CO1905-0969.pdf', NULL, NULL),
(1068, 'CO1905-0970', 1, NULL, NULL, NULL, 2142, NULL, '2019-06-25 08:14:35', '2019-05-29 09:12:29', '2019-06-12 15:59:11', '2019-06-13 09:38:23', '2019-05-29', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 100.57000000, 0.00000000, 0.00000000, 502.83000000, 603.40000000, '', 'Maintenance L22SR N°CD10003983002 à  HRS<br />\r\nBL N°  du ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 502.83000000, 100.57000000, 603.40000000, 'commande/CO1905-0970/CO1905-0970.pdf', NULL, NULL),
(1069, 'CO1905-0971', 1, NULL, NULL, NULL, 7066, NULL, '2019-12-23 13:13:47', '2019-05-29 10:20:36', '2019-07-24 15:38:04', '2019-12-23 14:13:47', '2019-05-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 326.18000000, 0.00000000, 0.00000000, 1630.92000000, 1957.10000000, '', 'Pieces de filtration maintenance de vos differents compresseurs : <br />\r\n<br />\r\nhuile VR46 pour compresseur L15 et compresseur ATLAS COPCO<br />\r\n<br />\r\nHuile sullube pour compresseur Maco Sullair ( disponible uniquement en 20 Litres ) ', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1630.92000000, 326.18000000, 1957.10000000, 'commande/CO1905-0971/CO1905-0971.pdf', NULL, NULL),
(1070, 'CO1905-0979', 1, NULL, NULL, NULL, 2283, NULL, '2020-03-09 10:53:06', '2019-05-29 14:34:17', '2019-06-05 14:31:13', '2019-06-05 14:38:25', '2019-05-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 835.99000000, 0.00000000, 0.00000000, 4180.04000000, 5015.99000000, '', 'D&eacute;placement compresseur et s&eacute;cheur<br />\r\nmodification r&eacute;seau air comprim&eacute; en inox diametre 22&nbsp;<br />\r\ncreation d&#39;une descente suppl&eacute;mentaire en diametre 22&nbsp;<br />\r\npose d&#39;une vanne de sectionnement<br />\r\nMise en air de l&#39;ensemble&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4180.04000000, 836.02000000, 5016.06000000, 'commande/CO1905-0979/CO1905-0979.pdf', NULL, NULL),
(1071, 'CO1905-0972', 1, NULL, NULL, NULL, 2032, NULL, '2019-05-29 12:48:47', '2019-05-29 14:48:04', '2019-05-29 14:48:23', '2019-05-29 14:48:32', '2019-05-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 12.36000000, 0.00000000, 0.00000000, 61.80000000, 74.16000000, '', 'bidon d&#39;huile VR46 5 litres - huile viscosit&eacute; 46 pour compresseur &agrave; vis lubrifi&eacute;es<br />\r\n<br />\r\nBL N&deg; 46 du 24/05/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 61.80000000, 12.36000000, 74.16000000, 'commande/CO1905-0972/CO1905-0972.pdf', NULL, NULL),
(1072, 'CO1906-0973', 1, NULL, NULL, NULL, 12920, NULL, '2019-06-20 07:40:43', '2019-06-03 09:04:10', '2019-06-03 09:04:43', '2019-06-20 09:40:14', '2019-06-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 107.76000000, 0.00000000, 0.00000000, 538.83000000, 646.59000000, '', 'Maintenance pour compresseur Silpac1210Y N&deg; 8171930AVo057 LOt 096146 de 1999 et remplacement pressostat', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 538.83000000, 107.76000000, 646.59000000, 'commande/CO1906-0973/CO1906-0973.pdf', NULL, NULL),
(1073, 'CO1906-0974', 1, NULL, NULL, NULL, 12598, NULL, '2019-11-04 14:33:29', '2019-06-03 11:38:22', '2019-06-03 11:38:58', '2019-11-04 15:32:44', '2019-06-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 502.60000000, 0.00000000, 0.00000000, 2513.00000000, 3015.60000000, '', 'D&eacute;montage et remontage d&#39;un pont 2 colonnes 5T avec &eacute;preuve du pont .', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2513.00000000, 502.60000000, 3015.60000000, 'commande/CO1906-0974/CO1906-0974.pdf', NULL, NULL),
(1074, 'CO1906-0975', 1, NULL, NULL, 'kaeser la cote st andre', 2054, NULL, '2019-06-24 08:52:39', '2019-06-03 11:54:52', '2019-06-13 15:04:38', '2019-06-13 15:06:31', '2019-06-03', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 366.27000000, 0.00000000, 0.00000000, 1831.36000000, 2197.63000000, '', 'Kaeser csd105 N°2626 là 9515 HRS<br />\r\n<br />\r\nBL N°40 du 13/06/2019<br />\r\n<br />\r\nCommande N° S972 1906 1008<br />\r\n<br />\r\nLivraison :<br />\r\nCOOPERATIVE LA DAUPHINOISE<br />\r\nStation Semences \" Les Olagniéres\"<br />\r\n2825 Chemin de la voie ferrée<br />\r\nZI Le Rival<br />\r\n38260 LA COTE SAINT ANDRE', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1831.36000000, 366.27000000, 2197.63000000, 'commande/CO1906-0975/CO1906-0975.pdf', NULL, NULL);
INSERT INTO `llx_commande` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_cloture`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_cloture`, `source`, `fk_statut`, `amount_ht`, `remise_percent`, `remise_absolue`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `facture`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_livraison`, `fk_shipping_method`, `fk_warehouse`, `fk_availability`, `fk_input_reason`, `fk_delivery_address`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(1075, 'CO1906-0976', 1, NULL, NULL, NULL, 2054, NULL, '2019-06-27 07:48:17', '2019-06-03 12:11:06', '2019-06-27 09:40:36', '2019-06-27 09:45:34', '2019-06-03', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 236.86000000, 0.00000000, 0.00000000, 1184.31000000, 1421.17000000, '', 'L11 N° BA35366001 à 3576 HRS - Maintenance seprateur de condensats Owamat 10 et remplcament cartouche filtre reseau<br />\r\nBL N°44 du 24/06/2019<br />\r\n<br />\r\nCommande N° S97219061018<br />\r\n<br />\r\nSite d\'intervention :<br />\r\nCOOPERATIVE LA DAUPHINOISE<br />\r\nSite de Semences Les Olagniéres<br />\r\n2825 Chemin de la voie férée<br />\r\n38260 LA COTE ST ANDRE', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1184.31000000, 236.86000000, 1421.17000000, 'commande/CO1906-0976/CO1906-0976.pdf', NULL, NULL),
(1076, 'CO1906-0977', 1, NULL, NULL, NULL, 10660, NULL, '2019-07-05 12:51:14', '2019-06-04 11:16:00', '2019-06-04 11:16:09', '2019-07-05 14:51:14', '2019-06-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1221.28000000, 0.00000000, 0.00000000, 6106.41000000, 7327.69000000, '', 'Fournitures :\r\n<ul>\r\n	<li><span style=\"font-size:11.0pt\">5 appliques murale P13614203</span></li>\r\n	<li><span style=\"font-size:11.0pt\">5 raccords fileter P31425004</span></li>\r\n	<li><span style=\"font-size:11.0pt\">5 T P30525000</span></li>\r\n	<li><span style=\"font-size:11.0pt\">2 coudes 90° P30220000</span></li>\r\n	<li><span style=\"font-size:11.0pt\">2 boites de colliers gaine P15825810 avec les vis de fixation parpaing</span></li>\r\n	<li><span style=\"font-size:11.0pt\">20 tubes P30025000</span></li>\r\n	<li><span style=\"font-size:11.0pt\">1 bouchon P30725000</span></li>\r\n	<li><span style=\"font-size:11.0pt\">1 compresseur a vis 650lts/min</span></li>\r\n	<li><span style=\"font-size:11.0pt\">1 bouteille d’air 500lts</span></li>\r\n	<li><span style=\"font-size:11.0pt\">1 Assécheur </span></li>\r\n</ul>\r\n\r\n<p> </p>\r\n\r\n<p><span style=\"font-size:11.0pt\">Nous vous proposons une centrale d\'air comprimé regroupant le compresseur à vis un secheur par réfrigération et un reservoir 500Litres avec un filtre reseau pour une gradation 0.01µ .</span><br />\r\n </p>\r\n\r\n<ul>\r\n	<li>Livraison : Franco</li>\r\n	<li>Délai : Sous 10 jours environ</li>\r\n	<li>Garantie : 2 ans </li>\r\n	<li>Fabrication : Allemagne</li>\r\n</ul>\r\n\r\n<p> </p>\r\n', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 6106.41000000, 1221.28000000, 7327.69000000, 'commande/CO1906-0977/CO1906-0977.pdf', NULL, NULL),
(1077, 'CO1906-0978', 1, NULL, NULL, NULL, 1979, NULL, '2019-06-13 12:50:42', '2019-06-04 16:16:02', '2019-06-04 16:16:09', '2019-06-13 14:50:30', '2019-06-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 110.84000000, 0.00000000, 0.00000000, 554.22000000, 665.06000000, '', 'Compresseur à piston COMPAIR- Garantie 2 ans <br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 554.22000000, 110.84000000, 665.06000000, 'commande/CO1906-0978/CO1906-0978.pdf', NULL, NULL),
(1078, 'CO1906-0980', 1, NULL, NULL, NULL, 10563, NULL, '2019-06-28 12:29:33', '2019-06-05 15:09:00', '2019-06-05 15:18:21', '2019-06-28 11:13:12', '2019-06-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 129.27000000, 0.00000000, 0.00000000, 646.35000000, 775.62000000, '', 'Maintenance Compresseur Power System PS407 ( 8bars) n° de série 240 407 année 2004 remplacement filtre à air , filtre à huile et separateur , verifications et controle, remise à niveau d\'huile .\r\n<p> cuve de 1000 Litres : verification du bon fonctionnement de la purge</p>\r\n\r\n<p>assécheur Model LB 4.13 n° de série Q01C2059 année 2004 : verification des connections et du bon fonctionnement</p>\r\n<br />\r\n- Contrôles et vérifications  préconisés par le constructeur<br />\r\n- Vérification sécheur et purge<br />\r\n- Tous contrôles électriques ( contacteurs , tous organes électriques identifiés lors de la maintenance ) par nos électriciens dans le local technique<br />\r\n- Hors autres pièces défectueuses pouvant être trouvées <br />\r\n -<u> Garantie 6 mois sur pièces filtration et maintenance</u> effectuée<br />\r\n<br />\r\n ', '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 646.35000000, 129.27000000, 775.62000000, 'commande/CO1906-0980/CO1906-0980.pdf', NULL, NULL),
(1079, 'CO1906-0981', 1, NULL, NULL, NULL, 2355, NULL, '2019-06-13 14:14:56', '2019-06-05 16:22:36', '2019-06-05 16:23:18', '2019-06-13 16:14:55', '2019-06-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 99.00000000, 0.00000000, 0.00000000, 495.00000000, 594.00000000, '', 'Compresseur à piston COMPAIR - GARANTIE TOTALE 2 ANS<br />\r\nDébit 18 m3/h en 3Ch<br />\r\n<br />\r\nDélai : DISPONIBLE ATELIER<br />\r\n<br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 495.00000000, 99.00000000, 594.00000000, 'commande/CO1906-0981/CO1906-0981.pdf', NULL, NULL),
(1080, 'CO1906-0982', 1, NULL, NULL, NULL, 12922, NULL, '2019-06-25 08:32:39', '2019-06-11 09:20:54', '2019-06-11 09:21:08', NULL, '2019-06-11', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 32.80000000, 0.00000000, 0.00000000, 164.00000000, 196.80000000, '', 'Amortisseur de capot pour compresseur DLT0404 C30 ANNEE 2003<br />\r\n<br />\r\nD&eacute;lai : 15/06/2019', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 164.00000000, 32.80000000, 196.80000000, 'commande/CO1906-0982/CO1906-0982.pdf', NULL, NULL),
(1081, 'CO1906-0983', 1, NULL, NULL, NULL, 6086, NULL, '2019-06-12 12:55:56', '2019-06-11 15:37:30', '2019-06-11 15:37:55', '2019-06-12 14:55:54', '2019-06-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 505.57000000, 0.00000000, 0.00000000, 2527.86000000, 3033.43000000, '', 'Maintenance L55Rs', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2527.86000000, 505.57000000, 3033.43000000, 'commande/CO1906-0983/CO1906-0983.pdf', NULL, NULL),
(1082, 'CO1906-0984', 1, NULL, NULL, NULL, 2203, NULL, '2019-06-25 12:56:41', '2019-06-12 10:45:16', '2019-06-25 12:08:50', '2019-06-25 14:56:25', '2019-06-12', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 176.51000000, 0.00000000, 0.00000000, 882.55000000, 1059.06000000, '', 'Mise en pret d\'un compresseur à vis huile alimentaire Rollair 50 .( 37 KW ) <br />\r\n<br />\r\nHors éléctricité à votre charge <br />\r\n<br />\r\nLivraison Lundi 27 mai apés midi <br />\r\n<br />\r\n Intervention de dépannage du 24/05/2019 & 23/05/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 882.55000000, 176.51000000, 1059.06000000, 'commande/CO1906-0984/CO1906-0984.pdf', NULL, NULL),
(1083, 'CO1906-0985', 1, NULL, NULL, NULL, 12683, NULL, '2019-06-13 14:24:56', '2019-06-13 10:29:38', '2019-06-13 10:30:00', '2019-06-13 10:30:36', '2019-06-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1157.93000000, 0.00000000, 0.00000000, 5789.66000000, 6947.59000000, '', 'Modification cuves à votre demande.', '', 1, NULL, NULL, 12, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5789.66000000, 1157.93000000, 6947.59000000, 'commande/CO1906-0985/CO1906-0985.pdf', NULL, NULL),
(1084, 'CO1906-0986', 1, NULL, NULL, NULL, 2053, NULL, '2019-12-10 10:48:08', '2019-06-19 09:26:33', '2019-07-04 09:47:39', '2019-07-04 09:50:15', '2019-06-19', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 290.26000000, 0.00000000, 0.00000000, 1451.30000000, 1741.56000000, '', 'Maintenance L11 N° BA46497001 à 1885 HRS en huile alimentaire<br />\r\nMaintenance 3 cartouches filtres reseaux<br />\r\nMaintenance separateur de condensats- suivant contrat lissé<br />\r\n<br />\r\nBL N° 8 du 27/06/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1451.30000000, 290.26000000, 1741.56000000, 'commande/CO1906-0986/CO1906-0986.pdf', NULL, NULL),
(1085, 'CO1906-0987', 1, NULL, NULL, NULL, 2203, NULL, '2019-08-01 12:43:03', '2019-06-19 10:18:21', '2019-06-19 10:18:51', NULL, '2019-06-19', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 1648.56000000, 0.00000000, 0.00000000, 8242.78000000, 9891.34000000, '', ' bloc vis compresseur L45RS<br />\r\n<br />\r\nGarantie 24 mois ', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 8242.78000000, 1648.56000000, 9891.34000000, 'commande/CO1906-0987/CO1906-0987.pdf', NULL, NULL),
(1086, 'CO1906-0988', 1, NULL, NULL, NULL, 2355, NULL, '2019-08-01 13:37:31', '2019-06-19 10:32:55', '2019-06-19 10:42:35', '2019-08-01 15:34:22', '2019-06-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1440.01000000, 0.00000000, 0.00000000, 7200.00000000, 8640.01000000, '', 'Reglement : 20 % &agrave; la commande - solde 15/09/2019<br />\r\nLocal air comprim&eacute; hors &eacute;lectricit&eacute;', 'generic_order_odt:/home/sfacsind/www/documents/doctemplates/orders/Accuse_de_reception_commande.odt', 1, NULL, NULL, 15, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 7200.00000000, 1440.01000000, 8640.01000000, 'commande/CO1906-0988/CO1906-0988.pdf', NULL, NULL),
(1087, 'CO1906-0989', 1, NULL, NULL, NULL, 2157, NULL, '2019-07-08 14:31:02', '2019-06-19 11:47:20', '2019-06-19 11:48:00', '2019-06-27 11:27:28', '2019-06-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 120.77000000, 0.00000000, 0.00000000, 603.86000000, 724.63000000, '', 'Maintenance compresseur  RS PRO  7.5 ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 603.86000000, 120.77000000, 724.63000000, 'commande/CO1906-0989/CO1906-0989.pdf', NULL, NULL),
(1088, 'CO1906-0990', 1, NULL, NULL, NULL, 2350, NULL, '2019-08-06 14:24:38', '2019-06-19 14:55:19', '2019-07-04 14:56:28', '2019-07-04 14:57:03', '2019-06-19', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 358.73000000, 0.00000000, 0.00000000, 1793.65000000, 2152.38000000, '', 'Maintenance Compresseurs L45RS et filtres reseaux', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1793.65000000, 358.73000000, 2152.38000000, 'commande/CO1906-0990/CO1906-0990.pdf', NULL, NULL),
(1089, 'CO1906-0991', 1, NULL, NULL, NULL, 2054, NULL, '2019-06-27 07:25:39', '2019-06-20 11:11:07', '2019-06-27 09:25:14', '2019-06-27 09:25:18', '2019-06-20', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 342.45000000, 0.00000000, 0.00000000, 1712.25000000, 2054.70000000, '', 'maintenance compresseur L110rs N° CD10017043001 à 19156HRS<br />\r\n<br />\r\nBL N° 43 du 24/06/2019 <br />\r\n<br />\r\nCommande N° S972 19061017<br />\r\n<br />\r\nSite d\'intervention :<br />\r\nCOOPERATIVE LA DAUPHINOISE<br />\r\nLes Olagnieres<br />\r\nLA COTE SILO<br />\r\n2460 CHemin de la voie Férée<br />\r\n38260 LA COTE SAINT ANDRE', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1712.25000000, 342.45000000, 2054.70000000, 'commande/CO1906-0991/CO1906-0991.pdf', NULL, NULL),
(1091, 'CO1906-0992', 1, NULL, NULL, NULL, 2020, NULL, '2019-09-19 12:28:11', '2019-06-21 11:16:52', '2019-06-21 11:17:15', '2019-09-17 11:33:41', '2019-06-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 218.69000000, 0.00000000, 0.00000000, 1093.42000000, 1312.11000000, '', 'Remplacement vanne thermostatique et 2 electrovannes sur compresseur HV07:<br />\r\n<br />\r\n&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, 3, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1093.42000000, 218.69000000, 1312.11000000, 'commande/CO1906-0992/CO1906-0992.pdf', NULL, NULL),
(1092, 'CO1906-0993', 1, NULL, NULL, NULL, 2295, NULL, '2019-07-29 12:44:03', '2019-06-24 15:56:05', '2019-07-29 14:42:57', '2019-07-29 14:43:48', '2019-06-24', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 169.08000000, 0.00000000, 0.00000000, 845.46000000, 1014.54000000, '', 'Maintenance L30 à 30500 HRS<br />\r\n<br />\r\nBL N°12 du 28/06/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 845.46000000, 169.08000000, 1014.54000000, 'commande/CO1906-0993/CO1906-0993.pdf', NULL, NULL),
(1093, 'CO1906-0994', 1, NULL, NULL, NULL, 2407, NULL, '2019-07-10 06:57:32', '2019-06-24 16:58:25', '2019-06-24 16:58:40', '2019-07-09 14:26:46', '2019-06-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 34.36000000, 0.00000000, 0.00000000, 171.80000000, 206.16000000, '', 'Piéces détachées pour sécheur :<br />\r\n<br />\r\nDélai : 24/06/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 171.80000000, 34.36000000, 206.16000000, 'commande/CO1906-0994/CO1906-0994.pdf', NULL, NULL),
(1094, 'CO1906-0995', 1, NULL, NULL, NULL, 2354, NULL, '2019-07-04 13:36:20', '2019-06-25 11:49:41', '2019-07-04 15:35:06', '2019-07-04 15:35:41', '2019-06-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 146.63000000, 0.00000000, 0.00000000, 733.13000000, 879.76000000, '', 'maintenance L15 N°100014096-0169 à 21454 HRS & separateur de condensats owamat 11<br />\r\n<br />\r\nBL N°11 du 25/05/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 733.13000000, 146.63000000, 879.76000000, 'commande/CO1906-0995/CO1906-0995.pdf', NULL, NULL),
(1095, 'CO1906-0996', 1, NULL, NULL, NULL, 12581, NULL, '2019-12-11 10:53:25', '2019-06-26 14:25:05', '2019-06-26 14:25:14', '2019-06-26 14:28:04', '2019-06-26', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 145.84000000, 0.00000000, 0.00000000, 729.22000000, 875.06000000, '', 'Intervention sur compresseur GA15FF : probleme sur contacteur<br />\r\n<br />\r\nBL N°09 du 21/06/2019<br />\r\n<br />\r\nCommande N°01924', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 729.22000000, 145.84000000, 875.06000000, 'commande/CO1906-0996/CO1906-0996.pdf', NULL, NULL),
(1096, 'CO1906-0997', 1, NULL, NULL, NULL, 11320, NULL, '2019-08-01 13:51:30', '2019-06-26 16:22:09', '2019-06-26 16:22:16', '2019-08-01 15:48:33', '2019-06-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 890.00000000, 0.00000000, 0.00000000, 4450.00000000, 5340.00000000, '', 'Local Air comprim&eacute; RENNER - Garantie 2 ans Pi&eacute;ces et main d&#39;oeuvre', 'einstein', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4450.00000000, 890.00000000, 5340.00000000, 'commande/CO1906-0997/CO1906-0997.pdf', NULL, NULL),
(1097, 'CO1906-0998', 1, NULL, NULL, NULL, 2396, NULL, '2019-11-27 09:03:09', '2019-06-26 16:40:51', '2019-06-26 16:40:58', '2019-11-27 10:03:09', '2019-06-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 6.88000000, 0.00000000, 0.00000000, 34.40000000, 41.28000000, '', 'tuyau cahoutchouc 19 interieur', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 34.40000000, 6.88000000, 41.28000000, 'commande/CO1906-0998/CO1906-0998.pdf', NULL, NULL),
(1098, 'CO1906-0999', 1, NULL, NULL, NULL, 5450, NULL, '2019-07-09 07:13:21', '2019-06-28 10:42:54', '2019-06-28 10:53:01', '2019-07-09 09:11:00', '2019-06-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1121.40000000, 0.00000000, 0.00000000, 5607.00000000, 6728.40000000, '', 'DISPONIBLE USINE VENISSIEUX&nbsp;', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5607.00000000, 1121.40000000, 6728.40000000, 'commande/CO1906-0999/CO1906-0999.pdf', NULL, NULL),
(1099, 'CO1906-1000', 1, NULL, NULL, NULL, 2127, NULL, '2019-07-29 13:33:04', '2019-06-28 16:41:29', '2019-06-28 16:41:38', '2019-07-11 10:19:24', '2019-06-28', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 573.89000000, 0.00000000, 0.00000000, 2869.48000000, 3443.37000000, '', 'Maintenance du Compresseur L75SRà 60858 HRS<br />\r\nBL N°50 du 10/07/2019<br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, 3, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2869.48000000, 573.89000000, 3443.37000000, 'commande/CO1906-1000/CO1906-1000.pdf', NULL, NULL),
(1100, 'CO1907-1001', 1, NULL, NULL, NULL, 12924, NULL, '2020-03-09 10:52:07', '2019-07-01 09:02:50', '2019-07-01 09:11:31', '2019-08-14 09:05:51', '2019-07-01', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1786.97000000, 0.00000000, 0.00000000, 8935.00000000, 10721.97000000, '', 'Local air comprim&eacute;', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 8935.00000000, 1786.97000000, 10721.97000000, 'commande/CO1907-1001/CO1907-1001.pdf', NULL, NULL),
(1101, 'CO1907-1002', 1, NULL, NULL, 'l15rs', 2140, NULL, '2019-12-11 14:50:42', '2019-07-01 09:43:08', '2019-07-29 15:14:04', '2019-07-29 15:14:25', '2019-07-01', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 156.18000000, 0.00000000, 0.00000000, 780.96000000, 937.14000000, '', 'Maintenance L15RS', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 780.96000000, 156.18000000, 937.14000000, 'commande/CO1907-1002/CO1907-1002.pdf', NULL, NULL),
(1102, 'CO1907-1003', 1, NULL, NULL, NULL, 12584, NULL, '2019-08-01 13:15:46', '2019-07-01 10:45:32', '2019-07-31 15:20:47', '2019-07-31 15:21:18', '2019-07-01', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 128.58000000, 0.00000000, 0.00000000, 642.90000000, 771.48000000, '', 'Maintenance RSF11', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 642.90000000, 128.58000000, 771.48000000, 'commande/CO1907-1003/CO1907-1003.pdf', NULL, NULL),
(1103, 'CO1907-1004', 1, NULL, NULL, NULL, 12921, NULL, '2019-07-01 09:30:30', '2019-07-01 11:27:22', '2019-07-01 11:27:28', '2019-07-01 11:30:07', '2019-07-01', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 295.10000000, 0.00000000, 0.00000000, 1475.50000000, 1770.60000000, '', 'Fourniture et installation secheur ED225<br />\r\n<br />\r\ncommande N°171906002', '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1475.50000000, 295.10000000, 1770.60000000, 'commande/CO1907-1004/CO1907-1004.pdf', NULL, NULL),
(1104, 'CO1907-1005', 1, NULL, NULL, NULL, 2407, NULL, '2019-07-08 14:31:40', '2019-07-01 15:10:19', '2019-07-01 15:10:27', '2019-07-01 15:12:02', '2019-07-01', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 264.78000000, 0.00000000, 0.00000000, 1323.87000000, 1588.65000000, '', 'Maintenance compresseur L37 13 BARs de 2012 N° CD10009047001 - <br />\r\nPrix pour 1 an sur l\'année 2019 .<br />\r\n<br />\r\nCommande N°911078719-0-10760<br />\r\n<br />\r\nLivraison : <br />\r\nSite Crouzet automatisme<br />\r\n10 rue du docteur Henri abel<br />\r\n26000 VALENCE', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1323.87000000, 264.78000000, 1588.65000000, 'commande/CO1907-1005/CO1907-1005.pdf', NULL, NULL),
(1105, 'CO1907-1006', 1, NULL, NULL, NULL, 1940, NULL, '2019-08-08 07:08:32', '2019-07-02 10:39:37', '2019-07-02 10:40:32', '2019-07-09 09:02:53', '2019-07-02', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 544.96000000, 0.00000000, 0.00000000, 2724.76000000, 3269.72000000, '', 'Maintenance de votre compresseur L45RS N° CD10023839001 à  HRS<br />\r\nRemplacement cartouches filtres réseaux <br />\r\nMaintenance séparateur de condensats owamat14<br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2724.76000000, 544.96000000, 3269.72000000, 'commande/CO1907-1006/CO1907-1006.pdf', NULL, NULL),
(1106, 'CO1907-1007', 1, NULL, NULL, NULL, 2358, NULL, '2019-11-05 10:37:46', '2019-07-02 10:54:29', '2019-08-08 11:41:08', '2019-08-08 11:41:34', '2019-07-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 337.02000000, 0.00000000, 0.00000000, 1685.13000000, 2022.15000000, '', 'Maintenance GA90VSD N° AII495069 à 35197 HRS<br />\r\nRemplacement cartouche filtre reseau<br />\r\nMaintenance GA30 N°ABP716976 à 15024 HRS<br />\r\n<br />\r\nBL N° 40 & 39 du 08/08/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1685.13000000, 337.02000000, 2022.15000000, 'commande/CO1907-1007/CO1907-1007.pdf', NULL, NULL),
(1107, 'CO1907-1008', 1, NULL, NULL, NULL, 2060, NULL, '2019-09-26 09:59:07', '2019-07-02 11:06:13', '2019-07-11 11:28:40', '2019-09-26 10:39:04', '2019-07-02', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 209.16000000, 0.00000000, 0.00000000, 1045.81000000, 1254.97000000, '', 'Maintenance compresseur SPRINT041 N°149567/18 à 19167 Hrs<br />\r\nMaintenance seprateur de condensats<br />\r\nMaintenance filtres reseau<br />\r\n<br />\r\nBL N°14 du 19/07/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1045.81000000, 209.16000000, 1254.97000000, 'commande/CO1907-1008/CO1907-1008.pdf', NULL, NULL),
(1108, 'CO1907-1009', 1, NULL, NULL, NULL, 2059, NULL, '2019-09-26 08:30:13', '2019-07-02 11:50:52', '2019-07-11 11:34:42', '2019-09-26 10:29:31', '2019-07-02', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 155.00000000, 0.00000000, 0.00000000, 774.97000000, 929.97000000, '', 'Maintenance d\'un compresseurs Sprint 15<br />\r\n numéro de série : 149783/249 <br />\r\nMaintenance du separateur de condensats UltrasepSUper plus 15<br />\r\nRemplacement cartouche reseau ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 774.97000000, 155.00000000, 929.97000000, 'commande/CO1907-1009/CO1907-1009.pdf', NULL, NULL),
(1109, 'CO1907-1010', 1, NULL, NULL, NULL, 2022, NULL, '2019-07-02 14:07:37', '2019-07-02 16:05:07', '2019-07-02 16:06:13', '2019-07-02 16:07:13', '2019-07-02', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 52.00000000, 0.00000000, 0.00000000, 260.00000000, 312.00000000, '', 'Dépannage BL N° 5 du 17/06/2019<br />\r\n<br />\r\nAugmentataion pressiond \'air du Compresseur ROLLAIR<br />\r\nDétection de panne sur sécheur CTA<br />\r\n<br />\r\nCommande N° 940333569-0-10511', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 260.00000000, 52.00000000, 312.00000000, 'commande/CO1907-1010/CO1907-1010.pdf', NULL, NULL),
(1110, 'CO1907-1011', 1, NULL, NULL, NULL, 6101, NULL, '2019-07-03 14:18:46', '2019-07-03 10:24:25', '2019-07-03 10:24:45', '2019-07-03 10:25:32', '2019-07-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 91.80000000, 0.00000000, 0.00000000, 459.00000000, 550.80000000, '', 'Aspirateur ICA', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 459.00000000, 91.80000000, 550.80000000, 'commande/CO1907-1011/CO1907-1011.pdf', NULL, NULL),
(1111, 'CO1907-1012', 1, NULL, NULL, NULL, 6101, NULL, '2019-07-04 08:07:04', '2019-07-04 09:58:32', '2019-07-04 09:58:43', '2019-07-04 10:05:04', '2019-07-04', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 126.88000000, 0.00000000, 0.00000000, 634.42000000, 761.30000000, '', 'Maintenance compresseur ABAC SMART 20 à 27527 HRS<br />\r\n<br />\r\nBL N°7 du 27/06/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 634.42000000, 126.88000000, 761.30000000, 'commande/CO1907-1012/CO1907-1012.pdf', NULL, NULL),
(1112, 'CO1907-1013', 1, NULL, NULL, NULL, 2054, NULL, '2019-07-08 08:18:54', '2019-07-04 10:12:40', '2019-07-04 10:13:22', '2019-07-08 10:17:40', '2019-07-04', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 55.20000000, 0.00000000, 0.00000000, 276.00000000, 331.20000000, '', 'Intervention sur compresseur SULLAIR WA3008 - probleme de mise à vide<br />\r\n<br />\r\nBL N°45 du 27/06/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 276.00000000, 55.20000000, 331.20000000, 'commande/CO1907-1013/CO1907-1013.pdf', NULL, NULL),
(1113, 'CO1906-1014', 1, NULL, NULL, NULL, 2101, NULL, '2019-07-04 08:57:34', '2019-07-04 10:52:32', '2019-07-04 10:56:59', '2019-07-04 10:57:20', '2019-06-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 65.30000000, 0.00000000, 0.00000000, 326.50000000, 391.80000000, '', 'Intervention sur reseau d&#39;air girair 40<br />\r\n<br />\r\nBL N&deg;6 du 26/06/2019', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 326.50000000, 65.30000000, 391.80000000, 'commande/CO1906-1014/CO1906-1014.pdf', NULL, NULL),
(1114, 'CO1906-1015', 1, NULL, NULL, NULL, 2263, NULL, '2019-07-04 12:44:32', '2019-07-04 14:22:11', '2019-07-04 14:42:52', '2019-07-04 14:43:58', '2019-06-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 61.87000000, 0.00000000, 0.00000000, 309.35000000, 371.22000000, '', 'Intervention sur climatisation bureau - changement pompe de relevage des condensats&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 309.35000000, 61.87000000, 371.22000000, 'commande/CO1906-1015/CO1906-1015.pdf', NULL, NULL),
(1115, 'CO1907-1016', 1, NULL, NULL, NULL, 2279, NULL, '2019-07-31 08:48:17', '2019-07-04 16:47:35', '2019-07-31 10:47:12', '2019-07-31 10:47:28', '2019-07-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 184.19000000, 0.00000000, 0.00000000, 920.95000000, 1105.14000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 920.95000000, 184.19000000, 1105.14000000, 'commande/CO1907-1016/CO1907-1016.pdf', NULL, NULL),
(1116, 'CO1907-1017', 1, NULL, NULL, NULL, 2184, NULL, '2019-09-27 13:00:06', '2019-07-05 09:21:24', '2019-07-29 16:29:59', '2019-08-12 14:27:45', '2019-07-05', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 327.69000000, 0.00000000, 0.00000000, 1638.49000000, 1966.18000000, '', 'Maintenance L45RS ( 2018 ) N° CD10034859001 en huile alimentaire à 10814 HRS<br />\r\n<br />\r\nRemplacement cartouches filtres réseaux <br />\r\n<br />\r\nMaintenance seprateur de condensats OWAMAT 14<br />\r\n<br />\r\n<br />\r\n<br />\r\nCommande N°<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1638.49000000, 327.69000000, 1966.18000000, 'commande/CO1907-1017/CO1907-1017.pdf', NULL, NULL),
(1117, 'CO1907-1028', 1, NULL, NULL, NULL, 10660, NULL, '2019-07-10 07:13:20', '2019-07-05 14:51:54', '2019-07-10 09:13:08', '2019-07-10 09:13:18', '2019-07-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 47.81000000, 0.00000000, 0.00000000, 239.05000000, 286.86000000, '', 'Ajustement commande :', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 239.05000000, 47.81000000, 286.86000000, 'commande/CO1907-1028/CO1907-1028.pdf', NULL, NULL),
(1118, 'CO1907-1018', 1, NULL, NULL, NULL, 2311, NULL, '2019-07-31 09:14:33', '2019-07-08 10:28:09', '2019-07-31 11:12:08', '2019-07-31 11:12:25', '2019-07-08', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 94.49000000, 0.00000000, 0.00000000, 472.41000000, 566.90000000, '', 'maintenance compresseur à piston CLC507 N°221401565<br />\r\n<br />\r\net remplacement cartouche filtre reseau <br />\r\n<br />\r\nBL N°42 du 17/07/2019 <br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 472.41000000, 94.49000000, 566.90000000, 'commande/CO1907-1018/CO1907-1018.pdf', NULL, NULL),
(1119, 'CO1907-1019', 1, NULL, NULL, NULL, 2311, NULL, '2019-07-31 09:16:07', '2019-07-08 10:29:49', '2019-07-31 11:15:39', '2019-07-31 11:15:57', '2019-07-08', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 87.64000000, 0.00000000, 0.00000000, 438.20000000, 525.84000000, '', 'maintenance screw 10 à 16858 HRS<br />\r\n<br />\r\nBL N°44 du 17/07/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 438.20000000, 87.64000000, 525.84000000, 'commande/CO1907-1019/CO1907-1019.pdf', NULL, NULL),
(1120, 'CO1907-1020', 1, NULL, NULL, NULL, 2311, NULL, '2019-07-31 09:28:40', '2019-07-08 10:31:08', '2019-07-31 11:28:07', '2019-07-31 11:28:26', '2019-07-08', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 92.48000000, 0.00000000, 0.00000000, 462.42000000, 554.90000000, '', 'Maintenance devillbiss STAR20 à 19798 hRS N°1781220002<br />\r\n<br />\r\nBL N°43 du 17/07/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 462.42000000, 92.48000000, 554.90000000, 'commande/CO1907-1020/CO1907-1020.pdf', NULL, NULL),
(1121, 'CO1907-1021', 1, NULL, NULL, NULL, 2102, NULL, '2019-08-09 08:59:45', '2019-07-08 14:08:37', '2019-07-08 14:08:50', '2019-08-09 10:58:54', '2019-07-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 156.97000000, 0.00000000, 0.00000000, 784.81000000, 941.78000000, '', 'remplacement differentiel local STOCK', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 784.81000000, 156.97000000, 941.78000000, 'commande/CO1907-1021/CO1907-1021.pdf', NULL, NULL),
(1122, 'CO1907-1022', 1, NULL, NULL, NULL, 1981, NULL, '2019-07-29 09:08:22', '2019-07-09 11:31:28', '2019-07-09 11:32:24', '2019-07-29 11:07:45', '2019-07-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 118.93000000, 0.00000000, 0.00000000, 594.61000000, 713.54000000, '', 'Maintenance compresseur RS PRO 7.5 N°612032 à 5127 HRS<br />\r\n<br />\r\nBL N°8 du 08/08/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 594.61000000, 118.93000000, 713.54000000, 'commande/CO1907-1022/CO1907-1022.pdf', NULL, NULL),
(1123, 'CO1907-1023', 1, NULL, NULL, NULL, 11435, NULL, '2019-07-29 09:00:46', '2019-07-09 11:41:44', '2019-07-29 10:59:09', '2019-07-29 10:59:50', '2019-07-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 494.96000000, 0.00000000, 0.00000000, 2474.80000000, 2969.76000000, '', 'maintenance L30RS N&deg;cd10013952002', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2474.80000000, 494.96000000, 2969.76000000, 'commande/CO1907-1023/CO1907-1023.pdf', NULL, NULL),
(1124, 'CO1907-1024', 1, NULL, NULL, NULL, 2029, NULL, '2019-09-25 14:48:28', '2019-07-09 12:04:16', '2019-07-09 12:04:27', '2019-09-25 16:46:09', '2019-07-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 190.49000000, 0.00000000, 0.00000000, 952.41000000, 1142.90000000, '', 'maintenance L11 à 29451 HRS - Mise en place d\'un clapet d\'aspiration d\'occasion provisoire .', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 952.41000000, 190.49000000, 1142.90000000, 'commande/CO1907-1024/CO1907-1024.pdf', NULL, NULL),
(1125, 'CO1907-1025', 1, NULL, NULL, NULL, 2004, NULL, '2019-08-23 07:00:01', '2019-07-09 14:38:22', '2019-07-09 14:38:46', '2019-07-29 11:13:09', '2019-07-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 175.20000000, 0.00000000, 0.00000000, 875.97000000, 1051.17000000, '', 'Maintenance SCROLL Compresseur SLi 3.7KW N°5260008', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 875.97000000, 175.20000000, 1051.17000000, 'commande/CO1907-1025/CO1907-1025.pdf', NULL, NULL),
(1126, 'CO1907-1026', 1, NULL, NULL, NULL, 2055, NULL, '2019-08-08 08:09:09', '2019-07-09 14:45:20', '2019-08-08 10:07:57', '2019-08-08 10:08:18', '2019-07-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 189.58000000, 0.00000000, 0.00000000, 947.91000000, 1137.49000000, '', 'Maintenance compresseur L18 - en piéces adaptables ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 947.91000000, 189.58000000, 1137.49000000, 'commande/CO1907-1026/CO1907-1026.pdf', NULL, NULL),
(1127, 'CO1907-1027', 1, NULL, NULL, 'filtre magnétique', 2407, NULL, '2019-08-01 14:14:42', '2019-07-09 16:27:31', '2019-07-09 16:27:37', '2019-08-01 16:10:47', '2019-07-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 232.40000000, 0.00000000, 0.00000000, 1162.04000000, 1394.44000000, '', 'Inversion entree et sortie connexion filtre magnetique', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1162.04000000, 232.40000000, 1394.44000000, 'commande/CO1907-1027/CO1907-1027.pdf', NULL, NULL),
(1129, 'CO1907-1030', 1, NULL, NULL, 'L90 RS 2015 crouzet', 2407, NULL, '2019-11-06 13:13:46', '2019-07-10 09:29:57', '2019-07-10 09:30:04', '2019-09-23 16:58:09', '2019-07-10', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 141.53000000, 0.00000000, 0.00000000, 707.67000000, 849.20000000, '', 'Maintenance L90RS 13BARS de 2015 N° CD10030723001 à 11252 Heures<br />\r\n<br />\r\nBL N°40 du 15/07/2019<br />\r\n<br />\r\nCommande : 910965666<br />\r\n<br />\r\nLIvraison : CROUZET AUTOMATISME 26000VALENCE', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 707.67000000, 141.53000000, 849.20000000, 'commande/CO1907-1030/CO1907-1030.pdf', NULL, NULL),
(1131, 'CO1907-1032', 1, NULL, NULL, 'Compresseur', 2260, NULL, '2019-07-31 08:53:54', '2019-07-10 10:01:06', '2019-07-10 10:02:08', '2019-07-31 10:52:00', '2019-07-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 120.00000000, 0.00000000, 0.00000000, 600.00000000, 720.00000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 600.00000000, 120.00000000, 720.00000000, 'commande/CO1907-1032/CO1907-1032.pdf', NULL, NULL),
(1132, 'CO1907-1033', 1, NULL, NULL, NULL, 2001, NULL, '2019-08-28 08:40:48', '2019-07-12 10:36:06', '2019-07-12 10:36:16', '2019-08-28 10:40:48', '2019-07-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 40.12000000, 0.00000000, 0.00000000, 200.57000000, 240.69000000, '', '<p>KAESER SK19 19760-3  N° 01813383 de 1998  :</p>\r\n\r\n<p> </p>\r\n\r\n<p>                               2 nattes filtrantes  710 X 575   ref BSA 6.1943.0</p>\r\n\r\n<p>                               1 Séparateur   ref AIP S1P503</p>\r\n\r\n<p>                               2 cartouches air    ref AIP A1F155</p>\r\n\r\n<p>                               1 cartouche huile    ref AIP  H1H112<br />\r\n<br />\r\nDélai : 5 jours à reception de commande</p>\r\n', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 200.57000000, 40.12000000, 240.69000000, 'commande/CO1907-1033/CO1907-1033.pdf', NULL, NULL),
(1133, 'CO1907-1034', 1, NULL, NULL, NULL, 2016, NULL, '2020-03-09 10:50:54', '2019-07-15 09:26:04', '2019-07-29 14:16:17', '2019-07-29 14:16:45', '2019-07-15', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 99.23000000, 0.00000000, 0.00000000, 496.16000000, 595.39000000, '', 'Maintenance  compresseur L05 ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 496.16000000, 99.23000000, 595.39000000, 'commande/CO1907-1034/CO1907-1034.pdf', NULL, NULL),
(1134, 'CO1907-1035', 1, NULL, NULL, NULL, 2007, NULL, '2020-03-09 10:50:29', '2019-07-15 13:55:01', '2019-08-21 15:00:17', '2019-08-21 15:00:35', '2019-07-15', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 115.11000000, 0.00000000, 0.00000000, 575.60000000, 690.71000000, '', 'Maintenance HV02 N&deg; 502 029339-1408', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 575.60000000, 115.11000000, 690.71000000, 'commande/CO1907-1035/CO1907-1035.pdf', NULL, NULL),
(1135, 'CO1907-1036', 1, NULL, NULL, 'l15rs+cyclon107', 2347, NULL, '2019-08-01 13:24:28', '2019-07-16 09:16:32', '2019-07-16 09:21:12', '2019-08-01 15:24:03', '2019-07-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 210.92000000, 0.00000000, 0.00000000, 1054.60000000, 1265.52000000, '', '<ul>\r\n	<li>1 kit CK2100-1 et 1 s&eacute;parateur pour le compresseur L15RS</li>\r\n	<li>1 kit 2000h et un s&eacute;parateur pour le cyclon 107</li>\r\n	<li>1 bidon huile 4000 h</li>\r\n	<li>1 bidon huile 2000 h</li>\r\n</ul>\r\n', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1054.60000000, 210.92000000, 1265.52000000, 'commande/CO1907-1036/CO1907-1036.pdf', NULL, NULL),
(1136, 'CO1907-1037', 1, NULL, NULL, 'CF013001', 2032, NULL, '2019-07-29 12:33:46', '2019-07-16 09:51:03', '2019-07-16 09:51:40', '2019-07-16 09:52:23', '2019-07-16', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 22.14000000, 0.00000000, 0.00000000, 110.72000000, 132.86000000, '', '1 bidon d’huile pour compresseur (25l) Unil Opal VR46<br />\r\n<br />\r\nCommande CF013001', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 110.72000000, 22.14000000, 132.86000000, 'commande/CO1907-1037/CO1907-1037.pdf', NULL, NULL),
(1137, 'CO1907-1038', 1, NULL, NULL, NULL, 12869, NULL, '2019-12-23 12:34:56', '2019-07-16 12:07:44', '2019-07-16 12:07:56', NULL, '2019-07-16', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 212.99000000, 0.00000000, 0.00000000, 1064.95000000, 1277.94000000, '', 'Fourniture d&#39;un s&eacute;cheur taritant un d&eacute;bit de 72 m3/h et d&#39;un pr&eacute; filtre . ACcessoires de raccordement ( 5 m&eacute;tres de tuyau souple ) .<br />\r\nRaccordement par vos soins .', '', 0, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1064.95000000, 212.99000000, 1277.94000000, 'commande/CO1907-1038/CO1907-1038.pdf', NULL, NULL),
(1138, 'CO1907-1039', 1, NULL, NULL, NULL, 1940, NULL, '2019-08-08 07:10:40', '2019-07-17 11:56:39', '2019-07-17 11:56:48', '2019-08-08 09:10:40', '2019-07-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 119.39000000, 0.00000000, 0.00000000, 596.96000000, 716.35000000, '', 'DP-201907-0003', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 596.96000000, 119.39000000, 716.35000000, 'commande/CO1907-1039/CO1907-1039.pdf', NULL, NULL),
(1139, 'CO1907-1040', 1, NULL, NULL, NULL, 2101, NULL, '2019-07-29 13:20:48', '2019-07-17 15:25:46', '2019-07-17 15:27:35', '2019-07-29 15:20:10', '2019-07-17', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 102.41000000, 0.00000000, 0.00000000, 512.07000000, 614.48000000, '', 'maintenance RSDK PRO ECN 7.5 10BARS N°640020 ', 'einstein', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 512.07000000, 102.41000000, 614.48000000, 'commande/CO1907-1040/CO1907-1040.pdf', NULL, NULL),
(1140, 'CO1907-1041', 1, NULL, NULL, NULL, 2239, NULL, '2019-08-08 09:20:40', '2019-07-17 16:03:23', '2019-07-17 16:03:45', '2019-08-08 11:19:55', '2019-07-17', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 199.22000000, 0.00000000, 0.00000000, 996.14000000, 1195.36000000, '', 'Maintenance COmpresseur LUCHARD COMPAIR 6020ELX07BE à ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 996.14000000, 199.22000000, 1195.36000000, 'commande/CO1907-1041/CO1907-1041.pdf', NULL, NULL),
(1141, 'CO1907-1042', 1, NULL, NULL, NULL, 2162, NULL, '2019-08-12 08:35:15', '2019-07-23 10:18:29', '2019-07-23 10:18:42', '2019-08-12 10:34:31', '2019-07-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 58.23000000, 0.00000000, 0.00000000, 291.12000000, 349.35000000, '', 'Remplacement bekomat :<br />\r\n<strong><span style=\"font-size:11.0pt\"><span style=\"font-family:&quot;Calibri&quot;,sans-serif\"><span style=\"color:red\">Le BEKOMAT 21 n&rsquo;est plus commercialis&eacute; depuis plusieurs ann&eacute;es c&rsquo;est pourquoi nous vous proposons son rempla&ccedil;ant (fiche technique en P.J.)</span></span></span></strong>', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 291.12000000, 58.23000000, 349.35000000, 'commande/CO1907-1042/CO1907-1042.pdf', NULL, NULL),
(1142, 'CO1907-1043', 1, NULL, NULL, NULL, 2178, NULL, '2019-08-08 08:38:01', '2019-07-23 11:05:10', '2019-08-08 10:36:08', '2019-08-08 10:36:40', '2019-07-23', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 428.50000000, 0.00000000, 0.00000000, 2142.50000000, 2571.00000000, '', 'Maintenance L55 N° CD10008941001 à  HRS +  maintenance separateur de condensats<br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2142.50000000, 428.50000000, 2571.00000000, 'commande/CO1907-1043/CO1907-1043.pdf', NULL, NULL),
(1143, 'CO1907-1044', 1, NULL, NULL, '4500106762', 10144, NULL, '2020-06-03 09:28:58', '2019-07-23 11:38:00', '2020-06-03 11:21:58', '2020-06-03 11:22:19', '2019-07-23', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 177.53000000, 0.00000000, 0.00000000, 887.68000000, 1065.21000000, '', 'Maintenance 2000H rsf 22 10 bars n°830076<br />\r\n<br />\r\nCommande N°4500106762', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 887.68000000, 177.53000000, 1065.21000000, 'commande/CO1907-1044/CO1907-1044.pdf', NULL, NULL),
(1144, 'CO1907-1045', 1, NULL, NULL, NULL, 2407, NULL, '2019-08-21 14:38:51', '2019-07-23 14:41:10', '2019-07-23 14:42:43', '2019-08-21 16:38:23', '2019-07-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 121.91000000, 0.00000000, 0.00000000, 609.53000000, 731.44000000, '', 'remplacement purgeur bekomat sous la cuve&nbsp;<br />\r\nSite d&#39;intervention CROUZET 26000 VALENCE', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 609.53000000, 121.91000000, 731.44000000, 'commande/CO1907-1045/CO1907-1045.pdf', NULL, NULL),
(1145, 'CO1907-1046', 1, NULL, NULL, NULL, 2355, NULL, '2019-08-01 13:22:19', '2019-07-24 09:25:04', '2019-08-01 15:22:00', '2019-08-01 15:22:05', '2019-07-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 332.00000000, 0.00000000, 0.00000000, 1660.00000000, 1992.00000000, '', 'Accord de Mr Balazard pour reglement le 15/09/2019<br />\r\n<br />\r\nCompresseur &agrave; piston COMPAIR', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1660.00000000, 332.00000000, 1992.00000000, 'commande/CO1907-1046/CO1907-1046.pdf', NULL, NULL),
(1146, 'CO1907-1047', 1, NULL, NULL, NULL, 2300, NULL, '2019-08-13 08:40:47', '2019-07-24 09:32:38', '2019-08-13 10:32:22', '2019-08-13 10:33:49', '2019-07-24', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 617.62000000, 0.00000000, 0.00000000, 3088.08000000, 3705.70000000, '', 'Maintenance l45 N° cd10023286001 à 9126 HRS<br />\r\net filtres reseaux et owamat 14<br />\r\n<br />\r\nBL N°22 du 12/08/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3088.08000000, 617.62000000, 3705.70000000, 'commande/CO1907-1047/CO1907-1047.pdf', NULL, NULL),
(1147, 'CO1907-1048', 1, NULL, NULL, NULL, 12877, NULL, '2019-08-30 12:22:53', '2019-07-24 09:49:08', '2019-07-24 09:49:17', '2019-08-29 15:22:25', '2019-07-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1019.99000000, 0.00000000, 0.00000000, 5100.00000000, 6119.99000000, '', 'Prosition d&#39;un compreseur Neuf RENNER RSPRO 11KW/10B', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5100.00000000, 1019.99000000, 6119.99000000, 'commande/CO1907-1048/CO1907-1048.pdf', NULL, NULL),
(1148, 'CO1907-1049', 1, NULL, NULL, NULL, 12792, NULL, '2019-09-26 12:52:08', '2019-07-24 15:52:37', '2019-07-24 15:52:47', '2019-09-26 14:50:06', '2019-07-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1276.00000000, 0.00000000, 0.00000000, 6380.00000000, 7656.00000000, '', 'Le poste fixe est livré avec une lance 1 voie, une buse et un tuyau de 10 m<br />\r\nLe matériel est garantie 2 ans<br />\r\nLe service SAV se situe à Lyon et à Avignon <br />\r\nMaintenir de l\'anti-calcaire en permanence dans le poste fixe <br />\r\n<br />\r\nFourniture et installation d\'un local d\'air comprimé <br />\r\nHors raccordements éléctriques . <br />\r\nPose d\'un sectionneur de proximité à votre charge .<br />\r\n ', '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 6380.00000000, 1276.00000000, 7656.00000000, 'commande/CO1907-1049/CO1907-1049.pdf', NULL, NULL),
(1149, 'CO1907-1050', 1, NULL, NULL, 'ws15 lacote', 2054, NULL, '2019-08-22 07:14:39', '2019-07-25 11:44:35', '2019-08-08 10:16:04', '2019-08-21 15:15:35', '2019-07-25', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 138.84000000, 0.00000000, 0.00000000, 694.25000000, 833.09000000, '', 'maintenance ws15 à 42631 Heures<br />\r\n<br />\r\nCommande N° C038-1908-3262PM', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 694.25000000, 138.84000000, 833.09000000, 'commande/CO1907-1050/CO1907-1050.pdf', NULL, NULL),
(1150, 'CO1907-1051', 1, NULL, NULL, NULL, 1940, NULL, '2019-08-08 07:29:19', '2019-07-25 11:57:07', '2019-07-25 11:57:20', '2019-08-08 09:23:56', '2019-07-25', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 102.96000000, 0.00000000, 0.00000000, 514.78000000, 617.74000000, '', 'Vidange et demontage puis remise en état du compresseur L45RS pour vérification visuel de la cuve du separateur  :<br />\r\n<br />\r\nIntervention vendredi 2 aout 2019<br />\r\n<br />\r\nBL N°19 du 02/08/2019<br />\r\n<br />\r\nCommande N°2019520', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 514.78000000, 102.96000000, 617.74000000, 'commande/CO1907-1051/CO1907-1051.pdf', NULL, NULL),
(1151, 'CO1907-1052', 1, NULL, NULL, NULL, 2175, NULL, '2019-09-26 13:02:13', '2019-07-25 16:10:28', '2019-09-26 15:01:09', '2019-09-26 15:01:36', '2019-07-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 95.85000000, 0.00000000, 0.00000000, 479.22000000, 575.07000000, '', 'Maintenance Sullair Trek 15HH à 10590 HRS <br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 479.22000000, 95.85000000, 575.07000000, 'commande/CO1907-1052/CO1907-1052.pdf', NULL, NULL),
(1152, 'CO1907-1053', 1, NULL, NULL, NULL, 2175, NULL, '2019-09-26 13:08:22', '2019-07-25 16:11:43', '2019-09-26 15:06:49', '2019-09-26 15:07:33', '2019-07-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 100.93000000, 0.00000000, 0.00000000, 504.62000000, 605.55000000, '', 'Maintenance compresseur GA115 :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 504.62000000, 100.93000000, 605.55000000, 'commande/CO1907-1053/CO1907-1053.pdf', NULL, NULL),
(1153, 'CO1907-1054', 1, NULL, NULL, NULL, 2378, NULL, '2019-12-23 13:03:09', '2019-07-26 10:23:55', '2019-07-26 10:24:13', '2019-12-23 13:51:41', '2019-07-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 280.39000000, 0.00000000, 0.00000000, 1401.97000000, 1682.36000000, '', 'Maintenance L45RS&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1401.97000000, 280.39000000, 1682.36000000, 'commande/CO1907-1054/CO1907-1054.pdf', NULL, NULL),
(1154, 'CO1907-1055', 1, NULL, NULL, NULL, 2324, NULL, '2019-11-04 14:27:49', '2019-07-26 11:45:55', '2019-07-26 11:46:07', '2019-11-04 15:27:29', '2019-07-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 322.36000000, 0.00000000, 0.00000000, 1611.80000000, 1934.16000000, '', ' Fournitures : Piéces détachées compresseurs L18 COMPAIR<br />\r\n Cartouches filtres réseaux + Sécheur à installer<br />\r\n Fourniture d\'un réservoir galva 500Litres pose par nos soins , <br />\r\n 1 Technicien 1 journée pour l\'installation.', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1611.80000000, 322.36000000, 1934.16000000, 'commande/CO1907-1055/CO1907-1055.pdf', NULL, NULL);
INSERT INTO `llx_commande` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_cloture`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_cloture`, `source`, `fk_statut`, `amount_ht`, `remise_percent`, `remise_absolue`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `facture`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_livraison`, `fk_shipping_method`, `fk_warehouse`, `fk_availability`, `fk_input_reason`, `fk_delivery_address`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(1155, 'CO1907-1056', 1, NULL, NULL, NULL, 12700, NULL, '2019-12-23 12:35:50', '2019-07-26 14:58:00', '2019-07-26 14:58:19', '2019-10-01 14:58:11', '2019-07-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 4899.99000000, 0.00000000, 0.00000000, 24500.02000000, 29400.01000000, '', 'local air comprimé suivant devis du 26/06/2019 modifié suite à notre entretien du 25/07/2019 : <br />\r\ninclus :<br />\r\nligne electrique ( 20 metres en 4g16 et un fusible de 63A dans chemin de cable existant ) nouvelle machine<br />\r\nkit entretien compresseur L23RS et huile pour premiere maintenance 4000 Heures<br />\r\n<br />\r\nRéglement:<br />\r\nAcompte de 8167 € HT à verser sur nos comptes<br />\r\nsolde  :<br />\r\n50% à l\'installation<br />\r\n50% à 30 jours date de facture<br />\r\n ', 'einstein', 1, NULL, NULL, 12, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 24500.02000000, 4899.99000000, 29400.01000000, 'commande/CO1907-1056/CO1907-1056.pdf', NULL, NULL),
(1156, 'CO1907-1057', 1, NULL, NULL, NULL, 2370, NULL, '2019-08-29 08:18:46', '2019-07-29 11:36:06', '2019-08-29 10:18:09', '2019-08-29 10:18:34', '2019-07-29', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 404.06000000, 0.00000000, 0.00000000, 2020.38000000, 2424.44000000, '', 'Modification reseaux en inox serti suivant schéma de principe , avec filtration 2 etages 0.1µ et 0.01µ en départ nourrice murale avant les 3 departs munis de vanne 1/2\" ( dont 1 vers plasma )  <br />\r\n<br />\r\nBL N°21 du 26/08/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2020.38000000, 404.06000000, 2424.44000000, 'commande/CO1907-1057/CO1907-1057.pdf', NULL, NULL),
(1157, 'CO1907-1058', 1, NULL, NULL, NULL, 2287, NULL, '2019-12-24 09:49:54', '2019-07-29 11:52:36', '2019-07-29 11:52:41', '2019-12-23 14:14:04', '2019-07-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 111.73000000, 0.00000000, 0.00000000, 558.61000000, 670.34000000, '', 'Maintenance ROLLAIR N&deg; 339336', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 558.61000000, 111.73000000, 670.34000000, 'commande/CO1907-1058/CO1907-1058.pdf', NULL, NULL),
(1158, 'CO1907-1059', 1, NULL, NULL, NULL, 11275, NULL, '2019-08-22 07:41:26', '2019-07-30 10:13:02', '2019-07-30 10:17:27', '2019-08-22 09:41:12', '2019-07-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 365.34000000, 0.00000000, 0.00000000, 1826.72000000, 2192.06000000, '', 'Remplacement sécheur Compair par nouveau secheur pour traité sur débit du compresseur L22 7.5B de 2004 et coefficient de variation de temperature soit 220 m3/h en vue de l\'installation future du nouveau local . Raccordement par vos soins .<br />\r\nFourniture d\'un bidon de 25Litre d\'huile pour compresseur à vis', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1826.72000000, 365.34000000, 2192.06000000, 'commande/CO1907-1059/CO1907-1059.pdf', NULL, NULL),
(1159, 'CO1907-1060', 1, NULL, NULL, NULL, 2077, NULL, '2019-10-01 13:25:47', '2019-07-30 14:17:28', '2019-10-01 15:13:31', '2019-10-01 15:13:54', '2019-07-30', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 287.40000000, 0.00000000, 0.00000000, 1437.00000000, 1724.40000000, '', 'maintenance L22RS à  HRS<br />\r\n<br />\r\nMaintenance seprateur de condensats Owamat 10<br />\r\nremplacement cartouche filtre reseau<br />\r\n<br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1437.00000000, 287.40000000, 1724.40000000, 'commande/CO1907-1060/CO1907-1060.pdf', NULL, NULL),
(1160, 'CO1907-1061', 1, NULL, NULL, NULL, 2279, NULL, '2020-03-09 10:53:28', '2019-07-31 10:35:52', '2019-07-31 10:36:04', NULL, '2019-07-31', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 22.00000000, 0.00000000, 0.00000000, 110.00000000, 132.00000000, '', 'une purge electropilot&eacute;e&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 110.00000000, 22.00000000, 132.00000000, 'commande/CO1907-1061/CO1907-1061.pdf', NULL, NULL),
(1161, 'CO1908-1062', 1, NULL, NULL, NULL, 1935, NULL, '2019-08-08 07:31:47', '2019-08-01 09:08:15', '2019-08-01 09:08:26', '2019-08-08 09:31:22', '2019-08-01', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 18.29000000, 0.00000000, 0.00000000, 91.44000000, 109.73000000, '', 'Pi&eacute;ces detach&eacute;es pour L11 -&nbsp;<br />\r\n<br />\r\nD&eacute;lai : 3 jours', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 91.44000000, 18.29000000, 109.73000000, 'commande/CO1908-1062/CO1908-1062.pdf', NULL, NULL),
(1162, 'CO1908-1063', 1, NULL, NULL, NULL, 12930, NULL, '2019-11-05 15:11:46', '2019-08-01 09:20:36', '2019-08-01 15:03:08', '2019-11-05 16:11:43', '2019-08-01', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 4899.99000000, 0.00000000, 0.00000000, 24500.02000000, 29400.01000000, '', 'local air comprimé suivant devis du 26/06/2019 modifié suite à notre entretien du 25/07/2019 : <br />\r\ninclus :<br />\r\nligne electrique ( 20 metres en 4g16 et un fusible de 63A dans chemin de cable existant ) nouvelle machine<br />\r\nMaintenance compresseur L23RS uniquement  pour premiere maintenance 4000 Heures offerte . <br />\r\n<br />\r\nRéglement:<br />\r\nAcompte de 8167 € HT à verser sur nos comptes<br />\r\nsolde 30 jours date de facture<br />\r\n ', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 24500.02000000, 4899.99000000, 29400.01000000, 'commande/CO1908-1063/CO1908-1063.pdf', NULL, NULL),
(1163, 'CO1908-1064', 1, NULL, NULL, NULL, 2197, NULL, '2019-08-01 12:47:28', '2019-08-01 14:43:36', '2019-08-01 14:45:53', '2019-08-01 14:46:33', '2019-08-01', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1648.56000000, 0.00000000, 0.00000000, 8242.78000000, 9891.34000000, '', ' bloc vis compresseur L45RS<br />\r\n<br />\r\nGarantie 24 mois <br />\r\n<br />\r\nDossier LYON BISCUIT  N° 3169288', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 8242.78000000, 1648.56000000, 9891.34000000, 'commande/CO1908-1064/CO1908-1064.pdf', NULL, NULL),
(1164, 'CO1908-1065', 1, NULL, NULL, NULL, 2136, NULL, '2019-08-29 08:09:20', '2019-08-02 15:00:27', '2019-08-02 15:00:36', '2019-08-29 10:08:40', '2019-08-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 139.52000000, 0.00000000, 0.00000000, 697.58000000, 837.10000000, '', 'Maintenance rsdk pro 5.5 N&deg;639018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 697.58000000, 139.52000000, 837.10000000, 'commande/CO1908-1065/CO1908-1065.pdf', NULL, NULL),
(1165, 'CO1908-1066', 1, NULL, NULL, 'comp reservoi secheur', 12928, NULL, '2019-10-01 12:15:40', '2019-08-05 10:37:44', '2019-08-05 10:37:54', '2019-10-01 14:14:30', '2019-08-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1400.02000000, 0.00000000, 0.00000000, 7000.00000000, 8400.02000000, '', 'Fourniture d\'un compresseur à vis 7.5 KW à 7.5 Bars ( pouvant fonctionner à 6 Bars )  monté sur reservoir 270L avec sécheur par réfrigeration et filtration amont et aval , avec coffret d\'isolation phonique et kit silent blocs pour minimiser le niveau sonore à 60 dB(A).<br />\r\nLes travaux d\'alimentation electrique du compresseur et de ses accessoires reste a votre charge<br />\r\n \r\n<p><strong><em><u>Condition de vente</u></em></strong></p>\r\n\r\n<ul>\r\n	<li>Livraison : Franco</li>\r\n	<li>Délai : Sous 2 semaines environ</li>\r\n	<li>Garantie : 2 ans Pièces / Mo : Déplacement</li>\r\n	<li>Fabrication : Allemagne</li>\r\n</ul>\r\n', '', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 7000.00000000, 1400.02000000, 8400.02000000, 'commande/CO1908-1066/CO1908-1066.pdf', NULL, NULL),
(1166, 'CO1908-1067', 1, NULL, NULL, NULL, 2285, NULL, '2019-11-05 08:33:41', '2019-08-05 14:27:04', '2019-11-05 09:29:21', '2019-11-05 09:32:23', '2019-08-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 683.47000000, 0.00000000, 0.00000000, 3417.40000000, 4100.87000000, '', 'Maintenance de vos 2 compresseurs , votre secheur alumine et vos 2 surpresseurs :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3417.40000000, 683.47000000, 4100.87000000, 'commande/CO1908-1067/CO1908-1067.pdf', NULL, NULL),
(1167, 'CO1908-1068', 1, NULL, NULL, NULL, 2407, NULL, '2019-08-21 14:37:58', '2019-08-05 16:02:14', '2019-08-05 16:02:21', NULL, '2019-08-05', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 338.49000000, 0.00000000, 0.00000000, 1692.44000000, 2030.93000000, '', 'remplacement bague &agrave; levres et joint d&#39;accouplement sur compresseur L37 ( site crouzet )&nbsp;<br />\r\n<br />\r\nD&eacute;lai : 20/08/2019', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1692.44000000, 338.49000000, 2030.93000000, 'commande/CO1908-1068/CO1908-1068.pdf', NULL, NULL),
(1168, 'CO1908-1069', 1, NULL, NULL, NULL, 2223, NULL, '2019-09-27 08:01:27', '2019-08-05 16:35:57', '2019-09-27 09:59:38', '2019-09-27 10:00:50', '2019-08-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 112.97000000, 0.00000000, 0.00000000, 564.86000000, 677.83000000, '', 'Maintenance compresseur&nbsp; RSDK PRO ECN 7.5 7 .5 bars et remplacement cartouche filtre reseau&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 564.86000000, 112.97000000, 677.83000000, 'commande/CO1908-1069/CO1908-1069.pdf', NULL, NULL),
(1169, 'CO1908-1070', 1, NULL, NULL, NULL, 12608, NULL, '2019-08-13 07:24:10', '2019-08-06 09:36:27', '2019-08-06 09:36:47', '2019-08-13 09:23:42', '2019-08-06', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 130.97000000, 0.00000000, 0.00000000, 654.86000000, 785.83000000, '', 'Maintenance RS PRO 7.5 N° 713056 à  HRS<br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 654.86000000, 130.97000000, 785.83000000, 'commande/CO1908-1070/CO1908-1070.pdf', NULL, NULL),
(1170, 'CO1908-1071', 1, NULL, NULL, NULL, 10056, NULL, '2019-08-21 12:47:12', '2019-08-06 11:14:49', '2019-08-21 14:46:26', '2019-08-21 14:46:45', '2019-08-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 196.68000000, 0.00000000, 0.00000000, 983.38000000, 1180.06000000, '', 'Maintenance compresseur L07 COMPAIR', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 983.38000000, 196.68000000, 1180.06000000, 'commande/CO1908-1071/CO1908-1071.pdf', NULL, NULL),
(1171, 'CO1908-1072', 1, NULL, NULL, NULL, 10660, NULL, '2020-03-09 10:52:40', '2019-08-07 14:31:47', '2019-08-07 14:31:56', '2019-08-08 11:38:11', '2019-08-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 40.00000000, 0.00000000, 0.00000000, 200.00000000, 240.00000000, '', 'Suite &agrave; CT de ce jour :&nbsp;', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 200.00000000, 40.00000000, 240.00000000, 'commande/CO1908-1072/CO1908-1072.pdf', NULL, NULL),
(1172, 'CO1908-1073', 1, NULL, NULL, NULL, 11275, NULL, '2019-08-22 07:55:41', '2019-08-07 14:45:44', '2019-08-07 14:46:25', '2019-08-22 09:50:05', '2019-08-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 185.60000000, 0.00000000, 0.00000000, 928.00000000, 1113.60000000, '', 'Reservoir 900Litres 10.67B<br />\r\n<br />\r\nDélai :48/72 H<br />\r\n<br />\r\nDélai : FRANCO', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 928.00000000, 185.60000000, 1113.60000000, 'commande/CO1908-1073/CO1908-1073.pdf', NULL, NULL),
(1173, 'CO1908-1074', 1, NULL, NULL, NULL, 2350, NULL, '2019-08-21 14:22:42', '2019-08-07 16:15:48', '2019-08-07 16:16:16', '2019-08-21 16:15:19', '2019-08-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 466.71000000, 0.00000000, 0.00000000, 2333.59000000, 2800.30000000, '', 'Mise en place d&#39;un enrouleur 10x16_15 M. mise en place d&#39;une vanne de coupure d&#39;air R3/4', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2333.59000000, 466.71000000, 2800.30000000, 'commande/CO1908-1074/CO1908-1074.pdf', NULL, NULL),
(1174, 'CO1908-1075', 1, NULL, NULL, NULL, 2203, NULL, '2019-08-08 12:20:32', '2019-08-07 16:48:15', '2019-08-07 16:49:41', '2019-08-08 14:20:22', '2019-08-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 176.27000000, 0.00000000, 0.00000000, 881.33000000, 1057.60000000, '', 'huile alimentaire livr&eacute;e le 07/08/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 881.33000000, 176.27000000, 1057.60000000, 'commande/CO1908-1075/CO1908-1075.pdf', NULL, NULL),
(1176, 'CO1908-1076', 1, NULL, NULL, NULL, 2321, NULL, '2019-08-09 09:18:11', '2019-08-09 11:11:05', '2019-08-09 11:12:46', '2019-08-09 11:13:10', '2019-08-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 157.44000000, 0.00000000, 0.00000000, 787.15000000, 944.59000000, 'CONTRAT LISE', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 787.15000000, 157.44000000, 944.59000000, 'commande/CO1908-1076/CO1908-1076.pdf', NULL, NULL),
(1178, 'CO1908-1077', 1, NULL, NULL, NULL, 2234, NULL, '2019-10-03 12:39:57', '2019-08-19 11:44:24', '2019-08-30 10:06:25', '2019-09-26 16:38:10', '2019-08-19', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 489.96000000, 0.00000000, 0.00000000, 2449.85000000, 2939.81000000, '', 'Maintenance L45RS N°CD10005658001 à 8614Hrs<br />\r\nRemplcament des cartouches des filtres reseaux <br />\r\n<br />\r\nBL N° 24 du 29/09/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2449.85000000, 489.96000000, 2939.81000000, 'commande/CO1908-1077/CO1908-1077.pdf', NULL, NULL),
(1179, 'CO1908-1078', 1, NULL, NULL, NULL, 12819, NULL, '2020-02-20 08:37:40', '2019-08-20 10:12:12', '2019-08-20 10:12:24', NULL, '2019-08-20', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 22.00000000, 0.00000000, 0.00000000, 110.00000000, 132.00000000, '', 'pue tempo', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 110.00000000, 22.00000000, 132.00000000, 'commande/CO1908-1078/CO1908-1078.pdf', NULL, NULL),
(1180, 'CO1908-1079', 1, NULL, NULL, NULL, 2204, NULL, '2020-03-03 14:02:33', '2019-08-21 09:17:08', '2019-08-29 15:08:40', '2019-08-29 15:09:02', '2019-08-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 299.48000000, 0.00000000, 0.00000000, 1497.35000000, 1796.83000000, '', 'Contrat Lissé L22 N°CD10029439002 à  HRS+ owamat11 + filtres reseaux ( RA,RB et CA ) ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1497.35000000, 299.48000000, 1796.83000000, 'commande/CO1908-1079/CO1908-1079.pdf', NULL, NULL),
(1181, 'CO1908-1080', 1, NULL, NULL, NULL, 2170, NULL, '2019-08-29 09:32:13', '2019-08-21 09:23:16', '2019-08-21 09:27:43', '2019-08-29 11:31:19', '2019-08-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 119.71000000, 0.00000000, 0.00000000, 598.51000000, 718.22000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 598.51000000, 119.71000000, 718.22000000, 'commande/CO1908-1080/CO1908-1080.pdf', NULL, NULL),
(1182, 'CO1908-1081', 1, NULL, NULL, NULL, 2163, NULL, '2019-12-23 13:06:34', '2019-08-21 09:36:11', '2019-08-21 09:36:19', NULL, '2019-08-21', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 133.89000000, 0.00000000, 0.00000000, 669.49000000, 803.38000000, '', '', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 669.49000000, 133.89000000, 803.38000000, 'commande/CO1908-1081/CO1908-1081.pdf', NULL, NULL),
(1183, 'CO1908-1082', 1, NULL, NULL, NULL, 2263, NULL, '2019-08-21 12:55:53', '2019-08-21 14:53:28', '2019-08-21 14:55:12', '2019-08-21 14:55:46', '2019-08-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 56.00000000, 0.00000000, 0.00000000, 280.01000000, 336.01000000, '', 'D&eacute;pannage L11 N&deg; 34902710394 &agrave; 14000HRS - remplacement relai etoile<br />\r\n<br />\r\nBL N&deg;15 du 20/08/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 280.01000000, 56.00000000, 336.01000000, 'commande/CO1908-1082/CO1908-1082.pdf', NULL, NULL),
(1184, 'CO1908-1083', 1, NULL, NULL, NULL, 2311, NULL, '2019-09-16 12:53:42', '2019-08-22 10:29:47', '2019-08-22 10:33:01', '2019-09-16 14:53:26', '2019-08-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 40.27000000, 0.00000000, 0.00000000, 201.48000000, 241.75000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 201.48000000, 40.27000000, 241.75000000, 'commande/CO1908-1083/CO1908-1083.pdf', NULL, NULL),
(1185, 'CO1908-1084', 1, NULL, NULL, NULL, 2076, NULL, '2019-09-26 09:53:41', '2019-08-22 10:49:20', '2019-09-26 11:51:53', '2019-09-26 11:52:12', '2019-08-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 135.04000000, 0.00000000, 0.00000000, 675.20000000, 810.24000000, '', 'Maintenance HV07 et remplcament cartouche filtre reseau', '', 1, NULL, NULL, 3, 2, '2018-05-04', NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 675.20000000, 135.04000000, 810.24000000, 'commande/CO1908-1084/CO1908-1084.pdf', NULL, NULL),
(1186, 'CO1908-1085', 1, NULL, NULL, NULL, 2153, NULL, '2019-11-04 13:47:11', '2019-08-22 12:08:55', '2019-09-02 15:58:19', NULL, '2019-08-22', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 38.12000000, 0.00000000, 0.00000000, 190.59000000, 228.71000000, '', 'Filtre regulateur en remplcament de celui existant :<br />\r\n<br />\r\nLivraison par Mr BALAZARD&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 190.59000000, 38.12000000, 228.71000000, 'commande/CO1908-1085/CO1908-1085.pdf', NULL, NULL),
(1188, 'CO1908-1086', 1, NULL, NULL, NULL, 2169, NULL, '2019-09-26 13:35:13', '2019-08-23 10:51:01', '2019-09-26 15:33:12', '2019-09-26 15:33:57', '2019-08-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 133.43000000, 0.00000000, 0.00000000, 667.11000000, 800.54000000, '', 'bottarini', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 667.11000000, 133.43000000, 800.54000000, 'commande/CO1908-1086/CO1908-1086.pdf', NULL, NULL),
(1189, 'CO1908-1087', 1, NULL, NULL, NULL, 2004, NULL, '2019-09-13 14:33:07', '2019-08-26 09:18:45', '2019-08-26 09:18:52', '2019-09-13 16:31:01', '2019-08-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 183.26000000, 0.00000000, 0.00000000, 916.32000000, 1099.58000000, '', 'remplacement secheur sur compresseur Renner  <br />\r\n<br />\r\nDélai : 2 semaines', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 916.32000000, 183.26000000, 1099.58000000, 'commande/CO1908-1087/CO1908-1087.pdf', NULL, NULL),
(1190, 'CO1908-1088', 1, NULL, NULL, NULL, 12596, NULL, '2019-09-26 13:53:07', '2019-08-26 09:27:38', '2019-09-02 09:40:47', '2019-09-26 15:51:38', '2019-08-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 171.18000000, 0.00000000, 0.00000000, 855.86000000, 1027.04000000, '', 'Maintenance RS PRO7.5 10 bars', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 855.86000000, 171.18000000, 1027.04000000, 'commande/CO1908-1088/CO1908-1088.pdf', NULL, NULL),
(1191, 'CO1908-1089', 1, NULL, NULL, NULL, 2284, NULL, '2020-02-17 10:48:57', '2019-08-26 11:52:37', '2019-12-03 09:22:26', '2019-12-03 09:23:40', '2019-08-26', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 240.61000000, 0.00000000, 0.00000000, 1203.03000000, 1443.64000000, '', 'Maintenance l18RS N° CD10009205002 à <br />\r\nRemplacement cartouche filtres reseau<br />\r\net Maintenance separateur de condensats<br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1203.03000000, 240.61000000, 1443.64000000, 'commande/CO1908-1089/CO1908-1089.pdf', NULL, NULL),
(1192, 'CO1908-1090', 1, NULL, NULL, NULL, 2370, NULL, '2019-11-06 09:34:36', '2019-08-26 14:56:54', '2019-08-26 14:57:07', '2019-11-05 11:37:31', '2019-08-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 100.41000000, 0.00000000, 0.00000000, 502.07000000, 602.48000000, '', 'Maintenance RStop 7.5 :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 502.07000000, 100.41000000, 602.48000000, 'commande/CO1908-1090/CO1908-1090.pdf', NULL, NULL),
(1193, 'CO1908-1091', 1, NULL, NULL, NULL, 2344, NULL, '2020-07-21 09:15:36', '2019-08-26 16:35:47', '2019-08-26 16:36:30', NULL, '2019-08-26', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 145.80000000, 0.00000000, 0.00000000, 729.01000000, 874.81000000, '', 'Maintenance L11<br />\r\nRemplacement cartouches filtres reseaux<br />\r\nMaintenance separateur de condensats', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 729.01000000, 145.80000000, 874.81000000, 'commande/CO1908-1091/CO1908-1091.pdf', NULL, NULL),
(1194, 'CO1908-1092', 1, NULL, NULL, NULL, 2341, NULL, '2020-03-09 10:51:46', '2019-08-26 16:37:16', '2019-10-01 09:35:51', '2019-10-01 09:36:10', '2019-08-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 91.39000000, 0.00000000, 0.00000000, 456.94000000, 548.33000000, '', 'L11<br />\r\nseparateur de condensats', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 456.94000000, 91.39000000, 548.33000000, 'commande/CO1908-1092/CO1908-1092.pdf', NULL, NULL),
(1195, 'CO1908-1093', 1, NULL, NULL, NULL, 7060, NULL, '2020-03-09 10:54:39', '2019-08-26 17:13:04', '2019-10-03 14:19:14', '2019-10-03 14:21:13', '2019-08-26', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 145.95000000, 0.00000000, 0.00000000, 729.71000000, 875.66000000, '', 'Maintenance Local technique : Maintenance compresseur SULLAIR TREK30HH et 2 filtres reseaux -<br />\r\nSoufflage et verification des connection du sécheur  ACT55 .', 'einstein', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 729.71000000, 145.95000000, 875.66000000, 'commande/CO1908-1093/CO1908-1093.pdf', NULL, NULL),
(1196, 'CO1908-1094', 1, NULL, NULL, NULL, 2247, NULL, '2019-08-29 12:35:10', '2019-08-27 09:13:23', '2019-08-29 14:33:45', '2019-08-29 14:34:10', '2019-08-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 264.73000000, 0.00000000, 0.00000000, 1323.69000000, 1588.42000000, '', 'maintenance L18rs N° CD100018442001 à 2411HRS( nouvelle carte ) <br />\r\nMaintenance separateur de condensats OWAMT 11<br />\r\nRemplcament cartouche filtre reseau<br />\r\n<br />\r\n<br />\r\nBL N° 35 du 25/01/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1323.69000000, 264.73000000, 1588.42000000, 'commande/CO1908-1094/CO1908-1094.pdf', NULL, NULL),
(1197, 'CO1908-1095', 1, NULL, NULL, NULL, 2155, NULL, '2019-11-04 13:27:29', '2019-08-27 09:30:22', '2019-11-04 14:25:25', '2019-11-04 14:26:28', '2019-08-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 88.23000000, 0.00000000, 0.00000000, 441.13000000, 529.36000000, '', 'Maintenance L04 N&deg; BA37888001&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 441.13000000, 88.23000000, 529.36000000, 'commande/CO1908-1095/CO1908-1095.pdf', NULL, NULL),
(1198, 'CO1908-1096', 1, NULL, NULL, NULL, 12777, NULL, '2019-11-13 15:02:52', '2019-08-27 10:22:24', '2019-09-03 11:35:46', '2019-09-27 11:17:05', '2019-08-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 168.48000000, 0.00000000, 0.00000000, 842.40000000, 1010.88000000, 'verification du secheur pb de ventilo sur l\'un des secheurs', 'Remis en état et à niveau des 2 locaux de fabrication d\'air comprimé commpe suite à ma visite d\'hier :', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 842.40000000, 168.48000000, 1010.88000000, 'commande/CO1908-1096/CO1908-1096.pdf', NULL, NULL),
(1199, 'CO1908-1097', 1, NULL, NULL, NULL, 2174, NULL, '2019-09-26 13:22:11', '2019-08-27 11:51:55', '2019-09-26 15:18:19', '2019-09-26 15:18:30', '2019-08-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 284.66000000, 0.00000000, 0.00000000, 1423.30000000, 1707.96000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1423.30000000, 284.66000000, 1707.96000000, 'commande/CO1908-1097/CO1908-1097.pdf', NULL, NULL),
(1200, 'CO1908-1098', 1, NULL, NULL, NULL, 2352, NULL, '2019-11-05 10:28:33', '2019-08-27 12:11:12', '2019-11-05 11:26:38', '2019-11-05 11:27:51', '2019-08-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 407.48000000, 0.00000000, 0.00000000, 2037.40000000, 2444.88000000, '', 'Maintenance L37RS', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2037.40000000, 407.48000000, 2444.88000000, 'commande/CO1908-1098/CO1908-1098.pdf', NULL, NULL),
(1201, 'CO1908-1099', 1, NULL, NULL, NULL, 2406, NULL, '2019-10-01 12:53:19', '2019-08-27 16:14:01', '2019-10-01 14:46:43', '2019-10-01 14:48:12', '2019-08-27', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 291.94000000, 0.00000000, 0.00000000, 1459.66000000, 1751.60000000, '', 'mAINTENANCE COMPRESSEUR l18 N° CD10009710001 ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1459.66000000, 291.94000000, 1751.60000000, 'commande/CO1908-1099/CO1908-1099.pdf', NULL, NULL),
(1202, 'CO1908-1100', 1, NULL, NULL, NULL, 9822, NULL, '2019-12-23 13:07:26', '2019-08-28 09:50:23', '2019-08-28 09:52:32', NULL, '2019-08-28', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 340.38000000, 0.00000000, 0.00000000, 1701.86000000, 2042.24000000, '', 'maintenance L18rs N° CD10008506001 à 12260 HRS', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1701.86000000, 340.38000000, 2042.24000000, 'commande/CO1908-1100/CO1908-1100.pdf', NULL, NULL),
(1203, 'CO1908-1101', 1, NULL, NULL, NULL, 2103, NULL, '2020-03-02 15:19:54', '2019-08-28 12:11:21', '2019-08-28 12:11:36', '2019-09-26 14:41:21', '2019-08-28', 4, NULL, 4, 5, NULL, 3, 0.00000000, 0, NULL, 0, 199.22000000, 0.00000000, 0.00000000, 996.13000000, 1195.35000000, '', 'Maintenance L45RS N° CD10015227001 à 18448 HRS <br />\r\nMaintenance seprateur de condensats  owamat 14 <br />\r\n<br />\r\nBL N°2 du 15/03/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 996.13000000, 199.22000000, 1195.35000000, 'commande/CO1908-1101/CO1908-1101.pdf', NULL, NULL),
(1204, 'CO1908-1102', 1, NULL, NULL, NULL, 2197, NULL, '2019-08-29 13:23:21', '2019-08-29 15:22:34', '2019-08-29 15:23:07', '2019-08-29 15:23:11', '2019-08-29', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1019.99000000, 0.00000000, 0.00000000, 5100.00000000, 6119.99000000, '', 'Dossier 3193665- scierie chambaran<br />\r\nd\'un compreseur Neuf RENNER RSPRO 11KW/10B', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5100.00000000, 1019.99000000, 6119.99000000, 'commande/CO1908-1102/CO1908-1102.pdf', NULL, NULL),
(1205, 'CO1908-1103', 1, NULL, NULL, NULL, 2011, NULL, '2019-09-16 09:05:54', '2019-08-30 09:47:09', '2019-09-10 15:48:19', '2019-09-16 11:05:09', '2019-08-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 205.18000000, 0.00000000, 0.00000000, 1025.90000000, 1231.08000000, '', 'Maintenance L18', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1025.90000000, 205.18000000, 1231.08000000, 'commande/CO1908-1103/CO1908-1103.pdf', NULL, NULL),
(1206, 'CO1909-1104', 1, NULL, NULL, NULL, 2168, NULL, '2019-09-26 12:06:26', '2019-09-02 08:49:28', '2019-09-26 14:05:01', '2019-09-26 14:05:33', '2019-09-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 103.35000000, 0.00000000, 0.00000000, 516.75000000, 620.10000000, '', 'Maintenance L11 N&deg;BA22910002 - owamat 10 et filtres reseaux', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 516.75000000, 103.35000000, 620.10000000, 'commande/CO1909-1104/CO1909-1104.pdf', NULL, NULL),
(1207, 'CO1909-1105', 1, NULL, NULL, NULL, 2371, NULL, '2019-09-30 13:29:55', '2019-09-02 14:03:51', '2019-09-30 15:29:21', '2019-09-30 15:29:45', '2019-09-02', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 120.68000000, 0.00000000, 0.00000000, 603.44000000, 724.12000000, '', 'maintenance L22 N° CD10002416007 à 28231HRS et filtre reseau et maintenance separateur de condensats OWAMAT 10<br />\r\n<br />\r\nBL N°29 du 20/09/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 603.44000000, 120.68000000, 724.12000000, 'commande/CO1909-1105/CO1909-1105.pdf', NULL, NULL),
(1208, 'CO1909-1106', 1, NULL, NULL, NULL, 2379, NULL, '2020-03-09 10:51:28', '2019-09-02 14:36:10', '2019-10-01 10:35:48', '2019-10-01 10:36:33', '2019-09-02', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 143.39000000, 0.00000000, 0.00000000, 717.01000000, 860.40000000, '', 'Maintenance compresseur L15RS N° CD10024800002 à HRS<br />\r\nMaintenance seprateur de condensats owamat 10<br />\r\nRemplacement des cartouches filtres réseaux <br />\r\n<br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 717.01000000, 143.39000000, 860.40000000, 'commande/CO1909-1106/CO1909-1106.pdf', NULL, NULL),
(1210, 'CO1909-1107', 1, NULL, NULL, NULL, 2001, NULL, '2019-12-23 12:39:22', '2019-09-03 12:09:21', '2019-09-03 12:09:28', '2019-09-13 16:26:54', '2019-09-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 53.40000000, 0.00000000, 0.00000000, 267.00000000, 320.40000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 267.00000000, 53.40000000, 320.40000000, 'commande/CO1909-1107/CO1909-1107.pdf', NULL, NULL),
(1211, 'CO1909-1108', 1, NULL, NULL, NULL, 2407, NULL, '2019-10-01 12:33:21', '2019-09-04 09:51:32', '2019-09-04 09:54:14', '2019-09-04 09:54:17', '2019-09-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 157.64000000, 0.00000000, 0.00000000, 788.20000000, 945.84000000, '', 'Remplacement ventilateur sur secheur compair F300HS', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 788.20000000, 157.64000000, 945.84000000, 'commande/CO1909-1108/CO1909-1108.pdf', NULL, NULL),
(1212, 'CO1909-1109', 1, NULL, NULL, NULL, 12745, NULL, '2019-09-16 08:00:29', '2019-09-04 14:31:50', '2019-09-04 14:48:37', '2019-09-16 09:58:13', '2019-09-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 110.97000000, 0.00000000, 0.00000000, 554.85000000, 665.82000000, '', 'Maintenance compresseur rsdk pro 11 10 B N&deg;817041&nbsp;', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 554.85000000, 110.97000000, 665.82000000, 'commande/CO1909-1109/CO1909-1109.pdf', NULL, NULL),
(1213, 'CO1909-1110', 1, NULL, NULL, NULL, 2055, NULL, '2019-09-19 13:30:58', '2019-09-04 15:05:45', '2019-09-04 15:05:51', '2019-09-19 15:29:35', '2019-09-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 119.94000000, 0.00000000, 0.00000000, 599.71000000, 719.65000000, '', 'Fourniture et remplacement pieces defectueuses.<br />\r\nDelai d\'appro, 3 a 4 jours', '', 1, NULL, NULL, 15, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 599.71000000, 119.94000000, 719.65000000, 'commande/CO1909-1110/CO1909-1110.pdf', NULL, NULL),
(1214, 'CO1909-1111', 1, NULL, NULL, NULL, 2071, NULL, '2019-12-23 12:37:49', '2019-09-04 16:45:35', '2019-09-26 11:32:57', '2019-09-26 11:33:23', '2019-09-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 194.12000000, 0.00000000, 0.00000000, 970.71000000, 1164.83000000, '', 'Maintenance compresseur  V05 et boge\r\n<p>- Contrôles et vérifications préconisés par le constructeur<br />\r\n- Vérification sécheur et purge<br />\r\n- Tous contrôles électriques ( contacteurs , tous organes électriques identifiés lors de la maintenance ) par nos électriciens dans le local technique<br />\r\n- Hors autres pièces défectueuses pouvant être trouvées<br />\r\n-<u> Garantie 6 mois sur pièces filtration et maintenance</u> effectuée<br />\r\n- <u>Prêt GRATUIT </u>d\'un compresseur de 0 à 100 CV<br />\r\n </p>\r\n', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 970.71000000, 194.12000000, 1164.83000000, 'commande/CO1909-1111/CO1909-1111.pdf', NULL, NULL),
(1215, 'CO1909-1112', 1, NULL, NULL, NULL, 2042, NULL, '2019-12-23 12:40:19', '2019-09-05 15:44:20', '2019-09-05 16:15:14', '2019-09-17 11:40:49', '2019-09-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 104.96000000, 0.00000000, 0.00000000, 524.83000000, 629.79000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 524.83000000, 104.96000000, 629.79000000, 'commande/CO1909-1112/CO1909-1112.pdf', NULL, NULL),
(1216, 'CO1909-1113', 1, NULL, NULL, NULL, 1988, NULL, '2019-09-06 08:42:24', '2019-09-06 10:38:01', '2019-09-06 10:39:50', '2019-09-06 10:41:46', '2019-09-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 75.87000000, 0.00000000, 0.00000000, 379.34000000, 455.21000000, '', 'Mise en place d&#39;un s&eacute;cheur de pr&ecirc;t gratuit * sous reserve de nous confier la r&eacute;paration de votre machine d&eacute;fectueuse ou l&#39;achat d&#39;une machine neuve .<br />\r\nPour information prix de location : 250&euro;/ semaine', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 379.34000000, 75.87000000, 455.21000000, 'commande/CO1909-1113/CO1909-1113.pdf', NULL, NULL),
(1217, 'CO1909-1114', 1, NULL, NULL, NULL, 12945, NULL, '2019-12-23 12:40:28', '2019-09-10 11:00:34', '2019-09-10 11:00:51', '2019-09-11 15:34:37', '2019-09-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 87.30000000, 0.00000000, 0.00000000, 436.50000000, 523.80000000, '', '&nbsp;filtres reseaux complets avec cartouches filtration RA RB&nbsp; CHARBON ACTIF :<br />\r\n<br />\r\nD&eacute;lai : 3 &agrave; 4 jours&nbsp;<br />\r\n<br />\r\n<strong>Grade RB :</strong><br />\r\n<br />\r\n&bull; 1 micron &ndash; 0,1 ppm<br />\r\n&bull; Extraction de l&rsquo;huile et filtration de l&rsquo;air comprim&eacute; pour usages g&eacute;n&eacute;raux :protection des s&eacute;cheurs frigorifiques contre les d&eacute;p&ocirc;ts et incrustations sur les tubes d&rsquo;&eacute;change.<br />\r\n&bull; Pr&eacute;filtre pour pompes &agrave; vide<br />\r\n&bull; Pr&eacute;filtre pour les grades RA et CA<br />\r\n<br />\r\n<strong>Grade RA :</strong><br />\r\n<br />\r\n&bull; 0,01 micron &ndash; 0,01 ppm<br />\r\n&bull; Extraction de pr&eacute;cision de l&rsquo;huile et filtration de l&rsquo;air comprim&eacute; :s&eacute;cheurs &agrave; adsorption appareils sophistiqu&eacute;s, industrie alimentaire, textile, &eacute;lectronique&hellip;Machines pour fa&ccedil;onnage, cabines de vernissage.<br />\r\n<br />\r\n<strong>Grade CA :</strong><br />\r\n<br />\r\n&bull; 0,003 micron &ndash; 0,01 ppm<br />\r\n&bull; Air comprim&eacute; exempt d&rsquo;huile et d&rsquo;odeur d&rsquo;huile.Il doit &ecirc;tre prot&eacute;g&eacute; par le grade RA<br />\r\n&bull; Air comprim&eacute; pour :industrie alimentaire, pharmaceutique, cosm&eacute;tique, air-respirable<br />\r\n&nbsp;', '', 1, NULL, NULL, 12, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 436.50000000, 87.30000000, 523.80000000, 'commande/CO1909-1114/CO1909-1114.pdf', NULL, NULL),
(1218, 'CO1909-1115', 1, NULL, NULL, NULL, 2033, NULL, '2019-09-13 14:36:30', '2019-09-11 09:57:04', '2019-09-11 09:57:14', '2019-09-13 16:36:04', '2019-09-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 107.60000000, 0.00000000, 0.00000000, 538.00000000, 645.60000000, '', 'pour la livraison à Etoile de 1 réservoir air de500 litres - hors installation et raccordement<br />\r\n<br />\r\nFRANCO', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 538.00000000, 107.60000000, 645.60000000, 'commande/CO1909-1115/CO1909-1115.pdf', NULL, NULL),
(1219, 'CO1909-1116', 1, NULL, NULL, NULL, 2397, NULL, '2020-07-01 13:51:29', '2019-09-11 10:29:05', '2020-07-01 15:42:58', '2020-07-01 15:48:13', '2019-09-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 86.05000000, 0.00000000, 0.00000000, 430.25000000, 516.30000000, '', 'Maintenance compresseur L07', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 430.25000000, 86.05000000, 516.30000000, 'commande/CO1909-1116/CO1909-1116.pdf', NULL, NULL),
(1220, 'CO1909-1117', 1, NULL, NULL, NULL, 12667, NULL, '2020-03-09 10:51:56', '2019-09-11 14:25:36', '2019-09-30 16:06:21', '2019-09-30 16:12:26', '2019-09-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 103.68000000, 0.00000000, 0.00000000, 518.44000000, 622.12000000, '', 'GX7', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 518.44000000, 103.68000000, 622.12000000, 'commande/CO1909-1117/CO1909-1117.pdf', NULL, NULL),
(1221, 'CO1909-1118', 1, NULL, NULL, '1900815', 1948, NULL, '2020-07-01 14:30:04', '2019-09-11 15:01:27', '2019-09-11 15:18:16', '2020-07-01 16:30:04', '2019-09-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 61.96000000, 0.00000000, 0.00000000, 309.80000000, 371.76000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 309.80000000, 61.96000000, 371.76000000, 'commande/CO1909-1118/CO1909-1118.pdf', NULL, NULL),
(1222, 'CO1909-1119', 1, NULL, NULL, NULL, 2380, NULL, '2019-12-23 12:38:44', '2019-09-11 16:17:03', '2019-10-01 10:57:07', '2019-10-01 10:58:16', '2019-09-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 153.76000000, 0.00000000, 0.00000000, 768.79000000, 922.55000000, '', 'Maintenance compresseur BOGE C9<br />\r\net remplcament cartouches filtres reseaux', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 768.79000000, 153.76000000, 922.55000000, 'commande/CO1909-1119/CO1909-1119.pdf', NULL, NULL),
(1223, 'CO1909-1120', 1, NULL, NULL, NULL, 2272, NULL, '2019-12-23 09:40:49', '2019-09-11 17:03:28', '2019-09-11 17:04:39', '2019-09-27 10:50:56', '2019-09-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 127.75000000, 0.00000000, 0.00000000, 638.75000000, 766.50000000, '', 'l05', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 638.75000000, 127.75000000, 766.50000000, 'commande/CO1909-1120/CO1909-1120.pdf', NULL, NULL),
(1224, 'CO1909-1121', 1, NULL, NULL, NULL, 2161, NULL, '2019-12-23 12:40:41', '2019-09-12 09:18:18', '2019-09-12 09:18:28', '2019-11-04 14:49:46', '2019-09-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 563.89000000, 0.00000000, 0.00000000, 2819.55000000, 3383.44000000, 'signé pour l\'année 2019', 'Base contrat de maintenance 2019 :', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2819.55000000, 563.89000000, 3383.44000000, 'commande/CO1909-1121/CO1909-1121.pdf', NULL, NULL),
(1225, 'CO1909-1122', 1, NULL, NULL, NULL, 11440, NULL, '2019-12-23 12:40:59', '2019-09-12 11:06:05', '2019-09-12 11:06:12', '2019-10-01 11:17:52', '2019-09-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 112.98000000, 0.00000000, 0.00000000, 564.86000000, 677.84000000, '', 'Maintenance compresseur RSDKB 4 -10bars RENNER N&deg; 710036', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 564.86000000, 112.98000000, 677.84000000, 'commande/CO1909-1122/CO1909-1122.pdf', NULL, NULL),
(1226, 'CO1909-1123', 1, NULL, NULL, NULL, 2102, NULL, '2019-09-26 12:38:34', '2019-09-12 16:13:35', '2019-09-12 16:13:41', '2019-09-12 16:14:15', '2019-09-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 44.80000000, 0.00000000, 0.00000000, 224.00000000, 268.80000000, '', 'un devis pour un carton de néons led<br />\r\n<br />\r\nDélai : DISPONIBLE', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 224.00000000, 44.80000000, 268.80000000, 'commande/CO1909-1123/CO1909-1123.pdf', NULL, NULL),
(1227, 'CO1909-1124', 1, NULL, NULL, 'secheur ', 1988, NULL, '2019-11-29 10:50:29', '2019-09-13 08:58:51', '2019-09-13 08:58:59', '2019-11-29 11:49:57', '2019-09-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1355.06000000, 0.00000000, 0.00000000, 6775.32000000, 8130.38000000, '', 'Remplacement de votre secheur F133C+ ( 798 m3/h ) 2\" par un secheur F140HS COMPAIR ( 840m3/h ) pour traiter le débit de votre compresseur L55RS ( 618.60 m3/h ) avec une pre filtration<br />\r\n<br />\r\nDélai : 3 semaines<br />\r\n<br />\r\nCe devis n\'inclut pas la manutention, celle ci restant à votre charge', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 6775.32000000, 1355.06000000, 8130.38000000, 'commande/CO1909-1124/CO1909-1124.pdf', NULL, NULL),
(1229, 'CO1909-1126', 1, NULL, NULL, NULL, 2064, NULL, '2020-07-21 09:01:34', '2019-09-13 15:14:51', '2019-09-13 15:17:14', NULL, '2019-09-13', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 403.20000000, 0.00000000, 0.00000000, 2016.03000000, 2419.23000000, '', 'Maintenance L37 N&deg; CD1008491001<br />\r\nflitres reseau eurodry secheur', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2016.03000000, 403.20000000, 2419.23000000, 'commande/CO1909-1126/CO1909-1126.pdf', NULL, NULL),
(1230, 'CO1909-1127', 1, NULL, NULL, NULL, 2178, NULL, '2019-09-26 13:48:05', '2019-09-16 09:32:14', '2019-09-16 09:32:36', '2019-09-26 15:47:38', '2019-09-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 105.60000000, 0.00000000, 0.00000000, 528.00000000, 633.60000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 528.00000000, 105.60000000, 633.60000000, 'commande/CO1909-1127/CO1909-1127.pdf', NULL, NULL),
(1231, 'CO1909-1128', 1, NULL, NULL, 'filtres reseaux mattei', 10407, NULL, '2019-11-05 09:40:24', '2019-09-16 11:26:28', '2019-09-16 11:26:37', '2019-11-05 10:39:22', '2019-09-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 16.20000000, 0.00000000, 0.00000000, 81.00000000, 97.20000000, '', 'Remplacement des 2 cartouches des filtres reseaux MATTEI en m&ecirc;me temps qu&#39;une maintenance compresseur :&nbsp;', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 81.00000000, 16.20000000, 97.20000000, 'commande/CO1909-1128/CO1909-1128.pdf', NULL, NULL),
(1232, 'CO1909-1129', 1, NULL, NULL, 'CYCLON 218', 10407, NULL, '2019-11-05 10:02:01', '2019-09-16 11:27:16', '2019-09-16 11:27:31', '2019-11-05 10:53:25', '2019-09-16', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 90.88000000, 0.00000000, 0.00000000, 454.43000000, 545.31000000, '', 'Maintenance cyclon 218 N° F164-2519 année 2000 à 23033 HRS<br />\r\n<br />\r\nBL N°5 du 15/10/2019<br />\r\n \r\n<p>- Contrôles et vérifications préconisés par le constructeur<br />\r\n- Vérification sécheur et purge<br />\r\n- Tous contrôles électriques ( contacteurs , tous organes électriques identifiés lors de la maintenance ) par nos électriciens dans le local technique<br />\r\n- Hors autres pièces défectueuses pouvant être trouvées<br />\r\n-<u> Garantie 6 mois sur pièces filtration et maintenance</u> effectuée<br />\r\n- <u>Prêt GRATUIT </u>d\'un compresseur de 0 à 100 CV dans la jounée<br />\r\n- Audit GRATUIT , ... etc</p>\r\n<br />\r\n ', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 454.43000000, 90.88000000, 545.31000000, 'commande/CO1909-1129/CO1909-1129.pdf', NULL, NULL),
(1233, 'CO1909-1130', 1, NULL, NULL, NULL, 12693, NULL, '2019-09-25 14:12:16', '2019-09-16 14:27:10', '2019-09-25 16:11:35', '2019-09-25 16:11:55', '2019-09-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 125.72000000, 0.00000000, 0.00000000, 628.59000000, 754.31000000, '', 'Maintenance compresseur L11 et remplacement 2 cartouches r&eacute;seaux&nbsp;<br />\r\n- Contr&ocirc;les et v&eacute;rifications &nbsp;pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es&nbsp;<br />\r\n&nbsp;-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n<br />\r\n&nbsp;', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 628.59000000, 125.72000000, 754.31000000, 'commande/CO1909-1130/CO1909-1130.pdf', NULL, NULL),
(1234, 'CO1909-1131', 1, NULL, NULL, NULL, 1990, NULL, '2019-09-18 12:46:46', '2019-09-17 09:27:46', '2019-09-17 09:27:52', '2019-09-18 14:46:23', '2019-09-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 5.60000000, 0.00000000, 0.00000000, 28.00000000, 33.60000000, '', 'BRIDE PN16 suite &agrave; votre conversation avec Mr BALAZARD<br />\r\n<br />\r\nD&eacute;lai : DISPO USINE', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 28.00000000, 5.60000000, 33.60000000, 'commande/CO1909-1131/CO1909-1131.pdf', NULL, NULL),
(1235, 'CO1909-1190', 1, NULL, NULL, NULL, 12784, NULL, '2019-11-04 10:58:45', '2019-09-17 11:28:07', '2019-11-04 11:57:44', '2019-11-04 11:57:48', '2019-09-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 120.00000000, 0.00000000, 0.00000000, 600.00000000, 720.00000000, '', 'Prix d\'une location hebdomadaire d\'un compresseur 7.5KW en huile ALIMENTAIRE avec un sécheur frigorifique :<br />\r\n<br />\r\nLivraison et enlevement inclus dans cette offre : ', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 600.00000000, 120.00000000, 720.00000000, 'commande/CO1909-1190/CO1909-1190.pdf', NULL, NULL),
(1236, 'CO1909-1132', 1, NULL, NULL, NULL, 12944, NULL, '2019-12-23 12:41:55', '2019-09-18 17:19:57', '2019-09-18 17:20:04', '2019-09-18 17:21:25', '2019-09-18', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 19.20000000, 0.00000000, 0.00000000, 96.00000000, 115.20000000, '', '', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 96.00000000, 19.20000000, 115.20000000, 'commande/CO1909-1132/CO1909-1132.pdf', NULL, NULL),
(1237, 'CO1909-1133', 1, NULL, NULL, NULL, 2068, NULL, '2019-09-26 12:32:10', '2019-09-19 09:29:24', '2019-09-19 09:29:30', NULL, '2019-09-19', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 21.00000000, 0.00000000, 0.00000000, 105.00000000, 126.00000000, '', 'Pressostat pour compresseur L05 COMPAIR :<br />\r\nd&eacute;lai :&nbsp; 30/09/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 105.00000000, 21.00000000, 126.00000000, 'commande/CO1909-1133/CO1909-1133.pdf', NULL, NULL),
(1238, 'CO1909-1134', 1, NULL, NULL, NULL, 2020, NULL, '2020-03-02 15:38:32', '2019-09-19 14:29:25', '2019-09-19 14:51:20', '2019-09-19 14:51:29', '2019-09-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 245.73000000, 0.00000000, 0.00000000, 1228.67000000, 1474.40000000, '', 'Installation et raccordement en air et &eacute;l&eacute;ctrique du compresseur L22 et s&eacute;cheru F40S avec filtration&nbsp;<br />\r\nEn r&eacute;gie<br />\r\n<br />\r\nBL N&deg;41 du 16/09/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1228.67000000, 245.73000000, 1474.40000000, 'commande/CO1909-1134/CO1909-1134.pdf', NULL, NULL);
INSERT INTO `llx_commande` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_cloture`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_cloture`, `source`, `fk_statut`, `amount_ht`, `remise_percent`, `remise_absolue`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `facture`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_livraison`, `fk_shipping_method`, `fk_warehouse`, `fk_availability`, `fk_input_reason`, `fk_delivery_address`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(1239, 'CO1909-1167', 1, NULL, NULL, NULL, 2397, NULL, '2019-11-06 13:41:27', '2019-09-20 15:49:02', '2019-10-14 15:45:03', '2019-11-06 14:41:13', '2019-09-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 339.59000000, 0.00000000, 0.00000000, 1697.95000000, 2037.54000000, '', 'Compresseur &agrave; piston COMPAIR<br />\r\nGarantie 2 ans pi&eacute;ces et main d&#39;eouvre&nbsp;<br />\r\n43 m3/h 7.5Ch 10 Bar<br />\r\n<br />\r\nEn option une purge temporis&eacute;e&nbsp;<br />\r\n<br />\r\nN&#39;est pas inclut dans cette offre : le raccordement et la mise en service .<br />\r\n&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1697.95000000, 339.59000000, 2037.54000000, 'commande/CO1909-1167/CO1909-1167.pdf', NULL, NULL),
(1240, 'CO1909-1135', 1, NULL, NULL, NULL, 12792, NULL, '2019-11-04 11:02:46', '2019-09-23 11:03:43', '2019-09-23 11:03:53', '2019-11-04 12:01:38', '2019-09-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 150.80000000, 0.00000000, 0.00000000, 754.00000000, 904.80000000, '', 'Vous nous avez consult&eacute; pour une &eacute;preuve de charge &agrave; r&eacute;aliser sur le pont W254S4 r&eacute;cemment livr&eacute;', '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 754.00000000, 150.80000000, 904.80000000, 'commande/CO1909-1135/CO1909-1135.pdf', NULL, NULL),
(1241, 'CO1909-1136', 1, NULL, NULL, NULL, 5741, NULL, '2020-12-21 10:08:54', '2019-09-24 08:35:58', '2019-09-24 08:36:11', '2020-12-21 11:08:54', '2019-09-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 447.29000000, 0.00000000, 0.00000000, 2236.46000000, 2683.75000000, '', 'Pi&eacute;ces pour&nbsp;Compresseur&nbsp;: RA-086&nbsp; n&deg; de s&eacute;rie&nbsp;: 349010/1092<br />\r\n<br />\r\nD&eacute;lai : 04/10/2019', '', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2236.46000000, 447.29000000, 2683.75000000, 'commande/CO1909-1136/CO1909-1136.pdf', NULL, NULL),
(1242, 'CO1909-1137', 1, NULL, NULL, 'ABAC', 11209, NULL, '2019-10-03 07:33:37', '2019-09-24 09:05:09', '2019-09-24 09:05:20', '2019-10-03 09:29:17', '2019-09-24', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 149.81000000, 0.00000000, 0.00000000, 749.09000000, 898.90000000, '', 'Maintenance compresseur SCREW 4010 VT  N°244581001 à 11455 HRS et filtre reseau D510\r\n<p>BL N°8 du 30/09/2019</p>\r\n<br />\r\n ', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 749.09000000, 149.81000000, 898.90000000, 'commande/CO1909-1137/CO1909-1137.pdf', NULL, NULL),
(1243, 'CO1909-1138', 1, NULL, NULL, 'BELAIR', 11209, NULL, '2019-10-03 07:36:46', '2019-09-24 09:07:07', '2019-09-24 09:07:32', '2019-10-03 09:34:04', '2019-09-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 109.66000000, 0.00000000, 0.00000000, 548.26000000, 657.92000000, '', 'Maintenance compresseur BELAIR GS30\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la joun&eacute;e<br />\r\n- Audit GRATUIT , ... etc</p>\r\n<br />\r\n&nbsp;', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 548.26000000, 109.66000000, 657.92000000, 'commande/CO1909-1138/CO1909-1138.pdf', NULL, NULL),
(1244, 'CO1909-1139', 1, NULL, NULL, NULL, 11209, NULL, '2019-10-17 13:59:13', '2019-09-24 09:08:21', '2019-09-24 09:08:30', '2019-10-03 09:37:30', '2019-09-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 125.03000000, 0.00000000, 0.00000000, 625.13000000, 750.16000000, '', 'Maintenance séparateur de condensats ECOTRON60 et ECOSEP S3 : <br />\r\n<br />\r\nA réaliser avec une maintenance - déplacement non inclus dans cette offre', 'einstein', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 625.13000000, 125.03000000, 750.16000000, 'commande/CO1909-1139/CO1909-1139.pdf', NULL, NULL),
(1245, 'CO1909-1140', 1, NULL, NULL, NULL, 2234, NULL, '2019-10-03 12:41:17', '2019-09-24 14:47:01', '2019-09-24 14:47:07', '2019-10-03 14:40:46', '2019-09-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 80.68000000, 0.00000000, 0.00000000, 403.40000000, 484.08000000, '', 'remplacement battery sur compresseur', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 403.40000000, 80.68000000, 484.08000000, 'commande/CO1909-1140/CO1909-1140.pdf', NULL, NULL),
(1246, 'CO1909-1141', 1, NULL, NULL, 'local', 2391, NULL, '2019-12-26 13:30:02', '2019-09-24 15:20:36', '2019-10-14 12:00:20', '2019-12-26 14:30:02', '2019-09-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 6966.93000000, 0.00000000, 0.00000000, 34834.75000000, 41801.68000000, '', 'Nouveau local air comprim&eacute; L29RS', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 34834.75000000, 6966.93000000, 41801.68000000, 'commande/CO1909-1141/CO1909-1141.pdf', NULL, NULL),
(1247, 'CO1909-1142', 1, NULL, NULL, NULL, 12877, NULL, '2019-09-25 14:41:44', '2019-09-25 16:40:11', '2019-09-25 16:41:13', '2019-09-25 16:41:25', '2019-09-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 28.55000000, 0.00000000, 0.00000000, 142.76000000, 171.31000000, '', 'Intervention sur s&eacute;cheur MPF101&nbsp;<br />\r\n<br />\r\nBL N&deg;2 du 24/09/2019', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 142.76000000, 28.55000000, 171.31000000, 'commande/CO1909-1142/CO1909-1142.pdf', NULL, NULL),
(1248, 'CO1909-1143', 1, NULL, NULL, NULL, 2276, NULL, '2020-03-09 10:53:34', '2019-09-25 16:58:27', '2019-12-02 16:56:13', '2019-12-02 16:56:37', '2019-09-25', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 384.43000000, 0.00000000, 0.00000000, 1922.16000000, 2306.59000000, '', 'maintenance L29RS N° CD10015163001 à  HRS & separateur de condensats beko, filtres reseaux : <br />\r\n<br />\r\nBL N° ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1922.16000000, 384.43000000, 2306.59000000, 'commande/CO1909-1143/CO1909-1143.pdf', NULL, NULL),
(1249, 'CO1909-1144', 1, NULL, NULL, NULL, 2276, NULL, '2019-12-02 15:54:30', '2019-09-26 09:25:23', '2019-11-04 16:34:50', '2019-11-04 16:35:11', '2019-09-26', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 266.74000000, 0.00000000, 0.00000000, 1333.78000000, 1600.52000000, '', 'Maintenance compresseur Ingersollrand IRN18-10H à  HRS<br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1333.78000000, 266.74000000, 1600.52000000, 'commande/CO1909-1144/CO1909-1144.pdf', NULL, NULL),
(1250, 'CO1909-1145', 1, NULL, NULL, NULL, 2054, NULL, '2019-09-27 07:42:00', '2019-09-26 11:26:31', '2019-09-26 11:48:21', '2019-09-26 11:48:45', '2019-09-26', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 147.07000000, 0.00000000, 0.00000000, 735.38000000, 882.45000000, '', 'Réparation carte du compresseur Sullair Wa3008 à 19152 Heures - remplacement des relais sur la carte .<br />\r\n<br />\r\nBL N°28 du 20/09/2019<br />\r\n<br />\r\nRemplacement clapet du compresseur SUllair WA3008 à 19146 Heures<br />\r\n<br />\r\nBL N°37 du 12/09/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 735.38000000, 147.07000000, 882.45000000, 'commande/CO1909-1145/CO1909-1145.pdf', NULL, NULL),
(1251, 'CO1909-1146', 1, NULL, NULL, NULL, 9822, NULL, '2019-10-31 08:18:52', '2019-09-26 16:50:01', '2019-09-26 16:52:51', '2019-09-26 16:52:59', '2019-09-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 32.52000000, 0.00000000, 0.00000000, 162.60000000, 195.12000000, '', 'Intervention sur s&eacute;cheur MPF315 de 2012 - probleme de groupe chaud -<br />\r\n<br />\r\nBL N&deg;27 du 12/09/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 162.60000000, 32.52000000, 195.12000000, 'commande/CO1909-1146/CO1909-1146.pdf', NULL, NULL),
(1252, 'CO1909-1147', 1, NULL, NULL, 'Compresseurs', 2060, NULL, '2019-11-04 09:34:39', '2019-09-27 09:25:53', '2019-11-04 10:34:21', '2019-11-04 10:34:28', '2019-09-27', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 29.20000000, 0.00000000, 0.00000000, 146.00000000, 175.20000000, '', 'Remplacement roulements sur tendeurs des compresseurs SPRINT 051(x2) et SPRINT 015(x2)', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 146.00000000, 29.20000000, 175.20000000, 'commande/CO1909-1147/CO1909-1147.pdf', NULL, NULL),
(1253, 'CO1909-1148', 1, NULL, NULL, NULL, 12721, NULL, '2019-09-27 07:31:19', '2019-09-27 09:28:39', '2019-09-27 09:30:59', '2019-09-27 09:31:03', '2019-09-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 2000.00000000, 0.00000000, 0.00000000, 10000.00000000, 12000.00000000, '', 'Dossier CMP :<br />\r\nR&eacute;cup&eacute;ration du booster Oxygene', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 10000.00000000, 2000.00000000, 12000.00000000, 'commande/CO1909-1148/CO1909-1148.pdf', NULL, NULL),
(1254, 'CO1909-1149', 1, NULL, NULL, 'Cuve 900 Litres', 2032, NULL, '2019-10-15 13:24:42', '2019-09-27 09:35:29', '2019-09-27 09:35:36', '2019-10-15 15:24:07', '2019-09-27', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 359.20000000, 0.00000000, 0.00000000, 1796.00000000, 2155.20000000, '', 'Remplacement d\'une cuve 1000 Litres par une cuve 900 Litres pour éviter la déclaration en préfecture <br />\r\n2 Techniciens pour 1/2 Journée <br />\r\nFourniture de la cuve et Installation comprise <br />\r\n<br />\r\nCommande CF013084', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1796.00000000, 359.20000000, 2155.20000000, 'commande/CO1909-1149/CO1909-1149.pdf', NULL, NULL),
(1255, 'CO1909-1150', 1, NULL, NULL, NULL, 2184, NULL, '2019-12-23 13:17:20', '2019-09-27 15:03:36', '2019-11-04 15:04:36', '2019-12-02 15:23:38', '2019-09-27', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 628.38000000, 0.00000000, 0.00000000, 3141.94000000, 3770.32000000, '', 'Maintenance L45RS ( 2018 ) N° CD10034859001 en huile alimentaire à12902 Hrs<br />\r\n<br />\r\nRemplacement cartouche filtre réseau <br />\r\n<br />\r\nMaintenance seprateur de condensats OWAMAT 14<br />\r\n<br />\r\nBL N°34 du 09/10/2019<br />\r\n<br />\r\nCommande N°PO7100001002<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3141.94000000, 628.38000000, 3770.32000000, 'commande/CO1909-1150/CO1909-1150.pdf', NULL, NULL),
(1256, 'CO1909-1151', 1, NULL, NULL, NULL, 2268, NULL, '2019-11-04 15:53:09', '2019-09-27 15:58:30', '2019-10-08 09:10:37', '2019-11-04 16:52:25', '2019-09-27', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 545.08000000, 0.00000000, 0.00000000, 2725.34000000, 3270.42000000, '', 'Maintenance compresseur  L75 RS N° CD10003783001 avec huile alimentaire N° 102220468 à HRS<br />\r\nMaintenance cartouches 3 filtres reseaux .<br />\r\n<br />\r\nBL N°', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2725.34000000, 545.08000000, 3270.42000000, 'commande/CO1909-1151/CO1909-1151.pdf', NULL, NULL),
(1257, 'CO1909-1152', 1, NULL, NULL, NULL, 12600, NULL, '2019-12-23 12:42:08', '2019-09-30 14:32:23', '2019-09-30 14:32:35', '2019-10-03 11:34:27', '2019-09-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 175.41000000, 0.00000000, 0.00000000, 877.03000000, 1052.44000000, '', 'Maintenance compresseur L07RS et filtres reseaux&nbsp;', '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 877.03000000, 175.41000000, 1052.44000000, 'commande/CO1909-1152/CO1909-1152.pdf', NULL, NULL),
(1258, 'CO1910-1153', 1, NULL, NULL, NULL, 2386, NULL, '2019-12-23 12:39:05', '2019-10-01 14:24:36', '2019-10-01 14:24:46', '2019-10-01 14:25:33', '2019-10-01', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 296.41000000, 0.00000000, 0.00000000, 1482.06000000, 1778.47000000, '', 'Maintenance L11&nbsp;<br />\r\nMaintenance BS61<br />\r\nremplacement cartouche filtre reseau KAESER :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1482.06000000, 296.41000000, 1778.47000000, 'commande/CO1910-1153/CO1910-1153.pdf', NULL, NULL),
(1259, 'CO1910-1154', 1, NULL, NULL, NULL, 2285, NULL, '2019-12-23 12:42:22', '2019-10-02 09:18:00', '2019-10-02 09:18:14', '2019-11-05 10:33:02', '2019-10-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 131.43000000, 0.00000000, 0.00000000, 657.15000000, 788.58000000, '', 'remplacement flexible sur compresseur L15 en m&ecirc;me temps que sa maintenance .&nbsp;<br />\r\nCette offre n&#39;inclut pas le deplacement ni le temps de d&eacute;placement', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 657.15000000, 131.43000000, 788.58000000, 'commande/CO1910-1154/CO1910-1154.pdf', NULL, NULL),
(1260, 'CO1910-1155', 1, NULL, NULL, NULL, 1980, NULL, '2019-12-23 13:08:05', '2019-10-02 11:48:17', '2019-10-02 11:48:22', NULL, '2019-10-02', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 93.74000000, 0.00000000, 0.00000000, 468.72000000, 562.46000000, '', 'Maintenance compresseur RS pro 5.5 7.5B', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 468.72000000, 93.74000000, 562.46000000, 'commande/CO1910-1155/CO1910-1155.pdf', NULL, NULL),
(1261, 'CO1910-1156', 1, NULL, NULL, NULL, 2370, NULL, '2019-11-06 10:08:12', '2019-10-02 14:16:17', '2019-11-06 10:46:35', '2019-11-06 11:06:50', '2019-10-02', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 112.56000000, 0.00000000, 0.00000000, 562.80000000, 675.36000000, '', 'Maintenance compresseur GE10 ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 562.80000000, 112.56000000, 675.36000000, 'commande/CO1910-1156/CO1910-1156.pdf', NULL, NULL),
(1262, 'CO1910-1157', 1, NULL, NULL, NULL, 2161, NULL, '2019-10-03 12:36:22', '2019-10-02 15:42:33', '2019-10-02 15:42:41', '2019-10-02 15:42:52', '2019-10-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 26.40000000, 0.00000000, 0.00000000, 132.00000000, 158.40000000, '', 'purge electropilot&eacute;e', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 132.00000000, 26.40000000, 158.40000000, 'commande/CO1910-1157/CO1910-1157.pdf', NULL, NULL),
(1263, 'CO1910-1158', 1, NULL, NULL, NULL, 12600, NULL, '2019-10-03 09:33:04', '2019-10-03 11:08:35', '2019-10-03 11:32:43', '2019-10-03 11:32:52', '2019-10-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 13.40000000, 0.00000000, 0.00000000, 67.00000000, 80.40000000, '', 'Remplacement sonde de temp&eacute;rature ur L07RS N&deg; BA33125001', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 67.00000000, 13.40000000, 80.40000000, 'commande/CO1910-1158/CO1910-1158.pdf', NULL, NULL),
(1264, 'CO1910-1159', 1, NULL, NULL, NULL, 2347, NULL, '2020-03-03 15:02:14', '2019-10-04 09:13:23', '2019-10-04 09:13:38', '2020-03-03 16:02:14', '2019-10-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 24.00000000, 0.00000000, 0.00000000, 120.00000000, 144.00000000, '', 'kit 2000h compair', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 120.00000000, 24.00000000, 144.00000000, 'commande/CO1910-1159/CO1910-1159.pdf', NULL, NULL),
(1265, 'CO1910-1160', 1, NULL, NULL, 'MAVR', 10407, NULL, '2019-11-05 10:04:17', '2019-10-04 09:30:39', '2019-10-04 09:30:46', '2019-11-05 11:02:26', '2019-10-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 112.28000000, 0.00000000, 0.00000000, 561.44000000, 673.72000000, '', 'Maintenance compresseur MAVRS150/10 N°CAI343721  année 2008<br />\r\n \r\n<p>- Contrôles et vérifications préconisés par le constructeur<br />\r\n- Vérification sécheur et purge<br />\r\n- Tous contrôles électriques ( contacteurs , tous organes électriques identifiés lors de la maintenance ) par nos électriciens dans le local technique<br />\r\n- Hors autres pièces défectueuses pouvant être trouvées<br />\r\n-<u> Garantie 6 mois sur pièces filtration et maintenance</u> effectuée<br />\r\n- <u>Prêt GRATUIT </u>d\'un compresseur de 0 à 100 CV dans la jounée<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 561.44000000, 112.28000000, 673.72000000, 'commande/CO1910-1160/CO1910-1160.pdf', NULL, NULL),
(1266, 'CO1910-1161', 1, NULL, NULL, NULL, 2122, NULL, '2020-01-02 09:03:45', '2019-10-07 12:13:43', '2019-11-04 14:05:44', '2019-12-23 14:09:18', '2019-10-07', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 241.70000000, 0.00000000, 0.00000000, 1208.49000000, 1450.19000000, '', 'Maintenance L75RS N° CD10018699001 à  HRS<br />\r\nMaintenance seprateur de condensats OWAMAT 15<br />\r\nRemplacement cartouche filtre réseau<br />\r\n<br />\r\nBL N<br />\r\n<br />\r\nCommande N°', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1208.49000000, 241.70000000, 1450.19000000, 'commande/CO1910-1161/CO1910-1161.pdf', NULL, NULL),
(1267, 'CO1910-1162', 1, NULL, NULL, NULL, 2064, NULL, '2019-11-04 10:08:11', '2019-10-09 16:52:10', '2019-10-09 16:52:17', '2019-10-15 09:14:36', '2019-10-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 108.60000000, 0.00000000, 0.00000000, 543.00000000, 651.60000000, '', ' electrovanne pour compresseur L22S<br />\r\n<br />\r\ndélai : 20/10/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 543.00000000, 108.60000000, 651.60000000, 'commande/CO1910-1162/CO1910-1162.pdf', NULL, NULL),
(1268, 'CO1910-1163', 1, NULL, NULL, NULL, 6101, NULL, '2019-11-05 11:00:02', '2019-10-11 09:04:10', '2019-10-11 09:04:33', '2019-11-05 11:59:00', '2019-10-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 13.66000000, 0.00000000, 0.00000000, 68.32000000, 81.98000000, '', 'Pochettes de 10 sacs en papiers 60Litres&nbsp;<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE USINE', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 68.32000000, 13.66000000, 81.98000000, 'commande/CO1910-1163/CO1910-1163.pdf', NULL, NULL),
(1269, 'CO1910-1164', 1, NULL, NULL, NULL, 2153, NULL, '2019-11-04 13:46:16', '2019-10-11 11:59:45', '2019-10-11 11:59:52', '2019-10-11 12:00:05', '2019-10-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 2.66000000, 0.00000000, 0.00000000, 13.30000000, 15.96000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 13.30000000, 2.66000000, 15.96000000, 'commande/CO1910-1164/CO1910-1164.pdf', NULL, NULL),
(1270, 'CO1910-1165', 1, NULL, NULL, NULL, 2062, NULL, '2019-11-04 09:01:51', '2019-10-11 16:55:44', '2019-10-25 09:15:58', '2019-11-04 10:00:55', '2019-10-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 984.56000000, 0.00000000, 0.00000000, 4922.88000000, 5907.44000000, '', 'maintenance des 2 compresseurs L26RS&nbsp;<br />\r\nBatiment 1 et batiment 2&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4922.88000000, 984.56000000, 5907.44000000, 'commande/CO1910-1165/CO1910-1165.pdf', NULL, NULL),
(1271, 'CO1910-1166', 1, NULL, NULL, NULL, 2062, NULL, '2019-10-30 09:22:16', '2019-10-14 12:17:56', '2019-10-14 12:18:04', '2019-10-30 10:21:58', '2019-10-14', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 485.00000000, 0.00000000, 0.00000000, 2425.00000000, 2910.00000000, '', 'Fourniture secheur remplacement existant ED225 - MO offerte si réalisé en même tempsque la maintenance du compresseur vendredi 25 octobre matin <br />\r\n<br />\r\nCommande N° 00025038<br />\r\n<br />\r\nBL N°2 du 25/10/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2425.00000000, 485.00000000, 2910.00000000, 'commande/CO1910-1166/CO1910-1166.pdf', NULL, NULL),
(1272, 'CO1910-1168', 1, NULL, NULL, NULL, 2204, NULL, '2019-12-23 12:42:32', '2019-10-17 08:58:15', '2019-10-17 08:58:46', '2019-11-04 15:08:44', '2019-10-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 147.02000000, 0.00000000, 0.00000000, 735.07000000, 882.09000000, '', 'Maintenance L15 de secours', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 735.07000000, 147.02000000, 882.09000000, 'commande/CO1910-1168/CO1910-1168.pdf', NULL, NULL),
(1273, 'CO1910-1169', 1, NULL, NULL, NULL, 2149, NULL, '2019-11-04 15:25:59', '2019-10-17 10:16:38', '2019-10-17 10:17:14', '2019-11-04 16:25:27', '2019-10-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 81.09000000, 0.00000000, 0.00000000, 405.42000000, 486.51000000, '', 'R&eacute;paration grosse fuite dans l&#39;atelier entre midi et 14h , fournitures, main d&#39;oeuvre et d&eacute;placement inclus, comme vu ensemble dans vos ateliers<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 405.42000000, 81.09000000, 486.51000000, 'commande/CO1910-1169/CO1910-1169.pdf', NULL, NULL),
(1274, 'CO1910-1170', 1, NULL, NULL, NULL, 2175, NULL, '2019-11-06 09:36:24', '2019-10-17 10:56:30', '2019-10-17 15:01:48', '2019-10-24 15:16:06', '2019-10-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 21.80000000, 0.00000000, 0.00000000, 109.00000000, 130.80000000, '', 'Colle', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 109.00000000, 21.80000000, 130.80000000, 'commande/CO1910-1170/CO1910-1170.pdf', NULL, NULL),
(1275, 'CO1910-1171', 1, NULL, NULL, NULL, 2026, NULL, '2019-11-29 14:34:31', '2019-10-18 10:14:39', '2019-10-18 10:26:13', '2019-11-29 15:33:45', '2019-10-18', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 64.80000000, 0.00000000, 0.00000000, 324.00000000, 388.80000000, '', 'HOTTE POUR BRAS D ASPIRATION<br />\r\n<br />\r\nD&eacute;lai : 1&agrave; 2 semaines', '', 1, NULL, NULL, 9, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 324.00000000, 64.80000000, 388.80000000, 'commande/CO1910-1171/CO1910-1171.pdf', NULL, NULL),
(1276, 'CO1910-1172', 1, NULL, NULL, NULL, 13018, NULL, '2019-10-24 12:17:48', '2019-10-18 16:43:43', '2019-10-18 16:45:47', '2019-10-24 14:17:48', '2019-10-18', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 53.90000000, 0.00000000, 0.00000000, 269.50000000, 323.40000000, '', '', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 269.50000000, 53.90000000, 323.40000000, 'commande/CO1910-1172/CO1910-1172.pdf', NULL, NULL),
(1277, 'CO1910-1173', 1, NULL, NULL, 'MAINTENACE', 10087, NULL, '2019-11-04 14:46:33', '2019-10-21 15:37:44', '2019-10-21 15:42:41', '2019-11-04 15:37:32', '2019-10-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 344.01000000, 0.00000000, 0.00000000, 1805.99000000, 2150.00000000, '', 'Maintenance de votre local air comprimé :<br />\r\nMaintenance de vos deux compresseur à vis Rollair<br />\r\nVisite de  controle de votre sécheur DW46 de 2002 ( verification des connectiques et souflage )<br />\r\nRemplacement de vos 2 cartouches de filtres reseaux<br />\r\nVerification des differentes purges du local<br />\r\nMaintenance de votre separateur de condensats owamat 5R<br />\r\n \r\n<p>- Contrôles et vérifications préconisés par le constructeur<br />\r\n- Vérification sécheur et purge<br />\r\n- Tous contrôles électriques ( contacteurs , tous organes électriques identifiés lors de la maintenance ) par nos électriciens dans le local technique<br />\r\n- Hors autres pièces défectueuses pouvant être trouvées<br />\r\n-<u> Garantie 6 mois sur pièces filtration et maintenance</u> effectuée<br />\r\n- <u>Prêt GRATUIT </u>d\'un compresseur de 0 à 100 CV dans la jounée<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1805.99000000, 344.01000000, 2150.00000000, 'commande/CO1910-1173/CO1910-1173.pdf', NULL, NULL),
(1278, 'CO1910-1174', 1, NULL, NULL, NULL, 12700, NULL, '2020-07-21 08:57:20', '2019-10-21 16:26:24', '2019-10-21 16:55:24', '2020-07-21 10:56:49', '2019-10-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 45.53000000, 0.00000000, 0.00000000, 227.64000000, 273.17000000, '', '', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 227.64000000, 45.53000000, 273.17000000, 'commande/CO1910-1174/CO1910-1174.pdf', NULL, NULL),
(1279, 'CO1910-1175', 1, NULL, NULL, NULL, 5741, NULL, '2019-11-06 14:01:08', '2019-10-22 08:57:54', '2019-10-22 08:58:01', '2019-11-06 15:00:44', '2019-10-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 175.13000000, 0.00000000, 0.00000000, 875.67000000, 1050.80000000, '', '<p><span style=\"font-size:12.0pt\"><span style=\"font-family:&quot;Bookman Old Style&quot;,&quot;serif&quot;\"><span style=\"color:black\">1 s&eacute;parateur d&rsquo;huile ainsi que </span></span></span></p>\r\n\r\n<p><span style=\"font-size:12.0pt\"><span style=\"font-family:&quot;Bookman Old Style&quot;,&quot;serif&quot;\"><span style=\"color:black\">1 filtre a air </span></span></span></p>\r\n\r\n<p><span style=\"font-size:12.0pt\"><span style=\"font-family:&quot;Bookman Old Style&quot;,&quot;serif&quot;\"><span style=\"color:black\">&nbsp;Pour un compresseur REGATTA 141&nbsp;&nbsp; </span></span></span></p>\r\n', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 875.67000000, 175.13000000, 1050.80000000, 'commande/CO1910-1175/CO1910-1175.pdf', NULL, NULL),
(1280, 'CO1910-1176', 1, NULL, NULL, NULL, 1988, NULL, '2019-12-23 13:18:59', '2019-10-22 10:30:33', '2019-10-22 10:37:39', '2019-10-30 09:29:48', '2019-10-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 572.72000000, 0.00000000, 0.00000000, 2863.60000000, 3436.32000000, '', 'Maintenance L55RS', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2863.60000000, 572.72000000, 3436.32000000, 'commande/CO1910-1176/CO1910-1176.pdf', NULL, NULL),
(1281, 'CO1910-1177', 1, NULL, NULL, NULL, 5741, NULL, '2019-11-08 07:50:55', '2019-10-22 14:30:19', '2019-10-22 14:30:27', '2019-11-04 10:57:47', '2019-10-22', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 456.95000000, 0.00000000, 0.00000000, 2284.76000000, 2741.71000000, '', 'Maintenance  pour compresseur L75 N°CD10005118002 à 22423 HRS<br />\r\n<br />\r\nCommande N°11793', '', 1, NULL, NULL, 13, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2284.76000000, 456.95000000, 2741.71000000, 'commande/CO1910-1177/CO1910-1177.pdf', NULL, NULL),
(1282, 'CO1910-1178', 1, NULL, NULL, NULL, 2155, NULL, '2019-12-02 10:19:53', '2019-10-22 16:16:15', '2019-10-22 16:16:21', '2019-12-02 11:19:20', '2019-10-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 19.66000000, 0.00000000, 0.00000000, 98.32000000, 117.98000000, '', 'FRL', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 98.32000000, 19.66000000, 117.98000000, 'commande/CO1910-1178/CO1910-1178.pdf', NULL, NULL),
(1283, 'CO1910-1179', 1, NULL, NULL, NULL, 2407, NULL, '2020-02-21 08:39:22', '2019-10-24 14:25:22', '2019-11-06 14:21:48', '2019-12-03 10:38:45', '2019-10-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 232.82000000, 0.00000000, 0.00000000, 1164.14000000, 1396.96000000, '', 'Graisseur L90RS<br />\r\n<br />\r\nD&eacute;lai : 72H', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1164.14000000, 232.82000000, 1396.96000000, 'commande/CO1910-1179/CO1910-1179.pdf', NULL, NULL),
(1284, 'CO1910-1180', 1, NULL, NULL, NULL, 2086, NULL, '2019-11-29 14:57:17', '2019-10-24 15:26:19', '2019-11-29 15:53:11', '2019-11-29 15:53:39', '2019-10-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 191.34000000, 0.00000000, 0.00000000, 956.73000000, 1148.07000000, '', 'Maintenance compresseur L11RS N° BA31759001 à 17686 HRS<br />\r\n<br />\r\nMaintenance seprateur de condensats OWAMAT 10<br />\r\n<br />\r\nBL N°8 du 07/09/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 956.73000000, 191.34000000, 1148.07000000, 'commande/CO1910-1180/CO1910-1180.pdf', NULL, NULL),
(1285, 'CO1910-1181', 1, NULL, NULL, NULL, 11209, NULL, '2019-12-03 09:03:07', '2019-10-25 10:05:18', '2019-10-25 10:06:33', '2019-12-03 10:02:16', '2019-10-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 238.61000000, 0.00000000, 0.00000000, 1193.03000000, 1431.64000000, '', 'Installation de 2 vannes au niveaux des filtres reseaux&nbsp;<br />\r\nRemplacement d&#39;un purgeur de condensats pour chacun des deux filtres r&eacute;seaux 1/2 entr&eacute;e dessus<br />\r\nRemplcament du purgeur sous la cuve en 1/2 avec prise au dessus et prise basse&nbsp;', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1193.03000000, 238.61000000, 1431.64000000, 'commande/CO1910-1181/CO1910-1181.pdf', NULL, NULL),
(1286, 'CO1910-1182', 1, NULL, NULL, NULL, 2022, NULL, '2020-03-24 08:56:40', '2019-10-28 16:18:02', '2019-10-28 16:56:36', '2020-03-24 09:55:33', '2019-10-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 146.92000000, 0.00000000, 0.00000000, 734.59000000, 881.51000000, '', '<p>éépreuve de réservoir d’air comprimé ( Hors organisme agrée ) et maintenance ROLLAIR 1400</p>\r\n\r\n<p> </p>\r\n\r\n<p>Notre offre comprend :</p>\r\n\r\n<ul>\r\n	<li>La vidange d’huile du compresseur</li>\r\n	<li>Dépose des accessoires fixer sur la cuve ( flexible , … etc )</li>\r\n	<li>Bouchonnage des differents orifices</li>\r\n	<li>Remplissage du reservoir avec de l’eau</li>\r\n	<li>Assistance eu verificateur de l’organisme agrée</li>\r\n	<li>Remontage et remise en service de la machine</li>\r\n	<li>Remise à niveau d’huile du compresseur</li>\r\n</ul>\r\n<br />\r\nDate d\'intervention le  10/03/2020', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 734.59000000, 146.92000000, 881.51000000, 'commande/CO1910-1182/CO1910-1182.pdf', NULL, NULL),
(1287, 'CO1910-1183', 1, NULL, NULL, 'Petit réseau pour vide', 2055, NULL, '2019-11-29 14:28:52', '2019-10-29 08:55:46', '2019-10-29 08:55:54', '2019-11-29 15:27:58', '2019-10-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 201.97000000, 0.00000000, 0.00000000, 1009.78000000, 1211.75000000, '', 'Petit reseau de vide', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1009.78000000, 201.97000000, 1211.75000000, 'commande/CO1910-1183/CO1910-1183.pdf', NULL, NULL),
(1288, 'CO1910-1184', 1, NULL, NULL, NULL, 12618, NULL, '2019-11-07 10:08:01', '2019-10-29 14:23:23', '2019-11-07 11:06:34', '2019-11-07 11:06:57', '2019-10-29', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 149.03000000, 0.00000000, 0.00000000, 745.11000000, 894.14000000, '', '<br />\r\n<br />\r\nMaintenance compresseur Cyclon215 de 1999 : et 3 iltres reseaux', 'einstein', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 745.11000000, 149.03000000, 894.14000000, 'commande/CO1910-1184/CO1910-1184.pdf', NULL, NULL),
(1289, 'CO1910-1185', 1, NULL, NULL, NULL, 2122, NULL, '2019-12-02 10:17:09', '2019-10-31 09:08:55', '2019-10-31 09:09:03', '2019-12-02 11:16:21', '2019-10-31', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 46.82000000, 0.00000000, 0.00000000, 234.06000000, 280.88000000, '', 'Filtre r&eacute;gulateur<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE USINE', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 234.06000000, 46.82000000, 280.88000000, 'commande/CO1910-1185/CO1910-1185.pdf', NULL, NULL),
(1290, 'CO1910-1186', 1, NULL, NULL, NULL, 9822, NULL, '2019-12-02 15:17:50', '2019-10-31 09:19:21', '2019-10-31 09:19:37', '2019-12-02 16:16:24', '2019-10-31', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 494.77000000, 0.00000000, 0.00000000, 2473.85000000, 2968.62000000, '', 'secheur par refrigeration en remplacement du secheur CTA MPF315', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2473.85000000, 494.77000000, 2968.62000000, 'commande/CO1910-1186/CO1910-1186.pdf', NULL, NULL),
(1291, 'CO1910-1187', 1, NULL, NULL, NULL, 12919, NULL, '2020-03-02 10:02:02', '2019-10-31 09:32:48', '2019-10-31 09:32:59', '2020-02-03 15:30:05', '2019-10-31', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1646.74000000, 0.00000000, 0.00000000, 8233.63000000, 9880.37000000, '', '', '', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 8233.63000000, 1646.74000000, 9880.37000000, 'commande/CO1910-1187/CO1910-1187.pdf', NULL, NULL),
(1292, 'CO1910-1188', 1, NULL, NULL, NULL, 2407, NULL, '2020-02-11 08:30:48', '2019-10-31 14:15:40', '2019-10-31 14:16:01', '2020-02-11 09:30:48', '2019-10-31', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 59.80000000, 0.00000000, 0.00000000, 299.00000000, 358.80000000, '', 'huile COMPAIR pour compresseur', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 299.00000000, 59.80000000, 358.80000000, 'commande/CO1910-1188/CO1910-1188.pdf', NULL, NULL),
(1293, 'CO1911-1189', 1, NULL, NULL, NULL, 2059, NULL, '2019-11-04 09:31:58', '2019-11-04 10:29:07', '2019-11-04 10:31:20', '2019-11-04 10:31:26', '2019-11-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 174.34000000, 0.00000000, 0.00000000, 871.70000000, 1046.04000000, '', 'Remplacement roulements sur tendeurs des compresseurs SPRINT 051(x2) et SPRINT 015(x2) + proposition tendeur occasion pour un SPRINT 015', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 871.70000000, 174.34000000, 1046.04000000, 'commande/CO1911-1189/CO1911-1189.pdf', NULL, NULL),
(1294, 'CO1911-1191', 1, NULL, NULL, NULL, 2102, NULL, '2019-11-04 11:20:45', '2019-11-04 12:15:32', '2019-11-04 12:15:55', '2019-11-04 12:20:29', '2019-11-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 268.69000000, 0.00000000, 0.00000000, 1343.49000000, 1612.18000000, '', 'pose de prises au refectoire&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1343.49000000, 268.69000000, 1612.18000000, 'commande/CO1911-1191/CO1911-1191.pdf', NULL, NULL),
(1295, 'CO1911-1192', 1, NULL, NULL, NULL, 12618, NULL, '2020-07-21 08:59:20', '2019-11-05 10:42:01', '2019-11-05 10:42:07', NULL, '2019-11-05', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 50.81000000, 0.00000000, 0.00000000, 254.08000000, 304.89000000, '', 'remplacement cartouche reseau et remplcament pugeur et canalisation de celui ci&nbsp;', '', 0, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 254.08000000, 50.81000000, 304.89000000, 'commande/CO1911-1192/CO1911-1192.pdf', NULL, NULL),
(1296, 'CO1911-1193', 1, NULL, NULL, NULL, 2358, NULL, '2019-12-23 14:35:25', '2019-11-05 11:38:02', '2019-12-23 15:34:56', '2019-12-23 15:35:05', '2019-11-05', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 356.76000000, 0.00000000, 0.00000000, 1783.85000000, 2140.61000000, '', 'iNTERVENTION SUR FOUR <br />\r\n<br />\r\nBL N°01 DU 28/11/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1783.85000000, 356.76000000, 2140.61000000, 'commande/CO1911-1193/CO1911-1193.pdf', NULL, NULL),
(1297, 'CO1911-1195', 1, NULL, NULL, NULL, 2407, NULL, '2019-12-03 09:36:35', '2019-11-06 11:54:31', '2019-11-06 14:13:23', '2019-12-03 10:35:37', '2019-11-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 32.80000000, 0.00000000, 0.00000000, 164.00000000, 196.80000000, '', 'contacteur et relai thermique pour secheur F285C+ :&nbsp;<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 164.00000000, 32.80000000, 196.80000000, 'commande/CO1911-1195/CO1911-1195.pdf', NULL, NULL),
(1298, 'CO1911-1194', 1, NULL, NULL, NULL, 2032, NULL, '2019-12-03 08:34:13', '2019-11-06 14:09:45', '2019-12-03 09:33:17', '2019-12-03 09:33:41', '2019-11-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 65.44000000, 0.00000000, 0.00000000, 327.18000000, 392.62000000, '', 'remplacement electrovanne sur compresseur FINI', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 327.18000000, 65.44000000, 392.62000000, 'commande/CO1911-1194/CO1911-1194.pdf', NULL, NULL),
(1300, 'CO1911-1196', 1, NULL, NULL, NULL, 2407, NULL, '2019-12-03 09:33:30', '2019-11-06 14:25:24', '2019-11-06 14:25:31', '2019-12-03 10:32:30', '2019-11-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 157.64000000, 0.00000000, 0.00000000, 788.20000000, 945.84000000, '', 'remplacement second ventilateur sur s&eacute;cheur Compair F285C+ :<br />\r\n<br />\r\nD&eacute;lai : 1 semaine', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 788.20000000, 157.64000000, 945.84000000, 'commande/CO1911-1196/CO1911-1196.pdf', NULL, NULL),
(1301, 'CO1911-1197', 1, NULL, NULL, NULL, 2407, NULL, '2019-12-23 14:45:00', '2019-11-06 14:29:01', '2019-12-23 15:43:39', '2019-12-23 15:43:45', '2019-11-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 419.71000000, 0.00000000, 0.00000000, 2098.50000000, 2518.21000000, '', 'Maintenance L29RS', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2098.50000000, 419.71000000, 2518.21000000, 'commande/CO1911-1197/CO1911-1197.pdf', NULL, NULL),
(1302, 'CO1911-1198', 1, NULL, NULL, NULL, 11320, NULL, '2019-11-06 13:53:25', '2019-11-06 14:47:03', '2019-11-06 14:53:08', '2019-11-06 14:53:13', '2019-11-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 77.83000000, 0.00000000, 0.00000000, 389.15000000, 466.98000000, '', 'r&eacute;paration provisoire tuyau girair diametre 25, 2 coudes de cass&eacute;s<br />\r\n<br />\r\nBL N&deg; 03 du 08/10/2019', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 389.15000000, 77.83000000, 466.98000000, 'commande/CO1911-1198/CO1911-1198.pdf', NULL, NULL),
(1303, 'CO1911-1199', 1, NULL, NULL, NULL, 1990, NULL, '2019-11-29 11:03:57', '2019-11-07 09:45:33', '2019-11-07 10:01:00', '2019-11-29 12:01:39', '2019-11-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1332.60000000, 0.00000000, 0.00000000, 6663.00000000, 7995.60000000, '', 'reseaux en inox serti', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 6663.00000000, 1332.60000000, 7995.60000000, 'commande/CO1911-1199/CO1911-1199.pdf', NULL, NULL),
(1304, 'CO1911-1200', 1, NULL, NULL, 'Cartouche Réseau', 12618, NULL, '2019-11-07 09:32:12', '2019-11-07 10:31:36', '2019-11-07 10:31:43', '2019-11-07 10:32:03', '2019-11-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 71.65000000, 0.00000000, 0.00000000, 358.17000000, 429.82000000, '', 'Remplacement des 3 cartouches des filtres reseaux BEA -<br />\r\n<br />\r\nOffre hors deplacement -&nbsp;', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 358.17000000, 71.65000000, 429.82000000, 'commande/CO1911-1200/CO1911-1200.pdf', NULL, NULL),
(1305, 'CO1911-1201', 1, NULL, NULL, NULL, 2350, NULL, '2019-12-03 08:54:11', '2019-11-07 14:46:28', '2019-11-07 14:48:08', NULL, '2019-11-07', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 199.60000000, 0.00000000, 0.00000000, 998.00000000, 1197.60000000, '', 'D&eacute;lai : DISPONIBLE USINE', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 998.00000000, 199.60000000, 1197.60000000, 'commande/CO1911-1201/CO1911-1201.pdf', NULL, NULL),
(1306, 'CO1911-1202', 1, NULL, NULL, NULL, 5741, NULL, '2019-12-03 09:23:21', '2019-11-08 11:26:32', '2019-11-08 11:28:24', '2019-12-03 10:22:49', '2019-11-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 74.60000000, 0.00000000, 0.00000000, 373.00000000, 447.60000000, '', 'Delai : DISPONIBLE USINE<br />\r\n<br />\r\nFRANCO', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 373.00000000, 74.60000000, 447.60000000, 'commande/CO1911-1202/CO1911-1202.pdf', NULL, NULL),
(1307, 'CO1911-1203', 1, NULL, NULL, NULL, 2350, NULL, '2020-03-09 10:52:36', '2019-11-12 15:57:50', '2019-12-06 09:22:08', '2019-12-23 15:24:46', '2019-11-12', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 296.97000000, 0.00000000, 0.00000000, 1484.82000000, 1781.79000000, '', 'Maintenance Compresseurs L45RS N° CD10015094001 à 30014Hrs et 2 cartouches filtres reseaux ainsi que la maintenance de votre separateur de condensats OWAMAT 14<br />\r\n<br />\r\nBL N°22 du 04/12/2019<br />\r\n<br />\r\nCOMMANDE 2372813-325-G9J-BKP', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1484.82000000, 296.97000000, 1781.79000000, 'commande/CO1911-1203/CO1911-1203.pdf', NULL, NULL),
(1308, 'CO1911-1204', 1, NULL, NULL, NULL, 2218, NULL, '2019-12-23 13:20:33', '2019-11-13 08:58:03', '2019-12-02 16:00:37', '2019-12-02 16:02:23', '2019-11-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 152.89000000, 0.00000000, 0.00000000, 764.44000000, 917.33000000, '', 'Maintenance L07 en adaptable', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 764.44000000, 152.89000000, 917.33000000, 'commande/CO1911-1204/CO1911-1204.pdf', NULL, NULL),
(1309, 'CO1911-1205', 1, NULL, NULL, NULL, 12970, NULL, '2019-12-17 13:38:18', '2019-11-18 09:17:12', '2019-11-18 09:21:50', '2019-12-17 14:37:32', '2019-11-18', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1256.16000000, 0.00000000, 0.00000000, 6280.80000000, 7536.96000000, '', 'Compresseur &agrave; vis avec secheur int&eacute;gr&eacute; mont&eacute; sur reservoir RENNER 7.5KW 7.5Bars', '', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 6280.80000000, 1256.16000000, 7536.96000000, 'commande/CO1911-1205/CO1911-1205.pdf', NULL, NULL),
(1310, 'CO1911-1221', 1, NULL, NULL, NULL, 1988, NULL, '2019-12-23 12:44:12', '2019-11-18 10:14:44', '2019-11-29 11:49:37', NULL, '2019-11-18', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 42.26000000, 0.00000000, 0.00000000, 211.34000000, 253.60000000, '', 'A l\'attention de Anthony GINOUVIER Baxter Portugal.<br />\r\n<br />\r\nDélai : 15 jours', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 211.34000000, 42.26000000, 253.60000000, 'commande/CO1911-1221/CO1911-1221.pdf', NULL, NULL),
(1311, 'CO1911-1206', 1, NULL, NULL, NULL, 2247, NULL, '2019-12-02 14:48:36', '2019-11-18 15:01:09', '2019-11-18 15:01:39', '2019-12-02 15:47:34', '2019-11-18', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 196.49000000, 0.00000000, 0.00000000, 982.50000000, 1178.99000000, '', 'maintenance L18rs N° CD100018442001 à 2411HRS( nouvelle carte ) <br />\r\nMaintenance separateur de condensats OWAMT 11<br />\r\nRemplcament cartouche filtre reseau<br />\r\n<br />\r\n<br />\r\nBL N° 35 du 25/01/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 982.50000000, 196.49000000, 1178.99000000, 'commande/CO1911-1206/CO1911-1206.pdf', NULL, NULL),
(1312, 'CO1911-1207', 1, NULL, NULL, NULL, 2122, NULL, '2020-01-02 09:33:02', '2019-11-18 15:14:36', '2019-11-19 09:35:47', '2019-12-20 10:03:31', '2019-11-18', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1398.74000000, 0.00000000, 0.00000000, 6993.72000000, 8392.46000000, '', 'En equivalence à vos anciens sécheurs à masse thermique MTA, nous vous proposons des sécheurs pouvant traiter un débit de 1000 m3/h à 30°C ( température ambiante de votre local en été ) .<br />\r\nProposition incluant depose et repose de l\'ancien matériel et modification du bypass en girair diametre 63 .<br />\r\nFerraillage du matériel et manutention à votre charge .<br />\r\n<br />\r\n<strong>Commande N°41208</strong>', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, 3, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 6993.72000000, 1398.74000000, 8392.46000000, 'commande/CO1911-1207/CO1911-1207.pdf', NULL, NULL),
(1313, 'CO1911-1208', 1, NULL, NULL, NULL, 2407, NULL, '2020-01-15 10:00:46', '2019-11-19 09:17:06', '2019-12-03 10:47:45', '2019-12-03 10:48:56', '2019-11-19', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 560.01000000, 0.00000000, 0.00000000, 2800.07000000, 3360.08000000, '', 'Maintenance L90RS 13BARS de 2015 N° CD10030723001 à <br />\r\n<br />\r\nLIvraison : CROUZET AUTOMATISME 26000VALENCE', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2800.07000000, 560.01000000, 3360.08000000, 'commande/CO1911-1208/CO1911-1208.pdf', NULL, NULL),
(1314, 'CO1911-1209', 1, NULL, NULL, NULL, 2001, NULL, '2019-11-29 13:19:30', '2019-11-20 14:07:04', '2019-11-20 14:07:11', '2019-11-29 14:19:18', '2019-11-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 56.00000000, 0.00000000, 0.00000000, 280.00000000, 336.00000000, '', 'D&eacute;lai : DISPONIBLE USINE', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 280.00000000, 56.00000000, 336.00000000, 'commande/CO1911-1209/CO1911-1209.pdf', NULL, NULL),
(1315, 'CO1911-1210', 1, NULL, NULL, NULL, 13038, NULL, '2019-11-29 16:08:28', '2019-11-20 15:09:49', '2019-11-20 15:09:59', '2019-11-29 17:08:17', '2019-11-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 152.12000000, 0.00000000, 0.00000000, 760.60000000, 912.72000000, '', '', '', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 760.60000000, 152.12000000, 912.72000000, 'commande/CO1911-1210/CO1911-1210.pdf', NULL, NULL),
(1316, 'CO1911-1211', 1, NULL, NULL, NULL, 2127, NULL, '2019-12-20 09:08:30', '2019-11-20 16:25:51', '2019-11-20 16:26:33', '2019-12-20 10:07:39', '2019-11-20', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 163.57000000, 0.00000000, 0.00000000, 817.86000000, 981.43000000, '', 'Maintenance du Compresseur L75SR', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, 3, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 817.86000000, 163.57000000, 981.43000000, 'commande/CO1911-1211/CO1911-1211.pdf', NULL, NULL),
(1317, 'CO1911-1212', 1, NULL, NULL, NULL, 13019, NULL, '2019-12-23 12:43:34', '2019-11-22 14:19:17', '2019-11-22 14:21:05', '2019-12-03 09:50:10', '2019-11-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 812.61000000, 0.00000000, 0.00000000, 4063.05000000, 4875.66000000, '', '<p>Nous vous remercions pour votre consultation et pour faire suite à votre émail du 20 Novembre, </p>\r\n\r\n<p> </p>\r\n\r\n<p><u><strong>DÉLAI</strong></u>: Matériel disponible sur stock magasin<br />\r\n </p>\r\n\r\n<p>Vous souhaitant bonne réception de cette offre et restant à votre disposition pour tout renseignement complémentaire,</p>\r\n', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4063.05000000, 812.61000000, 4875.66000000, 'commande/CO1911-1212/CO1911-1212.pdf', NULL, NULL);
INSERT INTO `llx_commande` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_cloture`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_cloture`, `source`, `fk_statut`, `amount_ht`, `remise_percent`, `remise_absolue`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `facture`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_livraison`, `fk_shipping_method`, `fk_warehouse`, `fk_availability`, `fk_input_reason`, `fk_delivery_address`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(1318, 'CO1911-1213', 1, NULL, NULL, NULL, 13040, NULL, '2019-12-23 13:10:54', '2019-11-25 10:30:08', '2019-11-25 10:49:10', '2019-12-23 14:10:54', '2019-11-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 466.67000000, 0.00000000, 0.00000000, 2333.33000000, 2800.00000000, '', 'Groupe electrogene SDMO', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2333.33000000, 466.67000000, 2800.00000000, 'commande/CO1911-1213/CO1911-1213.pdf', NULL, NULL),
(1319, 'CO1911-1214', 1, NULL, NULL, NULL, 13042, NULL, '2019-12-23 13:10:38', '2019-11-26 14:35:43', '2019-11-26 14:35:46', '2019-12-23 14:10:38', '2019-11-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 466.67000000, 0.00000000, 0.00000000, 2333.33000000, 2800.00000000, '', 'Groupe electrogene SDMO', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2333.33000000, 466.67000000, 2800.00000000, 'commande/CO1911-1214/CO1911-1214.pdf', NULL, NULL),
(1320, 'CO1911-1215', 1, NULL, NULL, NULL, 2286, NULL, '2019-12-23 13:24:19', '2019-11-26 16:16:39', '2019-11-26 16:17:16', '2019-12-23 14:13:21', '2019-11-26', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 166.73000000, 0.00000000, 0.00000000, 833.65000000, 1000.38000000, '', 'maintenance compresseur L15RS N° CD10016180001 à <br />\r\nRemplacement cartouche filtre réseau<br />\r\n<br />\r\nBL N°', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 833.65000000, 166.73000000, 1000.38000000, 'commande/CO1911-1215/CO1911-1215.pdf', NULL, NULL),
(1321, 'CO1911-1216', 1, NULL, NULL, NULL, 6203, NULL, '2019-12-23 13:11:09', '2019-11-26 16:41:53', '2019-11-26 16:42:00', '2019-12-23 14:11:09', '2019-11-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 6.50000000, 0.00000000, 0.00000000, 32.50000000, 39.00000000, '', 'clapet pour compresseur &agrave; piston', '', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 32.50000000, 6.50000000, 39.00000000, 'commande/CO1911-1216/CO1911-1216.pdf', NULL, NULL),
(1322, 'CO1911-1217', 1, NULL, NULL, NULL, 2396, NULL, '2019-12-03 09:08:40', '2019-11-27 09:13:22', '2019-11-27 10:09:06', '2019-12-03 10:08:26', '2019-11-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 5.60000000, 0.00000000, 0.00000000, 28.00000000, 33.60000000, '', 'reedition certificat', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 28.00000000, 5.60000000, 33.60000000, 'commande/CO1911-1217/CO1911-1217.pdf', NULL, NULL),
(1323, 'CO1911-1218', 1, NULL, NULL, NULL, 2161, NULL, '2020-10-05 09:29:20', '2019-11-27 14:37:35', '2019-11-27 14:38:05', '2020-10-05 11:29:20', '2019-11-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 18.64000000, 0.00000000, 0.00000000, 93.20000000, 111.84000000, '', 'Raccord inox g1/4 femelle&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 93.20000000, 18.64000000, 111.84000000, 'commande/CO1911-1218/CO1911-1218.pdf', NULL, NULL),
(1325, 'CO1911-1220', 1, NULL, NULL, NULL, 2351, NULL, '2020-09-29 08:23:51', '2019-11-29 11:19:09', '2019-11-29 11:19:16', '2020-09-29 10:23:51', '2019-11-29', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 71.26000000, 0.00000000, 0.00000000, 356.30000000, 427.56000000, '', 'kit de maintenance pour compresseur HV1122e<br />\r\n<br />\r\nCOMMANDE N° BCFSOI1900894<br />\r\nCODE FOURNISSEUR 200979', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 356.30000000, 71.26000000, 427.56000000, 'commande/CO1911-1220/CO1911-1220.pdf', NULL, NULL),
(1326, 'CO1911-1222', 1, NULL, NULL, NULL, 1955, NULL, '2019-12-18 09:31:08', '2019-11-29 11:57:12', '2019-12-18 10:21:33', '2019-12-18 10:30:38', '2019-11-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 109.10000000, 0.00000000, 0.00000000, 545.45000000, 654.55000000, '', 'Maintenance L07 de 2009 N° CD10000211002 à ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 545.45000000, 109.10000000, 654.55000000, 'commande/CO1911-1222/CO1911-1222.pdf', NULL, NULL),
(1327, 'CO1911-1223', 1, NULL, NULL, NULL, 2313, NULL, '2020-03-09 10:52:51', '2019-11-29 16:21:32', '2019-12-18 12:09:22', '2019-12-19 11:07:28', '2019-11-29', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 111.10000000, 0.00000000, 0.00000000, 555.50000000, 666.60000000, '', 'Maintenance L07RS N° BA3562001 à  11414 HRS  : en adaptable hors garantie', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 555.50000000, 111.10000000, 666.60000000, 'commande/CO1911-1223/CO1911-1223.pdf', NULL, NULL),
(1328, 'CO1912-1224', 1, NULL, NULL, NULL, 12928, NULL, '2019-12-23 13:15:36', '2019-12-02 09:15:08', '2019-12-02 09:37:25', '2019-12-02 09:37:36', '2019-12-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 263.91000000, 0.00000000, 0.00000000, 1319.66000000, 1583.57000000, '', 'Branchement machine emballage - aliemenattaion electrique et en air<br />\r\n<br />\r\nBL N&deg;47 du 13/11/2019', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1319.66000000, 263.91000000, 1583.57000000, 'commande/CO1912-1224/CO1912-1224.pdf', NULL, NULL),
(1329, 'CO1912-1225', 1, NULL, NULL, NULL, 2162, NULL, '2019-12-02 13:59:53', '2019-12-02 14:53:16', '2019-12-02 14:58:55', '2019-12-02 14:59:25', '2019-12-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 109.15000000, 0.00000000, 0.00000000, 545.70000000, 654.85000000, '', 'R&eacute;seau en inox serti - ajout d&#39;une ligne en diamete 42 pour filtre&nbsp;<br />\r\nBL N&deg; 19 du07/11/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 545.70000000, 109.15000000, 654.85000000, 'commande/CO1912-1225/CO1912-1225.pdf', NULL, NULL),
(1330, 'CO1912-1226', 1, NULL, NULL, NULL, 2162, NULL, '2019-12-02 14:18:42', '2019-12-02 15:04:47', '2019-12-02 15:16:52', '2019-12-02 15:17:29', '2019-12-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 131.70000000, 0.00000000, 0.00000000, 658.38000000, 790.08000000, '', 'Air comprim&eacute; - ajout deux lignes en diametre 28 et 22 - sectionnement du collecteur piston', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 658.38000000, 131.70000000, 790.08000000, 'commande/CO1912-1226/CO1912-1226.pdf', NULL, NULL),
(1331, 'CO1912-1227', 1, NULL, NULL, 'rs pro 15', 12848, NULL, '2019-12-23 12:45:08', '2019-12-02 16:25:19', '2019-12-11 09:26:48', '2019-12-23 13:45:08', '2019-12-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1086.00000000, 0.00000000, 0.00000000, 5430.00000000, 6516.00000000, '', '', '', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5430.00000000, 1086.00000000, 6516.00000000, 'commande/CO1912-1227/CO1912-1227.pdf', NULL, NULL),
(1332, 'CO1912-1228', 1, NULL, NULL, NULL, 12757, NULL, '2019-12-20 09:05:07', '2019-12-04 14:33:42', '2019-12-04 14:34:33', '2019-12-20 10:04:50', '2019-12-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 10.76000000, 0.00000000, 0.00000000, 53.79000000, 64.55000000, '', '', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 53.79000000, 10.76000000, 64.55000000, 'commande/CO1912-1228/CO1912-1228.pdf', NULL, NULL),
(1333, 'CO1912-1229', 1, NULL, NULL, NULL, 2177, NULL, '2020-02-03 15:30:17', '2019-12-05 09:38:50', '2020-02-03 16:26:21', '2020-02-03 16:27:13', '2019-12-05', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 119.41000000, 0.00000000, 0.00000000, 597.04000000, 716.45000000, '', 'Maintenance compresseur L07RS à 9346 HRS<br />\r\n<br />\r\nBL N°7 du 09/01/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 597.04000000, 119.41000000, 716.45000000, 'commande/CO1912-1229/CO1912-1229.pdf', NULL, NULL),
(1334, 'CO1912-1230', 1, NULL, NULL, NULL, 2234, NULL, '2020-03-03 10:30:49', '2019-12-05 09:49:22', '2019-12-16 16:38:53', '2019-12-23 09:50:04', '2019-12-05', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 194.47000000, 0.00000000, 0.00000000, 972.37000000, 1166.84000000, '', 'maintenance L45RS N°CD10005658001 à 59539 Hrs  et remplacement cartouche filtre reseau<br />\r\n<br />\r\nBL N°37 du 16/12/2019<br />\r\n<br />\r\nCommande N°4800304640', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 972.37000000, 194.47000000, 1166.84000000, 'commande/CO1912-1230/CO1912-1230.pdf', NULL, NULL),
(1335, 'CO1912-1231', 1, NULL, NULL, NULL, 10293, NULL, '2020-03-09 10:51:20', '2019-12-05 09:54:53', '2019-12-05 10:07:09', '2020-02-04 16:31:36', '2019-12-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 247.72000000, 0.00000000, 0.00000000, 1238.60000000, 1486.32000000, '', '', '', 1, NULL, NULL, 9, 3, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1238.60000000, 247.72000000, 1486.32000000, 'commande/CO1912-1231/CO1912-1231.pdf', NULL, NULL),
(1336, 'CO1912-1232', 1, NULL, NULL, NULL, 2073, NULL, '2020-01-31 10:09:44', '2019-12-05 10:18:38', '2020-01-28 15:46:12', '2020-01-28 15:46:58', '2019-12-05', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 105.28000000, 0.00000000, 0.00000000, 526.40000000, 631.68000000, '', 'Maintenance Hv07 à 11978 HRS<br />\r\n<br />\r\nBL N°13 du 21/01/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 526.40000000, 105.28000000, 631.68000000, 'commande/CO1912-1232/CO1912-1232.pdf', NULL, NULL),
(1337, 'CO1912-1233', 1, NULL, NULL, NULL, 2033, NULL, '2020-01-31 10:00:24', '2019-12-09 14:15:17', '2020-01-28 15:42:18', '2020-01-28 15:44:11', '2019-12-09', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 164.97000000, 0.00000000, 0.00000000, 824.82000000, 989.79000000, '', 'Maintenance L15RS N° CD10006364001 à 23265 hrs<br />\r\nRemplacement cartouche filtre reseau BEA 190RB<br />\r\n<br />\r\nBL N°17 du 24/01/2020<br />\r\nCommande N° 30373/21781', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 824.82000000, 164.97000000, 989.79000000, 'commande/CO1912-1233/CO1912-1233.pdf', NULL, NULL),
(1338, 'CO1912-1234', 1, NULL, NULL, NULL, 2055, NULL, '2019-12-19 10:15:26', '2019-12-09 14:59:53', '2019-12-09 15:58:48', '2019-12-18 11:55:20', '2019-12-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 264.51000000, 0.00000000, 0.00000000, 1322.55000000, 1587.06000000, '', 'Maintenance compresseur L18 - en piéces adaptables ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1322.55000000, 264.51000000, 1587.06000000, 'commande/CO1912-1234/CO1912-1234.pdf', NULL, NULL),
(1339, 'CO1912-1235', 1, NULL, NULL, NULL, 1955, NULL, '2020-10-29 09:06:37', '2019-12-09 16:01:55', '2019-12-09 16:02:08', '2020-10-29 10:06:37', '2019-12-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 31.60000000, 0.00000000, 0.00000000, 158.00000000, 189.60000000, '', 'Filtre regulateur lubrificateur en 1/2', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 158.00000000, 31.60000000, 189.60000000, 'commande/CO1912-1235/CO1912-1235.pdf', NULL, NULL),
(1340, 'CO1912-1236', 1, NULL, NULL, NULL, 2033, NULL, '2020-03-05 09:18:07', '2019-12-10 09:08:25', '2020-03-05 10:15:45', '2020-03-05 10:17:43', '2019-12-10', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 470.32000000, 0.00000000, 0.00000000, 2351.58000000, 2821.90000000, '', 'Maintenance du Compresseur L26rs à 28462 HRS<br />\r\nRemplcament cartouche filtre reseau<br />\r\n<br />\r\nBL N°09 du 09/01/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2351.58000000, 470.32000000, 2821.90000000, 'commande/CO1912-1236/CO1912-1236.pdf', NULL, NULL),
(1341, 'CO1912-1237', 1, NULL, NULL, NULL, 11435, NULL, '2020-03-09 10:48:27', '2019-12-10 10:34:17', '2019-12-20 14:12:25', '2019-12-20 14:13:55', '2019-12-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 337.77000000, 0.00000000, 0.00000000, 1688.90000000, 2026.67000000, '', 'maintenance L30RS N&deg;cd10013952002', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1688.90000000, 337.77000000, 2026.67000000, 'commande/CO1912-1237/CO1912-1237.pdf', NULL, NULL),
(1342, 'CO1912-1238', 1, NULL, NULL, NULL, 2029, NULL, '2020-01-20 13:42:40', '2019-12-10 11:22:00', '2019-12-10 11:22:13', '2020-01-15 11:31:27', '2019-12-10', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 133.24000000, 0.00000000, 0.00000000, 666.16000000, 799.40000000, '', 'maintenance L11 à ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 666.16000000, 133.24000000, 799.40000000, 'commande/CO1912-1238/CO1912-1238.pdf', NULL, NULL),
(1343, 'CO1912-1239', 1, NULL, NULL, NULL, 2268, NULL, '2020-02-04 08:56:21', '2019-12-10 15:49:25', '2020-02-04 09:41:37', '2020-02-04 09:49:10', '2019-12-10', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 114.80000000, 0.00000000, 0.00000000, 573.99000000, 688.79000000, '', 'Maintenance L15 N° CD10006861001 à 48263 HRS<br />\r\n<br />\r\nBL N°4 du 13/01/2020', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 573.99000000, 114.80000000, 688.79000000, 'commande/CO1912-1239/CO1912-1239.pdf', NULL, NULL),
(1344, 'CO1912-1240', 1, NULL, NULL, NULL, 2011, NULL, '2020-07-21 08:59:45', '2019-12-10 16:36:28', '2019-12-10 16:37:05', NULL, '2019-12-10', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 314.35000000, 0.00000000, 0.00000000, 1571.76000000, 1886.11000000, '', 'Maintenance compresseur L07 et L07RS :&nbsp;', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1571.76000000, 314.35000000, 1886.11000000, 'commande/CO1912-1240/CO1912-1240.pdf', NULL, NULL),
(1345, 'CO1912-1241', 1, NULL, NULL, NULL, 2054, NULL, '2019-12-19 10:17:25', '2019-12-11 11:23:44', '2019-12-11 11:23:51', NULL, '2019-12-11', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 137.45000000, 0.00000000, 0.00000000, 687.33000000, 824.78000000, '', 'Maintennace compresseur BELAIR<br />\r\nSite &quot; LE SILO &quot;&nbsp;', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 687.33000000, 137.45000000, 824.78000000, 'commande/CO1912-1241/CO1912-1241.pdf', NULL, NULL),
(1346, 'CO1912-1242', 1, NULL, NULL, 'es8', 2054, NULL, '2020-03-05 09:38:28', '2019-12-11 11:32:21', '2019-12-11 11:32:27', '2019-12-20 09:36:28', '2019-12-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 201.41000000, 0.00000000, 0.00000000, 1007.11000000, 1208.52000000, '', 'Maintenance compresseur ES 8 - Saint jean de la porte', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1007.11000000, 201.41000000, 1208.52000000, 'commande/CO1912-1242/CO1912-1242.pdf', NULL, NULL),
(1347, 'CO1912-1243', 1, NULL, NULL, 'sullair wa3008 voreppe', 2054, NULL, '2020-01-31 10:13:36', '2019-12-11 11:36:24', '2019-12-20 09:32:16', '2019-12-20 09:33:01', '2019-12-11', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 152.75000000, 0.00000000, 0.00000000, 763.74000000, 916.49000000, '', 'Maintenance compresseur Sullair WA3008 N°90630031 à 20 665 HRS<br />\r\n<br />\r\nSite de livraison :<br />\r\nZA Centr\'Alp<br />\r\nRue Louis Neel<br />\r\n38340 VOREPPE<br />\r\n<br />\r\nCommande : C17820013332PM', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 763.74000000, 152.75000000, 916.49000000, 'commande/CO1912-1243/CO1912-1243.pdf', NULL, NULL),
(1348, 'CO1912-1244', 1, NULL, NULL, NULL, 2069, NULL, '2020-06-26 12:17:54', '2019-12-11 11:46:06', '2019-12-11 11:46:14', '2020-06-26 14:16:57', '2019-12-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 155.03000000, 0.00000000, 0.00000000, 775.21000000, 930.24000000, '', 'maintenance cyclon 111', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 775.21000000, 155.03000000, 930.24000000, 'commande/CO1912-1244/CO1912-1244.pdf', NULL, NULL),
(1349, 'CO1912-1245', 1, NULL, NULL, NULL, 12581, NULL, '2020-01-22 08:40:06', '2019-12-11 11:54:00', '2020-01-08 16:21:57', '2020-01-22 09:39:15', '2019-12-11', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 114.72000000, 0.00000000, 0.00000000, 573.62000000, 688.34000000, '', 'Maintenance GA15+FF à  HRS<br />\r\n<br />\r\nCommande N° <br />\r\nChantier Centrale enrobé N° 82000<br />\r\nContact Fabien Laurent', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 573.62000000, 114.72000000, 688.34000000, 'commande/CO1912-1245/CO1912-1245.pdf', NULL, NULL),
(1351, 'CO1912-1247', 1, NULL, NULL, NULL, 2119, NULL, '2020-01-31 10:46:27', '2019-12-11 14:36:56', '2019-12-11 14:37:06', '2020-01-28 15:52:18', '2019-12-11', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 153.96000000, 0.00000000, 0.00000000, 769.76000000, 923.72000000, '', 'Maintenance L05 à 2670 HRS ,<br />\r\nMaintenance seprateur de condensats owamat 2R ( SIR4003 )  et remplacement des cartouches  filtres reseaux <br />\r\n<br />\r\nBL N° 18 du 27/01/2020', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 769.76000000, 153.96000000, 923.72000000, 'commande/CO1912-1247/CO1912-1247.pdf', NULL, NULL),
(1352, 'CO1912-1248', 1, NULL, NULL, NULL, 2140, NULL, '2019-12-19 15:48:52', '2019-12-11 15:47:13', '2019-12-11 15:47:37', '2019-12-19 16:31:41', '2019-12-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 156.19000000, 0.00000000, 0.00000000, 780.97000000, 937.16000000, '', 'Maintenance L15RS', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 780.97000000, 156.19000000, 937.16000000, 'commande/CO1912-1248/CO1912-1248.pdf', NULL, NULL),
(1353, 'CO1912-1249', 1, NULL, NULL, NULL, 2161, NULL, '2019-12-24 09:43:40', '2019-12-13 10:51:59', '2019-12-13 10:52:08', '2019-12-18 10:18:24', '2019-12-13', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 18.56000000, 0.00000000, 0.00000000, 92.80000000, 111.36000000, '', 'Raccord inox g1/4 male<br />\r\n<br />\r\nCommande 2100/19020228', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 92.80000000, 18.56000000, 111.36000000, 'commande/CO1912-1249/CO1912-1249.pdf', NULL, NULL),
(1354, 'CO1912-1250', 1, NULL, NULL, NULL, 12995, NULL, '2020-03-03 14:37:56', '2019-12-16 09:23:07', '2019-12-16 09:23:24', '2020-02-04 08:59:38', '2019-12-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 122.26000000, 0.00000000, 0.00000000, 611.31000000, 733.57000000, '', 'Maintenance des 2 compresseurs &agrave; piston ABAC<br />\r\n&nbsp;\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- resserrage connexions &eacute;lectriques par nos techniciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration </u><br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 50 CV ( hors manutention, transport &amp; raccordement)<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 611.31000000, 122.26000000, 733.57000000, 'commande/CO1912-1250/CO1912-1250.pdf', NULL, NULL),
(1355, 'CO1912-1251', 1, NULL, NULL, NULL, 2102, NULL, '2020-03-09 10:52:46', '2019-12-16 09:52:33', '2020-02-05 09:51:58', '2020-02-05 09:53:21', '2019-12-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 343.58000000, 0.00000000, 0.00000000, 1717.94000000, 2061.52000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1717.94000000, 343.58000000, 2061.52000000, 'commande/CO1912-1251/CO1912-1251.pdf', NULL, NULL),
(1356, 'CO1912-1252', 1, NULL, NULL, NULL, 2350, NULL, '2020-02-04 15:20:59', '2019-12-16 16:24:45', '2019-12-17 14:43:12', '2020-02-04 16:19:02', '2019-12-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 711.90000000, 0.00000000, 0.00000000, 3559.52000000, 4271.42000000, '', 'Compresseur à pistons à vitesse lente COMPAIR<br />\r\nGarantie 2 ans piéces et main d\'oeuvre*<br />\r\n<br />\r\nDimensions à vérifier :( Lx l x H) 1970 x 590 x 1280<br />\r\n<br />\r\nDébit 44 m3/h 5.5 kw 10bar<br />\r\nreservoir 500 Litres<br />\r\n260 kg<br />\r\n<br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3559.52000000, 711.90000000, 4271.42000000, 'commande/CO1912-1252/CO1912-1252.pdf', NULL, NULL),
(1357, 'CO1912-1253', 1, NULL, NULL, NULL, 2265, NULL, '2020-03-05 13:18:16', '2019-12-17 09:36:38', '2019-12-17 09:36:45', '2020-03-05 14:16:55', '2019-12-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 242.75000000, 0.00000000, 0.00000000, 1213.81000000, 1456.56000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1213.81000000, 242.75000000, 1456.56000000, 'commande/CO1912-1253/CO1912-1253.pdf', NULL, NULL),
(1358, 'CO1912-1254', 1, NULL, NULL, NULL, 2140, NULL, '2019-12-19 10:31:04', '2019-12-17 15:01:06', '2019-12-19 11:29:52', '2019-12-19 11:30:14', '2019-12-17', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 193.39000000, 0.00000000, 0.00000000, 966.95000000, 1160.34000000, '', 'Maintenance L15', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 966.95000000, 193.39000000, 1160.34000000, 'commande/CO1912-1254/CO1912-1254.pdf', NULL, NULL),
(1359, 'CO1912-1255', 1, NULL, NULL, NULL, 12666, NULL, '2020-01-15 10:48:36', '2019-12-17 16:12:36', '2020-01-15 11:47:44', '2020-01-15 11:48:05', '2019-12-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 163.36000000, 0.00000000, 0.00000000, 816.80000000, 980.16000000, '', 'maintenance UP5-15-8.5', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 816.80000000, 163.36000000, 980.16000000, 'commande/CO1912-1255/CO1912-1255.pdf', NULL, NULL),
(1360, 'CO1912-1256', 1, NULL, NULL, NULL, 1983, NULL, '2020-03-09 10:48:17', '2019-12-18 11:20:59', '2019-12-18 11:24:28', '2019-12-18 11:24:49', '2019-12-18', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 126.79000000, 0.00000000, 0.00000000, 633.92000000, 760.71000000, '', 'Maintenance L07RS N° BA2765001 à 16561 HRS<br />\r\nRemplacement cartouche filtre reseau<br />\r\nRemplacement sonde de temperature<br />\r\n<br />\r\nBL N°36 du 12/12/2018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 633.92000000, 126.79000000, 760.71000000, 'commande/CO1912-1256/CO1912-1256.pdf', NULL, NULL),
(1361, 'CO1912-1258', 1, NULL, NULL, NULL, 2162, NULL, '2019-12-23 08:31:27', '2019-12-20 15:44:22', '2019-12-23 09:30:42', '2019-12-23 09:31:14', '2019-12-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 148.35000000, 0.00000000, 0.00000000, 741.77000000, 890.12000000, '', 'Remis aux reseaux vannes pneumatique du compresseur &agrave; piston&nbsp;<br />\r\n<br />\r\nBL N&deg;35 du 10/12/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 741.77000000, 148.35000000, 890.12000000, 'commande/CO1912-1258/CO1912-1258.pdf', NULL, NULL),
(1362, 'CO1912-1257', 1, NULL, NULL, NULL, 2247, NULL, '2019-12-20 15:25:31', '2019-12-20 16:10:49', '2019-12-20 16:13:58', '2019-12-20 16:14:08', '2019-12-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 48.40000000, 0.00000000, 0.00000000, 242.02000000, 290.42000000, '', 'Remplacement du ventilateur armoire &eacute;l&eacute;ctrique du compresseur L18RS<br />\r\n<br />\r\nBL N&deg;33 du 05/12/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 242.02000000, 48.40000000, 290.42000000, 'commande/CO1912-1257/CO1912-1257.pdf', NULL, NULL),
(1363, 'CO1912-1259', 1, NULL, NULL, NULL, 2234, NULL, '2020-03-03 10:35:54', '2019-12-23 09:50:28', '2019-12-23 09:56:01', '2019-12-23 14:12:12', '2019-12-23', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 224.90000000, 0.00000000, 0.00000000, 1124.54000000, 1349.44000000, '', 'Maintenance L45RS N°CD10005658001 à 10863Hrs<br />\r\nRemplcament des cartouches des filtres reseaux <br />\r\n<br />\r\nBL N° 32 du 04/12/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1124.54000000, 224.90000000, 1349.44000000, 'commande/CO1912-1259/CO1912-1259.pdf', NULL, NULL),
(1364, 'CO1912-1260', 1, NULL, NULL, NULL, 2272, NULL, '2019-12-23 09:41:26', '2019-12-23 10:38:24', '2019-12-23 10:38:54', '2019-12-23 10:40:12', '2019-12-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 44.22000000, 0.00000000, 0.00000000, 221.10000000, 265.32000000, '', 'reparation descente girair et refixation vanne<br />\r\n<br />\r\nBL N&deg;28 du 11/12/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 221.10000000, 44.22000000, 265.32000000, 'commande/CO1912-1260/CO1912-1260.pdf', NULL, NULL),
(1365, 'CO1912-1261', 1, NULL, NULL, NULL, 2358, NULL, '2019-12-23 13:54:49', '2019-12-23 14:43:58', '2019-12-23 14:54:01', '2019-12-23 14:54:06', '2019-12-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 138.52000000, 0.00000000, 0.00000000, 692.66000000, 831.18000000, '', 'Modification ligne reseaux et t&eacute;l&eacute;phonique<br />\r\n<br />\r\nBL N&deg; 06 du 18/12/2019', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 692.66000000, 138.52000000, 831.18000000, 'commande/CO1912-1261/CO1912-1261.pdf', NULL, NULL),
(1366, 'CO1912-1262', 1, NULL, NULL, NULL, 2370, NULL, '2019-12-23 14:14:07', '2019-12-23 15:12:09', '2019-12-23 15:13:10', '2019-12-23 15:13:39', '2019-12-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 83.12000000, 0.00000000, 0.00000000, 415.62000000, 498.74000000, '', 'Maintenance s&eacute;cheur alumine HL0030 et remplcament cartouches filtres r&eacute;seaux :<br />\r\n<br />\r\nBL N&deg; 43 du 30/03/2018', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 415.62000000, 83.12000000, 498.74000000, 'commande/CO1912-1262/CO1912-1262.pdf', NULL, NULL),
(1367, 'CO1912-1263', 1, NULL, NULL, NULL, 2407, NULL, '2019-12-23 14:56:08', '2019-12-23 15:54:08', '2019-12-23 15:54:41', '2019-12-23 15:55:00', '2019-12-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 128.74000000, 0.00000000, 0.00000000, 643.72000000, 772.46000000, '', 'Réépreuve votre cuve 1000Litres   hors épreuve par un organisme agréé .\r\n<p>Notre offre comprend :</p>\r\n\r\n<ul>\r\n	<li>Dépose des accessoires fixer sur la cuve ( flexible , … etc )</li>\r\n	<li>Assistance au verificateur de l’organisme agrée</li>\r\n	<li>Remontage et remise en service de la machine</li>\r\n</ul>\r\n', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 643.72000000, 128.74000000, 772.46000000, 'commande/CO1912-1263/CO1912-1263.pdf', NULL, NULL),
(1368, 'CO1912-1264', 1, NULL, NULL, NULL, 1940, NULL, '2019-12-24 08:06:50', '2019-12-24 09:05:46', '2019-12-24 09:05:57', '2019-12-24 09:06:15', '2019-12-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 247.25000000, 0.00000000, 0.00000000, 1236.21000000, 1483.46000000, '', 'Maintenance de votre compresseur L45RS&nbsp;<br />\r\nRemplacement cartouches filtres r&eacute;seaux&nbsp;<br />\r\nMaintenance s&eacute;parateur de condensats owamat14', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1236.21000000, 247.25000000, 1483.46000000, 'commande/CO1912-1264/CO1912-1264.pdf', NULL, NULL),
(1369, 'CO1912-1265', 1, NULL, NULL, NULL, 2184, NULL, '2020-02-05 09:09:32', '2019-12-26 10:03:08', '2020-02-03 16:21:07', '2020-02-03 16:22:47', '2019-12-26', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 341.29000000, 0.00000000, 0.00000000, 1706.49000000, 2047.78000000, '', 'Maintenance L45RS ( 2018 ) N° CD10034859001 en huile alimentaire à 15348Hrs<br />\r\n<br />\r\nRemplacement cartouche filtre réseau <br />\r\n<br />\r\nMaintenance seprateur de condensats OWAMAT 14<br />\r\n<br />\r\n<br />\r\nBL N°46 du 21/01/2020<br />\r\n<br />\r\nPO7100024257', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1706.49000000, 341.29000000, 2047.78000000, 'commande/CO1912-1265/CO1912-1265.pdf', NULL, NULL),
(1370, 'CO1912-1266', 1, NULL, NULL, NULL, 13045, NULL, '2020-12-24 07:58:00', '2019-12-26 11:22:49', '2019-12-26 11:23:00', '2019-12-26 14:24:48', '2019-12-26', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 6966.94000000, 0.00000000, 0.00000000, 34834.61000000, 41801.55000000, '', 'Dossier UDT MECA : <br />\r\nNouveau local air comprimé <strong>compresseur à vis lubrifiee vitesse variable</strong> 30 KW modele : L29RS COMPAIR GD avec un gainage pour chauffage des locaux avec sécheur par refrigeration OMI et cuve 900Litres', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 34834.61000000, 6966.94000000, 41801.55000000, 'commande/CO1912-1266/CO1912-1266.pdf', NULL, NULL),
(1371, 'CO2001-1267', 1, NULL, NULL, NULL, 2054, NULL, '2020-01-15 10:38:25', '2020-01-02 12:02:25', '2020-01-02 12:02:35', '2020-01-15 11:37:50', '2020-01-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 145.78000000, 0.00000000, 0.00000000, 728.89000000, 874.67000000, '', 'Remplacement electrovanne sur compresseur SULLAIR WA3008 - <br />\r\nSIte de VOREPPE<br />\r\n<br />\r\nDélai : 4 semaines', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 728.89000000, 145.78000000, 874.67000000, 'commande/CO2001-1267/CO2001-1267.pdf', NULL, NULL),
(1372, 'CO2001-1268', 1, NULL, NULL, NULL, 2331, NULL, '2020-08-12 10:06:35', '2020-01-06 09:47:57', '2020-01-06 09:48:24', '2020-08-12 12:06:35', '2020-01-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 13.60000000, 0.00000000, 0.00000000, 68.00000000, 81.60000000, '', 'Purge temporis&eacute;e', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 68.00000000, 13.60000000, 81.60000000, 'commande/CO2001-1268/CO2001-1268.pdf', NULL, NULL),
(1373, 'CO2001-1296', 1, NULL, NULL, NULL, 2128, NULL, '2020-03-09 10:55:39', '2020-01-06 14:48:38', '2020-01-28 15:59:46', '2020-01-31 14:38:39', '2020-01-06', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 266.89000000, 0.00000000, 0.00000000, 1334.48000000, 1601.37000000, '', 'Maintenance compresseur L11RS N° BA4491101 à 10596 HRS sous contrat lissé<br />\r\net remplacement de 2 cartouches filtres réseaux<br />\r\net remplcament kit separateur de condensats<br />\r\net remplacement du purgeur du filtre d\'entrée<br />\r\nBL N° 45 du 03/01//2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1334.48000000, 266.89000000, 1601.37000000, 'commande/CO2001-1296/CO2001-1296.pdf', NULL, NULL),
(1374, 'CO2001-1269', 1, NULL, NULL, NULL, 2347, NULL, '2020-02-04 14:49:41', '2020-01-06 15:38:40', '2020-02-04 15:41:18', '2020-02-04 15:44:24', '2020-01-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 236.13000000, 0.00000000, 0.00000000, 1180.66000000, 1416.79000000, '', 'maintenance L15RS N&deg;CD10021874001 - 8000 HRS', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1180.66000000, 236.13000000, 1416.79000000, 'commande/CO2001-1269/CO2001-1269.pdf', NULL, NULL),
(1375, 'CO2001-1270', 1, NULL, NULL, NULL, 2245, NULL, '2020-02-03 15:46:38', '2020-01-09 08:52:07', '2020-01-09 08:52:14', NULL, '2020-01-09', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 222.52000000, 0.00000000, 0.00000000, 1112.60000000, 1335.12000000, '', '<span style=\"font-size:small\"><span style=\"font-family:Default Sans Serif,Verdana,Arial,Helvetica,sans-serif\">20 &eacute;lectrovannes CAMOZZI R&eacute;f.438.015.22<br />\r\n<br />\r\nD&eacute;lai : 21/01/</span></span>', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1112.60000000, 222.52000000, 1335.12000000, 'commande/CO2001-1270/CO2001-1270.pdf', NULL, NULL),
(1376, 'CO2001-1271', 1, NULL, NULL, NULL, 6663, NULL, '2020-02-04 13:20:07', '2020-01-09 09:01:57', '2020-02-04 14:18:57', '2020-02-04 14:19:55', '2020-01-09', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 133.89000000, 0.00000000, 0.00000000, 669.45000000, 803.34000000, '', 'Maintenance L37RS N° CD100248873001 à  5418HRS<br />\r\n<br />\r\n<br />\r\nBL N° 10 du 15/01/2020 ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 669.45000000, 133.89000000, 803.34000000, 'commande/CO2001-1271/CO2001-1271.pdf', NULL, NULL),
(1377, 'CO2001-1272', 1, NULL, NULL, NULL, 6663, NULL, '2020-02-04 13:27:44', '2020-01-09 09:04:00', '2020-02-04 14:24:59', '2020-02-04 14:27:09', '2020-01-09', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 169.29000000, 0.00000000, 0.00000000, 846.45000000, 1015.74000000, '', 'Maintenance compresseur L18 N°100011405/0154 à 17468HEURES<br />\r\nRemplacement cartouches filtres reseaux <br />\r\nMaintenance separateur de condensats OWAMAT 14<br />\r\n<br />\r\nBL N°09 du 15/01/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 846.45000000, 169.29000000, 1015.74000000, 'commande/CO2001-1272/CO2001-1272.pdf', NULL, NULL),
(1379, 'CO2001-1273', 1, NULL, NULL, NULL, 5741, NULL, '2020-01-22 08:08:56', '2020-01-13 09:01:45', '2020-01-13 09:02:43', '2020-01-16 11:40:02', '2020-01-13', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 42.25000000, 0.00000000, 0.00000000, 211.25000000, 253.50000000, '', 'Commande N° 12161', '', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 211.25000000, 42.25000000, 253.50000000, 'commande/CO2001-1273/CO2001-1273.pdf', NULL, NULL),
(1380, 'CO2001-1274', 1, NULL, NULL, 'CF27927', 2029, NULL, '2020-01-22 08:22:56', '2020-01-15 09:49:55', '2020-01-15 09:50:04', '2020-01-20 14:43:47', '2020-01-15', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 179.55000000, 0.00000000, 0.00000000, 897.74000000, 1077.29000000, '', 'Remplacement ventilateur du secheur et vanne thermostatique sur compresseur L11 : ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 897.74000000, 179.55000000, 1077.29000000, 'commande/CO2001-1274/CO2001-1274.pdf', NULL, NULL),
(1382, 'CO2001-1276', 1, NULL, NULL, NULL, 2235, NULL, '2020-09-28 08:22:42', '2020-01-16 11:06:32', '2020-01-16 15:09:37', '2020-08-12 15:27:44', '2020-01-16', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 7200.02000000, 0.00000000, 0.00000000, 36000.00000000, 43200.02000000, '', 'local air comprimé : Un compresseur à vitesse varaible 30KW modele L29RS<span style=\"font-size:12.0pt\"><span style=\"font-family:\"Calibri\",\"sans-serif\"\"><span style=\"color:#1f497d\">vitesse variable mise en place d\'un système de variation électronique de vitesse (VEV) un moteur asynchrone </span></span></span> COMPAIR avec un secheur par refrigeration ED660 et un reservoir galva de 900Litres , deux filtres reseaux .<br />\r\n<span style=\"font-size:12.0pt\"><span style=\"font-family:\"Calibri\",\"sans-serif\"\"><span style=\"color:#1f497d\">mise en place d\'un système de récupération de chaleur sur compresseur d\'air d\'une puissance de 30 kW</span></span></span><br />\r\nRaccordement de l\'ensemble en inox serti<br />\r\n<span style=\"font-size:12pt\"><span style=\"font-family:\"Times New Roman\",serif\"><span style=\"font-family:\"Calibri\",\"sans-serif\"\"><span style=\"color:#1f497d\">Adresse de travaux  : 470 Rue des Andrillots 26600 GRANGES Les Beaumont</span></span></span></span><br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 36000.00000000, 7200.02000000, 43200.02000000, 'commande/CO2001-1276/CO2001-1276.pdf', NULL, NULL),
(1383, 'CO2001-1275', 1, NULL, NULL, NULL, 2008, NULL, '2020-03-09 10:50:46', '2020-01-16 11:12:34', '2020-01-16 11:12:41', '2020-01-28 15:37:54', '2020-01-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 114.97000000, 0.00000000, 0.00000000, 574.92000000, 689.89000000, '', 'Maintenance compresseur 6000 EL', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 574.92000000, 114.97000000, 689.89000000, 'commande/CO2001-1275/CO2001-1275.pdf', NULL, NULL),
(1384, 'CO2001-1277', 1, NULL, NULL, NULL, 1965, NULL, '2020-01-16 15:23:49', '2020-01-16 15:34:23', '2020-01-16 15:34:31', '2020-01-16 16:22:45', '2020-01-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 135.57000000, 0.00000000, 0.00000000, 677.87000000, 813.44000000, '', 'Compresseur devilbiss MOD25 et filtre r&eacute;seau', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 677.87000000, 135.57000000, 813.44000000, 'commande/CO2001-1277/CO2001-1277.pdf', NULL, NULL),
(1385, 'CO2001-1278', 1, NULL, NULL, NULL, 1955, NULL, '2020-01-28 14:34:23', '2020-01-17 09:08:06', '2020-01-17 09:08:17', '2020-01-28 15:33:50', '2020-01-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 175.60000000, 0.00000000, 0.00000000, 878.00000000, 1053.60000000, '', 'Fourniture  et raccordement en lieu et place d\'un reservoir 500Litres équipé .<br />\r\n<br />\r\nDélai : DISPONIBLE 48H', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 878.00000000, 175.60000000, 1053.60000000, 'commande/CO2001-1278/CO2001-1278.pdf', NULL, NULL),
(1386, 'CO2001-1279', 1, NULL, NULL, NULL, 2235, NULL, '2020-03-09 10:53:39', '2020-01-17 09:23:25', '2020-01-17 09:23:33', '2020-02-04 08:54:20', '2020-01-17', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 192.60000000, 0.00000000, 0.00000000, 962.99000000, 1155.59000000, '', 'Pour robot vu cette apres midi ensemble <br />\r\n<br />\r\nCommande N° MAI20GLB00050', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 962.99000000, 192.60000000, 1155.59000000, 'commande/CO2001-1279/CO2001-1279.pdf', NULL, NULL),
(1387, 'CO2001-1280', 1, NULL, NULL, NULL, 2235, NULL, '2020-02-03 15:43:35', '2020-01-17 16:29:51', '2020-01-17 16:29:58', '2020-02-03 16:42:37', '2020-01-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 59.80000000, 0.00000000, 0.00000000, 299.00000000, 358.80000000, '', 'Suite &agrave; votre demande aupr&eacute;s de Mr Balazard ce jour , un bidon d&#39;huile 20Litres pour votre compresseur L15VS<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 299.00000000, 59.80000000, 358.80000000, 'commande/CO2001-1280/CO2001-1280.pdf', NULL, NULL),
(1388, 'CO2001-1281', 1, NULL, NULL, NULL, 2162, NULL, '2020-03-09 10:53:56', '2020-01-20 15:01:28', '2020-01-31 16:31:25', '2020-03-03 09:32:08', '2020-01-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 24.84000000, 0.00000000, 0.00000000, 124.21000000, 149.05000000, '', 'Soupape surcuve intermediaire', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 124.21000000, 24.84000000, 149.05000000, 'commande/CO2001-1281/CO2001-1281.pdf', NULL, NULL),
(1389, 'CO2001-1282', 1, NULL, NULL, NULL, 2215, NULL, '2020-03-09 10:53:43', '2020-01-22 09:13:54', '2020-03-03 11:45:09', '2020-03-03 11:50:55', '2020-01-22', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 163.25000000, 0.00000000, 0.00000000, 816.31000000, 979.56000000, '', 'Maintenance L11RS  N°cd10001552001 à 27917 HRS<br />\r\nRemplacement cartouche reseau <br />\r\nMaintenance Separateur de condensats OWAMAT10<br />\r\n<br />\r\nBL 49 du 07/02/2020', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 816.31000000, 163.25000000, 979.56000000, 'commande/CO2001-1282/CO2001-1282.pdf', NULL, NULL),
(1390, 'CO2001-1283', 1, NULL, NULL, NULL, 2064, NULL, '2020-02-27 10:35:20', '2020-01-22 11:28:57', '2020-01-22 11:31:26', '2020-02-27 11:34:55', '2020-01-22', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 292.13000000, 0.00000000, 0.00000000, 1460.65000000, 1752.78000000, '', 'Remplacement boitier regulateur d\'aspiration sur compresseur L22S - réalisé en même temps qu\'un maintenance<br />\r\n<br />\r\nDélai : 06/02/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1460.65000000, 292.13000000, 1752.78000000, 'commande/CO2001-1283/CO2001-1283.pdf', NULL, NULL),
(1391, 'CO2001-1284', 1, NULL, NULL, NULL, 2161, NULL, '2020-07-21 09:00:25', '2020-01-23 09:13:47', '2020-01-23 09:14:35', NULL, '2020-01-23', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 427.48000000, 0.00000000, 0.00000000, 2137.51000000, 2564.99000000, 'signé pour l\'année 2019', 'Base contrat de maintenance 2019 :', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2137.51000000, 427.48000000, 2564.99000000, 'commande/CO2001-1284/CO2001-1284.pdf', NULL, NULL),
(1392, 'CO2001-1285', 1, NULL, NULL, NULL, 5741, NULL, '2020-12-21 10:08:47', '2020-01-24 09:35:26', '2020-01-24 09:35:36', '2020-12-21 11:08:47', '2020-01-24', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 105.92000000, 0.00000000, 0.00000000, 529.62000000, 635.54000000, '', '<p>Commande N° N°11893</p>\r\n\r\n<p>1 X    AIP CART BEA 1200 RB     </p>\r\n\r\n<p> 1 X     AIP CART BEA 1200 RA   </p>\r\n', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 529.62000000, 105.92000000, 635.54000000, 'commande/CO2001-1285/CO2001-1285.pdf', NULL, NULL),
(1393, 'CO2001-1286', 1, NULL, NULL, NULL, 12581, NULL, '2020-03-03 14:31:56', '2020-01-24 14:18:37', '2020-01-24 14:19:18', '2020-01-24 14:19:43', '2020-01-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 6.72000000, 0.00000000, 0.00000000, 33.62000000, 40.34000000, '', 'Filtres a air pour compresseur GA15', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 33.62000000, 6.72000000, 40.34000000, 'commande/CO2001-1286/CO2001-1286.pdf', NULL, NULL),
(1394, 'CO2001-1287', 1, NULL, NULL, NULL, 2064, NULL, '2020-03-24 09:32:23', '2020-01-24 14:55:59', '2020-03-18 11:37:27', '2020-03-18 11:37:52', '2020-01-24', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 673.34000000, 0.00000000, 0.00000000, 3366.70000000, 4040.04000000, '', 'Maintenance compresseur L37 N°10001720002 à 27398 HRS<br />\r\nBL N° 20 du 05/02/2020<br />\r\n<br />\r\nMaintenance compresseur L37 N°10008491001 à 19158 HRS<br />\r\nBL N°19 du 05/02/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3366.70000000, 673.34000000, 4040.04000000, 'commande/CO2001-1287/CO2001-1287.pdf', NULL, NULL),
(1395, 'CO2001-1288', 1, NULL, NULL, NULL, 12666, NULL, '2020-03-09 10:57:37', '2020-01-24 16:03:30', '2020-01-24 16:05:41', '2020-02-28 11:49:45', '2020-01-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 344.80000000, 0.00000000, 0.00000000, 1724.01000000, 2068.81000000, '', 'Ensemble sites Delmonico DOREL', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1724.01000000, 344.80000000, 2068.81000000, 'commande/CO2001-1288/CO2001-1288.pdf', NULL, NULL),
(1396, 'CO2001-1289', 1, NULL, NULL, NULL, 13032, NULL, '2020-03-09 10:57:49', '2020-01-27 14:36:42', '2020-01-27 14:37:05', '2020-03-02 10:39:51', '2020-01-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1330.34000000, 0.00000000, 0.00000000, 6651.67000000, 7982.01000000, '', 'Local air comprim&eacute;', '', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 6651.67000000, 1330.34000000, 7982.01000000, 'commande/CO2001-1289/CO2001-1289.pdf', NULL, NULL),
(1397, 'CO2001-1290', 1, NULL, NULL, NULL, 2162, NULL, '2020-03-03 08:23:44', '2020-01-27 15:07:27', '2020-03-03 09:21:47', '2020-03-03 09:22:17', '2020-01-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 343.94000000, 0.00000000, 0.00000000, 1719.67000000, 2063.61000000, '', '<p>R&eacute;&eacute;preuve de r&eacute;servoir d&rsquo;air comprim&eacute; ( Hors organisme agr&eacute;e ) pour 3 cuves (&nbsp; 2 cuves simples et 1 cuve separateur compresseur )&nbsp;</p>\r\n\r\n<p>Notre offre comprend :</p>\r\n\r\n<ul>\r\n	<li>La vidange d&rsquo;huile du compresseur</li>\r\n	<li>D&eacute;pose des accessoires fixer sur la cuve ( flexible , &hellip; etc )</li>\r\n	<li>Bouchonnage des differents orifices</li>\r\n	<li>Remplissage du reservoir avec de l&rsquo;eau</li>\r\n	<li>Assistance eu verificateur de l&rsquo;organisme agr&eacute;e</li>\r\n	<li>Remontage et remise en service de la machine</li>\r\n	<li>Remise &agrave; niveau d&rsquo;huile du compresseur</li>\r\n</ul>\r\n<br />\r\nMerci de pr&eacute;voir un point d&#39;eau &agrave; proximit&eacute;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1719.67000000, 343.94000000, 2063.61000000, 'commande/CO2001-1290/CO2001-1290.pdf', NULL, NULL),
(1398, 'CO2001-1291', 1, NULL, NULL, NULL, 2162, NULL, '2020-02-05 09:04:39', '2020-01-27 15:08:17', '2020-01-27 15:08:27', '2020-02-05 10:04:15', '2020-01-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 625.49000000, 0.00000000, 0.00000000, 3127.46000000, 3752.95000000, '', 'Creation d&#39;un bypass en inox sur votre cuve', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3127.46000000, 625.49000000, 3752.95000000, 'commande/CO2001-1291/CO2001-1291.pdf', NULL, NULL),
(1399, 'CO2001-1292', 1, NULL, NULL, NULL, 12590, NULL, '2020-03-05 10:31:56', '2020-01-27 15:46:51', '2020-03-05 11:30:10', '2020-03-05 11:30:45', '2020-01-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 451.55000000, 0.00000000, 0.00000000, 2257.69000000, 2709.24000000, '', 'maintenance compresseur et filtres reseaux&nbsp; :&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, '2018-09-30', NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2257.69000000, 451.55000000, 2709.24000000, 'commande/CO2001-1292/CO2001-1292.pdf', NULL, NULL),
(1400, 'CO2001-1293', 1, NULL, NULL, NULL, 2054, NULL, '2020-03-05 09:36:38', '2020-01-27 15:56:47', '2020-03-02 09:56:36', '2020-03-02 09:59:55', '2020-01-27', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 653.92000000, 0.00000000, 0.00000000, 3269.60000000, 3923.52000000, '', 'maintenance compresseur L110rs N° CD10017043001 à 21820 HRS<br />\r\n<br />\r\nBL N°11 du 24/02/2020<br />\r\n<br />\r\nCommande N° S97220021021<br />\r\n<br />\r\nSite d\'intervention :<br />\r\nCOOPERATIVE LA DAUPHINOISE<br />\r\nLes Olagnieres<br />\r\nLA COTE SILO<br />\r\n2460 CHemin de la voie Férée<br />\r\n38260 LA COTE SAINT ANDRE', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3269.60000000, 653.92000000, 3923.52000000, 'commande/CO2001-1293/CO2001-1293.pdf', NULL, NULL),
(1401, 'CO2001-1294', 1, NULL, NULL, NULL, 2163, NULL, '2020-02-05 08:59:48', '2020-01-28 11:21:46', '2020-01-28 11:22:04', '2020-02-05 09:59:20', '2020-01-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 214.80000000, 0.00000000, 0.00000000, 1074.00000000, 1288.80000000, '', 'Repose de votre compresseur Renner et de votre s&eacute;cheur d&eacute;j&agrave; en votre possession dans votre atelier provisoire &agrave; G&eacute;nissieux en raccordement souple .<br />\r\nLigne &eacute;l&eacute;ctrique et sectionneur de proximit&eacute; &agrave; votre charge', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1074.00000000, 214.80000000, 1288.80000000, 'commande/CO2001-1294/CO2001-1294.pdf', NULL, NULL);
INSERT INTO `llx_commande` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_cloture`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_cloture`, `source`, `fk_statut`, `amount_ht`, `remise_percent`, `remise_absolue`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `facture`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_livraison`, `fk_shipping_method`, `fk_warehouse`, `fk_availability`, `fk_input_reason`, `fk_delivery_address`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(1402, 'CO2001-1297', 1, NULL, NULL, 'M.Delangue', 13036, NULL, '2020-02-28 09:16:45', '2020-01-29 15:43:35', '2020-01-29 15:43:48', '2020-02-28 10:15:44', '2020-01-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1198.83000000, 0.00000000, 0.00000000, 5994.14000000, 7192.97000000, '', 'Reseau d\'air comprimé nouveau batiment. Reseau en inox serti bouclé sous tunel D28 debit admissible à 10b_8m3/mn avec vanne sectionnement par zone. Ligne pour encollage / zone usinage / zone montage / sableuse en D35 debit admissible a 10B _14m3/mn. Depart en col de cygne en D22. Chaque descente sera terminée par une vanne 1/2 + 1 Ygrec en 1/2 avec un coupleur et un bouchon pour utilisation future.<br />\r\nDelai: pose possible sous 10 jours à reception de commande', '', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5994.14000000, 1198.83000000, 7192.97000000, 'commande/CO2001-1297/CO2001-1297.pdf', NULL, NULL),
(1404, 'CO2001-1298', 1, NULL, NULL, NULL, 2163, NULL, '2020-03-03 08:36:32', '2020-01-30 09:59:47', '2020-01-30 10:00:26', '2020-03-03 09:35:18', '2020-01-30', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 115.33000000, 0.00000000, 0.00000000, 576.63000000, 691.96000000, '', 'Maintenance compresseur RENNER RS TOP 11 N° 438079 à 2513 HRS<br />\r\nBL N°35 du 21/02/2020', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 576.63000000, 115.33000000, 691.96000000, 'commande/CO2001-1298/CO2001-1298.pdf', NULL, NULL),
(1405, 'CO2001-1299', 1, NULL, NULL, NULL, 2239, NULL, '2020-01-31 14:26:36', '2020-01-31 15:25:12', '2020-01-31 15:26:08', '2020-01-31 15:26:18', '2020-01-31', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 61.31000000, 0.00000000, 0.00000000, 306.55000000, 367.86000000, '', 'Remplacement pressostat du compresseur 6020 ELX<br />\r\n<br />\r\nBL N&deg;49 du 07/01/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 306.55000000, 61.31000000, 367.86000000, 'commande/CO2001-1299/CO2001-1299.pdf', NULL, NULL),
(1406, 'CO2002-1300', 1, NULL, NULL, NULL, 12792, NULL, '2020-03-05 10:01:13', '2020-02-03 10:29:29', '2020-02-03 10:29:53', '2020-03-05 11:00:29', '2020-02-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1079.20000000, 0.00000000, 0.00000000, 5396.00000000, 6475.20000000, '', 'Site de Montelimar <br />\r\nLe matériel est garantie 2 ans<br />\r\n<br />\r\n<br />\r\nFourniture et installation d\'un local d\'air comprimé <br />\r\nHors raccordements éléctriques . <br />\r\nPose d\'un sectionneur de proximité à votre charge .<br />\r\n<br />\r\nDélai : 10 jours<br />\r\n ', '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5396.00000000, 1079.20000000, 6475.20000000, 'commande/CO2002-1300/CO2002-1300.pdf', NULL, NULL),
(1407, 'CO2002-1301', 1, NULL, NULL, NULL, 2163, NULL, '2020-03-03 08:33:37', '2020-02-03 15:58:01', '2020-02-03 15:58:12', '2020-02-03 16:15:15', '2020-02-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 149.00000000, 0.00000000, 0.00000000, 745.04000000, 894.04000000, '', 'Maintenance compresseur START015  et remplacement du pressostat', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 745.04000000, 149.00000000, 894.04000000, 'commande/CO2002-1301/CO2002-1301.pdf', NULL, NULL),
(1408, 'CO2002-1302', 1, NULL, NULL, NULL, 2062, NULL, '2020-03-10 09:05:55', '2020-02-04 10:19:55', '2020-02-04 10:20:02', '2020-03-10 10:05:31', '2020-02-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 314.41000000, 0.00000000, 0.00000000, 1572.06000000, 1886.47000000, '', 'Reservoir 900Litres galvanisé en lieu et place de votre réservoir actuel.<br />\r\n<br />\r\nDélai : 72H<br />\r\n<br />\r\nHors manutention', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1572.06000000, 314.41000000, 1886.47000000, 'commande/CO2002-1302/CO2002-1302.pdf', NULL, NULL),
(1409, 'CO2002-1303', 1, NULL, NULL, NULL, 6663, NULL, '2020-02-04 10:38:18', '2020-02-04 10:39:37', '2020-02-04 11:10:56', '2020-02-04 11:13:52', '2020-02-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 58.86000000, 0.00000000, 0.00000000, 294.34000000, 353.20000000, '', 'Defaut d&#39;isolement al&eacute;atoire sur secheur OMI ed480<br />\r\nBL N&deg;1 du 27/01/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 294.34000000, 58.86000000, 353.20000000, 'commande/CO2002-1303/CO2002-1303.pdf', NULL, NULL),
(1410, 'CO2002-1304', 1, NULL, NULL, NULL, 13052, NULL, '2020-02-04 14:12:48', '2020-02-04 14:56:51', '2020-02-04 15:06:21', '2020-02-04 15:12:24', '2020-02-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 79.00000000, 0.00000000, 0.00000000, 395.00000000, 474.00000000, '', 'Groupe pour s&eacute;cheur ED660 - dossier FROMAGERIE ALPINE<br />\r\n<br />\r\nLivraison effectu&eacute;e le 31/01/2020', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 395.00000000, 79.00000000, 474.00000000, 'commande/CO2002-1304/CO2002-1304.pdf', NULL, NULL),
(1411, 'CO2002-1305', 1, NULL, NULL, NULL, 12666, NULL, '2020-02-05 08:47:28', '2020-02-05 09:46:00', '2020-02-05 09:46:47', '2020-02-05 09:47:10', '2020-02-05', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 163.65000000, 0.00000000, 0.00000000, 818.26000000, 981.91000000, '', 'Maintenance compresseur MAC 3 MSC18 à 13300HRS - site de ST julien Molin molette <br />\r\n<br />\r\nBL N°47 du 31/01/2020', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 818.26000000, 163.65000000, 981.91000000, 'commande/CO2002-1305/CO2002-1305.pdf', NULL, NULL),
(1412, 'CO2002-1306', 1, NULL, NULL, NULL, 13053, NULL, '2020-03-09 10:55:22', '2020-02-06 09:18:57', '2020-02-06 09:21:40', '2020-02-06 09:23:53', '2020-02-06', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 225.47000000, 0.00000000, 0.00000000, 1127.41000000, 1352.88000000, 'signé pour l\'année 2019', 'Maintenance compresseur ROLLAIR 15 - 8B N° CAI410726 à 35710 HRS<br />\r\nRemplacement des cartouches des filtres reseaux<br />\r\n<br />\r\nBL N° 03 du 03/02/2020', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1127.41000000, 225.47000000, 1352.88000000, 'commande/CO2002-1306/CO2002-1306.pdf', NULL, NULL),
(1413, 'CO2002-1307', 1, NULL, NULL, NULL, 2122, NULL, '2020-03-02 09:31:53', '2020-02-06 14:21:20', '2020-03-02 10:23:02', '2020-03-02 10:23:07', '2020-02-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 285.79000000, 0.00000000, 0.00000000, 1429.00000000, 1714.79000000, '', '<p><span style=\"font-size:11.0pt\"><span style=\"font-family:&quot;Calibri&quot;,&quot;sans-serif&quot;\"><span style=\"color:#1f497d\">Ci-joint le devis avec les r&eacute;sines et le charbon, l usine doit les recevoir ce vendredi, si elle les re&ccedil;oit le matin, elle nous les exp&eacute;die dans la foul&eacute;e, r&eacute;ception lundi ou mardi de la semaine prochaine, </span></span></span></p>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<p><span style=\"font-size:11.0pt\"><span style=\"font-family:&quot;Calibri&quot;,&quot;sans-serif&quot;\"><span style=\"color:#1f497d\">Si r&eacute;ception vendredi apres midi, exp&eacute;dition lundi , donc r&eacute;ception mardi ou mercredi, si tout va bien </span></span></span></p>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<p><span style=\"font-size:11.0pt\"><span style=\"font-family:&quot;Calibri&quot;,&quot;sans-serif&quot;\"><span style=\"color:#1f497d\">Je me suis tromp&eacute;e pour le charbon actif, ce sont des sacs de 15 kg et non pas 20 kg</span></span></span></p>\r\n\r\n<p>&nbsp;</p>\r\n', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1429.00000000, 285.79000000, 1714.79000000, 'commande/CO2002-1307/CO2002-1307.pdf', NULL, NULL),
(1414, 'CO2002-1308', 1, NULL, NULL, NULL, 2075, NULL, '2020-02-28 10:00:18', '2020-02-07 10:43:48', '2020-02-28 10:58:49', '2020-02-28 10:59:23', '2020-02-07', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 100.47000000, 0.00000000, 0.00000000, 502.37000000, 602.84000000, '', 'maintenance L07 N° CD10004996001 à HRS<br />\r\nMaintenance séparateur de condensats Owamat 10<br />\r\n<br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 502.37000000, 100.47000000, 602.84000000, 'commande/CO2002-1308/CO2002-1308.pdf', NULL, NULL),
(1415, 'CO2002-1309', 1, NULL, NULL, NULL, 2053, NULL, '2020-08-12 13:28:38', '2020-02-10 11:49:02', '2020-06-26 15:41:47', '2020-07-21 11:01:11', '2020-02-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 746.52000000, 0.00000000, 0.00000000, 3732.62000000, 4479.14000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3732.62000000, 746.52000000, 4479.14000000, 'commande/CO2002-1309/CO2002-1309.pdf', NULL, NULL),
(1416, 'CO2002-1310', 1, NULL, NULL, '42059', 2122, NULL, '2020-08-12 13:28:54', '2020-02-11 09:03:05', '2020-02-11 09:06:13', '2020-03-02 10:35:10', '2020-02-11', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 184.18000000, 0.00000000, 0.00000000, 920.92000000, 1105.10000000, '', '<p><span style=\"color:#1f497d\">Commande N°42059</span></p>\r\n\r\n<p><span style=\"color:#1f497d\">J’ai mis plusieurs pièces et des consommables,</span></p>\r\n\r\n<p> </p>\r\n\r\n<ul>\r\n	<li><span style=\"color:#1f497d\">Le corps de vanne</span></li>\r\n	<li><span style=\"color:#1f497d\">L’adaptateur (pièce entre la corps de vanne et la bouteille) , vu l’état du corps, pas facile de voir ou ça fuit exactement, </span></li>\r\n	<li><span style=\"color:#1f497d\">Le piston avec toises et entretoises, dans la vanne il y a un piston pour les cycles de lavage , rinçage, on ne peut savoir son état  qu’en démontant la vanne</span></li>\r\n	<li><span style=\"color:#1f497d\">Le tube plongeur  spécial eau chaude  (à confirmer que les 2 ont le même diamètre)</span></li>\r\n	<li><span style=\"color:#1f497d\">Les consommables , charbon actif et résines de déminéralisation</span></li>\r\n</ul>\r\n<br />\r\n<span style=\"color:#1f497d\">Délai : 2 mois</span>', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 920.92000000, 184.18000000, 1105.10000000, 'commande/CO2002-1310/CO2002-1310.pdf', NULL, NULL),
(1417, 'CO2002-1311', 1, NULL, NULL, NULL, 9822, NULL, '2020-03-05 11:02:15', '2020-02-12 15:26:35', '2020-02-12 15:29:30', '2020-03-05 12:00:57', '2020-02-12', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 284.31000000, 0.00000000, 0.00000000, 1421.59000000, 1705.90000000, '', 'Maintenance L18RS à 17499 HRS<br />\r\nMaintenance seprateur de condensats Owamat 11<br />\r\nRemplacement cartouche filtre reseau<br />\r\n<br />\r\nBL N°38 du 28/02/2020', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1421.59000000, 284.31000000, 1705.90000000, 'commande/CO2002-1311/CO2002-1311.pdf', NULL, NULL),
(1418, 'CO2002-1312', 1, NULL, NULL, NULL, 2201, NULL, '2020-03-05 10:36:29', '2020-02-13 15:12:44', '2020-02-13 15:12:52', '2020-03-05 11:36:07', '2020-02-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 527.88000000, 0.00000000, 0.00000000, 2639.38000000, 3167.26000000, '', 'Divers travaux sur vide & aspiration<br />\r\n<br />\r\ndélai : 3 à 4 semaines', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2639.38000000, 527.88000000, 3167.26000000, 'commande/CO2002-1312/CO2002-1312.pdf', NULL, NULL),
(1419, 'CO2002-1313', 1, NULL, NULL, NULL, 2122, NULL, '2020-03-02 09:11:21', '2020-02-17 11:27:52', '2020-02-17 14:23:18', '2020-03-02 10:10:09', '2020-02-17', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 267.38000000, 0.00000000, 0.00000000, 1336.90000000, 1604.28000000, '', '<p><span style=\"font-size:11.0pt\"><span style=\"color:#1f497d\">Ci-joint le devis avec les résines et le charbon, l usine doit les recevoir ce vendredi, si elle les reçoit le matin, elle nous les expédie dans la foulée, réception lundi ou mardi de la semaine prochaine, </span></span></p>\r\n\r\n<p> </p>\r\n\r\n<p><span style=\"font-size:11.0pt\"><span style=\"color:#1f497d\">Si réception vendredi apres midi, expédition lundi , donc réception mardi ou mercredi, si tout va bien </span></span></p>\r\n\r\n<p> </p>\r\n\r\n<p><span style=\"font-size:11.0pt\"><span style=\"color:#1f497d\">Je me suis trompée pour le charbon actif, ce sont des sacs de 15 kg et non pas 20 kg<br />\r\n<br />\r\n<br />\r\nCommande N° 42150</span></span></p>\r\n\r\n<p> </p>\r\n', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1336.90000000, 267.38000000, 1604.28000000, 'commande/CO2002-1313/CO2002-1313.pdf', NULL, NULL),
(1420, 'CO2002-1314', 1, NULL, NULL, NULL, 2311, NULL, '2020-02-27 10:22:05', '2020-02-18 12:04:29', '2020-02-18 12:07:13', '2020-02-27 11:21:48', '2020-02-18', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 18.16000000, 0.00000000, 0.00000000, 90.85000000, 109.01000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 90.85000000, 18.16000000, 109.01000000, 'commande/CO2002-1314/CO2002-1314.pdf', NULL, NULL),
(1421, 'CO2002-1315', 1, NULL, NULL, NULL, 13036, NULL, '2020-03-09 10:51:04', '2020-02-19 09:26:52', '2020-02-19 09:27:32', '2020-03-05 10:00:24', '2020-02-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 96.23000000, 0.00000000, 0.00000000, 481.16000000, 577.39000000, '', 'Maintenance compresseur RLR25V en piéces adaptables\r\n<p>- Contrôles et vérifications préconisés par le constructeur<br />\r\n- Vérification sécheur et purge<br />\r\n- resserrage connexions électriques par nos techniciens dans le local technique<br />\r\n- Hors autres pièces défectueuses pouvant être trouvées<br />\r\n-<u> Garantie 6 mois sur pièces filtration </u><br />\r\n- <u>Prêt GRATUIT </u>d\'un compresseur de 0 à 50 CV ( hors manutention, transport & raccordement)<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 481.16000000, 96.23000000, 577.39000000, 'commande/CO2002-1315/CO2002-1315.pdf', NULL, NULL),
(1422, 'CO2002-1316', 1, NULL, NULL, NULL, 12819, NULL, '2020-03-25 09:10:51', '2020-02-20 09:46:32', '2020-02-20 09:47:42', '2020-03-18 14:41:40', '2020-02-20', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 213.16000000, 0.00000000, 0.00000000, 1065.81000000, 1278.97000000, '', 'Maintenance compresseur RS PRO 7.5 -10B à 2467 HRS<br />\r\nMaintenance separateur de condensats ROS<br />\r\nRemplacement des 2 cartouches filtres reseaux<br />\r\n<br />\r\nBL N°13 du 06/03/2020', '', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1065.81000000, 213.16000000, 1278.97000000, 'commande/CO2002-1316/CO2002-1316.pdf', NULL, NULL),
(1423, 'CO2002-1318', 1, NULL, NULL, NULL, 12917, NULL, '2020-07-03 14:33:08', '2020-02-20 10:46:15', '2020-02-21 09:11:24', '2020-04-16 14:40:58', '2020-02-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1297.59000000, 0.00000000, 0.00000000, 6488.00000000, 7785.59000000, '', 'SCROLL compresseur sans huile et station de traitement', '', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 6488.00000000, 1297.59000000, 7785.59000000, 'commande/CO2002-1318/CO2002-1318.pdf', NULL, NULL),
(1424, 'CO2002-1317', 1, NULL, NULL, NULL, 2038, NULL, '2020-03-09 10:54:58', '2020-02-20 10:57:50', '2020-03-05 09:37:17', '2020-03-05 09:39:07', '2020-02-20', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 128.11000000, 0.00000000, 0.00000000, 640.56000000, 768.67000000, '', 'Maintenance L07RS N° BA28124001 à 18282 HRS<br />\r\nRemplacement cartouche filtre reseau BEA<br />\r\nMaintenance separateur de condensats Owamat 10<br />\r\n<br />\r\nBL N°07 du 02/03/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 640.56000000, 128.11000000, 768.67000000, 'commande/CO2002-1317/CO2002-1317.pdf', NULL, NULL),
(1426, 'CO2002-1319', 1, NULL, NULL, NULL, 2077, NULL, '2020-02-28 14:47:03', '2020-02-21 14:34:48', '2020-02-28 15:45:54', '2020-02-28 15:46:52', '2020-02-21', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 113.39000000, 0.00000000, 0.00000000, 566.95000000, 680.34000000, '', 'maintenance L22RS N°28878 HRS<br />\r\n<br />\r\nBL N°36 du 24/02/2020', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 566.95000000, 113.39000000, 680.34000000, 'commande/CO2002-1319/CO2002-1319.pdf', NULL, NULL),
(1427, 'CO2002-1320', 1, NULL, NULL, 'R.Burcet', 2085, NULL, '2020-03-09 10:58:14', '2020-02-24 09:00:37', '2020-02-24 09:01:27', '2020-03-05 10:29:54', '2020-02-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 170.91000000, 0.00000000, 0.00000000, 854.66000000, 1025.57000000, '', 'Modification reseau pour passage de portail', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 854.66000000, 170.91000000, 1025.57000000, 'commande/CO2002-1320/CO2002-1320.pdf', NULL, NULL),
(1428, 'CO2002-1321', 1, NULL, NULL, NULL, 2234, NULL, '2020-03-31 08:30:44', '2020-02-24 09:09:54', '2020-03-18 14:43:56', '2020-03-18 14:44:47', '2020-02-24', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 385.50000000, 0.00000000, 0.00000000, 1927.54000000, 2313.04000000, '', 'Maintenance L45RS N°CD10005658001 à  12964Hrs<br />\r\nMaintenance du separateur de condensats Owamat 14<br />\r\n<br />\r\nBL 46 N°06/03/2020 ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1927.54000000, 385.50000000, 2313.04000000, 'commande/CO2002-1321/CO2002-1321.pdf', NULL, NULL),
(1429, 'CO2002-1322', 1, NULL, NULL, NULL, 2092, NULL, '2020-03-26 14:40:03', '2020-02-24 09:22:33', '2020-03-18 15:48:41', '2020-03-18 15:49:40', '2020-02-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 87.85000000, 0.00000000, 0.00000000, 439.25000000, 527.10000000, '', 'maintenance RSDB 4', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 439.25000000, 87.85000000, 527.10000000, 'commande/CO2002-1322/CO2002-1322.pdf', NULL, NULL),
(1430, 'CO2002-1323', 1, NULL, NULL, NULL, 2123, NULL, '2020-07-30 08:41:05', '2020-02-24 15:41:51', '2020-03-06 10:07:46', '2020-03-06 10:09:08', '2020-02-24', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 550.58000000, 0.00000000, 0.00000000, 2752.92000000, 3303.50000000, '', 'Maintenance L29RS N° CD10032874001 à 12323 HRS<br />\r\nMaintenance separateur de condensats Owamat 12<br />\r\nremplacement des deux filtres reseaux BEA480<br />\r\n<br />\r\nBL N°44 du 05/03/2020<br />\r\n<br />\r\nCommande N°510703', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2752.92000000, 550.58000000, 3303.50000000, 'commande/CO2002-1323/CO2002-1323.pdf', NULL, NULL),
(1431, 'CO2002-1324', 1, NULL, NULL, NULL, 2347, NULL, '2020-03-25 09:03:39', '2020-02-25 16:54:03', '2020-02-25 16:55:19', '2020-03-05 11:10:26', '2020-02-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 39.39000000, 0.00000000, 0.00000000, 196.99000000, 236.38000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 196.99000000, 39.39000000, 236.38000000, 'commande/CO2002-1324/CO2002-1324.pdf', NULL, NULL),
(1432, 'CO2002-1325', 1, NULL, NULL, NULL, 2273, NULL, '2020-08-19 09:20:22', '2020-02-26 11:16:32', '2020-03-20 15:41:08', '2020-03-20 15:41:58', '2020-02-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 159.35000000, 0.00000000, 0.00000000, 796.77000000, 956.12000000, '', 'maintenance modulos 25 compresseur et filtres reseaux ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 796.77000000, 159.35000000, 956.12000000, 'commande/CO2002-1325/CO2002-1325.pdf', NULL, NULL),
(1433, 'CO2002-1326', 1, NULL, NULL, NULL, 2011, NULL, '2020-03-24 09:18:28', '2020-02-26 14:41:01', '2020-03-18 11:31:35', '2020-03-18 11:32:01', '2020-02-26', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 86.17000000, 0.00000000, 0.00000000, 430.85000000, 517.02000000, '', 'Maintenance L18 N° CD10039960002 à 6377 HRS<br />\r\n<br />\r\nBL N°48 du 10/03/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 430.85000000, 86.17000000, 517.02000000, 'commande/CO2002-1326/CO2002-1326.pdf', NULL, NULL),
(1434, 'CO2002-1327', 1, NULL, NULL, NULL, 1948, NULL, '2020-02-26 15:42:27', '2020-02-26 16:39:22', '2020-02-26 16:40:24', '2020-02-26 16:40:32', '2020-02-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 13.12000000, 0.00000000, 0.00000000, 65.60000000, 78.72000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 65.60000000, 13.12000000, 78.72000000, 'commande/CO2002-1327/CO2002-1327.pdf', NULL, NULL),
(1435, 'CO2002-1328', 1, NULL, NULL, NULL, 2122, NULL, '2020-03-02 09:37:02', '2020-02-27 09:12:08', '2020-02-27 09:12:29', '2020-02-28 15:15:12', '2020-02-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 42.60000000, 0.00000000, 0.00000000, 213.00000000, 255.60000000, '', 'CARTOUCHE AKP&uml;04/20<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE USINE ( 24/48H )&nbsp;', '', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 213.00000000, 42.60000000, 255.60000000, 'commande/CO2002-1328/CO2002-1328.pdf', NULL, NULL),
(1436, 'CO2002-1329', 1, NULL, NULL, NULL, 5773, NULL, '2020-03-10 08:58:19', '2020-02-27 09:13:50', '2020-02-27 09:13:58', '2020-03-03 14:16:46', '2020-02-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 109.80000000, 0.00000000, 0.00000000, 549.00000000, 658.80000000, '', '<br />\r\n<br />\r\nDélai : DISPONIBLE USINE', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 549.00000000, 109.80000000, 658.80000000, 'commande/CO2002-1329/CO2002-1329.pdf', NULL, NULL),
(1437, 'CO2002-1330', 1, NULL, NULL, NULL, 2247, NULL, '2020-03-25 09:36:02', '2020-02-27 10:34:47', '2020-02-27 10:34:51', '2020-03-18 14:47:39', '2020-02-27', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 196.49000000, 0.00000000, 0.00000000, 982.50000000, 1178.99000000, '', 'maintenance L18rs N° CD100018442001 à 10978HRS( nouvelle carte ) <br />\r\nMaintenance separateur de condensats OWAMAT 11<br />\r\nRemplacement cartouche filtre reseau<br />\r\n<br />\r\nBL N°11 du 05/03/2020<br />\r\n<br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 982.50000000, 196.49000000, 1178.99000000, 'commande/CO2002-1330/CO2002-1330.pdf', NULL, NULL),
(1438, 'CO2002-1331', 1, NULL, NULL, NULL, 2122, NULL, '2020-08-28 08:46:02', '2020-02-27 14:14:16', '2020-03-05 10:58:21', '2020-03-25 11:38:15', '2020-02-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 628.75000000, 0.00000000, 0.00000000, 3143.73000000, 3772.48000000, '', 'Maintenance L75RS N° CD10018699001 à  HRS<br />\r\nMaintenance seprateur de condensats OWAMAT 15<br />\r\nRemplacement cartouche filtre réseau<br />\r\n<br />\r\nBL N<br />\r\n<br />\r\nCommande N°', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3143.73000000, 628.75000000, 3772.48000000, 'commande/CO2002-1331/CO2002-1331.pdf', NULL, NULL),
(1439, 'CO2002-1333', 1, NULL, NULL, NULL, 2064, NULL, '2020-02-28 08:14:28', '2020-02-28 09:07:57', '2020-02-28 09:13:51', '2020-02-28 09:14:16', '2020-02-28', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 623.98000000, 0.00000000, 0.00000000, 3119.95000000, 3743.93000000, '', 'Maintenance L80 à 38357 HRS<br />\r\nRemplacement des 3 cartouches reseaux<br />\r\n<br />\r\nBL N°6 du 11/02/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3119.95000000, 623.98000000, 3743.93000000, 'commande/CO2002-1333/CO2002-1333.pdf', NULL, NULL),
(1440, 'CO2002-1332', 1, NULL, NULL, NULL, 6101, NULL, '2020-03-30 08:03:21', '2020-02-28 09:11:37', '2020-02-28 09:11:57', '2020-03-30 10:03:12', '2020-02-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 15.60000000, 0.00000000, 0.00000000, 78.00000000, 93.60000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 78.00000000, 15.60000000, 93.60000000, 'commande/CO2002-1332/CO2002-1332.pdf', NULL, NULL),
(1441, 'CO2002-1334', 1, NULL, NULL, NULL, 1990, NULL, '2020-04-14 13:01:52', '2020-02-28 14:30:57', '2020-03-05 09:26:01', '2020-04-14 15:01:28', '2020-02-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1799.99000000, 0.00000000, 0.00000000, 9000.00000000, 10799.99000000, '', 'Reseau en inox serti', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 9000.00000000, 1799.99000000, 10799.99000000, 'commande/CO2002-1334/CO2002-1334.pdf', NULL, NULL),
(1442, 'CO2003-1335', 1, NULL, NULL, NULL, 2054, NULL, '2020-03-02 08:50:01', '2020-03-02 09:22:42', '2020-03-02 09:25:29', '2020-03-02 09:30:01', '2020-03-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 148.00000000, 0.00000000, 0.00000000, 739.98000000, 887.98000000, '', 'Maintenance s&eacute;cheur HL1500 N&deg;14P024411 -<br />\r\nSite : Semence les Ollagnieres 2460 chemin de la voie ferr&eacute;e 38260 La cote Saint Andre<br />\r\n<br />\r\nBL N&deg;12 du 24/02/2020<br />\r\n<br />\r\nCommande N&deg; S97220021021', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 739.98000000, 148.00000000, 887.98000000, 'commande/CO2003-1335/CO2003-1335.pdf', NULL, NULL),
(1444, 'CO2003-1336', 1, NULL, NULL, NULL, 2103, NULL, '2020-03-24 13:33:39', '2020-03-02 16:19:59', '2020-03-18 11:55:00', '2020-03-18 11:55:47', '2020-03-02', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 279.36000000, 0.00000000, 0.00000000, 1396.79000000, 1676.15000000, '', 'Maintenance L45RS N° CD10015227001 à 22190HRS <br />\r\nMaintenance seprateur de condensats  owamat 14 <br />\r\nRemplacement des deux cartouches filtres reseaux bea700<br />\r\n<br />\r\nBL N°08 du 13/02/2020<br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1396.79000000, 279.36000000, 1676.15000000, 'commande/CO2003-1336/CO2003-1336.pdf', NULL, NULL),
(1445, 'CO2003-1337', 1, NULL, NULL, NULL, 5741, NULL, '2020-12-21 10:09:02', '2020-03-02 16:33:01', '2020-03-02 16:33:07', '2020-12-21 11:09:02', '2020-03-02', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 17.34000000, 0.00000000, 0.00000000, 86.70000000, 104.04000000, '', 'Purgeur pour filtre BEA<br />\r\n<br />\r\nFrais de port offert <br />\r\n<br />\r\nCommande N° 12431', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 86.70000000, 17.34000000, 104.04000000, 'commande/CO2003-1337/CO2003-1337.pdf', NULL, NULL),
(1446, 'CO2003-1338', 1, NULL, NULL, NULL, 2020, NULL, '2020-05-28 09:39:44', '2020-03-02 16:39:20', '2020-03-03 10:15:32', '2020-04-28 10:52:35', '2020-03-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 2255.20000000, 0.00000000, 0.00000000, 11276.00000000, 13531.20000000, '', 'Reseaux d&#39;air comprim&eacute; inox', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 11276.00000000, 2255.20000000, 13531.20000000, 'commande/CO2003-1338/CO2003-1338.pdf', NULL, NULL),
(1447, 'CO2003-1339', 1, NULL, NULL, NULL, 2157, NULL, '2020-03-09 10:54:27', '2020-03-03 09:40:23', '2020-03-03 09:40:42', '2020-03-03 09:43:32', '2020-03-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 57.13000000, 0.00000000, 0.00000000, 285.67000000, 342.80000000, '', 'Maintenance du separateur de condensats OWAMAT 11 :&nbsp;<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE ATELIER', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 285.67000000, 57.13000000, 342.80000000, 'commande/CO2003-1339/CO2003-1339.pdf', NULL, NULL),
(1448, 'CO2003-1340', 1, NULL, NULL, NULL, 2161, NULL, '2020-03-09 10:54:07', '2020-03-03 10:03:06', '2020-03-03 10:03:13', '2020-03-03 10:03:18', '2020-03-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 225.47000000, 0.00000000, 0.00000000, 1127.41000000, 1352.88000000, 'signé pour l\'année 2019', 'Maintenance compresseur ROLLAIR 15 - 8B N° CAI410726 à 35710 HRS<br />\r\nRemplacement des cartouches des filtres reseaux<br />\r\n<br />\r\nBL N° 03 du 03/02/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1127.41000000, 225.47000000, 1352.88000000, 'commande/CO2003-1340/CO2003-1340.pdf', NULL, NULL),
(1449, 'CO2003-1341', 1, NULL, NULL, NULL, 2235, NULL, '2020-03-03 10:21:05', '2020-03-03 11:18:56', '2020-03-03 11:19:04', '2020-03-03 11:19:13', '2020-03-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 22.68000000, 0.00000000, 0.00000000, 113.40000000, 136.08000000, '', 'purgeur auto pour nouveaux filtres', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 113.40000000, 22.68000000, 136.08000000, 'commande/CO2003-1341/CO2003-1341.pdf', NULL, NULL),
(1450, 'CO2003-1342', 1, NULL, NULL, NULL, 2235, NULL, '2020-03-03 14:27:26', '2020-03-03 15:25:27', '2020-03-03 15:26:14', '2020-03-03 15:26:53', '2020-03-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 59.80000000, 0.00000000, 0.00000000, 299.00000000, 358.80000000, '', 'Installation et raccordement secheur ED18 et deux filtres reseaux PF005 &amp; HF005<br />\r\n<br />\r\nBL N&deg;22 du 03/02/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 299.00000000, 59.80000000, 358.80000000, 'commande/CO2003-1342/CO2003-1342.pdf', NULL, NULL),
(1451, 'CO2003-1343', 1, NULL, NULL, NULL, 12995, NULL, '2020-03-03 14:45:08', '2020-03-03 15:38:16', '2020-03-03 15:39:43', '2020-03-03 15:39:54', '2020-03-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 78.60000000, 0.00000000, 0.00000000, 393.00000000, 471.60000000, '', '', '', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 393.00000000, 78.60000000, 471.60000000, 'commande/CO2003-1343/CO2003-1343.pdf', NULL, NULL),
(1452, 'CO2003-1344', 1, NULL, NULL, NULL, 2101, NULL, '2020-03-25 08:04:19', '2020-03-04 11:08:14', '2020-03-18 11:58:27', '2020-03-18 11:59:07', '2020-03-04', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 134.14000000, 0.00000000, 0.00000000, 670.72000000, 804.86000000, '', 'Maintenance l18RS à 11263 HRS<br />\r\nMaintenance owamat 10<br />\r\n<br />\r\nBL N°12 du 05/03/2020', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 670.72000000, 134.14000000, 804.86000000, 'commande/CO2003-1344/CO2003-1344.pdf', NULL, NULL),
(1453, 'CO2003-1345', 1, NULL, NULL, NULL, 2153, NULL, '2020-08-28 08:46:44', '2020-03-04 11:33:28', '2020-03-04 11:37:40', '2020-04-16 12:05:51', '2020-03-04', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 137.05000000, 0.00000000, 0.00000000, 685.22000000, 822.27000000, '', 'Maintenance compresseur RENNER RSDK PRO3 13 BARS N°707076 à <br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 685.22000000, 137.05000000, 822.27000000, 'commande/CO2003-1345/CO2003-1345.pdf', NULL, NULL),
(1454, 'CO2003-1346', 1, NULL, NULL, NULL, 2157, NULL, '2020-04-06 07:22:11', '2020-03-04 11:56:49', '2020-04-06 09:20:58', '2020-04-06 09:21:22', '2020-03-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 183.89000000, 0.00000000, 0.00000000, 919.52000000, 1103.41000000, '', 'Maintenance compresseur  RS PRO  7.5 ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 919.52000000, 183.89000000, 1103.41000000, 'commande/CO2003-1346/CO2003-1346.pdf', NULL, NULL),
(1455, 'CO2003-1347', 1, NULL, NULL, NULL, 1981, NULL, '2020-03-10 08:56:26', '2020-03-04 14:21:44', '2020-03-04 14:21:50', '2020-03-10 09:56:16', '2020-03-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 5.60000000, 0.00000000, 0.00000000, 28.00000000, 33.60000000, '', 'Huile pour riveuteuse', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 28.00000000, 5.60000000, 33.60000000, 'commande/CO2003-1347/CO2003-1347.pdf', NULL, NULL),
(1456, 'CO2003-1348', 1, NULL, NULL, NULL, 12792, NULL, '2020-06-29 12:19:18', '2020-03-04 14:33:12', '2020-03-04 14:33:22', '2020-06-29 14:17:31', '2020-03-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 134.38000000, 0.00000000, 0.00000000, 671.90000000, 806.28000000, '', 'Maintenance rspro 4&nbsp;<br />\r\nRemplacement cartouche filtre reseau', '', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 671.90000000, 134.38000000, 806.28000000, 'commande/CO2003-1348/CO2003-1348.pdf', NULL, NULL),
(1457, 'CO2003-1349', 1, NULL, NULL, 'Coffrets outils', 2054, NULL, '2020-03-05 08:32:46', '2020-03-04 14:51:05', '2020-03-05 09:32:28', '2020-03-05 09:32:33', '2020-03-04', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 294.00000000, 0.00000000, 0.00000000, 1470.00000000, 1764.00000000, '', 'Coffrets Outils<br />\r\n<br />\r\nComamnde N° C92020033373PM', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1470.00000000, 294.00000000, 1764.00000000, 'commande/CO2003-1349/CO2003-1349.pdf', NULL, NULL),
(1458, 'CO2003-1350', 1, NULL, NULL, NULL, 12584, NULL, '2020-04-28 13:17:46', '2020-03-04 15:15:00', '2020-03-27 14:55:14', '2020-04-28 15:17:12', '2020-03-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 181.10000000, 0.00000000, 0.00000000, 905.50000000, 1086.60000000, '', 'maintenance rsf11<br />\r\nmaintenance separateur de condensats<br />\r\nremplacement cartouche filtre reseau', '', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 905.50000000, 181.10000000, 1086.60000000, 'commande/CO2003-1350/CO2003-1350.pdf', NULL, NULL),
(1459, 'CO2003-1351', 1, NULL, NULL, NULL, 2396, NULL, '2020-08-28 08:47:02', '2020-03-04 16:08:23', '2020-06-04 10:50:51', '2020-06-04 10:51:17', '2020-03-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 248.82000000, 0.00000000, 0.00000000, 1244.10000000, 1492.92000000, '', 'Maintenance compresseur Renner rs pro 2-11 et hydrovanne hv04&nbsp;<br />\r\nRemplacement des filtres reseaux<br />\r\n&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1244.10000000, 248.82000000, 1492.92000000, 'commande/CO2003-1351/CO2003-1351.pdf', NULL, NULL),
(1460, 'CO2003-1352', 1, NULL, NULL, 'renner RS PRO 7.5', 2054, NULL, '2020-03-05 09:43:00', '2020-03-05 10:41:34', '2020-03-05 10:41:48', '2020-03-05 10:42:44', '2020-03-05', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 117.63000000, 0.00000000, 0.00000000, 588.13000000, 705.76000000, '', 'Maintenance compresseur RENNER RSPRO 7.5 N°709122 à 1082 HRS<br />\r\nSite BLES 3<br />\r\n<br />\r\nBL N°37 du 18/12/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 588.13000000, 117.63000000, 705.76000000, 'commande/CO2003-1352/CO2003-1352.pdf', NULL, NULL),
(1461, 'CO2003-1353', 1, NULL, NULL, NULL, 11209, NULL, '2020-03-25 13:18:25', '2020-03-05 14:41:17', '2020-03-05 14:41:22', '2020-03-18 15:10:58', '2020-03-05', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 109.66000000, 0.00000000, 0.00000000, 548.26000000, 657.92000000, '', 'Maintenance compresseur BELAIR GS30 N°MMJS040020 de 2014 à 32074HRS<br />\r\n<br />\r\nBL N°21 du 10/03/2020\r\n<p>- Contrôles et vérifications préconisés par le constructeur<br />\r\n- Vérification sécheur et purge<br />\r\n- Tous contrôles électriques ( contacteurs , tous organes électriques identifiés lors de la maintenance ) par nos électriciens dans le local technique<br />\r\n- Hors autres pièces défectueuses pouvant être trouvées<br />\r\n-<u> Garantie 6 mois sur pièces filtration et maintenance</u> effectuée<br />\r\n- <u>Prêt GRATUIT </u>d\'un compresseur de 0 à 100 CV dans la jounée<br />\r\n- Audit GRATUIT , ... etc</p>\r\n<br />\r\n ', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 548.26000000, 109.66000000, 657.92000000, 'commande/CO2003-1353/CO2003-1353.pdf', NULL, NULL),
(1462, 'CO2003-1354', 1, NULL, NULL, NULL, 2407, NULL, '2020-08-05 07:51:37', '2020-03-05 14:52:26', '2020-03-05 14:55:40', '2020-03-18 15:58:23', '2020-03-05', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 185.63000000, 0.00000000, 0.00000000, 928.15000000, 1113.78000000, '', 'Maintenance compresseur ALUP SCK101-08 10 bars à 3190 HRS<br />\r\n<br />\r\nBL N°23 du 12/03/2020<br />\r\n<br />\r\ncomprenant : <br />\r\nVidange d\'huile <br />\r\nVerification de la regulation<br />\r\nRemplacement du filtre a air filtre a huile et filtre separateur<br />\r\n <br />\r\n- Contrôles et vérifications  préconisés par le constructeur<br />\r\n- resserrage connexions électriques par nos techniciens dans le local technique<br />\r\n- Hors autres pièces défectueuses pouvant être trouvées <br />\r\n -<u> Garantie 6 mois sur pièces filtration<br />\r\n<br />\r\nLors de l\'intervention notre technicien a noté que lors du dernier entretien de votre précédent prestataire le montage d\'un séparateur a été abimé ( cf photo ) </u><br />\r\n<br />\r\n<br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 928.15000000, 185.63000000, 1113.78000000, 'commande/CO2003-1354/CO2003-1354.pdf', NULL, NULL),
(1464, 'CO2003-1355', 1, NULL, NULL, NULL, 1940, NULL, '2020-08-12 08:02:00', '2020-03-10 11:24:00', '2020-03-10 11:24:20', '2020-08-12 10:00:44', '2020-03-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 450.36000000, 0.00000000, 0.00000000, 2251.76000000, 2702.12000000, '', 'Maintenance de votre compresseur L45RS N° CD10023839001 à  HRS<br />\r\nRemplacement cartouches filtres réseaux <br />\r\nMaintenance séparateur de condensats owamat14<br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2251.76000000, 450.36000000, 2702.12000000, 'commande/CO2003-1355/CO2003-1355.pdf', NULL, NULL),
(1465, 'CO2003-1356', 1, NULL, NULL, NULL, 2268, NULL, '2020-06-03 09:49:18', '2020-03-10 11:30:52', '2020-06-03 11:47:53', '2020-06-03 11:48:39', '2020-03-10', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 266.38000000, 0.00000000, 0.00000000, 1331.83000000, 1598.21000000, '', 'Maintenance compresseur  L75 RS N° CD10003783001 avec huile alimentaire  à HRS<br />\r\nMaintenance cartouches 3 filtres reseaux .<br />\r\n<br />\r\n<u><strong>Prevoir tuyau reaspiration + raccords + olives</strong></u>', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1331.83000000, 266.38000000, 1598.21000000, 'commande/CO2003-1356/CO2003-1356.pdf', NULL, NULL),
(1466, 'CO2003-1357', 1, NULL, NULL, NULL, 1980, NULL, '2020-06-02 09:50:57', '2020-03-10 11:35:10', '2020-03-10 11:35:14', '2020-06-02 11:50:15', '2020-03-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 93.74000000, 0.00000000, 0.00000000, 468.72000000, 562.46000000, '', 'Maintenance compresseur RS pro 5.5 7.5B', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 468.72000000, 93.74000000, 562.46000000, 'commande/CO2003-1357/CO2003-1357.pdf', NULL, NULL),
(1467, 'CO2003-1358', 1, NULL, NULL, NULL, 2221, NULL, '2020-06-30 08:19:22', '2020-03-10 11:44:06', '2020-06-30 10:18:31', '2020-06-30 10:18:50', '2020-03-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 93.75000000, 0.00000000, 0.00000000, 468.75000000, 562.50000000, '', 'Maintenance compresseur RS PRO 7.5 13 BARS', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 468.75000000, 93.75000000, 562.50000000, 'commande/CO2003-1358/CO2003-1358.pdf', NULL, NULL),
(1468, 'CO2003-1359', 1, NULL, NULL, NULL, 1988, NULL, '2020-03-24 08:51:52', '2020-03-10 11:59:44', '2020-03-10 12:00:00', '2020-03-24 09:43:13', '2020-03-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 182.92000000, 0.00000000, 0.00000000, 914.60000000, 1097.52000000, '', 'Maintenance L55RS', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 914.60000000, 182.92000000, 1097.52000000, 'commande/CO2003-1359/CO2003-1359.pdf', NULL, NULL),
(1469, 'CO2003-1360', 1, NULL, NULL, NULL, 9881, NULL, '2020-08-28 08:47:15', '2020-03-10 16:49:37', '2020-03-10 16:49:44', '2020-04-28 14:09:50', '2020-03-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 13.20000000, 0.00000000, 0.00000000, 66.04000000, 79.24000000, '', 'joint pour compresseur MAUGUIERE&nbsp;ME75-10 250H N&deg;AIW081325 ann&eacute;e 2000 :&nbsp;<br />\r\n<br />\r\nD&eacute;lai : 4 &agrave; 6 jours', '', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 66.04000000, 13.20000000, 79.24000000, 'commande/CO2003-1360/CO2003-1360.pdf', NULL, NULL),
(1471, 'CO2003-1362', 1, NULL, NULL, NULL, 10293, NULL, '2020-08-05 07:38:08', '2020-03-11 14:35:48', '2020-03-11 14:35:58', '2020-08-04 16:30:03', '2020-03-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 314.70000000, 0.00000000, 0.00000000, 1573.46000000, 1888.16000000, '', 'Cr&eacute;ation de deux descentes supplementaires dans la partie nettoyage :&nbsp;<br />\r\n<br />\r\nD&eacute;lai : 10 jours', '', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1573.46000000, 314.70000000, 1888.16000000, 'commande/CO2003-1362/CO2003-1362.pdf', NULL, NULL),
(1472, 'CO2003-1363', 1, NULL, NULL, NULL, 2279, NULL, '2020-04-06 07:16:19', '2020-03-11 15:05:55', '2020-04-06 09:14:38', '2020-04-06 09:14:59', '2020-03-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 330.54000000, 0.00000000, 0.00000000, 1652.71000000, 1983.25000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1652.71000000, 330.54000000, 1983.25000000, 'commande/CO2003-1363/CO2003-1363.pdf', NULL, NULL),
(1473, 'CO2003-1364', 1, NULL, NULL, NULL, 2054, NULL, '2020-06-26 08:31:54', '2020-03-12 09:05:40', '2020-03-12 09:06:47', '2020-04-16 11:24:40', '2020-03-12', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 267.94000000, 0.00000000, 0.00000000, 1339.69000000, 1607.63000000, '', 'Remplacement Vanne thermostatique et nettoyage du radiateur sur compresseur WA3008V -<br />\r\nSIte de beaurepaire sces blé 2 calibrage<br />\r\n<br />\r\nCommande S 981 20 03 3380PM', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1339.69000000, 267.94000000, 1607.63000000, 'commande/CO2003-1364/CO2003-1364.pdf', NULL, NULL),
(1474, 'CO2003-1365', 1, NULL, NULL, NULL, 1967, NULL, '2020-03-24 08:37:02', '2020-03-12 10:58:18', '2020-03-12 10:58:35', '2020-03-24 09:36:51', '2020-03-12', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 113.51000000, 0.00000000, 0.00000000, 567.53000000, 681.04000000, '', 'Maintenance compresseur L11 à 7860 HRS<br />\r\n<br />\r\nBL N°25 du 17/03/2020', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 567.53000000, 113.51000000, 681.04000000, 'commande/CO2003-1365/CO2003-1365.pdf', NULL, NULL),
(1475, 'CO2003-1366', 1, NULL, NULL, NULL, 1996, NULL, '2020-06-25 07:38:47', '2020-03-12 11:18:57', '2020-06-25 09:37:44', '2020-06-25 09:38:36', '2020-03-12', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 85.54000000, 0.00000000, 0.00000000, 427.67000000, 513.21000000, '', 'Maintenance L15 N°100014099/0206 à 26651 HRS<br />\r\n<br />\r\nBL N°34 du 16/06/2020<br />\r\n<br />\r\nFILTRES DE VOTRE FOUNITURE', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 427.67000000, 85.54000000, 513.21000000, 'commande/CO2003-1366/CO2003-1366.pdf', NULL, NULL),
(1476, 'CO2003-1367', 1, NULL, NULL, NULL, 2033, NULL, '2020-07-21 09:02:12', '2020-03-12 15:49:06', '2020-03-12 15:49:12', NULL, '2020-03-12', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 151.58000000, 0.00000000, 0.00000000, 757.92000000, 909.50000000, '', 'Maintenance compresseur GA30VSD et remplcament cartouche filtre reseau :<br />\r\nSite de Guilherand Granges ;', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 757.92000000, 151.58000000, 909.50000000, 'commande/CO2003-1367/CO2003-1367.pdf', NULL, NULL),
(1477, 'CO2003-1368', 1, NULL, NULL, NULL, 2033, NULL, '2020-07-21 09:02:29', '2020-03-12 15:51:51', '2020-03-12 15:51:58', NULL, '2020-03-12', 5, 5, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 118.85000000, 0.00000000, 0.00000000, 594.25000000, 713.10000000, '', 'Maintenance compresseur GA30C N° AII278463 de 2004 à <br />\r\n<br />\r\n ', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 594.25000000, 118.85000000, 713.10000000, 'commande/CO2003-1368/CO2003-1368.pdf', NULL, NULL),
(1478, 'CO2003-1369', 1, NULL, NULL, NULL, 2036, NULL, '2020-07-21 09:02:51', '2020-03-12 15:54:38', '2020-03-12 15:56:07', NULL, '2020-03-12', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 139.40000000, 0.00000000, 0.00000000, 697.01000000, 836.41000000, '', 'maintenance rs pro 4', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 697.01000000, 139.40000000, 836.41000000, 'commande/CO2003-1369/CO2003-1369.pdf', NULL, NULL),
(1479, 'CO2003-1370', 1, NULL, NULL, NULL, 2347, NULL, '2020-03-25 09:04:40', '2020-03-13 11:10:45', '2020-03-13 11:10:49', '2020-03-18 14:34:44', '2020-03-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 33.28000000, 0.00000000, 0.00000000, 166.40000000, 199.68000000, '', 'En remplacement de l&#39;aspirateur PROMAC VAC127 - aspirateur eau et poussiere - 30 min d&#39;utilisation quotidienne - capacit&eacute; 27 litres - cuve inox - 230 V 1500W poids 9kg 205m3/h :&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 166.40000000, 33.28000000, 199.68000000, 'commande/CO2003-1370/CO2003-1370.pdf', NULL, NULL),
(1480, 'CO2003-1371', 1, NULL, NULL, NULL, 2407, NULL, '2020-07-01 09:29:50', '2020-03-13 14:17:43', '2020-03-13 14:18:00', '2020-07-01 11:29:50', '2020-03-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 645.01000000, 0.00000000, 0.00000000, 3225.08000000, 3870.09000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3225.08000000, 645.01000000, 3870.09000000, 'commande/CO2003-1371/CO2003-1371.pdf', NULL, NULL),
(1481, 'CO2003-1372', 1, NULL, NULL, NULL, 2250, NULL, '2020-03-27 10:18:56', '2020-03-17 10:11:08', '2020-03-17 10:11:21', '2020-03-27 11:18:45', '2020-03-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 217.00000000, 0.00000000, 0.00000000, 1085.00000000, 1302.00000000, '', 'Compresseur &agrave; piston Compair', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1085.00000000, 217.00000000, 1302.00000000, 'commande/CO2003-1372/CO2003-1372.pdf', NULL, NULL),
(1482, 'CO2003-1373', 1, NULL, NULL, '16016', 2009, NULL, '2020-08-28 08:48:48', '2020-03-18 10:37:59', '2020-03-18 10:42:49', '2020-03-24 10:09:47', '2020-03-18', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 111.93000000, 0.00000000, 0.00000000, 559.86000000, 671.79000000, '', 'Maintenance rs top 7.5 10 b N° 538095 à 652 HRS<br />\r\n<br />\r\nBL N°50 du 12/03/2020<br />\r\n<br />\r\nCommande 16016<br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 559.86000000, 111.93000000, 671.79000000, 'commande/CO2003-1373/CO2003-1373.pdf', NULL, NULL);
INSERT INTO `llx_commande` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_cloture`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_cloture`, `source`, `fk_statut`, `amount_ht`, `remise_percent`, `remise_absolue`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `facture`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_livraison`, `fk_shipping_method`, `fk_warehouse`, `fk_availability`, `fk_input_reason`, `fk_delivery_address`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(1483, 'CO2003-1374', 1, NULL, NULL, NULL, 2038, NULL, '2020-03-24 10:10:02', '2020-03-18 11:45:04', '2020-03-18 11:45:33', '2020-03-18 11:45:46', '2020-03-18', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 56.15000000, 0.00000000, 0.00000000, 280.76000000, 336.91000000, '', 'Dépannage compresseur L07RS .<br />\r\n<br />\r\nBL N°15 du 09/03/2020', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 280.76000000, 56.15000000, 336.91000000, 'commande/CO2003-1374/CO2003-1374.pdf', NULL, NULL),
(1484, 'CO2003-1375', 1, NULL, NULL, 'sullair WA3008 blé 2', 2054, NULL, '2020-06-26 08:24:07', '2020-03-18 11:48:00', '2020-03-18 11:48:14', '2020-03-18 11:49:39', '2020-03-18', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 197.97000000, 0.00000000, 0.00000000, 989.82000000, 1187.79000000, '', 'Maintenance compresseur Sullair WA3008  à 3374 HRS<br />\r\n<br />\r\nBL N°47 du 09/03/2020<br />\r\n<br />\r\nCommande N° S981 2003 3371PM<br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 989.82000000, 197.97000000, 1187.79000000, 'commande/CO2003-1375/CO2003-1375.pdf', NULL, NULL),
(1485, 'CO2003-1376', 1, NULL, NULL, NULL, 2122, NULL, '2020-03-25 10:27:24', '2020-03-18 14:28:48', '2020-03-18 14:29:21', '2020-03-18 14:30:39', '2020-03-18', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 240.60000000, 0.00000000, 0.00000000, 1203.01000000, 1443.61000000, '', 'Mise en place deux filtres reseaux 700M3/h complets<br />\r\n<br />\r\nBL N°43 du 03/03/2020<br />\r\n<br />\r\nCommande N°42389', '', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1203.01000000, 240.60000000, 1443.61000000, 'commande/CO2003-1376/CO2003-1376.pdf', NULL, NULL),
(1486, 'CO2003-1377', 1, NULL, NULL, NULL, 2250, NULL, '2020-03-25 09:42:41', '2020-03-18 15:01:07', '2020-03-18 15:06:07', '2020-03-18 15:06:11', '2020-03-18', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 50.85000000, 0.00000000, 0.00000000, 254.26000000, 305.11000000, '', 'D&eacute;pannage compresseur LACME AIR - Pressostat hors service<br />\r\n<br />\r\nBL N&deg;24 du 12/03/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 254.26000000, 50.85000000, 305.11000000, 'commande/CO2003-1377/CO2003-1377.pdf', NULL, NULL),
(1487, 'CO2003-1378', 1, NULL, NULL, NULL, 11209, NULL, '2020-04-17 08:06:41', '2020-03-18 15:29:48', '2020-03-18 15:29:55', '2020-04-17 10:06:14', '2020-03-18', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 161.26000000, 0.00000000, 0.00000000, 806.32000000, 967.58000000, '', 'remplacement accouplement sur compresseur GS30 : <br />\r\n<br />\r\n<br />\r\nDélai : DISPONIBLE USINE<br />\r\n ', '', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 806.32000000, 161.26000000, 967.58000000, 'commande/CO2003-1378/CO2003-1378.pdf', NULL, NULL),
(1488, 'CO2003-1379', 1, NULL, NULL, NULL, 2386, NULL, '2020-03-26 14:43:54', '2020-03-18 15:51:54', '2020-03-18 15:52:55', '2020-03-18 15:53:02', '2020-03-18', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 45.50000000, 0.00000000, 0.00000000, 227.50000000, 273.00000000, '', 'Depannage manometre sur cuve Hors service<br />\r\n<br />\r\nBL N&deg;45 du 05/03/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 227.50000000, 45.50000000, 273.00000000, 'commande/CO2003-1379/CO2003-1379.pdf', NULL, NULL),
(1490, 'CO2003-1380', 1, NULL, NULL, '911259845-0-10760', 2407, NULL, '2020-06-03 12:38:15', '2020-03-19 09:38:57', '2020-03-19 09:39:41', '2020-06-03 14:37:40', '2020-03-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 166.96000000, 0.00000000, 0.00000000, 834.81000000, 1001.77000000, '', 'Sur compresseur ALUP SCK101-08 10 bars <br />\r\n Remplacement des flexibles défaillants<br />\r\n<br />\r\nDélai des flexibles : 2 à 3 semaines', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 834.81000000, 166.96000000, 1001.77000000, 'commande/CO2003-1380/CO2003-1380.pdf', NULL, NULL),
(1493, 'CO2003-1381', 1, NULL, NULL, NULL, 2347, NULL, '2020-09-10 07:04:08', '2020-03-19 10:58:27', '2020-03-19 10:58:40', '2020-09-10 09:04:08', '2020-03-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 24.00000000, 0.00000000, 0.00000000, 120.00000000, 144.00000000, '', 'kit pour compresseur L15RS', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 120.00000000, 24.00000000, 144.00000000, 'commande/CO2003-1381/CO2003-1381.pdf', NULL, NULL),
(1494, 'CO2003-1382', 1, NULL, NULL, NULL, 2153, NULL, '2020-04-16 10:04:45', '2020-03-19 11:45:27', '2020-03-19 11:45:35', '2020-04-16 12:02:38', '2020-03-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 124.23000000, 0.00000000, 0.00000000, 621.15000000, 745.38000000, '', 'Maintenance COmpresseur LUCHARD COMPAIR 6020ELX07BE', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 621.15000000, 124.23000000, 745.38000000, 'commande/CO2003-1382/CO2003-1382.pdf', NULL, NULL),
(1495, 'CO2003-1383', 1, NULL, NULL, NULL, 2327, NULL, '2020-03-30 07:59:40', '2020-03-20 09:45:08', '2020-03-20 09:45:16', '2020-03-30 09:59:27', '2020-03-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 251.85000000, 0.00000000, 0.00000000, 1259.25000000, 1511.10000000, '', '<h1>Groupe &eacute;lectrog&egrave;ne Technic 6500 ec5&nbsp; 6.5 kw essence</h1>\r\n', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1259.25000000, 251.85000000, 1511.10000000, 'commande/CO2003-1383/CO2003-1383.pdf', NULL, NULL),
(1497, 'CO2003-1384', 1, NULL, NULL, NULL, 5315, NULL, '2020-12-10 09:21:13', '2020-03-20 10:52:01', '2020-03-20 10:52:08', '2020-12-10 10:21:13', '2020-03-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 69.61000000, 0.00000000, 0.00000000, 348.04000000, 417.65000000, '', 'Cher client,<br />\r\nSuite à votre demande et après examen en nos ateliers de votre appareil, nous vous communiquons ci dessous le<br />\r\ndétail de sa remise en état.<br />\r\nNous vous remercions de nous retourner le coupon réponse. En cas d\'acceptation ce devis<br />\r\nne sera pas facturé.<br />\r\nEn cas de refus, il vous sera facturé 50 € TTC (+ 26.40 €TTC frais de port/Logistic supplementaire en cas de demande de réstitution de l\'appareil ) .<br />\r\nDurée de validité du devis : 1 mois.<br />\r\nNous vous remercions de nous apporter réponse au plus vite, et au plus tard sous 4 semaines.', '', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 348.04000000, 69.61000000, 417.65000000, 'commande/CO2003-1384/CO2003-1384.pdf', NULL, NULL),
(1498, 'CO2003-1385', 1, NULL, NULL, NULL, 2162, NULL, '2020-04-17 07:40:55', '2020-03-24 14:38:40', '2020-03-24 14:38:50', '2020-04-17 09:40:13', '2020-03-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 208.89000000, 0.00000000, 0.00000000, 1044.44000000, 1253.33000000, '', 'Suite &agrave; l&#39;&eacute;preuve du reservoir de votre compresseur &agrave; piston , veuillez trouver ci dessous notre offre pour le remplacement de la cuve 500 litres de votre compresseur &agrave; piston par une cuve 500Litres verticale d&eacute;port&eacute;e .<br />\r\n<br />\r\nD&eacute;lai : 3 jours<br />\r\n&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1044.44000000, 208.89000000, 1253.33000000, 'commande/CO2003-1385/CO2003-1385.pdf', NULL, NULL),
(1499, 'CO2003-1386', 1, NULL, NULL, NULL, 2162, NULL, '2020-04-17 07:39:38', '2020-03-24 14:44:28', '2020-04-17 09:31:20', '2020-04-17 09:31:44', '2020-03-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 178.08000000, 0.00000000, 0.00000000, 890.40000000, 1068.48000000, '', 'contrat lissé<br />\r\nL37 N°cd10030327001 à 4358 Heures<br />\r\net cartouches filtres reseaux', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 890.40000000, 178.08000000, 1068.48000000, 'commande/CO2003-1386/CO2003-1386.pdf', NULL, NULL),
(1500, 'CO2003-1387', 1, NULL, NULL, NULL, 2054, NULL, '2020-04-28 08:49:30', '2020-03-26 11:17:50', '2020-03-26 11:17:56', '2020-04-28 10:48:55', '2020-03-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 88.00000000, 0.00000000, 0.00000000, 440.00000000, 528.00000000, '', 'Fourniture d\'un compresseur à piston .<br />\r\n<br />\r\nSite de Metier du grain - <br />\r\nLivraison sur site de Beaurepaire', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 440.00000000, 88.00000000, 528.00000000, 'commande/CO2003-1387/CO2003-1387.pdf', NULL, NULL),
(1501, 'CO2003-1388', 1, NULL, NULL, NULL, 12584, NULL, '2020-06-11 12:56:02', '2020-03-26 16:34:20', '2020-03-26 16:43:29', '2020-06-11 14:56:02', '2020-03-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 76.57000000, 0.00000000, 0.00000000, 382.83000000, 459.40000000, '', 'fourniture girair', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 382.83000000, 76.57000000, 459.40000000, 'commande/CO2003-1388/CO2003-1388.pdf', NULL, NULL),
(1502, 'CO2003-1389', 1, NULL, NULL, NULL, 2252, NULL, '2020-03-27 09:27:53', '2020-03-26 16:53:42', '2020-03-26 16:53:49', NULL, '2020-03-26', 5, 5, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 45.28000000, 0.00000000, 0.00000000, 226.38000000, 271.66000000, '', 'Commande N° BC000218', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 226.38000000, 45.28000000, 271.66000000, 'commande/CO2003-1389/CO2003-1389.pdf', NULL, NULL),
(1503, 'CO2003-1390', 1, NULL, NULL, NULL, 2054, NULL, '2020-03-27 09:40:26', '2020-03-27 10:38:51', '2020-03-27 10:38:57', '2020-03-27 10:40:00', '2020-03-27', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 88.00000000, 0.00000000, 0.00000000, 440.00000000, 528.00000000, '', 'Fourniture d\'un compresseur à piston .<br />\r\n<br />\r\nSite de Saint victor de cessieux - <br />\r\nLivraison sur site de : COOPERATIVE LA DAUPHINOISE<br />\r\nService Maintenance<br />\r\nChemin du Pouloux<br />\r\n38270 Beaurepaire<br />\r\n<br />\r\nCommande N° C14820033386PM', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 440.00000000, 88.00000000, 528.00000000, 'commande/CO2003-1390/CO2003-1390.pdf', NULL, NULL),
(1504, 'CO2003-1391', 1, NULL, NULL, NULL, 2054, NULL, '2020-03-27 09:50:10', '2020-03-27 10:48:23', '2020-03-27 10:49:03', '2020-03-27 10:49:26', '2020-03-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 88.00000000, 0.00000000, 0.00000000, 440.00000000, 528.00000000, '', 'Fourniture d\'un compresseur à piston .<br />\r\n<br />\r\nSite de Fitilieu - <br />\r\nLivraison sur site de Beaurepaire', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 440.00000000, 88.00000000, 528.00000000, 'commande/CO2003-1391/CO2003-1391.pdf', NULL, NULL),
(1505, 'CO2003-1392', 1, NULL, NULL, NULL, 2072, NULL, '2020-06-02 12:59:36', '2020-03-27 11:40:18', '2020-03-27 11:40:22', '2020-06-02 14:26:08', '2020-03-27', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 118.63000000, 0.00000000, 0.00000000, 593.12000000, 711.75000000, '', 'maintenance compresseur L11 N°100008027/0114 et remplacement piéce secheur defecteuse ( offerte ) ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 593.12000000, 118.63000000, 711.75000000, 'commande/CO2003-1392/CO2003-1392.pdf', NULL, NULL),
(1506, 'CO2003-1393', 1, NULL, NULL, NULL, 2327, NULL, '2020-04-21 13:24:42', '2020-03-30 14:19:50', '2020-04-21 15:23:59', '2020-04-21 15:24:25', '2020-03-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 131.01000000, 0.00000000, 0.00000000, 655.04000000, 786.05000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 655.04000000, 131.01000000, 786.05000000, 'commande/CO2003-1393/CO2003-1393.pdf', NULL, NULL),
(1507, 'CO2003-1394', 1, NULL, NULL, '42618', 2122, NULL, '2020-06-29 13:40:28', '2020-03-31 09:05:59', '2020-03-31 09:06:15', '2020-06-29 15:39:37', '2020-03-31', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 144.48000000, 0.00000000, 0.00000000, 722.42000000, 866.90000000, '', 'Bouteille vide 10*54 eau chaude vinylester avec embase', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 722.42000000, 144.48000000, 866.90000000, 'commande/CO2003-1394/CO2003-1394.pdf', NULL, NULL),
(1508, 'CO2003-1395', 1, NULL, NULL, NULL, 2122, NULL, '2020-04-29 07:50:54', '2020-03-31 10:38:57', '2020-03-31 10:39:09', '2020-04-28 14:15:11', '2020-03-31', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 50.40000000, 0.00000000, 0.00000000, 252.00000000, 302.40000000, '', 'cartouche filtre&nbsp;SMFP04/20<br />\r\n<br />\r\nd&eacute;lai : 10 jours', 'einstein', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 252.00000000, 50.40000000, 302.40000000, 'commande/CO2003-1395/CO2003-1395.pdf', NULL, NULL),
(1509, 'CO2003-1396', 1, NULL, NULL, NULL, 2286, NULL, '2020-03-31 08:50:04', '2020-03-31 10:46:53', '2020-03-31 10:49:45', '2020-03-31 10:49:52', '2020-03-31', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 85.90000000, 0.00000000, 0.00000000, 429.52000000, 515.42000000, '', 'Remplacement sonde de temp&eacute;rature sur s&eacute;cheur OMI ED225<br />\r\n<br />\r\nBL N&deg;12 du 26/03/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 429.52000000, 85.90000000, 515.42000000, 'commande/CO2003-1396/CO2003-1396.pdf', NULL, NULL),
(1510, 'CO2003-1397', 1, NULL, NULL, NULL, 2407, NULL, '2020-08-14 07:33:34', '2020-03-31 14:18:57', '2020-04-07 15:30:55', '2020-08-14 09:33:34', '2020-03-31', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 130.23000000, 0.00000000, 0.00000000, 651.17000000, 781.40000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 651.17000000, 130.23000000, 781.40000000, 'commande/CO2003-1397/CO2003-1397.pdf', NULL, NULL),
(1511, 'CO2003-1398', 1, NULL, NULL, NULL, 1990, NULL, '2020-04-16 09:15:43', '2020-03-31 15:33:09', '2020-03-31 15:33:14', '2020-04-14 14:57:21', '2020-03-31', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 236.56000000, 0.00000000, 0.00000000, 1182.77000000, 1419.33000000, '', ' un compresseur L30 à 39500 HRS<br />\r\n<br />\r\nBL N°18 du 09/04/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1182.77000000, 236.56000000, 1419.33000000, 'commande/CO2003-1398/CO2003-1398.pdf', NULL, NULL),
(1512, 'CO2004-1399', 1, NULL, NULL, NULL, 13065, NULL, '2020-04-01 07:14:44', '2020-04-01 09:14:23', '2020-04-01 09:14:29', '2020-04-01 09:14:34', '2020-04-01', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 50.48000000, 0.00000000, 0.00000000, 252.37000000, 302.85000000, '', 'Remplacement ventilateur sur compresseur SCROLL&nbsp;<br />\r\n<br />\r\nBL N&deg;17 du 31/03/2020', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 252.37000000, 50.48000000, 302.85000000, 'commande/CO2004-1399/CO2004-1399.pdf', NULL, NULL),
(1513, 'CO2004-1400', 1, NULL, NULL, NULL, 1965, NULL, '2020-06-04 13:08:22', '2020-04-01 14:21:19', '2020-04-01 14:21:32', '2020-06-04 15:03:59', '2020-04-01', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 221.01000000, 0.00000000, 0.00000000, 1105.02000000, 1326.03000000, '', 'Remplacement electrovanne , boitier de regulation et kit clapet aspiration sur compresseur mod 2508 : <br />\r\nRemplacement deux cartouches filtres reseaux<br />\r\nRemplacement filtre a air et filtre a huile du compresseur  Mod 2508<br />\r\n<br />\r\nDélai : 8 jours', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1105.02000000, 221.01000000, 1326.03000000, 'commande/CO2004-1400/CO2004-1400.pdf', NULL, NULL),
(1514, 'CO2004-1401', 1, NULL, NULL, NULL, 2261, NULL, '2020-08-26 09:02:40', '2020-04-07 09:34:25', '2020-04-07 09:34:31', '2020-04-28 10:02:23', '2020-04-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 232.44000000, 0.00000000, 0.00000000, 1162.23000000, 1394.67000000, '', 'Maintenances compresseur HV02 et maco trek5.5 à 24047 HRS : <br />\r\nmaintenance seprateur de condensats Owamat 10<br />\r\n<br />\r\nBL N°42 du 01/02/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1162.23000000, 232.44000000, 1394.67000000, 'commande/CO2004-1401/CO2004-1401.pdf', NULL, NULL),
(1515, 'CO2004-1402', 1, NULL, NULL, NULL, 2153, NULL, '2020-04-16 10:02:04', '2020-04-08 09:11:59', '2020-04-16 11:59:49', '2020-04-16 12:00:05', '2020-04-08', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 239.15000000, 0.00000000, 0.00000000, 1195.78000000, 1434.93000000, '', 'Maintenance l15RS', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1195.78000000, 239.15000000, 1434.93000000, 'commande/CO2004-1402/CO2004-1402.pdf', NULL, NULL),
(1516, 'CO2004-1403', 1, NULL, NULL, NULL, 2128, NULL, '2020-07-02 13:29:05', '2020-04-08 15:26:20', '2020-04-08 15:26:44', '2020-07-02 15:29:05', '2020-04-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 250.49000000, 0.00000000, 0.00000000, 1252.48000000, 1502.97000000, '', 'Maintenance compresseur L11RS N° BA4491101 à 10596 HRS sous contrat lissé<br />\r\net remplacement de 2 cartouches filtres réseaux<br />\r\net remplcament kit separateur de condensats<br />\r\net remplacement du purgeur du filtre d\'entrée<br />\r\nBL N° 45 du 03/01//2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1252.48000000, 250.49000000, 1502.97000000, 'commande/CO2004-1403/CO2004-1403.pdf', NULL, NULL),
(1517, 'CO2004-1404', 1, NULL, NULL, NULL, 2127, NULL, '2020-04-28 09:04:09', '2020-04-09 15:08:25', '2020-04-09 15:08:36', '2020-04-28 11:03:55', '2020-04-09', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 429.56000000, 0.00000000, 0.00000000, 2147.83000000, 2577.39000000, '', 'Maintenance du Compresseur L75SR .<br />\r\n<br />\r\nBL N°21 du 24/04/2020<br />\r\n<br />\r\nCOmmande N° CDA-FCA2003666<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, 3, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2147.83000000, 429.56000000, 2577.39000000, 'commande/CO2004-1404/CO2004-1404.pdf', NULL, NULL),
(1518, 'CO2004-1405', 1, NULL, NULL, NULL, 13066, NULL, '2020-04-24 12:24:01', '2020-04-14 11:01:06', '2020-04-14 11:01:19', '2020-04-24 14:24:01', '2020-04-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 43.00000000, 0.00000000, 0.00000000, 215.00000000, 258.00000000, '', '1 carton de 4 bouteilles au format 5Litre -<br />\r\n<br />\r\nLivraison :  courant semaine 16<br />\r\n<br />\r\nAttention il n\'y a pas de poussoir fourni avec les bouteilles - bouchon classique à viser', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 215.00000000, 43.00000000, 258.00000000, 'commande/CO2004-1405/CO2004-1405.pdf', NULL, NULL),
(1519, 'CO2004-1406', 1, NULL, NULL, NULL, 2397, NULL, '2020-07-01 09:54:00', '2020-04-14 11:28:30', '2020-04-14 11:28:39', '2020-04-28 15:44:58', '2020-04-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 294.03000000, 0.00000000, 0.00000000, 1470.08000000, 1764.11000000, '', 'Petit reseau air comprimé en Ø 22 en inox serti.<br />\r\nMise a disposition manitou et chauffeur le vendredi A.M<br />\r\nOption Prix pour tuyau souple caoutchouc<br />\r\nprix enrouleur + pose', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1470.08000000, 294.03000000, 1764.11000000, 'commande/CO2004-1406/CO2004-1406.pdf', NULL, NULL),
(1520, 'CO2004-1407', 1, NULL, NULL, NULL, 10501, NULL, '2020-04-24 12:03:44', '2020-04-14 14:10:23', '2020-04-14 14:10:52', '2020-04-24 14:03:11', '2020-04-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 43.00000000, 0.00000000, 0.00000000, 215.00000000, 258.00000000, '', 'Commande CF5-2004-00230', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 215.00000000, 43.00000000, 258.00000000, 'commande/CO2004-1407/CO2004-1407.pdf', NULL, NULL),
(1521, 'CO2004-1408', 1, NULL, NULL, NULL, 13075, NULL, '2020-04-22 12:28:17', '2020-04-14 14:14:35', '2020-04-14 14:15:45', NULL, '2020-04-14', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 126.00000000, 0.00000000, 0.00000000, 630.00000000, 756.00000000, '', '', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 630.00000000, 126.00000000, 756.00000000, 'commande/CO2004-1408/CO2004-1408.pdf', NULL, NULL),
(1522, 'CO2004-1409', 1, NULL, NULL, NULL, 5939, NULL, '2020-04-22 12:32:50', '2020-04-14 14:18:38', '2020-04-14 14:18:45', NULL, '2020-04-14', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 73.50000000, 0.00000000, 0.00000000, 367.50000000, 441.00000000, '', '', 'einstein', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 367.50000000, 73.50000000, 441.00000000, 'commande/CO2004-1409/CO2004-1409.pdf', NULL, NULL),
(1523, 'CO2004-1410', 1, NULL, NULL, NULL, 10526, NULL, '2020-04-24 07:53:33', '2020-04-14 14:19:21', '2020-04-14 14:19:48', NULL, '2020-04-14', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 10.50000000, 0.00000000, 0.00000000, 52.50000000, 63.00000000, '', '', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 52.50000000, 10.50000000, 63.00000000, 'commande/CO2004-1410/CO2004-1410.pdf', NULL, NULL),
(1524, 'CO2004-1411', 1, NULL, NULL, NULL, 10625, NULL, '2020-04-24 07:50:32', '2020-04-14 14:24:47', '2020-04-14 14:25:24', '2020-04-24 09:50:19', '2020-04-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 43.00000000, 0.00000000, 0.00000000, 215.00000000, 258.00000000, '', '', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 215.00000000, 43.00000000, 258.00000000, 'commande/CO2004-1411/CO2004-1411.pdf', NULL, NULL),
(1525, 'CO2004-1412', 1, NULL, NULL, NULL, 12810, NULL, '2020-04-24 07:42:09', '2020-04-14 14:25:52', '2020-04-14 14:26:10', '2020-04-24 09:41:47', '2020-04-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 11.50000000, 0.00000000, 0.00000000, 57.50000000, 69.00000000, '', '1 bidon 5L gel hydroalcoolique', '', 1, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 57.50000000, 11.50000000, 69.00000000, 'commande/CO2004-1412/CO2004-1412.pdf', NULL, NULL),
(1526, 'CO2004-1417', 1, NULL, NULL, NULL, 1990, NULL, '2020-04-15 13:41:18', '2020-04-14 14:51:57', '2020-04-15 15:40:43', '2020-04-15 15:40:47', '2020-04-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 135.97000000, 0.00000000, 0.00000000, 679.83000000, 815.80000000, '', 'Intervention de r&eacute;seau inox hors devis suivant BL N&deg;19 du 09/04/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 679.83000000, 135.97000000, 815.80000000, 'commande/CO2004-1417/CO2004-1417.pdf', NULL, NULL),
(1527, 'CO2004-1413', 1, NULL, NULL, NULL, 7066, NULL, '2020-08-28 08:55:34', '2020-04-14 15:37:02', '2020-05-14 11:45:29', '2020-06-30 09:20:25', '2020-04-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 297.42000000, 0.00000000, 0.00000000, 1487.12000000, 1784.54000000, '', 'Pieces de filtration maintenance de vos differents compresseurs : <br />\r\n<br />\r\nhuile VR46 pour compresseur L15 et compresseur ATLAS COPCO<br />\r\n<br />\r\nHuile sullube pour compresseur Maco Sullair ( disponible uniquement en 20 Litres ) ', 'einstein', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1487.12000000, 297.42000000, 1784.54000000, 'commande/CO2004-1413/CO2004-1413.pdf', NULL, NULL),
(1528, 'CO2004-1414', 1, NULL, NULL, NULL, 2054, NULL, '2020-08-12 13:29:24', '2020-04-14 15:58:08', '2020-04-14 15:58:25', NULL, '2020-04-14', 5, 5, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 440.09000000, 0.00000000, 0.00000000, 2200.44000000, 2640.53000000, '', 'Maintenance L26RS N°CD10029231001 à <br />\r\n<br />\r\n<br />\r\n<br />\r\nSite d\'intervention:<br />\r\nSces Blé 1<br />\r\nChemin du Pouloux<br />\r\n38270 BEAUREPAIRE<br />\r\n<br />\r\n ', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2200.44000000, 440.09000000, 2640.53000000, 'commande/CO2004-1414/CO2004-1414.pdf', NULL, NULL),
(1529, 'CO2004-1415', 1, NULL, NULL, NULL, 2184, NULL, '2020-08-12 09:23:46', '2020-04-15 11:30:47', '2020-06-03 09:53:31', '2020-06-30 09:59:40', '2020-04-15', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 628.58000000, 0.00000000, 0.00000000, 3142.94000000, 3771.52000000, '', 'Maintenance L45RS ( 2018 ) N° CD10034859001 en huile alimentaire à 17626H<br />\r\n<br />\r\nRemplacement cartouche filtre réseau <br />\r\n<br />\r\nMaintenance seprateur de condensats OWAMAT 14<br />\r\n<br />\r\nCommande N°7100097566<br />\r\n<br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3142.94000000, 628.58000000, 3771.52000000, 'commande/CO2004-1415/CO2004-1415.pdf', NULL, NULL),
(1530, 'CO2004-1416', 1, NULL, NULL, NULL, 2038, NULL, '2020-08-05 13:37:54', '2020-04-15 15:00:02', '2020-04-15 15:04:30', '2020-08-05 15:37:54', '2020-04-15', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 120.10000000, 0.00000000, 0.00000000, 600.51000000, 720.61000000, '', 'Remplacement valve thermostatique sur compresseur L07RS', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 600.51000000, 120.10000000, 720.61000000, 'commande/CO2004-1416/CO2004-1416.pdf', NULL, NULL),
(1531, 'CO2004-1418', 1, NULL, NULL, NULL, 2054, NULL, '2020-04-16 09:18:27', '2020-04-16 11:17:10', '2020-04-16 11:17:20', '2020-04-16 11:18:15', '2020-04-16', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 334.28000000, 0.00000000, 0.00000000, 1671.40000000, 2005.68000000, '', '<p><strong>Fourniture d\'1 CLC275NTP-BD compresseur à piston</strong></p>\r\n\r\n<p>    + Dépose du vieux, feraillage par client</p>\r\n\r\n<p>    + Branchement à l\'installation actuelle électrique et flexible pour connexion à réseau AC</p>\r\n\r\n<p>    + MO + Kms + Accessoires divers AC <br />\r\n<br />\r\nLivraison : VALENCE CEREALES<br />\r\nLes Rebatieres<br />\r\n26760 MONTELEGER<br />\r\n<br />\r\nCommande : C37120033384PM</p>\r\n', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1671.40000000, 334.28000000, 2005.68000000, 'commande/CO2004-1418/CO2004-1418.pdf', NULL, NULL),
(1532, 'CO2004-1419', 1, NULL, NULL, NULL, 2054, NULL, '2020-04-16 09:22:40', '2020-04-16 11:21:56', '2020-04-16 11:22:02', '2020-04-16 11:22:07', '2020-04-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 88.00000000, 0.00000000, 0.00000000, 440.00000000, 528.00000000, '', 'Fourniture d&#39;un compresseur &agrave; piston .<br />\r\n<br />\r\nSite de Monteleger', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 440.00000000, 88.00000000, 528.00000000, 'commande/CO2004-1419/CO2004-1419.pdf', NULL, NULL),
(1533, 'CO2004-1420', 1, NULL, NULL, NULL, 13053, NULL, '2020-06-30 07:43:14', '2020-04-16 11:40:46', '2020-06-03 09:50:20', '2020-06-30 09:41:36', '2020-04-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 93.14000000, 0.00000000, 0.00000000, 465.70000000, 558.84000000, '', 'Assistance &agrave; l&#39;organisme d&#39;&eacute;preuve -&nbsp;<br />\r\nR&eacute;&eacute;preuve reservoir 900Litres\r\n<p>Notre offre comprend :</p>\r\n&nbsp;\r\n\r\n<ul>\r\n	<li>D&eacute;pose des accessoires fixer sur la cuve ( flexible , &hellip; etc )</li>\r\n	<li>Bouchonnage des differents orifices</li>\r\n	<li>Remplissage du reservoir avec de l&rsquo;eau</li>\r\n	<li>Assistance eu verificateur de l&rsquo;organisme agr&eacute;e</li>\r\n	<li>Remontage et remise en service de la machine</li>\r\n</ul>\r\n', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 465.70000000, 93.14000000, 558.84000000, 'commande/CO2004-1420/CO2004-1420.pdf', NULL, NULL),
(1534, 'CO2004-1421', 1, NULL, NULL, NULL, 13077, NULL, '2020-08-28 08:55:49', '2020-04-17 09:58:11', '2020-04-17 09:58:18', '2020-04-17 10:01:22', '2020-04-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 183.98000000, 0.00000000, 0.00000000, 919.88000000, 1103.86000000, '', 'Mise en service et raccordement compresseur SUllair BDS11 N&deg; 68570004 &agrave; 40324 HRS - secheur Friulaire ACT40- Cuve 500L N&deg;82135 de 2014 en reseau souple .<br />\r\nMaintenance compresseur Sullair BDS 11.<br />\r\nRemplacement cartouche filtre reseau&nbsp;<br />\r\n<br />\r\nBL N&deg;35 du 16/05/2020', '', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 919.88000000, 183.98000000, 1103.86000000, 'commande/CO2004-1421/CO2004-1421.pdf', NULL, NULL),
(1535, 'CO2004-1422', 1, NULL, NULL, NULL, 13078, NULL, '2020-04-22 12:24:47', '2020-04-17 10:42:33', '2020-04-17 10:42:54', '2020-04-22 14:24:47', '2020-04-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 10.50000000, 0.00000000, 0.00000000, 52.50000000, 63.00000000, '', 'Gel hydroalcoolique', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 52.50000000, 10.50000000, 63.00000000, 'commande/CO2004-1422/CO2004-1422.pdf', NULL, NULL),
(1536, 'CO2004-1423', 1, NULL, NULL, NULL, 12748, NULL, '2020-06-30 09:47:37', '2020-04-17 10:52:39', '2020-06-30 11:46:34', '2020-06-30 11:46:40', '2020-04-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 199.25000000, 0.00000000, 0.00000000, 996.28000000, 1195.53000000, '', 'mise en place d\'un compresseur de pret 5.5KW - <br />\r\nToutes semaines entamées est une semaine due -<br />\r\n<br />\r\nDépose du compresseur Semaine 10 - année 2020', '', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 996.28000000, 199.25000000, 1195.53000000, 'commande/CO2004-1423/CO2004-1423.pdf', NULL, NULL),
(1537, 'CO2004-1425', 1, NULL, NULL, NULL, 13076, NULL, '2020-04-24 07:54:11', '2020-04-17 14:18:29', '2020-04-17 14:24:23', NULL, '2020-04-17', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 21.00000000, 0.00000000, 0.00000000, 105.00000000, 126.00000000, '', '', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 105.00000000, 21.00000000, 126.00000000, 'commande/CO2004-1425/CO2004-1425.pdf', NULL, NULL),
(1538, 'CO2004-1424', 1, NULL, NULL, NULL, 10598, NULL, '2020-04-24 12:09:46', '2020-04-17 14:19:12', '2020-04-17 14:19:25', '2020-04-24 14:09:37', '2020-04-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 11.50000000, 0.00000000, 0.00000000, 57.50000000, 69.00000000, '', '', '', 1, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 57.50000000, 11.50000000, 69.00000000, 'commande/CO2004-1424/CO2004-1424.pdf', NULL, NULL),
(1539, 'CO2004-1426', 1, NULL, NULL, NULL, 2054, NULL, '2020-07-01 07:26:33', '2020-04-17 14:47:35', '2020-04-17 14:47:54', '2020-06-30 15:03:51', '2020-04-17', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 157.99000000, 0.00000000, 0.00000000, 789.97000000, 947.96000000, '', 'Dauphinoise SITE DE VOREPPE : WA3008<br />\r\n<br />\r\nRemplacement de la vanne de pression minimum et de la vanne de mise à vide , suite à notre derniere intervention notre technicien à noté une défaillance au niveau de ses piéces .<br />\r\n<br />\r\nBL N°27 du 08/06/2020', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 789.97000000, 157.99000000, 947.96000000, 'commande/CO2004-1426/CO2004-1426.pdf', NULL, NULL),
(1540, 'CO2004-1427', 1, NULL, NULL, NULL, 2162, NULL, '2020-08-17 09:00:33', '2020-04-20 09:11:35', '2020-05-27 10:54:05', '2020-06-30 09:10:59', '2020-04-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1807.01000000, 0.00000000, 0.00000000, 9035.00000000, 10842.01000000, '', 'Remplacement du bloc vis sur votre compresseur L37RS .<br />\r\n<br />\r\nGarantie bloc vis  24 mois ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 9035.00000000, 1807.01000000, 10842.01000000, 'commande/CO2004-1427/CO2004-1427.pdf', NULL, NULL),
(1541, 'CO2004-1428', 1, NULL, NULL, NULL, 10144, NULL, '2020-08-07 13:47:47', '2020-04-20 11:35:38', '2020-06-03 11:29:43', '2020-06-03 11:30:24', '2020-04-20', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 178.06000000, 0.00000000, 0.00000000, 890.25000000, 1068.31000000, '', 'Maintenance  rsf 22 10 bars n°830076 à 4184 HRS<br />\r\n<br />\r\nRemplacement kit separateur de condensats<br />\r\nRemplacement cartouche filtre BEA300RA<br />\r\n<br />\r\nBL N°28 du 29/04/2020<br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 890.25000000, 178.06000000, 1068.31000000, 'commande/CO2004-1428/CO2004-1428.pdf', NULL, NULL),
(1542, 'CO2004-1429', 1, NULL, NULL, NULL, 2350, NULL, '2020-06-03 09:57:20', '2020-04-20 14:41:05', '2020-04-20 14:41:37', '2020-04-29 09:29:58', '2020-04-20', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 513.13000000, 0.00000000, 0.00000000, 2565.65000000, 3078.78000000, '', 'Maintenance Compresseurs L45RS  à 32104 HRS <br />\r\nRemplacement cartouche filtre reseau<br />\r\nMaintenance separateur de condensats OWAMAT 14<br />\r\n<br />\r\nBL N° 26 du 28/04/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2565.65000000, 513.13000000, 3078.78000000, 'commande/CO2004-1429/CO2004-1429.pdf', NULL, NULL),
(1543, 'CO2004-1430', 1, NULL, NULL, NULL, 12592, NULL, '2020-08-28 08:56:13', '2020-04-21 09:29:14', '2020-04-22 16:07:34', '2020-04-30 09:14:06', '2020-04-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 141.89000000, 0.00000000, 0.00000000, 709.53000000, 851.42000000, '', 'Maintenance compresseur  RSDK PRO ECN 7.5 ', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 709.53000000, 141.89000000, 851.42000000, 'commande/CO2004-1430/CO2004-1430.pdf', NULL, NULL),
(1544, 'CO2004-1431', 1, NULL, NULL, NULL, 2203, NULL, '2020-08-28 08:56:18', '2020-04-21 09:32:03', '2020-04-21 09:32:53', '2020-06-03 09:55:29', '2020-04-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 321.23000000, 0.00000000, 0.00000000, 1606.12000000, 1927.35000000, '', 'Maintenance compresseur L45RS avec bloc vis garantie 24 mois et huile alimenatire&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1606.12000000, 321.23000000, 1927.35000000, 'commande/CO2004-1431/CO2004-1431.pdf', NULL, NULL),
(1545, 'CO2004-1432', 1, NULL, NULL, NULL, 2287, NULL, '2020-04-28 08:47:05', '2020-04-21 09:59:35', '2020-04-21 10:28:38', '2020-04-28 10:46:35', '2020-04-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 510.00000000, 0.00000000, 0.00000000, 2550.00000000, 3060.00000000, '', 'Compresseur &agrave; piston COMPAIR&nbsp;<br />\r\nGarantie total 2 ans <em>( sous reserve de maintenance la 1ere ann&eacute;e )&nbsp;</em>', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2550.00000000, 510.00000000, 3060.00000000, 'commande/CO2004-1432/CO2004-1432.pdf', NULL, NULL),
(1546, 'CO2004-1433', 1, NULL, NULL, NULL, 2101, NULL, '2020-06-09 13:08:08', '2020-04-21 12:10:14', '2020-04-21 12:10:22', '2020-06-03 08:54:28', '2020-04-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 357.52000000, 0.00000000, 0.00000000, 1787.60000000, 2145.12000000, '', 'Remplacement en lieu et place de votre secheur ED225', '', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1787.60000000, 357.52000000, 2145.12000000, 'commande/CO2004-1433/CO2004-1433.pdf', NULL, NULL),
(1547, 'CO2004-1434', 1, NULL, NULL, NULL, 13079, NULL, '2020-04-23 09:20:51', '2020-04-21 14:13:16', '2020-04-21 14:13:54', '2020-04-23 11:20:40', '2020-04-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 22.00000000, 0.00000000, 0.00000000, 110.00000000, 132.00000000, '', '', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 110.00000000, 22.00000000, 132.00000000, 'commande/CO2004-1434/CO2004-1434.pdf', NULL, NULL),
(1548, 'CO2004-1435', 1, NULL, NULL, NULL, 13080, NULL, '2020-04-21 13:38:16', '2020-04-21 15:36:20', '2020-04-21 15:37:19', '2020-04-21 15:38:03', '2020-04-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 42.00000000, 0.00000000, 0.00000000, 210.00000000, 252.00000000, '', '', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 210.00000000, 42.00000000, 252.00000000, 'commande/CO2004-1435/CO2004-1435.pdf', NULL, NULL),
(1549, 'CO2004-1436', 1, NULL, NULL, NULL, 13081, NULL, '2020-04-21 13:45:17', '2020-04-21 15:44:22', '2020-04-21 15:44:39', NULL, '2020-04-21', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 10.50000000, 0.00000000, 0.00000000, 52.50000000, 63.00000000, '', '', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 52.50000000, 10.50000000, 63.00000000, 'commande/CO2004-1436/CO2004-1436.pdf', NULL, NULL),
(1550, 'CO2004-1437', 1, NULL, NULL, NULL, 13082, NULL, '2020-04-21 13:48:08', '2020-04-21 15:46:52', '2020-04-21 15:47:10', '2020-04-21 15:47:48', '2020-04-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 10.50000000, 0.00000000, 0.00000000, 52.50000000, 63.00000000, '', '', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 52.50000000, 10.50000000, 63.00000000, 'commande/CO2004-1437/CO2004-1437.pdf', NULL, NULL),
(1551, 'CO2004-1438', 1, NULL, NULL, NULL, 1955, NULL, '2020-04-24 07:41:02', '2020-04-23 11:24:24', '2020-04-23 11:25:11', '2020-04-23 11:26:09', '2020-04-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 25.20000000, 0.00000000, 0.00000000, 126.00000000, 151.20000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 126.00000000, 25.20000000, 151.20000000, 'commande/CO2004-1438/CO2004-1438.pdf', NULL, NULL),
(1552, 'CO2004-1439', 1, NULL, NULL, NULL, 2268, NULL, '2020-06-03 09:43:14', '2020-04-23 16:01:57', '2020-04-23 16:02:06', '2020-06-02 11:43:11', '2020-04-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 171.23000000, 0.00000000, 0.00000000, 856.16000000, 1027.39000000, '', 'Remplacement des flexibles d\'huile sur compresseur L15 <br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 856.16000000, 171.23000000, 1027.39000000, 'commande/CO2004-1439/CO2004-1439.pdf', NULL, NULL),
(1553, 'CO2004-1440', 1, NULL, NULL, NULL, 1968, NULL, '2020-04-28 08:42:13', '2020-04-24 08:52:40', '2020-04-24 08:52:46', '2020-04-27 10:40:22', '2020-04-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 104.46000000, 0.00000000, 0.00000000, 522.32000000, 626.78000000, '', 'Maintenance compresseur RSDBST3-8BARS et remplacement cartouche filtre r&eacute;seau&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 522.32000000, 104.46000000, 626.78000000, 'commande/CO2004-1440/CO2004-1440.pdf', NULL, NULL),
(1554, 'CO2004-1441', 1, NULL, NULL, NULL, 13083, NULL, '2020-08-28 08:56:28', '2020-04-24 14:27:46', '2020-04-24 14:29:58', '2020-04-24 14:30:29', '2020-04-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 2.10000000, 0.00000000, 0.00000000, 10.50000000, 12.60000000, '', 'Solution Hydroalcoolique', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 10.50000000, 2.10000000, 12.60000000, 'commande/CO2004-1441/CO2004-1441.pdf', NULL, NULL),
(1555, 'CO2004-1442', 1, NULL, NULL, NULL, 2276, NULL, '2020-04-30 12:15:36', '2020-04-24 16:27:26', '2020-04-28 09:54:12', '2020-04-28 09:54:34', '2020-04-24', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 396.11000000, 0.00000000, 0.00000000, 1980.58000000, 2376.69000000, '', 'maintenance L29RS N° CD10015163001 ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1980.58000000, 396.11000000, 2376.69000000, 'commande/CO2004-1442/CO2004-1442.pdf', NULL, NULL),
(1556, 'CO2004-1443', 1, NULL, NULL, NULL, 2122, NULL, '2020-04-29 07:50:24', '2020-04-27 09:05:15', '2020-04-27 09:05:30', '2020-04-28 11:54:39', '2020-04-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 15.01000000, 0.00000000, 0.00000000, 75.04000000, 90.05000000, '', 'Fourniture d&#39;un pressostat sur compresseur&nbsp; &agrave; piston :<br />\r\n<br />\r\nD&eacute;lai : 5 jours&nbsp;', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 75.04000000, 15.01000000, 90.05000000, 'commande/CO2004-1443/CO2004-1443.pdf', NULL, NULL),
(1557, 'CO2004-1444', 1, NULL, NULL, NULL, 13084, NULL, '2020-07-21 08:58:27', '2020-04-27 11:40:15', '2020-04-27 11:40:42', '2020-07-21 10:58:27', '2020-04-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 63.00000000, 0.00000000, 0.00000000, 315.00000000, 378.00000000, '', 'Solution hydro- alcoolique -', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 315.00000000, 63.00000000, 378.00000000, 'commande/CO2004-1444/CO2004-1444.pdf', NULL, NULL),
(1558, 'CO2004-1445', 1, NULL, NULL, NULL, 2054, NULL, '2020-08-28 08:57:19', '2020-04-27 15:48:01', '2020-04-27 15:48:26', '2020-06-02 14:23:00', '2020-04-27', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 471.43000000, 0.00000000, 0.00000000, 2357.12000000, 2828.55000000, '', 'Maintenance L26RS N°CD10029231001 à <br />\r\n<br />\r\nCommande N° <br />\r\n<br />\r\nSite d\'intervention:<br />\r\nSces Blé 1<br />\r\nChemin du Pouloux<br />\r\n38270 BEAUREPAIRE<br />\r\n<br />\r\nBL N', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2357.12000000, 471.43000000, 2828.55000000, 'commande/CO2004-1445/CO2004-1445.pdf', NULL, NULL),
(1559, 'CO2004-1446', 1, NULL, NULL, NULL, 12613, NULL, '2020-09-11 14:14:52', '2020-04-28 10:08:16', '2020-04-28 10:08:52', '2020-09-11 16:14:52', '2020-04-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 12.60000000, 0.00000000, 0.00000000, 63.00000000, 75.60000000, '', 'solution hydro-alcoolique', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 63.00000000, 12.60000000, 75.60000000, 'commande/CO2004-1446/CO2004-1446.pdf', NULL, NULL),
(1560, 'CO2004-1447', 1, NULL, NULL, NULL, 2122, NULL, '2020-04-29 07:48:57', '2020-04-28 11:18:03', '2020-04-28 11:18:48', '2020-04-29 09:48:35', '2020-04-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 65.11000000, 0.00000000, 0.00000000, 325.54000000, 390.65000000, '', 'Maintenance adoucisseur :&nbsp;', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 325.54000000, 65.11000000, 390.65000000, 'commande/CO2004-1447/CO2004-1447.pdf', NULL, NULL),
(1561, 'CO2004-1448', 1, NULL, NULL, NULL, 2162, NULL, '2020-04-28 09:24:47', '2020-04-28 11:23:32', '2020-04-28 11:23:43', '2020-04-28 11:24:21', '2020-04-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 42.45000000, 0.00000000, 0.00000000, 212.27000000, 254.72000000, '', 'Remplacement du pressostat defaillant sur compresseur SYLPACK<br />\r\n<br />\r\nBL N°36 du 17/04/2020', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 212.27000000, 42.45000000, 254.72000000, 'commande/CO2004-1448/CO2004-1448.pdf', NULL, NULL),
(1562, 'CO2004-1449', 1, NULL, NULL, NULL, 12794, NULL, '2020-06-03 08:25:33', '2020-04-29 16:49:49', '2020-04-29 16:49:54', '2020-06-03 10:24:51', '2020-04-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 124.24000000, 0.00000000, 0.00000000, 621.24000000, 745.48000000, '', 'maintenance genesis ge1510&nbsp;<br />\r\nsite beaurepaire', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 621.24000000, 124.24000000, 745.48000000, 'commande/CO2004-1449/CO2004-1449.pdf', NULL, NULL),
(1563, 'CO2004-1450', 1, NULL, NULL, NULL, 13087, NULL, '2020-04-30 08:59:33', '2020-04-30 10:56:50', '2020-04-30 10:57:57', '2020-04-30 10:59:21', '2020-04-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 2.92000000, 0.00000000, 0.00000000, 53.08000000, 56.00000000, '', 'Solution Hydro-alcoolique', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 53.08000000, 2.92000000, 56.00000000, 'commande/CO2004-1450/CO2004-1450.pdf', NULL, NULL),
(1564, 'CO2004-1451', 1, NULL, NULL, 'L29FIXE', 2276, NULL, '2020-07-21 09:03:37', '2020-04-30 14:15:50', '2020-06-02 09:25:33', '2020-07-21 11:03:33', '2020-04-30', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 5000.01000000, 0.00000000, 0.00000000, 25000.00000000, 30000.01000000, '', 'Local avec compresseur L29 7.5 Bar avec un secheur frigorifique avec pré filtration et un separateur de condensats Owamat 12<br />\r\n<br />\r\nHors ligne electrique 4G25 .<br />\r\n<br />\r\nCondition de Réglement : <br />\r\n30 % à la commande<br />\r\nSolde à la livraison', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 25000.00000000, 5000.01000000, 30000.01000000, 'commande/CO2004-1451/CO2004-1451.pdf', NULL, NULL),
(1565, 'CO2004-1452', 1, NULL, NULL, NULL, 1990, NULL, '2020-04-30 13:20:28', '2020-04-30 14:54:07', '2020-04-30 15:11:41', '2020-04-30 15:13:22', '2020-04-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 111.04000000, 0.00000000, 0.00000000, 555.23000000, 666.27000000, '', 'Travaux air comprim&eacute;<br />\r\n<br />\r\nBL N&deg;40 du 30/04/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 555.23000000, 111.04000000, 666.27000000, 'commande/CO2004-1452/CO2004-1452.pdf', NULL, NULL),
(1566, 'CO2005-1453', 1, NULL, NULL, NULL, 12746, NULL, '2020-07-21 09:04:21', '2020-05-06 18:54:03', '2020-05-06 18:55:26', '2020-07-21 11:04:21', '2020-05-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 73.00000000, 0.00000000, 0.00000000, 365.00000000, 438.00000000, '', 'embrayage pour&nbsp;COMPAIR C50G DLT 040', '', 1, NULL, NULL, 16, NULL, '2020-05-06', NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 365.00000000, 73.00000000, 438.00000000, 'commande/CO2005-1453/CO2005-1453.pdf', NULL, NULL),
(1567, 'CO2005-1454', 1, NULL, NULL, NULL, 2286, NULL, '2020-05-29 12:52:55', '2020-05-07 08:55:08', '2020-05-07 10:29:31', '2020-05-29 14:52:33', '2020-05-07', 4, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 332.00000000, 0.00000000, 0.00000000, 1660.00000000, 1992.00000000, 'Livraison directe', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1660.00000000, 332.00000000, 1992.00000000, 'commande/CO2005-1454/CO2005-1454.pdf', NULL, NULL),
(1569, 'CO2005-1455', 1, NULL, NULL, NULL, 12794, NULL, '2020-06-03 08:46:17', '2020-05-12 09:19:08', '2020-05-12 09:19:38', '2020-06-03 10:45:43', '2020-05-12', 4, NULL, 4, 5, NULL, 3, 0.00000000, 0, NULL, 0, 67.40000000, 0.00000000, 0.00000000, 337.00000000, 404.40000000, '', 'remplacement clapet d&#39;aspiration avec electrovanne sur compresseur devilbiss :', 'einstein', 1, NULL, NULL, 3, NULL, '2020-05-12', NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 337.00000000, 67.40000000, 404.40000000, 'commande/CO2005-1455/CO2005-1455.pdf', NULL, NULL);
INSERT INTO `llx_commande` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_cloture`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_cloture`, `source`, `fk_statut`, `amount_ht`, `remise_percent`, `remise_absolue`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `facture`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_livraison`, `fk_shipping_method`, `fk_warehouse`, `fk_availability`, `fk_input_reason`, `fk_delivery_address`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(1570, 'CO2005-1456', 1, NULL, NULL, NULL, 2399, NULL, '2020-07-01 09:48:28', '2020-05-12 12:13:14', '2020-05-12 12:13:28', '2020-07-01 11:46:07', '2020-05-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 203.83000000, 0.00000000, 0.00000000, 1019.18000000, 1223.01000000, '', 'Maintenance compresseur L11RS&nbsp;<br />\r\nRemplacement cartouche filtre reseau<br />\r\nMaintenance seprateur de condensats OWAMAT 10 :', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1019.18000000, 203.83000000, 1223.01000000, 'commande/CO2005-1456/CO2005-1456.pdf', NULL, NULL),
(1571, 'CO2005-1457', 1, NULL, NULL, NULL, 2102, NULL, '2020-08-03 13:25:12', '2020-05-12 12:16:19', '2020-05-12 12:16:51', '2020-08-03 15:22:45', '2020-05-12', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 116.85000000, 0.00000000, 0.00000000, 584.25000000, 701.10000000, '', 'Maintenance L07RS N° BA33915001 <br />\r\n<br />\r\n<span style=\"font-size:24px\"><u><strong>Reglage horloge de programmation</strong></u></span>', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 584.25000000, 116.85000000, 701.10000000, 'commande/CO2005-1457/CO2005-1457.pdf', NULL, NULL),
(1572, 'CO2005-1458', 1, NULL, NULL, 'L29 THALES 2020', 2407, NULL, '2020-06-04 12:53:26', '2020-05-18 12:09:35', '2020-06-04 11:21:11', '2020-06-04 14:53:05', '2020-05-18', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 419.69000000, 0.00000000, 0.00000000, 2098.50000000, 2518.19000000, '', 'Maintenance L29rs N° CD10039882001 à 13810 HRS<br />\r\nContrat lissé BL N° 15 du 02/06/2020<br />\r\n<br />\r\nCommande N°911212736-0-10760', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2098.50000000, 419.69000000, 2518.19000000, 'commande/CO2005-1458/CO2005-1458.pdf', NULL, NULL),
(1573, 'CO2005-1459', 1, NULL, NULL, NULL, 2234, NULL, '2020-07-30 13:30:41', '2020-05-25 09:43:57', '2020-07-02 11:00:38', '2020-07-02 11:01:59', '2020-05-25', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 256.29000000, 0.00000000, 0.00000000, 1281.51000000, 1537.80000000, '', 'Maintenance L45RS N°CD10005658001 à  15621 HRS<br />\r\nMaintenance du separateur de condensats Owamat 14<br />\r\nRemplacement cartouche filtre reseau<br />\r\n<br />\r\nBL N°10 du 29/06/2020<br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1281.51000000, 256.29000000, 1537.80000000, 'commande/CO2005-1459/CO2005-1459.pdf', NULL, NULL),
(1574, 'CO2005-1460', 1, NULL, NULL, NULL, 6259, NULL, '2020-07-21 09:17:48', '2020-05-25 10:20:37', '2020-05-25 10:21:00', NULL, '2020-05-25', 5, 5, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 233.57000000, 0.00000000, 0.00000000, 1167.87000000, 1401.44000000, '', 'Maintenance L11 N° CD10023655001 ', 'einstein', 0, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1167.87000000, 233.57000000, 1401.44000000, 'commande/CO2005-1460/CO2005-1460.pdf', NULL, NULL),
(1575, 'CO2005-1461', 1, NULL, NULL, NULL, 2149, NULL, '2020-06-30 06:53:03', '2020-05-25 10:23:53', '2020-06-30 08:51:58', '2020-06-30 08:52:19', '2020-05-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 115.28000000, 0.00000000, 0.00000000, 576.35000000, 691.63000000, '', 'Maintenance L07 Compair', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 576.35000000, 115.28000000, 691.63000000, 'commande/CO2005-1461/CO2005-1461.pdf', NULL, NULL),
(1576, 'CO2005-1462', 1, NULL, NULL, NULL, 2142, NULL, '2020-06-29 12:35:50', '2020-05-27 11:30:36', '2020-06-29 14:32:31', '2020-06-29 14:33:40', '2020-05-27', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 250.57000000, 0.00000000, 0.00000000, 1252.83000000, 1503.40000000, '', 'Maintenance L22SR N°CD10003983002', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1252.83000000, 250.57000000, 1503.40000000, 'commande/CO2005-1462/CO2005-1462.pdf', NULL, NULL),
(1577, 'CO2005-1463', 1, NULL, NULL, NULL, 2407, NULL, '2020-06-03 12:36:33', '2020-05-28 08:59:31', '2020-05-28 08:59:45', '2020-06-03 14:32:29', '2020-05-28', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 12.78000000, 0.00000000, 0.00000000, 63.88000000, 76.66000000, '', 'Soupape avec certificat <br />\r\n1/2 12Bar<br />\r\n<br />\r\nCommande N°907664928', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 63.88000000, 12.78000000, 76.66000000, 'commande/CO2005-1463/CO2005-1463.pdf', NULL, NULL),
(1579, 'CO2005-1464', 1, NULL, NULL, NULL, 2020, NULL, '2020-08-28 08:57:23', '2020-05-28 12:08:42', '2020-05-28 12:08:51', '2020-07-21 11:13:24', '2020-05-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 928.53000000, 0.00000000, 0.00000000, 4642.68000000, 5571.21000000, '', 'prolongement reseau et 5 descentes', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4642.68000000, 928.53000000, 5571.21000000, 'commande/CO2005-1464/CO2005-1464.pdf', NULL, NULL),
(1580, 'CO2005-1465', 1, NULL, NULL, NULL, 2311, NULL, '2020-06-30 12:03:48', '2020-05-28 12:21:10', '2020-05-28 12:24:31', NULL, '2020-05-28', 4, NULL, 4, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 12.83000000, 0.00000000, 0.00000000, 64.13000000, 76.96000000, '', 'fournitures raccords GIRAIR', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 64.13000000, 12.83000000, 76.96000000, 'commande/CO2005-1465/CO2005-1465.pdf', NULL, NULL),
(1581, 'CO2005-1466', 1, NULL, NULL, NULL, 13093, NULL, '2020-05-29 11:59:00', '2020-05-29 13:57:04', '2020-05-29 13:57:50', '2020-05-29 13:58:16', '2020-05-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1.65000000, 0.00000000, 0.00000000, 30.00000000, 31.65000000, '', '', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 30.00000000, 1.65000000, 31.65000000, 'commande/CO2005-1466/CO2005-1466.pdf', NULL, NULL),
(1582, 'CO2005-1467', 1, NULL, NULL, NULL, 2300, NULL, '2020-06-30 12:55:59', '2020-05-29 14:01:37', '2020-06-30 14:55:01', '2020-06-30 14:55:42', '2020-05-29', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 257.16000000, 0.00000000, 0.00000000, 1285.78000000, 1542.94000000, '', 'Maintenance l45 N° cd10023286001 à  11324 HRS<br />\r\net filtres reseaux et owamat 14<br />\r\n<br />\r\nBL N°26 du 08/06/2020<br />\r\n<br />\r\n<br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1285.78000000, 257.16000000, 1542.94000000, 'commande/CO2005-1467/CO2005-1467.pdf', NULL, NULL),
(1583, 'CO2006-1468', 1, NULL, NULL, NULL, 12608, NULL, '2020-07-01 08:34:30', '2020-06-02 09:55:33', '2020-06-02 09:55:38', '2020-07-01 10:33:57', '2020-06-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 130.97000000, 0.00000000, 0.00000000, 654.86000000, 785.83000000, '', 'Maintenance RS PRO 7.5 N° 713056 à  HRS<br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 654.86000000, 130.97000000, 785.83000000, 'commande/CO2006-1468/CO2006-1468.pdf', NULL, NULL),
(1584, 'CO2006-1469', 1, NULL, NULL, NULL, 12667, NULL, '2020-08-28 08:57:27', '2020-06-02 09:57:23', '2020-06-02 09:57:28', '2020-07-01 10:56:01', '2020-06-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 103.68000000, 0.00000000, 0.00000000, 518.44000000, 622.12000000, '', 'GX7', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 518.44000000, 103.68000000, 622.12000000, 'commande/CO2006-1469/CO2006-1469.pdf', NULL, NULL),
(1585, 'CO2006-1470', 1, NULL, NULL, NULL, 12924, NULL, '2020-07-01 08:29:35', '2020-06-02 10:01:24', '2020-06-02 10:03:35', '2020-07-01 10:28:40', '2020-06-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 152.31000000, 0.00000000, 0.00000000, 761.53000000, 913.84000000, '', 'contrat liss&eacute; rsdk pro7.5', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 761.53000000, 152.31000000, 913.84000000, 'commande/CO2006-1470/CO2006-1470.pdf', NULL, NULL),
(1586, 'CO2006-1471', 1, NULL, NULL, NULL, 13094, NULL, '2020-06-02 08:16:30', '2020-06-02 10:13:37', '2020-06-02 10:15:35', '2020-06-02 10:15:42', '2020-06-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 23.11000000, 0.00000000, 0.00000000, 420.00000000, 443.11000000, '', '', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 420.00000000, 23.11000000, 443.11000000, 'commande/CO2006-1471/CO2006-1471.pdf', NULL, NULL),
(1587, 'CO2006-1472', 1, NULL, NULL, NULL, 2062, NULL, '2020-06-26 08:49:48', '2020-06-02 11:05:17', '2020-06-02 11:05:24', '2020-06-26 10:49:38', '2020-06-02', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 94.21000000, 0.00000000, 0.00000000, 471.05000000, 565.26000000, '', 'Remplacement purge tempo par purge capacitive plus silencieuse sur secheur BATIMENT 2 - <br />\r\n<br />\r\nCommande N° 00027516', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 471.05000000, 94.21000000, 565.26000000, 'commande/CO2006-1472/CO2006-1472.pdf', NULL, NULL),
(1588, 'CO2006-1473', 1, NULL, NULL, NULL, 13091, NULL, '2020-08-12 13:29:42', '2020-06-02 11:53:49', '2020-06-24 14:58:20', '2020-08-12 15:29:42', '2020-06-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1661.15000000, 0.00000000, 0.00000000, 8305.55000000, 9966.70000000, '', 'Local air comprim&eacute;', '', 0, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 8305.55000000, 1661.15000000, 9966.70000000, 'commande/CO2006-1473/CO2006-1473.pdf', NULL, NULL),
(1589, 'CO2006-1474', 1, NULL, NULL, NULL, 2043, NULL, '2020-08-28 08:57:31', '2020-06-02 14:15:00', '2020-06-02 14:15:44', '2020-06-02 14:16:04', '2020-06-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 148.53000000, 0.00000000, 0.00000000, 742.67000000, 891.20000000, '', 'Maintenance compresseur Start036<br />\r\nremplacement AU cass&eacute;<br />\r\nremplacement cartouche BEA290RB', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 742.67000000, 148.53000000, 891.20000000, 'commande/CO2006-1474/CO2006-1474.pdf', NULL, NULL),
(1590, 'CO2006-1475', 1, NULL, NULL, NULL, 2406, NULL, '2020-06-04 09:13:02', '2020-06-02 15:11:51', '2020-06-04 11:12:32', '2020-06-04 11:12:42', '2020-06-02', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 112.60000000, 0.00000000, 0.00000000, 562.98000000, 675.58000000, '', 'mAINTENANCE COMPRESSEUR l18 N° CD10009710001 à 22358 HRS<br />\r\n<br />\r\nBL N°23 du 03/06/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 562.98000000, 112.60000000, 675.58000000, 'commande/CO2006-1475/CO2006-1475.pdf', NULL, NULL),
(1591, 'CO2006-1532', 1, NULL, NULL, NULL, 2076, NULL, '2020-06-29 07:33:35', '2020-06-02 15:24:53', '2020-06-29 09:32:59', '2020-06-29 09:33:22', '2020-06-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 45.27000000, 0.00000000, 0.00000000, 226.32000000, 271.59000000, '', 'r&eacute;parartion provisoire tuyau girair diam 25 sur une descente<br />\r\nChangement poussoir sonnette livraison<br />\r\n<br />\r\nBL N&deg;45 du 06/05/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 226.32000000, 45.27000000, 271.59000000, 'commande/CO2006-1532/CO2006-1532.pdf', NULL, NULL),
(1592, 'CO2006-1476', 1, NULL, NULL, NULL, 2204, NULL, '2020-08-28 08:57:36', '2020-06-03 08:35:33', '2020-06-03 08:36:55', '2020-06-30 11:25:27', '2020-06-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 299.47000000, 0.00000000, 0.00000000, 1497.35000000, 1796.82000000, '', 'Contrat Lissé L22 N°CD10029439002 à  HRS+ owamat11 + filtres reseaux ( RA,RB et CA ) ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1497.35000000, 299.47000000, 1796.82000000, 'commande/CO2006-1476/CO2006-1476.pdf', NULL, NULL),
(1593, 'CO2006-1477', 1, NULL, NULL, NULL, 2215, NULL, '2020-08-28 08:57:40', '2020-06-03 09:59:53', '2020-06-03 10:01:02', '2020-06-03 10:04:41', '2020-06-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 199.18000000, 0.00000000, 0.00000000, 995.93000000, 1195.11000000, '', 'Maintenance L11RS  N°cd10001552001 à 27917 HRS<br />\r\nRemplacement cartouche reseau <br />\r\nMaintenance Separateur de condensats OWAMAT10<br />\r\n<br />\r\nBL 49 du 07/02/2020', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 995.93000000, 199.18000000, 1195.11000000, 'commande/CO2006-1477/CO2006-1477.pdf', NULL, NULL),
(1594, 'CO2006-1478', 1, NULL, NULL, NULL, 11209, NULL, '2020-06-03 12:04:30', '2020-06-03 14:01:15', '2020-06-03 14:04:09', '2020-06-03 14:04:14', '2020-06-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 56.15000000, 0.00000000, 0.00000000, 280.76000000, 336.91000000, '', 'intervention sur secheur KAESER ann&eacute;e 2011 - D&eacute;faut s&eacute;curit&eacute;<br />\r\n<br />\r\nBL N&deg;37 du 27/05/2020', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 280.76000000, 56.15000000, 336.91000000, 'commande/CO2006-1478/CO2006-1478.pdf', NULL, NULL),
(1595, 'CO2006-1479', 1, NULL, NULL, NULL, 2407, NULL, '2020-12-01 08:09:02', '2020-06-03 14:49:49', '2020-06-03 14:49:59', '2020-06-03 14:53:33', '2020-06-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 59.80000000, 0.00000000, 0.00000000, 299.00000000, 358.80000000, '', 'Huile livr&eacute; sur site crouzet &agrave; la demande de Mondher', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 299.00000000, 59.80000000, 358.80000000, 'commande/CO2006-1479/CO2006-1479.pdf', NULL, NULL),
(1596, 'CO2006-1481', 1, NULL, NULL, NULL, 13004, NULL, '2020-06-30 09:43:38', '2020-06-04 09:38:22', '2020-06-04 15:33:15', '2020-06-30 11:43:21', '2020-06-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 347.00000000, 0.00000000, 0.00000000, 1735.00000000, 2082.00000000, '', 'Compresseur à piston COMPAIR CLC507NTP-BD<br />\r\nDebit 43 m3/h<br />\r\nPuissance 5.5 KW<br />\r\nPression 10 Bar<br />\r\nRéservoir 500 Litres<br />\r\nDémarrage direct', '', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1735.00000000, 347.00000000, 2082.00000000, 'commande/CO2006-1481/CO2006-1481.pdf', NULL, NULL),
(1597, 'CO2006-1480', 1, NULL, NULL, NULL, 2318, NULL, '2020-09-29 08:26:38', '2020-06-04 11:26:18', '2020-09-28 15:09:55', '2020-09-28 15:15:34', '2020-06-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 604.59000000, 0.00000000, 0.00000000, 3022.91000000, 3627.60000000, '', 'Maintenance L45 + L15+ secheurpar adsotpion HL0080', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3022.91000000, 604.57000000, 3627.48000000, 'commande/CO2006-1480/CO2006-1480.pdf', NULL, NULL),
(1599, 'CO2006-1482', 1, NULL, NULL, NULL, 13092, NULL, '2020-07-06 13:53:16', '2020-06-05 09:11:10', '2020-06-05 09:12:31', '2020-07-06 15:52:45', '2020-06-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 173.10000000, 0.00000000, 0.00000000, 865.50000000, 1038.60000000, '', 'Maintenance compresseur HV07ACE10-4035S400 N&deg;V07-00425-1002', '', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 865.50000000, 173.10000000, 1038.60000000, 'commande/CO2006-1482/CO2006-1482.pdf', NULL, NULL),
(1600, 'CO2006-1483', 1, NULL, NULL, 'nuair remisé', 12666, NULL, '2020-06-26 14:07:34', '2020-06-08 10:50:00', '2020-06-08 10:51:27', '2020-06-26 16:06:24', '2020-06-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 860.00000000, 0.00000000, 0.00000000, 4300.00000000, 5160.00000000, '', 'Compresseur &agrave; piston et reservoir 500Litres', '', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4300.00000000, 860.00000000, 5160.00000000, 'commande/CO2006-1483/CO2006-1483.pdf', NULL, NULL),
(1601, 'CO2006-1484', 1, NULL, NULL, NULL, 2062, NULL, '2020-06-26 08:53:05', '2020-06-08 11:45:14', '2020-06-08 11:45:18', '2020-06-26 10:52:09', '2020-06-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 94.21000000, 0.00000000, 0.00000000, 471.05000000, 565.26000000, '', 'Remplacement purge tempo par purge capacitive plus silencieuse sur secheur BATIMENT 2', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 471.05000000, 94.21000000, 565.26000000, 'commande/CO2006-1484/CO2006-1484.pdf', NULL, NULL),
(1603, 'CO2006-1486', 1, NULL, NULL, NULL, 12890, NULL, '2020-07-02 09:19:10', '2020-06-09 10:06:46', '2020-07-02 11:18:19', '2020-07-02 11:18:40', '2020-06-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 205.40000000, 0.00000000, 0.00000000, 1027.00000000, 1232.40000000, '', 'Maintenance L29RS et owamat 12 - CONTRAT LISSE', 'einstein', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1027.00000000, 205.40000000, 1232.40000000, 'commande/CO2006-1486/CO2006-1486.pdf', NULL, NULL),
(1604, 'CO2006-1487', 1, NULL, NULL, 'l26rs+WS3008V', 2054, NULL, '2020-07-01 07:17:52', '2020-06-09 10:44:36', '2020-06-26 11:49:56', '2020-07-01 09:17:05', '2020-06-09', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 552.37000000, 0.00000000, 0.00000000, 2761.86000000, 3314.23000000, '', 'Site beaurepaire <br />\r\nSces blé 2 - calibrage <br />\r\nchemin du pouloux<br />\r\n38270 BEAUREPAIRE<br />\r\n<br />\r\nMaintenances 2 compresseurs :<br />\r\nWS3008V  à 33791 HRS BL N°40 du 18/06/2020<br />\r\n<br />\r\net<br />\r\n<br />\r\nL26RS à 5777HRS BL N°39 du 18/06/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2761.86000000, 552.37000000, 3314.23000000, 'commande/CO2006-1487/CO2006-1487.pdf', NULL, NULL),
(1605, 'CO2006-1488', 1, NULL, NULL, NULL, 2054, NULL, '2020-08-28 08:44:03', '2020-06-09 11:44:30', '2020-06-09 11:50:27', '2020-08-28 10:44:03', '2020-06-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 388.41000000, 0.00000000, 0.00000000, 1942.08000000, 2330.49000000, '', 'Maintenance kaeser&nbsp;<br />\r\nSIte la cote SIlo<br />\r\nChemin de la voie feree<br />\r\n38260 LA COTE ST ANDRE', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1942.08000000, 388.41000000, 2330.49000000, 'commande/CO2006-1488/CO2006-1488.pdf', NULL, NULL),
(1606, 'CO2006-1489', 1, NULL, NULL, 'WS1508+BEL AIR', 2054, NULL, '2020-08-28 08:44:17', '2020-06-09 11:57:29', '2020-06-09 14:23:18', '2020-08-28 10:44:17', '2020-06-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 310.10000000, 0.00000000, 0.00000000, 1550.56000000, 1860.66000000, '', 'maintenance ws1508&nbsp;<br />\r\n<br />\r\nSITE LA COTE SILO 1<br />\r\nCHemin de la voie f&eacute;r&eacute;e<br />\r\n38260 LA COTE ST ANDRE', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1550.56000000, 310.10000000, 1860.66000000, 'commande/CO2006-1489/CO2006-1489.pdf', NULL, NULL),
(1607, 'CO2006-1490', 1, NULL, NULL, 'l11', 2054, NULL, '2020-08-28 08:58:17', '2020-06-09 14:24:37', '2020-06-09 14:26:15', '2020-08-28 10:45:09', '2020-06-09', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 130.50000000, 0.00000000, 0.00000000, 652.50000000, 783.00000000, '', 'maintenance L11<br />\r\n<br />\r\nCommande : S882 20 06 3441PM<br />\r\n<br />\r\nSce cesec<br />\r\nle rival<br />\r\n38260 la cote saint andre', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 652.50000000, 130.50000000, 783.00000000, 'commande/CO2006-1490/CO2006-1490.pdf', NULL, NULL),
(1608, 'CO2006-1491', 1, NULL, NULL, NULL, 2070, NULL, '2020-06-26 09:18:50', '2020-06-09 14:43:29', '2020-06-26 11:01:18', '2020-06-26 11:03:48', '2020-06-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 146.49000000, 0.00000000, 0.00000000, 732.44000000, 878.93000000, '', 'maintenance L11&nbsp;<br />\r\nmaintenance separateur de condensats owamat 10', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 732.44000000, 146.49000000, 878.93000000, 'commande/CO2006-1491/CO2006-1491.pdf', NULL, NULL),
(1609, 'CO2006-1492', 1, NULL, NULL, NULL, 2086, NULL, '2020-08-05 14:17:02', '2020-06-09 14:50:09', '2020-06-09 14:52:37', '2020-08-05 16:12:59', '2020-06-09', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 123.26000000, 0.00000000, 0.00000000, 616.31000000, 739.57000000, '', 'Maintenance compresseur L11RS N° BA31759001 à  HRS<br />\r\n<br />\r\nMaintenance seprateur de condensats OWAMAT 10<br />\r\n<br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 616.31000000, 123.26000000, 739.57000000, 'commande/CO2006-1492/CO2006-1492.pdf', NULL, NULL),
(1610, 'CO2006-1493', 1, NULL, NULL, NULL, 2101, NULL, '2020-08-12 13:41:25', '2020-06-09 15:08:25', '2020-06-29 11:01:52', '2020-08-12 15:41:25', '2020-06-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 88.15000000, 0.00000000, 0.00000000, 440.75000000, 528.90000000, '', 'maintenance RSDK PRO ECN 7.5 10BARS N°640020 ', 'einstein', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 440.75000000, 88.15000000, 528.90000000, 'commande/CO2006-1493/CO2006-1493.pdf', NULL, NULL),
(1611, 'CO2006-1494', 1, NULL, NULL, NULL, 2178, NULL, '2020-08-28 08:58:21', '2020-06-09 15:32:59', '2020-06-09 15:36:02', '2020-06-30 09:48:39', '2020-06-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 502.49000000, 0.00000000, 0.00000000, 2512.43000000, 3014.92000000, '', 'Maintenance L55 N° CD10008941001 à  HRS +  maintenance separateur de condensats<br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2512.43000000, 502.49000000, 3014.92000000, 'commande/CO2006-1494/CO2006-1494.pdf', NULL, NULL),
(1612, 'CO2006-1495', 1, NULL, NULL, NULL, 2341, NULL, '2020-06-30 14:05:23', '2020-06-10 10:43:03', '2020-06-10 10:43:51', '2020-06-30 16:03:19', '2020-06-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 103.35000000, 0.00000000, 0.00000000, 516.74000000, 620.09000000, '', 'L11<br />\r\nseparateur de condensats', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 516.74000000, 103.35000000, 620.09000000, 'commande/CO2006-1495/CO2006-1495.pdf', NULL, NULL),
(1613, 'CO2006-1496', 1, NULL, NULL, NULL, 2001, NULL, '2020-06-26 07:47:58', '2020-06-10 11:09:59', '2020-06-10 11:10:04', '2020-06-26 09:47:44', '2020-06-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 56.00000000, 0.00000000, 0.00000000, 280.00000000, 336.00000000, '', 'D&eacute;lai : DISPONIBLE USINE', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 280.00000000, 56.00000000, 336.00000000, 'commande/CO2006-1496/CO2006-1496.pdf', NULL, NULL),
(1614, 'CO2006-1497', 1, NULL, NULL, NULL, 2260, NULL, '2020-12-02 13:24:26', '2020-06-10 14:47:01', '2020-06-10 14:47:26', '2020-12-02 14:24:26', '2020-06-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 129.97000000, 0.00000000, 0.00000000, 649.86000000, 779.83000000, '', 'Pieces detach&eacute;es pour maintenance de vos compresseurs :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 649.86000000, 129.97000000, 779.83000000, 'commande/CO2006-1497/CO2006-1497.pdf', NULL, NULL),
(1615, 'CO2006-1498', 1, NULL, NULL, NULL, 2263, NULL, '2020-08-06 08:28:38', '2020-06-10 15:16:22', '2020-08-06 10:15:45', '2020-08-06 10:16:09', '2020-06-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 219.78000000, 0.00000000, 0.00000000, 1098.88000000, 1318.66000000, '', 'Maintenance L11 :', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1098.88000000, 219.78000000, 1318.66000000, 'commande/CO2006-1498/CO2006-1498.pdf', NULL, NULL),
(1617, 'CO2006-1499', 1, NULL, NULL, NULL, 2284, NULL, '2020-08-04 12:38:08', '2020-06-10 16:35:13', '2020-08-04 14:29:48', '2020-08-04 14:30:26', '2020-06-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 130.89000000, 0.00000000, 0.00000000, 654.41000000, 785.30000000, '', 'Maintenance l18RS N° CD10009205002 à <br />\r\nRemplacement cartouche filtres reseau<br />\r\net Maintenance separateur de condensats<br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 654.41000000, 130.89000000, 785.30000000, 'commande/CO2006-1499/CO2006-1499.pdf', NULL, NULL),
(1619, 'CO2006-1500', 1, NULL, NULL, NULL, 2124, NULL, '2020-07-03 13:02:48', '2020-06-11 10:17:53', '2020-07-03 14:47:22', '2020-07-03 15:00:34', '2020-06-11', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 176.03000000, 0.00000000, 0.00000000, 880.18000000, 1056.21000000, '', 'maintenance L11<br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 880.18000000, 176.03000000, 1056.21000000, 'commande/CO2006-1500/CO2006-1500.pdf', NULL, NULL),
(1620, 'CO2006-1501', 1, NULL, NULL, NULL, 2347, NULL, '2020-09-10 07:04:15', '2020-06-11 11:30:45', '2020-06-11 11:31:07', '2020-09-10 09:04:15', '2020-06-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 102.68000000, 0.00000000, 0.00000000, 513.40000000, 616.08000000, '', 'maintenance L15RS N&deg;CD10021874001 - 8000 HRS', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 513.40000000, 102.68000000, 616.08000000, 'commande/CO2006-1501/CO2006-1501.pdf', NULL, NULL),
(1621, 'CO2006-1502', 1, NULL, NULL, NULL, 2029, NULL, '2020-08-28 08:58:26', '2020-06-11 11:44:58', '2020-06-11 11:48:32', '2020-07-29 15:22:13', '2020-06-11', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 240.69000000, 0.00000000, 0.00000000, 1203.41000000, 1444.10000000, '', 'maintenance L11 à ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1203.41000000, 240.69000000, 1444.10000000, 'commande/CO2006-1502/CO2006-1502.pdf', NULL, NULL),
(1622, 'CO2006-1503', 1, NULL, NULL, NULL, 1996, NULL, '2020-06-25 07:34:24', '2020-06-11 14:22:35', '2020-06-11 14:22:51', '2020-06-25 09:33:55', '2020-06-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 63.39000000, 0.00000000, 0.00000000, 317.01000000, 380.40000000, '', 'Remplacement cartouches filtres reseaux su sécheur f040 COMPAIR du compresseur L18 a réaliser en meme temps qu une maintenance', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 317.01000000, 63.39000000, 380.40000000, 'commande/CO2006-1503/CO2006-1503.pdf', NULL, NULL),
(1623, 'CO2006-1504', 1, NULL, NULL, NULL, 2396, NULL, '2020-10-12 14:39:59', '2020-06-12 10:34:55', '2020-06-12 10:47:42', '2020-10-12 16:39:59', '2020-06-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 28.90000000, 0.00000000, 0.00000000, 144.48000000, 173.38000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 144.48000000, 28.90000000, 173.38000000, 'commande/CO2006-1504/CO2006-1504.pdf', NULL, NULL),
(1624, 'CO2006-1505', 1, NULL, NULL, NULL, 5767, NULL, '2020-07-17 09:09:14', '2020-06-15 08:52:27', '2020-06-15 08:53:07', '2020-07-07 09:39:16', '2020-06-15', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1199.99000000, 0.00000000, 0.00000000, 6000.00000000, 7199.99000000, '', 'Centrale d&#39;air comprim&eacute; 5.5 kw 10 bars mont&eacute; sur cuve 270Litres avec pr&eacute; filtration et secheur', '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 6000.00000000, 1199.99000000, 7199.99000000, 'commande/CO2006-1505/CO2006-1505.pdf', NULL, NULL),
(1625, 'CO2006-1506', 1, NULL, NULL, NULL, 2358, NULL, '2020-08-12 09:55:14', '2020-06-15 11:40:45', '2020-08-12 11:22:23', '2020-08-12 11:40:09', '2020-06-15', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 347.12000000, 0.00000000, 0.00000000, 1735.66000000, 2082.78000000, '', 'Maintenance GA90VSD N° AII495069 à <br />\r\nRemplacement cartouche filtre reseau<br />\r\nMaintenance GA30 N°ABP716976 à <br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1735.66000000, 347.12000000, 2082.78000000, 'commande/CO2006-1506/CO2006-1506.pdf', NULL, NULL),
(1626, 'CO2006-1507', 1, NULL, NULL, NULL, 2062, NULL, '2020-06-26 12:37:34', '2020-06-15 15:16:53', '2020-06-15 15:20:45', '2020-06-26 14:26:11', '2020-06-15', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 598.63000000, 0.00000000, 0.00000000, 2993.21000000, 3591.84000000, '', 'maintenance de compresseur L26RS <br />\r\nBatiment 1 ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2993.21000000, 598.63000000, 3591.84000000, 'commande/CO2006-1507/CO2006-1507.pdf', NULL, NULL),
(1627, 'CO2006-1508', 1, NULL, NULL, NULL, 2141, NULL, '2020-06-30 09:31:28', '2020-06-16 08:37:26', '2020-06-30 11:29:54', '2020-06-30 11:30:16', '2020-06-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 134.50000000, 0.00000000, 0.00000000, 672.53000000, 807.03000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 672.53000000, 134.50000000, 807.03000000, 'commande/CO2006-1508/CO2006-1508.pdf', NULL, NULL),
(1628, 'CO2006-1509', 1, NULL, NULL, NULL, 2381, NULL, '2020-07-06 14:06:23', '2020-06-16 10:57:31', '2020-06-16 11:08:08', '2020-07-06 15:58:06', '2020-06-16', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 228.15000000, 0.00000000, 0.00000000, 1140.80000000, 1368.95000000, '', 'Maintenance 2 compresseurs <br />\r\nKA10 à <br />\r\nGA11C <br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1140.80000000, 228.15000000, 1368.95000000, 'commande/CO2006-1509/CO2006-1509.pdf', NULL, NULL),
(1630, 'CO2006-1510', 1, NULL, NULL, NULL, 2352, NULL, '2020-08-03 08:08:27', '2020-06-17 16:34:28', '2020-06-17 16:34:54', '2020-07-29 15:20:44', '2020-06-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 214.45000000, 0.00000000, 0.00000000, 1072.25000000, 1286.70000000, '', 'Maintenance L37RS et filtres reseaux suivant contrat de maintenance', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1072.25000000, 214.45000000, 1286.70000000, 'commande/CO2006-1510/CO2006-1510.pdf', NULL, NULL),
(1631, 'CO2006-1511', 1, NULL, NULL, NULL, 11435, NULL, '2020-08-03 07:21:21', '2020-06-18 09:00:25', '2020-06-18 09:00:53', '2020-07-28 14:55:22', '2020-06-18', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 630.98000000, 0.00000000, 0.00000000, 3154.90000000, 3785.88000000, '', 'Maintenance compresseur L30RS et accessoires suivant contrat de maintenance de 2013', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3154.90000000, 630.98000000, 3785.88000000, 'commande/CO2006-1511/CO2006-1511.pdf', NULL, NULL),
(1632, 'CO2006-1512', 1, NULL, NULL, NULL, 1981, NULL, '2020-08-03 07:51:56', '2020-06-18 09:06:57', '2020-06-18 09:07:10', '2020-07-29 15:00:48', '2020-06-18', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 118.93000000, 0.00000000, 0.00000000, 594.61000000, 713.54000000, '', 'Maintenance compresseur RS PRO 7.5 N°612032 suivant contrat de maintenance', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 594.61000000, 118.93000000, 713.54000000, 'commande/CO2006-1512/CO2006-1512.pdf', NULL, NULL),
(1633, 'CO2006-1513', 1, NULL, NULL, NULL, 2055, NULL, '2020-07-02 08:36:20', '2020-06-18 09:53:23', '2020-07-02 10:34:08', '2020-07-02 10:35:38', '2020-06-18', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 178.20000000, 0.00000000, 0.00000000, 891.00000000, 1069.20000000, '', 'Maintenance compresseur L18 - en piéces adaptables ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 891.00000000, 178.20000000, 1069.20000000, 'commande/CO2006-1513/CO2006-1513.pdf', NULL, NULL),
(1634, 'CO2006-1514', 1, NULL, NULL, NULL, 2062, NULL, '2020-08-28 09:00:55', '2020-06-18 11:19:27', '2020-06-18 11:25:43', NULL, '2020-06-18', 5, 5, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 1030.07000000, 0.00000000, 0.00000000, 5150.34000000, 6180.41000000, '', 'Maintenances 2 compresseurs L26RS et du compresseurs MACO SULLAIR et differents filtres réseaux , et separateurs de condensats: <br />\r\nL26RS N° CD10015212001 <br />\r\nL26RS N° CD10021087002 <br />\r\nSULLAIR<br />\r\n<br />\r\nSUIVANT CONTRAT<br />\r\n<br />\r\n ', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5150.34000000, 1030.07000000, 6180.41000000, 'commande/CO2006-1514/CO2006-1514.pdf', NULL, NULL),
(1635, 'CO2006-1515', 1, NULL, NULL, NULL, 2128, NULL, '2020-07-02 13:35:45', '2020-06-18 14:53:56', '2020-07-02 15:31:55', '2020-07-02 15:32:19', '2020-06-18', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 245.86000000, 0.00000000, 0.00000000, 1229.26000000, 1475.12000000, '', 'Maintenance compresseur L11RS N° BA4491101  sous contrat lissé<br />\r\net remplacement kit separateur de condensats<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1229.26000000, 245.86000000, 1475.12000000, 'commande/CO2006-1515/CO2006-1515.pdf', NULL, NULL),
(1636, 'CO2006-1516', 1, NULL, NULL, NULL, 2136, NULL, '2020-08-03 12:48:16', '2020-06-18 15:47:16', '2020-07-30 10:29:43', '2020-07-30 10:30:13', '2020-06-18', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 139.50000000, 0.00000000, 0.00000000, 697.58000000, 837.08000000, '', 'Maintenance rsdk pro 5.5 N&deg;639018', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 697.58000000, 139.50000000, 837.08000000, 'commande/CO2006-1516/CO2006-1516.pdf', NULL, NULL),
(1637, 'CO2006-1517', 1, NULL, NULL, NULL, 2247, NULL, '2020-08-04 08:07:20', '2020-06-19 10:08:31', '2020-06-19 10:08:40', '2020-08-04 10:05:29', '2020-06-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 329.77000000, 0.00000000, 0.00000000, 1648.90000000, 1978.67000000, '', 'maintenance L18rs N° CD100018442001 , filtres reseaux et separateur de condensats OWAMAT 11<br />\r\nSuivant contrat de 2015', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1648.90000000, 329.77000000, 1978.67000000, 'commande/CO2006-1517/CO2006-1517.pdf', NULL, NULL),
(1638, 'CO2006-1518', 1, NULL, NULL, NULL, 2075, NULL, '2020-06-26 13:33:30', '2020-06-19 10:35:17', '2020-06-19 10:35:25', '2020-06-26 15:32:27', '2020-06-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 250.50000000, 0.00000000, 0.00000000, 1252.50000000, 1503.00000000, '', 'Fourniture et installation d\'un sécheur 108m3/h pour votre compresseur L07 COMPAIR .<br />\r\n<br />\r\nDélai DISPONIBLE FOURNISSEUR Livraison 5 jours ouvrés', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1252.50000000, 250.50000000, 1503.00000000, 'commande/CO2006-1518/CO2006-1518.pdf', NULL, NULL),
(1639, 'CO2006-1519', 1, NULL, NULL, NULL, 2004, NULL, '2020-08-03 07:42:20', '2020-06-22 14:43:11', '2020-06-22 16:00:43', '2020-08-03 09:41:25', '2020-06-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 175.20000000, 0.00000000, 0.00000000, 875.97000000, 1051.17000000, '', 'Maintenance SCROLL Compresseur SLi 3.7KW N°5260008', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 875.97000000, 175.20000000, 1051.17000000, 'commande/CO2006-1519/CO2006-1519.pdf', NULL, NULL),
(1640, 'CO2006-1520', 1, NULL, NULL, NULL, 2239, NULL, '2020-08-03 13:16:41', '2020-06-22 16:05:39', '2020-06-22 16:05:45', '2020-07-30 10:34:04', '2020-06-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 205.68000000, 0.00000000, 0.00000000, 1028.37000000, 1234.05000000, '', 'Maintenance COmpresseur LUCHARD COMPAIR 6020ELX07BE  et filtres reseaux<br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1028.37000000, 205.68000000, 1234.05000000, 'commande/CO2006-1520/CO2006-1520.pdf', NULL, NULL),
(1641, 'CO2006-1521', 1, NULL, NULL, NULL, 1988, NULL, '2020-08-28 09:01:21', '2020-06-22 17:11:58', '2020-07-28 15:22:29', '2020-07-29 14:54:17', '2020-06-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 801.90000000, 0.00000000, 0.00000000, 4009.51000000, 4811.41000000, '', 'Maintenance L55RS SUivant contrat de maintenance', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4009.51000000, 801.90000000, 4811.41000000, 'commande/CO2006-1521/CO2006-1521.pdf', NULL, NULL),
(1642, 'CO2006-1522', 1, NULL, NULL, NULL, 10268, NULL, '2020-08-04 12:56:46', '2020-06-23 09:00:26', '2020-08-04 14:54:07', '2020-08-04 14:55:38', '2020-06-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 99.64000000, 0.00000000, 0.00000000, 498.20000000, 597.84000000, '', 'Maintenance compresseur GA7 N°AII124221 de 1999<br />\r\n<br />\r\n \r\n<p>- Contrôles et vérifications préconisés par le constructeur<br />\r\n- Vérification sécheur et purge<br />\r\n- Tous contrôles électriques ( contacteurs , tous organes électriques identifiés lors de la maintenance ) par nos électriciens dans le local technique<br />\r\n- Hors autres pièces défectueuses pouvant être trouvées<br />\r\n-<u> Garantie 6 mois sur pièces filtration et maintenance</u> effectuée<br />\r\n- <u>Prêt GRATUIT </u>d\'un compresseur de 0 à 100 CV dans la jounée<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', '', 1, NULL, NULL, 2, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 498.20000000, 99.64000000, 597.84000000, 'commande/CO2006-1522/CO2006-1522.pdf', NULL, NULL),
(1643, 'CO2006-1523', 1, NULL, NULL, NULL, 2054, NULL, '2020-07-24 07:14:06', '2020-06-23 14:35:23', '2020-06-23 14:35:29', '2020-07-24 09:14:06', '2020-06-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1042.20000000, 0.00000000, 0.00000000, 5211.00000000, 6253.20000000, '', 'Suite au diagnostic de Mr BALAZARD et informations recueillies sur place .<br />\r\nCompte tenu de l&#39;obsolescence des deux mat&eacute;riels , nous vous proposons le remplacement des deux s&eacute;cheurs 360m3/h chacun .<br />\r\nPour materiel pos&eacute;s et raccord&eacute;s en m&ecirc;me temps .<br />\r\nLe d&eacute;bit a &eacute;t&eacute; r&eacute;&eacute;valu&eacute; pour tenir compte des facteurs de correction .<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE USINE', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5211.00000000, 1042.20000000, 6253.20000000, 'commande/CO2006-1523/CO2006-1523.pdf', NULL, NULL),
(1644, 'CO2006-1524', 1, NULL, NULL, 'BC N° 7813', 2354, NULL, '2020-08-04 13:18:40', '2020-06-23 16:37:35', '2020-06-23 16:37:44', '2020-08-04 15:14:13', '2020-06-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 219.25000000, 0.00000000, 0.00000000, 1096.26000000, 1315.51000000, '', 'maintenance L15 & filtres reseaux & separateur de condensats en adaptable', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1096.26000000, 219.25000000, 1315.51000000, 'commande/CO2006-1524/CO2006-1524.pdf', NULL, NULL),
(1645, 'CO2006-1525', 1, NULL, NULL, NULL, 13089, NULL, '2020-07-21 09:26:48', '2020-06-23 16:44:20', '2020-06-25 09:24:08', '2020-07-21 11:26:48', '2020-06-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 600.00000000, 0.00000000, 0.00000000, 3000.00000000, 3600.00000000, '', 'Reseau air comprimé 50 m Ø28 + 5 descentes Ø22 inox serti. 2 jours de travail a deux environ', '', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3000.00000000, 600.00000000, 3600.00000000, 'commande/CO2006-1525/CO2006-1525.pdf', NULL, NULL),
(1646, 'CO2006-1526', 1, NULL, NULL, NULL, 12877, NULL, '2020-08-04 13:52:01', '2020-06-24 10:55:45', '2020-06-24 10:55:53', '2020-08-04 15:51:14', '2020-06-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 134.68000000, 0.00000000, 0.00000000, 673.35000000, 808.03000000, '', 'Maintenance compresseur rs pro 11 N° 913099 de 2019 suivant contrat lissé N°2019080201 de 2019', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 673.35000000, 134.68000000, 808.03000000, 'commande/CO2006-1526/CO2006-1526.pdf', NULL, NULL),
(1647, 'CO2006-1527', 1, NULL, NULL, NULL, 12877, NULL, '2020-08-04 14:16:44', '2020-06-24 10:59:09', '2020-06-24 11:00:53', '2020-08-04 16:08:34', '2020-06-24', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 134.68000000, 0.00000000, 0.00000000, 673.35000000, 808.03000000, '', 'Maintenance compresseur rs pro 11 N° 930064 de 2019 suivant contrat lissé N°201910041519 de 2019', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 673.35000000, 134.68000000, 808.03000000, 'commande/CO2006-1527/CO2006-1527.pdf', NULL, NULL),
(1648, 'CO2006-1528', 1, NULL, NULL, NULL, 2103, NULL, '2020-08-19 12:50:24', '2020-06-25 08:44:51', '2020-06-25 08:44:59', '2020-08-19 14:48:59', '2020-06-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1626.00000000, 0.00000000, 0.00000000, 8130.00000000, 9756.00000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 8130.00000000, 1626.00000000, 9756.00000000, 'commande/CO2006-1528/CO2006-1528.pdf', NULL, NULL),
(1649, 'CO2006-1529', 1, NULL, NULL, NULL, 5741, NULL, '2020-06-25 07:30:17', '2020-06-25 09:27:33', '2020-06-25 09:27:40', '2020-06-25 09:28:03', '2020-06-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 249.89000000, 0.00000000, 0.00000000, 1249.42000000, 1499.31000000, '', 'Remplacement electrovanne sur Rallye 086 N&deg;349010/1092 &agrave; 61385 HRS', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1249.42000000, 249.89000000, 1499.31000000, 'commande/CO2006-1529/CO2006-1529.pdf', NULL, NULL),
(1650, 'CO2006-1530', 1, NULL, NULL, NULL, 1996, NULL, '2020-08-28 09:01:26', '2020-06-25 15:34:45', '2020-06-25 15:56:53', '2020-06-25 15:58:58', '2020-06-25', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 162.78000000, 0.00000000, 0.00000000, 813.90000000, 976.68000000, '', 'Maintenance L18 à 31600 HRS<br />\r\n<br />\r\nBL N°35 du 16/06/2020<br />\r\n<br />\r\nFiltres fournis par vos soins', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, 2, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 813.90000000, 162.78000000, 976.68000000, 'commande/CO2006-1530/CO2006-1530.pdf', NULL, NULL),
(1651, 'CO2006-1531', 1, NULL, NULL, NULL, 2076, NULL, '2020-06-29 07:25:03', '2020-06-29 08:51:08', '2020-06-29 08:59:47', '2020-06-29 09:02:11', '2020-06-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 2708.67000000, 0.00000000, 0.00000000, 13543.34000000, 16252.01000000, '', 'Agrandissement batiment a Romans<br />\r\n-Partie electrique + Air comprim&eacute;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 13543.34000000, 2708.67000000, 16252.01000000, 'commande/CO2006-1531/CO2006-1531.pdf', NULL, NULL),
(1652, 'CO2006-1533', 1, NULL, NULL, NULL, 2122, NULL, '2020-06-29 12:27:12', '2020-06-29 14:26:30', '2020-06-29 14:26:39', '2020-06-29 14:27:02', '2020-06-29', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 82.85000000, 0.00000000, 0.00000000, 414.24000000, 497.09000000, '', ' la vanne bronze de la seconde bouteille et deux tubes plongeurs avec crepine eau chaude<br />\r\n<br />\r\nCommande N°42434', '', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 414.24000000, 82.85000000, 497.09000000, 'commande/CO2006-1533/CO2006-1533.pdf', NULL, NULL),
(1653, 'CO2006-1534', 1, NULL, NULL, NULL, 1965, NULL, '2020-07-17 08:58:49', '2020-06-29 16:12:13', '2020-06-29 16:12:33', '2020-07-17 10:58:22', '2020-06-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 300.00000000, 0.00000000, 0.00000000, 1500.00000000, 1800.00000000, '', 'Remplacement de votre s&eacute;cheur FRIULAIR par un s&eacute;cheur par r&eacute;frigeration neuf pouvant traiter un d&eacute;bit de 166m3/h raccordement en souple .<br />\r\nSuite au constat de d&eacute;faillance de votre s&eacute;cheur par Mr Balazard, unit&eacute; herm&eacute;tique obsolete comme vu avec Mr DA COSTA .', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1500.00000000, 300.00000000, 1800.00000000, 'commande/CO2006-1534/CO2006-1534.pdf', NULL, NULL),
(1654, 'CO2006-1535', 1, NULL, NULL, NULL, 2379, NULL, '2020-08-12 12:31:07', '2020-06-30 08:46:25', '2020-08-12 14:26:51', '2020-08-12 14:27:51', '2020-06-30', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 303.00000000, 0.00000000, 0.00000000, 1515.05000000, 1818.05000000, '', 'Maintenance compresseur L15RS N° CD10024800002 à <br />\r\nMaintenance seprateur de condensats owamat 10<br />\r\nRemplacement des cartouches filtres réseaux <br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1515.05000000, 303.00000000, 1818.05000000, 'commande/CO2006-1535/CO2006-1535.pdf', NULL, NULL),
(1655, 'CO2006-1536', 1, NULL, NULL, NULL, 2162, NULL, '2020-06-30 07:09:57', '2020-06-30 09:09:19', '2020-06-30 09:09:26', '2020-06-30 09:09:43', '2020-06-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 39.43000000, 0.00000000, 0.00000000, 197.12000000, 236.55000000, '', 'Remplacement purge electropilot&eacute;e', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 197.12000000, 39.43000000, 236.55000000, 'commande/CO2006-1536/CO2006-1536.pdf', NULL, NULL),
(1656, 'CO2006-1537', 1, NULL, NULL, NULL, 2289, NULL, '2020-08-28 09:01:31', '2020-06-30 12:04:35', '2020-06-30 12:05:04', '2020-06-30 12:05:25', '2020-06-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 198.82000000, 0.00000000, 0.00000000, 994.15000000, 1192.97000000, '', 'Maintenance compresseurL11RS et remplacement filtre reseau<br />\r\n<br />\r\nSuivant contrat de maintenance lissé N° 2018102301', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 994.15000000, 198.82000000, 1192.97000000, 'commande/CO2006-1537/CO2006-1537.pdf', NULL, NULL),
(1657, 'CO2007-1538', 1, NULL, NULL, NULL, 1988, NULL, '2020-07-17 09:13:38', '2020-07-01 10:40:00', '2020-07-01 10:40:46', '2020-07-17 11:13:28', '2020-07-01', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 5.70000000, 0.00000000, 0.00000000, 28.50000000, 34.20000000, '', 'reedition certificat', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 28.50000000, 5.70000000, 34.20000000, 'commande/CO2007-1538/CO2007-1538.pdf', NULL, NULL),
(1658, 'CO2007-1539', 1, NULL, NULL, NULL, 2350, NULL, '2020-07-01 09:19:21', '2020-07-01 11:17:55', '2020-07-01 11:18:47', '2020-07-01 11:19:09', '2020-07-01', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 75.91000000, 0.00000000, 0.00000000, 379.56000000, 455.47000000, '', 'Remplacement accouplement sur compresseur L45RS N&deg; CD10015094001 &agrave; 32149 HRS<br />\r\n<br />\r\nBL N&deg; 41 du 04/05/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 379.56000000, 75.91000000, 455.47000000, 'commande/CO2007-1539/CO2007-1539.pdf', NULL, NULL),
(1659, 'CO2007-1540', 1, NULL, NULL, NULL, 2407, NULL, '2020-07-01 09:34:17', '2020-07-01 11:32:11', '2020-07-01 11:32:18', '2020-07-01 11:32:39', '2020-07-01', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 456.43000000, 0.00000000, 0.00000000, 2282.15000000, 2738.58000000, '', 'CONTRAT LOCAL AC - SITE CROUZET 2020', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2282.15000000, 456.43000000, 2738.58000000, 'commande/CO2007-1540/CO2007-1540.pdf', NULL, NULL);
INSERT INTO `llx_commande` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_cloture`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_cloture`, `source`, `fk_statut`, `amount_ht`, `remise_percent`, `remise_absolue`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `facture`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_livraison`, `fk_shipping_method`, `fk_warehouse`, `fk_availability`, `fk_input_reason`, `fk_delivery_address`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(1660, 'CO2007-1541', 1, NULL, NULL, NULL, 2397, NULL, '2020-07-01 09:55:29', '2020-07-01 11:54:39', '2020-07-01 11:54:46', '2020-07-01 11:55:06', '2020-07-01', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 247.86000000, 0.00000000, 0.00000000, 1239.30000000, 1487.16000000, '', 'Fourniture et raccordement d\'un sécheur frigorifique pour votre compresseur à piston - Local BRUN -<br />\r\n<br />\r\nPrix PROMOTION ETE 2020 -<br />\r\n<br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1239.30000000, 247.86000000, 1487.16000000, 'commande/CO2007-1541/CO2007-1541.pdf', NULL, NULL),
(1661, 'CO2007-1542', 1, NULL, NULL, NULL, 2276, NULL, '2020-09-28 08:34:29', '2020-07-01 16:53:51', '2020-07-01 16:54:45', '2020-09-28 10:33:21', '2020-07-01', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 546.15000000, 0.00000000, 0.00000000, 2730.80000000, 3276.95000000, '', 'maintenance L29RS N° CD10015163001 ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2730.80000000, 546.15000000, 3276.95000000, 'commande/CO2007-1542/CO2007-1542.pdf', NULL, NULL),
(1662, 'CO2007-1543', 1, NULL, NULL, NULL, 12697, NULL, '2020-07-17 09:31:35', '2020-07-02 09:33:06', '2020-07-02 09:33:22', '2020-07-02 09:34:20', '2020-07-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 6.20000000, 0.00000000, 0.00000000, 30.98000000, 37.18000000, '', 'Fourniture Girair (Remise 50%)', '', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 30.98000000, 6.20000000, 37.18000000, 'commande/CO2007-1543/CO2007-1543.pdf', NULL, NULL),
(1663, 'CO2007-1544', 1, NULL, NULL, NULL, 12928, NULL, '2020-07-02 07:47:41', '2020-07-02 09:44:29', '2020-07-02 09:44:39', '2020-07-02 09:46:10', '2020-07-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 199.30000000, 0.00000000, 0.00000000, 996.47000000, 1195.77000000, '', 'Raccordement machine ROTOLINI BL41 du 16/06', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 996.47000000, 199.30000000, 1195.77000000, 'commande/CO2007-1544/CO2007-1544.pdf', NULL, NULL),
(1664, 'CO2007-1545', 1, NULL, NULL, NULL, 2140, NULL, '2020-07-02 08:44:57', '2020-07-02 10:42:14', '2020-07-02 10:43:26', '2020-07-02 10:43:51', '2020-07-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 156.18000000, 0.00000000, 0.00000000, 780.96000000, 937.14000000, '', 'Maintenance L15RS', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 780.96000000, 156.18000000, 937.14000000, 'commande/CO2007-1545/CO2007-1545.pdf', NULL, NULL),
(1665, 'CO2007-1546', 1, NULL, NULL, NULL, 2206, NULL, '2020-08-04 07:41:14', '2020-07-02 16:41:25', '2020-08-04 09:40:11', '2020-08-04 09:40:38', '2020-07-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 126.62000000, 0.00000000, 0.00000000, 633.07000000, 759.69000000, '', 'Maintenance HV05 :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 633.07000000, 126.62000000, 759.69000000, 'commande/CO2007-1546/CO2007-1546.pdf', NULL, NULL),
(1666, 'CO2007-1547', 1, NULL, NULL, NULL, 10189, NULL, '2020-08-28 09:01:51', '2020-07-03 10:58:15', '2020-07-03 11:20:44', '2020-08-12 10:26:36', '2020-07-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 548.01000000, 0.00000000, 0.00000000, 2740.04000000, 3288.05000000, '', 'Maintenance compresseur L15 N°349015/7611 de 2007<br />\r\n<br />\r\n \r\n<p>- Contrôles et vérifications préconisés par le constructeur<br />\r\n- Vérification sécheur et purge<br />\r\n- Tous contrôles électriques ( contacteurs , tous organes électriques identifiés lors de la maintenance ) par nos électriciens dans le local technique<br />\r\n- Hors autres pièces défectueuses pouvant être trouvées<br />\r\n-<u> Garantie 6 mois sur pièces filtration et maintenance</u> effectuée<br />\r\n- <u>Prêt GRATUIT </u>d\'un compresseur de 0 à 100 CV dans la jounée<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2740.04000000, 548.01000000, 3288.05000000, 'commande/CO2007-1547/CO2007-1547.pdf', NULL, NULL),
(1667, 'CO2007-1548', 1, NULL, NULL, NULL, 2268, NULL, '2020-07-03 12:26:06', '2020-07-03 14:24:37', '2020-07-03 14:25:47', '2020-07-03 14:25:51', '2020-07-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 74.49000000, 0.00000000, 0.00000000, 372.43000000, 446.92000000, '', 'Changement purge capacitive&nbsp;<br />\r\n<br />\r\nBL N&deg; 02 du 26/06/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 372.43000000, 74.49000000, 446.92000000, 'commande/CO2007-1548/CO2007-1548.pdf', NULL, NULL),
(1668, 'CO2007-1549', 1, NULL, NULL, NULL, 2021, NULL, '2020-09-25 13:27:28', '2020-07-07 10:39:39', '2020-07-07 10:39:59', '2020-09-25 15:27:03', '2020-07-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 74.00000000, 0.00000000, 0.00000000, 370.00000000, 444.00000000, '', 'Enrouleurs<br />\r\n&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 370.00000000, 74.00000000, 444.00000000, 'commande/CO2007-1549/CO2007-1549.pdf', NULL, NULL),
(1669, 'CO2007-1550', 1, NULL, NULL, NULL, 13091, NULL, '2020-10-01 13:36:54', '2020-07-07 15:41:13', '2020-07-07 15:47:18', '2020-08-12 15:40:57', '2020-07-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 52.90000000, 0.00000000, 0.00000000, 264.50000000, 317.40000000, '', '+ value', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 264.50000000, 52.90000000, 317.40000000, 'commande/CO2007-1550/CO2007-1550.pdf', NULL, NULL),
(1670, 'CO2007-1551', 1, NULL, NULL, NULL, 12656, NULL, '2020-09-02 08:15:56', '2020-07-07 16:22:52', '2020-07-07 16:24:03', '2020-09-02 10:15:03', '2020-07-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 2548.00000000, 0.00000000, 0.00000000, 12740.00000000, 15288.00000000, '', 'RSDKF PRO ECN 11 7.5B', '', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 12740.00000000, 2548.00000000, 15288.00000000, 'commande/CO2007-1551/CO2007-1551.pdf', NULL, NULL),
(1671, 'CO2007-1552', 1, NULL, NULL, NULL, 2001, NULL, '2020-08-10 07:44:51', '2020-07-09 15:00:12', '2020-07-09 15:00:33', '2020-08-10 09:44:51', '2020-07-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 34.00000000, 0.00000000, 0.00000000, 169.99000000, 203.99000000, '', '<p>KAESER SK19 19760-3  N° 01813383 de 1998  :</p>\r\n\r\n<p> </p>\r\n\r\n<p>                             1 Séparateur   ref AIP S1P503</p>\r\n\r\n<p>                               2 cartouches air    ref AIP A1F155</p>\r\n\r\n<p>                               1 cartouche huile    ref AIP  H1H112<br />\r\n<br />\r\nDélai : 5 jours ouvrés à reception de commande</p>\r\n', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 169.99000000, 34.00000000, 203.99000000, 'commande/CO2007-1552/CO2007-1552.pdf', NULL, NULL),
(1672, 'CO2007-1553', 1, NULL, NULL, NULL, 2407, NULL, '2020-08-05 07:43:37', '2020-07-15 09:06:11', '2020-07-15 09:06:20', '2020-07-20 14:51:55', '2020-07-15', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 8.30000000, 0.00000000, 0.00000000, 41.51000000, 49.81000000, '', 'About pour coupleur RBS11 et tuyau de 8 .<br />\r\n<br />\r\nDelai :  disponible usine ( 48H ) ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 41.51000000, 8.30000000, 49.81000000, 'commande/CO2007-1553/CO2007-1553.pdf', NULL, NULL),
(1673, 'CO2007-1554', 1, NULL, NULL, NULL, 5741, NULL, '2020-09-21 13:33:22', '2020-07-15 10:44:57', '2020-07-15 10:45:04', '2020-09-21 15:33:22', '2020-07-15', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 50.70000000, 0.00000000, 0.00000000, 253.50000000, 304.20000000, '', '', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 253.50000000, 50.70000000, 304.20000000, 'commande/CO2007-1554/CO2007-1554.pdf', NULL, NULL),
(1674, 'CO2007-1555', 1, NULL, NULL, NULL, 9565, NULL, '2020-08-28 09:21:31', '2020-07-15 16:09:23', '2020-07-15 16:09:35', '2020-07-30 14:51:51', '2020-07-15', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 206.29000000, 0.00000000, 0.00000000, 1031.46000000, 1237.75000000, '', 'Maintenance BDS 7.5 et UP5-7-10 et separateur de condensats ENVIRO\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- resserrage connexions &eacute;lectriques par nos techniciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration </u><br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 50 CV ( hors manutention, transport &amp; raccordement)<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', '', 1, NULL, NULL, 12, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1031.46000000, 206.29000000, 1237.75000000, 'commande/CO2007-1555/CO2007-1555.pdf', NULL, NULL),
(1675, 'CO2007-1556', 1, NULL, NULL, NULL, 2021, NULL, '2020-09-25 13:26:52', '2020-07-16 09:27:22', '2020-08-28 10:19:41', '2020-09-08 16:09:51', '2020-07-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 65.00000000, 0.00000000, 0.00000000, 325.00000000, 390.00000000, '', 'Le d&eacute;lai de livraison est d&rsquo;environ 4 &agrave; 6 jours ouvr&eacute;s.', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 325.00000000, 65.00000000, 390.00000000, 'commande/CO2007-1556/CO2007-1556.pdf', NULL, NULL),
(1676, 'CO2007-1557', 1, NULL, NULL, NULL, 2408, NULL, '2021-01-21 14:19:47', '2020-07-16 11:55:34', '2021-01-21 15:17:21', '2021-01-21 15:19:11', '2020-07-16', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 110.44000000, 0.00000000, 0.00000000, 552.17000000, 662.61000000, '', 'Maintenance compresseur l07 en piéces adaptable  <br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 552.17000000, 110.44000000, 662.61000000, 'commande/CO2007-1557/CO2007-1557.pdf', NULL, NULL),
(1677, 'CO2007-1558', 1, NULL, NULL, NULL, 2408, NULL, '2020-08-12 13:38:53', '2020-07-16 11:57:29', '2020-07-16 11:57:45', NULL, '2020-07-16', 5, 5, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 143.89000000, 0.00000000, 0.00000000, 719.45000000, 863.34000000, '', 'Maintenance compresseur L11  à 13380 HRS en adaptable et separateur de condensats OWAMAT 11<br />\r\n<br />\r\n ', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 719.45000000, 143.89000000, 863.34000000, 'commande/CO2007-1558/CO2007-1558.pdf', NULL, NULL),
(1678, 'CO2007-1559', 1, NULL, NULL, NULL, 2397, NULL, '2020-07-28 12:28:52', '2020-07-16 14:40:33', '2020-07-28 14:27:58', '2020-07-28 14:28:17', '2020-07-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 112.95000000, 0.00000000, 0.00000000, 564.72000000, 677.67000000, '', 'Fourniture et installation d&#39;un enrouleur suite &agrave; votre conversation avec notre technicien&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 564.72000000, 112.95000000, 677.67000000, 'commande/CO2007-1559/CO2007-1559.pdf', NULL, NULL),
(1679, 'CO2007-1560', 1, NULL, NULL, NULL, 12581, NULL, '2020-08-28 09:21:16', '2020-07-17 09:06:09', '2020-07-17 09:18:10', '2020-07-29 16:17:10', '2020-07-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 136.86000000, 0.00000000, 0.00000000, 684.34000000, 821.20000000, '', 'Maintenance GA15+FF à  HRS<br />\r\n<br />\r\nCommande N° <br />\r\nChantier Centrale enrobé N° 82000<br />\r\nContact Fabien Laurent', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 684.34000000, 136.86000000, 821.20000000, 'commande/CO2007-1560/CO2007-1560.pdf', NULL, NULL),
(1680, 'CO2007-1561', 1, NULL, NULL, NULL, 2221, NULL, '2020-07-29 12:55:35', '2020-07-17 16:08:47', '2020-07-17 16:09:02', '2020-07-21 11:27:47', '2020-07-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 290.00000000, 0.00000000, 0.00000000, 1450.00000000, 1740.00000000, '', 'Remplacement secheur MPF61', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1450.00000000, 290.00000000, 1740.00000000, 'commande/CO2007-1561/CO2007-1561.pdf', NULL, NULL),
(1681, 'CO2007-1597', 1, NULL, NULL, NULL, 11435, NULL, '2020-08-05 12:47:52', '2020-07-17 16:11:07', '2020-08-05 14:46:31', '2020-08-05 14:46:55', '2020-07-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 196.80000000, 0.00000000, 0.00000000, 983.98000000, 1180.78000000, '', 'Remplacement bague &agrave; levres du compresseur L30RS -&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 983.98000000, 196.80000000, 1180.78000000, 'commande/CO2007-1597/CO2007-1597.pdf', NULL, NULL),
(1685, 'CO2007-1563', 1, NULL, NULL, NULL, 2103, NULL, '2020-08-19 12:36:00', '2020-07-20 11:06:05', '2020-07-20 11:06:16', '2020-08-19 14:34:12', '2020-07-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 696.07000000, 0.00000000, 0.00000000, 3480.37000000, 4176.44000000, '', 'Ligne electrique pour L22 (22Kw), protection de tête 63 amp + 300Ma, 72 m câble R2V 5G16mm². 2 Nacelles necessaires 1 toucan et une deportée. un sectionneur de priximité 63 amp', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3480.37000000, 696.07000000, 4176.44000000, 'commande/CO2007-1563/CO2007-1563.pdf', NULL, NULL),
(1687, 'CO2007-1564', 1, NULL, NULL, NULL, 9820, NULL, '2020-08-04 08:42:03', '2020-07-20 12:04:23', '2020-07-20 12:04:35', '2020-08-04 10:42:03', '2020-07-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 242.03000000, 0.00000000, 0.00000000, 1210.10000000, 1452.13000000, '', 'Création d\'une ligne inox serti  de 24 metres de longeur diametre 42 avec 5 piquages avec vanne .<br />\r\nrepiquage du reseau existant en galva <br />\r\nNacelle non inclus<br />\r\n<br />\r\nDélai disponible usine', '', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1210.10000000, 242.03000000, 1452.13000000, 'commande/CO2007-1564/CO2007-1564.pdf', NULL, NULL),
(1688, 'CO2007-1565', 1, NULL, NULL, NULL, 10010, NULL, '2020-10-22 07:36:27', '2020-07-21 08:54:02', '2020-07-21 08:55:42', '2020-10-22 09:35:23', '2020-07-21', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 5645.42000000, 0.00000000, 0.00000000, 28227.09000000, 33872.51000000, '', '<span style=\"font-size:12px\"><span style=\"font-family:Arial,Helvetica,sans-serif\">Proposition de remplacement de compresseur SULLAIR BDS 22Kw par Compresseur COMPAIR L37 RS vitesse variable <strong>mise en place d\'un système de variation électronique de vitesse (VEV) un moteur asynchrone </strong>et <strong>mise en place d\'un système de récupération de chaleur sur compresseur d\'air d\'une puissance de 37 kW</strong>\" .<br />\r\nFourniture et pose d\'un filtre cyclonique SA0095<br />\r\nFourniture et pose d\'un secheur avec filtration amont et aval<br />\r\nFourniture et pose d\'un separateur de condensats Owamat 12 </span></span><br />\r\n<br />\r\n<br />\r\n<span style=\"font-size:12pt\"><span style=\"font-size:12px\"><span style=\"font-family:Arial,Helvetica,sans-serif\"><strong>Adresse des travaux</strong> : BIOUSSE MECELEC Rue Ernest Rutherford - ZI Marcerolles  26500 Bourg-lès-Valence – France - Tel. 04.75.83.15.01 - Du lundi au vendredi de 8h à 12h et de 13h à 16h45</span></span></span><br />\r\n<br />\r\n<br />\r\n ', '', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 28227.09000000, 5645.42000000, 33872.51000000, 'commande/CO2007-1565/CO2007-1565.pdf', NULL, NULL),
(1689, 'CO2007-1566', 1, NULL, NULL, NULL, 2117, NULL, '2020-10-27 13:44:51', '2020-07-21 14:04:49', '2020-07-21 14:05:59', '2020-10-27 14:44:51', '2020-07-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 38.61000000, 0.00000000, 0.00000000, 193.03000000, 231.64000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 193.03000000, 38.61000000, 231.64000000, 'commande/CO2007-1566/CO2007-1566.pdf', NULL, NULL),
(1690, 'CO2007-1567', 1, NULL, NULL, NULL, 10087, NULL, '2020-08-06 08:39:04', '2020-07-21 16:37:31', '2020-07-21 16:37:39', '2020-08-06 10:37:36', '2020-07-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 344.01000000, 0.00000000, 0.00000000, 1805.99000000, 2150.00000000, '', 'Maintenance de votre local air comprimé :<br />\r\nMaintenance de vos deux compresseur à vis Rollair<br />\r\nVisite de  controle de votre sécheur DW46 de 2002 ( verification des connectiques et souflage )<br />\r\nRemplacement de vos 2 cartouches de filtres reseaux<br />\r\nVerification des differentes purges du local<br />\r\nMaintenance de votre separateur de condensats owamat 5R<br />\r\n \r\n<p>- Contrôles et vérifications préconisés par le constructeur<br />\r\n- Vérification sécheur et purge<br />\r\n- Tous contrôles électriques ( contacteurs , tous organes électriques identifiés lors de la maintenance ) par nos électriciens dans le local technique<br />\r\n- Hors autres pièces défectueuses pouvant être trouvées<br />\r\n-<u> Garantie 6 mois sur pièces filtration et maintenance</u> effectuée<br />\r\n- <u>Prêt GRATUIT </u>d\'un compresseur de 0 à 100 CV dans la jounée<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1805.99000000, 344.01000000, 2150.00000000, 'commande/CO2007-1567/CO2007-1567.pdf', NULL, NULL),
(1691, 'CO2007-1568', 1, NULL, NULL, NULL, 2056, NULL, '2020-08-12 08:14:43', '2020-07-22 14:10:25', '2020-08-12 10:13:43', '2020-08-12 10:14:05', '2020-07-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 185.69000000, 0.00000000, 0.00000000, 928.43000000, 1114.12000000, '', 'Maintenance compresseur COMPAIR L11  N° BA36466001<br />\r\ndate de mise en service : 05/02/2015<br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 928.43000000, 185.69000000, 1114.12000000, 'commande/CO2007-1568/CO2007-1568.pdf', NULL, NULL),
(1692, 'CO2007-1569', 1, NULL, NULL, NULL, 2373, NULL, '2020-07-24 09:03:36', '2020-07-22 16:24:30', '2020-07-22 16:24:38', NULL, '2020-07-22', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 238.91000000, 0.00000000, 0.00000000, 1194.61000000, 1433.52000000, '', 'Maintenance ingersollrand IRN 11KTAS 7H500&nbsp;', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1194.61000000, 238.91000000, 1433.52000000, 'commande/CO2007-1569/CO2007-1569.pdf', NULL, NULL),
(1693, 'CO2007-1570', 1, NULL, NULL, NULL, 2373, NULL, '2020-07-24 09:03:08', '2020-07-22 16:27:05', '2020-07-22 16:27:31', NULL, '2020-07-22', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 131.70000000, 0.00000000, 0.00000000, 658.55000000, 790.25000000, '', 'Maintenance rollair 1400B', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 658.55000000, 131.70000000, 790.25000000, 'commande/CO2007-1570/CO2007-1570.pdf', NULL, NULL),
(1694, 'CO2007-1571', 1, NULL, NULL, NULL, 2355, NULL, '2020-08-06 08:49:59', '2020-07-22 16:31:08', '2020-07-22 16:31:27', '2020-08-06 10:48:51', '2020-07-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 129.23000000, 0.00000000, 0.00000000, 646.19000000, 775.42000000, '', 'Maintenance COmpresseur RSDK RENNER <br />\r\nSuivant contrat lissé N°2019071501', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 646.19000000, 129.23000000, 775.42000000, 'commande/CO2007-1571/CO2007-1571.pdf', NULL, NULL),
(1695, 'CO2007-1572', 1, NULL, NULL, NULL, 2351, NULL, '2020-08-04 13:04:57', '2020-07-23 09:08:58', '2020-07-23 09:09:36', '2020-08-04 15:03:10', '2020-07-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 247.53000000, 0.00000000, 0.00000000, 1237.65000000, 1485.18000000, '', 'Fourniture d\'un sécheur par réfrigeration pouvant traiter le débit d\'un compresseur L15-10A compair ( 135.60m3/h ) .<br />\r\n<br />\r\nDélai : EN STOCK', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1237.65000000, 247.53000000, 1485.18000000, 'commande/CO2007-1572/CO2007-1572.pdf', NULL, NULL),
(1696, 'CO2007-1574', 1, NULL, NULL, NULL, 13036, NULL, '2020-07-29 13:36:42', '2020-07-24 09:20:05', '2020-07-24 10:40:13', '2020-07-29 15:36:09', '2020-07-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 57.70000000, 0.00000000, 0.00000000, 288.52000000, 346.22000000, '', 'Probleme sur scie KASTO<br />\r\n<br />\r\nBL N&deg; 30 du 07/07/2020', 'einstein', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 288.52000000, 57.70000000, 346.22000000, 'commande/CO2007-1574/CO2007-1574.pdf', NULL, NULL),
(1697, 'CO2007-1573', 1, NULL, NULL, NULL, 2007, NULL, '2020-08-17 12:31:43', '2020-07-24 09:39:38', '2020-07-24 09:39:45', '2020-08-17 14:30:52', '2020-07-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 136.61000000, 0.00000000, 0.00000000, 683.10000000, 819.71000000, '', 'Maintenance HV02 N&deg; 502 029339-1408', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 683.10000000, 136.61000000, 819.71000000, 'commande/CO2007-1573/CO2007-1573.pdf', NULL, NULL),
(1698, 'CO2007-1575', 1, NULL, NULL, NULL, 2016, NULL, '2020-09-25 09:23:02', '2020-07-28 14:05:54', '2020-07-28 14:06:01', '2020-09-25 11:17:24', '2020-07-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 149.58000000, 0.00000000, 0.00000000, 747.90000000, 897.48000000, '', 'Remplacement des flexibles sur le compresseur L05 :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 747.90000000, 149.58000000, 897.48000000, 'commande/CO2007-1575/CO2007-1575.pdf', NULL, NULL),
(1699, 'CO2007-1576', 1, NULL, NULL, NULL, 1988, NULL, '2020-08-03 07:31:05', '2020-07-28 15:01:10', '2020-07-28 15:02:44', '2020-07-28 15:03:08', '2020-07-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 112.60000000, 0.00000000, 0.00000000, 563.02000000, 675.62000000, '', 'Maintenance L22 -', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 563.02000000, 112.60000000, 675.62000000, 'commande/CO2007-1576/CO2007-1576.pdf', NULL, NULL),
(1700, 'CO2007-1577', 1, NULL, NULL, NULL, 9822, NULL, '2020-08-04 07:35:49', '2020-07-29 10:20:29', '2020-07-29 10:20:51', NULL, '2020-07-29', 5, 5, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 72.00000000, 0.00000000, 0.00000000, 360.00000000, 432.00000000, '', 'Commande N°3227', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 360.00000000, 72.00000000, 432.00000000, 'commande/CO2007-1577/CO2007-1577.pdf', NULL, NULL),
(1701, 'CO2007-1578', 1, NULL, NULL, NULL, 2327, NULL, '2020-08-04 07:37:47', '2020-07-29 10:23:46', '2020-07-29 10:24:05', NULL, '2020-07-29', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 72.00000000, 0.00000000, 0.00000000, 360.00000000, 432.00000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 360.00000000, 72.00000000, 432.00000000, 'commande/CO2007-1578/CO2007-1578.pdf', NULL, NULL),
(1702, 'CO2007-1579', 1, NULL, NULL, NULL, 2231, NULL, '2020-08-06 07:52:35', '2020-07-29 14:20:58', '2020-07-29 14:21:06', '2020-08-06 09:51:39', '2020-07-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 119.47000000, 0.00000000, 0.00000000, 597.36000000, 716.83000000, '', 'Maintenance compresseur L15 .<br />\r\n<br />\r\nNous avons une porssibilité d\'intervention ce vendredi 26 Juin apres midi si nous avons votre retour dans la journée .', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 597.36000000, 119.47000000, 716.83000000, 'commande/CO2007-1579/CO2007-1579.pdf', NULL, NULL),
(1703, 'CO2007-1580', 1, NULL, NULL, NULL, 12585, NULL, '2020-08-03 08:43:43', '2020-07-29 15:34:16', '2020-07-29 15:34:23', '2020-07-29 15:35:32', '2020-07-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 140.65000000, 0.00000000, 0.00000000, 703.28000000, 843.93000000, '', 'Maintenance compresseur HV02 N&deg; 502-032334-1708 et remplcament des 2 cartouches de vos filtres reseaux :', '', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 703.28000000, 140.65000000, 843.93000000, 'commande/CO2007-1580/CO2007-1580.pdf', NULL, NULL),
(1704, 'CO2007-1581', 1, NULL, NULL, NULL, 2076, NULL, '2020-08-03 09:47:50', '2020-07-29 16:17:56', '2020-07-29 16:18:13', '2020-08-03 11:47:14', '2020-07-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 118.36000000, 0.00000000, 0.00000000, 591.82000000, 710.18000000, '', 'Maintenance HV07 et remplcament cartouche filtre reseau', '', 1, NULL, NULL, 3, 2, '2018-05-04', NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 591.82000000, 118.36000000, 710.18000000, 'commande/CO2007-1581/CO2007-1581.pdf', NULL, NULL),
(1705, 'CO2007-1582', 1, NULL, NULL, NULL, 2123, NULL, '2020-08-26 08:37:04', '2020-07-30 10:46:37', '2020-07-30 10:47:03', '2020-07-30 10:47:10', '2020-07-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 56.57000000, 0.00000000, 0.00000000, 282.86000000, 339.43000000, '', 'Maintenance adoucisseur sur le site de l&#39;&eacute;canci&eacute;re :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 282.86000000, 56.57000000, 339.43000000, 'commande/CO2007-1582/CO2007-1582.pdf', NULL, NULL),
(1706, 'CO2007-1583', 1, NULL, NULL, NULL, 2174, NULL, '2020-07-30 08:57:08', '2020-07-30 10:54:06', '2020-07-30 10:54:15', '2020-07-30 10:54:33', '2020-07-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 385.31000000, 0.00000000, 0.00000000, 1926.53000000, 2311.84000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1926.53000000, 385.31000000, 2311.84000000, 'commande/CO2007-1583/CO2007-1583.pdf', NULL, NULL),
(1707, 'CO2007-1584', 1, NULL, NULL, NULL, 5741, NULL, '2020-08-05 13:07:57', '2020-07-30 11:31:16', '2020-07-30 11:31:23', '2020-08-05 15:07:11', '2020-07-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 161.37000000, 0.00000000, 0.00000000, 806.85000000, 968.22000000, '', 'Maintenance L75 N° CD10005618002  -2000Hrs', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 806.85000000, 161.37000000, 968.22000000, 'commande/CO2007-1584/CO2007-1584.pdf', NULL, NULL),
(1708, 'CO2007-1585', 1, NULL, NULL, NULL, 2311, NULL, '2020-08-12 08:52:31', '2020-07-30 14:21:21', '2020-08-12 10:50:04', '2020-08-12 10:50:31', '2020-07-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 248.55000000, 0.00000000, 0.00000000, 1242.76000000, 1491.31000000, '', 'Maintenances des trois compresseurs sur deux sites differents r&eacute;alis&eacute;s le m&ecirc;me jour en une demi journ&eacute;e .<br />\r\n&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1242.76000000, 248.55000000, 1491.31000000, 'commande/CO2007-1585/CO2007-1585.pdf', NULL, NULL),
(1709, 'CO2007-1586', 1, NULL, NULL, NULL, 2169, NULL, '2020-08-26 08:46:05', '2020-07-30 14:40:36', '2020-07-30 14:40:55', '2020-08-12 15:35:15', '2020-07-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 291.30000000, 0.00000000, 0.00000000, 1456.61000000, 1747.91000000, '', 'Mise en conformité observations APAVE electricité:  ce qui est indiqué \"option\" n\'est pas facturé', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1456.61000000, 291.30000000, 1747.91000000, 'commande/CO2007-1586/CO2007-1586.pdf', NULL, NULL),
(1710, 'CO2007-1587', 1, NULL, NULL, NULL, 2331, NULL, '2020-08-12 10:07:22', '2020-07-31 09:24:22', '2020-07-31 09:24:31', '2020-08-12 12:06:49', '2020-07-31', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 131.60000000, 0.00000000, 0.00000000, 658.08000000, 789.68000000, '', 'Maintenance GA22 N&deg;AII256273', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 658.08000000, 131.60000000, 789.68000000, 'commande/CO2007-1587/CO2007-1587.pdf', NULL, NULL),
(1711, 'CO2007-1588', 1, NULL, NULL, NULL, 2286, NULL, '2020-08-12 08:43:47', '2020-07-31 09:31:04', '2020-08-12 10:42:50', '2020-08-12 10:43:12', '2020-07-31', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 96.95000000, 0.00000000, 0.00000000, 484.73000000, 581.68000000, '', 'maintenance', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 484.73000000, 96.95000000, 581.68000000, 'commande/CO2007-1588/CO2007-1588.pdf', NULL, NULL),
(1712, 'CO2007-1589', 1, NULL, NULL, NULL, 2311, NULL, '2020-08-17 13:26:12', '2020-07-31 14:29:31', '2020-07-31 14:34:55', '2020-08-17 15:26:12', '2020-07-31', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 35.07000000, 0.00000000, 0.00000000, 175.38000000, 210.45000000, '', 'girair commande telephonique du 31/07/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 175.38000000, 35.07000000, 210.45000000, 'commande/CO2007-1589/CO2007-1589.pdf', NULL, NULL),
(1713, 'CO2008-1590', 1, NULL, NULL, NULL, 2049, NULL, '2020-08-12 08:07:23', '2020-08-03 11:14:04', '2020-08-12 10:06:16', '2020-08-12 10:06:41', '2020-08-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 114.25000000, 0.00000000, 0.00000000, 571.28000000, 685.53000000, '', 'maintenance cyclon 222 N&deg;F165/2079', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 571.28000000, 114.25000000, 685.53000000, 'commande/CO2008-1590/CO2008-1590.pdf', NULL, NULL),
(1714, 'CO2007-1591', 1, NULL, NULL, NULL, 2076, NULL, '2020-08-03 12:22:28', '2020-08-03 12:04:07', '2020-08-03 14:15:02', '2020-08-03 14:16:27', '2020-07-31', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 180.30000000, 0.00000000, 0.00000000, 901.46000000, 1081.76000000, '', 'Modification reseau air comprim&eacute; local - bouclage r&eacute;seau inox en diametre 28&nbsp;<br />\r\n<br />\r\nBL N&deg;36 du 09/07/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 901.46000000, 180.30000000, 1081.76000000, 'commande/CO2007-1591/CO2007-1591.pdf', NULL, NULL),
(1715, 'CO2008-1592', 1, NULL, NULL, NULL, 2321, NULL, '2020-08-13 08:31:26', '2020-08-03 14:56:04', '2020-08-13 10:06:12', '2020-08-13 10:26:23', '2020-08-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 157.43000000, 0.00000000, 0.00000000, 787.14000000, 944.57000000, 'CONTRAT LISE', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 787.14000000, 157.43000000, 944.57000000, 'commande/CO2008-1592/CO2008-1592.pdf', NULL, NULL),
(1716, 'CO2008-1593', 1, NULL, NULL, NULL, 11251, NULL, '2020-10-12 14:40:45', '2020-08-03 15:48:38', '2020-09-29 14:52:49', '2020-09-29 14:54:39', '2020-08-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 139.36000000, 0.00000000, 0.00000000, 696.75000000, 836.11000000, '', '<strong>Maintenance compresseur RLR900 et remplacement des deux cartouches filtres reseaux deltech</strong><br />\r\n<br />\r\n<span style=\"font-size:11pt\"><span style=\"font-family:Calibri,sans-serif\">- Contrôles et vérifications  préconisés par le constructeur<br />\r\n- Vérification sécheur et purge<br />\r\n- resserrage connexions électriques par nos techniciens dans le local technique<br />\r\n- Hors autres pièces défectueuses pouvant être trouvées <br />\r\n -<u> Garantie 6 mois sur pièces filtration </u><br />\r\n - <u>Prêt GRATUIT </u>d\'un compresseur de 0 à 50 CV ( hors manutention, transport &amp; raccordement)<br />\r\n - Audit GRATUIT , ... etc</span></span><br />\r\n ', '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 696.75000000, 139.36000000, 836.11000000, 'commande/CO2008-1593/CO2008-1593.pdf', NULL, NULL),
(1717, 'CO2008-1594', 1, NULL, NULL, NULL, 13092, NULL, '2020-08-04 07:08:36', '2020-08-04 08:53:51', '2020-08-04 09:07:31', '2020-08-04 09:07:50', '2020-08-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 99.55000000, 0.00000000, 0.00000000, 497.78000000, 597.33000000, '', 'Changement amperage compresseur et remplacement purge sur la cuve<br />\r\n<br />\r\nBL N&deg;7 du 01/07/20', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 497.78000000, 99.55000000, 597.33000000, 'commande/CO2008-1594/CO2008-1594.pdf', NULL, NULL),
(1718, 'CO2008-1595', 1, NULL, NULL, NULL, 11209, NULL, '2020-08-26 08:08:42', '2020-08-05 09:23:40', '2020-08-05 09:24:23', '2020-08-26 10:07:56', '2020-08-05', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 109.66000000, 0.00000000, 0.00000000, 548.26000000, 657.92000000, '', 'Maintenance compresseur BELAIR GS30 N°MMJS040020 de 2014 à \r\n<p>- Contrôles et vérifications préconisés par le constructeur<br />\r\n- Vérification sécheur et purge<br />\r\n- Tous contrôles électriques ( contacteurs , tous organes électriques identifiés lors de la maintenance ) par nos électriciens dans le local technique<br />\r\n- Hors autres pièces défectueuses pouvant être trouvées<br />\r\n-<u> Garantie 6 mois sur pièces filtration et maintenance</u> effectuée<br />\r\n- <u>Prêt GRATUIT </u>d\'un compresseur de 0 à 100 CV dans la jounée<br />\r\n- Audit GRATUIT , ... etc</p>\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 548.26000000, 109.66000000, 657.92000000, 'commande/CO2008-1595/CO2008-1595.pdf', NULL, NULL),
(1719, 'CO2008-1596', 1, NULL, NULL, NULL, 2338, NULL, '2020-08-17 08:22:26', '2020-08-05 10:13:15', '2020-08-17 10:20:05', '2020-08-17 10:20:35', '2020-08-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 141.81000000, 0.00000000, 0.00000000, 709.05000000, 850.86000000, '', 'Maintenance L07RS en FULL SERVICE et MAINTENACE ROLLAIR', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 709.05000000, 141.81000000, 850.86000000, 'commande/CO2008-1596/CO2008-1596.pdf', NULL, NULL),
(1720, 'CO2008-1598', 1, NULL, NULL, NULL, 5741, NULL, '2020-08-05 13:03:50', '2020-08-05 15:02:18', '2020-08-05 15:02:28', '2020-08-05 15:02:56', '2020-08-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 88.62000000, 0.00000000, 0.00000000, 443.09000000, 531.71000000, '', 'Maintenance rallye 086 de 1997', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 443.09000000, 88.62000000, 531.71000000, 'commande/CO2008-1598/CO2008-1598.pdf', NULL, NULL),
(1721, 'CO2008-1599', 1, NULL, NULL, NULL, 2011, NULL, '2020-08-05 14:02:40', '2020-08-05 15:58:37', '2020-08-05 16:00:18', '2020-08-05 16:00:25', '2020-08-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 82.25000000, 0.00000000, 0.00000000, 411.26000000, 493.51000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 411.26000000, 82.25000000, 493.51000000, 'commande/CO2008-1599/CO2008-1599.pdf', NULL, NULL),
(1722, 'CO2008-1600', 1, NULL, NULL, NULL, 2090, NULL, '2020-08-06 07:12:17', '2020-08-06 09:09:26', '2020-08-06 09:11:41', '2020-08-06 09:11:50', '2020-08-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 4.19000000, 0.00000000, 0.00000000, 20.96000000, 25.15000000, '', 'remplacement ressort sur enrouleur 298 10 015<br />\r\n<br />\r\nBL N&deg; 40 du 30/07/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 20.96000000, 4.19000000, 25.15000000, 'commande/CO2008-1600/CO2008-1600.pdf', NULL, NULL),
(1723, 'CO2008-1601', 1, NULL, NULL, NULL, 2022, NULL, '2020-08-13 13:51:26', '2020-08-07 14:08:33', '2020-08-07 14:08:52', '2020-08-13 15:50:49', '2020-08-07', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 338.45000000, 0.00000000, 0.00000000, 1692.23000000, 2030.68000000, '', 'Remplacement en lieu et place de votre sécheur MPF140 par un sécheur par réfrigeration équivalent <br />\r\n<br />\r\nCommande : 940518295', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1692.23000000, 338.45000000, 2030.68000000, 'commande/CO2008-1601/CO2008-1601.pdf', NULL, NULL),
(1724, 'CO2008-1602', 1, NULL, NULL, NULL, 2142, NULL, '2020-08-12 07:56:22', '2020-08-12 09:54:49', '2020-08-12 09:55:54', '2020-08-12 09:55:58', '2020-08-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 34.72000000, 0.00000000, 0.00000000, 173.60000000, 208.32000000, '', 'Sonde de temperature pour compresseur L22S', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 173.60000000, 34.72000000, 208.32000000, 'commande/CO2008-1602/CO2008-1602.pdf', NULL, NULL),
(1725, 'CO2008-1603', 1, NULL, NULL, NULL, 2150, NULL, '2020-08-12 08:22:19', '2020-08-12 10:21:14', '2020-08-12 10:21:22', '2020-08-12 10:21:48', '2020-08-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 99.19000000, 0.00000000, 0.00000000, 495.99000000, 595.18000000, '', 'maintenance L04 N&deg; ba35401001', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 495.99000000, 99.19000000, 595.18000000, 'commande/CO2008-1603/CO2008-1603.pdf', NULL, NULL),
(1726, 'CO2008-1604', 1, NULL, NULL, NULL, 13130, NULL, '2020-08-12 12:16:32', '2020-08-12 14:04:21', '2020-08-12 14:14:23', '2020-08-12 14:14:41', '2020-08-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 43.19000000, 0.00000000, 0.00000000, 215.96000000, 259.15000000, '', '', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 215.96000000, 43.19000000, 259.15000000, 'commande/CO2008-1604/CO2008-1604.pdf', NULL, NULL),
(1727, 'CO2008-1605', 1, NULL, NULL, NULL, 2170, NULL, '2020-10-29 09:35:05', '2020-08-13 16:15:46', '2020-10-19 14:03:55', '2020-10-19 14:04:21', '2020-08-13', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 119.71000000, 0.00000000, 0.00000000, 598.51000000, 718.22000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 598.51000000, 119.71000000, 718.22000000, 'commande/CO2008-1605/CO2008-1605.pdf', NULL, NULL),
(1728, 'CO2008-1606', 1, NULL, NULL, NULL, 2184, NULL, '2020-08-14 07:00:10', '2020-08-13 16:30:28', '2020-08-13 16:44:10', '2020-08-14 08:59:31', '2020-08-13', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 380.24000000, 0.00000000, 0.00000000, 1901.22000000, 2281.46000000, '', 'Maintenance L45RS N° CD10015552001 en huile alimentaire à 36965H<br />\r\n<br />\r\nBL N°5 du 13/08/2020<br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1901.22000000, 380.24000000, 2281.46000000, 'commande/CO2008-1606/CO2008-1606.pdf', NULL, NULL),
(1729, 'CO2008-1607', 1, NULL, NULL, NULL, 2407, NULL, '2020-12-01 08:02:05', '2020-08-14 09:32:00', '2020-08-14 09:32:07', '2020-12-01 09:01:27', '2020-08-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 145.92000000, 0.00000000, 0.00000000, 729.58000000, 875.50000000, '', 'remplacement variateur de fr&eacute;quence sur L90RS N&deg;CD10030723001 &agrave; 15356 HRS<br />\r\n<br />\r\nBL N&deg;7 du 12/04/2020', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 729.58000000, 145.92000000, 875.50000000, 'commande/CO2008-1607/CO2008-1607.pdf', NULL, NULL),
(1730, 'CO2008-1608', 1, NULL, NULL, NULL, 2407, NULL, '2020-12-01 08:06:24', '2020-08-14 09:33:00', '2020-08-14 09:33:09', '2020-12-01 09:06:00', '2020-08-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 163.31000000, 0.00000000, 0.00000000, 816.55000000, 979.86000000, '', '<span style=\"font-size:11pt\"><span style=\"font-family:Calibri,sans-serif\">Réépreuve de réservoir d’air comprimé ( Hors organisme agrée )</span></span><br />\r\n<br />\r\n<span style=\"font-size:11pt\"><span style=\"font-family:Calibri,sans-serif\">Notre offre comprend :</span></span>\r\n<ul>\r\n	<li><span style=\"font-size:11pt\"><span style=\"font-family:Calibri,sans-serif\">La vidange d’huile du compresseur</span></span></li>\r\n	<li><span style=\"font-size:11pt\"><span style=\"font-family:Calibri,sans-serif\">Dépose des accessoires fixer sur la cuve ( flexible , … etc )</span></span></li>\r\n	<li><span style=\"font-size:11pt\"><span style=\"font-family:Calibri,sans-serif\">Bouchonnage des differents orifices</span></span></li>\r\n	<li><span style=\"font-size:11pt\"><span style=\"font-family:Calibri,sans-serif\">Remplissage du reservoir avec de l’eau</span></span></li>\r\n	<li><span style=\"font-size:11pt\"><span style=\"font-family:Calibri,sans-serif\">Assistance eu verificateur de l’organisme agrée</span></span></li>\r\n	<li><span style=\"font-size:11pt\"><span style=\"font-family:Calibri,sans-serif\">Remontage et remise en service de la machine</span></span></li>\r\n	<li><span style=\"font-size:11pt\"><span style=\"font-family:Calibri,sans-serif\">Remise à niveau d’huile du compresseur</span></span></li>\r\n</ul>\r\n<span style=\"font-size:11pt\"><span style=\"font-family:Calibri,sans-serif\">BL N°25 du05/06/2020</span></span>', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 816.55000000, 163.31000000, 979.86000000, 'commande/CO2008-1608/CO2008-1608.pdf', NULL, NULL),
(1731, 'CO2008-1609', 1, NULL, NULL, NULL, 2407, NULL, '2020-11-30 09:33:50', '2020-08-14 09:56:06', '2020-08-14 09:56:25', '2020-11-30 10:33:14', '2020-08-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 91.78000000, 0.00000000, 0.00000000, 458.86000000, 550.64000000, '', 'Remplacement des ventilateur du variateurs de frequence du compresseur L90RS N&deg; CD10015199001 &agrave; 28739 HRS<br />\r\n<br />\r\nBL N&deg;8 du 12/05/2020', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 458.86000000, 91.78000000, 550.64000000, 'commande/CO2008-1609/CO2008-1609.pdf', NULL, NULL),
(1732, 'CO2008-1610', 1, NULL, NULL, NULL, 1990, NULL, '2020-10-12 14:39:08', '2020-08-14 10:52:16', '2020-08-14 11:08:38', '2020-09-25 10:55:48', '2020-08-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 2512.79000000, 0.00000000, 0.00000000, 12564.00000000, 15076.79000000, '', 'Reseau en inox serti&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 12564.00000000, 2512.79000000, 15076.79000000, 'commande/CO2008-1610/CO2008-1610.pdf', NULL, NULL),
(1733, 'CO2008-1611', 1, NULL, NULL, NULL, 13139, NULL, '2020-09-08 08:48:27', '2020-08-14 11:48:10', '2020-08-14 11:48:17', NULL, '2020-08-14', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 21.50000000, 0.00000000, 0.00000000, 107.50000000, 129.00000000, '', 'Fluid force pour hydrovanne<br />\r\n<br />\r\nDélai : DISPONIBLE<br />\r\n<br />\r\nRéglement à la commande', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 107.50000000, 21.50000000, 129.00000000, 'commande/CO2008-1611/CO2008-1611.pdf', NULL, NULL),
(1734, 'CO2008-1612', 1, NULL, NULL, NULL, 13140, NULL, '2020-09-28 12:50:18', '2020-08-19 09:59:09', '2020-08-19 10:15:20', '2020-09-28 14:50:18', '2020-08-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 999.99000000, 0.00000000, 0.00000000, 5000.00000000, 5999.99000000, '', 'Local air comprim&eacute;', 'einstein', 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5000.00000000, 999.99000000, 5999.99000000, 'commande/CO2008-1612/CO2008-1612.pdf', NULL, NULL),
(1735, 'CO2008-1613', 1, NULL, NULL, NULL, 13140, NULL, '2020-08-26 09:04:20', '2020-08-19 10:33:37', '2020-08-19 10:33:44', '2020-08-19 14:24:33', '2020-08-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 396.20000000, 0.00000000, 0.00000000, 1981.00000000, 2377.20000000, '', 'Merci de bien vouloir trouver ci-joint notre proposition pour vos deux sols en beton lissé et beton ciré comme vu ensemble .<br />\r\nNous vous prions de nous la retourner avec votre bon pour accord date et signature.<br />\r\nRestant à votre disposition pour tous renseignements complémentaires, veuillez agréer, nos salutations.<br />\r\n<br />\r\nDélai : DISPONIBLE', '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1981.00000000, 396.20000000, 2377.20000000, 'commande/CO2008-1613/CO2008-1613.pdf', NULL, NULL),
(1736, 'CO2008-1614', 1, NULL, NULL, NULL, 2261, NULL, '2020-09-28 09:29:35', '2020-08-19 16:04:53', '2020-08-19 16:06:15', '2020-09-08 16:09:26', '2020-08-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 88.08000000, 0.00000000, 0.00000000, 440.42000000, 528.50000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 440.42000000, 88.08000000, 528.50000000, 'commande/CO2008-1614/CO2008-1614.pdf', NULL, NULL),
(1737, 'CO2008-1615', 1, NULL, NULL, NULL, 2122, NULL, '2020-10-02 09:11:04', '2020-08-24 09:17:20', '2020-09-25 16:21:14', '2020-10-02 11:10:14', '2020-08-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 366.88000000, 0.00000000, 0.00000000, 1834.38000000, 2201.26000000, '', 'Maintenance L75RS N° CD10018699001 à  HRS<br />\r\nMaintenance seprateur de condensats OWAMAT 15<br />\r\nRemplacement cartouche filtre réseau<br />\r\n<br />\r\nBL N<br />\r\n<br />\r\nCommande N°', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1834.38000000, 366.88000000, 2201.26000000, 'commande/CO2008-1615/CO2008-1615.pdf', NULL, NULL),
(1738, 'CO2008-1616', 1, NULL, NULL, NULL, 10087, NULL, '2020-09-28 08:54:29', '2020-08-25 09:19:18', '2020-08-25 09:19:26', '2020-09-28 10:49:58', '2020-08-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 135.45000000, 0.00000000, 0.00000000, 677.26000000, 812.71000000, '', 'Suite &agrave; la maintenance de vos compresseurs , notre technicen a not&eacute; differents disfonctionnements sur votre compresseur ROLLAIR 40 .<br />\r\nVeuillez trouver ci dessous les travaux &agrave; effectuer :<br />\r\n<br />\r\nD&eacute;lai : 2 semaines &agrave; r&eacute;c&eacute;ption de commande', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 677.26000000, 135.45000000, 812.71000000, 'commande/CO2008-1616/CO2008-1616.pdf', NULL, NULL),
(1739, 'CO2008-1617', 1, NULL, NULL, NULL, 10144, NULL, '2020-12-08 15:11:07', '2020-08-25 09:25:40', '2020-12-08 16:11:07', NULL, '2020-08-25', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 44.88000000, 0.00000000, 0.00000000, 224.41000000, 269.29000000, '', 'Remplacement cartouche 300RA et remplacement kit owamat 12<br />\r\n<br />\r\nRealisation en meme temps que la maintenance du 29/04/2020', 'einstein', 0, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 224.41000000, 44.88000000, 269.29000000, 'commande/CO2008-1617/CO2008-1617.pdf', NULL, NULL),
(1740, 'CO2008-1618', 1, NULL, NULL, 'kaeser', 2064, NULL, '2020-10-01 14:07:37', '2020-08-27 09:13:41', '2020-08-27 09:14:00', '2020-09-08 16:08:53', '2020-08-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 201.06000000, 0.00000000, 0.00000000, 1005.30000000, 1206.36000000, '', 'Maintenance compresseur Kaeser', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1005.30000000, 201.06000000, 1206.36000000, 'commande/CO2008-1618/CO2008-1618.pdf', NULL, NULL);
INSERT INTO `llx_commande` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_cloture`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_cloture`, `source`, `fk_statut`, `amount_ht`, `remise_percent`, `remise_absolue`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `facture`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_livraison`, `fk_shipping_method`, `fk_warehouse`, `fk_availability`, `fk_input_reason`, `fk_delivery_address`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(1741, '(PROV1741)', 1, NULL, NULL, NULL, 2049, NULL, '2020-08-28 12:54:19', '2020-08-28 14:53:25', NULL, NULL, '2020-08-28', 5, NULL, NULL, NULL, NULL, 0, 0.00000000, 0, NULL, 0, 25.00000000, 0.00000000, 0.00000000, 125.00000000, 150.00000000, '', 'remplacement boitier d&#39;alimentation', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 125.00000000, 25.00000000, 150.00000000, 'commande/(PROV1741)/(PROV1741).pdf', NULL, NULL),
(1742, 'CO2009-1619', 1, NULL, NULL, NULL, 2050, NULL, '2020-09-01 13:05:47', '2020-09-01 12:20:29', '2020-09-01 12:23:13', '2020-09-01 15:04:07', '2020-09-01', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 60.96000000, 0.00000000, 0.00000000, 304.80000000, 365.76000000, '', 'GARANTIE CAPAG - L18<br />\r\nN&deg; WC-2020-0070536', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 304.80000000, 60.96000000, 365.76000000, 'commande/CO2009-1619/CO2009-1619.pdf', NULL, NULL),
(1743, 'CO2009-1620', 1, NULL, NULL, NULL, 2050, NULL, '2020-09-01 13:05:18', '2020-09-01 14:25:38', '2020-09-01 14:26:58', NULL, '2020-09-01', 5, 5, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 69.48000000, 0.00000000, 0.00000000, 347.40000000, 416.88000000, '', 'GARANTIE VINCI - L90RS<br />\r\nN° WC-2020-0070339', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 347.40000000, 69.48000000, 416.88000000, 'commande/CO2009-1620/CO2009-1620.pdf', NULL, NULL),
(1746, 'CO2009-1622', 1, NULL, NULL, NULL, 2350, NULL, '2020-11-26 14:54:13', '2020-09-02 10:48:15', '2020-09-02 11:46:19', '2020-11-26 15:53:48', '2020-09-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 188.95000000, 0.00000000, 0.00000000, 944.70000000, 1133.65000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 944.70000000, 188.95000000, 1133.65000000, 'commande/CO2009-1622/CO2009-1622.pdf', NULL, NULL),
(1747, 'CO2009-1621', 1, NULL, NULL, NULL, 2350, NULL, '2020-10-02 12:53:51', '2020-09-02 10:48:49', '2020-09-29 10:31:57', '2020-10-02 14:52:58', '2020-09-02', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 188.58000000, 0.00000000, 0.00000000, 942.87000000, 1131.45000000, '', 'Maintenance Compresseurs L45RS  à  <br />\r\nRemplacement cartouche filtre reseau<br />\r\nMaintenance separateur de condensats OWAMAT 14<br />\r\n<br />\r\nVidange compresseur à piston laverie<br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 942.87000000, 188.58000000, 1131.45000000, 'commande/CO2009-1621/CO2009-1621.pdf', NULL, NULL),
(1748, 'CO2009-1623', 1, NULL, NULL, NULL, 2050, NULL, '2020-09-04 08:44:15', '2020-09-04 09:18:36', '2020-09-04 10:44:15', NULL, '2020-09-04', 5, 5, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 46.82000000, 0.00000000, 0.00000000, 234.12000000, 280.94000000, '', 'GARANTIE RTSI- L45RS<br />\r\nN° WC-2020-0070017', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 234.12000000, 46.82000000, 280.94000000, 'commande/CO2009-1623/CO2009-1623.pdf', NULL, NULL),
(1749, 'CO2009-1624', 1, NULL, NULL, NULL, 13140, NULL, '2020-09-28 12:57:02', '2020-09-07 09:48:56', '2020-09-07 09:49:08', NULL, '2020-09-07', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 9.80000000, 0.00000000, 0.00000000, 49.00000000, 58.80000000, '', '', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 49.00000000, 9.80000000, 58.80000000, 'commande/CO2009-1624/CO2009-1624.pdf', NULL, NULL),
(1750, 'CO2009-1625', 1, NULL, NULL, NULL, 13130, NULL, '2020-10-02 13:39:01', '2020-09-08 10:41:50', '2020-09-08 10:42:00', '2020-10-02 15:36:39', '2020-09-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 181.09000000, 0.00000000, 0.00000000, 905.44000000, 1086.53000000, '', 'Remplacement moteur de lubrification sur compresseur L110RS COMPAIR N&deg;CD10017043001<br />\r\n<br />\r\nSite : Les olagnieres 38 LA COTE ST ANDRE', '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 905.44000000, 181.09000000, 1086.53000000, 'commande/CO2009-1625/CO2009-1625.pdf', NULL, NULL),
(1752, 'CO2009-1627', 1, NULL, NULL, NULL, 6259, NULL, '2020-10-02 08:56:18', '2020-09-09 16:14:15', '2020-10-02 10:55:18', '2020-10-02 10:55:32', '2020-09-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 381.94000000, 0.00000000, 0.00000000, 1909.72000000, 2291.66000000, '', 'Maintenance L30 + L11', 'einstein', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1909.72000000, 381.94000000, 2291.66000000, 'commande/CO2009-1627/CO2009-1627.pdf', NULL, NULL),
(1753, 'CO2009-1628', 1, NULL, NULL, NULL, 2347, NULL, '2020-09-29 08:34:11', '2020-09-10 09:04:24', '2020-09-10 09:04:43', '2020-09-29 10:33:46', '2020-09-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 24.00000000, 0.00000000, 0.00000000, 120.00000000, 144.00000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 120.00000000, 24.00000000, 144.00000000, 'commande/CO2009-1628/CO2009-1628.pdf', NULL, NULL),
(1754, 'CO2009-1629', 1, NULL, NULL, NULL, 2268, NULL, '2020-11-26 13:58:18', '2020-09-10 09:20:39', '2020-11-25 14:52:20', '2020-11-26 10:04:23', '2020-09-10', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 457.36000000, 0.00000000, 0.00000000, 2286.76000000, 2744.12000000, '', 'Maintenance local air comprimé', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2286.76000000, 457.36000000, 2744.12000000, 'commande/CO2009-1629/CO2009-1629.pdf', NULL, NULL),
(1755, 'CO2009-1630', 1, NULL, NULL, NULL, 2033, NULL, '2020-10-19 09:36:39', '2020-09-10 09:38:36', '2020-09-10 09:42:08', '2020-10-19 11:35:42', '2020-09-10', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 374.30000000, 0.00000000, 0.00000000, 1871.50000000, 2245.80000000, '', 'Maintenance du Compresseur L26rs à <br />\r\nRemplcament cartouche filtre reseau<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1871.50000000, 374.30000000, 2245.80000000, 'commande/CO2009-1630/CO2009-1630.pdf', NULL, NULL),
(1756, 'CO2009-1631', 1, NULL, NULL, NULL, 2033, NULL, '2020-10-19 09:47:56', '2020-09-10 09:49:20', '2020-10-19 11:44:47', '2020-10-19 11:47:26', '2020-09-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 275.30000000, 0.00000000, 0.00000000, 1376.50000000, 1651.80000000, '', 'L15rs', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1376.50000000, 275.30000000, 1651.80000000, 'commande/CO2009-1631/CO2009-1631.pdf', NULL, NULL),
(1757, 'CO2009-1632', 1, NULL, NULL, NULL, 2042, NULL, '2020-10-29 09:30:09', '2020-09-10 10:07:56', '2020-10-29 10:29:12', '2020-10-29 10:29:33', '2020-09-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 104.96000000, 0.00000000, 0.00000000, 524.83000000, 629.79000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 524.83000000, 104.96000000, 629.79000000, 'commande/CO2009-1632/CO2009-1632.pdf', NULL, NULL),
(1758, 'CO2009-1633', 1, NULL, NULL, NULL, 2313, NULL, '2020-10-01 13:41:46', '2020-09-10 10:09:21', '2020-09-10 10:09:35', '2020-10-01 15:39:18', '2020-09-10', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 111.10000000, 0.00000000, 0.00000000, 555.50000000, 666.60000000, '', 'Maintenance L07RS N° BA3562001  en adaptable hors garantie', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 555.50000000, 111.10000000, 666.60000000, 'commande/CO2009-1633/CO2009-1633.pdf', NULL, NULL),
(1759, 'CO2009-1634', 1, NULL, NULL, NULL, 12745, NULL, '2020-09-22 13:11:03', '2020-09-10 10:13:15', '2020-09-10 10:13:55', NULL, '2020-09-10', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 110.97000000, 0.00000000, 0.00000000, 554.85000000, 665.82000000, '', 'Maintenance compresseur rsdk pro 11 10 B N&deg;817041&nbsp;', 'einstein', 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 554.85000000, 110.97000000, 665.82000000, 'commande/CO2009-1634/CO2009-1634.pdf', NULL, NULL),
(1760, 'CO2009-1635', 1, NULL, NULL, NULL, 2071, NULL, '2020-09-10 08:21:21', '2020-09-10 10:21:10', '2020-09-10 10:21:21', NULL, '2020-09-10', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 194.12000000, 0.00000000, 0.00000000, 970.71000000, 1164.83000000, '', 'Maintenance compresseur  V05 et boge\r\n<p>- Contrôles et vérifications préconisés par le constructeur<br />\r\n- Vérification sécheur et purge<br />\r\n- Tous contrôles électriques ( contacteurs , tous organes électriques identifiés lors de la maintenance ) par nos électriciens dans le local technique<br />\r\n- Hors autres pièces défectueuses pouvant être trouvées<br />\r\n-<u> Garantie 6 mois sur pièces filtration et maintenance</u> effectuée<br />\r\n- <u>Prêt GRATUIT </u>d\'un compresseur de 0 à 100 CV<br />\r\n </p>\r\n', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 970.71000000, 194.12000000, 1164.83000000, 'commande/CO2009-1635/CO2009-1635.pdf', NULL, NULL),
(1762, 'CO2009-1636', 1, NULL, NULL, NULL, 2075, NULL, '2020-12-17 13:45:18', '2020-09-10 10:40:06', '2020-09-10 10:40:45', '2020-12-17 14:38:56', '2020-09-10', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 110.66000000, 0.00000000, 0.00000000, 553.29000000, 663.95000000, '', 'Maintenance L07 N° CD10004696001', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 553.29000000, 110.66000000, 663.95000000, 'commande/CO2009-1636/CO2009-1636.pdf', NULL, NULL),
(1763, 'CO2009-1637', 1, NULL, NULL, NULL, 2168, NULL, '2020-10-12 14:44:29', '2020-09-10 10:47:32', '2020-10-02 10:35:58', '2020-10-02 10:36:25', '2020-09-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 232.86000000, 0.00000000, 0.00000000, 1164.30000000, 1397.16000000, '', 'Maintenance L11 N&deg;BA22910002 - owamat 10 et filtres reseaux', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1164.30000000, 232.86000000, 1397.16000000, 'commande/CO2009-1637/CO2009-1637.pdf', NULL, NULL),
(1764, 'CO2009-1638', 1, NULL, NULL, NULL, 2077, NULL, '2020-10-02 08:25:49', '2020-09-10 10:50:03', '2020-10-02 10:23:24', '2020-10-02 10:24:50', '2020-09-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 291.80000000, 0.00000000, 0.00000000, 1458.98000000, 1750.78000000, '', 'maintenance L22RS à  HRS<br />\r\n<br />\r\nMaintenance seprateur de condensats Owamat 10<br />\r\nremplacement cartouche filtre reseau<br />\r\n<br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1458.98000000, 291.80000000, 1750.78000000, 'commande/CO2009-1638/CO2009-1638.pdf', NULL, NULL),
(1765, 'CO2009-1639', 1, NULL, NULL, NULL, 2103, NULL, '2020-10-02 09:02:00', '2020-09-10 10:58:02', '2020-09-10 10:58:07', '2020-10-02 11:00:43', '2020-09-10', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 279.36000000, 0.00000000, 0.00000000, 1396.79000000, 1676.15000000, '', 'Maintenance L45RS N° CD10015227001 <br />\r\nMaintenance seprateur de condensats  owamat 14 <br />\r\nRemplacement des deux cartouches filtres reseaux bea700<br />\r\n<br />\r\n<br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1396.79000000, 279.36000000, 1676.15000000, 'commande/CO2009-1639/CO2009-1639.pdf', NULL, NULL),
(1766, 'CO2009-1640', 1, NULL, NULL, NULL, 2140, NULL, '2020-10-02 09:26:54', '2020-09-10 11:11:50', '2020-10-02 11:26:14', '2020-10-02 11:26:22', '2020-09-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 81.10000000, 0.00000000, 0.00000000, 405.51000000, 486.61000000, '', 'Maintenance L15RS', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 405.51000000, 81.10000000, 486.61000000, 'commande/CO2009-1640/CO2009-1640.pdf', NULL, NULL),
(1767, 'CO2009-1641', 1, NULL, NULL, NULL, 2161, NULL, '2020-10-05 09:37:56', '2020-09-10 11:16:44', '2020-10-05 11:31:45', '2020-10-05 11:32:09', '2020-09-10', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 424.56000000, 0.00000000, 0.00000000, 2122.92000000, 2547.48000000, 'signé pour l\'année 2019', 'Base contrat de maintenance 2020 :', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2122.92000000, 424.56000000, 2547.48000000, 'commande/CO2009-1641/CO2009-1641.pdf', NULL, NULL),
(1768, 'CO2009-1642', 1, NULL, NULL, NULL, 2169, NULL, '2020-10-02 09:52:38', '2020-09-10 11:23:03', '2020-10-02 11:44:09', '2020-10-02 11:44:52', '2020-09-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 108.67000000, 0.00000000, 0.00000000, 543.31000000, 651.98000000, '', 'bottarini', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 543.31000000, 108.67000000, 651.98000000, 'commande/CO2009-1642/CO2009-1642.pdf', NULL, NULL),
(1769, 'CO2009-1643', 1, NULL, NULL, NULL, 12590, NULL, '2020-11-24 15:53:58', '2020-09-10 11:51:47', '2020-09-10 11:51:55', '2020-11-24 16:52:54', '2020-09-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 451.54000000, 0.00000000, 0.00000000, 2257.69000000, 2709.23000000, '', 'maintenance compresseur et filtres reseaux&nbsp; :&nbsp;', 'einstein', 1, NULL, NULL, 3, 2, '2018-09-30', NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2257.69000000, 451.54000000, 2709.23000000, 'commande/CO2009-1643/CO2009-1643.pdf', NULL, NULL),
(1770, 'CO2009-1644', 1, NULL, NULL, NULL, 2162, NULL, '2020-10-02 09:57:01', '2020-09-10 14:33:40', '2020-09-10 14:33:44', '2020-10-02 11:56:17', '2020-09-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 278.30000000, 0.00000000, 0.00000000, 1391.52000000, 1669.82000000, '', 'contrat liss&eacute;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1391.52000000, 278.30000000, 1669.82000000, 'commande/CO2009-1644/CO2009-1644.pdf', NULL, NULL),
(1771, 'CO2009-1645', 1, NULL, NULL, NULL, 12596, NULL, '2020-10-02 10:06:12', '2020-09-10 15:24:37', '2020-10-02 12:05:02', '2020-10-02 12:05:21', '2020-09-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 128.24000000, 0.00000000, 0.00000000, 641.22000000, 769.46000000, '', 'Maintenance RS PRO7.5 10 bars', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 641.22000000, 128.24000000, 769.46000000, 'commande/CO2009-1645/CO2009-1645.pdf', NULL, NULL),
(1772, 'CO2009-1646', 1, NULL, NULL, NULL, 2234, NULL, '2020-12-02 14:03:35', '2020-09-10 15:27:40', '2020-09-10 15:28:46', '2020-12-02 15:03:09', '2020-09-10', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 575.88000000, 0.00000000, 0.00000000, 2879.46000000, 3455.34000000, '', 'Maintenance L45RS N°CD10005658001 <br />\r\nRemplcament des cartouches des filtres reseaux <br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2879.46000000, 575.88000000, 3455.34000000, 'commande/CO2009-1646/CO2009-1646.pdf', NULL, NULL),
(1773, 'CO2009-1647', 1, NULL, NULL, NULL, 2215, NULL, '2020-10-05 08:49:49', '2020-09-10 15:41:46', '2020-10-05 10:48:51', '2020-10-05 10:49:12', '2020-09-10', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 122.80000000, 0.00000000, 0.00000000, 614.04000000, 736.84000000, '', 'Maintenance L11RS  N°cd10001552001 <br />\r\nRemplacement cartouche reseau <br />\r\nMaintenance Separateur de condensats OWAMAT10<br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 614.04000000, 122.80000000, 736.84000000, 'commande/CO2009-1647/CO2009-1647.pdf', NULL, NULL),
(1774, 'CO2009-1648', 1, NULL, NULL, NULL, 2235, NULL, '2020-09-24 12:54:49', '2020-09-10 15:45:19', '2020-09-24 14:54:49', NULL, '2020-09-10', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 161.43000000, 0.00000000, 0.00000000, 807.16000000, 968.59000000, '', 'Maintenance L15VS :&nbsp;', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 807.16000000, 161.43000000, 968.59000000, 'commande/CO2009-1648/CO2009-1648.pdf', NULL, NULL),
(1775, 'CO2009-1649', 1, NULL, NULL, NULL, 2297, NULL, '2020-09-29 12:40:07', '2020-09-10 15:51:40', '2020-09-29 14:38:41', '2020-09-29 14:39:08', '2020-09-10', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 109.15000000, 0.00000000, 0.00000000, 545.73000000, 654.88000000, '', 'Maintenance compresseur L11 ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 545.73000000, 109.15000000, 654.88000000, 'commande/CO2009-1649/CO2009-1649.pdf', NULL, NULL),
(1776, 'CO2009-1650', 1, NULL, NULL, NULL, 2371, NULL, '2021-02-02 10:16:20', '2020-09-10 15:59:46', '2020-09-10 16:00:01', NULL, '2020-09-10', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 228.67000000, 0.00000000, 0.00000000, 1143.40000000, 1372.07000000, '', 'maintenance L22 et filtres reseaux', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1143.40000000, 228.67000000, 1372.07000000, 'commande/CO2009-1650/CO2009-1650.pdf', NULL, NULL),
(1777, 'CO2009-1651', 1, NULL, NULL, NULL, 2352, NULL, '2020-09-15 13:19:50', '2020-09-10 16:22:05', '2020-09-10 16:24:13', NULL, '2020-09-10', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 584.42000000, 0.00000000, 0.00000000, 2922.12000000, 3506.54000000, '', 'Maintenance L37RS', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2922.12000000, 584.42000000, 3506.54000000, 'commande/CO2009-1651/CO2009-1651.pdf', NULL, NULL),
(1778, 'CO2009-1652', 1, NULL, NULL, NULL, 2091, NULL, '2020-10-05 09:06:58', '2020-09-10 16:36:38', '2020-09-22 15:34:44', '2020-10-05 11:06:13', '2020-09-10', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 174.66000000, 0.00000000, 0.00000000, 873.28000000, 1047.94000000, '', 'Maintenanxce compresseur L18 N°CD10030115002  suivant contrat lissé', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 873.28000000, 174.66000000, 1047.94000000, 'commande/CO2009-1652/CO2009-1652.pdf', NULL, NULL),
(1780, 'CO2009-1654', 1, NULL, NULL, NULL, 13140, NULL, '2020-09-28 13:00:02', '2020-09-15 09:19:06', '2020-09-28 14:59:09', '2020-09-28 14:59:31', '2020-09-15', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 78.74000000, 0.00000000, 0.00000000, 393.69000000, 472.43000000, '', 'Suite &agrave; votre demande aupres de notre technicien :', '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 393.69000000, 78.74000000, 472.43000000, 'commande/CO2009-1654/CO2009-1654.pdf', NULL, NULL),
(1781, 'CO2009-1655', 1, NULL, NULL, NULL, 10563, NULL, '2020-10-05 08:55:27', '2020-09-15 14:27:53', '2020-09-15 14:28:00', '2020-10-05 10:54:45', '2020-09-15', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 129.27000000, 0.00000000, 0.00000000, 646.35000000, 775.62000000, '', 'Maintenance Compresseur Power System PS407 ( 8bars) n° de série 240 407 année 2004 remplacement filtre à air , filtre à huile et separateur , verifications et controle, remise à niveau d\'huile .\r\n<p> cuve de 1000 Litres : verification du bon fonctionnement de la purge</p>\r\n\r\n<p>assécheur Model LB 4.13 n° de série Q01C2059 année 2004 : verification des connections et du bon fonctionnement</p>\r\n<br />\r\n- Contrôles et vérifications  préconisés par le constructeur<br />\r\n- Vérification sécheur et purge<br />\r\n- Tous contrôles électriques ( contacteurs , tous organes électriques identifiés lors de la maintenance ) par nos électriciens dans le local technique<br />\r\n- Hors autres pièces défectueuses pouvant être trouvées <br />\r\n -<u> Garantie 6 mois sur pièces filtration et maintenance</u> effectuée<br />\r\n<br />\r\n ', '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 646.35000000, 129.27000000, 775.62000000, 'commande/CO2009-1655/CO2009-1655.pdf', NULL, NULL),
(1782, 'CO2009-1656', 1, NULL, NULL, NULL, 2295, NULL, '2020-10-19 09:58:08', '2020-09-15 15:45:18', '2020-09-15 15:45:25', '2020-10-19 11:55:15', '2020-09-15', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 229.08000000, 0.00000000, 0.00000000, 1145.46000000, 1374.54000000, '', 'Maintenance L30&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1145.46000000, 229.08000000, 1374.54000000, 'commande/CO2009-1656/CO2009-1656.pdf', NULL, NULL),
(1783, 'CO2009-1657', 1, NULL, NULL, NULL, 2370, NULL, '2020-09-16 14:03:11', '2020-09-16 16:03:06', '2020-09-16 16:03:11', NULL, '2020-09-16', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 112.56000000, 0.00000000, 0.00000000, 562.80000000, 675.36000000, '', 'Maintenance compresseur GE10 ', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 562.80000000, 112.56000000, 675.36000000, 'commande/CO2009-1657/CO2009-1657.pdf', NULL, NULL),
(1784, 'CO2009-1658', 1, NULL, NULL, NULL, 2351, NULL, '2020-09-29 08:24:37', '2020-09-16 16:08:59', '2020-09-17 11:21:44', '2020-09-17 11:46:42', '2020-09-16', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 49.02000000, 0.00000000, 0.00000000, 245.16000000, 294.18000000, '', 'Delai :  23/09/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 245.16000000, 49.02000000, 294.18000000, 'commande/CO2009-1658/CO2009-1658.pdf', NULL, NULL),
(1785, 'CO2009-1659', 1, NULL, NULL, NULL, 2032, NULL, '2020-09-24 07:23:07', '2020-09-17 15:54:02', '2020-09-17 15:54:10', '2020-09-24 09:23:07', '2020-09-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 186.22000000, 0.00000000, 0.00000000, 931.10000000, 1117.32000000, '', 'remplcament carte sur compresseur FINI KMAX :<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE USINE', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 931.10000000, 186.22000000, 1117.32000000, 'commande/CO2009-1659/CO2009-1659.pdf', NULL, NULL),
(1786, 'CO2009-1663', 1, NULL, NULL, NULL, 1940, NULL, '2020-09-25 07:32:49', '2020-09-21 10:29:00', '2020-09-25 09:31:48', '2020-09-25 09:31:54', '2020-09-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 86.24000000, 0.00000000, 0.00000000, 431.20000000, 517.44000000, '', 'Fourniture d\'un Aspirateur YS 2-62 .<br />\r\n<br />\r\nDEMANDE N° DP202009-0002<br />\r\n<br />\r\nDélai : DISPONIBLE USINE', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 431.20000000, 86.24000000, 517.44000000, 'commande/CO2009-1663/CO2009-1663.pdf', NULL, NULL),
(1787, 'CO2009-1660', 1, NULL, NULL, NULL, 5741, NULL, '2020-10-02 14:09:52', '2020-09-23 10:25:19', '2020-09-23 10:44:10', '2020-10-02 16:09:25', '2020-09-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 65.42000000, 0.00000000, 0.00000000, 327.10000000, 392.52000000, '', 'd&eacute;lai : DISPONIBLE USINE&nbsp;', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 327.10000000, 65.42000000, 392.52000000, 'commande/CO2009-1660/CO2009-1660.pdf', NULL, NULL),
(1788, 'CO2009-1661', 1, NULL, NULL, NULL, 13145, NULL, '2020-09-25 12:43:24', '2020-09-23 16:17:46', '2020-09-23 16:17:55', '2020-09-25 14:43:24', '2020-09-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 103.08000000, 0.00000000, 0.00000000, 515.44000000, 618.52000000, '', 'Pour compresseur RLR3000AE6 n&deg;416939 : 2 filtres a huile ref H8D012 2 filtre s&eacute;parateur ref S5D002 Pour le compresseur RLR40 B7 YD N&deg;WCF251016 : 2 filtres &agrave; huile ref H8D012 2 filtres &agrave; air ref A1F642 2 filtres s&eacute;parateur ref S5D009', '', 1, NULL, NULL, 9, NULL, NULL, 2, NULL, 3, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 515.44000000, 103.08000000, 618.52000000, 'commande/CO2009-1661/CO2009-1661.pdf', NULL, NULL),
(1789, 'CO2009-1662', 1, NULL, NULL, NULL, 12623, NULL, '2020-10-29 09:40:46', '2020-09-24 15:20:58', '2020-10-29 10:39:46', '2020-10-29 10:40:13', '2020-09-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 124.38000000, 0.00000000, 0.00000000, 621.90000000, 746.28000000, '', 'Maintenance compresseur RENNER RSDK PRO ECN 11 -10bar&nbsp;<br />\r\nremplacement cartouche filtre reseau BEA105<br />\r\n&nbsp;\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- resserrage connexions &eacute;lectriques par nos techniciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration </u><br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 50 CV ( hors manutention, transport &amp; raccordement)<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 621.90000000, 124.38000000, 746.28000000, 'commande/CO2009-1662/CO2009-1662.pdf', NULL, NULL),
(1791, 'CO2009-1664', 1, NULL, NULL, NULL, 12613, NULL, '2020-09-25 07:43:23', '2020-09-25 09:40:18', '2020-09-25 09:40:36', '2020-09-25 09:41:25', '2020-09-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 172.25000000, 0.00000000, 0.00000000, 861.28000000, 1033.53000000, '', '', '', 1, NULL, NULL, NULL, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 861.28000000, 172.25000000, 1033.53000000, 'commande/CO2009-1664/CO2009-1664.pdf', NULL, NULL),
(1792, 'CO2009-1665', 1, NULL, NULL, NULL, 1990, NULL, '2020-09-25 08:02:04', '2020-09-25 09:58:43', '2020-09-25 10:01:10', '2020-09-25 10:01:15', '2020-09-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 70.62000000, 0.00000000, 0.00000000, 353.12000000, 423.74000000, '', 'Intervention r&eacute;paration tuayu d&#39;eau 2&#39;&#39;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 353.12000000, 70.62000000, 423.74000000, 'commande/CO2009-1665/CO2009-1665.pdf', NULL, NULL),
(1793, 'CO2009-1666', 1, NULL, NULL, NULL, 2020, NULL, '2020-09-25 08:39:11', '2020-09-25 10:37:47', '2020-09-25 10:37:56', '2020-09-25 10:38:19', '2020-09-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 195.25000000, 0.00000000, 0.00000000, 976.20000000, 1171.45000000, '', 'Maintenance L22', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 976.20000000, 195.25000000, 1171.45000000, 'commande/CO2009-1666/CO2009-1666.pdf', NULL, NULL),
(1794, 'CO2009-1667', 1, NULL, NULL, NULL, 2407, NULL, '2020-10-29 13:42:09', '2020-09-25 15:07:51', '2020-09-25 15:07:58', '2020-10-29 14:41:21', '2020-09-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 65.54000000, 0.00000000, 0.00000000, 327.67000000, 393.21000000, '', 'Soupape avec certificat <br />\r\nG 1 \" 15Bar', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 327.67000000, 65.54000000, 393.21000000, 'commande/CO2009-1667/CO2009-1667.pdf', NULL, NULL),
(1795, 'CO2009-1668', 1, NULL, NULL, NULL, 2122, NULL, '2020-10-02 09:13:34', '2020-09-25 16:38:10', '2020-09-25 16:42:05', '2020-10-02 11:13:11', '2020-09-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 48.84000000, 0.00000000, 0.00000000, 244.18000000, 293.02000000, '', 'Intervention sur purge electropilot&eacute;e sur cuve 900Litres<br />\r\n<br />\r\nBL N&deg;45 du 02/09/2020', 'einstein', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 244.18000000, 48.84000000, 293.02000000, 'commande/CO2009-1668/CO2009-1668.pdf', NULL, NULL),
(1796, 'CO2009-1669', 1, NULL, NULL, NULL, 2116, NULL, '2020-09-28 08:14:09', '2020-09-28 10:12:40', '2020-09-28 10:13:00', '2020-09-28 10:13:22', '2020-09-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 85.56000000, 0.00000000, 0.00000000, 427.81000000, 513.37000000, '', 'Maintenance compresseur ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 427.81000000, 85.56000000, 513.37000000, 'commande/CO2009-1669/CO2009-1669.pdf', NULL, NULL),
(1797, 'CO2009-1670', 1, NULL, NULL, NULL, 2370, NULL, '2020-09-29 08:19:28', '2020-09-29 10:17:12', '2020-09-29 10:18:07', '2020-09-29 10:18:46', '2020-09-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 92.61000000, 0.00000000, 0.00000000, 463.07000000, 555.68000000, '', 'Maintenance RStop 7.5 :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 463.07000000, 92.61000000, 555.68000000, 'commande/CO2009-1670/CO2009-1670.pdf', NULL, NULL),
(1798, 'CO2009-1671', 1, NULL, NULL, NULL, 2407, NULL, '2020-10-29 13:28:33', '2020-09-29 14:12:05', '2020-10-15 14:07:52', '2020-10-29 14:26:53', '2020-09-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 754.78000000, 0.00000000, 0.00000000, 3773.90000000, 4528.68000000, '', 'Maintenance L90RS  VFDA_CROU_0001<br />\r\nBon de Préventif numéro 196738<br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3773.90000000, 754.78000000, 4528.68000000, 'commande/CO2009-1671/CO2009-1671.pdf', NULL, NULL),
(1799, 'CO2009-1672', 1, NULL, NULL, NULL, 2069, NULL, '2020-10-21 13:18:59', '2020-09-30 14:26:50', '2020-10-15 10:55:47', '2020-10-15 10:58:18', '2020-09-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1000.02000000, 0.00000000, 0.00000000, 5000.01000000, 6000.03000000, '', 'Reseau en inox serti :<br />\r\nLongeur du reseau : 100ml en diametre 28 inox serti<br />\r\nNombre de descentes : 7<br />\r\nNombre de piquages : 3<br />\r\nFin de descentes : Vanne 1/4 de tour<br />\r\nSuivant schéma de principe<br />\r\nNacelle incluse', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5000.01000000, 1000.02000000, 6000.03000000, 'commande/CO2009-1672/CO2009-1672.pdf', NULL, NULL),
(1800, 'CO2010-1673', 1, NULL, NULL, NULL, 2064, NULL, '2020-10-02 08:18:31', '2020-10-02 10:17:20', '2020-10-02 10:17:28', '2020-10-02 10:17:49', '2020-10-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 327.43000000, 0.00000000, 0.00000000, 1637.13000000, 1964.56000000, '', 'Maintenance L80 - Faire le separateur &agrave; chaque fois car poussiereux', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1637.13000000, 327.43000000, 1964.56000000, 'commande/CO2010-1673/CO2010-1673.pdf', NULL, NULL),
(1801, 'CO2010-1674', 1, NULL, NULL, NULL, 2285, NULL, '2020-10-02 12:20:42', '2020-10-02 14:17:19', '2020-10-02 14:18:20', '2020-10-02 14:18:44', '2020-10-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 134.11000000, 0.00000000, 0.00000000, 670.56000000, 804.67000000, '', 'maintenance l15 + owamt 10', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 670.56000000, 134.11000000, 804.67000000, 'commande/CO2010-1674/CO2010-1674.pdf', NULL, NULL),
(1802, 'CO2010-1675', 1, NULL, NULL, NULL, 2380, NULL, '2020-10-02 13:12:24', '2020-10-02 15:01:55', '2020-10-02 15:02:11', '2020-10-02 15:02:35', '2020-10-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 153.76000000, 0.00000000, 0.00000000, 768.79000000, 922.55000000, '', 'Maintenance compresseur BOGE C9<br />\r\net remplcament cartouches filtres reseaux', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 768.79000000, 153.76000000, 922.55000000, 'commande/CO2010-1675/CO2010-1675.pdf', NULL, NULL),
(1803, 'CO2010-1676', 1, NULL, NULL, NULL, 12594, NULL, '2020-10-02 13:18:40', '2020-10-02 15:16:33', '2020-10-02 15:16:56', '2020-10-02 15:17:53', '2020-10-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 165.79000000, 0.00000000, 0.00000000, 828.91000000, 994.70000000, '', 'MAINTENANCE COMPRESSEUR sullair ws1100 et filtres reseaux', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 828.91000000, 165.79000000, 994.70000000, 'commande/CO2010-1676/CO2010-1676.pdf', NULL, NULL),
(1804, 'CO2010-1677', 1, NULL, NULL, NULL, 2386, NULL, '2020-10-02 13:30:27', '2020-10-02 15:28:09', '2020-10-02 15:28:56', '2020-10-02 15:29:26', '2020-10-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 225.44000000, 0.00000000, 0.00000000, 1127.21000000, 1352.65000000, '', 'Maintenance L11&nbsp;<br />\r\nMaintenance BS61<br />\r\nremplacement cartouche filtre reseau KAESER :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1127.21000000, 225.44000000, 1352.65000000, 'commande/CO2010-1677/CO2010-1677.pdf', NULL, NULL),
(1805, 'CO2010-1678', 1, NULL, NULL, NULL, 13130, NULL, '2020-10-02 13:41:31', '2020-10-02 15:39:06', '2020-10-02 15:39:33', '2020-10-02 15:39:39', '2020-10-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 72.89000000, 0.00000000, 0.00000000, 364.44000000, 437.33000000, '', 'Remplacement moteur de lubrification sur compresseur L110RS COMPAIR N&deg;CD10017043001<br />\r\n<br />\r\nSite : Les olagnieres 38 LA COTE ST ANDRE', '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 364.44000000, 72.89000000, 437.33000000, 'commande/CO2010-1678/CO2010-1678.pdf', NULL, NULL),
(1806, 'CO2010-1679', 1, NULL, NULL, NULL, 2391, NULL, '2020-10-02 14:01:05', '2020-10-02 15:57:47', '2020-10-02 15:57:55', '2020-10-02 15:58:50', '2020-10-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 500.00000000, 0.00000000, 0.00000000, 2500.00000000, 3000.00000000, '', 'maintenance l29RS contrat liss&eacute;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2500.00000000, 500.00000000, 3000.00000000, 'commande/CO2010-1679/CO2010-1679.pdf', NULL, NULL),
(1807, 'CO2010-1680', 1, NULL, NULL, NULL, 13148, NULL, '2020-10-12 12:19:25', '2020-10-05 09:35:53', '2020-10-05 09:36:07', '2020-10-12 14:19:25', '2020-10-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 20.49000000, 0.00000000, 0.00000000, 102.45000000, 122.94000000, '', 'Pressostat&nbsp; pour compresseur Compair START0070-97 N&deg;349003/0392<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE ATELIER', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 102.45000000, 20.49000000, 122.94000000, 'commande/CO2010-1680/CO2010-1680.pdf', NULL, NULL),
(1808, 'CO2010-1681', 1, NULL, NULL, NULL, 2376, NULL, '2020-10-05 09:13:28', '2020-10-05 11:11:53', '2020-10-05 11:12:23', '2020-10-05 11:12:33', '2020-10-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 113.63000000, 0.00000000, 0.00000000, 568.14000000, 681.77000000, '', 'Maintenanace compresseur L11VS et filtre reseau', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 568.14000000, 113.63000000, 681.77000000, 'commande/CO2010-1681/CO2010-1681.pdf', NULL, NULL),
(1809, 'CO2010-1682', 1, NULL, NULL, NULL, 2184, NULL, '2021-01-29 08:50:40', '2020-10-06 14:08:38', '2020-10-29 11:24:10', '2020-11-03 10:09:12', '2020-10-06', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 310.66000000, 0.00000000, 0.00000000, 1553.34000000, 1864.00000000, '', 'Maintenance L45RS ( 2018 ) N° CD10034859001 en huile alimentaire à H<br />\r\n<br />\r\nRemplacement cartouche filtre réseau <br />\r\n<br />\r\nMaintenance seprateur de condensats OWAMAT 14<br />\r\n<br />\r\nCommande N<br />\r\n<br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1553.34000000, 310.66000000, 1864.00000000, 'commande/CO2010-1682/CO2010-1682.pdf', NULL, NULL),
(1810, 'CO2010-1683', 1, NULL, NULL, NULL, 2064, NULL, '2020-10-19 07:46:14', '2020-10-06 15:59:05', '2020-10-06 16:00:55', '2020-10-19 09:46:14', '2020-10-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 110.83000000, 0.00000000, 0.00000000, 554.14000000, 664.97000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 554.14000000, 110.83000000, 664.97000000, 'commande/CO2010-1683/CO2010-1683.pdf', NULL, NULL),
(1811, 'CO2010-1684', 1, NULL, NULL, NULL, 2178, NULL, '2020-11-25 14:57:39', '2020-10-07 14:19:58', '2020-10-07 14:20:07', '2020-10-20 11:24:14', '2020-10-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 184.88000000, 0.00000000, 0.00000000, 924.40000000, 1109.28000000, '', 'Kit de reparation suite &agrave; votre demande<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE USINE ( 4 jours de transport )', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 924.40000000, 184.88000000, 1109.28000000, 'commande/CO2010-1684/CO2010-1684.pdf', NULL, NULL),
(1813, 'CO2010-1685', 1, NULL, NULL, NULL, 10268, NULL, '2020-10-15 08:23:55', '2020-10-08 11:00:44', '2020-10-08 11:00:52', '2020-10-15 10:22:52', '2020-10-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 220.00000000, 0.00000000, 0.00000000, 1100.00000000, 1320.00000000, '', 'Remplacement secheur frigorifique par un sécheur frigorifique équivalent .<br />\r\nRaccordement en souple<br />\r\n<br />\r\nDélai : DISPONIBLE', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1100.00000000, 220.00000000, 1320.00000000, 'commande/CO2010-1685/CO2010-1685.pdf', NULL, NULL),
(1814, 'CO2010-1686', 1, NULL, NULL, NULL, 2283, NULL, '2020-12-03 10:11:21', '2020-10-08 16:26:41', '2020-10-08 16:29:27', '2020-11-19 14:32:11', '2020-10-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1140.00000000, 0.00000000, 0.00000000, 5700.00000000, 6840.00000000, '', 'Compresseur &agrave; vis RENNER', 'einstein', 1, NULL, NULL, 11, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5700.00000000, 1140.00000000, 6840.00000000, 'commande/CO2010-1686/CO2010-1686.pdf', NULL, NULL),
(1815, 'CO2010-1687', 1, NULL, NULL, NULL, 10087, NULL, '2020-10-29 10:34:33', '2020-10-08 17:11:53', '2020-10-08 17:11:59', '2020-10-29 11:33:32', '2020-10-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 93.07000000, 0.00000000, 0.00000000, 465.36000000, 558.43000000, '', 'Remplacement flexible sur compresseur RLR40 N&deg; WCF151422', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 465.36000000, 93.07000000, 558.43000000, 'commande/CO2010-1687/CO2010-1687.pdf', NULL, NULL),
(1817, 'CO2010-1688', 1, NULL, NULL, NULL, 2765, NULL, '2020-10-29 10:58:46', '2020-10-12 15:19:56', '2020-10-12 15:22:21', '2020-10-29 11:58:33', '2020-10-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 29.80000000, 0.00000000, 0.00000000, 149.02000000, 178.82000000, '', 'membrane beko', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 149.02000000, 29.80000000, 178.82000000, 'commande/CO2010-1688/CO2010-1688.pdf', NULL, NULL),
(1818, 'CO2010-1689', 1, NULL, NULL, NULL, 2011, NULL, '2021-01-04 08:13:13', '2020-10-14 14:45:16', '2020-10-19 09:26:52', '2020-10-19 09:28:06', '2020-10-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 247.47000000, 0.00000000, 0.00000000, 1237.30000000, 1484.77000000, '', 'Maintenance L18', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1237.30000000, 247.47000000, 1484.77000000, 'commande/CO2010-1689/CO2010-1689.pdf', NULL, NULL),
(1819, 'CO2010-1694', 1, NULL, NULL, NULL, 13151, NULL, '2020-10-21 07:09:12', '2020-10-15 10:33:11', '2020-10-21 09:09:12', NULL, '2020-10-15', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 119.00000000, 0.00000000, 0.00000000, 595.00000000, 714.00000000, '', 'Groupe electrogene PROMAC GE 4000', '', 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 595.00000000, 119.00000000, 714.00000000, 'commande/CO2010-1694/CO2010-1694.pdf', NULL, NULL),
(1820, 'CO2010-1690', 1, NULL, NULL, NULL, 5741, NULL, '2020-11-27 13:47:59', '2020-10-16 09:04:31', '2020-10-16 09:04:39', '2020-11-27 14:38:25', '2020-10-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 118.76000000, 0.00000000, 0.00000000, 593.78000000, 712.54000000, '', 'Kit Separateur de condensats :', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 593.78000000, 118.76000000, 712.54000000, 'commande/CO2010-1690/CO2010-1690.pdf', NULL, NULL),
(1821, 'CO2010-1691', 1, NULL, NULL, NULL, 2064, NULL, '2020-10-19 07:53:52', '2020-10-19 09:47:29', '2020-10-19 09:52:11', '2020-10-19 09:52:38', '2020-10-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 429.19000000, 0.00000000, 0.00000000, 2145.90000000, 2575.09000000, '', 'Maintenance L37 N&deg; CD1008491001<br />\r\nflitres reseau eurodry secheur', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2145.90000000, 429.19000000, 2575.09000000, 'commande/CO2010-1691/CO2010-1691.pdf', NULL, NULL),
(1822, 'CO2010-1692', 1, NULL, NULL, NULL, 2370, NULL, '2020-11-26 14:47:05', '2020-10-20 10:43:39', '2020-10-20 10:46:00', '2020-11-26 15:46:22', '2020-10-20', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 977.60000000, 0.00000000, 0.00000000, 4888.00000000, 5865.60000000, '', 'Founiture et installation d\'un compresseur à vis 7.5 Kw 7.5Bar en lieu et place de votre compresseur Genesis 1008  <br />\r\nRécuperation par nos soins du genesis pour valeur 0 euros', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4888.00000000, 977.60000000, 5865.60000000, 'commande/CO2010-1692/CO2010-1692.pdf', NULL, NULL),
(1823, 'CO2010-1693', 1, NULL, NULL, NULL, 1940, NULL, '2021-01-20 10:00:27', '2020-10-20 11:29:20', '2021-01-20 09:51:06', '2021-01-20 09:51:55', '2020-10-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 263.35000000, 0.00000000, 0.00000000, 1316.73000000, 1580.08000000, '', 'Entretien Compresseurs UH<br />\r\n<br />\r\nDélai : 5 jours ouvrés<br />\r\n<br />\r\n<span style=\"font-size:11pt\"><span style=\"font-family:Calibri,sans-serif\">- Contrôles et vérifications  préconisés par le constructeur<br />\r\n- resserrage connexions électriques par nos techniciens dans le local technique<br />\r\n- Hors autres pièces défectueuses pouvant être trouvées <br />\r\n -<u> Garantie 6 mois sur pièces filtration </u><br />\r\n - <u>Prêt GRATUIT </u>d\'un compresseur de 0 à 50 CV ( hors manutention, transport &amp; raccordement)<br />\r\n - Audit GRATUIT , ... etc</span></span><br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1316.73000000, 263.35000000, 1580.08000000, 'commande/CO2010-1693/CO2010-1693.pdf', NULL, NULL),
(1824, 'CO2010-1695', 1, NULL, NULL, NULL, 1948, NULL, '2020-10-21 08:35:39', '2020-10-21 10:27:27', '2020-10-21 10:28:04', '2020-10-21 10:35:03', '2020-10-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 16.88000000, 0.00000000, 0.00000000, 84.40000000, 101.28000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 84.40000000, 16.88000000, 101.28000000, 'commande/CO2010-1695/CO2010-1695.pdf', NULL, NULL),
(1825, 'CO2010-1696', 1, NULL, NULL, NULL, 10293, NULL, '2020-10-29 10:41:58', '2020-10-21 11:03:45', '2020-10-21 11:03:52', '2020-10-29 11:40:54', '2020-10-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 67.08000000, 0.00000000, 0.00000000, 335.40000000, 402.48000000, '', 'Une cuve galva verticale en 200L', '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 335.40000000, 67.08000000, 402.48000000, 'commande/CO2010-1696/CO2010-1696.pdf', NULL, NULL),
(1826, 'CO2010-1697', 1, NULL, NULL, NULL, 5741, NULL, '2020-12-21 10:12:28', '2020-10-21 11:30:51', '2020-10-21 11:31:15', '2020-12-21 11:11:48', '2020-10-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 946.49000000, 0.00000000, 0.00000000, 4732.46000000, 5678.95000000, '', 'Fourniture d&#39;un secheur par r&eacute;frigeration 1000m3/h .<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE<br />\r\n<br />\r\nPromotion exceptionnelle - DESTOCKAGE - Validit&eacute; : 23/10/2020', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4732.46000000, 946.49000000, 5678.95000000, 'commande/CO2010-1697/CO2010-1697.pdf', NULL, NULL),
(1827, 'CO2010-1698', 1, NULL, NULL, NULL, 2234, NULL, '2020-12-02 14:05:04', '2020-10-21 14:12:46', '2020-11-16 09:31:25', '2020-12-02 15:05:04', '2020-10-21', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 575.88000000, 0.00000000, 0.00000000, 2879.46000000, 3455.34000000, '', 'Maintenance L45RS N°CD10005658001 à  18334 HRS<br />\r\nMaintenance du separateur de condensats Owamat 14<br />\r\nRemplacement cartouche filtre reseau<br />\r\n<br />\r\nBL N°4 du 28/10/2020<br />\r\n<br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2879.46000000, 575.88000000, 3455.34000000, 'commande/CO2010-1698/CO2010-1698.pdf', NULL, NULL),
(1828, 'CO2010-1699', 1, NULL, NULL, NULL, 12700, NULL, '2020-11-26 15:57:19', '2020-10-21 16:11:29', '2020-11-26 16:55:13', '2020-11-26 16:55:38', '2020-10-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 112.80000000, 0.00000000, 0.00000000, 563.99000000, 676.79000000, '', 'Maintenance', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 563.99000000, 112.80000000, 676.79000000, 'commande/CO2010-1699/CO2010-1699.pdf', NULL, NULL),
(1829, 'CO2010-1700', 1, NULL, NULL, NULL, 11452, NULL, '2020-11-25 08:56:53', '2020-10-22 10:10:53', '2020-10-22 10:11:02', '2020-11-25 09:54:30', '2020-10-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 197.72000000, 0.00000000, 0.00000000, 988.60000000, 1186.32000000, '', '', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 988.60000000, 197.72000000, 1186.32000000, 'commande/CO2010-1700/CO2010-1700.pdf', NULL, NULL),
(1830, 'CO2010-1701', 1, NULL, NULL, NULL, 2016, NULL, '2021-01-21 10:44:17', '2020-10-22 10:50:09', '2021-01-21 11:43:11', '2021-01-21 11:43:32', '2020-10-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 86.15000000, 0.00000000, 0.00000000, 430.73000000, 516.88000000, '', 'maintenance l05', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 430.73000000, 86.15000000, 516.88000000, 'commande/CO2010-1701/CO2010-1701.pdf', NULL, NULL),
(1831, 'CO2010-1702', 1, NULL, NULL, NULL, 9884, NULL, '2020-12-09 14:12:41', '2020-10-22 16:58:07', '2020-10-22 16:58:15', '2020-12-09 15:12:41', '2020-10-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 377.44000000, 0.00000000, 0.00000000, 1887.18000000, 2264.62000000, '', 'Laveuse CT15B35PACK<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1887.18000000, 377.44000000, 2264.62000000, 'commande/CO2010-1702/CO2010-1702.pdf', NULL, NULL),
(1832, 'CO2010-1703', 1, NULL, NULL, NULL, 1940, NULL, '2021-01-20 08:47:06', '2020-10-23 10:15:36', '2021-01-20 09:44:56', '2021-01-20 09:46:23', '2020-10-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 248.47000000, 0.00000000, 0.00000000, 1242.31000000, 1490.78000000, '', 'Maintenance de votre compresseur L45RS N° CD10023839001 à  HRS<br />\r\nRemplacement cartouches filtres réseaux <br />\r\nMaintenance séparateur de condensats owamat14<br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1242.31000000, 248.47000000, 1490.78000000, 'commande/CO2010-1703/CO2010-1703.pdf', NULL, NULL);
INSERT INTO `llx_commande` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_cloture`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_cloture`, `source`, `fk_statut`, `amount_ht`, `remise_percent`, `remise_absolue`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `facture`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_livraison`, `fk_shipping_method`, `fk_warehouse`, `fk_availability`, `fk_input_reason`, `fk_delivery_address`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(1833, 'CO2010-1704', 1, NULL, NULL, NULL, 2285, NULL, '2021-02-08 09:21:25', '2020-10-26 09:46:49', '2021-02-08 10:20:59', NULL, '2020-10-26', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 4877.60000000, 0.00000000, 0.00000000, 24388.00000000, 29265.60000000, '', 'Local air comprim&eacute;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 24388.00000000, 4877.60000000, 29265.60000000, 'commande/CO2010-1704/CO2010-1704.pdf', NULL, NULL),
(1835, 'CO2010-1705', 1, NULL, NULL, NULL, 2042, NULL, '2020-10-29 09:27:48', '2020-10-27 09:49:04', '2020-10-27 09:49:12', '2020-10-29 10:27:18', '2020-10-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 24.60000000, 0.00000000, 0.00000000, 123.00000000, 147.60000000, '', 'Suite au passage de notre technicien, nous vous proposons ses nattes d&#39;aspiration aimant&eacute;es &agrave; mettre sur votre compresseur . L&#39;environnement etant possiereux cela pourrais endommager le compresseur .<br />\r\n<br />\r\nD&eacute;lai : 7 jours ( dispo Allemagne )&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 123.00000000, 24.60000000, 147.60000000, 'commande/CO2010-1705/CO2010-1705.pdf', NULL, NULL),
(1836, 'CO2010-1706', 1, NULL, NULL, NULL, 12950, NULL, '2020-11-24 13:43:27', '2020-10-27 10:12:29', '2020-10-27 10:12:40', '2020-11-24 14:42:07', '2020-10-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 252.40000000, 0.00000000, 0.00000000, 1262.00000000, 1514.40000000, '', 'secheur par refrigeration et prefiltre cyclonique<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE USINE', '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1262.00000000, 252.40000000, 1514.40000000, 'commande/CO2010-1706/CO2010-1706.pdf', NULL, NULL),
(1837, 'CO2010-1707', 1, NULL, NULL, NULL, 10640, NULL, '2020-11-04 09:50:16', '2020-10-27 11:11:18', '2020-11-04 10:50:16', NULL, '2020-10-27', 5, 5, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 7782.58000000, 0.00000000, 0.00000000, 38913.00000000, 46695.58000000, '', 'Local air comprimé : Mise en place d\'un compresseur avec  systeme de variation de  vitesse 26 KW avec secheur par réfrigeration et reservoir 900Litres.<br />\r\nReseau en inox serti d\'environ 426 metres diametre 35 .<br />\r\n<br />\r\nAdresse des travaux : <br />\r\nSAVAJOLS<br />\r\nZI Des fouillouses<br />\r\n26140 SAINT RAMBERT d\'ALBON<br />\r\n<br />\r\nReglement : 50% à la commande <br />\r\n<strong>Solde des 50 % restants, à la facture \'\'fin des travaux\'<br />\r\n<br />\r\nEscompte déjà déduit</strong>', 'einstein', 0, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 38913.00000000, 7782.58000000, 46695.58000000, 'commande/CO2010-1707/CO2010-1707.pdf', NULL, NULL),
(1838, 'CO2010-1708', 1, NULL, NULL, NULL, 2117, NULL, '2020-10-27 13:45:50', '2020-10-27 14:45:06', '2020-10-27 14:45:21', NULL, '2020-10-27', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 1.40000000, 0.00000000, 0.00000000, 7.00000000, 8.40000000, '', 'filtre a air L04', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 7.00000000, 1.40000000, 8.40000000, 'commande/CO2010-1708/CO2010-1708.pdf', NULL, NULL),
(1839, 'CO2010-1709', 1, NULL, NULL, NULL, 13160, NULL, '2020-11-03 08:55:00', '2020-10-27 14:51:17', '2020-10-27 14:51:24', NULL, '2020-10-27', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 28.94000000, 0.00000000, 0.00000000, 144.68000000, 173.62000000, '', 'Pieces pour maintenance compresseur L04 Compair', '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 144.68000000, 28.94000000, 173.62000000, 'commande/CO2010-1709/CO2010-1709.pdf', NULL, NULL),
(1840, 'CO2010-1710', 1, NULL, NULL, NULL, 2358, NULL, '2021-01-22 15:13:34', '2020-10-27 15:00:37', '2020-10-27 15:01:09', '2020-12-08 11:10:31', '2020-10-27', 4, NULL, 4, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1031.98000000, 0.00000000, 0.00000000, 5159.85000000, 6191.83000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5159.85000000, 1031.98000000, 6191.83000000, 'commande/CO2010-1710/CO2010-1710.pdf', NULL, NULL),
(1841, 'CO2010-1711', 1, NULL, NULL, NULL, 12950, NULL, '2020-11-24 15:12:35', '2020-10-28 10:38:18', '2020-10-28 10:42:01', '2020-11-24 16:12:10', '2020-10-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 35.44000000, 0.00000000, 0.00000000, 177.20000000, 212.64000000, '', 'Cale en cahoutchouc H80mm<br />\r\n<br />\r\nDisponible usine', '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 177.20000000, 35.44000000, 212.64000000, 'commande/CO2010-1711/CO2010-1711.pdf', NULL, NULL),
(1842, 'CO2010-1712', 1, NULL, NULL, NULL, 11251, NULL, '2021-02-15 09:57:36', '2020-10-28 15:46:09', '2020-10-28 15:47:46', NULL, '2020-10-28', 5, NULL, 5, NULL, NULL, 2, 0.00000000, 0, NULL, 0, 3259.99000000, 0.00000000, 0.00000000, 16300.00000000, 19559.99000000, '', 'Local air comprim&eacute;', '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 16300.00000000, 3259.99000000, 19559.99000000, 'commande/CO2010-1712/CO2010-1712.pdf', NULL, NULL),
(1843, 'CO2010-1713', 1, NULL, NULL, NULL, 1955, NULL, '2020-10-29 09:09:49', '2020-10-29 10:08:40', '2020-10-29 10:09:24', '2020-10-29 10:09:37', '2020-10-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 33.30000000, 0.00000000, 0.00000000, 166.48000000, 199.78000000, '', 'D&eacute;pannage compresseur L07 ( probleme de temperature ) et secheur F11C HP d&eacute;clench&eacute;<br />\r\n<br />\r\nBL N&deg;02 du 21/10/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 166.48000000, 33.30000000, 199.78000000, 'commande/CO2010-1713/CO2010-1713.pdf', NULL, NULL),
(1844, 'CO2010-1742', 1, NULL, NULL, NULL, 1990, NULL, '2020-12-01 09:25:26', '2020-10-29 10:18:33', '2020-12-01 10:24:45', '2020-12-01 10:25:11', '2020-10-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 243.80000000, 0.00000000, 0.00000000, 1218.87000000, 1462.67000000, '', 'Raccordement chauffe eau et melangeur suivant votre demande&nbsp;<br />\r\n<br />\r\nBL N&deg;39 du 26/10/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1218.87000000, 243.80000000, 1462.67000000, 'commande/CO2010-1742/CO2010-1742.pdf', NULL, NULL),
(1845, 'CO2010-1714', 1, NULL, NULL, NULL, 2157, NULL, '2020-10-29 10:10:21', '2020-10-29 11:07:24', '2020-10-29 11:10:00', '2020-10-29 11:10:21', '2020-10-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 225.58000000, 0.00000000, 0.00000000, 1127.90000000, 1353.48000000, '', 'Maintennace compresseur L15 &agrave; 23354 HRS<br />\r\n<br />\r\nBL N&deg;50 du 14/10/2020', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1127.90000000, 225.58000000, 1353.48000000, 'commande/CO2010-1714/CO2010-1714.pdf', NULL, NULL),
(1846, 'CO2010-1715', 1, NULL, NULL, NULL, 12950, NULL, '2020-11-03 08:49:52', '2020-10-29 11:27:22', '2020-10-29 11:27:31', '2020-11-03 09:49:36', '2020-10-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 132.20000000, 0.00000000, 0.00000000, 661.00000000, 793.20000000, '', 'Nettoyeur HP&nbsp;<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE USINE', '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 661.00000000, 132.20000000, 793.20000000, 'commande/CO2010-1715/CO2010-1715.pdf', NULL, NULL),
(1848, 'CO2010-1716', 1, NULL, NULL, NULL, 2064, NULL, '2020-11-24 13:52:37', '2020-10-30 09:28:18', '2020-10-30 09:28:52', '2020-11-24 14:51:50', '2020-10-30', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1099.75000000, 0.00000000, 0.00000000, 5498.74000000, 6598.49000000, '', 'Remplacement de 4 reservoirs verticaux avec certificat d\'epreuve et kit securité.<br />\r\nMain d\'oeuvre et deplacement calculé pour 1interventions à 2 personnes pour les quatres reservoirs.<br />\r\n ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5498.74000000, 1099.75000000, 6598.49000000, 'commande/CO2010-1716/CO2010-1716.pdf', NULL, NULL),
(1849, 'CO2011-1717', 1, NULL, NULL, NULL, 2161, NULL, '2020-11-02 08:25:24', '2020-11-02 09:25:18', '2020-11-02 09:25:23', NULL, '2020-11-02', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 225.47000000, 0.00000000, 0.00000000, 1127.41000000, 1352.88000000, 'signé pour l\'année 2019', 'Maintenance compresseur ROLLAIR 15 - 8B N° CAI410726 à 35710 HRS<br />\r\nRemplacement des cartouches des filtres reseaux<br />\r\n<br />\r\nBL N° 03 du 03/02/2020', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1127.41000000, 225.47000000, 1352.88000000, 'commande/CO2011-1717/CO2011-1717.pdf', NULL, NULL),
(1850, 'CO2011-1864', 1, NULL, NULL, NULL, 2161, NULL, '2021-02-09 14:58:47', '2020-11-02 09:29:56', '2021-02-09 15:57:59', NULL, '2020-11-02', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 427.48000000, 0.00000000, 0.00000000, 2137.51000000, 2564.99000000, 'signé pour l\'année 2019', 'Base contrat de maintenance 2019 :', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2137.51000000, 427.48000000, 2564.99000000, 'commande/CO2011-1864/CO2011-1864.pdf', NULL, NULL),
(1851, 'CO2011-1718', 1, NULL, NULL, NULL, 13053, NULL, '2020-12-03 10:33:33', '2020-11-02 09:30:08', '2020-12-03 11:30:26', '2020-12-03 11:30:54', '2020-11-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 400.15000000, 0.00000000, 0.00000000, 2000.85000000, 2401.00000000, 'signé pour l\'année 2019', 'Base contrat de maintenance 2019 :', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2000.85000000, 400.15000000, 2401.00000000, 'commande/CO2011-1718/CO2011-1718.pdf', NULL, NULL),
(1852, 'CO2011-1719', 1, NULL, NULL, NULL, 13053, NULL, '2020-12-03 10:48:15', '2020-11-02 09:35:12', '2020-11-02 09:38:25', '2020-12-03 11:45:12', '2020-11-02', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 110.93000000, 0.00000000, 0.00000000, 554.66000000, 665.59000000, '', 'secheur alumine parker ', 'einstein', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 554.66000000, 110.93000000, 665.59000000, 'commande/CO2011-1719/CO2011-1719.pdf', NULL, NULL),
(1853, 'CO2011-1720', 1, NULL, NULL, NULL, 2285, NULL, '2020-11-24 09:15:39', '2020-11-02 10:37:44', '2020-11-02 10:37:54', '2020-11-24 10:14:19', '2020-11-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1907.79000000, 0.00000000, 0.00000000, 9538.96000000, 11446.75000000, '', 'Estimatif: Aspiration des murs en bardage pour depoussierage<br />\r\n1 grosse semaine 2 techniciens <br />\r\n( confirmation entretien téléphonique avec Mr Balazard Alain )<br />\r\n<br />\r\nRéglement : en 3 fois sans frais <br />\r\n40% à la commande par virement<br />\r\n30% 60 Jours<br />\r\n30% 90 jours<br />\r\n<br />\r\nDélai :  Novembre 2020<br />\r\n ', '', 1, NULL, NULL, 15, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 9538.96000000, 1907.79000000, 11446.75000000, 'commande/CO2011-1720/CO2011-1720.pdf', NULL, NULL),
(1854, 'CO2011-1721', 1, NULL, NULL, NULL, 2036, NULL, '2020-11-24 14:23:49', '2020-11-03 14:17:13', '2020-11-03 14:18:38', '2020-11-24 15:23:17', '2020-11-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 23.93000000, 0.00000000, 0.00000000, 119.66000000, 143.59000000, '', 'maintenance rs pro 4 , ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 119.66000000, 23.93000000, 143.59000000, 'commande/CO2011-1721/CO2011-1721.pdf', NULL, NULL),
(1855, 'CO2011-1722', 1, NULL, NULL, NULL, 2279, NULL, '2020-12-01 10:52:46', '2020-11-03 14:50:33', '2020-11-03 14:51:00', '2020-12-01 11:52:02', '2020-11-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 214.97000000, 0.00000000, 0.00000000, 1074.86000000, 1289.83000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1074.86000000, 214.97000000, 1289.83000000, 'commande/CO2011-1722/CO2011-1722.pdf', NULL, NULL),
(1857, 'CO2011-1723', 1, NULL, NULL, NULL, 5741, NULL, '2020-11-27 13:13:17', '2020-11-05 09:17:59', '2020-11-05 09:18:08', '2020-11-27 14:12:51', '2020-11-05', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 285.92000000, 0.00000000, 0.00000000, 1429.60000000, 1715.52000000, '', 'offre de prix :<br />\r\nles deux kits 4000 h et 8000h sur notre compresseur<br />\r\nReference L75 N&deg;10005618002<br />\r\n&nbsp;', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1429.60000000, 285.92000000, 1715.52000000, 'commande/CO2011-1723/CO2011-1723.pdf', NULL, NULL),
(1858, 'CO2011-1724', 1, NULL, NULL, NULL, 2279, NULL, '2020-12-01 10:55:29', '2020-11-06 11:48:13', '2020-11-06 11:48:28', '2020-12-01 11:54:55', '2020-11-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 339.99000000, 0.00000000, 0.00000000, 1699.98000000, 2039.97000000, '', 'Remplacement de votre reservoir 1000Litres par un reservoir 900Litres.Intervention pr&eacute;vu en m&ecirc;me temps que la maintenance du compresseur L50 .<br />\r\nD&eacute;placement non inclus dans l&#39;offre ( inclus dans le forfait maintenance compresseur L50 .&nbsp;<br />\r\nComme vu avec Mr Balzard ce jour .&nbsp;<br />\r\n&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1699.98000000, 339.99000000, 2039.97000000, 'commande/CO2011-1724/CO2011-1724.pdf', NULL, NULL),
(1859, 'CO2011-1725', 1, NULL, NULL, NULL, 2086, NULL, '2020-11-24 14:58:14', '2020-11-16 11:28:37', '2020-11-16 11:29:23', '2020-11-18 14:30:21', '2020-11-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 18.38000000, 0.00000000, 0.00000000, 91.90000000, 110.28000000, '', 'Commande du 16/11/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 91.90000000, 18.38000000, 110.28000000, 'commande/CO2011-1725/CO2011-1725.pdf', NULL, NULL),
(1860, 'CO2011-1726', 1, NULL, NULL, NULL, 12950, NULL, '2020-11-16 15:30:06', '2020-11-16 16:29:46', '2020-11-16 16:29:52', NULL, '2020-11-16', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 13.60000000, 0.00000000, 0.00000000, 68.00000000, 81.60000000, '', 'Purge temporis&eacute;e', '', 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 68.00000000, 13.60000000, 81.60000000, 'commande/CO2011-1726/CO2011-1726.pdf', NULL, NULL),
(1861, 'CO2011-1727', 1, NULL, NULL, NULL, 13188, NULL, '2020-12-04 08:09:28', '2020-11-18 09:22:30', '2020-11-18 09:22:39', NULL, '2020-11-18', 5, NULL, 5, NULL, NULL, 2, 0.00000000, 0, NULL, 0, 8.81000000, 0.00000000, 0.00000000, 44.03000000, 52.84000000, '', '<pre>\r\nle joint num&eacute;ro 13/102 r&eacute;f&eacute;rence du sch&eacute;ma\r\n\r\n\r\n</pre>\r\n\r\n<pre>\r\nD&eacute;lai estim&eacute; &agrave; : 2-3 jours	</pre>\r\n', '', 1, NULL, NULL, 11, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 44.03000000, 8.81000000, 52.84000000, 'commande/CO2011-1727/CO2011-1727.pdf', NULL, NULL),
(1862, 'CO2011-1728', 1, NULL, NULL, 'Chantier à GANNAT', 11364, NULL, '2020-12-18 15:02:10', '2020-11-18 10:24:26', '2020-11-18 10:24:32', NULL, '2020-11-18', 5, NULL, 5, NULL, NULL, -1, 0.00000000, 0, NULL, 0, 1194.00000000, 0.00000000, 0.00000000, 5970.00000000, 7164.00000000, '', 'Pose tuyauterie alu à GANNAT. Environ 130 M en Ø 40 et 54 M en Ø 25.  La boucle Ø 40 comprend 10 departs avec vannes 3/4\" , 3 attentes sur vannes 1\"1/4 et une descente au local compresseur. La boucle en Ø 25 est raccordée sur la boucle Ø 40 par 2 vannes 3/4, 8 departs en 1/2\" seront en attente. Toutes les fournitures du reseau (tuyaux, tés, tés reduits, manchons, coudes, vannes, colliers, raccords divers) sont à votre charge ainsi qu\'une nacelle <strong><u>ciseau </u></strong>adaptée à la hauteur de pose.<br />\r\nNous fournirons le materiel necessaire au supportage ainsi que le ruban d\'etancheité. Nous prevoyons environ 3 jours à 2 de travail + le temps de deplacement+ l\'hebergement.<br />\r\nLe devis ne tient pas compte des travaux dans le local compresseur .<br />\r\nNous avons bien noté que le batiment est vide et qu\'il n\'y a aucune entrave pour le passage de la nacelle.', '', 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5970.00000000, 1194.00000000, 7164.00000000, 'commande/CO2011-1728/CO2011-1728.pdf', NULL, NULL),
(1863, 'CO2011-1729', 1, NULL, NULL, NULL, 2378, NULL, '2021-01-29 10:14:46', '2020-11-19 09:14:51', '2020-11-19 09:15:33', '2021-01-29 11:13:48', '2020-11-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 557.47000000, 0.00000000, 0.00000000, 2787.37000000, 3344.84000000, '', 'Maintenance L45RS&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2787.37000000, 557.47000000, 3344.84000000, 'commande/CO2011-1729/CO2011-1729.pdf', NULL, NULL),
(1864, 'CO2011-1730', 1, NULL, NULL, NULL, 2223, NULL, '2020-12-01 11:05:13', '2020-11-19 09:20:23', '2020-12-01 12:03:28', '2020-12-01 12:04:24', '2020-11-19', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 128.14000000, 0.00000000, 0.00000000, 640.69000000, 768.83000000, '', 'Maintenance compresseur&nbsp; RSDK PRO ECN 7.5 7 .5 bars et remplacement cartouche filtre reseau&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 640.69000000, 128.14000000, 768.83000000, 'commande/CO2011-1730/CO2011-1730.pdf', NULL, NULL),
(1865, 'CO2011-1731', 1, NULL, NULL, NULL, 13101, NULL, '2020-12-02 08:43:58', '2020-11-20 09:30:34', '2020-11-20 09:30:42', '2020-12-02 09:43:58', '2020-11-20', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 287.00000000, 0.00000000, 0.00000000, 1435.00000000, 1722.00000000, '', '', '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1435.00000000, 287.00000000, 1722.00000000, 'commande/CO2011-1731/CO2011-1731.pdf', NULL, NULL),
(1866, 'CO2011-1732', 1, NULL, NULL, NULL, 2286, NULL, '2020-11-24 09:33:04', '2020-11-24 10:31:23', '2020-11-24 10:31:32', '2020-11-24 10:32:04', '2020-11-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 575.27000000, 0.00000000, 0.00000000, 2876.38000000, 3451.65000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2876.38000000, 575.27000000, 3451.65000000, 'commande/CO2011-1732/CO2011-1732.pdf', NULL, NULL),
(1867, 'CO2011-1733', 1, NULL, NULL, NULL, 2064, NULL, '2020-11-24 14:38:22', '2020-11-24 15:31:10', '2020-11-24 15:31:26', '2020-11-24 15:36:34', '2020-11-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 211.87000000, 0.00000000, 0.00000000, 1059.35000000, 1271.22000000, '', 'remplacement acouplement sur compresseur L37 de 2012 N&deg;CD001<br />\r\nRemplacement separateur sur compresseur L37 N&deg; CD0002&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1059.35000000, 211.87000000, 1271.22000000, 'commande/CO2011-1733/CO2011-1733.pdf', NULL, NULL),
(1868, 'CO2011-1734', 1, NULL, NULL, NULL, 2177, NULL, '2020-12-17 14:18:26', '2020-11-25 09:20:48', '2020-11-25 09:20:56', '2020-12-17 15:16:27', '2020-11-25', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 119.41000000, 0.00000000, 0.00000000, 597.04000000, 716.45000000, '', 'Maintenance compresseur L07RS à ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 597.04000000, 119.41000000, 716.45000000, 'commande/CO2011-1734/CO2011-1734.pdf', NULL, NULL),
(1869, 'CO2011-1735', 1, NULL, NULL, NULL, 13145, NULL, '2020-12-17 13:29:29', '2020-11-25 14:55:20', '2020-11-25 14:55:27', '2020-12-17 14:29:05', '2020-11-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 27.90000000, 0.00000000, 0.00000000, 139.50000000, 167.40000000, '', 'Purgeur avec adpatateur&nbsp;<br />\r\n<br />\r\nD&eacute;lai : 15 jours &agrave; reception de commande', '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 139.50000000, 27.90000000, 167.40000000, 'commande/CO2011-1735/CO2011-1735.pdf', NULL, NULL),
(1870, 'CO2011-1736', 1, NULL, NULL, NULL, 6259, NULL, '2020-12-03 10:23:00', '2020-11-25 15:19:42', '2020-11-25 15:19:54', NULL, '2020-11-25', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 56.38000000, 0.00000000, 0.00000000, 281.89000000, 338.27000000, '', '', 'einstein', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 281.89000000, 56.38000000, 338.27000000, 'commande/CO2011-1736/CO2011-1736.pdf', NULL, NULL),
(1871, 'CO2011-1737', 1, NULL, NULL, NULL, 2178, NULL, '2020-12-01 09:56:23', '2020-11-25 15:57:50', '2020-11-25 15:58:05', '2020-12-01 10:55:57', '2020-11-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 105.74000000, 0.00000000, 0.00000000, 528.72000000, 634.46000000, '', 'perceuse 10 mm non reversible&nbsp;<br />\r\navec mandrin au choix :<br />\r\nmandrin avec cl&eacute; de D13mm<br />\r\nmandrin autoserrant 13mm', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 528.72000000, 105.74000000, 634.46000000, 'commande/CO2011-1737/CO2011-1737.pdf', NULL, NULL),
(1872, 'CO2011-1738', 1, NULL, NULL, NULL, 2273, NULL, '2020-11-26 08:54:21', '2020-11-26 09:52:52', '2020-11-26 09:53:54', '2020-11-26 09:54:03', '2020-11-26', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 34.08000000, 0.00000000, 0.00000000, 170.36000000, 204.44000000, '', 'Intervention suite &agrave; probleme de temperature sur compresseur devillbiss.', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 170.36000000, 34.08000000, 204.44000000, 'commande/CO2011-1738/CO2011-1738.pdf', NULL, NULL),
(1873, 'CO2011-1739', 1, NULL, NULL, NULL, 2054, NULL, '2020-12-22 08:27:39', '2020-11-27 09:13:09', '2020-12-18 14:53:09', '2020-12-22 09:22:44', '2020-11-27', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 307.68000000, 0.00000000, 0.00000000, 1538.40000000, 1846.08000000, '', 'maintenance l26rs cd10036911001 à 9887 HRS<br />\r\nBL N°21 du 04/12/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1538.40000000, 307.68000000, 1846.08000000, 'commande/CO2011-1739/CO2011-1739.pdf', NULL, NULL),
(1874, 'CO2011-1740', 1, NULL, NULL, NULL, 2376, NULL, '2020-11-27 09:47:15', '2020-11-27 09:56:50', '2020-11-27 09:57:01', '2020-11-27 09:57:31', '2020-11-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 297.31000000, 0.00000000, 0.00000000, 1486.55000000, 1783.86000000, '', 'Remplacement s&eacute;cheur&nbsp; MPF140 Hors service par un s&eacute;cheur &eacute;quivalent - modification du bypass en inox et raccordement', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1486.55000000, 297.31000000, 1783.86000000, 'commande/CO2011-1740/CO2011-1740.pdf', NULL, NULL),
(1875, 'CO2011-1741', 1, NULL, NULL, NULL, 11452, NULL, '2020-12-14 09:08:23', '2020-11-27 11:12:13', '2020-11-27 11:23:29', '2020-12-14 10:08:12', '2020-11-27', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 37.30000000, 0.00000000, 0.00000000, 186.50000000, 223.80000000, '', '5 Coupleurs&nbsp;', '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 186.50000000, 37.30000000, 223.80000000, 'commande/CO2011-1741/CO2011-1741.pdf', NULL, NULL),
(1876, 'CO2012-1743', 1, NULL, NULL, NULL, 2149, NULL, '2020-12-01 09:45:37', '2020-12-01 10:42:07', '2020-12-01 10:45:19', '2020-12-01 10:45:23', '2020-12-01', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 34.28000000, 0.00000000, 0.00000000, 171.37000000, 205.65000000, '', 'R&eacute;paration r&eacute;seau d&#39;air diam&egrave;tre 25<br />\r\n<br />\r\nBL N&deg;50 du 10/11/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 171.37000000, 34.28000000, 205.65000000, 'commande/CO2012-1743/CO2012-1743.pdf', NULL, NULL),
(1877, 'CO2012-1744', 1, NULL, NULL, NULL, 5741, NULL, '2020-12-21 10:10:11', '2020-12-03 09:08:13', '2020-12-03 09:08:41', '2020-12-21 11:09:52', '2020-12-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 62.31000000, 0.00000000, 0.00000000, 311.57000000, 373.88000000, '', 'Caisse a outils:<br />\r\n<br />\r\nDISPONIBLE USINE', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 311.57000000, 62.31000000, 373.88000000, 'commande/CO2012-1744/CO2012-1744.pdf', NULL, NULL),
(1878, 'CO2012-1745', 1, NULL, NULL, NULL, 2283, NULL, '2020-12-03 10:06:05', '2020-12-03 11:00:21', '2020-12-03 11:04:25', '2020-12-03 11:05:05', '2020-12-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 300.34000000, 0.00000000, 0.00000000, 1501.74000000, 1802.08000000, '', 'Prolongation reseaux inox diametre 22 et pose enrouleur ( en votre possession )&nbsp;<br />\r\n<br />\r\nBL N&deg;46 du 04/11/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1501.74000000, 300.34000000, 1802.08000000, 'commande/CO2012-1745/CO2012-1745.pdf', NULL, NULL),
(1879, 'CO2012-1746', 1, NULL, NULL, NULL, 2352, NULL, '2020-12-24 09:49:02', '2020-12-03 14:11:17', '2020-12-24 10:44:24', '2020-12-24 10:48:02', '2020-12-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 466.25000000, 0.00000000, 0.00000000, 2331.25000000, 2797.50000000, '', 'Maintenance L37RS', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2331.25000000, 466.25000000, 2797.50000000, 'commande/CO2012-1746/CO2012-1746.pdf', NULL, NULL),
(1880, 'CO2012-1747', 1, NULL, NULL, NULL, 2347, NULL, '2020-12-18 09:02:45', '2020-12-03 14:48:28', '2020-12-18 09:59:38', '2020-12-18 10:01:08', '2020-12-03', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 228.91000000, 0.00000000, 0.00000000, 1144.54000000, 1373.45000000, '', 'maintenance L15RS N&deg;CD10021874001 - 8000 HRS', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1144.54000000, 228.91000000, 1373.45000000, 'commande/CO2012-1747/CO2012-1747.pdf', NULL, NULL),
(1881, 'CO2012-1748', 1, NULL, NULL, NULL, 2331, NULL, '2020-12-16 14:16:47', '2020-12-04 09:55:03', '2020-12-16 15:15:54', NULL, '2020-12-04', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 177.07000000, 0.00000000, 0.00000000, 885.30000000, 1062.37000000, '', '', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 885.30000000, 177.07000000, 1062.37000000, 'commande/CO2012-1748/CO2012-1748.pdf', NULL, NULL),
(1882, 'CO2012-1749', 1, NULL, NULL, NULL, 1988, NULL, '2020-12-17 13:08:19', '2020-12-04 11:48:42', '2020-12-17 14:05:57', '2020-12-17 14:07:19', '2020-12-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 204.89000000, 0.00000000, 0.00000000, 1024.46000000, 1229.35000000, '', 'Maintenance L55RS SUivant contrat de maintenance', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1024.46000000, 204.89000000, 1229.35000000, 'commande/CO2012-1749/CO2012-1749.pdf', NULL, NULL),
(1883, 'CO2012-1750', 1, NULL, NULL, NULL, 12584, NULL, '2021-02-12 14:28:17', '2020-12-04 11:53:34', '2020-12-04 11:53:38', '2021-02-12 15:27:39', '2020-12-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 181.10000000, 0.00000000, 0.00000000, 905.50000000, 1086.60000000, '', 'maintenance rsf11<br />\r\nmaintenance separateur de condensats<br />\r\nremplacement cartouche filtre reseau', '', 1, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 905.50000000, 181.10000000, 1086.60000000, 'commande/CO2012-1750/CO2012-1750.pdf', NULL, NULL),
(1884, 'CO2012-1751', 1, NULL, NULL, NULL, 5741, NULL, '2020-12-22 08:48:44', '2020-12-04 11:56:58', '2020-12-04 11:57:04', '2020-12-18 16:17:07', '2020-12-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 364.32000000, 0.00000000, 0.00000000, 1821.60000000, 2185.92000000, '', '', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1821.60000000, 364.32000000, 2185.92000000, 'commande/CO2012-1751/CO2012-1751.pdf', NULL, NULL),
(1885, 'CO2012-1752', 1, NULL, NULL, NULL, 2060, NULL, '2021-01-29 11:00:26', '2020-12-04 14:09:16', '2020-12-04 14:09:24', '2021-01-29 11:58:57', '2020-12-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 344.19000000, 0.00000000, 0.00000000, 1720.98000000, 2065.17000000, '', 'Maintenance de votre compresseur Sprint 051 N° 149802/38<br />\r\nMaintenance Sprint 051 N° 149802/37<br />\r\nMaintenance  Sprint 041 N°149567/18<br />\r\nMaintenance separateur de condensats SUPERSPLUS30<br />\r\nRemplacement cartouche filtre réseau', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1720.98000000, 344.19000000, 2065.17000000, 'commande/CO2012-1752/CO2012-1752.pdf', NULL, NULL),
(1886, 'CO2012-1753', 1, NULL, NULL, NULL, 2054, NULL, '2020-12-22 08:08:27', '2020-12-04 14:59:19', '2020-12-18 12:14:17', '2020-12-22 09:07:55', '2020-12-04', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 428.62000000, 0.00000000, 0.00000000, 2143.07000000, 2571.69000000, '', 'Maintenance compresseur Sullair WA3008  à 36058 HRS<br />\r\nBL N°9 du 16/12/2020<br />\r\n<br />\r\net deux interventions de dépannages : <br />\r\n07/09/2020 BL N° 22<br />\r\n04/12/2020 BL N° 21 pas de frais de déplacement car intervention de maintenance du L26RS STATION MAIS<br />\r\n<br />\r\nSite de livraision : <br />\r\nCooperative OXYANE<br />\r\nSTATION MAIS<br />\r\n361 Chemin du Pouloux,<br />\r\n38270 Beaurepaire<br />\r\n<br />\r\nCommande S981 20 12 3511PM<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2143.07000000, 428.62000000, 2571.69000000, 'commande/CO2012-1753/CO2012-1753.pdf', NULL, NULL),
(1887, 'CO2012-1754', 1, NULL, NULL, NULL, 10144, NULL, '2021-01-25 13:12:00', '2020-12-07 08:52:33', '2021-01-25 14:11:16', '2021-01-25 14:12:00', '2020-12-07', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 154.31000000, 0.00000000, 0.00000000, 771.50000000, 925.81000000, '', 'Maintenance  rsf 22 10 bars n°830076 à HRS<br />\r\n<br />\r\nRemplacement kit separateur de condensats<br />\r\nRemplacement cartouche filtre BEA300RA<br />\r\n<br />\r\n<br />\r\n<br />\r\n ', 'einstein', 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 771.50000000, 154.31000000, 925.81000000, 'commande/CO2012-1754/CO2012-1754.pdf', NULL, NULL),
(1888, 'CO2012-1755', 1, NULL, NULL, NULL, 2020, NULL, '2020-12-07 14:19:52', '2020-12-07 14:32:51', '2020-12-07 15:18:45', '2020-12-07 15:19:36', '2020-12-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 166.41000000, 0.00000000, 0.00000000, 832.07000000, 998.48000000, '', 'Deplacement compresseur L22 &agrave; la place u L07 avec son secheur .<br />\r\nRaccordement et essai&nbsp;<br />\r\n<br />\r\nBL N&deg;17 du 30/11/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 832.07000000, 166.41000000, 998.48000000, 'commande/CO2012-1755/CO2012-1755.pdf', NULL, NULL),
(1889, 'CO2012-1756', 1, NULL, NULL, NULL, 10563, NULL, '2020-12-22 09:09:29', '2020-12-08 14:59:39', '2020-12-08 14:59:49', '2020-12-22 10:08:48', '2020-12-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 280.52000000, 0.00000000, 0.00000000, 1402.61000000, 1683.13000000, '', 'Remplacement en lieu et place de votre reservoir 900Litres&nbsp;<br />\r\n<br />\r\nRaccordement en flexible.<br />\r\n<br />\r\nD&eacute;lai : 3 Jours', '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1402.61000000, 280.52000000, 1683.13000000, 'commande/CO2012-1756/CO2012-1756.pdf', NULL, NULL),
(1890, 'CO2012-1757', 1, NULL, NULL, NULL, 13149, NULL, '2020-12-15 08:12:34', '2020-12-08 15:22:53', '2020-12-08 15:23:12', '2020-12-15 09:11:49', '2020-12-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 194.00000000, 0.00000000, 0.00000000, 970.00000000, 1164.00000000, '', 'Groupe electrogene 230V _ 6500N Promac', '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 970.00000000, 194.00000000, 1164.00000000, 'commande/CO2012-1757/CO2012-1757.pdf', NULL, NULL),
(1891, 'CO2012-1758', 1, NULL, NULL, NULL, 13182, NULL, '2020-12-18 15:26:03', '2020-12-08 15:29:08', '2020-12-08 15:29:17', '2020-12-18 16:24:56', '2020-12-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1194.00000000, 0.00000000, 0.00000000, 5970.00000000, 7164.00000000, '', 'Pose tuyauterie alu à GANNAT. Environ 130 M en Ø 40 et 54 M en Ø 25.  La boucle Ø 40 comprend 10 departs avec vannes 3/4\" , 3 attentes sur vannes 1\"1/4 et une descente au local compresseur. La boucle en Ø 25 est raccordée sur la boucle Ø 40 par 2 vannes 3/4, 8 departs en 1/2\" seront en attente. Toutes les fournitures du reseau (tuyaux, tés, tés reduits, manchons, coudes, vannes, colliers, raccords divers) sont à votre charge ainsi qu\'une nacelle <strong><u>ciseau </u></strong>adaptée à la hauteur de pose.<br />\r\nNous fournirons le materiel necessaire au supportage ainsi que le ruban d\'etancheité. Nous prevoyons environ 3 jours à 2 de travail + le temps de deplacement+ l\'hebergement.<br />\r\nLe devis ne tient pas compte des travaux dans le local compresseur .<br />\r\nNous avons bien noté que le batiment est vide et qu\'il n\'y a aucune entrave pour le passage de la nacelle.', '', 1, NULL, NULL, 12, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5970.00000000, 1194.00000000, 7164.00000000, 'commande/CO2012-1758/CO2012-1758.pdf', NULL, NULL),
(1892, 'CO2012-1759', 1, NULL, NULL, NULL, 2407, NULL, '2020-12-17 10:29:41', '2020-12-08 15:33:15', '2020-12-17 11:26:57', '2020-12-17 11:29:17', '2020-12-08', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 419.70000000, 0.00000000, 0.00000000, 2098.50000000, 2518.20000000, '', 'Maintenance L29RS N° CD10039882001 à 18386 HRS<br />\r\n<br />\r\nBL N°23 du 10/12/2020<br />\r\n<br />\r\nSUIVANT CONTRAT DE MAINTENANCE <br />\r\nCommande initiale : 911212736-0-10760', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2098.50000000, 419.70000000, 2518.20000000, 'commande/CO2012-1759/CO2012-1759.pdf', NULL, NULL),
(1894, 'CO2012-1760', 1, NULL, NULL, NULL, 2124, NULL, '2021-01-22 13:45:58', '2020-12-09 15:27:18', '2020-12-09 15:27:31', '2021-01-22 14:44:01', '2020-12-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 589.75000000, 0.00000000, 0.00000000, 2948.77000000, 3538.52000000, '', 'Remplacement en lieu et place de vos 4 reservoirs : <br />\r\n<br />\r\nNacelle à votre charge<br />\r\n<br />\r\nDélai : Commande imperative avant le 18 Décembre pour éxécution des travaux semaine 2 de 2021', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2948.77000000, 589.75000000, 3538.52000000, 'commande/CO2012-1760/CO2012-1760.pdf', NULL, NULL),
(1895, 'CO2012-1761', 1, NULL, NULL, NULL, 13053, NULL, '2020-12-10 08:35:23', '2020-12-10 09:25:53', '2020-12-10 09:34:14', '2020-12-10 09:34:22', '2020-12-10', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 241.30000000, 0.00000000, 0.00000000, 1206.65000000, 1447.95000000, 'signé pour l\'année 2019', 'Base contrat de maintenance 2020 :', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1206.65000000, 241.30000000, 1447.95000000, 'commande/CO2012-1761/CO2012-1761.pdf', NULL, NULL),
(1896, 'CO2012-1762', 1, NULL, NULL, NULL, 7066, NULL, '2021-01-22 14:21:52', '2020-12-10 09:42:08', '2020-12-10 09:42:17', '2021-01-22 15:21:00', '2020-12-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 27.25000000, 0.00000000, 0.00000000, 136.26000000, 163.51000000, '', 'Demande du 09/12/2020', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 136.26000000, 27.25000000, 163.51000000, 'commande/CO2012-1762/CO2012-1762.pdf', NULL, NULL),
(1897, 'CO2012-1763', 1, NULL, NULL, NULL, 2350, NULL, '2021-02-12 14:35:03', '2020-12-10 11:29:42', '2021-01-28 15:38:20', '2021-01-28 15:38:41', '2020-12-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 493.92000000, 0.00000000, 0.00000000, 2469.61000000, 2963.53000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2469.61000000, 493.92000000, 2963.53000000, 'commande/CO2012-1763/CO2012-1763.pdf', NULL, NULL),
(1898, 'CO2012-1764', 1, NULL, NULL, NULL, 2122, NULL, '2020-12-24 09:53:57', '2020-12-11 09:17:49', '2020-12-11 09:17:56', '2020-12-18 15:28:48', '2020-12-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 221.00000000, 0.00000000, 0.00000000, 1105.00000000, 1326.00000000, '', 'Meuleuse droite gauche-envers<br />\r\n<br />\r\n&nbsp;', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1105.00000000, 221.00000000, 1326.00000000, 'commande/CO2012-1764/CO2012-1764.pdf', NULL, NULL),
(1899, 'CO2012-1765', 1, NULL, NULL, NULL, 13091, NULL, '2021-01-22 06:35:03', '2020-12-11 10:40:04', '2021-01-22 07:34:59', NULL, '2020-12-11', 5, NULL, 4, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 60.18000000, 0.00000000, 0.00000000, 300.87000000, 361.05000000, '', 'Suivant contrat de maintenance&nbsp;', 'generic_order_odt:/home/sfacsind/www/documents/doctemplates/orders/Accuse_de_reception_commande.odt', 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 300.87000000, 60.18000000, 361.05000000, 'commande/CO2012-1765/CO2012-1765.pdf', NULL, NULL),
(1900, 'CO2012-1766', 1, NULL, NULL, NULL, 2020, NULL, '2021-02-12 10:21:24', '2020-12-11 11:34:29', '2021-02-12 11:21:24', NULL, '2020-12-11', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 4436.72000000, 0.00000000, 0.00000000, 22183.41000000, 26620.13000000, '', 'Local air comprim&eacute; - Site N&deg;2', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 22183.41000000, 4436.72000000, 26620.13000000, 'commande/CO2012-1766/CO2012-1766.pdf', NULL, NULL),
(1901, 'CO2012-1767', 1, NULL, NULL, NULL, 2020, NULL, '2020-12-11 15:22:27', '2020-12-11 16:03:18', '2020-12-11 16:22:27', NULL, '2020-12-11', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 3084.21000000, 0.00000000, 0.00000000, 15421.00000000, 18505.21000000, '', 'Agrandissement local&nbsp;', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 15421.00000000, 3084.21000000, 18505.21000000, 'commande/CO2012-1767/CO2012-1767.pdf', NULL, NULL),
(1902, 'CO2012-1768', 1, NULL, NULL, NULL, 2038, NULL, '2021-02-16 09:33:14', '2020-12-14 09:08:15', '2021-02-16 10:30:28', '2021-02-16 10:31:06', '2020-12-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 231.97000000, 0.00000000, 0.00000000, 1159.84000000, 1391.81000000, '', 'Maintenance L07RS', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1159.84000000, 231.97000000, 1391.81000000, 'commande/CO2012-1768/CO2012-1768.pdf', NULL, NULL),
(1903, 'CO2012-1769', 1, NULL, NULL, NULL, 2001, NULL, '2020-12-24 09:33:14', '2020-12-14 09:57:40', '2020-12-18 15:27:57', '2020-12-18 15:28:24', '2020-12-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 40.28000000, 0.00000000, 0.00000000, 201.39000000, 241.67000000, '', '<p style=\"margin-left:70.5pt\">Pieces détachées pour compresseur SK22     N°101952.0      N°SERIE : 1902</p>\r\n\r\n<p style=\"margin-left:70.5pt\">Année 2014           Puissance 11 KW</p>\r\n\r\n<p style=\"margin-left:70.5pt\">Vitesse moteur 2960 tr/min   8 bars pression</p>\r\n\r\n<p style=\"margin-left:35.4pt; text-align:justify\"> </p>\r\n\r\n<ul>\r\n	<li style=\"text-align:justify\"><span style=\"font-size:12.0pt\">1 filtre à huile KAESER    REF 1200</span></li>\r\n	<li style=\"text-align:justify\"><span style=\"font-size:12.0pt\">2 filtres à air  KAESER       REF 1250</span></li>\r\n	<li style=\"text-align:justify\"><span style=\"font-size:12.0pt\">1 cartouche séparatrice d’huile  KAESER   REF 1450</span></li>\r\n</ul>\r\n', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 201.39000000, 40.28000000, 241.67000000, 'commande/CO2012-1769/CO2012-1769.pdf', NULL, NULL),
(1904, 'CO2012-1770', 1, NULL, NULL, NULL, 11452, NULL, '2021-01-22 14:42:04', '2020-12-14 10:08:29', '2020-12-14 10:09:00', '2021-01-22 15:42:04', '2020-12-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 37.30000000, 0.00000000, 0.00000000, 186.50000000, 223.80000000, '', '5 Coupleurs&nbsp;', '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 186.50000000, 37.30000000, 223.80000000, 'commande/CO2012-1770/CO2012-1770.pdf', NULL, NULL),
(1905, 'CO2012-1771', 1, NULL, NULL, NULL, 2123, NULL, '2021-01-29 14:25:14', '2020-12-14 10:14:10', '2021-01-22 15:17:17', '2021-01-29 15:24:43', '2020-12-14', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 550.58000000, 0.00000000, 0.00000000, 2752.92000000, 3303.50000000, '', 'Maintenance L29RS N°CD10032874001 à 16341 HRS<br />\r\nMaintenance separateur de condensats OWamat 12<br />\r\nRemplacement cartouches filtres reseaux BEA480RA &amp; RB<br />\r\n<br />\r\nBL N° 32 du 04/01/2021', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2752.92000000, 550.58000000, 3303.50000000, 'commande/CO2012-1771/CO2012-1771.pdf', NULL, NULL),
(1906, 'CO2012-1775', 1, NULL, NULL, NULL, 11209, NULL, '2020-12-24 08:54:52', '2020-12-14 10:54:05', '2020-12-24 09:52:12', '2020-12-24 09:52:36', '2020-12-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 117.99000000, 0.00000000, 0.00000000, 589.91000000, 707.90000000, '', 'Maintenance compresseur BELAIR GS30\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la joun&eacute;e<br />\r\n- Audit GRATUIT , ... etc</p>\r\n<br />\r\n&nbsp;', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 589.91000000, 117.99000000, 707.90000000, 'commande/CO2012-1775/CO2012-1775.pdf', NULL, NULL),
(1907, 'CO2012-1772', 1, NULL, NULL, NULL, 5741, NULL, '2020-12-24 08:58:53', '2020-12-14 11:05:42', '2020-12-14 11:05:48', '2020-12-24 09:58:35', '2020-12-14', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 118.76000000, 0.00000000, 0.00000000, 593.78000000, 712.54000000, '', 'Kit Separateur de condensats :', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 593.78000000, 118.76000000, 712.54000000, 'commande/CO2012-1772/CO2012-1772.pdf', NULL, NULL),
(1908, 'CO2012-1773', 1, NULL, NULL, NULL, 5741, NULL, '2021-02-02 13:47:25', '2020-12-15 09:59:31', '2020-12-15 09:59:46', '2021-02-02 14:44:32', '2020-12-15', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 181.48000000, 0.00000000, 0.00000000, 907.40000000, 1088.88000000, '', 'Intervention du 09/12/2020<br />\r\net reparation &agrave; prevoir sur compresseur Regatta 141', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 907.40000000, 181.48000000, 1088.88000000, 'commande/CO2012-1773/CO2012-1773.pdf', NULL, NULL),
(1909, 'CO2012-1774', 1, NULL, NULL, NULL, 5741, NULL, '2021-02-15 13:19:33', '2020-12-15 10:03:30', '2020-12-15 10:04:39', '2021-02-15 14:18:07', '2020-12-15', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 59.40000000, 0.00000000, 0.00000000, 297.00000000, 356.40000000, '', '', 'einstein', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 297.00000000, 59.40000000, 356.40000000, 'commande/CO2012-1774/CO2012-1774.pdf', NULL, NULL),
(1910, 'CO2012-1776', 1, NULL, NULL, NULL, 2062, NULL, '2021-02-01 10:47:51', '2020-12-16 14:37:04', '2021-02-01 11:44:39', '2021-02-01 11:45:03', '2020-12-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 434.13000000, 0.00000000, 0.00000000, 2170.61000000, 2604.74000000, '', 'maintenance de compresseur L26RS <br />\r\nBatiment 1 ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2170.61000000, 434.13000000, 2604.74000000, 'commande/CO2012-1776/CO2012-1776.pdf', NULL, NULL),
(1911, 'CO2012-1777', 1, NULL, NULL, NULL, 2370, NULL, '2020-12-16 16:00:31', '2020-12-16 16:52:46', '2020-12-16 16:59:55', NULL, '2020-12-16', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 189.76000000, 0.00000000, 0.00000000, 948.82000000, 1138.58000000, '', 'Maintenance secheur par alumine HL0030 :&nbsp;<br />\r\n<br />\r\nD&eacute;lai : un vendredi Apr&eacute;s midi', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 948.82000000, 189.76000000, 1138.58000000, 'commande/CO2012-1777/CO2012-1777.pdf', NULL, NULL),
(1912, 'CO2012-1778', 1, NULL, NULL, NULL, 5315, NULL, '2021-02-23 10:28:13', '2020-12-17 10:35:57', '2020-12-17 10:36:24', '2021-02-16 11:10:16', '2020-12-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 18.60000000, 0.00000000, 0.00000000, 93.00000000, 111.60000000, '', 'BOL pour proset XT2&nbsp;<br />\r\n<br />\r\nD&eacute;lai :10 semaines &agrave; r&eacute;ception de commande sauf vente entre temps (HORS CONGES)', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 93.00000000, 18.60000000, 111.60000000, 'commande/CO2012-1778/CO2012-1778.pdf', NULL, NULL),
(1913, 'CO2012-1779', 1, NULL, NULL, NULL, 2033, NULL, '2020-12-17 13:25:29', '2020-12-17 14:23:49', '2020-12-17 14:23:54', '2020-12-17 14:24:15', '2020-12-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 131.21000000, 0.00000000, 0.00000000, 656.05000000, 787.26000000, '', 'Maintenance compresseur GA30C N&deg; AII278463 de 2004 :', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 656.05000000, 131.21000000, 787.26000000, 'commande/CO2012-1779/CO2012-1779.pdf', NULL, NULL),
(1914, 'CO2012-1780', 1, NULL, NULL, NULL, 2273, NULL, '2020-12-17 14:53:51', '2020-12-17 15:50:11', '2020-12-17 15:52:04', '2020-12-17 15:52:38', '2020-12-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 62.60000000, 0.00000000, 0.00000000, 313.00000000, 375.60000000, '', 'Remplacement bulbe thermostatique sur compresseur MOD 25&nbsp;<br />\r\n<br />\r\nBL 15 du 25/11/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 313.00000000, 62.60000000, 375.60000000, 'commande/CO2012-1780/CO2012-1780.pdf', NULL, NULL),
(1915, 'CO2012-1781', 1, NULL, NULL, NULL, 12869, NULL, '2020-12-22 10:39:10', '2020-12-18 11:45:01', '2020-12-21 12:18:52', '2020-12-22 11:38:55', '2020-12-18', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1095.00000000, 0.00000000, 0.00000000, 5475.02000000, 6570.02000000, '', 'Fourniture d&#39;un Compresseur &agrave; vis RS PRO 7.5 10 Bars , r&eacute;servoir 500L , purge temporis&eacute;e et accessoires de raccordement', 'einstein', 1, NULL, NULL, 12, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5475.02000000, 1095.00000000, 6570.02000000, 'commande/CO2012-1781/CO2012-1781.pdf', NULL, NULL);
INSERT INTO `llx_commande` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_cloture`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_cloture`, `source`, `fk_statut`, `amount_ht`, `remise_percent`, `remise_absolue`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `facture`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_livraison`, `fk_shipping_method`, `fk_warehouse`, `fk_availability`, `fk_input_reason`, `fk_delivery_address`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(1916, 'CO2012-1782', 1, NULL, NULL, NULL, 2283, NULL, '2020-12-21 09:04:48', '2020-12-21 09:31:14', '2020-12-21 10:04:03', '2020-12-21 10:04:48', '2020-12-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 170.00000000, 0.00000000, 0.00000000, 850.07000000, 1020.07000000, '', 'Remplacement secheur par r&eacute;frigeration&nbsp;<br />\r\n<br />\r\nBL N&deg;22 du 08/12/2020', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 850.07000000, 170.00000000, 1020.07000000, 'commande/CO2012-1782/CO2012-1782.pdf', NULL, NULL),
(1917, 'CO2012-1783', 1, NULL, NULL, NULL, 2381, NULL, '2020-12-21 09:55:37', '2020-12-21 10:52:23', '2020-12-21 10:54:32', '2020-12-21 10:54:37', '2020-12-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 36.40000000, 0.00000000, 0.00000000, 182.00000000, 218.40000000, '', 'Intervention de depannage de courroie sur compresseur KSA11 &agrave; 10500 HRS<br />\r\nBL N&deg;22 du 04/12/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 182.00000000, 36.40000000, 218.40000000, 'commande/CO2012-1783/CO2012-1783.pdf', NULL, NULL),
(1918, 'CO2012-1784', 1, NULL, NULL, 'L55RS', 2279, NULL, '2020-12-21 14:15:55', '2020-12-21 14:50:05', '2020-12-21 15:15:55', NULL, '2020-12-21', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 7291.40000000, 0.00000000, 0.00000000, 36457.00000000, 43748.40000000, '', 'Local air comprime L55RS', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 36457.00000000, 7291.40000000, 43748.40000000, 'commande/CO2012-1784/CO2012-1784.pdf', NULL, NULL),
(1919, 'CO2012-1786', 1, NULL, NULL, 'l11ers', 2279, NULL, '2020-12-21 14:59:46', '2020-12-21 15:23:41', '2020-12-21 15:59:46', NULL, '2020-12-21', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 4569.23000000, 0.00000000, 0.00000000, 22846.00000000, 27415.23000000, '', 'Local air comprim&eacute; L11eRS', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 22846.00000000, 4569.23000000, 27415.23000000, 'commande/CO2012-1786/CO2012-1786.pdf', NULL, NULL),
(1920, 'CO2012-1785', 1, NULL, NULL, NULL, 2218, NULL, '2021-02-12 10:15:00', '2020-12-21 15:34:10', '2020-12-21 15:34:15', '2021-02-12 11:08:34', '2020-12-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 152.89000000, 0.00000000, 0.00000000, 764.44000000, 917.33000000, '', 'Maintenance L07 en adaptable', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 764.44000000, 152.89000000, 917.33000000, 'commande/CO2012-1785/CO2012-1785.pdf', NULL, NULL),
(1921, 'CO2012-1787', 1, NULL, NULL, NULL, 12869, NULL, '2020-12-24 07:58:53', '2020-12-22 11:32:39', '2020-12-22 11:37:11', '2020-12-22 14:10:52', '2020-12-22', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1307.84000000, 0.00000000, 0.00000000, 6539.20000000, 7847.04000000, '', 'Fourniture d\'un Compresseur à vis RS PRO 7.5 10 Bars , réservoir 500L , purge temporisée et accessoires de raccordement<br />\r\nSecheur avec pré filtration et accessoires de raccordement<br />\r\n<br />\r\nRéglement : <br />\r\n24 loyers de 288.95 euros HT ( VR1% ) ', 'einstein', 1, NULL, NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 6539.20000000, 1307.84000000, 7847.04000000, 'commande/CO2012-1787/CO2012-1787.pdf', NULL, NULL),
(1922, 'CO2012-1788', 1, NULL, NULL, NULL, 2021, NULL, '2021-01-21 10:35:42', '2020-12-22 14:19:49', '2020-12-22 14:19:57', '2021-01-08 09:22:28', '2020-12-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 219.64000000, 0.00000000, 0.00000000, 1098.20000000, 1317.84000000, '', 'Fournitures :', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1098.20000000, 219.64000000, 1317.84000000, 'commande/CO2012-1788/CO2012-1788.pdf', NULL, NULL),
(1923, 'CO2012-1789', 1, NULL, NULL, NULL, 13045, NULL, '2020-12-24 07:59:47', '2020-12-24 08:59:03', '2020-12-24 08:59:10', '2020-12-24 08:59:20', '2020-12-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 1307.84000000, 0.00000000, 0.00000000, 6539.20000000, 7847.04000000, '', 'Fourniture d\'un Compresseur à vis RS PRO 7.5 10 Bars , réservoir 500L , purge temporisée et accessoires de raccordement<br />\r\nSecheur avec pré filtration et accessoires de raccordement<br />\r\n<br />\r\nRéglement : <br />\r\n24 loyers de 288.95 euros HT ( VR1% ) ', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 6539.20000000, 1307.84000000, 7847.04000000, 'commande/CO2012-1789/CO2012-1789.pdf', NULL, NULL),
(1924, 'CO2012-1790', 1, NULL, NULL, NULL, 2383, NULL, '2020-12-24 08:34:46', '2020-12-24 09:25:01', '2020-12-24 09:32:50', '2020-12-24 09:34:03', '2020-12-24', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 418.70000000, 0.00000000, 0.00000000, 2093.52000000, 2512.22000000, '', 'Raccordement de 2 machines &agrave; enrouler<br />\r\n<br />\r\nBL N&deg; 3 du 16/11/2020', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2093.52000000, 418.70000000, 2512.22000000, 'commande/CO2012-1790/CO2012-1790.pdf', NULL, NULL),
(1925, 'CO2012-1791', 1, NULL, NULL, NULL, 2128, NULL, '2020-12-28 08:04:05', '2020-12-28 09:03:05', '2020-12-28 09:04:04', NULL, '2020-12-28', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 245.84000000, 0.00000000, 0.00000000, 1229.27000000, 1475.11000000, '', 'Maintenance compresseur L11RS N° BA4491101  sous contrat lissé<br />\r\net remplacement kit separateur de condensats<br />\r\n ', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1229.27000000, 245.84000000, 1475.11000000, 'commande/CO2012-1791/CO2012-1791.pdf', NULL, NULL),
(1926, 'CO2012-1792', 1, NULL, NULL, NULL, 2184, NULL, '2021-02-18 10:39:53', '2020-12-28 09:09:22', '2020-12-28 09:09:56', '2021-02-18 11:39:51', '2020-12-28', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 500.18000000, 0.00000000, 0.00000000, 2500.94000000, 3001.12000000, '', 'Maintenance L45RS ( 2018 ) N° CD10034859001 en huile alimentaire à H<br />\r\n<br />\r\nRemplacement cartouche filtre réseau <br />\r\n<br />\r\nMaintenance seprateur de condensats OWAMAT 14<br />\r\n<br />\r\nCommande N°<br />\r\n<br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2500.94000000, 500.18000000, 3001.12000000, 'commande/CO2012-1792/CO2012-1792.pdf', NULL, NULL),
(1927, 'CO2012-1793', 1, NULL, NULL, NULL, 1990, NULL, '2020-12-28 08:26:17', '2020-12-28 09:25:45', '2020-12-28 09:25:55', '2020-12-28 09:26:00', '2020-12-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 85.80000000, 0.00000000, 0.00000000, 429.00000000, 514.80000000, '', 'ASPIRATEUR cuve inox EAU &amp; POUSSIERE <br />\r\n2 MOTEURS<br />\r\n2400W<br />\r\n<br />\r\nPROMOTION VALIDITE : 31/12/2020', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 429.00000000, 85.80000000, 514.80000000, 'commande/CO2012-1793/CO2012-1793.pdf', NULL, NULL),
(1928, 'CO2012-1794', 1, NULL, NULL, NULL, 2268, NULL, '2021-02-01 13:56:37', '2020-12-28 14:13:21', '2021-02-01 14:56:37', NULL, '2020-12-28', 5, 5, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 286.76000000, 0.00000000, 0.00000000, 1433.76000000, 1720.52000000, '', 'Maintenance L75RS N° CD10009783001 à 45803 HRS<br />\r\nMaintenance seprateur de condensats Owamat 14<br />\r\nremplcament cartouche filtre reseau charbon actif', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1433.76000000, 286.76000000, 1720.52000000, 'commande/CO2012-1794/CO2012-1794.pdf', NULL, NULL),
(1929, 'CO2012-1795', 1, NULL, NULL, NULL, 2268, NULL, '2021-02-01 13:52:56', '2020-12-28 14:22:21', '2021-02-01 14:52:34', NULL, '2020-12-28', 5, 5, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 207.66000000, 0.00000000, 0.00000000, 1038.31000000, 1245.97000000, '', 'Maintenance L15 N° CD10006861001 à 48974 HRS<br />\r\n<br />\r\nBL N°24 du 28/01/2021', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1038.31000000, 207.66000000, 1245.97000000, 'commande/CO2012-1795/CO2012-1795.pdf', NULL, NULL),
(1930, 'CO2012-1796', 1, NULL, NULL, NULL, 1983, NULL, '2021-01-29 09:06:09', '2020-12-28 14:28:01', '2021-01-29 10:03:35', '2021-01-29 10:05:15', '2020-12-28', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 161.66000000, 0.00000000, 0.00000000, 808.26000000, 969.92000000, '', 'Maintenance L07RS N° BA2765001 à<br />\r\nRemplcament cartouche filtre reseau<br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 808.26000000, 161.66000000, 969.92000000, 'commande/CO2012-1796/CO2012-1796.pdf', NULL, NULL),
(1931, 'CO2012-1797', 1, NULL, NULL, NULL, 11435, NULL, '2021-02-12 09:22:19', '2020-12-28 14:32:08', '2021-02-05 11:32:51', '2021-02-12 10:20:42', '2020-12-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 284.10000000, 0.00000000, 0.00000000, 1420.49000000, 1704.59000000, '', 'Maintenance compresseur L30RS et accessoires suivant contrat de maintenance de 2013', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1420.49000000, 284.10000000, 1704.59000000, 'commande/CO2012-1797/CO2012-1797.pdf', NULL, NULL),
(1932, 'CO2012-1798', 1, NULL, NULL, NULL, 12600, NULL, '2020-12-28 13:48:30', '2020-12-28 14:47:09', '2020-12-28 14:48:15', NULL, '2020-12-28', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 256.49000000, 0.00000000, 0.00000000, 1282.48000000, 1538.97000000, '', 'Maintenance compresseur L07RS et filtres reseaux&nbsp;', 'einstein', 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1282.48000000, 256.49000000, 1538.97000000, 'commande/CO2012-1798/CO2012-1798.pdf', NULL, NULL),
(1934, 'CO2101-1799', 1, NULL, NULL, NULL, 2011, NULL, '2021-01-04 08:19:46', '2021-01-04 09:17:59', '2021-01-04 09:19:21', NULL, '2021-01-04', 5, 5, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 198.72000000, 0.00000000, 0.00000000, 993.60000000, 1192.32000000, '', 'Maintenance compresseur L07RS : ', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 993.60000000, 198.72000000, 1192.32000000, 'commande/CO2101-1799/CO2101-1799.pdf', NULL, NULL),
(1935, 'CO2101-1800', 1, NULL, NULL, NULL, 2029, NULL, '2021-01-04 08:44:11', '2021-01-04 09:43:25', '2021-01-04 09:44:11', NULL, '2021-01-04', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 116.98000000, 0.00000000, 0.00000000, 584.88000000, 701.86000000, '', 'maintenance L11 à ', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 584.88000000, 116.98000000, 701.86000000, 'commande/CO2101-1800/CO2101-1800.pdf', NULL, NULL),
(1936, 'CO2101-1801', 1, NULL, NULL, NULL, 2008, NULL, '2021-01-29 13:12:59', '2021-01-04 10:23:33', '2021-01-29 14:12:07', '2021-01-29 14:12:28', '2021-01-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 119.22000000, 0.00000000, 0.00000000, 596.16000000, 715.38000000, '', 'Maintenance compresseur 6000 EL', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 596.16000000, 119.22000000, 715.38000000, 'commande/CO2101-1801/CO2101-1801.pdf', NULL, NULL),
(1937, 'CO2101-1802', 1, NULL, NULL, NULL, 2055, NULL, '2021-01-29 10:21:24', '2021-01-04 14:09:56', '2021-01-04 14:10:01', '2021-01-29 11:19:11', '2021-01-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 178.20000000, 0.00000000, 0.00000000, 891.00000000, 1069.20000000, '', 'Maintenance compresseur L18 - en piéces adaptables ', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 891.00000000, 178.20000000, 1069.20000000, 'commande/CO2101-1802/CO2101-1802.pdf', NULL, NULL),
(1938, 'CO2101-1803', 1, NULL, NULL, NULL, 12666, NULL, '2021-01-04 13:20:04', '2021-01-04 14:19:58', '2021-01-04 14:20:03', NULL, '2021-01-04', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 344.80000000, 0.00000000, 0.00000000, 1724.01000000, 2068.81000000, '', 'Ensemble sites Delmonico DOREL', '', 0, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1724.01000000, 344.80000000, 2068.81000000, 'commande/CO2101-1803/CO2101-1803.pdf', NULL, NULL),
(1939, 'CO2101-1804', 1, NULL, NULL, NULL, 12666, NULL, '2021-01-21 13:11:30', '2021-01-04 14:41:16', '2021-01-04 14:41:20', '2021-01-21 14:09:46', '2021-01-04', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 163.36000000, 0.00000000, 0.00000000, 816.80000000, 980.16000000, '', 'maintenance UP5-15-8.5', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 816.80000000, 163.36000000, 980.16000000, 'commande/CO2101-1804/CO2101-1804.pdf', NULL, NULL),
(1940, 'CO2101-1805', 1, NULL, NULL, NULL, 12666, NULL, '2021-01-04 13:43:06', '2021-01-04 14:42:43', '2021-01-04 14:42:47', NULL, '2021-01-04', 5, 5, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 163.65000000, 0.00000000, 0.00000000, 818.26000000, 981.91000000, '', 'Maintenance compresseur MAC 3 MSC18 à - site de ST julien Molin molette <br />\r\n<br />\r\n ', 'einstein', 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 818.26000000, 163.65000000, 981.91000000, 'commande/CO2101-1805/CO2101-1805.pdf', NULL, NULL),
(1941, 'CO2101-1806', 1, NULL, NULL, NULL, 2073, NULL, '2021-01-21 14:01:07', '2021-01-04 15:28:01', '2021-01-04 15:33:33', '2021-01-21 15:01:07', '2021-01-04', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 163.68000000, 0.00000000, 0.00000000, 818.40000000, 982.08000000, '', 'Maintenance Hv07 à ', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 818.40000000, 163.68000000, 982.08000000, 'commande/CO2101-1806/CO2101-1806.pdf', NULL, NULL),
(1942, 'CO2101-1807', 1, NULL, NULL, NULL, 2086, NULL, '2021-01-29 14:14:58', '2021-01-04 16:07:27', '2021-01-04 16:07:43', '2021-01-29 15:14:58', '2021-01-04', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 263.27000000, 0.00000000, 0.00000000, 1316.37000000, 1579.64000000, '', 'Maintenance compresseur L11RS N° BA31759001<br />\r\nMaintenance seprateur de condensats OWAMAT 10<br />\r\n<br />\r\n ', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1316.37000000, 263.27000000, 1579.64000000, 'commande/CO2101-1807/CO2101-1807.pdf', NULL, NULL),
(1943, 'CO2101-1808', 1, NULL, NULL, NULL, 2103, NULL, '2021-01-29 14:53:50', '2021-01-06 14:25:12', '2021-01-29 15:49:56', '2021-01-29 15:52:04', '2021-01-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 291.99000000, 0.00000000, 0.00000000, 1459.88000000, 1751.87000000, '', 'Maintenance L22 suivant contrat liss&eacute;', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1459.88000000, 291.99000000, 1751.87000000, 'commande/CO2101-1808/CO2101-1808.pdf', NULL, NULL),
(1944, 'CO2101-1809', 1, NULL, NULL, NULL, 2203, NULL, '2021-02-01 11:03:50', '2021-01-06 14:33:37', '2021-02-01 12:01:26', '2021-02-01 12:02:32', '2021-01-06', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 431.93000000, 0.00000000, 0.00000000, 2159.62000000, 2591.55000000, '', 'Maintenance compresseur L45RS avec bloc vis garantie 24 mois et huile alimenatire&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2159.62000000, 431.93000000, 2591.55000000, 'commande/CO2101-1809/CO2101-1809.pdf', NULL, NULL),
(1945, 'CO2101-1810', 1, NULL, NULL, NULL, 2101, NULL, '2021-01-29 15:03:22', '2021-01-06 14:48:40', '2021-01-06 14:49:35', '2021-01-29 16:03:22', '2021-01-06', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 275.49000000, 0.00000000, 0.00000000, 1377.47000000, 1652.96000000, '', 'Maintenance l18RS à  HRS<br />\r\nMaintenance owamat 10<br />\r\n<br />\r\n ', 'einstein', 0, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1377.47000000, 275.49000000, 1652.96000000, 'commande/CO2101-1810/CO2101-1810.pdf', NULL, NULL),
(1947, 'CO2101-1811', 1, NULL, NULL, NULL, 2140, NULL, '2021-02-03 09:45:38', '2021-01-07 10:55:53', '2021-01-07 10:56:11', '2021-02-03 10:45:38', '2021-01-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 156.18000000, 0.00000000, 0.00000000, 780.96000000, 937.14000000, '', 'Maintenance L15RS', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 780.96000000, 156.18000000, 937.14000000, 'commande/CO2101-1811/CO2101-1811.pdf', NULL, NULL),
(1948, 'CO2101-1812', 1, NULL, NULL, NULL, 2153, NULL, '2021-01-07 10:11:23', '2021-01-07 11:09:40', '2021-01-07 11:11:12', NULL, '2021-01-07', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 228.40000000, 0.00000000, 0.00000000, 1141.95000000, 1370.35000000, '', 'Maintenance l15RS', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1141.95000000, 228.40000000, 1370.35000000, 'commande/CO2101-1812/CO2101-1812.pdf', NULL, NULL),
(1949, 'CO2101-1813', 1, NULL, NULL, NULL, 2153, NULL, '2021-01-07 10:11:56', '2021-01-07 11:11:51', '2021-01-07 11:11:56', NULL, '2021-01-07', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 124.23000000, 0.00000000, 0.00000000, 621.15000000, 745.38000000, '', 'Maintenance COmpresseur LUCHARD COMPAIR 6020ELX07BE', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 621.15000000, 124.23000000, 745.38000000, 'commande/CO2101-1813/CO2101-1813.pdf', NULL, NULL),
(1950, 'CO2101-1814', 1, NULL, NULL, NULL, 2153, NULL, '2021-01-07 10:13:40', '2021-01-07 11:12:45', '2021-01-07 11:13:40', NULL, '2021-01-07', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 187.76000000, 0.00000000, 0.00000000, 938.75000000, 1126.51000000, '', 'Maintenance compresseur RENNER RSDK PRO3 13 BARS N°707076 à <br />\r\n<br />\r\n ', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 938.75000000, 187.76000000, 1126.51000000, 'commande/CO2101-1814/CO2101-1814.pdf', NULL, NULL),
(1951, 'CO2101-1815', 1, NULL, NULL, NULL, 10189, NULL, '2021-01-22 14:43:46', '2021-01-07 11:14:29', '2021-01-07 11:15:21', NULL, '2021-01-07', 5, NULL, 5, NULL, NULL, 3, 0.00000000, 0, NULL, 0, 79.92000000, 0.00000000, 0.00000000, 399.60000000, 479.52000000, '', 'Filtre pour aspirateur RTM à poussières: D150h700 -AR4891<br />\r\n<br />\r\n<br />\r\nDélai : 8 semaines à date de commande', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 399.60000000, 79.92000000, 479.52000000, 'commande/CO2101-1815/CO2101-1815.pdf', NULL, NULL),
(1952, 'CO2101-1816', 1, NULL, NULL, NULL, 13036, NULL, '2021-01-21 10:38:31', '2021-01-07 11:19:11', '2021-01-07 11:19:28', '2021-01-21 11:37:41', '2021-01-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 96.23000000, 0.00000000, 0.00000000, 481.16000000, 577.39000000, '', 'Maintenance compresseur RLR25V en piéces adaptables\r\n<p>- Contrôles et vérifications préconisés par le constructeur<br />\r\n- Vérification sécheur et purge<br />\r\n- resserrage connexions électriques par nos techniciens dans le local technique<br />\r\n- Hors autres pièces défectueuses pouvant être trouvées<br />\r\n-<u> Garantie 6 mois sur pièces filtration </u><br />\r\n- <u>Prêt GRATUIT </u>d\'un compresseur de 0 à 50 CV ( hors manutention, transport & raccordement)<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 481.16000000, 96.23000000, 577.39000000, 'commande/CO2101-1816/CO2101-1816.pdf', NULL, NULL),
(1953, 'CO2101-1817', 1, NULL, NULL, NULL, 2234, NULL, '2021-01-22 14:39:46', '2021-01-07 14:08:39', '2021-01-07 14:08:46', '2021-01-22 15:39:26', '2021-01-07', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 191.60000000, 0.00000000, 0.00000000, 958.00000000, 1149.60000000, '', 'R&eacute;servoir 900Litres equip&eacute;&nbsp;<br />\r\n<br />\r\nD&eacute;lai :DISPONIBLE - transport : 3 jours ouvr&eacute;s', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 958.00000000, 191.60000000, 1149.60000000, 'commande/CO2101-1817/CO2101-1817.pdf', NULL, NULL),
(1954, 'CO2101-1818', 1, NULL, NULL, NULL, 2122, NULL, '2021-02-16 09:17:25', '2021-01-08 11:30:51', '2021-02-01 11:54:55', '2021-02-01 11:56:38', '2021-01-08', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 861.63000000, 0.00000000, 0.00000000, 4308.14000000, 5169.77000000, '', 'Maintenance L75RS N° CD10018699001 à 29143 HRS<br />\r\nMaintenance separateur de condensats OWAMAT 15<br />\r\nMaintenance separateur de condensats SUPER PLUS 30<br />\r\n<br />\r\nRemplacement cartouches filtres réseaux<br />\r\n<br />\r\nBL N22 du 27/01/2020<br />\r\n<br />\r\nCommande N°', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4308.14000000, 861.63000000, 5169.77000000, 'commande/CO2101-1818/CO2101-1818.pdf', NULL, NULL),
(1955, 'CO2101-1819', 1, NULL, NULL, NULL, 2234, NULL, '2021-02-19 10:31:32', '2021-01-08 11:39:40', '2021-02-19 10:13:36', '2021-02-19 11:31:32', '2021-01-08', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 256.29000000, 0.00000000, 0.00000000, 1281.51000000, 1537.80000000, '', 'Maintenance L45RS N°CD10005658001 à 20574 HRS<br />\r\nRemplacement des cartouches des filtres reseaux <br />\r\nMaintenance separateur de condensats Owamat 14<br />\r\n<br />\r\n ', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1281.51000000, 256.29000000, 1537.80000000, 'commande/CO2101-1819/CO2101-1819.pdf', NULL, NULL),
(1956, 'CO2101-1820', 1, NULL, NULL, NULL, 2215, NULL, '2021-02-12 13:18:00', '2021-01-08 12:04:25', '2021-02-12 14:16:29', '2021-02-12 14:16:49', '2021-01-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 227.37000000, 0.00000000, 0.00000000, 1136.93000000, 1364.30000000, '', 'Maintenance L11RS&nbsp;<br />\r\nRemplcament cartouche reseau&nbsp;<br />\r\nMaintenance Separateur de condensats OWAMAT10', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1136.93000000, 227.37000000, 1364.30000000, 'commande/CO2101-1820/CO2101-1820.pdf', NULL, NULL),
(1957, 'CO2101-1821', 1, NULL, NULL, NULL, 2215, NULL, '2021-02-12 13:23:31', '2021-01-08 12:05:42', '2021-02-12 14:23:11', '2021-02-12 14:23:31', '2021-01-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 90.79000000, 0.00000000, 0.00000000, 453.93000000, 544.72000000, '', 'Maintenances de vos 2 compresseurs :&nbsp;', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 453.93000000, 90.79000000, 544.72000000, 'commande/CO2101-1821/CO2101-1821.pdf', NULL, NULL),
(1958, 'CO2101-1822', 1, NULL, NULL, NULL, 2235, NULL, '2021-01-08 11:11:46', '2021-01-08 12:09:16', '2021-01-08 12:11:46', NULL, '2021-01-08', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 532.15000000, 0.00000000, 0.00000000, 2660.75000000, 3192.90000000, '', 'L29RS contrat liss&eacute;', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2660.75000000, 532.15000000, 3192.90000000, 'commande/CO2101-1822/CO2101-1822.pdf', NULL, NULL),
(1959, 'CO2101-1823', 1, NULL, NULL, NULL, 2102, NULL, '2021-01-08 13:56:31', '2021-01-08 14:56:14', '2021-01-08 14:56:31', NULL, '2021-01-08', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 115.43000000, 0.00000000, 0.00000000, 577.17000000, 692.60000000, '', '', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 577.17000000, 115.43000000, 692.60000000, 'commande/CO2101-1823/CO2101-1823.pdf', NULL, NULL),
(1960, 'CO2101-1824', 1, NULL, NULL, NULL, 2247, NULL, '2021-02-12 13:44:14', '2021-01-08 15:06:10', '2021-02-12 14:38:57', '2021-02-12 14:44:14', '2021-01-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 204.80000000, 0.00000000, 0.00000000, 1024.03000000, 1228.83000000, '', 'maintenance L18rs N° CD100018442001 , filtres reseaux et separateur de condensats OWAMAT 11<br />\r\nSuivant contrat de 2015', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1024.03000000, 204.80000000, 1228.83000000, 'commande/CO2101-1824/CO2101-1824.pdf', NULL, NULL),
(1961, 'CO2101-1825', 1, NULL, NULL, NULL, 2276, NULL, '2021-02-12 14:20:09', '2021-01-08 16:10:14', '2021-02-12 15:18:28', '2021-02-12 15:18:49', '2021-01-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 497.93000000, 0.00000000, 0.00000000, 2489.67000000, 2987.60000000, '', 'maintenance L29RS N° CD10015163001 ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2489.67000000, 497.93000000, 2987.60000000, 'commande/CO2101-1825/CO2101-1825.pdf', NULL, NULL),
(1962, 'CO2101-1826', 1, NULL, NULL, NULL, 2265, NULL, '2021-02-16 13:38:56', '2021-01-08 16:27:44', '2021-02-16 14:36:23', '2021-02-16 14:36:50', '2021-01-08', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 298.63000000, 0.00000000, 0.00000000, 1493.21000000, 1791.84000000, '', '', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, 5, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1493.21000000, 298.63000000, 1791.84000000, 'commande/CO2101-1826/CO2101-1826.pdf', NULL, NULL),
(1963, 'CO2101-1827', 1, NULL, NULL, NULL, 2124, NULL, '2021-01-21 15:22:37', '2021-01-11 09:37:13', '2021-01-11 09:37:51', '2021-01-21 16:22:05', '2021-01-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 59.93000000, 0.00000000, 0.00000000, 299.65000000, 359.58000000, '', 'Poulie pour compresseur &agrave; piston WERTH&#39;AIR\r\n<pre>\r\n1525840000\r\nN&deg;321202666\r\nde 2012 7.5KW\r\n\r\nD&eacute;lai : DISPONIBLE USINE\r\n</pre>\r\nNI REPRIS NI ECHANGE', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 299.65000000, 59.93000000, 359.58000000, 'commande/CO2101-1827/CO2101-1827.pdf', NULL, NULL),
(1964, 'CO2101-1828', 1, NULL, NULL, NULL, 2287, NULL, '2021-02-11 14:12:38', '2021-01-11 09:57:31', '2021-02-11 15:12:38', NULL, '2021-01-11', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 133.87000000, 0.00000000, 0.00000000, 669.33000000, 803.20000000, '', 'Maintenance ROLLAIR N&deg; 339336', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 669.33000000, 133.87000000, 803.20000000, 'commande/CO2101-1828/CO2101-1828.pdf', NULL, NULL),
(1965, 'CO2101-1829', 1, NULL, NULL, NULL, 2289, NULL, '2021-02-01 14:32:47', '2021-01-11 10:06:20', '2021-02-01 15:31:23', '2021-02-01 15:31:45', '2021-01-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 231.16000000, 0.00000000, 0.00000000, 1155.89000000, 1387.05000000, '', 'L11RS sous contrat lissé<br />\r\nN° BA46470001 à 2699 HRS<br />\r\n<br />\r\nBL N°30 du 11/09/2019', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1155.89000000, 231.16000000, 1387.05000000, 'commande/CO2101-1829/CO2101-1829.pdf', NULL, NULL),
(1966, 'CO2101-1830', 1, NULL, NULL, NULL, 6663, NULL, '2021-02-01 14:09:56', '2021-01-11 10:10:01', '2021-02-01 15:01:03', '2021-02-01 15:06:34', '2021-01-11', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 573.41000000, 0.00000000, 0.00000000, 2867.07000000, 3440.48000000, '', 'Maintenance L37RS N° CD100248873001 à 7211HRS<br />\r\nMaintenance seprateur de condensats Owamat 14<br />\r\nRemplacement cartouches filtres reseaux<br />\r\n<br />\r\nBL N°5 du 28/01/2021<br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2867.07000000, 573.41000000, 3440.48000000, 'commande/CO2101-1830/CO2101-1830.pdf', NULL, NULL),
(1967, 'CO2101-1831', 1, NULL, NULL, NULL, 6663, NULL, '2021-02-01 14:15:42', '2021-01-11 10:33:58', '2021-02-01 15:14:35', '2021-02-01 15:14:56', '2021-01-11', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 203.66000000, 0.00000000, 0.00000000, 1018.31000000, 1221.97000000, '', 'Maintenance compresseur L18 N°100011405/0154 à  HEURES<br />\r\nRemplacement cartouches filtres reseaux <br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1018.31000000, 203.66000000, 1221.97000000, 'commande/CO2101-1831/CO2101-1831.pdf', NULL, NULL),
(1968, 'CO2101-1832', 1, NULL, NULL, NULL, 2338, NULL, '2021-02-01 15:59:20', '2021-01-11 11:00:00', '2021-01-11 11:01:51', '2021-02-01 16:59:20', '2021-01-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 318.03000000, 0.00000000, 0.00000000, 1590.14000000, 1908.17000000, '', 'Maintenance L07RS en FULL SERVICE et MAINTENACE ROLLAIR', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1590.14000000, 318.03000000, 1908.17000000, 'commande/CO2101-1832/CO2101-1832.pdf', NULL, NULL),
(1969, 'CO2101-1833', 1, NULL, NULL, NULL, 2371, NULL, '2021-02-02 10:20:27', '2021-01-11 11:18:07', '2021-02-02 11:18:46', '2021-02-02 11:19:12', '2021-01-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 263.66000000, 0.00000000, 0.00000000, 1318.36000000, 1582.02000000, '', 'maintenance L22 et filtres reseaux', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1318.36000000, 263.66000000, 1582.02000000, 'commande/CO2101-1833/CO2101-1833.pdf', NULL, NULL),
(1970, 'CO2101-1834', 1, NULL, NULL, NULL, 10293, NULL, '2021-02-02 14:25:37', '2021-01-11 11:39:37', '2021-02-02 15:22:05', '2021-02-02 15:23:19', '2021-01-11', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 244.17000000, 0.00000000, 0.00000000, 1220.84000000, 1465.01000000, '', '', '', 1, NULL, NULL, 9, 3, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1220.84000000, 244.17000000, 1465.01000000, 'commande/CO2101-1834/CO2101-1834.pdf', NULL, NULL),
(1971, 'CO2101-1835', 1, NULL, NULL, NULL, 2333, NULL, '2021-01-11 14:18:23', '2021-01-11 15:15:51', '2021-01-11 15:18:23', NULL, '2021-01-11', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 142.77000000, 0.00000000, 0.00000000, 713.87000000, 856.64000000, '', 'Maintenance rs 22', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 713.87000000, 142.77000000, 856.64000000, 'commande/CO2101-1835/CO2101-1835.pdf', NULL, NULL),
(1972, 'CO2101-1836', 1, NULL, NULL, NULL, 12920, NULL, '2021-02-01 13:41:51', '2021-01-15 11:43:02', '2021-01-15 11:43:24', '2021-02-01 14:40:09', '2021-01-15', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 85.76000000, 0.00000000, 0.00000000, 428.83000000, 514.59000000, '', 'Maintenance pour compresseur Silpac1210Y N° 8171930AVo057 LOt 096146 de 1999 .', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 428.83000000, 85.76000000, 514.59000000, 'commande/CO2101-1836/CO2101-1836.pdf', NULL, NULL),
(1973, 'CO2101-1837', 1, NULL, NULL, NULL, 12746, NULL, '2021-02-03 08:14:50', '2021-01-18 11:02:29', '2021-01-19 11:26:29', '2021-02-01 10:28:10', '2021-01-18', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 19.84000000, 0.00000000, 0.00000000, 99.18000000, 119.02000000, '', 'Huile pour lubrificateur&nbsp;', '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 99.18000000, 19.84000000, 119.02000000, 'commande/CO2101-1837/CO2101-1837.pdf', NULL, NULL),
(1974, 'CO2101-1838', 1, NULL, NULL, NULL, 2408, NULL, '2021-01-21 14:40:05', '2021-01-21 15:28:36', '2021-01-21 15:39:01', '2021-01-21 15:39:27', '2021-01-21', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 102.21000000, 0.00000000, 0.00000000, 511.03000000, 613.24000000, '', 'Maintenance compresseur L11  à 13380 HRS en adaptable et separateur de condensats OWAMAT 11<br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 511.03000000, 102.21000000, 613.24000000, 'commande/CO2101-1838/CO2101-1838.pdf', NULL, NULL),
(1976, 'CO2101-1839', 1, NULL, NULL, NULL, 2358, NULL, '2021-01-22 15:27:09', '2021-01-22 16:13:50', '2021-01-22 16:14:09', '2021-01-22 16:14:15', '2021-01-22', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 210.00000000, 0.00000000, 0.00000000, 1050.00000000, 1260.00000000, '', 'prix des luminaires led pour local stockage', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1050.00000000, 210.00000000, 1260.00000000, 'commande/CO2101-1839/CO2101-1839.pdf', NULL, NULL),
(1977, 'CO2101-1840', 1, NULL, NULL, NULL, 2358, NULL, '2021-01-25 09:12:39', '2021-01-25 10:11:57', '2021-01-25 10:12:04', '2021-01-25 10:12:09', '2021-01-25', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 232.92000000, 0.00000000, 0.00000000, 1164.60000000, 1397.52000000, '', 'Pose cablette de terre depot peinture', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1164.60000000, 232.92000000, 1397.52000000, 'commande/CO2101-1840/CO2101-1840.pdf', NULL, NULL),
(1978, 'CO2101-1841', 1, NULL, NULL, NULL, 2350, NULL, '2021-02-19 10:25:13', '2021-01-26 09:15:47', '2021-01-26 09:16:12', '2021-02-19 11:24:11', '2021-01-26', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 358.73000000, 0.00000000, 0.00000000, 1793.65000000, 2152.38000000, '', 'Maintenance Compresseurs L45RS  à  HRS <br />\r\nRemplacement cartouche filtre reseau<br />\r\nMaintenance separateur de condensats OWAMAT 14<br />\r\n<br />\r\n ', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1793.65000000, 358.73000000, 2152.38000000, 'commande/CO2101-1841/CO2101-1841.pdf', NULL, NULL),
(1979, 'CO2101-1842', 1, NULL, NULL, NULL, 12618, NULL, '2021-02-16 14:44:34', '2021-01-26 09:24:47', '2021-01-26 09:25:10', NULL, '2021-01-26', 5, NULL, 5, NULL, NULL, 2, 0.00000000, 0, NULL, 0, 85.00000000, 0.00000000, 0.00000000, 425.00000000, 510.00000000, '', 'Remplacement joint sur bloc vis compresseur Cyclon.', '', 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 425.00000000, 85.00000000, 510.00000000, 'commande/CO2101-1842/CO2101-1842.pdf', NULL, NULL),
(1980, 'CO2101-1843', 1, NULL, NULL, NULL, 2122, NULL, '2021-02-01 10:51:09', '2021-01-28 09:11:56', '2021-01-28 09:12:09', '2021-02-01 11:50:44', '2021-01-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 17.34000000, 0.00000000, 0.00000000, 86.70000000, 104.04000000, '', 'DISPONIBLE USINE', '', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 86.70000000, 17.34000000, 104.04000000, 'commande/CO2101-1843/CO2101-1843.pdf', NULL, NULL),
(1981, 'CO2101-1844', 1, NULL, NULL, NULL, 11452, NULL, '2021-02-16 09:58:41', '2021-01-28 10:43:13', '2021-01-28 10:43:24', '2021-02-16 10:57:13', '2021-01-28', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 201.72000000, 0.00000000, 0.00000000, 1008.65000000, 1210.37000000, '', 'Modification des emplacements des enrouleurs.', '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1008.65000000, 201.72000000, 1210.37000000, 'commande/CO2101-1844/CO2101-1844.pdf', NULL, NULL),
(1982, 'CO2101-1845', 1, NULL, NULL, NULL, 2407, NULL, '2021-02-02 13:21:41', '2021-01-28 15:30:04', '2021-01-28 15:30:11', '2021-01-28 16:08:00', '2021-01-28', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 59.80000000, 0.00000000, 0.00000000, 299.00000000, 358.80000000, '', 'Huile pour compresseur l90RS Compair<br />\r\n<br />\r\nN°908665316-0-10760', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 299.00000000, 59.80000000, 358.80000000, 'commande/CO2101-1845/CO2101-1845.pdf', NULL, NULL),
(1983, 'CO2101-1846', 1, NULL, NULL, NULL, 2102, NULL, '2021-01-29 14:37:25', '2021-01-29 15:35:47', '2021-01-29 15:35:54', '2021-01-29 15:36:46', '2021-01-29', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 137.54000000, 0.00000000, 0.00000000, 687.54000000, 825.08000000, '', 'Modification reseau pneumatique: fourniture et pose d\'un piquage en Ø 28 avec vanne 1\" interieur et exterieur. Raccordement sur reseau Ø28/ 1\" dans atelier 1 &amp; atelier 2.<br />\r\nMateriel disponible, les travaux peuvent etre engagés sous 48h.<br />\r\n<strong><u>Attention:</u></strong> prevoir coupure du reseau d\'air (environ 1/2 par atelier) peut etre faite pendant le temps de pose en accord avec la production des ateliers', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 687.54000000, 137.54000000, 825.08000000, 'commande/CO2101-1846/CO2101-1846.pdf', NULL, NULL),
(1984, 'CO2102-1847', 1, NULL, NULL, NULL, 2102, NULL, '2021-02-01 09:21:17', '2021-02-01 10:16:18', '2021-02-01 10:16:35', '2021-02-01 10:21:17', '2021-02-01', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 29.58000000, 0.00000000, 0.00000000, 147.88000000, 177.46000000, '', '', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 147.88000000, 29.58000000, 177.46000000, 'commande/CO2102-1847/CO2102-1847.pdf', NULL, NULL),
(1985, 'CO2102-1848', 1, NULL, NULL, NULL, 13036, NULL, '2021-02-02 14:49:23', '2021-02-01 11:25:27', '2021-02-02 09:15:14', '2021-02-02 15:48:46', '2021-02-01', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 215.00000000, 0.00000000, 0.00000000, 1075.00000000, 1290.00000000, '', 'D&eacute;pannage etuve&nbsp;<br />\r\nConfiguration r&eacute;gulateur&nbsp;', 'einstein', 1, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1075.00000000, 215.00000000, 1290.00000000, 'commande/CO2102-1848/CO2102-1848.pdf', NULL, NULL),
(1986, 'CO2102-1862', 1, NULL, NULL, 'M.Marcellin', 13230, NULL, '2021-02-09 14:52:55', '2021-02-01 14:10:18', '2021-02-09 15:52:54', NULL, '2021-02-01', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 202.07000000, 0.00000000, 0.00000000, 1010.36000000, 1212.43000000, '', 'Maintenance et remise en etat de certains elements d\'un compresseur à piston SUP\'AIR. Le temps et les frais de deplacement sont forfaitaires et s\'appliquent meme si seul un des chapitres proposés est retenu.', '', 0, NULL, NULL, 11, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1010.36000000, 202.07000000, 1212.43000000, 'commande/CO2102-1862/CO2102-1862.pdf', NULL, NULL),
(1987, 'CO2102-1849', 1, NULL, NULL, NULL, 13231, NULL, '2021-02-02 09:57:48', '2021-02-02 10:57:09', '2021-02-02 10:57:48', NULL, '2021-02-02', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 276.10000000, 0.00000000, 0.00000000, 1380.50000000, 1656.60000000, '', 'Fourniture et remplacement carte de votre compresseur V11 :<br />\r\n<br />\r\n&nbsp;', '', 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1380.50000000, 276.10000000, 1656.60000000, 'commande/CO2102-1849/CO2102-1849.pdf', NULL, NULL),
(1988, 'CO2102-1850', 1, NULL, NULL, NULL, 12666, NULL, '2021-02-02 13:31:39', '2021-02-02 14:31:20', '2021-02-02 14:31:24', NULL, '2021-02-02', 5, 5, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 163.65000000, 0.00000000, 0.00000000, 818.26000000, 981.91000000, '', 'Maintenance compresseur MAC 3 MSC18 à 13300HRS - site de ST julien Molin molette <br />\r\n<br />\r\n ', 'einstein', 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 818.26000000, 163.65000000, 981.91000000, 'commande/CO2102-1850/CO2102-1850.pdf', NULL, NULL),
(1989, 'CO2102-1851', 1, NULL, NULL, NULL, 5741, NULL, '2021-02-02 14:10:26', '2021-02-02 15:10:04', '2021-02-02 15:10:26', NULL, '2021-02-02', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 13.20000000, 0.00000000, 0.00000000, 66.00000000, 79.20000000, '', 'BL N&deg;16 du 15/01/2021 - Purge electropilotee', 'einstein', 0, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 66.00000000, 13.20000000, 79.20000000, 'commande/CO2102-1851/CO2102-1851.pdf', NULL, NULL),
(1990, 'CO2102-1852', 1, NULL, NULL, NULL, 12618, NULL, '2021-02-16 14:43:07', '2021-02-02 15:12:40', '2021-02-02 15:12:49', '2021-02-16 15:43:07', '2021-02-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 174.33000000, 0.00000000, 0.00000000, 871.66000000, 1045.99000000, '', 'Maintenance compresseur Cyclon ainsi que le remplacement des cartouches des 2 filtres reseaux compair', '', 1, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 871.66000000, 174.33000000, 1045.99000000, 'commande/CO2102-1852/CO2102-1852.pdf', NULL, NULL),
(1992, 'CO2102-1853', 1, NULL, NULL, NULL, 2311, NULL, '2021-02-16 14:14:10', '2021-02-02 16:43:56', '2021-02-02 16:48:40', '2021-02-16 15:13:57', '2021-02-02', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 7.61000000, 0.00000000, 0.00000000, 38.02000000, 45.63000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 38.02000000, 7.61000000, 45.63000000, 'commande/CO2102-1853/CO2102-1853.pdf', NULL, NULL),
(1993, 'CO2102-1863', 1, NULL, NULL, NULL, 2279, NULL, '2021-02-09 14:53:32', '2021-02-03 10:59:33', '2021-02-09 15:53:32', NULL, '2021-02-03', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 655.67000000, 0.00000000, 0.00000000, 3278.22000000, 3933.89000000, '', 'plus value atelier 2&nbsp;', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3278.22000000, 655.67000000, 3933.89000000, 'commande/CO2102-1863/CO2102-1863.pdf', NULL, NULL),
(1994, 'CO2102-1854', 1, NULL, NULL, NULL, 2273, NULL, '2021-02-03 10:58:57', '2021-02-03 11:58:53', '2021-02-03 11:58:57', NULL, '2021-02-03', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 159.35000000, 0.00000000, 0.00000000, 796.77000000, 956.12000000, '', 'maintenance modulos 25 compresseur et filtres reseaux ', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 796.77000000, 159.35000000, 956.12000000, 'commande/CO2102-1854/CO2102-1854.pdf', NULL, NULL),
(1995, 'CO2102-1855', 1, NULL, NULL, NULL, 13232, NULL, '2021-02-05 15:00:14', '2021-02-05 15:59:58', '2021-02-05 16:00:14', NULL, '2021-02-05', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 30.40000000, 0.00000000, 0.00000000, 152.00000000, 182.40000000, '', 'D&eacute;lai : 15 jours environ', '', 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 152.00000000, 30.40000000, 182.40000000, 'commande/CO2102-1855/CO2102-1855.pdf', NULL, NULL),
(1997, 'CO2102-1858', 1, NULL, NULL, NULL, 13045, NULL, '2021-02-08 10:10:58', '2021-02-08 10:21:13', '2021-02-08 11:06:21', '2021-02-08 11:08:26', '2021-02-08', 5, 5, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 4877.37000000, 0.00000000, 0.00000000, 24387.00000000, 29264.37000000, '', 'Dossier RCR PRODUCTION : <br />\r\nLocal air comprimé  <strong>compresseur à vis lubrifiee vitesse variable</strong> 22 KW COMPAIR reference L23RS . <br />\r\n<br />\r\nLieu des travaux : <br />\r\nZA Les Monts du matin, 26730 LA BAUME D\'HOSTUN<br />\r\n ', '', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 24387.00000000, 4877.37000000, 29264.37000000, 'commande/CO2102-1858/CO2102-1858.pdf', NULL, NULL),
(1998, 'CO2102-1857', 1, NULL, NULL, NULL, 2300, NULL, '2021-02-08 09:38:03', '2021-02-08 10:34:41', '2021-02-08 10:38:03', NULL, '2021-02-08', 5, 5, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 436.74000000, 0.00000000, 0.00000000, 2183.68000000, 2620.42000000, '', 'Maintenance l45 N° cd10023286001 à HRS<br />\r\net filtres reseaux et owamat 14<br />\r\n<br />\r\npetite baisse de puissance a verifier', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2183.68000000, 436.74000000, 2620.42000000, 'commande/CO2102-1857/CO2102-1857.pdf', NULL, NULL),
(1999, 'CO2102-1859', 1, NULL, NULL, NULL, 2399, NULL, '2021-02-08 14:51:52', '2021-02-08 15:51:29', '2021-02-08 15:51:52', NULL, '2021-02-08', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 146.58000000, 0.00000000, 0.00000000, 732.93000000, 879.51000000, '', 'Maintenance compresseur L11RS&nbsp;<br />\r\nRemplacement cartouche filtre reseau<br />\r\nMaintenance seprateur de condensats OWAMAT 10 :', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 732.93000000, 146.58000000, 879.51000000, 'commande/CO2102-1859/CO2102-1859.pdf', NULL, NULL),
(2001, 'CO2102-1860', 1, NULL, NULL, NULL, 12890, NULL, '2021-02-09 09:52:39', '2021-02-09 10:52:31', '2021-02-09 10:52:39', NULL, '2021-02-09', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 326.82000000, 0.00000000, 0.00000000, 1634.08000000, 1960.90000000, '', 'Maintenance  compresseur Hydrovanne 845<br />\r\n<span style=\"font-size:11.0pt\"><span style=\"font-family:\"Calibri\",\"sans-serif\"\">- Contrôles et vérifications  préconisés par le constructeur<br />\r\n- resserrage connexions électriques par nos techniciens dans le local technique<br />\r\n- Hors autres pièces défectueuses pouvant être trouvées <br />\r\n -<u> Garantie 6 mois sur pièces filtration </u></span></span><br />\r\n<br />\r\n ', '', 0, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1634.08000000, 326.82000000, 1960.90000000, 'commande/CO2102-1860/CO2102-1860.pdf', NULL, NULL),
(2002, 'CO2102-1861', 1, NULL, NULL, NULL, 2011, NULL, '2021-02-12 09:27:58', '2021-02-09 15:49:39', '2021-02-09 16:15:56', '2021-02-12 10:27:40', '2021-02-09', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 332.80000000, 0.00000000, 0.00000000, 1664.00000000, 1996.80000000, '', 'autolaveuse', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1664.00000000, 332.80000000, 1996.80000000, 'commande/CO2102-1861/CO2102-1861.pdf', NULL, NULL),
(2004, 'CO2102-1865', 1, NULL, NULL, NULL, 12921, NULL, '2021-02-09 15:27:01', '2021-02-09 16:26:52', '2021-02-09 16:27:01', NULL, '2021-02-09', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 159.94000000, 0.00000000, 0.00000000, 799.76000000, 959.70000000, '', 'Maintenance compresseur L22 en pi&eacute;ces adaptables ( sortie de garantie Assure COMPAIR )&nbsp;', '', 0, NULL, NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 799.76000000, 159.94000000, 959.70000000, 'commande/CO2102-1865/CO2102-1865.pdf', NULL, NULL),
(2005, 'CO2102-1866', 1, NULL, NULL, NULL, 1940, NULL, '2021-02-23 09:16:10', '2021-02-10 09:10:58', '2021-02-10 09:11:04', '2021-02-23 10:16:10', '2021-02-10', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 39.01000000, 0.00000000, 0.00000000, 195.05000000, 234.06000000, '', 'DP-202102-0008', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 195.05000000, 39.01000000, 234.06000000, 'commande/CO2102-1866/CO2102-1866.pdf', NULL, NULL),
(2006, 'CO2102-1867', 1, NULL, NULL, NULL, 2103, NULL, '2021-02-10 08:38:51', '2021-02-10 09:33:29', '2021-02-10 09:38:51', NULL, '2021-02-10', 5, 5, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 317.73000000, 0.00000000, 0.00000000, 1588.65000000, 1906.38000000, '', 'Maintenance L45RS N° CD10015227001 <br />\r\nMise en place d\'un radiateur d\'occasion d\'Avril 2016 pour essai , si essai non concluant remise en place du radiateur d\'origine.<br />\r\n<br />\r\nDélai : Lundi 15 Fevrier 2021 matin <br />\r\n( dans l\'attente de votre accord ) <br />\r\n<br />\r\n<br />\r\n ', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1588.65000000, 317.73000000, 1906.38000000, 'commande/CO2102-1867/CO2102-1867.pdf', NULL, NULL);
INSERT INTO `llx_commande` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_int`, `ref_client`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_cloture`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_cloture`, `source`, `fk_statut`, `amount_ht`, `remise_percent`, `remise_absolue`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `facture`, `fk_account`, `fk_currency`, `fk_cond_reglement`, `fk_mode_reglement`, `date_livraison`, `fk_shipping_method`, `fk_warehouse`, `fk_availability`, `fk_input_reason`, `fk_delivery_address`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `module_source`, `pos_source`) VALUES
(2007, 'CO2102-1868', 1, NULL, NULL, NULL, 12819, NULL, '2021-02-10 15:09:14', '2021-02-10 16:07:19', '2021-02-10 16:09:14', NULL, '2021-02-10', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 213.16000000, 0.00000000, 0.00000000, 1065.81000000, 1278.97000000, '', 'Maintenance compresseur RS PRO 7.5 -10B<br />\r\nMaintenance separateur de condensats ROS<br />\r\nRemplacement des 2 cartouches filtres reseaux', '', 0, NULL, NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1065.81000000, 213.16000000, 1278.97000000, 'commande/CO2102-1868/CO2102-1868.pdf', NULL, NULL),
(2008, 'CO2102-1869', 1, NULL, NULL, NULL, 13226, NULL, '2021-02-11 14:55:22', '2021-02-11 15:55:10', '2021-02-11 15:55:21', NULL, '2021-02-11', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 190.00000000, 0.00000000, 0.00000000, 950.00000000, 1140.00000000, '', 'Groupe electrogene&nbsp;', '', 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 950.00000000, 190.00000000, 1140.00000000, 'commande/CO2102-1869/CO2102-1869.pdf', NULL, NULL),
(2009, 'CO2102-1870', 1, NULL, NULL, NULL, 2161, NULL, '2021-02-12 09:17:59', '2021-02-12 10:17:50', '2021-02-12 10:17:59', NULL, '2021-02-12', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 131.49000000, 0.00000000, 0.00000000, 657.44000000, 788.93000000, '', 'Remplacement electrovanne de charge et joint du clapet d&#39;apsiration sur compresseur START 25 :', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 657.44000000, 131.49000000, 788.93000000, 'commande/CO2102-1870/CO2102-1870.pdf', NULL, NULL),
(2010, 'CO2102-1871', 1, NULL, NULL, NULL, 2358, NULL, '2021-02-12 14:52:26', '2021-02-12 15:46:09', '2021-02-12 15:51:40', '2021-02-12 15:51:45', '2021-02-12', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 268.35000000, 0.00000000, 0.00000000, 1341.78000000, 1610.13000000, '', 'Installation d&#39;une prise our appareil metalisation<br />\r\n<br />\r\nBL N&deg; 34 du 04/02/2021', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1341.78000000, 268.35000000, 1610.13000000, 'commande/CO2102-1871/CO2102-1871.pdf', NULL, NULL),
(2011, 'CO2102-1872', 1, NULL, NULL, NULL, 2062, NULL, '2021-02-15 09:13:50', '2021-02-15 09:56:47', '2021-02-15 10:13:05', NULL, '2021-02-15', 5, 5, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 872.94000000, 0.00000000, 0.00000000, 4364.70000000, 5237.64000000, '', 'Maintenances 2 compresseurs L26RS  et differents filtres réseaux , et separateurs de condensats: <br />\r\n<br />\r\nL26RS N° CD10021087002 à  <br />\r\nL26RS N° CD10027118001 à <br />\r\n<br />\r\n<br />\r\n ', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4364.70000000, 872.94000000, 5237.64000000, 'commande/CO2102-1872/CO2102-1872.pdf', NULL, NULL),
(2012, 'CO2102-1873', 1, NULL, NULL, NULL, 2175, NULL, '2021-02-16 09:44:55', '2021-02-16 10:40:17', '2021-02-16 10:40:27', '2021-02-16 10:40:48', '2021-02-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 154.01000000, 0.00000000, 0.00000000, 770.06000000, 924.07000000, '', 'Maintenance compresseur GA115 :&nbsp;', '', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 770.06000000, 154.01000000, 924.07000000, 'commande/CO2102-1873/CO2102-1873.pdf', NULL, NULL),
(2013, 'CO2102-1874', 1, NULL, NULL, NULL, 2175, NULL, '2021-02-16 09:46:40', '2021-02-16 10:46:00', '2021-02-16 10:46:07', '2021-02-16 10:46:40', '2021-02-16', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 115.85000000, 0.00000000, 0.00000000, 579.22000000, 695.07000000, '', 'Maintenance Sullair Trek 15HH : si r&eacute;alisation des 2 maintenances le m&ecirc;me jour une remise de -100 &euro;&nbsp; ( frais de d&eacute;placement ) vous sera accord&eacute;e .', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 579.22000000, 115.85000000, 695.07000000, 'commande/CO2102-1874/CO2102-1874.pdf', NULL, NULL),
(2014, 'CO2102-1875', 1, NULL, NULL, NULL, 2397, NULL, '2021-02-17 09:14:59', '2021-02-17 09:54:52', '2021-02-17 10:03:06', '2021-02-17 10:14:25', '2021-02-17', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 95.21000000, 0.00000000, 0.00000000, 476.06000000, 571.27000000, '', '', 'einstein', 1, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 476.06000000, 95.21000000, 571.27000000, 'commande/CO2102-1875/CO2102-1875.pdf', NULL, NULL),
(2015, 'CO2102-1876', 1, NULL, NULL, NULL, 2184, NULL, '2021-02-18 10:44:47', '2021-02-18 11:35:52', '2021-02-18 11:38:14', NULL, '2021-02-18', 5, 5, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 884.70000000, 0.00000000, 0.00000000, 4423.47000000, 5308.17000000, '', 'Maintenance L45RS ( 2018 ) N° CD10034859001 en huile alimentaire <br />\r\n<br />\r\nRemplacement cartouche filtre réseau <br />\r\n<br />\r\nMaintenance seprateur de condensats OWAMAT 14<br />\r\n<br />\r\n ', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4423.47000000, 884.70000000, 5308.17000000, 'commande/CO2102-1876/CO2102-1876.pdf', NULL, NULL),
(2016, 'CO2102-1877', 1, NULL, NULL, NULL, 2263, NULL, '2021-02-19 13:09:28', '2021-02-19 14:07:30', '2021-02-19 14:09:28', NULL, '2021-02-19', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 90.57000000, 0.00000000, 0.00000000, 452.83000000, 543.40000000, '', 'Maintenance L11 :', 'einstein', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 452.83000000, 90.57000000, 543.40000000, 'commande/CO2102-1877/CO2102-1877.pdf', NULL, NULL),
(2017, 'CO2102-1878', 1, NULL, NULL, NULL, 2022, NULL, '2021-02-23 15:39:49', '2021-02-23 09:00:56', '2021-02-23 16:39:49', NULL, '2021-02-23', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 195.41000000, 0.00000000, 0.00000000, 977.05000000, 1172.46000000, '', 'Maintenance compresseur Rolalir 1400&nbsp;', '', 0, NULL, NULL, 3, 2, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 977.05000000, 195.41000000, 1172.46000000, 'commande/CO2102-1878/CO2102-1878.pdf', NULL, NULL),
(2018, 'CO2102-1879', 1, NULL, NULL, NULL, 5315, NULL, '2021-02-23 08:24:44', '2021-02-23 09:24:25', '2021-02-23 09:24:36', NULL, '2021-02-23', 5, NULL, 5, NULL, NULL, 1, 0.00000000, 0, NULL, 0, 20.67000000, 0.00000000, 0.00000000, 103.38000000, 124.05000000, '', 'Pieces d&eacute;tach&eacute;es XT2<br />\r\n<br />\r\nD&eacute;lai :&nbsp; 1 semaine sur l&#39;ensemble sauf reference : TP144-050 d&eacute;lai de 23 semaines<br />\r\n<br />\r\nLe filtre n&#39;est pas vendu seul , il est inclus dans le bol complet .', 'einstein', 0, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 103.38000000, 20.67000000, 124.05000000, 'commande/CO2102-1879/CO2102-1879.pdf', NULL, NULL),
(2019, 'CO2102-1880', 1, NULL, NULL, NULL, 12613, NULL, '2021-02-23 10:20:47', '2021-02-23 10:48:09', '2021-02-23 11:19:58', '2021-02-23 11:20:21', '2021-02-23', 5, NULL, 5, 5, NULL, 3, 0.00000000, 0, NULL, 0, 79.35000000, 0.00000000, 0.00000000, 396.69000000, 476.04000000, '', 'Plus value<br />\r\n<br />\r\nBL N&deg;39 du 19/02/2021', 'einstein', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 396.69000000, 79.35000000, 476.04000000, 'commande/CO2102-1880/CO2102-1880.pdf', NULL, NULL);
