
-- --------------------------------------------------------

--
-- Structure de la table `llx_commande_fournisseur`
--

CREATE TABLE `llx_commande_fournisseur` (
  `rowid` int(11) NOT NULL,
  `ref` varchar(255) NOT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `ref_ext` varchar(64) DEFAULT NULL,
  `ref_supplier` varchar(255) DEFAULT NULL,
  `fk_soc` int(11) NOT NULL,
  `fk_projet` int(11) DEFAULT '0',
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `date_creation` datetime DEFAULT NULL,
  `date_valid` datetime DEFAULT NULL,
  `date_approve` datetime DEFAULT NULL,
  `date_approve2` datetime DEFAULT NULL,
  `date_commande` date DEFAULT NULL,
  `fk_user_author` int(11) DEFAULT NULL,
  `fk_user_modif` int(11) DEFAULT NULL,
  `fk_user_valid` int(11) DEFAULT NULL,
  `fk_user_approve` int(11) DEFAULT NULL,
  `fk_user_approve2` int(11) DEFAULT NULL,
  `source` smallint(6) NOT NULL,
  `fk_statut` smallint(6) DEFAULT '0',
  `billed` smallint(6) DEFAULT '0',
  `amount_ht` double(24,8) DEFAULT NULL,
  `remise_percent` double DEFAULT '0',
  `remise` double DEFAULT '0',
  `tva` double(24,8) DEFAULT '0.00000000',
  `localtax1` double(24,8) DEFAULT '0.00000000',
  `localtax2` double(24,8) DEFAULT '0.00000000',
  `total_ht` double(24,8) DEFAULT '0.00000000',
  `total_ttc` double(24,8) DEFAULT '0.00000000',
  `note_private` text,
  `note_public` text,
  `model_pdf` varchar(255) DEFAULT NULL,
  `date_livraison` datetime DEFAULT NULL,
  `fk_account` int(11) DEFAULT NULL,
  `fk_cond_reglement` int(11) DEFAULT NULL,
  `fk_mode_reglement` int(11) DEFAULT NULL,
  `fk_input_method` int(11) DEFAULT '0',
  `fk_incoterms` int(11) DEFAULT NULL,
  `location_incoterms` varchar(255) DEFAULT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  `extraparams` varchar(255) DEFAULT NULL,
  `fk_multicurrency` int(11) DEFAULT NULL,
  `multicurrency_code` varchar(255) DEFAULT NULL,
  `multicurrency_tx` double(24,8) DEFAULT '1.00000000',
  `multicurrency_total_ht` double(24,8) DEFAULT '0.00000000',
  `multicurrency_total_tva` double(24,8) DEFAULT '0.00000000',
  `multicurrency_total_ttc` double(24,8) DEFAULT '0.00000000',
  `last_main_doc` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Déchargement des données de la table `llx_commande_fournisseur`
--

INSERT INTO `llx_commande_fournisseur` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_supplier`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_approve`, `date_approve2`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_approve`, `fk_user_approve2`, `source`, `fk_statut`, `billed`, `amount_ht`, `remise_percent`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `date_livraison`, `fk_account`, `fk_cond_reglement`, `fk_mode_reglement`, `fk_input_method`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`) VALUES
(3, 'CF1708-0002', 1, NULL, '', 2764, NULL, '2017-08-24 06:58:02', '2017-08-21 09:43:34', '2017-08-21 09:46:07', '2017-08-21 09:46:07', NULL, '2017-08-21', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 14.22000000, 0.00000000, 0.00000000, 71.12000000, 85.34000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 71.12000000, 14.22000000, 85.34000000, NULL),
(4, 'CF1708-0003', 1, NULL, '', 2761, NULL, '2017-08-31 09:20:35', '2017-08-21 10:05:45', '2017-08-21 10:06:28', '2017-08-21 10:06:28', NULL, '2017-08-21', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 80.39000000, 0.00000000, 0.00000000, 401.96000000, 482.35000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 401.96000000, 80.39000000, 482.35000000, NULL),
(5, 'CF1708-0004', 1, NULL, '', 2050, NULL, '2017-08-24 10:22:05', '2017-08-21 12:07:00', '2017-08-21 12:07:53', '2017-08-21 12:07:54', NULL, '2017-08-21', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 30.95000000, 0.00000000, 0.00000000, 154.74000000, 185.69000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 154.74000000, 30.95000000, 185.69000000, NULL),
(6, 'CF1708-0006', 1, NULL, '', 2114, NULL, '2017-08-23 09:09:47', '2017-08-21 16:33:57', '2017-08-22 08:59:00', '2017-08-22 08:59:00', NULL, '2017-08-22', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 266.92000000, 0.00000000, 0.00000000, 1334.59000000, 1601.51000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 5, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1334.59000000, 266.92000000, 1601.51000000, NULL),
(7, 'CF1708-0005', 1, NULL, '', 2050, NULL, '2017-09-08 09:40:48', '2017-08-21 16:33:57', '2017-08-22 08:57:35', '2017-08-22 08:57:35', NULL, '2017-08-22', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 1081.20000000, 0.00000000, 0.00000000, 5406.00000000, 6487.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 2, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5406.00000000, 1081.20000000, 6487.20000000, NULL),
(8, 'CF1708-0007', 1, NULL, '', 2114, NULL, '2017-08-23 09:13:39', '2017-08-23 10:55:11', '2017-08-23 11:13:19', '2017-08-23 11:13:19', NULL, '2017-08-23', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 338.19000000, 0.00000000, 0.00000000, 1691.00000000, 2029.19000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1691.00000000, 338.19000000, 2029.19000000, NULL),
(9, 'CF1708-0008', 1, NULL, '', 2114, NULL, '2017-08-23 09:42:22', '2017-08-23 11:41:14', '2017-08-23 11:42:11', '2017-08-23 11:42:11', NULL, '2017-08-23', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 159.85000000, 0.00000000, 0.00000000, 799.24000000, 959.09000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 799.24000000, 159.85000000, 959.09000000, NULL),
(11, 'CF1708-0009', 1, NULL, '', 2114, NULL, '2017-08-23 12:35:44', '2017-08-23 14:34:53', '2017-08-23 14:35:29', '2017-08-23 14:35:29', NULL, '2017-08-23', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 240.00000000, 0.00000000, 0.00000000, 1200.00000000, 1440.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1200.00000000, 240.00000000, 1440.00000000, NULL),
(12, 'CF1708-0010', 1, NULL, '', 2114, NULL, '2017-08-23 13:48:48', '2017-08-23 15:38:45', '2017-08-23 15:48:31', '2017-08-23 15:48:31', NULL, '2017-08-23', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 150.00000000, 0.00000000, 0.00000000, 750.00000000, 900.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL),
(13, 'CF1708-0011', 1, NULL, '', 2114, NULL, '2017-08-23 14:19:25', '2017-08-23 16:14:08', '2017-08-23 16:19:16', '2017-08-23 16:19:16', NULL, '2017-08-23', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(14, 'CF1708-0012', 1, NULL, '', 2114, NULL, '2017-08-24 08:51:57', '2017-08-24 10:50:29', '2017-08-24 10:51:37', '2017-08-24 10:51:37', NULL, '2017-08-24', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 645.24000000, 0.00000000, 0.00000000, 3226.24000000, 3871.48000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3226.24000000, 645.24000000, 3871.48000000, NULL),
(15, 'CF1708-0013', 1, NULL, '', 2114, NULL, '2017-08-24 09:32:54', '2017-08-24 11:32:04', '2017-08-24 11:32:44', '2017-08-24 11:32:44', NULL, '2017-08-24', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 77.33000000, 0.00000000, 0.00000000, 386.63000000, 463.96000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 386.63000000, 77.33000000, 463.96000000, NULL),
(16, 'CF1708-0021', 1, NULL, '', 2050, NULL, '2017-08-29 12:46:50', '2017-08-24 11:58:45', '2017-08-25 12:06:32', '2017-08-25 12:06:32', NULL, '2017-08-25', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 24.61000000, 0.00000000, 0.00000000, 123.06000000, 147.67000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 123.06000000, 24.61000000, 147.67000000, NULL),
(19, 'CF1708-0014', 1, NULL, '', 2114, NULL, '2017-08-24 13:08:51', '2017-08-24 11:58:46', '2017-08-24 15:08:37', '2017-08-24 15:08:37', NULL, '2017-08-24', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(20, 'CF1708-0015', 1, NULL, '', 2114, NULL, '2017-08-24 14:05:48', '2017-08-24 16:01:19', '2017-08-24 16:05:39', '2017-08-24 16:05:39', NULL, '2017-08-24', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 84.88000000, 0.00000000, 0.00000000, 424.38000000, 509.26000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 424.38000000, 84.88000000, 509.26000000, NULL),
(21, 'CF1708-0016', 1, NULL, '', 2114, NULL, '2017-08-24 14:45:36', '2017-08-24 16:44:41', '2017-08-24 16:45:05', '2017-08-24 16:45:05', NULL, '2017-08-24', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 50.00000000, 0.00000000, 0.00000000, 250.00000000, 300.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 250.00000000, 50.00000000, 300.00000000, NULL),
(22, 'CF1708-0017', 1, NULL, '', 2114, NULL, '2017-08-25 08:20:59', '2017-08-25 10:17:22', '2017-08-25 10:20:51', '2017-08-25 10:20:51', NULL, '2017-08-25', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 42.84000000, 0.00000000, 0.00000000, 214.20000000, 257.04000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL),
(23, 'CF1708-0018', 1, NULL, '', 2114, NULL, '2017-08-25 08:42:23', '2017-08-25 10:39:33', '2017-08-25 10:42:15', '2017-08-25 10:42:15', NULL, '2017-08-25', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 64.02000000, 0.00000000, 0.00000000, 320.12000000, 384.14000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 320.12000000, 64.02000000, 384.14000000, NULL),
(24, 'CF1708-0019', 1, NULL, '', 2114, NULL, '2017-08-25 09:03:54', '2017-08-25 10:54:04', '2017-08-25 11:03:39', '2017-08-25 11:03:39', NULL, '2017-08-25', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 42.84000000, 0.00000000, 0.00000000, 214.20000000, 257.04000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL),
(25, 'CF1708-0020', 1, NULL, '', 2114, NULL, '2017-08-25 09:51:34', '2017-08-25 11:48:25', '2017-08-25 11:51:16', '2017-08-25 11:51:16', NULL, '2017-08-25', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(27, 'CF1708-0023', 1, NULL, '', 2114, NULL, '2018-02-02 15:51:57', '2017-08-28 09:38:45', '2017-08-28 09:50:06', '2017-08-28 09:50:06', NULL, '2017-08-28', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 71.56000000, 0.00000000, 0.00000000, 357.80000000, 429.36000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 357.80000000, 71.56000000, 429.36000000, NULL),
(28, 'CF1708-0022', 1, NULL, '', 2740, NULL, '2017-09-08 09:41:21', '2017-08-28 09:45:32', '2017-08-28 09:46:05', '2017-08-28 09:46:05', NULL, '2017-08-28', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 75.80000000, 0.00000000, 0.00000000, 379.00000000, 454.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 379.00000000, 75.80000000, 454.80000000, NULL),
(29, 'CF1708-0037', 1, NULL, '', 1948, NULL, '2018-02-02 15:52:57', '2017-08-28 11:23:40', '2017-10-24 12:12:42', '2017-10-24 12:12:42', NULL, '2018-02-02', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 15.40000000, 0.00000000, 0.00000000, 77.00000000, 92.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 77.00000000, 15.40000000, 92.40000000, NULL),
(30, 'CF1708-0024', 1, NULL, '', 2114, NULL, '2017-08-28 09:26:47', '2017-08-28 11:26:02', '2017-08-28 11:26:39', '2017-08-28 11:26:39', NULL, '2017-08-28', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 9.60000000, 0.00000000, 0.00000000, 48.00000000, 57.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 48.00000000, 9.60000000, 57.60000000, NULL),
(31, 'CF1708-0025', 1, NULL, '', 2114, NULL, '2017-08-28 12:09:34', '2017-08-28 14:07:20', '2017-08-28 14:08:36', '2017-08-28 14:08:36', NULL, '2017-08-28', 5, NULL, 5, 5, NULL, 0, 5, 1, 0.00000000, 0, 0, 63.30000000, 0.00000000, 0.00000000, 316.50000000, 379.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 316.50000000, 63.30000000, 379.80000000, NULL),
(32, 'CF1708-0026', 1, NULL, '', 2114, NULL, '2017-09-12 07:11:32', '2017-08-28 15:01:04', '2017-08-28 15:01:45', '2017-08-28 15:01:45', NULL, '2017-08-28', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 98.04000000, 0.00000000, 0.00000000, 490.20000000, 588.24000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 490.20000000, 98.04000000, 588.24000000, NULL),
(33, 'CF1708-0027', 1, NULL, '', 2719, NULL, '2017-09-08 09:41:45', '2017-08-28 15:01:04', '2017-08-28 15:03:18', '2017-08-28 15:03:18', NULL, '2017-08-28', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 7.62000000, 0.00000000, 0.00000000, 38.08000000, 45.70000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 38.08000000, 7.62000000, 45.70000000, NULL),
(34, 'CF1708-0028', 1, NULL, '', 2685, NULL, '2017-08-30 09:30:27', '2017-08-28 15:01:04', '2017-08-28 15:03:59', '2017-08-28 15:03:59', NULL, '2017-08-28', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 12.90000000, 0.00000000, 0.00000000, 64.52000000, 77.42000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 64.52000000, 12.90000000, 77.42000000, NULL),
(35, 'CF1708-0029', 1, NULL, '', 2685, NULL, '2017-08-30 09:29:48', '2017-08-28 15:09:09', '2017-08-28 15:09:27', '2017-08-28 15:09:28', NULL, '2017-08-28', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 18.90000000, 0.00000000, 0.00000000, 94.49000000, 113.39000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 94.49000000, 18.90000000, 113.39000000, NULL),
(36, 'CF1709-0074', 1, NULL, '', 2729, NULL, '2017-09-07 12:06:07', '2017-08-29 09:49:01', '2017-09-07 09:49:58', '2017-09-07 09:49:59', NULL, '2017-09-07', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 563.80000000, 0.00000000, 0.00000000, 2819.00000000, 3382.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2819.00000000, 563.80000000, 3382.80000000, NULL),
(37, 'CF1708-0030', 1, NULL, '', 2114, NULL, '2017-08-29 08:49:26', '2017-08-29 10:48:36', '2017-08-29 10:49:15', '2017-08-29 10:49:15', NULL, '2017-08-29', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 211.65000000, 0.00000000, 0.00000000, 1058.28000000, 1269.93000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1058.28000000, 211.65000000, 1269.93000000, NULL),
(38, 'CF1708-0031', 1, NULL, '', 2114, NULL, '2017-08-29 09:14:59', '2017-08-29 11:11:52', '2017-08-29 11:14:53', '2017-08-29 11:14:53', NULL, '2017-08-29', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 42.84000000, 0.00000000, 0.00000000, 214.20000000, 257.04000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL),
(40, 'CF1708-0033', 1, NULL, '698016', 2764, NULL, '2017-09-08 09:42:01', '2017-08-29 15:17:27', '2017-08-29 15:19:04', '2017-08-29 15:19:04', NULL, '2017-08-29', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 11.59000000, 0.00000000, 0.00000000, 57.96000000, 69.55000000, '', '', 'muscadet', NULL, NULL, 5, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 57.96000000, 11.59000000, 69.55000000, NULL),
(41, 'CF1708-0034', 1, NULL, '', 2050, NULL, '2017-10-05 07:25:21', '2017-08-30 09:36:20', '2017-08-30 09:57:02', '2017-08-30 09:57:02', NULL, '2017-08-30', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 79.84000000, 0.00000000, 0.00000000, 399.20000000, 479.04000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 399.20000000, 79.84000000, 479.04000000, NULL),
(42, 'CF1708-0035', 1, NULL, '', 2697, NULL, '2017-09-18 08:29:28', '2017-08-30 11:16:19', '2017-08-30 14:13:58', '2017-08-30 14:13:58', NULL, '2017-08-30', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 60.16000000, 0.00000000, 0.00000000, 300.80000000, 360.96000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 300.80000000, 60.16000000, 360.96000000, NULL),
(43, 'CF1708-0036', 1, NULL, '', 2114, NULL, '2017-08-30 12:44:08', '2017-08-30 14:43:16', '2017-08-30 14:43:56', '2017-08-30 14:43:56', NULL, '2017-08-30', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 42.84000000, 0.00000000, 0.00000000, 214.20000000, 257.04000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL),
(44, 'CF1708-0038', 1, NULL, '', 2114, NULL, '2017-08-30 13:37:04', '2017-08-30 15:36:37', '2017-08-30 15:36:59', '2017-08-30 15:36:59', NULL, '2017-08-30', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 65.10000000, 0.00000000, 0.00000000, 325.50000000, 390.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 325.50000000, 65.10000000, 390.60000000, NULL),
(45, 'CF1708-0039', 1, NULL, '', 2114, NULL, '2017-08-30 14:42:35', '2017-08-30 16:35:38', '2017-08-30 16:42:28', '2017-08-30 16:42:29', NULL, '2017-08-30', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 85.68000000, 0.00000000, 0.00000000, 428.40000000, 514.08000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 428.40000000, 85.68000000, 514.08000000, NULL),
(46, 'CF1708-0040', 1, NULL, '', 2725, NULL, '2017-09-14 07:45:43', '2017-08-30 17:03:44', '2017-08-30 17:04:36', '2017-08-30 17:04:36', NULL, '2017-09-09', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 139.34000000, 0.00000000, 0.00000000, 696.72000000, 836.06000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 696.72000000, 139.34000000, 836.06000000, NULL),
(47, 'CF1708-0041', 1, NULL, '', 2114, NULL, '2017-08-31 07:07:18', '2017-08-31 09:05:58', '2017-08-31 09:07:05', '2017-08-31 09:07:05', NULL, '2017-08-31', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 43.51000000, 0.00000000, 0.00000000, 217.55000000, 261.06000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 217.55000000, 43.51000000, 261.06000000, NULL),
(48, 'CF1709-0042', 1, NULL, '', 1948, NULL, '2017-09-11 07:54:13', '2017-09-04 14:39:29', '2017-09-04 14:56:35', '2017-09-04 14:56:35', NULL, '2017-09-11', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 39.72000000, 0.00000000, 0.00000000, 198.61000000, 238.33000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 198.61000000, 39.72000000, 238.33000000, NULL),
(49, 'CF1709-0044', 1, NULL, '', 2114, NULL, '2017-09-15 08:25:33', '2017-09-04 14:59:39', '2017-09-04 15:01:38', '2017-09-04 15:01:39', NULL, '2017-09-04', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 57.69000000, 0.00000000, 0.00000000, 288.46000000, 346.15000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 288.46000000, 57.69000000, 346.15000000, NULL),
(50, 'CF1709-0043', 1, NULL, '', 2740, NULL, '2017-09-11 07:54:38', '2017-09-04 14:59:39', '2017-09-04 14:59:57', '2017-09-04 14:59:57', NULL, '2017-09-11', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 75.80000000, 0.00000000, 0.00000000, 379.00000000, 454.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 379.00000000, 75.80000000, 454.80000000, NULL),
(51, 'CF1709-0045', 1, NULL, '', 2114, NULL, '2018-05-16 09:45:57', '2017-09-05 08:59:04', '2017-09-05 08:59:41', '2017-09-05 08:59:41', NULL, '2017-09-05', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 42.84000000, 0.00000000, 0.00000000, 214.20000000, 257.04000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL),
(52, 'CF1709-0046', 1, NULL, '', 2685, NULL, '2017-09-06 15:02:37', '2017-09-05 08:59:04', '2017-09-05 09:04:11', '2017-09-05 09:04:11', NULL, '2017-09-05', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 10.52000000, 0.00000000, 0.00000000, 52.59000000, 63.11000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 52.59000000, 10.52000000, 63.11000000, NULL),
(54, 'CF1709-0064', 1, NULL, '', 1948, NULL, '2019-02-15 08:13:58', '2017-09-05 14:47:39', '2017-09-06 11:51:31', '2017-09-06 11:51:31', NULL, '2017-09-12', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 33.35000000, 0.00000000, 0.00000000, 166.77000000, 200.12000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 166.77000000, 33.35000000, 200.12000000, NULL),
(55, 'CF1709-0063', 1, NULL, '', 2050, NULL, '2017-09-14 12:22:10', '2017-09-05 14:55:56', '2017-09-06 11:49:42', '2017-09-06 11:49:42', NULL, '2017-09-06', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 362.53000000, 0.00000000, 0.00000000, 1812.66000000, 2175.19000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1812.66000000, 362.53000000, 2175.19000000, NULL),
(56, 'CF1709-0048', 1, NULL, '', 2114, NULL, '2020-07-17 09:50:59', '2017-09-05 14:55:56', '2017-09-05 14:57:46', '2017-09-05 14:57:46', NULL, '2020-07-17', 5, NULL, 5, 5, NULL, 0, 5, 1, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(58, 'CF1709-0066', 1, NULL, '', 2764, NULL, '2019-02-20 14:55:48', '2017-09-05 15:05:44', '2017-09-06 14:38:27', '2017-09-06 14:38:28', NULL, '2017-09-08', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 13.80000000, 0.00000000, 0.00000000, 68.99000000, 82.79000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 68.99000000, 13.80000000, 82.79000000, NULL),
(59, 'CF1709-0050', 1, NULL, '', 2114, NULL, '2020-07-17 09:52:27', '2017-09-05 15:12:06', '2017-09-05 15:12:32', '2017-09-05 15:12:32', NULL, '2020-07-17', 5, NULL, 5, 5, NULL, 0, 5, 1, 0.00000000, 0, 0, 42.84000000, 0.00000000, 0.00000000, 214.20000000, 257.04000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 2, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL),
(60, 'CF1709-0051', 1, NULL, '', 2114, NULL, '2017-10-24 08:46:57', '2017-09-06 09:30:05', '2017-09-06 09:30:45', '2017-09-06 09:30:45', NULL, '2017-10-24', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 116.28000000, 0.00000000, 0.00000000, 581.40000000, 697.68000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 581.40000000, 116.28000000, 697.68000000, NULL),
(61, 'CF1709-0052', 1, NULL, '', 2114, NULL, '2020-07-17 09:52:52', '2017-09-06 09:31:55', '2017-09-06 09:32:17', '2017-09-06 09:32:17', NULL, '2020-07-17', 5, NULL, 5, 5, NULL, 0, 5, 1, 0.00000000, 0, 0, 42.84000000, 0.00000000, 0.00000000, 214.20000000, 257.04000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL),
(62, 'CF1709-0053', 1, NULL, '', 2114, NULL, '2017-10-24 09:24:05', '2017-09-06 09:33:33', '2017-09-06 09:34:59', '2017-09-06 09:35:00', NULL, '2017-10-24', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(63, 'CF1709-0054', 1, NULL, '', 2114, NULL, '2020-07-17 09:53:13', '2017-09-06 09:43:13', '2017-09-19 10:32:57', '2017-09-19 10:32:57', NULL, '2020-07-17', 5, NULL, 5, 5, NULL, 0, 5, 1, 0.00000000, 0, 0, 42.84000000, 0.00000000, 0.00000000, 214.20000000, 257.04000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL),
(64, 'CF1709-0055', 1, NULL, '', 2635, NULL, '2017-09-11 07:27:44', '2017-09-06 09:51:58', '2017-09-06 09:52:12', '2017-09-06 09:52:12', NULL, '2017-09-08', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 23.31000000, 0.00000000, 0.00000000, 116.56000000, 139.87000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 116.56000000, 23.31000000, 139.87000000, NULL),
(65, 'CF1709-0056', 1, NULL, '', 2114, NULL, '2020-07-17 09:53:26', '2017-09-06 10:30:57', '2017-09-06 10:32:05', '2017-09-06 10:32:05', NULL, '2020-07-17', 5, NULL, 5, 5, NULL, 0, 5, 1, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 4, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(66, 'CF1709-0057', 1, NULL, '', 2114, NULL, '2017-09-07 12:08:42', '2017-09-06 10:37:13', '2017-09-06 10:39:27', '2017-09-06 10:39:27', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 0, 0.00000000, 0, 0, 42.84000000, 0.00000000, 0.00000000, 214.20000000, 257.04000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL),
(67, 'CF1709-0058', 1, NULL, '', 2114, NULL, '2018-01-31 15:06:01', '2017-09-06 10:50:58', '2017-09-06 10:52:31', '2017-09-06 10:52:31', NULL, '2018-01-31', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 42.84000000, 0.00000000, 0.00000000, 214.20000000, 257.04000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL),
(68, 'CF1709-0059', 1, NULL, '', 2114, NULL, '2017-09-19 12:40:01', '2017-09-06 11:11:53', '2017-09-06 11:12:39', '2017-09-06 11:12:39', NULL, '2017-09-06', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 42.84000000, 0.00000000, 0.00000000, 214.20000000, 257.04000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL),
(69, 'CF1709-0065', 1, NULL, '', 2740, NULL, '2017-09-11 07:25:15', '2017-09-06 11:11:53', '2017-09-06 11:57:31', '2017-09-06 11:57:31', NULL, '2017-09-08', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 48.41000000, 0.00000000, 0.00000000, 242.06000000, 290.47000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 242.06000000, 48.41000000, 290.47000000, NULL),
(70, 'CF1709-0060', 1, NULL, '', 2114, NULL, '2020-07-17 09:51:50', '2017-09-06 11:19:01', '2017-09-06 11:20:25', '2017-09-06 11:20:25', NULL, '2020-07-17', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(71, 'CF1709-0061', 1, NULL, '', 2114, NULL, '2020-07-17 09:52:10', '2017-09-06 11:25:15', '2017-09-06 11:25:45', '2017-09-06 11:25:45', NULL, '2020-07-17', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 42.84000000, 0.00000000, 0.00000000, 214.20000000, 257.04000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL),
(72, 'CF1709-0062', 1, NULL, '', 2114, NULL, '2017-10-03 10:09:09', '2017-09-06 11:43:06', '2017-09-06 11:43:36', '2017-09-06 11:43:36', NULL, '2017-09-06', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 42.84000000, 0.00000000, 0.00000000, 214.20000000, 257.04000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL),
(73, 'CF1709-0068', 1, NULL, '', 2114, NULL, '2017-12-05 09:23:40', '2017-09-06 11:46:43', '2017-09-06 16:13:30', '2017-09-06 16:13:30', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(75, 'CF1709-0067', 1, NULL, '', 2050, NULL, '2017-10-05 07:24:05', '2017-09-06 14:42:43', '2017-09-06 14:43:14', '2017-09-06 14:43:14', NULL, '2017-09-12', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 147.65000000, 0.00000000, 0.00000000, 738.24000000, 885.89000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 738.24000000, 147.65000000, 885.89000000, NULL),
(76, 'CF1709-0069', 1, NULL, '', 2114, NULL, '2020-07-17 09:54:39', '2017-09-06 16:20:45', '2017-09-06 16:21:20', '2017-09-06 16:21:20', NULL, '2020-07-17', 5, NULL, 5, 5, NULL, 0, 5, 1, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(77, 'CF1709-0090', 1, NULL, '', 2050, NULL, '2017-09-21 11:58:32', '2017-09-06 16:20:45', '2017-09-11 15:38:58', '2017-09-11 15:38:58', NULL, '2017-09-11', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 186.57000000, 0.00000000, 0.00000000, 932.79000000, 1119.36000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 932.79000000, 186.57000000, 1119.36000000, NULL),
(78, 'CF1709-0070', 1, NULL, '', 2114, NULL, '2020-07-17 09:57:02', '2017-09-06 16:30:51', '2017-09-06 16:31:30', '2017-09-06 16:31:30', NULL, '2020-07-17', 5, NULL, 5, 5, NULL, 0, 5, 1, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(79, 'CF1709-0095', 1, NULL, '', 2764, NULL, '2017-09-19 14:07:14', '2017-09-06 16:30:51', '2017-09-13 09:54:14', '2017-09-13 09:54:14', NULL, '2017-09-12', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 11.01000000, 0.00000000, 0.00000000, 55.04000000, 66.05000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 55.04000000, 11.01000000, 66.05000000, NULL),
(80, 'CF1709-0096', 1, NULL, '', 1948, NULL, '2017-09-15 12:43:18', '2017-09-06 16:30:51', '2017-09-13 09:54:52', '2017-09-13 09:54:52', NULL, '2017-09-12', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 30.36000000, 0.00000000, 0.00000000, 151.80000000, 182.16000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 151.80000000, 30.36000000, 182.16000000, NULL),
(81, 'CF1710-0153', 1, NULL, '', 2685, NULL, '2017-10-12 08:47:27', '2017-09-06 16:54:59', '2017-10-12 10:47:13', '2017-10-12 10:47:13', NULL, '2017-10-12', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 18.55000000, 0.00000000, 0.00000000, 92.73000000, 111.28000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 92.73000000, 18.55000000, 111.28000000, NULL),
(82, 'CF1709-0112', 1, NULL, '', 2642, NULL, '2017-10-05 07:19:05', '2017-09-06 16:54:59', '2017-09-20 14:47:29', '2017-09-20 14:47:29', NULL, '2017-09-20', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 13.41000000, 0.00000000, 0.00000000, 67.03000000, 80.44000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 67.03000000, 13.41000000, 80.44000000, NULL),
(83, 'CF1709-0071', 1, NULL, '', 2114, NULL, '2020-07-17 09:55:34', '2017-09-06 16:55:00', '2017-09-06 16:56:38', '2017-09-06 16:56:38', NULL, '2020-07-17', 5, NULL, 5, 5, NULL, 0, 5, 1, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(84, 'CF1709-0072', 1, NULL, '', 2114, NULL, '2017-12-05 08:56:25', '2017-09-07 09:45:21', '2017-09-07 09:46:13', '2017-09-07 09:46:13', NULL, '2017-12-05', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(85, 'CF1709-0073', 1, NULL, '', 2114, NULL, '2020-07-17 09:55:50', '2017-09-07 09:48:38', '2017-09-07 09:49:14', '2017-09-07 09:49:14', NULL, '2020-07-17', 5, NULL, 5, 5, NULL, 0, 5, 1, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(86, 'CF1709-0075', 1, NULL, '', 2114, NULL, '2020-07-17 09:56:06', '2017-09-07 09:54:43', '2017-09-07 09:55:14', '2017-09-07 09:55:14', NULL, '2020-07-17', 5, NULL, 5, 5, NULL, 0, 5, 1, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(87, 'CF1709-0076', 1, NULL, '', 2114, NULL, '2020-07-17 09:56:21', '2017-09-07 09:58:53', '2017-09-07 09:59:19', '2017-09-07 09:59:19', NULL, '2020-07-17', 5, NULL, 5, 5, NULL, 0, 5, 1, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(88, 'CF1709-0077', 1, NULL, '', 2114, NULL, '2017-10-09 11:44:14', '2017-09-07 10:05:42', '2017-09-07 10:11:23', '2017-09-07 10:11:23', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 0, 0.00000000, 0, 0, 85.68000000, 0.00000000, 0.00000000, 428.40000000, 514.08000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 428.40000000, 85.68000000, 514.08000000, NULL),
(89, 'CF1709-0078', 1, NULL, '', 2114, NULL, '2020-07-17 09:57:53', '2017-09-07 10:27:19', '2017-09-07 10:28:02', '2017-09-07 10:28:02', NULL, '2020-07-17', 5, NULL, 5, 5, NULL, 0, 5, 1, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(90, 'CF1709-0079', 1, NULL, '', 2729, NULL, '2018-07-19 08:04:49', '2017-09-07 10:27:19', '2017-09-07 10:28:35', '2017-09-07 10:28:35', NULL, '2017-09-08', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 22.54000000, 0.00000000, 0.00000000, 112.70000000, 135.24000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 112.70000000, 22.54000000, 135.24000000, NULL),
(91, 'CF1709-0080', 1, NULL, '', 2114, NULL, '2020-07-17 09:57:34', '2017-09-07 10:32:53', '2017-09-07 10:33:24', '2017-09-07 10:33:24', NULL, '2020-07-17', 5, NULL, 5, 5, NULL, 0, 5, 1, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(92, 'CF1709-0081', 1, NULL, '', 2114, NULL, '2017-10-13 07:12:13', '2017-09-07 11:43:56', '2017-09-07 11:44:49', '2017-09-07 11:44:49', NULL, '2017-10-13', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 42.84000000, 0.00000000, 0.00000000, 214.20000000, 257.04000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL),
(93, 'CF1709-0082', 1, NULL, '', 2114, NULL, '2020-07-17 09:58:16', '2017-09-07 11:52:45', '2017-09-07 11:57:45', '2017-09-07 11:57:45', NULL, '2020-07-17', 5, NULL, 5, 5, NULL, 0, 5, 1, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(94, 'CF1709-0083', 1, NULL, '', 1948, NULL, '2017-09-11 07:53:00', '2017-09-07 14:19:51', '2017-09-07 14:20:55', '2017-09-07 14:20:55', NULL, '2017-09-11', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 47.44000000, 0.00000000, 0.00000000, 237.22000000, 284.66000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 237.22000000, 47.44000000, 284.66000000, NULL),
(95, 'CF1709-0084', 1, NULL, 'AUTO PIECE', 2114, NULL, '2019-02-15 08:14:04', '2017-09-07 15:56:38', '2017-09-07 15:58:20', '2017-09-07 15:58:21', NULL, '2017-09-07', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 156.52000000, 0.00000000, 0.00000000, 782.58000000, 939.10000000, '', 'Prise en charge par SFACS deplacement et main d&#39;oeuvre non pris en garantie par vallet pour les 2 pont elevateurs&nbsp;', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 782.58000000, 156.52000000, 939.10000000, NULL),
(96, 'CF1709-0085', 1, NULL, '', 2114, NULL, '2020-07-17 09:58:45', '2017-09-08 10:03:26', '2017-09-08 11:14:42', '2017-09-08 11:14:42', NULL, '2020-07-17', 5, NULL, 5, 5, NULL, 0, 5, 1, 0.00000000, 0, 0, 200.00000000, 0.00000000, 0.00000000, 1000.00000000, 1200.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1000.00000000, 200.00000000, 1200.00000000, NULL),
(97, 'CF1709-0086', 1, NULL, '', 12620, NULL, '2019-02-15 08:14:34', '2017-09-08 14:12:21', '2017-09-08 14:12:41', '2017-09-08 14:12:41', NULL, '2017-09-08', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 0.84000000, 0.00000000, 0.00000000, 4.20000000, 5.04000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4.20000000, 0.84000000, 5.04000000, NULL),
(98, 'CF1709-0087', 1, NULL, '', 10086, NULL, '2017-09-11 07:26:20', '2017-09-08 14:16:44', '2017-09-08 14:17:06', '2017-09-08 14:17:06', NULL, '2017-09-11', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 11.17000000, 0.00000000, 0.00000000, 55.86000000, 67.03000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 55.86000000, 11.17000000, 67.03000000, NULL),
(99, 'CF1709-0088', 1, NULL, '', 2114, NULL, '2017-09-11 10:18:56', '2017-09-11 12:18:17', '2017-09-11 12:18:47', '2017-09-11 12:18:47', NULL, '2017-09-11', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 106.80000000, 0.00000000, 0.00000000, 534.00000000, 640.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 534.00000000, 106.80000000, 640.80000000, NULL),
(100, 'CF1709-0089', 1, NULL, '', 2114, NULL, '2017-09-11 12:17:35', '2017-09-11 14:17:05', '2017-09-11 14:17:28', '2017-09-11 14:17:28', NULL, '2017-09-11', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 85.68000000, 0.00000000, 0.00000000, 428.40000000, 514.08000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 428.40000000, 85.68000000, 514.08000000, NULL),
(101, 'CF1709-0091', 1, NULL, '', 2673, NULL, '2017-10-16 08:17:51', '2017-09-11 15:38:35', '2017-09-11 15:39:56', '2017-09-11 15:39:56', NULL, '2017-09-11', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 7.00000000, 0.00000000, 0.00000000, 35.00000000, 42.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 35.00000000, 7.00000000, 42.00000000, NULL),
(102, 'CF1709-0092', 1, NULL, '', 2114, NULL, '2020-07-17 09:59:14', '2017-09-12 09:38:12', '2017-09-12 09:39:25', '2017-09-12 09:39:25', NULL, '2020-07-17', 5, NULL, 5, 5, NULL, 0, 5, 1, 0.00000000, 0, 0, 27.96000000, 0.00000000, 0.00000000, 139.80000000, 167.76000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 139.80000000, 27.96000000, 167.76000000, NULL),
(103, 'CF1709-0093', 1, NULL, '', 2114, NULL, '2020-07-17 09:59:41', '2017-09-12 10:33:29', '2017-09-12 14:03:30', '2017-09-12 14:03:30', NULL, '2020-07-17', 5, NULL, 5, 5, NULL, 0, 5, 1, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(104, 'CF1709-0094', 1, NULL, '', 2114, NULL, '2020-07-17 10:00:13', '2017-09-13 09:35:16', '2017-09-13 09:52:05', '2017-09-13 09:52:05', NULL, '2020-07-17', 5, NULL, 5, 5, NULL, 0, 5, 1, 0.00000000, 0, 0, 100.98000000, 0.00000000, 0.00000000, 504.90000000, 605.88000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 504.90000000, 100.98000000, 605.88000000, NULL),
(105, 'CF1709-0097', 1, NULL, '', 2114, NULL, '2018-02-23 09:39:45', '2017-09-13 09:53:41', '2017-09-13 09:56:18', '2017-09-13 09:56:18', NULL, '2018-02-23', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(106, 'CF1709-0098', 1, NULL, '', 2114, NULL, '2017-10-04 07:12:42', '2017-09-13 10:22:39', '2017-09-13 10:23:45', '2017-09-13 10:23:45', NULL, '2017-10-04', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(107, 'CF1709-0099', 1, NULL, '', 1948, NULL, '2017-09-15 12:44:07', '2017-09-13 10:22:39', '2017-09-13 10:24:22', '2017-09-13 10:24:22', NULL, '2017-09-12', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 30.12000000, 0.00000000, 0.00000000, 150.59000000, 180.71000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 150.59000000, 30.12000000, 180.71000000, NULL),
(108, 'CF1709-0100', 1, NULL, '', 1948, NULL, '2019-02-15 08:14:41', '2017-09-13 14:19:22', '2017-09-13 14:19:41', '2017-09-13 14:19:41', NULL, '2017-09-13', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 18.12000000, 0.00000000, 0.00000000, 90.58000000, 108.70000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 90.58000000, 18.12000000, 108.70000000, NULL),
(109, 'CF1709-0104', 1, NULL, '', 2050, NULL, '2017-10-05 07:23:20', '2017-09-15 09:42:42', '2017-09-19 09:46:32', '2017-09-19 09:46:32', NULL, '2017-10-05', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 240.12000000, 0.00000000, 0.00000000, 1200.60000000, 1440.72000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1200.60000000, 240.12000000, 1440.72000000, NULL),
(110, 'CF1709-0101', 1, NULL, '', 2114, NULL, '2020-07-17 10:00:51', '2017-09-15 10:34:36', '2017-09-15 10:35:00', '2017-09-15 10:35:00', NULL, '2020-07-17', 5, NULL, 5, 5, NULL, 0, 5, 1, 0.00000000, 0, 0, 42.84000000, 0.00000000, 0.00000000, 214.20000000, 257.04000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL),
(111, 'CF1709-0102', 1, NULL, '', 2114, NULL, '2020-07-17 10:01:12', '2017-09-15 11:29:42', '2017-09-15 11:30:02', '2017-09-15 11:30:02', NULL, '2020-07-17', 5, NULL, 5, 5, NULL, 0, 5, 1, 0.00000000, 0, 0, 328.62000000, 0.00000000, 0.00000000, 1643.10000000, 1971.72000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1643.10000000, 328.62000000, 1971.72000000, NULL),
(113, 'CF1709-0108', 1, NULL, '', 1948, NULL, '2017-10-27 12:58:18', '2017-09-15 16:06:50', '2017-09-19 16:00:54', '2017-09-19 16:00:54', NULL, '2017-10-27', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 23.55000000, 0.00000000, 0.00000000, 117.79000000, 141.34000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 117.79000000, 23.55000000, 141.34000000, NULL),
(114, 'CF1709-0107', 1, NULL, '', 2609, NULL, '2017-09-21 12:01:52', '2017-09-19 09:44:50', '2017-09-19 10:54:31', '2017-09-19 10:54:32', NULL, '2017-09-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 336.92000000, 0.00000000, 0.00000000, 1684.65000000, 2021.57000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1684.65000000, 336.92000000, 2021.57000000, NULL),
(115, 'CF1709-0119', 1, NULL, '', 2673, NULL, '2017-11-23 13:12:50', '2017-09-19 09:44:50', '2017-09-21 14:08:21', '2017-09-21 14:08:21', NULL, '2017-09-21', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 41.15000000, 0.00000000, 0.00000000, 205.74000000, 246.89000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 205.74000000, 41.15000000, 246.89000000, NULL),
(116, 'CF1709-0103', 1, NULL, '', 2114, NULL, '2017-10-12 13:23:04', '2017-09-19 09:44:50', '2017-09-19 09:45:19', '2017-09-19 09:45:19', NULL, '2017-10-12', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 106.80000000, 0.00000000, 0.00000000, 534.00000000, 640.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 534.00000000, 106.80000000, 640.80000000, NULL),
(117, 'CF1709-0118', 1, NULL, '', 2050, NULL, '2017-10-19 13:16:25', '2017-09-19 10:24:14', '2017-09-21 11:10:40', '2017-09-21 11:10:40', NULL, '2017-09-21', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 25.68000000, 0.00000000, 0.00000000, 128.40000000, 154.08000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 128.40000000, 25.68000000, 154.08000000, NULL),
(118, 'CF1709-0105', 1, NULL, '', 2114, NULL, '2017-09-19 08:28:11', '2017-09-19 10:27:07', '2017-09-19 10:28:05', '2017-09-19 10:28:05', NULL, '2017-09-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 97.68000000, 0.00000000, 0.00000000, 488.39000000, 586.07000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 488.39000000, 97.68000000, 586.07000000, NULL),
(119, 'CF1709-0109', 1, NULL, '', 2114, NULL, '2017-10-24 09:37:30', '2017-09-19 10:41:34', '2017-09-20 09:32:35', '2017-09-20 09:32:35', NULL, '2017-10-24', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 77.33000000, 0.00000000, 0.00000000, 386.63000000, 463.96000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 386.63000000, 77.33000000, 463.96000000, NULL),
(121, 'CF1709-0106', 1, NULL, '', 2740, NULL, '2017-10-20 08:42:13', '2017-09-19 10:41:34', '2017-09-19 10:43:15', '2017-09-19 10:43:15', NULL, '2017-09-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 155.39000000, 0.00000000, 0.00000000, 776.97000000, 932.36000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 776.97000000, 155.39000000, 932.36000000, NULL),
(122, 'CF1710-0143', 1, NULL, '', 2764, NULL, '2020-07-20 07:20:30', '2017-09-19 16:00:28', '2017-10-09 09:05:47', '2017-10-09 09:05:47', NULL, '2020-07-20', 5, NULL, 5, 5, NULL, 0, 7, 0, 0.00000000, 0, 0, 7.53000000, 0.00000000, 0.00000000, 37.63000000, 45.16000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 37.63000000, 7.53000000, 45.16000000, NULL),
(124, 'CF1709-0110', 1, NULL, '', 2114, NULL, '2020-07-20 07:13:30', '2017-09-20 10:38:11', '2017-09-20 10:38:34', '2017-09-20 10:38:34', NULL, '2020-07-20', 5, NULL, 5, 5, NULL, 0, 5, 1, 0.00000000, 0, 0, 9.60000000, 0.00000000, 0.00000000, 48.00000000, 57.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 48.00000000, 9.60000000, 57.60000000, NULL),
(125, 'CF1709-0111', 1, NULL, '', 2114, NULL, '2020-07-20 08:47:36', '2017-09-20 14:45:21', '2017-10-02 12:26:21', '2017-10-02 12:26:21', NULL, '2020-07-20', 5, NULL, 5, 5, NULL, 0, 5, 1, 0.00000000, 0, 0, 56.05000000, 0.00000000, 0.00000000, 280.24000000, 336.29000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 280.24000000, 56.05000000, 336.29000000, NULL),
(126, 'CF1709-0113', 1, NULL, '', 2761, NULL, '2017-09-26 13:44:49', '2017-09-20 14:50:20', '2017-09-20 14:50:50', '2017-09-20 14:50:50', NULL, '2017-09-20', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 154.60000000, 0.00000000, 0.00000000, 773.00000000, 927.60000000, '', 'Autoreel selon condition vu avec MR BRUNET par 5 pieces&nbsp;', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 773.00000000, 154.60000000, 927.60000000, NULL),
(127, 'CF1709-0114', 1, NULL, '', 2114, NULL, '2020-07-20 07:17:41', '2017-09-20 15:28:59', '2017-09-20 15:43:20', '2017-09-20 15:43:20', NULL, '2020-07-20', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 56.05000000, 0.00000000, 0.00000000, 280.24000000, 336.29000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 280.24000000, 56.05000000, 336.29000000, NULL),
(128, 'CF1709-0115', 1, NULL, '', 2114, NULL, '2017-09-20 14:12:59', '2017-09-20 15:55:27', '2017-09-20 15:56:09', '2017-09-20 15:56:09', NULL, '2017-09-20', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 287.23000000, 0.00000000, 0.00000000, 1436.16000000, 1723.39000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1436.16000000, 287.23000000, 1723.39000000, NULL),
(129, 'CF1709-0116', 1, NULL, '', 1948, NULL, '2019-02-15 08:14:46', '2017-09-21 10:02:00', '2017-09-21 10:02:36', '2017-09-21 10:02:36', NULL, '2017-09-21', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 37.16000000, 0.00000000, 0.00000000, 185.85000000, 223.01000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 185.85000000, 37.16000000, 223.01000000, NULL),
(130, 'CF1709-0117', 1, NULL, '', 2114, NULL, '2020-07-20 07:18:23', '2017-09-21 11:07:48', '2017-09-21 11:08:41', '2017-09-21 11:08:41', NULL, '2020-07-20', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 38.44000000, 0.00000000, 0.00000000, 192.18000000, 230.62000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 192.18000000, 38.44000000, 230.62000000, NULL),
(131, 'CF1709-0127', 1, NULL, '', 2114, NULL, '2017-09-29 12:47:45', '2017-09-22 15:36:05', '2017-09-29 14:47:33', '2017-09-29 14:47:33', NULL, '2017-09-29', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 65.10000000, 0.00000000, 0.00000000, 325.50000000, 390.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 325.50000000, 65.10000000, 390.60000000, NULL),
(132, 'CF1709-0121', 1, NULL, '', 2700, NULL, '2017-10-12 08:49:02', '2017-09-22 15:36:05', '2017-09-22 15:38:18', '2017-09-22 15:38:18', NULL, '2017-09-22', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 15.00000000, 0.00000000, 0.00000000, 75.00000000, 90.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 75.00000000, 15.00000000, 90.00000000, NULL),
(134, 'CF1709-0120', 1, NULL, '', 2740, NULL, '2017-10-20 08:40:49', '2017-09-22 15:36:05', '2017-09-22 15:37:17', '2017-09-22 15:37:17', NULL, '2017-10-20', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 700.00000000, 0.00000000, 0.00000000, 3500.00000000, 4200.00000000, '', 'Prix special MR Francois RIBEIRO  directeur commercial NUAIR FINI', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3500.00000000, 700.00000000, 4200.00000000, NULL);
INSERT INTO `llx_commande_fournisseur` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_supplier`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_approve`, `date_approve2`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_approve`, `fk_user_approve2`, `source`, `fk_statut`, `billed`, `amount_ht`, `remise_percent`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `date_livraison`, `fk_account`, `fk_cond_reglement`, `fk_mode_reglement`, `fk_input_method`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`) VALUES
(135, 'CF1709-0122', 1, NULL, '', 2050, NULL, '2017-10-05 07:22:30', '2017-09-25 09:59:39', '2017-09-25 10:09:03', '2017-09-25 10:09:03', NULL, '2017-09-25', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 28.21000000, 0.00000000, 0.00000000, 141.06000000, 169.27000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 141.06000000, 28.21000000, 169.27000000, NULL),
(136, 'CF1709-0123', 1, NULL, '', 2740, NULL, '2017-10-20 08:42:30', '2017-09-25 16:46:30', '2017-09-25 16:47:50', '2017-09-25 16:47:50', NULL, '2017-09-25', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 139.60000000, 0.00000000, 0.00000000, 698.00000000, 837.60000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 698.00000000, 139.60000000, 837.60000000, NULL),
(137, 'CF1709-0124', 1, NULL, '', 2761, NULL, '2019-01-04 13:25:34', '2017-09-26 15:45:04', '2017-09-26 15:46:05', '2017-09-26 15:46:05', NULL, '2017-09-26', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 118.07000000, 0.00000000, 0.00000000, 590.36000000, 708.43000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 590.36000000, 118.07000000, 708.43000000, NULL),
(138, 'CF1709-0126', 1, NULL, '', 2673, NULL, '2017-10-06 12:35:33', '2017-09-29 10:37:45', '2017-09-29 11:38:26', '2017-09-29 11:38:26', NULL, '2017-09-29', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 107.29000000, 0.00000000, 0.00000000, 536.48000000, 643.77000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 536.48000000, 107.29000000, 643.77000000, NULL),
(139, 'CF1710-0163', 1, NULL, '', 2609, NULL, '2017-10-25 08:00:10', '2017-09-29 10:48:47', '2017-10-18 10:59:43', '2017-10-18 10:59:43', NULL, '2017-10-25', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 84.81000000, 0.00000000, 0.00000000, 424.01000000, 508.82000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 424.01000000, 84.81000000, 508.82000000, NULL),
(141, 'CF1709-0125', 1, NULL, '', 2729, NULL, '2017-11-17 10:13:55', '2017-09-29 10:55:22', '2017-10-02 10:03:49', '2017-10-02 10:03:49', NULL, '2017-11-17', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 0.00000000, 0.00000000, 0.00000000, 1893.95000000, 1893.95000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1893.95000000, 0.00000000, 1893.95000000, NULL),
(142, 'CF1709-0128', 1, NULL, '', 2114, NULL, '2019-02-15 08:14:52', '2017-09-29 14:54:19', '2017-09-29 14:54:45', '2017-09-29 14:54:45', NULL, '2017-09-29', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 85.68000000, 0.00000000, 0.00000000, 428.40000000, 514.08000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 428.40000000, 85.68000000, 514.08000000, NULL),
(143, 'CF1709-0129', 1, NULL, '', 2114, NULL, '2020-07-20 07:19:20', '2017-09-29 15:13:01', '2017-09-29 15:13:23', '2017-09-29 15:13:23', NULL, '2020-07-20', 5, NULL, 5, 5, NULL, 0, 5, 1, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(144, 'CF1710-0137', 1, NULL, '', 2050, NULL, '2017-10-19 13:16:48', '2017-09-29 15:41:44', '2017-10-03 09:28:47', '2017-10-03 09:28:47', NULL, '2017-10-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 133.60000000, 0.00000000, 0.00000000, 668.00000000, 801.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 668.00000000, 133.60000000, 801.60000000, NULL),
(145, 'CF1709-0130', 1, NULL, '', 2114, NULL, '2020-07-20 07:19:56', '2017-09-29 15:41:44', '2017-09-29 15:54:26', '2017-09-29 15:54:26', NULL, '2020-07-20', 5, NULL, 5, 5, NULL, 0, 5, 1, 0.00000000, 0, 0, 37.56000000, 0.00000000, 0.00000000, 187.80000000, 225.36000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 187.80000000, 37.56000000, 225.36000000, NULL),
(146, 'CF1709-0131', 1, NULL, '', 2114, NULL, '2020-07-20 07:21:46', '2017-09-29 16:59:30', '2017-09-29 17:01:40', '2017-09-29 17:01:40', NULL, '2020-07-20', 5, NULL, 5, 5, NULL, 0, 4, 1, 0.00000000, 0, 0, 479.27000000, 0.00000000, 0.00000000, 2396.36000000, 2875.63000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2396.36000000, 479.27000000, 2875.63000000, NULL),
(147, 'CF1710-0132', 1, NULL, '', 2114, NULL, '2020-07-20 07:23:45', '2017-10-02 09:29:33', '2017-10-02 09:30:29', '2017-10-02 09:30:29', NULL, '2020-07-20', 5, NULL, 5, 5, NULL, 0, 5, 1, 0.00000000, 0, 0, 200.00000000, 0.00000000, 0.00000000, 1000.00000000, 1200.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1000.00000000, 200.00000000, 1200.00000000, NULL),
(148, 'CF1710-0133', 1, NULL, '', 2114, NULL, '2020-07-20 07:24:12', '2017-10-02 12:10:19', '2017-10-02 12:10:54', '2017-10-02 12:10:54', NULL, '2020-07-20', 5, NULL, 5, 5, NULL, 0, 5, 1, 0.00000000, 0, 0, 26.50000000, 0.00000000, 0.00000000, 132.50000000, 159.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 132.50000000, 26.50000000, 159.00000000, NULL),
(149, 'CF1710-0134', 1, NULL, '', 2114, NULL, '2020-07-20 07:24:41', '2017-10-02 15:05:46', '2017-10-02 15:10:26', '2017-10-02 15:10:26', NULL, '2020-07-20', 5, NULL, 5, 5, NULL, 0, 5, 1, 0.00000000, 0, 0, 55.92000000, 0.00000000, 0.00000000, 279.60000000, 335.52000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 279.60000000, 55.92000000, 335.52000000, NULL),
(150, 'CF1710-0135', 1, NULL, '', 2114, NULL, '2020-07-20 07:25:26', '2017-10-02 15:39:47', '2017-10-02 15:41:42', '2017-10-02 15:41:42', NULL, '2020-07-20', 5, NULL, 5, 5, NULL, 0, 5, 1, 0.00000000, 0, 0, 114.04000000, 0.00000000, 0.00000000, 570.24000000, 684.28000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 570.24000000, 114.04000000, 684.28000000, NULL),
(151, 'CF1710-0136', 1, NULL, '', 2114, NULL, '2020-07-20 08:44:43', '2017-10-02 16:07:38', '2017-10-02 16:12:31', '2017-10-02 16:12:31', NULL, '2020-07-20', 5, NULL, 5, 5, NULL, 0, 5, 1, 0.00000000, 0, 0, 135.47000000, 0.00000000, 0.00000000, 677.33000000, 812.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 677.33000000, 135.47000000, 812.80000000, NULL),
(152, 'CF1710-0138', 1, NULL, '', 2114, NULL, '2020-07-20 08:47:10', '2017-10-03 11:46:52', '2017-10-03 11:47:46', '2017-10-03 11:47:46', NULL, '2020-07-20', 5, NULL, 5, 5, NULL, 0, 5, 1, 0.00000000, 0, 0, 23.87000000, 0.00000000, 0.00000000, 119.36000000, 143.23000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 119.36000000, 23.87000000, 143.23000000, NULL),
(153, 'CF1710-0140', 1, NULL, '', 2642, NULL, '2017-12-06 08:25:03', '2017-10-05 08:19:07', '2017-10-05 08:21:32', '2017-10-05 08:21:32', NULL, '2017-11-24', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 26.95000000, 0.00000000, 0.00000000, 134.75000000, 161.70000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 134.75000000, 26.95000000, 161.70000000, NULL),
(154, 'CF1710-0139', 1, NULL, '', 2114, NULL, '2020-07-20 12:38:04', '2017-10-05 08:19:07', '2017-10-05 08:20:13', '2017-10-05 08:20:13', NULL, '2020-07-20', 5, NULL, 5, 5, NULL, 0, 5, 1, 0.00000000, 0, 0, 52.52000000, 0.00000000, 0.00000000, 262.62000000, 315.14000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 262.62000000, 52.52000000, 315.14000000, NULL),
(155, 'CF1710-0141', 1, NULL, '', 10086, NULL, '2017-11-03 10:51:04', '2017-10-05 09:47:02', '2017-10-05 09:47:49', '2017-10-05 09:47:49', NULL, '2017-10-05', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 104.49000000, 0.00000000, 0.00000000, 522.45000000, 626.94000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 522.45000000, 104.49000000, 626.94000000, NULL),
(156, 'CF1710-0142', 1, NULL, '', 2050, NULL, '2017-10-19 13:17:21', '2017-10-06 10:59:37', '2017-10-06 11:00:57', '2017-10-06 11:00:57', NULL, '2017-10-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 78.40000000, 0.00000000, 0.00000000, 392.00000000, 470.40000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 2, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 392.00000000, 78.40000000, 470.40000000, NULL),
(157, 'CF1710-0144', 1, NULL, '', 2719, NULL, '2020-07-20 08:49:01', '2017-10-09 11:51:56', '2017-10-09 11:55:20', '2017-10-09 11:55:20', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 0, 0.00000000, 0, 0, 68.80000000, 0.00000000, 0.00000000, 343.98000000, 412.78000000, '', 'GARANTIE Compresseur &agrave; piston : Mairie Etoile sur rhone CLC203 ntpma N&deg; 211601032', 'muscadet', NULL, NULL, 9, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 343.98000000, 68.80000000, 412.78000000, NULL),
(158, 'CF1710-0145', 1, NULL, '', 2627, NULL, '2017-11-15 08:02:36', '2017-10-09 14:41:27', '2017-10-09 14:41:55', '2017-10-09 14:41:55', NULL, '2017-11-15', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 52.08000000, 0.00000000, 0.00000000, 260.40000000, 312.48000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 260.40000000, 52.08000000, 312.48000000, NULL),
(159, 'CF1710-0146', 1, NULL, '', 2050, NULL, '2017-10-19 10:10:12', '2017-10-10 09:17:48', '2017-10-10 09:18:38', '2017-10-10 09:18:38', NULL, '2017-10-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 20.91000000, 0.00000000, 0.00000000, 104.53000000, 125.44000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 104.53000000, 20.91000000, 125.44000000, NULL),
(160, 'CF1710-0147', 1, NULL, '', 2740, NULL, '2017-10-16 08:02:52', '2017-10-11 09:10:55', '2017-10-11 09:11:20', '2017-10-11 09:11:20', NULL, '2017-10-16', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 11.16000000, 0.00000000, 0.00000000, 55.82000000, 66.98000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 55.82000000, 11.16000000, 66.98000000, NULL),
(161, 'CF1710-0148', 1, NULL, '', 1948, NULL, '2017-10-27 12:59:07', '2017-10-11 09:13:05', '2017-10-11 09:13:50', '2017-10-11 09:13:50', NULL, '2017-10-27', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 7.34000000, 0.00000000, 0.00000000, 36.69000000, 44.03000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 36.69000000, 7.34000000, 44.03000000, NULL),
(162, 'CF1710-0150', 1, NULL, '', 2764, NULL, '2020-07-20 08:49:58', '2017-10-11 09:13:05', '2017-10-11 09:21:05', '2017-10-11 09:21:05', NULL, '2020-07-20', 5, NULL, 5, 5, NULL, 0, 7, 0, 0.00000000, 0, 0, 7.91000000, 0.00000000, 0.00000000, 39.54000000, 47.45000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 39.54000000, 7.91000000, 47.45000000, NULL),
(163, 'CF1710-0149', 1, NULL, '', 2114, NULL, '2020-07-20 12:38:22', '2017-10-11 09:13:05', '2017-10-11 09:19:11', '2017-10-11 09:19:11', NULL, '2020-07-20', 5, NULL, 5, 5, NULL, 0, 5, 1, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(164, 'CF1710-0152', 1, NULL, '', 2642, NULL, '2017-10-18 12:17:58', '2017-10-11 09:39:39', '2017-10-11 09:41:37', '2017-10-11 09:41:37', NULL, '2017-10-18', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 44.82000000, 0.00000000, 0.00000000, 224.10000000, 268.92000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 224.10000000, 44.82000000, 268.92000000, NULL),
(165, 'CF1710-0151', 1, NULL, '', 2114, NULL, '2017-10-24 07:37:00', '2017-10-11 09:39:39', '2017-10-11 09:40:47', '2017-10-11 09:40:47', NULL, '2017-10-24', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(166, 'CF1710-0154', 1, NULL, '', 1948, NULL, '2017-10-27 12:59:38', '2017-10-12 16:04:25', '2017-10-12 16:07:01', '2017-10-12 16:07:01', NULL, '2017-10-27', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 62.53000000, 0.00000000, 0.00000000, 312.65000000, 375.18000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 312.65000000, 62.53000000, 375.18000000, NULL),
(167, 'CF1710-0155', 1, NULL, '', 2114, NULL, '2020-07-20 08:50:17', '2017-10-13 09:30:43', '2017-10-13 09:31:11', '2017-10-13 09:31:11', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(168, 'CF1710-0156', 1, NULL, '', 2114, NULL, '2020-07-20 08:50:35', '2017-10-13 09:35:49', '2017-10-13 09:39:02', '2017-10-13 09:39:03', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(169, 'CF1710-0157', 1, NULL, '', 2114, NULL, '2020-07-20 08:50:51', '2017-10-13 10:40:26', '2017-10-13 10:44:25', '2017-10-13 10:44:25', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(170, 'CF1710-0158', 1, NULL, 'PROMOPD2017', 2050, NULL, '2017-10-19 13:22:38', '2017-10-13 14:32:35', '2017-10-13 15:08:20', '2017-10-13 15:08:21', NULL, '2017-10-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 3360.98000000, 0.00000000, 0.00000000, 16804.88000000, 20165.86000000, '', 'ACTION PROMOTION PIECES DETACHEES COMPAIR 2017<br />\r\nlivraiuon si possible de la totalité sous 1 semaine et reglement en 3 Fois : <br />\r\n30Jours le 15<br />\r\n60 jours<br />\r\net 90 jours<br />\r\nAccord XAVIER DUBOC / ALAIN BALAZARD', 'muscadet', NULL, NULL, 10, 2, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 16804.88000000, 3360.98000000, 20165.86000000, NULL),
(171, 'CF1710-0159', 1, NULL, '', 2114, NULL, '2017-10-31 09:27:02', '2017-10-13 16:15:03', '2017-10-13 16:16:20', '2017-10-13 16:16:20', NULL, '2017-10-13', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 74.00000000, 0.00000000, 0.00000000, 370.00000000, 444.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 370.00000000, 74.00000000, 444.00000000, NULL),
(172, 'CF1710-0160', 1, NULL, '', 10086, NULL, '2017-10-24 09:14:52', '2017-10-16 10:31:11', '2017-10-16 10:32:20', '2017-10-16 10:32:20', NULL, '2017-10-24', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 44.92000000, 0.00000000, 0.00000000, 224.58000000, 269.50000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 224.58000000, 44.92000000, 269.50000000, NULL),
(173, 'CF1710-0161', 1, NULL, '', 12647, NULL, '2020-07-20 08:51:20', '2017-10-16 11:57:27', '2017-10-16 11:57:51', '2017-10-16 11:57:51', NULL, '2020-07-20', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 738.00000000, 0.00000000, 0.00000000, 3690.00000000, 4428.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3690.00000000, 738.00000000, 4428.00000000, NULL),
(174, 'CF1712-0285', 1, NULL, '', 12648, NULL, '2017-12-13 11:02:58', '2017-10-16 11:57:27', '2017-12-13 12:02:41', '2017-12-13 12:02:41', NULL, '2017-12-13', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 535.08000000, 0.00000000, 0.00000000, 2675.40000000, 3210.48000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2675.40000000, 535.08000000, 3210.48000000, NULL),
(175, 'CF1710-0162', 1, NULL, '', 2740, NULL, '2017-10-20 08:42:51', '2017-10-17 15:38:09', '2017-10-17 15:38:38', '2017-10-17 15:38:38', NULL, '2017-10-20', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 4.16000000, 0.00000000, 0.00000000, 20.82000000, 24.98000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 20.82000000, 4.16000000, 24.98000000, NULL),
(176, 'CF1710-0164', 1, NULL, '', 2609, NULL, '2017-10-30 13:27:10', '2017-10-18 11:13:55', '2017-10-18 11:16:28', '2017-10-18 11:16:28', NULL, '2017-10-30', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 23.74000000, 0.00000000, 0.00000000, 118.70000000, 142.44000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 118.70000000, 23.74000000, 142.44000000, NULL),
(177, 'CF1710-0165', 1, NULL, '', 2673, NULL, '2017-10-20 12:43:49', '2017-10-18 11:24:39', '2017-10-18 11:26:04', '2017-10-18 11:26:04', NULL, '2017-10-20', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 16.00000000, 0.00000000, 0.00000000, 80.00000000, 96.00000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 80.00000000, 16.00000000, 96.00000000, NULL),
(178, 'CF1710-0166', 1, NULL, '', 2114, NULL, '2020-07-20 08:51:41', '2017-10-19 09:39:02', '2017-10-19 09:40:07', '2017-10-19 09:40:07', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(179, 'CF1710-0167', 1, NULL, '', 2114, NULL, '2017-10-19 08:20:22', '2017-10-19 10:19:12', '2017-10-19 10:19:41', '2017-10-19 10:19:41', NULL, '2017-10-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 65.48000000, 0.00000000, 0.00000000, 327.38000000, 392.86000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 327.38000000, 65.48000000, 392.86000000, NULL),
(180, 'CF1710-0168', 1, NULL, '', 2114, NULL, '2020-07-20 08:52:04', '2017-10-19 11:30:40', '2017-10-19 11:33:30', '2017-10-19 11:33:30', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 42.65000000, 0.00000000, 0.00000000, 213.26000000, 255.91000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 213.26000000, 42.65000000, 255.91000000, NULL),
(181, 'CF1710-0169', 1, NULL, '', 2673, NULL, '2017-11-23 13:14:11', '2017-10-19 14:56:32', '2017-10-19 14:57:05', '2017-10-19 14:57:06', NULL, '2017-11-23', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 114.68000000, 0.00000000, 0.00000000, 573.44000000, 688.12000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 573.44000000, 114.68000000, 688.12000000, NULL),
(182, 'CF1710-0170', 1, NULL, '', 2114, NULL, '2020-07-20 08:52:19', '2017-10-19 14:56:32', '2017-10-19 14:59:45', '2017-10-19 14:59:45', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 130.00000000, 0.00000000, 0.00000000, 650.00000000, 780.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 650.00000000, 130.00000000, 780.00000000, NULL),
(183, 'CF1710-0171', 1, NULL, '', 2114, NULL, '2020-07-20 08:53:22', '2017-10-20 15:45:56', '2017-10-20 15:47:59', '2017-10-20 15:47:59', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 173.98000000, 0.00000000, 0.00000000, 869.88000000, 1043.86000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 869.88000000, 173.98000000, 1043.86000000, NULL),
(184, 'CF1711-0208', 1, NULL, '', 2627, NULL, '2019-02-15 08:15:58', '2017-10-23 15:06:40', '2017-11-03 09:06:53', '2017-11-03 09:06:53', NULL, '2017-11-03', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 102.50000000, 0.00000000, 0.00000000, 512.52000000, 615.02000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 512.52000000, 102.50000000, 615.02000000, NULL),
(185, 'CF1710-0174', 1, NULL, '', 2114, NULL, '2020-07-20 08:53:37', '2017-10-23 15:06:40', '2017-10-23 15:08:37', '2017-10-23 15:08:38', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 0, 0.00000000, 0, 0, 116.28000000, 0.00000000, 0.00000000, 581.40000000, 697.68000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 581.40000000, 116.28000000, 697.68000000, NULL),
(186, 'CF1710-0173', 1, NULL, '', 1948, NULL, '2017-10-27 13:00:53', '2017-10-23 15:06:40', '2017-10-23 15:07:40', '2017-10-23 15:07:40', NULL, '2017-10-23', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 5.16000000, 0.00000000, 0.00000000, 25.83000000, 30.99000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 25.83000000, 5.16000000, 30.99000000, NULL),
(187, 'CF1710-0172', 1, NULL, '', 2764, NULL, '2017-10-25 12:20:31', '2017-10-23 15:06:40', '2017-10-23 15:07:04', '2017-10-23 15:07:04', NULL, '2017-10-23', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 9.44000000, 0.00000000, 0.00000000, 47.21000000, 56.65000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 47.21000000, 9.44000000, 56.65000000, NULL),
(188, 'CF1710-0175', 1, NULL, '', 2114, NULL, '2017-10-24 08:32:09', '2017-10-24 10:31:35', '2017-10-24 10:32:02', '2017-10-24 10:32:02', NULL, '2017-10-24', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 42.84000000, 0.00000000, 0.00000000, 214.20000000, 257.04000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL),
(189, 'CF1710-0176', 1, NULL, '', 2114, NULL, '2020-07-20 08:53:52', '2017-10-24 10:39:01', '2017-10-24 10:39:34', '2017-10-24 10:39:34', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(190, 'CF1710-0177', 1, NULL, '', 2114, NULL, '2017-10-24 08:58:37', '2017-10-24 10:58:09', '2017-10-24 10:58:30', '2017-10-24 10:58:30', NULL, '2017-10-24', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 20.82000000, 0.00000000, 0.00000000, 104.12000000, 124.94000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 104.12000000, 20.82000000, 124.94000000, NULL),
(191, 'CF1710-0178', 1, NULL, '', 2114, NULL, '2020-07-20 08:54:12', '2017-10-24 11:59:34', '2017-10-24 12:18:21', '2017-10-24 12:18:21', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 23.60000000, 0.00000000, 0.00000000, 118.00000000, 141.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 118.00000000, 23.60000000, 141.60000000, NULL),
(192, 'CF1710-0179', 1, NULL, '', 2114, NULL, '2017-10-24 12:18:40', '2017-10-24 14:16:18', '2017-10-24 14:18:33', '2017-10-24 14:18:33', NULL, '2017-10-24', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 181.40000000, 0.00000000, 0.00000000, 907.00000000, 1088.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 907.00000000, 181.40000000, 1088.40000000, NULL),
(193, 'CF1710-0180', 1, NULL, '', 2114, NULL, '2017-10-24 12:32:08', '2017-10-24 14:31:42', '2017-10-24 14:32:02', '2017-10-24 14:32:02', NULL, '2017-10-24', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 38.44000000, 0.00000000, 0.00000000, 192.18000000, 230.62000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 192.18000000, 38.44000000, 230.62000000, NULL),
(194, 'CF1710-0181', 1, NULL, '', 2114, NULL, '2020-07-20 12:24:06', '2017-10-24 14:40:34', '2017-10-24 14:41:33', '2017-10-24 14:41:33', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 70.86000000, 0.00000000, 0.00000000, 354.26000000, 425.12000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 354.26000000, 70.86000000, 425.12000000, NULL),
(195, 'CF1710-0182', 1, NULL, '', 1948, NULL, '2017-11-27 14:50:38', '2017-10-25 11:18:18', '2017-10-25 11:19:35', '2017-10-25 11:19:35', NULL, '2017-11-27', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 57.74000000, 0.00000000, 0.00000000, 288.68000000, 346.42000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 288.68000000, 57.74000000, 346.42000000, NULL),
(196, 'CF1710-0191', 1, NULL, '', 1948, NULL, '2017-10-27 13:02:03', '2017-10-25 12:01:03', '2017-10-26 10:22:45', '2017-10-26 10:22:45', NULL, '2017-10-27', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 39.19000000, 0.00000000, 0.00000000, 195.94000000, 235.13000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 195.94000000, 39.19000000, 235.13000000, NULL),
(197, 'CF1710-0184', 1, NULL, '', 2762, NULL, '2018-02-22 08:19:19', '2017-10-25 12:01:03', '2017-10-25 12:07:37', '2017-10-25 12:07:37', NULL, '2018-02-22', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 90.16000000, 0.00000000, 0.00000000, 450.80000000, 540.96000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 450.80000000, 90.16000000, 540.96000000, NULL),
(198, 'CF1710-0183', 1, NULL, '', 2050, NULL, '2020-07-20 12:24:22', '2017-10-25 12:01:03', '2017-10-25 12:02:19', '2017-10-25 12:02:19', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 0, 0.00000000, 0, 0, 25.43000000, 0.00000000, 0.00000000, 127.14000000, 152.57000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 127.14000000, 25.43000000, 152.57000000, NULL),
(199, 'CF1710-0186', 1, NULL, '', 2114, NULL, '2017-11-27 15:06:13', '2017-10-25 12:01:03', '2017-10-26 10:10:28', '2017-10-26 10:10:28', NULL, '2017-11-27', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 1474.02000000, 0.00000000, 0.00000000, 7370.10000000, 8844.12000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 7370.10000000, 1474.02000000, 8844.12000000, NULL),
(200, 'CF1710-0185', 1, NULL, '', 2050, NULL, '2017-10-31 08:56:44', '2017-10-26 09:11:32', '2017-10-26 09:12:05', '2017-10-26 09:12:05', NULL, '2017-10-31', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 60.01000000, 0.00000000, 0.00000000, 300.06000000, 360.07000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 300.06000000, 60.01000000, 360.07000000, NULL),
(201, 'CF1710-0187', 1, NULL, '', 2609, NULL, '2017-10-30 13:27:42', '2017-10-26 10:08:58', '2017-10-26 10:11:04', '2017-10-26 10:11:04', NULL, '2017-10-30', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 390.72000000, 0.00000000, 0.00000000, 1953.63000000, 2344.35000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1953.63000000, 390.72000000, 2344.35000000, NULL),
(202, 'CF1710-0188', 1, NULL, '', 2673, NULL, '2017-11-23 13:10:51', '2017-10-26 10:08:58', '2017-10-26 10:11:49', '2017-10-26 10:11:49', NULL, '2017-11-03', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 460.28000000, 0.00000000, 0.00000000, 2301.38000000, 2761.66000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2301.38000000, 460.28000000, 2761.66000000, NULL),
(203, 'CF1710-0189', 1, NULL, '', 2740, NULL, '2017-11-21 13:45:27', '2017-10-26 10:08:59', '2017-10-26 10:12:31', '2017-10-26 10:12:31', NULL, '2017-11-03', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 16.38000000, 0.00000000, 0.00000000, 81.90000000, 98.28000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 81.90000000, 16.38000000, 98.28000000, NULL),
(204, 'CF1710-0190', 1, NULL, '', 2729, NULL, '2017-11-17 10:14:26', '2017-10-26 10:08:59', '2017-10-26 10:21:27', '2017-10-26 10:21:27', NULL, '2017-11-03', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 930.84000000, 0.00000000, 0.00000000, 4654.18000000, 5585.02000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4654.18000000, 930.84000000, 5585.02000000, NULL),
(205, 'CF1710-0193', 1, NULL, '', 1948, NULL, '2017-10-27 13:02:34', '2017-10-26 11:36:19', '2017-10-26 11:37:03', '2017-10-26 11:37:03', NULL, '2017-10-27', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 56.83000000, 0.00000000, 0.00000000, 284.12000000, 340.95000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 284.12000000, 56.83000000, 340.95000000, NULL),
(206, 'CF1710-0192', 1, NULL, '', 2764, NULL, '2017-10-31 08:52:20', '2017-10-26 11:36:19', '2017-10-26 11:36:43', '2017-10-26 11:36:43', NULL, '2017-10-31', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 19.00000000, 0.00000000, 0.00000000, 94.98000000, 113.98000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 94.98000000, 19.00000000, 113.98000000, NULL),
(207, 'CF1710-0194', 1, NULL, '', 2114, NULL, '2017-11-21 09:32:46', '2017-10-26 11:36:19', '2017-10-26 11:37:38', '2017-10-26 11:37:38', NULL, '2017-11-21', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(208, 'CF1710-0195', 1, NULL, '', 2114, NULL, '2020-07-20 12:28:55', '2017-10-26 11:43:44', '2017-10-26 11:44:00', '2017-10-26 11:44:00', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 42.84000000, 0.00000000, 0.00000000, 214.20000000, 257.04000000, '', '', 'muscadet', NULL, NULL, 2, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL),
(209, 'CF1710-0196', 1, NULL, '', 2114, NULL, '2017-11-24 10:49:56', '2017-10-26 11:48:43', '2017-10-26 11:48:58', '2017-10-26 11:48:58', NULL, '2017-11-24', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 42.84000000, 0.00000000, 0.00000000, 214.20000000, 257.04000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL),
(210, 'CF1710-0197', 1, NULL, '', 2762, NULL, '2018-02-22 08:19:33', '2017-10-26 12:12:26', '2017-10-26 12:16:16', '2017-10-26 12:16:16', NULL, '2018-02-22', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 103.01000000, 0.00000000, 0.00000000, 515.05000000, 618.06000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 515.05000000, 103.01000000, 618.06000000, NULL),
(211, 'CF1710-0198', 1, NULL, '', 2673, NULL, '2017-11-23 13:12:00', '2017-10-26 12:18:43', '2017-10-26 12:19:12', '2017-10-26 12:19:12', NULL, '2017-10-26', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 43.20000000, 0.00000000, 0.00000000, 216.00000000, 259.20000000, '', 'a joindre a commande precedente de ce matin svp merci&nbsp;', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 216.00000000, 43.20000000, 259.20000000, NULL),
(212, 'CF1710-0199', 1, NULL, '', 2050, NULL, '2020-07-20 07:21:17', '2017-10-27 14:53:26', '2017-10-27 15:44:10', '2017-10-27 15:44:10', NULL, '2020-07-20', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 29.10000000, 0.00000000, 0.00000000, 145.50000000, 174.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 145.50000000, 29.10000000, 174.60000000, NULL),
(213, 'CF1710-0200', 1, NULL, '', 2673, NULL, '2017-11-23 13:11:27', '2017-10-30 11:00:18', '2017-10-30 11:00:58', '2017-10-30 11:00:58', NULL, '2017-11-23', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 18.65000000, 0.00000000, 0.00000000, 93.24000000, 111.89000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 93.24000000, 18.65000000, 111.89000000, NULL),
(214, 'CF1710-0201', 1, NULL, '', 2740, NULL, '2018-01-11 10:12:46', '2017-10-30 16:08:30', '2017-10-30 16:08:49', '2017-10-30 16:08:49', NULL, '2017-11-09', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 31.20000000, 0.00000000, 0.00000000, 156.00000000, 187.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 156.00000000, 31.20000000, 187.20000000, NULL),
(215, 'CF1710-0202', 1, NULL, '', 2114, NULL, '2020-07-20 12:30:07', '2017-10-30 16:08:30', '2017-10-30 16:11:06', '2017-10-30 16:11:07', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(216, 'CF1710-0203', 1, NULL, '', 2114, NULL, '2020-07-20 12:30:27', '2017-10-31 10:17:13', '2017-10-31 10:17:45', '2017-10-31 10:17:45', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 41.06000000, 0.00000000, 0.00000000, 205.32000000, 246.38000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 205.32000000, 41.06000000, 246.38000000, NULL),
(217, 'CF1710-0204', 1, NULL, '145898', 2714, NULL, '2017-11-09 13:38:01', '2017-10-31 10:37:03', '2017-10-31 10:41:17', '2017-10-31 10:41:17', NULL, '2017-11-09', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 19.77000000, 0.00000000, 0.00000000, 98.84000000, 118.61000000, '', '', 'muscadet', NULL, NULL, 12, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 98.84000000, 19.77000000, 118.61000000, NULL),
(218, 'CF1710-0205', 1, NULL, '', 2114, NULL, '2020-07-20 12:30:39', '2017-10-31 14:53:26', '2017-10-31 14:56:54', '2017-10-31 14:56:54', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 45.70000000, 0.00000000, 0.00000000, 228.50000000, 274.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 228.50000000, 45.70000000, 274.20000000, NULL),
(219, 'CF1711-0206', 1, NULL, '', 2050, NULL, '2017-11-30 13:26:13', '2017-11-02 11:11:38', '2017-11-02 11:12:22', '2017-11-02 11:12:22', NULL, '2017-11-02', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 19.32000000, 0.00000000, 0.00000000, 96.59000000, 115.91000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 96.59000000, 19.32000000, 115.91000000, NULL),
(220, 'CF1711-0207', 1, NULL, '', 2114, NULL, '2017-12-05 13:27:50', '2017-11-03 09:05:36', '2017-11-03 09:06:10', '2017-11-03 09:06:10', NULL, '2017-12-05', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 84.34000000, 0.00000000, 0.00000000, 421.68000000, 506.02000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 421.68000000, 84.34000000, 506.02000000, NULL),
(221, 'CF1711-0209', 1, NULL, '', 2114, NULL, '2020-07-20 12:31:11', '2017-11-06 10:53:06', '2017-11-06 10:54:28', '2017-11-06 10:54:28', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 258.97000000, 0.00000000, 0.00000000, 1294.86000000, 1553.83000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1294.86000000, 258.97000000, 1553.83000000, NULL),
(223, 'CF1711-0245', 1, NULL, '', 2743, NULL, '2017-11-23 14:35:49', '2017-11-06 10:53:07', '2017-11-17 15:02:12', '2017-11-17 15:02:12', NULL, '2017-11-17', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 48.28000000, 0.00000000, 0.00000000, 241.40000000, 289.68000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 241.40000000, 48.28000000, 289.68000000, NULL),
(224, 'CF1711-0210', 1, NULL, '', 2609, NULL, '2017-11-09 13:24:09', '2017-11-06 10:53:07', '2017-11-06 10:55:29', '2017-11-06 10:55:29', NULL, '2017-11-09', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 260.16000000, 0.00000000, 0.00000000, 1300.81000000, 1560.97000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1300.81000000, 260.16000000, 1560.97000000, NULL),
(225, 'CF1711-0211', 1, NULL, '', 2673, NULL, '2017-11-09 11:03:29', '2017-11-06 10:53:07', '2017-11-06 10:58:28', '2017-11-06 10:58:28', NULL, '2017-11-09', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 21.69000000, 0.00000000, 0.00000000, 108.48000000, 130.17000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 108.48000000, 21.69000000, 130.17000000, NULL),
(226, 'CF1711-0225', 1, NULL, '', 2673, NULL, '2017-11-17 15:31:26', '2017-11-06 11:07:52', '2017-11-10 14:25:46', '2017-11-10 14:25:46', NULL, '2017-11-10', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 1.33000000, 0.00000000, 0.00000000, 6.64000000, 7.97000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 6.64000000, 1.33000000, 7.97000000, NULL),
(227, 'CF1711-0213', 1, NULL, '', 2609, NULL, '2017-11-09 13:25:29', '2017-11-06 11:07:52', '2017-11-06 11:09:05', '2017-11-06 11:09:05', NULL, '2017-11-09', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 145.42000000, 0.00000000, 0.00000000, 727.11000000, 872.53000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 727.11000000, 145.42000000, 872.53000000, NULL),
(228, 'CF1711-0212', 1, NULL, '', 2114, NULL, '2017-11-27 13:55:09', '2017-11-06 11:07:52', '2017-11-06 11:08:28', '2017-11-06 11:08:28', NULL, '2017-11-27', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 331.20000000, 0.00000000, 0.00000000, 1656.00000000, 1987.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1656.00000000, 331.20000000, 1987.20000000, NULL),
(229, 'CF1711-0214', 1, NULL, '', 2114, NULL, '2020-07-20 12:31:27', '2017-11-06 11:34:08', '2017-11-06 11:34:52', '2017-11-06 11:34:52', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 57.80000000, 0.00000000, 0.00000000, 289.00000000, 346.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 289.00000000, 57.80000000, 346.80000000, NULL),
(230, 'CF1711-0215', 1, NULL, '', 1948, NULL, '2017-11-09 13:34:15', '2017-11-06 14:17:27', '2017-11-06 14:23:12', '2017-11-06 14:23:12', NULL, '2017-11-06', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 2.69000000, 0.00000000, 0.00000000, 13.45000000, 16.14000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 13.45000000, 2.69000000, 16.14000000, NULL),
(231, 'CF1711-0218', 1, NULL, '', 2114, NULL, '2020-07-20 12:25:06', '2017-11-06 14:17:27', '2017-11-06 15:40:30', '2017-11-06 15:40:30', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 1409.83000000, 0.00000000, 0.00000000, 7049.12000000, 8458.95000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 7049.12000000, 1409.83000000, 8458.95000000, NULL),
(232, 'CF1711-0216', 1, NULL, '', 2764, NULL, '2017-11-10 08:37:43', '2017-11-06 14:17:27', '2017-11-06 14:33:24', '2017-11-06 14:33:24', NULL, '2017-11-10', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 4.29000000, 0.00000000, 0.00000000, 21.42000000, 25.71000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 21.42000000, 4.29000000, 25.71000000, NULL),
(233, 'CF1711-0217', 1, NULL, '', 2609, NULL, '2017-11-09 13:25:51', '2017-11-06 14:49:20', '2017-11-06 14:49:47', '2017-11-06 14:49:47', NULL, '2017-11-09', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 273.91000000, 0.00000000, 0.00000000, 1369.56000000, 1643.47000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1369.56000000, 273.91000000, 1643.47000000, NULL),
(234, 'CF1711-0219', 1, NULL, '', 12632, NULL, '2019-02-15 08:16:04', '2017-11-09 15:21:06', '2017-11-09 15:25:35', '2017-11-09 15:25:35', NULL, '2017-11-10', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 480.00000000, 0.00000000, 0.00000000, 2400.00000000, 2880.00000000, '', '<table style=\"width:100%\">\r\n	<tbody>\r\n		<tr>\r\n			<td colspan=\"2\">Gaine galva 10/10 agraphé et rigidifié avec cadre METU de 30 mm section 680x975mm de<br />\r\n			longeur totale 6000 mm environ avec coude et adaptateur compresseur 800x830</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2400.00000000, 480.00000000, 2880.00000000, NULL),
(235, 'CF1711-0226', 1, NULL, '', 2114, NULL, '2020-07-20 12:31:39', '2017-11-09 15:21:06', '2017-11-13 11:01:17', '2017-11-13 11:01:17', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 11.00000000, 0.00000000, 0.00000000, 55.00000000, 66.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 55.00000000, 11.00000000, 66.00000000, NULL),
(236, 'CF1711-0220', 1, NULL, '', 2729, NULL, '2017-11-17 10:13:16', '2017-11-09 15:45:01', '2017-11-09 15:45:16', '2017-11-09 15:45:16', NULL, '2017-11-09', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 22.44000000, 0.00000000, 0.00000000, 112.20000000, 134.64000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 112.20000000, 22.44000000, 134.64000000, NULL),
(237, 'CF1711-0221', 1, NULL, '', 2673, NULL, '2017-11-21 10:06:09', '2017-11-10 09:23:56', '2017-11-10 09:26:54', '2017-11-10 09:26:54', NULL, '2017-11-10', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 51.32000000, 0.00000000, 0.00000000, 256.62000000, 307.94000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 256.62000000, 51.32000000, 307.94000000, NULL),
(238, 'CF1711-0222', 1, NULL, '', 1948, NULL, '2017-11-21 10:03:17', '2017-11-10 11:06:58', '2017-11-10 11:07:41', '2017-11-10 11:07:41', NULL, '2017-11-21', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 2.03000000, 0.00000000, 0.00000000, 10.15000000, 12.18000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 10.15000000, 2.03000000, 12.18000000, NULL),
(239, 'CF1712-0281', 1, NULL, '', 2627, NULL, '2018-01-15 08:27:04', '2017-11-10 11:06:58', '2017-12-12 10:05:39', '2017-12-12 10:05:39', NULL, '2017-12-12', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 137.51000000, 0.00000000, 0.00000000, 687.58000000, 825.09000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 687.58000000, 137.51000000, 825.09000000, NULL),
(240, 'CF1711-0223', 1, NULL, '', 2610, NULL, '2017-11-14 08:04:07', '2017-11-10 11:06:58', '2017-11-10 11:08:29', '2017-11-10 11:08:29', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 0, 0.00000000, 0, 0, 22.00000000, 0.00000000, 0.00000000, 110.00000000, 132.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 110.00000000, 22.00000000, 132.00000000, NULL),
(241, 'CF1711-0224', 1, NULL, '1174376-1 du 9/6/2017', 12664, NULL, '2019-02-15 08:16:52', '2017-11-10 14:20:49', '2017-11-10 14:21:48', '2017-11-10 14:21:48', NULL, '2017-11-10', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 290.58000000, 0.00000000, 0.00000000, 1452.90000000, 1743.48000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1452.90000000, 290.58000000, 1743.48000000, NULL),
(242, 'CF1711-0227', 1, NULL, '', 2114, NULL, '2020-07-20 12:32:03', '2017-11-13 12:20:16', '2017-11-13 12:22:32', '2017-11-13 12:22:32', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 92.35000000, 0.00000000, 0.00000000, 461.74000000, 554.09000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 461.74000000, 92.35000000, 554.09000000, NULL),
(243, 'CF1711-0228', 1, NULL, '', 2114, NULL, '2020-07-20 12:32:13', '2017-11-13 14:40:36', '2017-11-13 14:41:57', '2017-11-13 14:41:58', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 236.28000000, 0.00000000, 0.00000000, 1181.36000000, 1417.64000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1181.36000000, 236.28000000, 1417.64000000, NULL),
(244, 'CF1711-0229', 1, NULL, '', 2114, NULL, '2020-07-20 12:32:34', '2017-11-13 15:15:43', '2017-11-13 15:24:01', '2017-11-13 15:24:01', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 42.84000000, 0.00000000, 0.00000000, 214.20000000, 257.04000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL),
(245, 'CF1711-0230', 1, NULL, '', 2114, NULL, '2020-07-20 12:32:55', '2017-11-14 09:48:41', '2017-11-14 09:51:34', '2017-11-14 09:51:34', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 127.16000000, 0.00000000, 0.00000000, 635.80000000, 762.96000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 635.80000000, 127.16000000, 762.96000000, NULL),
(246, 'CF1711-0231', 1, NULL, '', 2114, NULL, '2017-12-22 10:23:53', '2017-11-15 09:04:43', '2017-11-15 09:07:58', '2017-11-15 09:07:58', NULL, '2017-12-22', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 100.98000000, 0.00000000, 0.00000000, 504.90000000, 605.88000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 504.90000000, 100.98000000, 605.88000000, NULL),
(247, 'CF1711-0232', 1, NULL, '', 1948, NULL, '2017-11-21 10:05:00', '2017-11-15 09:04:43', '2017-11-15 09:15:09', '2017-11-15 09:15:09', NULL, '2017-11-15', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 5.16000000, 0.00000000, 0.00000000, 25.83000000, 30.99000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 25.83000000, 5.16000000, 30.99000000, NULL),
(248, 'CF1712-0269', 1, NULL, '', 2764, NULL, '2017-12-06 08:35:24', '2017-11-15 09:04:43', '2017-12-01 13:59:11', '2017-12-01 13:59:11', NULL, '2017-12-01', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 13.06000000, 0.00000000, 0.00000000, 65.31000000, 78.37000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 65.31000000, 13.06000000, 78.37000000, NULL),
(249, 'CF1711-0233', 1, NULL, '', 2719, NULL, '2017-11-27 14:25:34', '2017-11-16 09:14:32', '2017-11-16 09:16:49', '2017-11-16 09:16:49', NULL, '2017-11-27', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 11.22000000, 0.00000000, 0.00000000, 56.08000000, 67.30000000, '', 'Adresse de livraison de notre client : <br />\r\nAIRTECH SERVICES<br />\r\n5 Rue Terre MEGERE<br />\r\nZI DU SALAISON<br />\r\n34740 VENDARGUES', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 56.08000000, 11.22000000, 67.30000000, NULL),
(250, 'CF1711-0234', 1, NULL, '', 2673, NULL, '2017-11-23 13:09:40', '2017-11-16 09:26:33', '2017-11-16 09:49:23', '2017-11-16 09:49:23', NULL, '2017-11-16', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 62.57000000, 0.00000000, 0.00000000, 312.84000000, 375.41000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 312.84000000, 62.57000000, 375.41000000, NULL),
(251, 'CF1711-0235', 1, NULL, '', 2114, NULL, '2019-02-15 08:16:56', '2017-11-16 09:56:01', '2017-11-16 09:56:42', '2017-11-16 09:56:42', NULL, '2018-02-14', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(252, 'CF1711-0237', 1, NULL, '', 1948, NULL, '2017-11-21 10:04:23', '2017-11-16 09:56:10', '2017-11-16 10:09:12', '2017-11-16 10:09:12', NULL, '2017-11-16', 5, NULL, 5, 5, NULL, 0, 4, 0, 0.00000000, 0, 0, 59.20000000, 0.00000000, 0.00000000, 296.01000000, 355.21000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 296.01000000, 59.20000000, 355.21000000, NULL),
(253, 'CF1711-0236', 1, NULL, '', 2114, NULL, '2018-02-14 14:38:15', '2017-11-16 09:59:04', '2017-11-16 10:01:02', '2017-11-16 10:01:02', NULL, '2017-11-16', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(254, 'CF1711-0238', 1, NULL, '', 2114, NULL, '2017-12-08 08:44:40', '2017-11-16 10:18:02', '2017-11-16 10:18:23', '2017-11-16 10:18:23', NULL, '2017-12-08', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(255, 'CF1711-0239', 1, NULL, '', 1948, NULL, '2017-11-24 10:18:59', '2017-11-16 14:24:50', '2017-11-16 14:25:04', '2017-11-16 14:25:04', NULL, '2017-11-16', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 9.57000000, 0.00000000, 0.00000000, 47.83000000, 57.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 47.83000000, 9.57000000, 57.40000000, NULL);
INSERT INTO `llx_commande_fournisseur` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_supplier`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_approve`, `date_approve2`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_approve`, `fk_user_approve2`, `source`, `fk_statut`, `billed`, `amount_ht`, `remise_percent`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `date_livraison`, `fk_account`, `fk_cond_reglement`, `fk_mode_reglement`, `fk_input_method`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`) VALUES
(256, 'CF1711-0240', 1, NULL, '', 2050, NULL, '2020-07-20 12:24:35', '2017-11-16 14:46:08', '2017-11-16 14:48:11', '2017-11-16 14:48:11', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 0, 0.00000000, 0, 0, 22.00000000, 0.00000000, 0.00000000, 110.00000000, 132.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 110.00000000, 22.00000000, 132.00000000, NULL),
(257, 'CF1711-0241', 1, NULL, '', 1948, NULL, '2017-11-30 13:27:25', '2017-11-17 09:15:45', '2017-11-17 09:16:00', '2017-11-17 09:16:00', NULL, '2017-11-22', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 51.42000000, 0.00000000, 0.00000000, 257.10000000, 308.52000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 257.10000000, 51.42000000, 308.52000000, NULL),
(258, 'CF1711-0242', 1, NULL, '', 1948, NULL, '2017-11-28 10:54:52', '2017-11-17 09:16:58', '2017-11-17 09:17:15', '2017-11-17 09:17:15', NULL, '2017-11-28', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 30.81000000, 0.00000000, 0.00000000, 154.04000000, 184.85000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 154.04000000, 30.81000000, 184.85000000, NULL),
(259, 'CF1711-0244', 1, NULL, '', 2114, NULL, '2017-12-07 09:44:42', '2017-11-17 12:13:51', '2017-11-17 12:15:48', '2017-11-17 12:15:48', NULL, '2017-12-07', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(260, 'CF1711-0243', 1, NULL, '', 1948, NULL, '2019-02-15 08:16:41', '2017-11-17 12:13:51', '2017-11-17 12:14:27', '2017-11-17 12:14:28', NULL, '2017-11-17', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 12.13000000, 0.00000000, 0.00000000, 60.67000000, 72.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 60.67000000, 12.13000000, 72.80000000, NULL),
(261, 'CF1711-0246', 1, NULL, '', 2114, NULL, '2020-07-20 12:33:08', '2017-11-20 11:47:03', '2017-11-20 11:50:53', '2017-11-20 11:50:53', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(262, 'CF1711-0247', 1, NULL, '', 2114, NULL, '2020-07-20 12:33:26', '2017-11-20 13:59:01', '2017-11-20 13:59:26', '2017-11-20 13:59:26', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 23.16000000, 0.00000000, 0.00000000, 115.80000000, 138.96000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 115.80000000, 23.16000000, 138.96000000, NULL),
(264, 'CF1711-0248', 1, NULL, '', 2114, NULL, '2020-07-20 12:33:39', '2017-11-20 16:09:13', '2017-11-20 16:11:51', '2017-11-20 16:11:51', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 69.48000000, 0.00000000, 0.00000000, 347.40000000, 416.88000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 347.40000000, 69.48000000, 416.88000000, NULL),
(265, 'CF1711-0249', 1, NULL, '', 1948, NULL, '2019-02-15 08:16:37', '2017-11-20 16:26:50', '2017-11-20 16:30:24', '2017-11-20 16:30:24', NULL, '2017-11-20', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 19.80000000, 0.00000000, 0.00000000, 99.00000000, 118.80000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 99.00000000, 19.80000000, 118.80000000, NULL),
(266, 'CF1711-0250', 1, NULL, '', 2673, NULL, '2017-11-23 13:09:21', '2017-11-20 16:32:50', '2017-11-20 16:33:03', '2017-11-20 16:33:03', NULL, '2017-11-20', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 50.35000000, 0.00000000, 0.00000000, 251.76000000, 302.11000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 251.76000000, 50.35000000, 302.11000000, NULL),
(267, 'CF1711-0251', 1, NULL, '', 2114, NULL, '2020-07-20 12:33:51', '2017-11-21 09:30:19', '2017-11-21 09:30:44', '2017-11-21 09:30:44', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(268, 'CF1711-0252', 1, NULL, '', 2114, NULL, '2020-07-20 12:34:05', '2017-11-21 09:45:50', '2017-11-21 09:46:15', '2017-11-21 09:46:15', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 56.98000000, 0.00000000, 0.00000000, 284.89000000, 341.87000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 284.89000000, 56.98000000, 341.87000000, NULL),
(269, 'CF1711-0253', 1, NULL, '', 2114, NULL, '2017-11-22 08:17:13', '2017-11-22 09:15:54', '2017-11-22 09:16:52', '2017-11-22 09:16:52', NULL, '2017-11-22', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 47.16000000, 0.00000000, 0.00000000, 235.80000000, 282.96000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 235.80000000, 47.16000000, 282.96000000, NULL),
(270, 'CF1711-0254', 1, NULL, '', 2114, NULL, '2017-11-22 09:17:14', '2017-11-22 10:16:33', '2017-11-22 10:17:05', '2017-11-22 10:17:05', NULL, '2017-11-22', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(271, 'CF1711-0255', 1, NULL, '', 2114, NULL, '2017-11-22 09:26:48', '2017-11-22 10:26:10', '2017-11-22 10:26:38', '2017-11-22 10:26:39', NULL, '2017-11-22', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 42.84000000, 0.00000000, 0.00000000, 214.20000000, 257.04000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL),
(272, 'CF1711-0256', 1, NULL, '', 2050, NULL, '2018-01-31 09:35:56', '2017-11-22 10:44:37', '2017-11-22 10:55:28', '2017-11-22 10:55:29', NULL, '2017-11-22', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 2529.60000000, 0.00000000, 0.00000000, 12648.00000000, 15177.60000000, '', 'livraison :<br />\r\nlundi au jeudi : 7h30-12h00 / 13h30-17h00<br />\r\nvendredi : 7h30-12h00', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 12648.00000000, 2529.60000000, 15177.60000000, NULL),
(273, 'CF1712-0302', 1, NULL, '', 2740, NULL, '2018-01-11 10:12:59', '2017-11-22 10:44:37', '2017-12-26 09:07:18', '2017-12-26 09:07:19', NULL, '2017-12-26', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 155.39000000, 0.00000000, 0.00000000, 776.97000000, 932.36000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 776.97000000, 155.39000000, 932.36000000, NULL),
(274, 'CF1711-0257', 1, NULL, '', 1948, NULL, '2017-11-28 10:59:13', '2017-11-22 10:44:37', '2017-11-22 10:56:35', '2017-11-22 10:56:35', NULL, '2017-11-22', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 70.80000000, 0.00000000, 0.00000000, 354.00000000, 424.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 354.00000000, 70.80000000, 424.80000000, NULL),
(275, 'CF1712-0282', 1, NULL, '', 12632, NULL, '2019-02-15 08:17:54', '2017-11-22 10:44:37', '2017-12-12 10:07:18', '2017-12-12 10:07:18', NULL, '2018-02-01', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 249.40000000, 0.00000000, 0.00000000, 1247.00000000, 1496.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1247.00000000, 249.40000000, 1496.40000000, NULL),
(276, 'CF1802-0381', 1, NULL, '', 2027, NULL, '2019-02-15 08:22:56', '2017-11-22 10:44:37', '2018-02-07 11:59:17', '2018-02-07 11:59:17', NULL, '2018-02-07', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 170.00000000, 0.00000000, 0.00000000, 850.00000000, 1020.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 850.00000000, 170.00000000, 1020.00000000, NULL),
(277, 'CF1711-0258', 1, NULL, '', 2050, NULL, '2020-07-20 12:24:52', '2017-11-22 11:23:07', '2017-11-22 11:26:23', '2017-11-22 11:26:23', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 0, 0.00000000, 0, 0, 685.87000000, 0.00000000, 0.00000000, 3429.36000000, 4115.23000000, '', 'Commande PROMOTIONS PIECES DETACHEES 50+15+10&nbsp;<br />\r\nMeme conditions de r&eacute;glements que commande pr&eacute;c&eacute;dente', 'muscadet', NULL, NULL, 10, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3429.36000000, 685.87000000, 4115.23000000, NULL),
(278, 'CF1711-0259', 1, NULL, '', 2673, NULL, '2017-11-28 08:21:11', '2017-11-23 11:48:01', '2017-11-23 12:01:00', '2017-11-23 12:01:00', NULL, '2017-11-23', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 72.69000000, 0.00000000, 0.00000000, 363.45000000, 436.14000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 363.45000000, 72.69000000, 436.14000000, NULL),
(279, 'CF1711-0260', 1, NULL, '', 2114, NULL, '2020-07-20 12:34:18', '2017-11-23 16:04:04', '2017-11-23 16:05:06', '2017-11-23 16:05:06', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 1020.40000000, 0.00000000, 0.00000000, 5102.00000000, 6122.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5102.00000000, 1020.40000000, 6122.40000000, NULL),
(280, 'CF1711-0261', 1, NULL, '', 2114, NULL, '2020-07-20 12:38:48', '2017-11-24 14:09:39', '2017-11-24 14:10:43', '2017-11-24 14:10:44', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 42.84000000, 0.00000000, 0.00000000, 214.20000000, 257.04000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL),
(281, 'CF1711-0262', 1, NULL, '', 2114, NULL, '2020-07-20 12:39:42', '2017-11-24 14:54:11', '2017-11-24 14:54:45', '2017-11-24 14:54:45', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 73.82000000, 0.00000000, 0.00000000, 369.12000000, 442.94000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 369.12000000, 73.82000000, 442.94000000, NULL),
(282, 'CF1711-0263', 1, NULL, '', 2114, NULL, '2017-11-27 13:22:40', '2017-11-27 14:21:11', '2017-11-27 14:22:16', '2017-11-27 14:22:16', NULL, '2017-11-27', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 66.14000000, 0.00000000, 0.00000000, 330.70000000, 396.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 330.70000000, 66.14000000, 396.84000000, NULL),
(283, 'CF1711-0264', 1, NULL, '', 2114, NULL, '2017-11-27 14:38:41', '2017-11-27 15:37:55', '2017-11-27 15:38:23', '2017-11-27 15:38:24', NULL, '2017-11-27', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 42.84000000, 0.00000000, 0.00000000, 214.20000000, 257.04000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL),
(284, 'CF1711-0265', 1, NULL, '', 10086, NULL, '2018-07-10 14:40:25', '2017-11-28 14:44:19', '2017-11-28 14:46:07', '2017-11-28 14:46:07', NULL, '2018-07-10', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 6.20000000, 0.00000000, 0.00000000, 31.00000000, 37.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 31.00000000, 6.20000000, 37.20000000, NULL),
(285, 'CF1711-0266', 1, NULL, '', 2114, NULL, '2020-07-20 12:39:53', '2017-11-28 16:08:42', '2017-11-28 16:10:00', '2017-11-28 16:10:00', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 42.84000000, 0.00000000, 0.00000000, 214.20000000, 257.04000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL),
(286, 'CF1711-0267', 1, NULL, '', 2750, NULL, '2019-02-15 08:17:50', '2017-11-30 11:07:16', '2017-11-30 11:07:30', '2017-11-30 11:07:30', NULL, '2017-11-30', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 79.95000000, 0.00000000, 0.00000000, 399.75000000, 479.70000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 399.75000000, 79.95000000, 479.70000000, NULL),
(287, 'CF1711-0268', 1, NULL, '', 12677, NULL, '2017-12-26 14:38:16', '2017-11-30 11:09:31', '2017-11-30 11:10:06', '2017-11-30 11:10:06', NULL, '2017-11-30', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 59.00000000, 0.00000000, 0.00000000, 295.00000000, 354.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 295.00000000, 59.00000000, 354.00000000, NULL),
(288, 'CF1712-0270', 1, NULL, '', 2673, NULL, '2017-12-21 15:25:24', '2017-12-04 09:15:28', '2017-12-04 09:16:00', '2017-12-04 09:16:00', NULL, '2017-12-18', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 34.96000000, 0.00000000, 0.00000000, 174.78000000, 209.74000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 174.78000000, 34.96000000, 209.74000000, NULL),
(289, 'CF1712-0271', 1, NULL, '', 12678, NULL, '2019-02-15 08:16:23', '2017-12-04 11:09:50', '2017-12-04 11:10:07', '2017-12-04 11:10:07', NULL, '2017-11-29', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 86.40000000, 0.00000000, 0.00000000, 432.00000000, 518.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 432.00000000, 86.40000000, 518.40000000, NULL),
(290, 'CF1712-0272', 1, NULL, '', 2114, NULL, '2020-07-20 12:40:06', '2017-12-05 10:28:44', '2017-12-05 10:29:14', '2017-12-05 10:29:14', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(291, 'CF1712-0273', 1, NULL, '', 2114, NULL, '2017-12-05 13:45:49', '2017-12-05 14:43:15', '2017-12-05 14:45:32', '2017-12-05 14:45:33', NULL, '2017-12-05', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 21.70000000, 0.00000000, 0.00000000, 108.50000000, 130.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 108.50000000, 21.70000000, 130.20000000, NULL),
(292, 'CF1712-0274', 1, NULL, '', 2729, NULL, '2019-02-15 08:16:30', '2017-12-07 09:13:03', '2017-12-07 09:18:05', '2017-12-07 09:18:05', NULL, '2017-12-07', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 0.00000000, 0.00000000, 0.00000000, 946.20000000, 946.20000000, '', '<p>Ce compesseur RIKO 700/270 ST (no. de s&eacute;rie 740001) a les endommagements suivants:</p>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<p>-&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; plaque de base d&eacute;form&eacute;e</p>\r\n\r\n<p>-&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; bo&icirc;tier filtre &agrave; air endommag&eacute;</p>\r\n\r\n<p>-&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ventilateur du bloc de compression cass&eacute;</p>\r\n\r\n<p>-&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; garde-courroies d&eacute;form&eacute;e</p>\r\n\r\n<p>-&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; angles d&eacute;form&eacute;s</p>\r\n', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 946.20000000, 0.00000000, 946.20000000, NULL),
(293, 'CF1712-0275', 1, NULL, '', 2114, NULL, '2020-07-20 12:40:20', '2017-12-07 09:46:15', '2017-12-07 09:46:47', '2017-12-07 09:46:48', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(294, 'CF1712-0276', 1, NULL, '', 2114, NULL, '2017-12-07 08:55:30', '2017-12-07 09:54:29', '2017-12-07 09:55:09', '2017-12-07 09:55:09', NULL, '2017-12-07', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(295, 'CF1712-0277', 1, NULL, '', 2114, NULL, '2017-12-07 14:41:12', '2017-12-07 15:38:39', '2017-12-07 15:40:57', '2017-12-07 15:40:57', NULL, '2017-12-07', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 65.38000000, 0.00000000, 0.00000000, 326.92000000, 392.30000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 326.92000000, 65.38000000, 392.30000000, NULL),
(296, 'CF1712-0278', 1, NULL, '', 2114, NULL, '2017-12-28 09:05:14', '2017-12-11 10:18:28', '2017-12-11 11:40:50', '2017-12-11 11:40:50', NULL, '2017-12-11', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 82.71000000, 0.00000000, 0.00000000, 413.56000000, 496.27000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 413.56000000, 82.71000000, 496.27000000, NULL),
(297, 'CF1712-0279', 1, NULL, '', 2050, NULL, '2018-01-31 09:34:40', '2017-12-11 11:40:14', '2017-12-11 11:44:28', '2017-12-11 11:44:28', NULL, '2017-12-11', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 30.46000000, 0.00000000, 0.00000000, 152.28000000, 182.74000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 152.28000000, 30.46000000, 182.74000000, NULL),
(298, 'CF1712-0280', 1, NULL, '', 2685, NULL, '2017-12-11 13:46:07', '2017-12-11 14:45:37', '2017-12-11 14:45:58', '2017-12-11 14:45:58', NULL, '2017-12-11', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 4.42000000, 0.00000000, 0.00000000, 22.12000000, 26.54000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 22.12000000, 4.42000000, 26.54000000, NULL),
(299, 'CF1712-0283', 1, NULL, '', 1948, NULL, '2018-01-02 09:53:10', '2017-12-12 12:12:04', '2017-12-12 12:12:38', '2017-12-12 12:12:39', NULL, '2018-01-02', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 38.72000000, 0.00000000, 0.00000000, 193.60000000, 232.32000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 193.60000000, 38.72000000, 232.32000000, NULL),
(300, 'CF1712-0284', 1, NULL, '', 2610, NULL, '2017-12-26 14:40:08', '2017-12-12 14:55:41', '2017-12-12 14:56:01', '2017-12-12 14:56:01', NULL, '2017-12-26', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 44.99000000, 0.00000000, 0.00000000, 224.96000000, 269.95000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 224.96000000, 44.99000000, 269.95000000, NULL),
(301, 'CF1712-0290', 1, NULL, '', 2114, NULL, '2017-12-27 09:45:24', '2017-12-12 14:55:41', '2017-12-20 10:07:04', '2017-12-20 10:07:05', NULL, '2017-12-27', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 42.84000000, 0.00000000, 0.00000000, 214.20000000, 257.04000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL),
(302, 'CF1712-0286', 1, NULL, '', 2635, NULL, '2018-03-02 14:29:17', '2017-12-13 14:50:01', '2017-12-13 14:57:39', '2017-12-13 14:57:39', NULL, '2017-12-13', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 18.50000000, 0.00000000, 0.00000000, 92.50000000, 111.00000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 92.50000000, 18.50000000, 111.00000000, NULL),
(303, 'CF1712-0287', 1, NULL, '', 2609, NULL, '2017-12-18 14:10:40', '2017-12-13 16:20:40', '2017-12-13 16:32:19', '2017-12-13 16:32:19', NULL, '2017-12-18', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 111.90000000, 0.00000000, 0.00000000, 559.50000000, 671.40000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 559.50000000, 111.90000000, 671.40000000, NULL),
(304, 'CF1712-0288', 1, NULL, '', 10086, NULL, '2019-02-15 08:19:35', '2017-12-15 10:56:50', '2017-12-15 10:57:29', '2017-12-15 10:57:29', NULL, '2017-12-15', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 67.80000000, 0.00000000, 0.00000000, 339.00000000, 406.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 339.00000000, 67.80000000, 406.80000000, NULL),
(305, 'CF1712-0289', 1, NULL, '', 12678, NULL, '2020-07-20 12:36:09', '2017-12-19 14:34:07', '2017-12-19 14:35:55', '2017-12-19 14:35:55', NULL, '2020-07-20', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 97.35000000, 0.00000000, 0.00000000, 486.75000000, 584.10000000, '', 'materiel laissé sur place sur dotation de Mr Phillippe Plassard<br />\r\nN°S/N17/00954', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 486.75000000, 97.35000000, 584.10000000, NULL),
(306, 'CF1712-0291', 1, NULL, '', 2114, NULL, '2020-07-21 08:42:44', '2017-12-20 10:47:58', '2017-12-20 10:49:31', '2017-12-20 10:49:31', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, 2, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(307, 'CF1712-0292', 1, NULL, '', 2114, NULL, '2020-07-21 08:42:56', '2017-12-20 11:47:54', '2017-12-20 11:48:33', '2017-12-20 11:48:33', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 64.35000000, 0.00000000, 0.00000000, 321.76000000, 386.11000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 321.76000000, 64.35000000, 386.11000000, NULL),
(308, 'CF1712-0293', 1, NULL, 'sfxcpn6601832', 2713, NULL, '2020-07-21 08:43:18', '2017-12-20 15:01:12', '2017-12-20 15:04:27', '2017-12-20 15:04:27', NULL, '2020-07-21', 4, NULL, 4, 4, NULL, 0, 5, 0, 0.00000000, 0, 0, 15.80000000, 0.00000000, 0.00000000, 79.00000000, 94.80000000, '', '', 'muscadet', NULL, NULL, 3, 7, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 79.00000000, 15.80000000, 94.80000000, NULL),
(309, 'CF1712-0295', 1, NULL, '', 2114, NULL, '2020-07-21 08:43:29', '2017-12-21 09:02:06', '2017-12-21 09:57:38', '2017-12-21 09:57:38', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 60.00000000, 0.00000000, 0.00000000, 300.00000000, 360.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 300.00000000, 60.00000000, 360.00000000, NULL),
(310, 'CF1712-0294', 1, NULL, '', 1948, NULL, '2017-12-26 14:37:28', '2017-12-21 09:02:06', '2017-12-21 09:02:38', '2017-12-21 09:02:38', NULL, '2017-12-21', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 38.90000000, 0.00000000, 0.00000000, 194.50000000, 233.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 194.50000000, 38.90000000, 233.40000000, NULL),
(311, 'CF1712-0296', 1, NULL, '', 2673, NULL, '2017-12-26 14:39:28', '2017-12-21 12:10:22', '2017-12-21 12:11:04', '2017-12-21 12:11:04', NULL, '2017-12-21', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 29.31000000, 0.00000000, 0.00000000, 146.55000000, 175.86000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 146.55000000, 29.31000000, 175.86000000, NULL),
(312, 'CF1712-0297', 1, NULL, '', 2114, NULL, '2020-07-21 08:43:41', '2017-12-22 09:21:45', '2017-12-22 09:22:54', '2017-12-22 09:22:54', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 52.44000000, 0.00000000, 0.00000000, 262.20000000, 314.64000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 262.20000000, 52.44000000, 314.64000000, NULL),
(313, 'CF1801-0325', 1, NULL, '', 2764, NULL, '2018-01-26 14:51:24', '2017-12-22 09:21:45', '2018-01-19 11:36:46', '2018-01-19 11:36:46', NULL, '2018-01-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 7.78000000, 0.00000000, 0.00000000, 38.92000000, 46.70000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 38.92000000, 7.78000000, 46.70000000, NULL),
(314, 'CF1801-0318', 1, NULL, '', 1948, NULL, '2019-02-15 08:21:22', '2017-12-22 09:50:13', '2018-01-10 15:01:48', '2018-01-10 15:01:48', NULL, '2018-01-10', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 23.76000000, 0.00000000, 0.00000000, 118.80000000, 142.56000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 118.80000000, 23.76000000, 142.56000000, NULL),
(315, 'CF1712-0298', 1, NULL, '', 2114, NULL, '2020-07-21 08:43:54', '2017-12-22 09:50:13', '2017-12-22 09:50:43', '2017-12-22 09:50:43', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 62.40000000, 0.00000000, 0.00000000, 312.00000000, 374.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 312.00000000, 62.40000000, 374.40000000, NULL),
(316, 'CF1712-0299', 1, NULL, '', 2114, NULL, '2017-12-22 10:38:24', '2017-12-22 11:35:11', '2017-12-22 11:38:13', '2017-12-22 11:38:13', NULL, '2017-12-22', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 106.80000000, 0.00000000, 0.00000000, 534.00000000, 640.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 534.00000000, 106.80000000, 640.80000000, NULL),
(317, 'CF1712-0300', 1, NULL, '', 2114, NULL, '2017-12-22 11:06:14', '2017-12-22 12:04:02', '2017-12-22 12:05:55', '2017-12-22 12:05:56', NULL, '2017-12-22', 5, NULL, 5, 5, NULL, 0, 4, 0, 0.00000000, 0, 0, 128.74000000, 0.00000000, 0.00000000, 643.70000000, 772.44000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 643.70000000, 128.74000000, 772.44000000, NULL),
(318, 'CF1712-0301', 1, NULL, '', 2114, NULL, '2017-12-22 14:35:30', '2017-12-22 15:33:45', '2017-12-22 15:34:20', '2017-12-22 15:34:20', NULL, '2017-12-22', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 115.34000000, 0.00000000, 0.00000000, 576.72000000, 692.06000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 576.72000000, 115.34000000, 692.06000000, NULL),
(319, 'CF1712-0303', 1, NULL, '', 2673, NULL, '2018-01-09 10:59:04', '2017-12-26 09:14:22', '2017-12-26 09:18:22', '2017-12-26 09:18:22', NULL, '2017-12-26', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 28.18000000, 0.00000000, 0.00000000, 140.90000000, 169.08000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 140.90000000, 28.18000000, 169.08000000, NULL),
(320, 'CF1712-0304', 1, NULL, '', 2635, NULL, '2018-03-02 14:29:01', '2017-12-26 10:00:29', '2017-12-26 10:01:03', '2017-12-26 10:01:03', NULL, '2017-12-26', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 81.50000000, 0.00000000, 0.00000000, 407.50000000, 489.00000000, '', 'SUivant devis N° <strong>20187756.</strong>', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 407.50000000, 81.50000000, 489.00000000, NULL),
(321, 'CF1712-0305', 1, NULL, '', 2114, NULL, '2017-12-26 09:43:59', '2017-12-26 10:42:19', '2017-12-26 10:43:47', '2017-12-26 10:43:47', NULL, '2017-12-26', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 56.62000000, 0.00000000, 0.00000000, 283.12000000, 339.74000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 283.12000000, 56.62000000, 339.74000000, NULL),
(322, 'CF1712-0306', 1, NULL, '', 2114, NULL, '2020-07-21 08:44:07', '2017-12-26 10:55:34', '2017-12-26 10:55:59', '2017-12-26 10:55:59', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 211.70000000, 0.00000000, 0.00000000, 1058.50000000, 1270.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1058.50000000, 211.70000000, 1270.20000000, NULL),
(323, 'CF1712-0307', 1, NULL, '', 2673, NULL, '2019-02-15 08:18:11', '2017-12-26 16:27:17', '2017-12-26 16:28:21', '2017-12-26 16:28:21', NULL, '2017-12-26', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 52.51000000, 0.00000000, 0.00000000, 262.53000000, 315.04000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 262.53000000, 52.51000000, 315.04000000, NULL),
(324, 'CF1712-0308', 1, NULL, '', 2609, NULL, '2018-01-02 09:52:25', '2017-12-26 17:13:36', '2017-12-26 17:16:24', '2017-12-26 17:16:24', NULL, '2017-12-26', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 135.35000000, 0.00000000, 0.00000000, 676.75000000, 812.10000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 676.75000000, 135.35000000, 812.10000000, NULL),
(325, 'CF1712-0309', 1, NULL, '', 2114, NULL, '2017-12-27 10:42:11', '2017-12-27 11:40:30', '2017-12-27 11:41:02', '2017-12-27 11:41:02', NULL, '2017-12-27', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 2297.13000000, 0.00000000, 0.00000000, 11485.67000000, 13782.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 11485.67000000, 2297.13000000, 13782.80000000, NULL),
(326, 'CF1712-0310', 1, NULL, '', 2114, NULL, '2017-12-27 13:12:43', '2017-12-27 14:11:59', '2017-12-27 14:12:31', '2017-12-27 14:12:32', NULL, '2017-12-27', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(327, 'CF1712-0311', 1, NULL, '', 2114, NULL, '2017-12-27 13:47:54', '2017-12-27 14:46:46', '2017-12-27 14:47:46', '2017-12-27 14:47:46', NULL, '2017-12-27', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(328, 'CF1712-0312', 1, NULL, '', 2050, NULL, '2020-07-20 12:34:42', '2017-12-28 10:37:20', '2017-12-28 10:40:08', '2017-12-28 10:40:08', NULL, '2020-07-20', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 3985.75000000, 0.00000000, 0.00000000, 19928.76000000, 23914.51000000, '', 'Prix special Thomas Vandendorpe accord sur compresseur', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 19928.76000000, 3985.75000000, 23914.51000000, NULL),
(329, 'CF1801-0322', 1, NULL, '', 2114, NULL, '2018-01-31 13:33:43', '2017-12-28 10:37:20', '2018-01-17 15:39:58', '2018-01-17 15:39:58', NULL, '2018-01-31', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 90.00000000, 0.00000000, 0.00000000, 450.00000000, 540.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 450.00000000, 90.00000000, 540.00000000, NULL),
(330, 'CF1712-0313', 1, NULL, '', 2050, NULL, '2020-07-20 12:35:45', '2017-12-29 17:04:07', '2017-12-29 17:18:53', '2017-12-29 17:18:54', NULL, '2020-07-20', 4, 4, 4, 4, NULL, 0, 5, 0, 0.00000000, 0, 0, 1262.76000000, 0.00000000, 0.00000000, 6313.80000000, 7576.56000000, '', 'Commande L11RS-7.5b suivant prix remis par thomas vandendorpe.<br />\r\nLIVRAISON A:<br />\r\nFIGUET MECANIQUE SARL\r\n<div>400 Route Pact, 38270 BEAUREPAIRE, France</div>\r\n', 'muscadet', NULL, NULL, 3, 2, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 6313.80000000, 1262.76000000, 7576.56000000, NULL),
(331, 'CF1801-0314', 1, NULL, '', 10086, NULL, '2019-02-15 08:18:19', '2018-01-03 15:05:45', '2018-01-03 15:06:17', '2018-01-03 15:06:18', NULL, '2018-01-03', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 47.10000000, 0.00000000, 0.00000000, 235.52000000, 282.62000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 235.52000000, 47.10000000, 282.62000000, NULL),
(332, 'CF1801-0315', 1, NULL, '', 2740, NULL, '2018-01-11 10:12:26', '2018-01-08 09:37:33', '2018-01-08 09:38:27', '2018-01-08 09:38:27', NULL, '2018-01-11', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 23.66000000, 0.00000000, 0.00000000, 118.30000000, 141.96000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 118.30000000, 23.66000000, 141.96000000, NULL),
(333, 'CF1801-0316', 1, NULL, '', 2609, NULL, '2018-01-15 08:54:32', '2018-01-09 17:09:15', '2018-01-09 17:14:55', '2018-01-09 17:14:55', NULL, '2018-01-09', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 155.04000000, 0.00000000, 0.00000000, 775.20000000, 930.24000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 775.20000000, 155.04000000, 930.24000000, NULL),
(334, 'CF1801-0320', 1, NULL, '', 2673, NULL, '2018-01-22 15:20:45', '2018-01-09 17:09:16', '2018-01-12 10:04:03', '2018-01-12 10:04:03', NULL, '2018-01-22', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 662.70000000, 0.00000000, 0.00000000, 3313.47000000, 3976.17000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3313.47000000, 662.70000000, 3976.17000000, NULL),
(335, 'CF1801-0317', 1, NULL, '', 2719, NULL, '2019-02-15 08:17:59', '2018-01-10 15:00:45', '2018-01-10 15:01:00', '2018-01-10 15:01:00', NULL, '2018-01-10', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 3.03000000, 0.00000000, 0.00000000, 15.16000000, 18.19000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 15.16000000, 3.03000000, 18.19000000, NULL),
(336, 'CF1801-0319', 1, NULL, '', 2685, NULL, '2018-01-11 10:16:17', '2018-01-11 11:15:52', '2018-01-11 11:16:06', '2018-01-11 11:16:06', NULL, '2018-01-11', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 12.26000000, 0.00000000, 0.00000000, 61.28000000, 73.54000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 61.28000000, 12.26000000, 73.54000000, NULL),
(337, 'CF1801-0321', 1, NULL, '', 2642, NULL, '2018-01-26 14:54:28', '2018-01-17 14:52:24', '2018-01-17 14:53:10', '2018-01-17 14:53:10', NULL, '2018-01-17', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 50.41000000, 0.00000000, 0.00000000, 252.03000000, 302.44000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 252.03000000, 50.41000000, 302.44000000, NULL),
(338, 'CF1801-0323', 1, NULL, '', 12605, NULL, '2019-02-15 08:19:52', '2018-01-17 15:38:50', '2018-01-17 15:52:29', '2018-01-17 15:52:29', NULL, '2018-01-17', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 530.00000000, 0.00000000, 0.00000000, 2650.00000000, 3180.00000000, '', 'SITE DE RECEPTION : <br />\r\nDELMONICO DOREL CARRIERES<br />\r\nDDS GRAVIERE D\'ALBON<br />\r\nRoute de Vermenas<br />\r\nAxe7 Ouest<br />\r\n26140 ALBON', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2650.00000000, 530.00000000, 3180.00000000, NULL),
(339, 'CF1801-0324', 1, NULL, '', 2114, NULL, '2020-07-21 09:48:22', '2018-01-19 11:09:42', '2018-01-19 11:11:32', '2018-01-19 11:11:32', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(340, 'CF1801-0326', 1, NULL, '', 1948, NULL, '2018-02-02 13:13:05', '2018-01-19 11:45:19', '2018-01-19 11:45:51', '2018-01-19 11:45:51', NULL, '2018-01-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 26.99000000, 0.00000000, 0.00000000, 134.92000000, 161.91000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 134.92000000, 26.99000000, 161.91000000, NULL),
(341, 'CF1801-0327', 1, NULL, '', 2114, NULL, '2019-02-15 08:19:58', '2018-01-19 12:02:21', '2018-01-19 12:02:55', '2018-01-19 12:02:55', NULL, '2018-01-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 44.24000000, 0.00000000, 0.00000000, 221.20000000, 265.44000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 221.20000000, 44.24000000, 265.44000000, NULL),
(342, 'CF1801-0328', 1, NULL, '', 2114, NULL, '2019-02-15 08:20:02', '2018-01-19 14:25:28', '2018-01-19 14:26:12', '2018-01-19 14:26:12', NULL, '2018-01-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 60.26000000, 0.00000000, 0.00000000, 301.32000000, 361.58000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 301.32000000, 60.26000000, 361.58000000, NULL),
(343, 'CF1801-0329', 1, NULL, '', 2114, NULL, '2020-07-21 09:48:35', '2018-01-19 15:28:12', '2018-01-19 15:28:50', '2018-01-19 15:28:50', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(344, 'CF1801-0330', 1, NULL, '', 2114, NULL, '2018-01-22 08:47:40', '2018-01-22 09:44:42', '2018-01-22 09:47:01', '2018-01-22 09:47:01', NULL, '2018-01-22', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 58.14000000, 0.00000000, 0.00000000, 290.70000000, 348.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL),
(345, 'CF1801-0331', 1, NULL, '', 2114, NULL, '2020-07-21 09:49:05', '2018-01-22 10:17:13', '2018-01-22 10:20:06', '2018-01-22 10:20:06', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 16.90000000, 0.00000000, 0.00000000, 84.50000000, 101.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 84.50000000, 16.90000000, 101.40000000, NULL),
(346, 'CF1801-0332', 1, NULL, '', 2114, NULL, '2018-01-22 09:36:46', '2018-01-22 10:36:11', '2018-01-22 10:36:35', '2018-01-22 10:36:36', NULL, '2018-01-22', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 33.49000000, 0.00000000, 0.00000000, 167.45000000, 200.94000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 167.45000000, 33.49000000, 200.94000000, NULL),
(347, 'CF1801-0333', 1, NULL, '', 2114, NULL, '2018-01-22 10:43:34', '2018-01-22 11:43:05', '2018-01-22 11:43:24', '2018-01-22 11:43:24', NULL, '2018-01-22', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 50.00000000, 0.00000000, 0.00000000, 250.00000000, 300.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 250.00000000, 50.00000000, 300.00000000, NULL),
(348, 'CF1801-0334', 1, NULL, '', 2114, NULL, '2018-01-22 11:10:03', '2018-01-22 12:04:53', '2018-01-22 12:09:48', '2018-01-22 12:09:48', NULL, '2018-01-22', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 28.32000000, 0.00000000, 0.00000000, 141.62000000, 169.94000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 141.62000000, 28.32000000, 169.94000000, NULL),
(349, 'CF1801-0335', 1, NULL, '', 2114, NULL, '2020-07-21 09:49:30', '2018-01-24 10:28:32', '2018-01-24 10:30:04', '2018-01-24 10:30:05', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 161.14000000, 0.00000000, 0.00000000, 805.70000000, 966.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 805.70000000, 161.14000000, 966.84000000, NULL),
(350, 'CF1801-0336', 1, NULL, '', 2114, NULL, '2020-07-21 13:52:23', '2018-01-24 11:59:42', '2018-01-24 12:00:54', '2018-01-24 12:00:54', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 64.85000000, 0.00000000, 0.00000000, 324.24000000, 389.09000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 324.24000000, 64.85000000, 389.09000000, NULL),
(351, 'CF1801-0337', 1, NULL, '', 2114, NULL, '2020-07-21 13:52:43', '2018-01-24 12:09:44', '2018-01-24 14:07:22', '2018-01-24 14:07:22', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 31.30000000, 0.00000000, 0.00000000, 156.50000000, 187.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 156.50000000, 31.30000000, 187.80000000, NULL),
(352, 'CF1801-0338', 1, NULL, '', 2723, NULL, '2019-02-15 08:19:39', '2018-01-24 16:06:39', '2018-01-24 16:17:11', '2018-01-24 16:17:11', NULL, '2018-01-24', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 19.76000000, 0.00000000, 0.00000000, 98.82000000, 118.58000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 98.82000000, 19.76000000, 118.58000000, NULL),
(353, 'CF1801-0340', 1, NULL, '', 2050, NULL, '2018-01-31 09:34:01', '2018-01-25 09:26:02', '2018-01-25 09:29:20', '2018-01-25 09:29:20', NULL, '2018-01-25', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 35.00000000, 0.00000000, 0.00000000, 175.00000000, 210.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 175.00000000, 35.00000000, 210.00000000, NULL),
(354, 'CF1801-0339', 1, NULL, '', 1948, NULL, '2018-01-31 09:37:31', '2018-01-25 09:27:24', '2018-01-25 09:28:36', '2018-01-25 09:28:36', NULL, '2018-01-25', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 20.06000000, 0.00000000, 0.00000000, 100.26000000, 120.32000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 100.26000000, 20.06000000, 120.32000000, NULL),
(355, 'CF1801-0341', 1, NULL, '', 2114, NULL, '2018-01-25 09:37:56', '2018-01-25 10:35:53', '2018-01-25 10:37:46', '2018-01-25 10:37:46', NULL, '2018-01-25', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 932.20000000, 0.00000000, 0.00000000, 4661.00000000, 5593.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4661.00000000, 932.20000000, 5593.20000000, NULL),
(356, 'CF1801-0342', 1, NULL, '', 1948, NULL, '2019-02-15 08:19:44', '2018-01-25 10:58:53', '2018-01-25 10:59:09', '2018-01-25 10:59:09', NULL, '2018-01-25', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 8.61000000, 0.00000000, 0.00000000, 43.06000000, 51.67000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 43.06000000, 8.61000000, 51.67000000, NULL),
(357, 'CF1801-0343', 1, NULL, '', 1948, NULL, '2019-02-15 08:19:48', '2018-01-26 09:00:08', '2018-01-26 09:00:40', '2018-01-26 09:00:40', NULL, '2018-01-26', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 0.00000000, 0.00000000, 0.00000000, NULL),
(358, 'CF1801-0344', 1, NULL, '', 2750, NULL, '2019-02-15 08:21:28', '2018-01-26 09:03:05', '2018-01-26 09:03:23', '2018-01-26 09:03:23', NULL, '2018-01-26', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 88.27000000, 0.00000000, 0.00000000, 441.35000000, 529.62000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 441.35000000, 88.27000000, 529.62000000, NULL),
(359, 'CF1801-0345', 1, NULL, '', 2114, NULL, '2018-01-26 09:30:10', '2018-01-26 10:28:35', '2018-01-26 10:29:58', '2018-01-26 10:29:58', NULL, '2018-01-26', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 60.67000000, 0.00000000, 0.00000000, 303.35000000, 364.02000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL),
(360, 'CF1801-0347', 1, NULL, '', 2764, NULL, '2018-01-31 10:23:13', '2018-01-26 11:00:43', '2018-01-26 11:10:53', '2018-01-26 11:10:53', NULL, '2018-01-26', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 31.20000000, 0.00000000, 0.00000000, 156.03000000, 187.23000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 156.03000000, 31.20000000, 187.23000000, NULL),
(361, 'CF1801-0346', 1, NULL, '', 1948, NULL, '2019-02-15 08:21:33', '2018-01-26 11:00:43', '2018-01-26 11:02:35', '2018-01-26 11:02:35', NULL, '2018-01-26', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 2.68000000, 0.00000000, 0.00000000, 13.38000000, 16.06000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 13.38000000, 2.68000000, 16.06000000, NULL),
(362, 'CF1801-0348', 1, NULL, '', 2114, NULL, '2020-07-21 13:53:09', '2018-01-26 11:54:43', '2018-01-26 11:55:02', '2018-01-26 11:55:02', NULL, '2020-07-21', 5, NULL, 5, 5, NULL, 0, 5, 1, 0.00000000, 0, 0, 46.04000000, 0.00000000, 0.00000000, 230.19000000, 276.23000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL),
(363, 'CF1801-0349', 1, NULL, '', 2114, NULL, '2019-02-15 08:21:38', '2018-01-26 14:37:54', '2018-01-26 14:38:49', '2018-01-26 14:38:49', NULL, '2018-01-26', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 199.50000000, 0.00000000, 0.00000000, 997.51000000, 1197.01000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 997.51000000, 199.50000000, 1197.01000000, NULL),
(364, 'CF1801-0350', 1, NULL, '', 2114, NULL, '2020-07-21 13:53:24', '2018-01-26 15:05:58', '2018-01-26 15:07:21', '2018-01-26 15:07:21', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 141.70000000, 0.00000000, 0.00000000, 708.50000000, 850.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 708.50000000, 141.70000000, 850.20000000, NULL),
(365, 'CF1801-0351', 1, NULL, '', 2114, NULL, '2019-02-15 08:21:44', '2018-01-26 15:21:25', '2018-01-26 15:23:28', '2018-01-26 15:23:28', NULL, '2018-01-26', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 44.11000000, 0.00000000, 0.00000000, 220.56000000, 264.67000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 220.56000000, 44.11000000, 264.67000000, NULL),
(366, 'CF1801-0352', 1, NULL, '', 2114, NULL, '2020-07-21 13:53:39', '2018-01-26 15:43:46', '2018-01-26 15:44:11', '2018-01-26 15:44:11', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 33.70000000, 0.00000000, 0.00000000, 168.50000000, 202.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 168.50000000, 33.70000000, 202.20000000, NULL),
(367, 'CF1801-0353', 1, NULL, '', 2685, NULL, '2018-01-29 14:06:38', '2018-01-29 15:05:42', '2018-01-29 15:06:14', '2018-01-29 15:06:14', NULL, '2018-01-29', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 79.13000000, 0.00000000, 0.00000000, 395.54000000, 474.67000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 395.54000000, 79.13000000, 474.67000000, NULL),
(368, 'CF1801-0358', 1, NULL, '', 1948, NULL, '2018-01-31 09:37:55', '2018-01-29 15:05:42', '2018-01-31 10:37:44', '2018-01-31 10:37:44', NULL, '2018-01-31', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 16.32000000, 0.00000000, 0.00000000, 81.57000000, 97.89000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 81.57000000, 16.32000000, 97.89000000, NULL),
(369, 'CF1801-0354', 1, NULL, '', 1948, NULL, '2019-02-15 08:22:33', '2018-01-30 09:03:23', '2018-01-30 09:03:44', '2018-01-30 09:03:44', NULL, '2018-01-30', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 34.32000000, 0.00000000, 0.00000000, 171.60000000, 205.92000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 171.60000000, 34.32000000, 205.92000000, NULL),
(370, 'CF1801-0355', 1, NULL, '', 1948, NULL, '2018-02-02 13:13:26', '2018-01-30 09:09:55', '2018-01-30 09:11:02', '2018-01-30 09:11:02', NULL, '2018-01-30', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 15.71000000, 0.00000000, 0.00000000, 78.51000000, 94.22000000, '', 'Merci de faire partir la commande ce jour . cordialement .', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 78.51000000, 15.71000000, 94.22000000, NULL),
(372, 'CF1801-0357', 1, NULL, '', 1948, NULL, '2018-02-02 13:14:09', '2018-01-30 11:54:19', '2018-01-30 11:55:20', '2018-01-30 11:55:20', NULL, '2018-01-30', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 22.38000000, 0.00000000, 0.00000000, 111.90000000, 134.28000000, '', 'depart ce jour svp si possible', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 111.90000000, 22.38000000, 134.28000000, NULL),
(373, 'CF1801-0359', 1, NULL, '', 2114, NULL, '2018-01-31 13:23:39', '2018-01-31 14:22:52', '2018-01-31 14:23:27', '2018-01-31 14:23:27', NULL, '2018-01-31', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 29.42000000, 0.00000000, 0.00000000, 147.10000000, 176.52000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 147.10000000, 29.42000000, 176.52000000, NULL),
(374, 'CF1801-0360', 1, NULL, '', 2114, NULL, '2020-07-21 13:53:56', '2018-01-31 16:55:04', '2018-01-31 16:55:52', '2018-01-31 16:55:52', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 248.49000000, 0.00000000, 0.00000000, 1242.45000000, 1490.94000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1242.45000000, 248.49000000, 1490.94000000, NULL),
(375, 'CF1802-0361', 1, NULL, '', 2642, NULL, '2018-02-08 09:21:07', '2018-02-01 09:03:10', '2018-02-01 09:04:07', '2018-02-01 09:04:07', NULL, '2018-02-08', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 142.02000000, 0.00000000, 0.00000000, 710.11000000, 852.13000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 710.11000000, 142.02000000, 852.13000000, NULL);
INSERT INTO `llx_commande_fournisseur` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_supplier`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_approve`, `date_approve2`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_approve`, `fk_user_approve2`, `source`, `fk_statut`, `billed`, `amount_ht`, `remise_percent`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `date_livraison`, `fk_account`, `fk_cond_reglement`, `fk_mode_reglement`, `fk_input_method`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`) VALUES
(376, 'CF1802-0362', 1, NULL, '', 1948, NULL, '2018-02-08 11:04:41', '2018-02-01 09:07:02', '2018-02-01 09:07:38', '2018-02-01 09:07:38', NULL, '2018-02-01', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 58.20000000, 0.00000000, 0.00000000, 291.00000000, 349.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 291.00000000, 58.20000000, 349.20000000, NULL),
(377, 'CF1802-0376', 1, NULL, '', 2673, NULL, '2018-02-13 10:43:54', '2018-02-01 09:07:02', '2018-02-07 11:54:28', '2018-02-07 11:54:28', NULL, '2018-02-07', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 259.29000000, 0.00000000, 0.00000000, 1296.49000000, 1555.78000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1296.49000000, 259.29000000, 1555.78000000, NULL),
(378, 'CF1802-0363', 1, NULL, '', 2685, NULL, '2019-02-15 08:21:48', '2018-02-01 09:07:02', '2018-02-01 09:08:50', '2018-02-01 09:08:50', NULL, '2018-02-01', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 10.74000000, 0.00000000, 0.00000000, 53.65000000, 64.39000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 53.65000000, 10.74000000, 64.39000000, NULL),
(379, 'CF1802-0364', 1, NULL, '', 2114, NULL, '2018-02-01 09:11:07', '2018-02-01 09:57:47', '2018-02-01 10:10:55', '2018-02-01 10:10:55', NULL, '2018-02-01', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 36.10000000, 0.00000000, 0.00000000, 180.50000000, 216.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 180.50000000, 36.10000000, 216.60000000, NULL),
(380, 'CF1802-0365', 1, NULL, '', 2114, NULL, '2018-02-01 09:32:25', '2018-02-01 10:31:41', '2018-02-01 10:32:11', '2018-02-01 10:32:11', NULL, '2018-02-01', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 60.67000000, 0.00000000, 0.00000000, 303.35000000, 364.02000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL),
(381, 'CF1802-0366', 1, NULL, '', 2050, NULL, '2018-02-08 09:18:21', '2018-02-01 16:12:50', '2018-02-01 16:13:06', '2018-02-01 16:13:06', NULL, '2018-02-08', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 98.08000000, 0.00000000, 0.00000000, 490.40000000, 588.48000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 490.40000000, 98.08000000, 588.48000000, NULL),
(382, 'CF1802-0367', 1, NULL, '', 1948, NULL, '2018-02-08 11:03:20', '2018-02-01 16:12:50', '2018-02-01 16:13:44', '2018-02-01 16:13:44', NULL, '2018-02-08', 5, NULL, 5, 5, NULL, 0, 4, 0, 0.00000000, 0, 0, 21.16000000, 0.00000000, 0.00000000, 105.78000000, 126.94000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 105.78000000, 21.16000000, 126.94000000, NULL),
(383, 'CF1802-0368', 1, NULL, '', 1948, NULL, '2018-02-08 11:05:04', '2018-02-01 16:20:38', '2018-02-01 16:20:53', '2018-02-01 16:20:53', NULL, '2018-02-01', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 14.92000000, 0.00000000, 0.00000000, 74.60000000, 89.52000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 74.60000000, 14.92000000, 89.52000000, NULL),
(384, 'CF1802-0369', 1, NULL, '', 2673, NULL, '2018-02-08 09:19:13', '2018-02-02 09:02:29', '2018-02-02 09:05:56', '2018-02-02 09:05:56', NULL, '2018-02-02', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 43.88000000, 0.00000000, 0.00000000, 219.41000000, 263.29000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 219.41000000, 43.88000000, 263.29000000, NULL),
(385, 'CF1802-0370', 1, NULL, '', 2627, NULL, '2018-02-12 15:34:36', '2018-02-02 11:29:39', '2018-02-02 11:30:24', '2018-02-02 11:30:24', NULL, '2018-02-12', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 55.43000000, 0.00000000, 0.00000000, 277.14000000, 332.57000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 277.14000000, 55.43000000, 332.57000000, NULL),
(386, 'CF1802-0371', 1, NULL, '', 2764, NULL, '2018-02-08 09:29:14', '2018-02-02 11:31:28', '2018-02-02 11:31:52', '2018-02-02 11:31:52', NULL, '2018-02-02', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 13.55000000, 0.00000000, 0.00000000, 67.74000000, 81.29000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 67.74000000, 13.55000000, 81.29000000, NULL),
(387, 'CF1802-0372', 1, NULL, '', 1948, NULL, '2018-02-08 11:05:28', '2018-02-02 11:33:27', '2018-02-02 11:33:43', '2018-02-02 11:33:43', NULL, '2018-02-02', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 3.22000000, 0.00000000, 0.00000000, 16.09000000, 19.31000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 16.09000000, 3.22000000, 19.31000000, NULL),
(388, 'CF1802-0373', 1, NULL, '', 2713, NULL, '2019-02-15 08:22:37', '2018-02-05 07:32:09', '2018-02-05 09:04:32', '2018-02-05 09:04:32', NULL, '2018-02-05', 4, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 35.32000000, 0.00000000, 0.00000000, 176.61000000, 211.93000000, '', 'commande de rails et divers', 'muscadet', NULL, NULL, 3, 7, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 176.61000000, 35.32000000, 211.93000000, NULL),
(390, 'CF1802-0374', 1, NULL, '', 2114, NULL, '2020-07-21 13:54:18', '2018-02-05 15:15:36', '2018-02-05 15:16:02', '2018-02-05 15:16:02', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 32.76000000, 0.00000000, 0.00000000, 163.80000000, 196.56000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 163.80000000, 32.76000000, 196.56000000, NULL),
(391, 'CF1802-0377', 1, NULL, '', 1948, NULL, '2018-02-13 13:06:55', '2018-02-06 11:30:55', '2018-02-07 11:55:41', '2018-02-07 11:55:41', NULL, '2018-02-07', 5, NULL, 5, 5, NULL, 0, 4, 0, 0.00000000, 0, 0, 124.41000000, 0.00000000, 0.00000000, 622.08000000, 746.49000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 622.08000000, 124.41000000, 746.49000000, NULL),
(392, 'CF1802-0382', 1, NULL, '', 2627, NULL, '2019-02-15 08:23:16', '2018-02-06 11:32:05', '2018-02-07 12:00:05', '2018-02-07 12:00:05', NULL, '2018-02-07', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 89.77000000, 0.00000000, 0.00000000, 448.88000000, 538.65000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 448.88000000, 89.77000000, 538.65000000, NULL),
(393, 'CF1802-0383', 1, NULL, '', 2729, NULL, '2019-02-15 08:23:52', '2018-02-06 11:32:59', '2018-02-07 12:00:47', '2018-02-07 12:00:48', NULL, '2018-02-07', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 126.56000000, 0.00000000, 0.00000000, 632.80000000, 759.36000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 632.80000000, 126.56000000, 759.36000000, NULL),
(394, 'CF1802-0378', 1, NULL, '', 2764, NULL, '2018-02-13 15:52:04', '2018-02-06 15:49:55', '2018-02-07 11:57:10', '2018-02-07 11:57:10', NULL, '2018-02-07', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 21.52000000, 0.00000000, 0.00000000, 107.66000000, 129.18000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 107.66000000, 21.52000000, 129.18000000, NULL),
(395, 'CF1802-0375', 1, NULL, '', 2609, NULL, '2018-02-08 09:01:07', '2018-02-06 15:56:14', '2018-02-06 15:59:03', '2018-02-06 15:59:03', NULL, '2018-02-06', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 173.76000000, 0.00000000, 0.00000000, 868.82000000, 1042.58000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 868.82000000, 173.76000000, 1042.58000000, NULL),
(396, 'CF1802-0379', 1, NULL, '', 2610, NULL, '2018-02-28 10:59:03', '2018-02-07 09:25:10', '2018-02-07 11:58:08', '2018-02-07 11:58:08', NULL, '2018-02-07', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 11.00000000, 0.00000000, 0.00000000, 55.00000000, 66.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 55.00000000, 11.00000000, 66.00000000, NULL),
(397, 'CF1802-0380', 1, NULL, '', 2685, NULL, '2018-02-12 15:35:50', '2018-02-07 09:25:10', '2018-02-07 11:58:55', '2018-02-07 11:58:56', NULL, '2018-02-07', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 13.71000000, 0.00000000, 0.00000000, 68.61000000, 82.32000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 68.61000000, 13.71000000, 82.32000000, NULL),
(399, 'CF1802-0384', 1, NULL, '', 2673, NULL, '2018-02-13 10:44:48', '2018-02-07 14:12:17', '2018-02-07 14:12:37', '2018-02-07 14:12:37', NULL, '2018-02-13', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 7.00000000, 0.00000000, 0.00000000, 35.00000000, 42.00000000, '', 'a joindre a commande de ce matin svp', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 35.00000000, 7.00000000, 42.00000000, NULL),
(400, 'CF1802-0385', 1, NULL, '', 2673, NULL, '2018-02-13 10:46:07', '2018-02-07 14:20:12', '2018-02-07 14:22:33', '2018-02-07 14:22:33', NULL, '2018-02-13', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 73.94000000, 0.00000000, 0.00000000, 369.70000000, 443.64000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 369.70000000, 73.94000000, 443.64000000, NULL),
(401, 'CF1802-0387', 1, NULL, '', 2764, NULL, '2018-02-13 15:53:02', '2018-02-07 15:12:14', '2018-02-07 15:19:21', '2018-02-07 15:19:21', NULL, '2018-02-13', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 11.05000000, 0.00000000, 0.00000000, 55.25000000, 66.30000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 55.25000000, 11.05000000, 66.30000000, NULL),
(402, 'CF1802-0386', 1, NULL, '', 1948, NULL, '2018-02-13 13:05:26', '2018-02-07 15:12:14', '2018-02-07 15:18:29', '2018-02-07 15:18:29', NULL, '2018-02-13', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 1.19000000, 0.00000000, 0.00000000, 5.94000000, 7.13000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5.94000000, 1.19000000, 7.13000000, NULL),
(403, 'CF1802-0388', 1, NULL, '', 2050, NULL, '2018-02-12 14:45:44', '2018-02-07 15:13:47', '2018-02-07 15:20:56', '2018-02-07 15:20:56', NULL, '2018-02-07', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 32.37000000, 0.00000000, 0.00000000, 161.86000000, 194.23000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 161.86000000, 32.37000000, 194.23000000, NULL),
(404, 'CF1802-0389', 1, NULL, '', 12715, NULL, '2018-02-15 13:39:41', '2018-02-07 16:30:27', '2018-02-07 16:31:10', '2018-02-07 16:31:10', NULL, '2018-02-07', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 34.16000000, 0.00000000, 0.00000000, 170.80000000, 204.96000000, '', 'URGENT LIVRAISON', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 170.80000000, 34.16000000, 204.96000000, NULL),
(405, 'CF1802-0390', 1, NULL, '', 1948, NULL, '2018-02-13 13:04:13', '2018-02-08 09:15:42', '2018-02-08 09:16:00', '2018-02-08 09:16:00', NULL, '2018-02-08', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 13.16000000, 0.00000000, 0.00000000, 65.78000000, 78.94000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 65.78000000, 13.16000000, 78.94000000, NULL),
(407, 'CF1802-0391', 1, NULL, '', 2764, NULL, '2018-02-13 15:52:34', '2018-02-08 09:15:42', '2018-02-08 09:17:30', '2018-02-08 09:17:30', NULL, '2018-02-08', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 16.24000000, 0.00000000, 0.00000000, 81.20000000, 97.44000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 81.20000000, 16.24000000, 97.44000000, NULL),
(408, 'CF1802-0392', 1, NULL, '', 2050, NULL, '2019-02-15 08:24:00', '2018-02-08 09:18:28', '2018-02-08 09:19:12', '2018-02-08 09:19:12', NULL, '2018-02-08', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 35.60000000, 0.00000000, 0.00000000, 178.00000000, 213.60000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 178.00000000, 35.60000000, 213.60000000, NULL),
(409, 'CF1802-0393', 1, NULL, '', 1948, NULL, '2020-07-20 12:23:26', '2018-02-09 16:25:23', '2018-02-09 16:26:10', '2018-02-09 16:26:10', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 0, 0.00000000, 0, 0, 245.40000000, 0.00000000, 0.00000000, 1227.00000000, 1472.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1227.00000000, 245.40000000, 1472.40000000, NULL),
(410, 'CF1802-0394', 1, NULL, '', 2723, NULL, '2018-02-27 15:51:04', '2018-02-12 09:16:23', '2018-02-12 09:16:40', '2018-02-12 09:16:40', NULL, '2018-02-27', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 116.05000000, 0.00000000, 0.00000000, 580.28000000, 696.33000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 580.28000000, 116.05000000, 696.33000000, NULL),
(411, 'CF1802-0395', 1, NULL, '', 2764, NULL, '2018-02-13 15:53:34', '2018-02-12 11:54:15', '2018-02-12 11:54:33', '2018-02-12 11:54:33', NULL, '2018-02-13', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 3.50000000, 0.00000000, 0.00000000, 17.48000000, 20.98000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 17.48000000, 3.50000000, 20.98000000, NULL),
(412, 'CF1802-0396', 1, NULL, '', 2673, NULL, '2018-02-14 15:35:22', '2018-02-12 16:03:01', '2018-02-12 16:03:55', '2018-02-12 16:03:55', NULL, '2018-02-14', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 23.10000000, 0.00000000, 0.00000000, 115.50000000, 138.60000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 115.50000000, 23.10000000, 138.60000000, NULL),
(413, 'CF1802-0397', 1, NULL, '', 2762, NULL, '2018-02-22 08:20:05', '2018-02-13 16:26:15', '2018-02-13 16:29:00', '2018-02-13 16:29:00', NULL, '2018-02-13', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 80.94000000, 0.00000000, 0.00000000, 404.70000000, 485.64000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 404.70000000, 80.94000000, 485.64000000, NULL),
(414, 'CF1802-0398', 1, NULL, '', 2114, NULL, '2018-02-14 09:47:05', '2018-02-14 10:46:14', '2018-02-14 10:46:53', '2018-02-14 10:46:53', NULL, '2018-02-14', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 58.51000000, 0.00000000, 0.00000000, 292.56000000, 351.07000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 292.56000000, 58.51000000, 351.07000000, NULL),
(415, 'CF1802-0399', 1, NULL, '', 2114, NULL, '2018-02-14 10:21:54', '2018-02-14 11:17:45', '2018-02-14 11:18:20', '2018-02-14 11:18:20', NULL, '2018-02-14', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 93.30000000, 0.00000000, 0.00000000, 466.53000000, 559.83000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 466.53000000, 93.30000000, 559.83000000, NULL),
(416, 'CF1802-0400', 1, NULL, '', 2114, NULL, '2018-02-14 13:55:22', '2018-02-14 14:52:46', '2018-02-14 14:54:49', '2018-02-14 14:54:49', NULL, '2018-02-14', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 60.67000000, 0.00000000, 0.00000000, 303.35000000, 364.02000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL),
(417, 'CF1802-0401', 1, NULL, '', 2114, NULL, '2020-07-21 13:54:42', '2018-02-14 15:12:22', '2018-02-14 15:12:51', '2018-02-14 15:12:51', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 46.04000000, 0.00000000, 0.00000000, 230.19000000, 276.23000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL),
(418, 'CF1802-0402', 1, NULL, '', 2114, NULL, '2020-07-21 13:55:48', '2018-02-14 16:01:31', '2018-02-14 16:02:16', '2018-02-14 16:02:16', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 60.67000000, 0.00000000, 0.00000000, 303.35000000, 364.02000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL),
(419, 'CF1802-0403', 1, NULL, '', 2114, NULL, '2020-07-21 13:56:02', '2018-02-14 16:47:17', '2018-02-14 16:47:46', '2018-02-14 16:47:46', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 60.67000000, 0.00000000, 0.00000000, 303.35000000, 364.02000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL),
(420, 'CF1802-0404', 1, NULL, '', 2050, NULL, '2018-02-19 15:39:45', '2018-02-15 11:29:16', '2018-02-15 11:32:05', '2018-02-15 11:32:05', NULL, '2018-02-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 24.37000000, 0.00000000, 0.00000000, 121.86000000, 146.23000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 121.86000000, 24.37000000, 146.23000000, NULL),
(421, 'CF1802-0405', 1, NULL, '', 2114, NULL, '2020-07-21 13:56:29', '2018-02-15 14:22:28', '2018-02-15 14:23:05', '2018-02-15 14:23:05', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 90.82000000, 0.00000000, 0.00000000, 454.10000000, 544.92000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 454.10000000, 90.82000000, 544.92000000, NULL),
(423, 'CF1802-0409', 1, NULL, '', 2050, NULL, '2019-02-15 08:24:05', '2018-02-16 12:30:15', '2018-02-19 14:45:50', '2018-02-19 14:45:51', NULL, '2018-02-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 252.50000000, 0.00000000, 0.00000000, 1262.51000000, 1515.01000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1262.51000000, 252.50000000, 1515.01000000, NULL),
(424, 'CF1802-0407', 1, NULL, '', 1948, NULL, '2018-03-08 13:15:57', '2018-02-16 12:30:15', '2018-02-16 12:32:55', '2018-02-16 12:32:55', NULL, '2018-02-16', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 69.02000000, 0.00000000, 0.00000000, 345.10000000, 414.12000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 345.10000000, 69.02000000, 414.12000000, NULL),
(425, 'CF1802-0408', 1, NULL, '', 1948, NULL, '2018-03-08 13:18:23', '2018-02-16 14:02:54', '2018-02-16 14:03:22', '2018-02-16 14:03:22', NULL, '2018-02-16', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 42.68000000, 0.00000000, 0.00000000, 213.48000000, 256.16000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 213.48000000, 42.68000000, 256.16000000, NULL),
(426, 'CF1802-0410', 1, NULL, '', 2114, NULL, '2018-02-20 08:55:46', '2018-02-20 09:55:03', '2018-02-20 09:55:37', '2018-02-20 09:55:37', NULL, '2018-02-20', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 55.30000000, 0.00000000, 0.00000000, 276.50000000, 331.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 276.50000000, 55.30000000, 331.80000000, NULL),
(427, 'CF1802-0411', 1, NULL, '', 2114, NULL, '2018-02-20 09:01:44', '2018-02-20 10:00:56', '2018-02-20 10:01:32', '2018-02-20 10:01:33', NULL, '2018-02-20', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 60.67000000, 0.00000000, 0.00000000, 303.35000000, 364.02000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL),
(428, 'CF1802-0412', 1, NULL, '', 2114, NULL, '2018-02-20 09:14:17', '2018-02-20 10:13:39', '2018-02-20 10:14:05', '2018-02-20 10:14:05', NULL, '2018-02-20', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 60.67000000, 0.00000000, 0.00000000, 303.35000000, 364.02000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL),
(429, 'CF1802-0413', 1, NULL, '', 2114, NULL, '2018-02-20 09:30:01', '2018-02-20 10:28:17', '2018-02-20 10:29:02', '2018-02-20 10:29:02', NULL, '2018-02-20', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 60.67000000, 0.00000000, 0.00000000, 303.35000000, 364.02000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL),
(430, 'CF1802-0414', 1, NULL, '', 2114, NULL, '2018-02-20 09:55:23', '2018-02-20 10:54:15', '2018-02-20 10:55:11', '2018-02-20 10:55:11', NULL, '2018-02-20', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 60.01000000, 0.00000000, 0.00000000, 300.04000000, 360.05000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 300.04000000, 60.01000000, 360.05000000, NULL),
(431, 'CF1802-0415', 1, NULL, '', 2114, NULL, '2018-02-20 10:22:05', '2018-02-20 11:21:23', '2018-02-20 11:21:55', '2018-02-20 11:21:55', NULL, '2018-02-20', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 60.67000000, 0.00000000, 0.00000000, 303.35000000, 364.02000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL),
(432, 'CF1802-0416', 1, NULL, '', 2114, NULL, '2018-02-20 15:14:15', '2018-02-20 16:13:32', '2018-02-20 16:14:01', '2018-02-20 16:14:01', NULL, '2018-02-20', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 60.67000000, 0.00000000, 0.00000000, 303.35000000, 364.02000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL),
(433, 'CF1802-0417', 1, NULL, '', 2114, NULL, '2018-02-20 15:35:36', '2018-02-20 16:34:48', '2018-02-20 16:35:26', '2018-02-20 16:35:26', NULL, '2018-02-20', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 57.67000000, 0.00000000, 0.00000000, 288.35000000, 346.02000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 288.35000000, 57.67000000, 346.02000000, NULL),
(434, 'CF1802-0418', 1, NULL, '', 2610, NULL, '2020-07-20 12:36:55', '2018-02-21 09:00:41', '2018-02-21 09:01:08', '2018-02-21 09:01:09', NULL, '2020-07-20', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 74.45000000, 0.00000000, 0.00000000, 372.23000000, 446.68000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 372.23000000, 74.45000000, 446.68000000, NULL),
(435, 'CF1802-0419', 1, NULL, '', 2114, NULL, '2018-02-21 08:37:12', '2018-02-21 09:36:30', '2018-02-21 09:37:01', '2018-02-21 09:37:01', NULL, '2018-02-21', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 60.67000000, 0.00000000, 0.00000000, 303.35000000, 364.02000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL),
(436, 'CF1802-0420', 1, NULL, '', 2114, NULL, '2018-02-21 08:49:32', '2018-02-21 09:48:58', '2018-02-21 09:49:21', '2018-02-21 09:49:21', NULL, '2018-02-21', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 60.67000000, 0.00000000, 0.00000000, 303.35000000, 364.02000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL),
(437, 'CF1802-0421', 1, NULL, '', 2114, NULL, '2018-02-21 09:02:56', '2018-02-21 10:01:27', '2018-02-21 10:02:38', '2018-02-21 10:02:39', NULL, '2018-02-21', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 46.04000000, 0.00000000, 0.00000000, 230.19000000, 276.23000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL),
(438, 'CF1802-0422', 1, NULL, '', 2114, NULL, '2018-02-21 09:11:40', '2018-02-21 10:11:11', '2018-02-21 10:11:31', '2018-02-21 10:11:31', NULL, '2018-02-21', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 60.67000000, 0.00000000, 0.00000000, 303.35000000, 364.02000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL),
(439, 'CF1802-0423', 1, NULL, '', 2673, NULL, '2018-02-26 13:06:43', '2018-02-21 14:16:05', '2018-02-21 14:16:20', '2018-02-21 14:16:20', NULL, '2018-02-21', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 11.39000000, 0.00000000, 0.00000000, 56.94000000, 68.33000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 56.94000000, 11.39000000, 68.33000000, NULL),
(440, 'CF1802-0424', 1, NULL, '', 2719, NULL, '2018-02-23 15:58:13', '2018-02-21 16:43:51', '2018-02-21 16:44:04', '2018-02-21 16:44:04', NULL, '2018-02-21', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 7.75000000, 0.00000000, 0.00000000, 38.73000000, 46.48000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 38.73000000, 7.75000000, 46.48000000, NULL),
(441, 'CF1802-0425', 1, NULL, '', 2050, NULL, '2019-02-15 08:24:12', '2018-02-21 16:50:58', '2018-02-21 16:55:40', '2018-02-21 16:55:40', NULL, '2018-02-21', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 241.00000000, 0.00000000, 0.00000000, 1205.00000000, 1446.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1205.00000000, 241.00000000, 1446.00000000, NULL),
(442, 'CF1802-0426', 1, NULL, '', 2114, NULL, '2020-07-21 13:56:41', '2018-02-22 10:30:44', '2018-02-22 10:31:10', '2018-02-22 10:31:10', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 46.04000000, 0.00000000, 0.00000000, 230.19000000, 276.23000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL),
(443, 'CF1802-0427', 1, NULL, '', 2114, NULL, '2018-02-22 09:45:31', '2018-02-22 10:44:20', '2018-02-22 10:45:10', '2018-02-22 10:45:10', NULL, '2018-02-22', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 21.99000000, 0.00000000, 0.00000000, 109.96000000, 131.95000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 109.96000000, 21.99000000, 131.95000000, NULL),
(444, 'CF1802-0428', 1, NULL, '', 1948, NULL, '2018-03-08 13:16:16', '2018-02-23 10:09:29', '2018-02-23 10:09:45', '2018-02-23 10:09:45', NULL, '2018-02-23', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 19.45000000, 0.00000000, 0.00000000, 97.25000000, 116.70000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 97.25000000, 19.45000000, 116.70000000, NULL),
(445, 'CF1802-0429', 1, NULL, '', 2697, NULL, '2019-02-15 08:24:18', '2018-02-26 09:13:40', '2018-02-26 09:14:23', '2018-02-26 09:14:23', NULL, '2018-02-26', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 26.80000000, 0.00000000, 0.00000000, 134.00000000, 160.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 134.00000000, 26.80000000, 160.80000000, NULL),
(446, 'CF1802-0430', 1, NULL, '', 2740, NULL, '2018-04-11 12:32:02', '2018-02-26 13:51:47', '2018-02-26 13:52:05', '2018-02-26 13:52:05', NULL, '2018-02-26', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 139.60000000, 0.00000000, 0.00000000, 698.00000000, 837.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 698.00000000, 139.60000000, 837.60000000, NULL),
(447, 'CF1802-0431', 1, NULL, '', 1948, NULL, '2018-03-15 13:27:50', '2018-02-26 15:48:46', '2018-02-26 15:49:01', '2018-02-26 15:49:02', NULL, '2018-02-26', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 65.90000000, 0.00000000, 0.00000000, 329.52000000, 395.42000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 329.52000000, 65.90000000, 395.42000000, NULL),
(448, 'CF1802-0432', 1, NULL, '', 1948, NULL, '2018-03-08 13:16:42', '2018-02-27 10:19:02', '2018-02-27 10:19:35', '2018-02-27 10:19:35', NULL, '2018-02-27', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 16.71000000, 0.00000000, 0.00000000, 83.54000000, 100.25000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 83.54000000, 16.71000000, 100.25000000, NULL),
(449, 'CF1802-0433', 1, NULL, '', 2627, NULL, '2019-02-15 08:25:01', '2018-02-27 11:22:29', '2018-02-27 11:23:07', '2018-02-27 11:23:08', NULL, '2018-02-27', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 48.11000000, 0.00000000, 0.00000000, 240.56000000, 288.67000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 240.56000000, 48.11000000, 288.67000000, NULL),
(450, 'CF1802-0434', 1, NULL, '', 2114, NULL, '2018-02-27 10:30:49', '2018-02-27 11:30:02', '2018-02-27 11:30:32', '2018-02-27 11:30:32', NULL, '2018-02-27', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 42.65000000, 0.00000000, 0.00000000, 213.26000000, 255.91000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 213.26000000, 42.65000000, 255.91000000, NULL),
(451, 'CF1802-0435', 1, NULL, '', 2723, NULL, '2018-03-08 09:17:22', '2018-02-27 16:29:27', '2018-02-27 16:29:47', '2018-02-27 16:29:47', NULL, '2018-02-27', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 142.77000000, 0.00000000, 0.00000000, 713.86000000, 856.63000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 713.86000000, 142.77000000, 856.63000000, NULL),
(452, 'CF1802-0436', 1, NULL, '', 2673, NULL, '2018-03-01 13:46:35', '2018-02-27 16:29:27', '2018-02-27 16:31:35', '2018-02-27 16:31:35', NULL, '2018-03-01', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 7.56000000, 0.00000000, 0.00000000, 37.80000000, 45.36000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 37.80000000, 7.56000000, 45.36000000, NULL),
(453, 'CF1802-0437', 1, NULL, '', 2635, NULL, '2018-03-02 14:29:08', '2018-02-27 16:29:27', '2018-02-27 16:32:52', '2018-02-27 16:32:52', NULL, '2018-02-27', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 7.00000000, 0.00000000, 0.00000000, 35.00000000, 42.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 35.00000000, 7.00000000, 42.00000000, NULL),
(454, 'CF1802-0438', 1, NULL, '', 2729, NULL, '2018-03-15 15:09:08', '2018-02-28 09:09:54', '2018-02-28 09:13:26', '2018-02-28 09:13:26', NULL, '2018-02-28', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 62.54000000, 0.00000000, 0.00000000, 458.32000000, 520.86000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 458.32000000, 62.54000000, 520.86000000, NULL),
(455, 'CF1802-0439', 1, NULL, '', 12720, NULL, '2019-02-15 08:25:05', '2018-02-28 09:31:56', '2018-02-28 09:34:06', '2018-02-28 09:34:06', NULL, '2018-02-28', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 39.31000000, 0.00000000, 0.00000000, 196.53000000, 235.84000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 196.53000000, 39.31000000, 235.84000000, NULL),
(456, 'CF1802-0440', 1, NULL, '', 2673, NULL, '2018-03-01 13:46:11', '2018-02-28 11:04:57', '2018-02-28 11:05:51', '2018-02-28 11:05:51', NULL, '2018-02-28', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 7.27000000, 0.00000000, 0.00000000, 36.34000000, 43.61000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 36.34000000, 7.27000000, 43.61000000, NULL),
(457, 'CF1802-0441', 1, NULL, '', 1948, NULL, '2018-03-08 13:17:11', '2018-02-28 11:37:14', '2018-02-28 11:37:30', '2018-02-28 11:37:31', NULL, '2018-03-08', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 28.64000000, 0.00000000, 0.00000000, 143.22000000, 171.86000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 143.22000000, 28.64000000, 171.86000000, NULL),
(458, 'CF1803-0443', 1, NULL, '', 2609, NULL, '2018-03-08 09:24:04', '2018-02-28 16:20:12', '2018-03-01 14:55:06', '2018-03-01 14:55:07', NULL, '2018-03-01', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 113.06000000, 0.00000000, 0.00000000, 565.30000000, 678.36000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 565.30000000, 113.06000000, 678.36000000, NULL),
(459, 'CF1803-0442', 1, NULL, '', 2050, NULL, '2018-04-26 09:45:46', '2018-03-01 11:50:01', '2018-03-01 11:51:27', '2018-03-01 11:51:27', NULL, '2018-04-26', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 38.40000000, 0.00000000, 0.00000000, 192.00000000, 230.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 192.00000000, 38.40000000, 230.40000000, NULL),
(460, 'CF1803-0444', 1, NULL, '', 2114, NULL, '2018-03-01 14:52:33', '2018-03-01 15:51:41', '2018-03-01 15:52:20', '2018-03-01 15:52:20', NULL, '2018-03-01', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 82.14000000, 0.00000000, 0.00000000, 410.69000000, 492.83000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 410.69000000, 82.14000000, 492.83000000, NULL),
(461, 'CF1803-0445', 1, NULL, '', 2114, NULL, '2020-07-21 13:56:54', '2018-03-01 15:57:22', '2018-03-01 16:00:32', '2018-03-01 16:00:33', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 60.67000000, 0.00000000, 0.00000000, 303.35000000, 364.02000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL),
(462, 'CF1803-0446', 1, NULL, '', 1948, NULL, '2018-03-08 13:17:47', '2018-03-02 11:33:21', '2018-03-02 11:33:53', '2018-03-02 11:33:53', NULL, '2018-03-02', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 25.72000000, 0.00000000, 0.00000000, 128.58000000, 154.30000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 128.58000000, 25.72000000, 154.30000000, NULL),
(463, 'CF1803-0447', 1, NULL, '', 2114, NULL, '2018-03-02 10:42:53', '2018-03-02 11:41:40', '2018-03-02 11:42:38', '2018-03-02 11:42:38', NULL, '2018-03-02', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 46.04000000, 0.00000000, 0.00000000, 230.19000000, 276.23000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL),
(464, 'CF1803-0463', 1, NULL, '', 2627, NULL, '2020-07-20 12:39:09', '2018-03-02 11:41:41', '2018-03-12 11:41:25', '2018-03-12 11:41:25', NULL, '2020-07-20', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 34.48000000, 0.00000000, 0.00000000, 172.36000000, 206.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 172.36000000, 34.48000000, 206.84000000, NULL),
(465, 'CF1803-0448', 1, NULL, '', 1948, NULL, '2018-03-08 13:17:32', '2018-03-02 14:15:15', '2018-03-02 14:15:34', '2018-03-02 14:15:34', NULL, '2018-03-02', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 3.55000000, 0.00000000, 0.00000000, 17.77000000, 21.32000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 17.77000000, 3.55000000, 21.32000000, NULL),
(466, 'CF1803-0449', 1, NULL, '', 2673, NULL, '2018-03-09 13:51:03', '2018-03-02 14:26:12', '2018-03-02 14:29:40', '2018-03-02 14:29:40', NULL, '2018-03-09', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 1.65000000, 0.00000000, 0.00000000, 8.28000000, 9.93000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 8.28000000, 1.65000000, 9.93000000, NULL),
(467, 'CF1803-0450', 1, NULL, '', 2114, NULL, '2019-02-15 08:25:09', '2018-03-02 14:30:28', '2018-03-02 14:32:45', '2018-03-02 14:32:45', NULL, '2018-03-02', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 98.08000000, 0.00000000, 0.00000000, 490.41000000, 588.49000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 490.41000000, 98.08000000, 588.49000000, NULL),
(468, 'CF1803-0451', 1, NULL, '', 2635, NULL, '2018-03-30 13:54:52', '2018-03-02 14:48:36', '2018-03-02 15:30:27', '2018-03-02 15:30:27', NULL, '2018-03-02', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 9.92000000, 0.00000000, 0.00000000, 49.60000000, 59.52000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 49.60000000, 9.92000000, 59.52000000, NULL),
(469, 'CF1803-0452', 1, NULL, '', 2114, NULL, '2020-07-21 13:57:10', '2018-03-02 15:36:23', '2018-03-02 15:38:05', '2018-03-02 15:38:05', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 41.36000000, 0.00000000, 0.00000000, 206.78000000, 248.14000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 206.78000000, 41.36000000, 248.14000000, NULL),
(470, 'CF1803-0453', 1, NULL, '', 2114, NULL, '2019-02-15 08:25:13', '2018-03-02 16:17:09', '2018-03-02 16:17:28', '2018-03-02 16:17:28', NULL, '2018-03-02', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 60.67000000, 0.00000000, 0.00000000, 303.35000000, 364.02000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL),
(471, 'CF1803-0454', 1, NULL, '', 2114, NULL, '2018-03-02 15:47:10', '2018-03-02 16:46:34', '2018-03-02 16:46:59', '2018-03-02 16:46:59', NULL, '2018-03-02', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 35.68000000, 0.00000000, 0.00000000, 178.40000000, 214.08000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 178.40000000, 35.68000000, 214.08000000, NULL),
(472, 'CF1803-0455', 1, NULL, '', 2729, NULL, '2019-02-15 08:25:19', '2018-03-08 09:25:58', '2018-03-08 09:26:28', '2018-03-08 09:26:28', NULL, '2018-03-08', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 896.43000000, 0.00000000, 0.00000000, 4482.16000000, 5378.59000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4482.16000000, 896.43000000, 5378.59000000, NULL),
(473, 'CF1803-0456', 1, NULL, '', 2673, NULL, '2018-03-09 13:53:03', '2018-03-08 09:25:58', '2018-03-08 10:15:21', '2018-03-08 10:15:22', NULL, '2018-03-09', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 52.13000000, 0.00000000, 0.00000000, 260.62000000, 312.75000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 260.62000000, 52.13000000, 312.75000000, NULL),
(474, 'CF1803-0488', 1, NULL, 'bontout', 2114, NULL, '2018-03-23 14:32:11', '2018-03-08 09:25:58', '2018-03-23 15:31:55', '2018-03-23 15:31:55', NULL, '2018-03-23', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 35.68000000, 0.00000000, 0.00000000, 178.40000000, 214.08000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 178.40000000, 35.68000000, 214.08000000, NULL),
(475, 'CF1803-0475', 1, NULL, '', 2609, NULL, '2020-07-21 13:50:52', '2018-03-08 09:25:59', '2018-03-15 09:33:12', '2018-03-15 09:33:12', NULL, '2020-07-21', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 98.28000000, 0.00000000, 0.00000000, 491.40000000, 589.68000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 491.40000000, 98.28000000, 589.68000000, NULL),
(476, 'CF1804-0498', 1, NULL, '', 2764, NULL, '2018-04-16 12:13:39', '2018-03-08 11:55:46', '2018-04-05 15:29:44', '2018-04-05 15:29:44', NULL, '2018-04-16', 5, NULL, 5, 5, NULL, 0, 4, 0, 0.00000000, 0, 0, 24.32000000, 0.00000000, 0.00000000, 121.60000000, 145.92000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 121.60000000, 24.32000000, 145.92000000, NULL),
(477, 'CF1803-0457', 1, NULL, '', 12660, NULL, '2019-02-15 08:25:23', '2018-03-09 08:46:01', '2018-03-09 08:49:53', '2018-03-09 08:49:53', NULL, '2018-03-09', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 64.25000000, 0.00000000, 0.00000000, 321.25000000, 385.50000000, '', 'suivant offre de location N° 970600004885<br />\r\nLivraison le 15/03/2018 en fin d\'apres midi ( ouverture jusqu\'à 17h30 )  car besoin de la nacelle le 16/03/2018 à 7h00 du matin .<br />\r\n<u><strong>Adresse de livraison :</strong></u> <br />\r\nElectrolux Professionnel ?<br />\r\n<a href=\"https://www.google.fr/search?q=electrolux+professionnel+saint-vallier+adresse&stick=H4sIAAAAAAAAAOPgE-LWT9c3LCkrN7EoMNKSzU620s_JT04syczPgzOsElNSilKLiwHoffFuLgAAAA&sa=X&ved=0ahUKEwjMoLK34N7ZAhVHXRQKHTjwBbAQ6BMIuAEwEw\">Adresse</a> : 9 Avenue Marc Seguin, 26240 Saint-Vallier<br />\r\n<a href=\"https://www.google.fr/search?q=electrolux+professionnel+saint-vallier+t%C3%A9l%C3%A9phone&sa=X&ved=0ahUKEwjMoLK34N7ZAhVHXRQKHTjwBbAQ6BMIuwEwFA\">Téléphone</a> : <a href=\"https://www.google.fr/search?q=molteni+electrolux&oq=molteni+electrolux&aqs=chrome..69i57j69i60j69i61l2j0l2.3590j0j7&sourceid=chrome&ie=UTF-8#\" title=\"Appeler avec Hangouts\">04 75 23 07 12</a><br />\r\n ', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 321.25000000, 64.25000000, 385.50000000, NULL),
(478, 'CF1803-0458', 1, NULL, '', 1948, NULL, '2018-03-15 13:27:15', '2018-03-09 09:00:14', '2018-03-09 09:01:28', '2018-03-09 09:01:28', NULL, '2018-03-09', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 42.43000000, 0.00000000, 0.00000000, 212.15000000, 254.58000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 212.15000000, 42.43000000, 254.58000000, NULL),
(479, 'CF1803-0459', 1, NULL, '', 2050, NULL, '2019-02-15 08:25:27', '2018-03-09 09:19:48', '2018-03-09 09:21:15', '2018-03-09 09:21:15', NULL, '2018-03-09', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 231.00000000, 0.00000000, 0.00000000, 1155.00000000, 1386.00000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1155.00000000, 231.00000000, 1386.00000000, NULL),
(480, 'CF1803-0460', 1, NULL, '', 1948, NULL, '2018-04-06 14:05:37', '2018-03-09 09:29:54', '2018-03-09 09:35:02', '2018-03-09 09:35:02', NULL, '2018-03-09', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 240.82000000, 0.00000000, 0.00000000, 1204.16000000, 1444.98000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1204.16000000, 240.82000000, 1444.98000000, NULL),
(481, 'CF1803-0461', 1, NULL, '', 2764, NULL, '2018-03-26 15:02:48', '2018-03-09 09:43:02', '2018-03-09 09:46:29', '2018-03-09 09:46:29', NULL, '2018-03-09', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 47.40000000, 0.00000000, 0.00000000, 237.05000000, 284.45000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 237.05000000, 47.40000000, 284.45000000, NULL),
(482, 'CF1803-0462', 1, NULL, '', 2627, NULL, '2019-02-15 08:26:32', '2018-03-09 09:51:11', '2018-03-09 09:51:54', '2018-03-09 09:51:54', NULL, '2018-03-09', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 108.13000000, 0.00000000, 0.00000000, 540.64000000, 648.77000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 540.64000000, 108.13000000, 648.77000000, NULL),
(483, 'CF1803-0464', 1, NULL, '', 1948, NULL, '2018-03-15 13:26:38', '2018-03-12 11:41:53', '2018-03-12 11:42:45', '2018-03-12 11:42:45', NULL, '2018-03-12', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 38.06000000, 0.00000000, 0.00000000, 190.30000000, 228.36000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 190.30000000, 38.06000000, 228.36000000, NULL),
(484, 'CF1803-0465', 1, NULL, '', 2050, NULL, '2018-03-16 13:24:34', '2018-03-12 14:53:47', '2018-03-12 14:54:13', '2018-03-12 14:54:14', NULL, '2018-03-12', 5, NULL, 5, 5, NULL, 0, 4, 0, 0.00000000, 0, 0, 31.57000000, 0.00000000, 0.00000000, 157.86000000, 189.43000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 157.86000000, 31.57000000, 189.43000000, NULL),
(485, 'CF1803-0466', 1, NULL, '', 1948, NULL, '2018-04-06 07:59:45', '2018-03-13 10:15:08', '2018-03-13 10:16:47', '2018-03-13 10:16:47', NULL, '2018-03-13', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 66.96000000, 0.00000000, 0.00000000, 334.84000000, 401.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 334.84000000, 66.96000000, 401.80000000, NULL),
(486, 'CF1803-0467', 1, NULL, '', 2642, NULL, '2018-04-09 08:19:31', '2018-03-13 12:30:02', '2018-03-13 12:30:18', '2018-03-13 12:30:18', NULL, '2018-04-09', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 18.19000000, 0.00000000, 0.00000000, 90.96000000, 109.15000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 90.96000000, 18.19000000, 109.15000000, NULL),
(487, 'CF1803-0468', 1, NULL, '', 2609, NULL, '2018-03-15 14:30:43', '2018-03-14 09:08:11', '2018-03-14 09:11:24', '2018-03-14 09:11:24', NULL, '2018-03-14', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 66.24000000, 0.00000000, 0.00000000, 331.20000000, 397.44000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 331.20000000, 66.24000000, 397.44000000, NULL),
(488, 'CF1803-0469', 1, NULL, '', 1948, NULL, '2018-03-19 11:09:53', '2018-03-14 09:27:05', '2018-03-14 09:27:23', '2018-03-14 09:27:23', NULL, '2018-03-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 10.94000000, 0.00000000, 0.00000000, 54.72000000, 65.66000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 54.72000000, 10.94000000, 65.66000000, NULL),
(489, 'CF1803-0470', 1, NULL, '', 1948, NULL, '2018-03-19 11:09:14', '2018-03-14 09:47:01', '2018-03-14 09:47:51', '2018-03-14 09:47:51', NULL, '2018-03-14', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 90.57000000, 0.00000000, 0.00000000, 452.90000000, 543.47000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 452.90000000, 90.57000000, 543.47000000, NULL),
(490, 'CF1803-0471', 1, NULL, '', 12647, NULL, '2019-02-15 08:26:38', '2018-03-14 10:18:27', '2018-03-14 10:19:12', '2018-03-14 10:19:12', NULL, '2018-03-14', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 239.40000000, 0.00000000, 0.00000000, 1197.00000000, 1436.40000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1197.00000000, 239.40000000, 1436.40000000, NULL),
(491, 'CF1803-0473', 1, NULL, '', 2050, NULL, '2018-03-19 13:07:42', '2018-03-14 11:49:33', '2018-03-14 14:39:51', '2018-03-14 14:39:51', NULL, '2018-03-16', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 29.60000000, 0.00000000, 0.00000000, 148.00000000, 177.60000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 148.00000000, 29.60000000, 177.60000000, NULL),
(492, 'CF1803-0472', 1, NULL, '', 1948, NULL, '2019-02-15 08:26:24', '2018-03-14 11:50:35', '2018-03-14 11:51:08', '2018-03-14 11:51:08', NULL, '2018-03-14', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 14.43000000, 0.00000000, 0.00000000, 72.15000000, 86.58000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 72.15000000, 14.43000000, 86.58000000, NULL),
(493, 'CF1803-0474', 1, NULL, '', 2673, NULL, '2018-03-22 09:29:28', '2018-03-15 09:23:14', '2018-03-15 09:23:44', '2018-03-15 09:23:44', NULL, '2018-03-15', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 25.13000000, 0.00000000, 0.00000000, 125.60000000, 150.73000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 125.60000000, 25.13000000, 150.73000000, NULL),
(494, 'CF1803-0476', 1, NULL, '', 2740, NULL, '2018-04-11 12:31:45', '2018-03-16 11:10:20', '2018-03-16 11:10:46', '2018-03-16 11:10:46', NULL, '2018-03-16', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 139.60000000, 0.00000000, 0.00000000, 698.00000000, 837.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 698.00000000, 139.60000000, 837.60000000, NULL),
(495, 'CF1803-0477', 1, NULL, '', 2762, NULL, '2018-03-22 13:10:44', '2018-03-16 11:40:16', '2018-03-16 11:45:22', '2018-03-16 11:45:22', NULL, '2018-03-16', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 81.42000000, 0.00000000, 0.00000000, 407.10000000, 488.52000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 407.10000000, 81.42000000, 488.52000000, NULL),
(496, 'CF1803-0478', 1, NULL, '', 1948, NULL, '2018-03-23 13:50:25', '2018-03-16 14:44:13', '2018-03-16 14:44:35', '2018-03-16 14:44:35', NULL, '2018-03-16', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 11.80000000, 0.00000000, 0.00000000, 59.01000000, 70.81000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 59.01000000, 11.80000000, 70.81000000, NULL),
(497, 'CF1803-0479', 1, NULL, '', 1948, NULL, '2018-03-23 13:51:02', '2018-03-16 15:16:39', '2018-03-16 15:18:35', '2018-03-16 15:18:35', NULL, '2018-03-16', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 74.28000000, 0.00000000, 0.00000000, 371.36000000, 445.64000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 371.36000000, 74.28000000, 445.64000000, NULL),
(498, 'CF1803-0480', 1, NULL, '', 1948, NULL, '2018-04-06 08:00:33', '2018-03-19 09:29:26', '2018-03-19 09:30:14', '2018-03-19 09:30:14', NULL, '2018-03-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 10.94000000, 0.00000000, 0.00000000, 54.72000000, 65.66000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 54.72000000, 10.94000000, 65.66000000, NULL);
INSERT INTO `llx_commande_fournisseur` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_supplier`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_approve`, `date_approve2`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_approve`, `fk_user_approve2`, `source`, `fk_statut`, `billed`, `amount_ht`, `remise_percent`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `date_livraison`, `fk_account`, `fk_cond_reglement`, `fk_mode_reglement`, `fk_input_method`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`) VALUES
(499, 'CF1803-0481', 1, NULL, '', 1948, NULL, '2018-04-06 08:00:56', '2018-03-19 14:31:06', '2018-03-19 14:32:39', '2018-03-19 14:32:39', NULL, '2018-03-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 11.80000000, 0.00000000, 0.00000000, 59.01000000, 70.81000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 59.01000000, 11.80000000, 70.81000000, NULL),
(500, 'CF1803-0482', 1, NULL, '', 1948, NULL, '2018-03-23 13:52:24', '2018-03-19 14:38:40', '2018-03-19 14:39:23', '2018-03-19 14:39:23', NULL, '2018-03-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 14.24000000, 0.00000000, 0.00000000, 71.24000000, 85.48000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 71.24000000, 14.24000000, 85.48000000, NULL),
(501, 'CF1803-0483', 1, NULL, '', 12727, NULL, '2018-06-06 08:42:51', '2018-03-19 14:47:21', '2018-03-19 14:47:35', '2018-03-19 14:47:36', NULL, '2018-03-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 0.00000000, 0.00000000, 0.00000000, 68.20000000, 68.20000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 68.20000000, 0.00000000, 68.20000000, NULL),
(502, 'CF1803-0484', 1, NULL, '', 2723, NULL, '2018-03-26 08:50:39', '2018-03-20 10:31:16', '2018-03-20 10:33:53', '2018-03-20 10:33:53', NULL, '2018-03-20', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 35.60000000, 0.00000000, 0.00000000, 178.00000000, 213.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 178.00000000, 35.60000000, 213.60000000, NULL),
(503, 'CF1803-0485', 1, NULL, '', 1948, NULL, '2020-07-21 13:57:23', '2018-03-21 14:02:30', '2018-03-21 14:03:18', '2018-03-21 14:03:18', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 0, 0.00000000, 0, 0, 53.73000000, 0.00000000, 0.00000000, 268.66000000, 322.39000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 268.66000000, 53.73000000, 322.39000000, NULL),
(504, 'CF1803-0486', 1, NULL, 'sarrazin', 1948, NULL, '2018-04-06 14:05:50', '2018-03-23 09:13:24', '2018-03-23 09:13:47', '2018-03-23 09:13:47', NULL, '2018-03-23', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 27.37000000, 0.00000000, 0.00000000, 136.84000000, 164.21000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 136.84000000, 27.37000000, 164.21000000, NULL),
(505, 'CF1803-0487', 1, NULL, '', 2743, NULL, '2019-02-20 14:56:36', '2018-03-23 09:48:56', '2018-03-23 09:51:39', '2018-03-23 09:51:39', NULL, '2018-03-23', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 22.69000000, 0.00000000, 0.00000000, 113.46000000, 136.15000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 113.46000000, 22.69000000, 136.15000000, NULL),
(506, 'CF1803-0489', 1, NULL, '', 2050, NULL, '2020-07-20 12:35:00', '2018-03-26 09:17:07', '2018-03-26 09:29:49', '2018-03-26 09:29:49', NULL, NULL, 5, 5, 5, 5, NULL, 0, 6, 0, 0.00000000, 0, 0, 712.41000000, 0.00000000, 0.00000000, 3562.03000000, 4274.44000000, '', 'Paiement en 3 fois -', 'muscadet', NULL, NULL, 9, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3562.03000000, 712.41000000, 4274.44000000, NULL),
(507, 'CF1803-0490', 1, NULL, '', 2050, NULL, '2020-07-21 13:57:36', '2018-03-26 09:30:46', '2018-03-26 09:31:21', '2018-03-26 09:31:21', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 0, 0.00000000, 0, 0, 104.40000000, 0.00000000, 0.00000000, 522.00000000, 626.40000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 522.00000000, 104.40000000, 626.40000000, NULL),
(508, 'CF1803-0491', 1, NULL, '', 2761, NULL, '2018-03-30 13:57:13', '2018-03-26 09:38:50', '2018-03-26 09:39:36', '2018-03-26 09:39:36', NULL, '2018-03-26', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 164.70000000, 0.00000000, 0.00000000, 823.50000000, 988.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 823.50000000, 164.70000000, 988.20000000, NULL),
(509, 'CF1803-0492', 1, NULL, '', 2750, NULL, '2020-07-21 13:58:39', '2018-03-26 09:38:50', '2018-03-26 09:40:58', '2018-03-26 09:40:58', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 0, 0.00000000, 0, 0, 73.32000000, 0.00000000, 0.00000000, 366.60000000, 439.92000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 366.60000000, 73.32000000, 439.92000000, NULL),
(510, 'CF1803-0493', 1, NULL, '', 2764, NULL, '2019-02-15 08:26:18', '2018-03-26 10:09:15', '2018-03-26 10:09:31', '2018-03-26 10:09:31', NULL, '2018-03-26', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 5.60000000, 0.00000000, 0.00000000, 28.02000000, 33.62000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 28.02000000, 5.60000000, 33.62000000, NULL),
(511, 'CF1803-0494', 1, NULL, '', 2050, NULL, '2019-02-15 08:26:11', '2018-03-30 12:02:42', '2018-03-30 12:07:04', '2018-03-30 12:07:04', NULL, '2018-03-30', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 792.64000000, 0.00000000, 0.00000000, 3963.18000000, 4755.82000000, '', 'paiement en 3 fois  - accord xavier duboc<br />\r\nprix promo en cours', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3963.18000000, 792.64000000, 4755.82000000, NULL),
(512, 'CF1804-0495', 1, NULL, '', 1948, NULL, '2018-04-06 08:01:18', '2018-04-03 17:07:35', '2018-04-03 17:08:05', '2018-04-03 17:08:06', NULL, '2018-04-03', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 10.26000000, 0.00000000, 0.00000000, 51.30000000, 61.56000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 51.30000000, 10.26000000, 61.56000000, NULL),
(513, 'CF1804-0496', 1, NULL, '', 2609, NULL, '2018-04-16 12:06:17', '2018-04-05 09:07:38', '2018-04-05 09:09:01', '2018-04-05 09:09:01', NULL, '2018-04-05', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 185.84000000, 0.00000000, 0.00000000, 929.20000000, 1115.04000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 929.20000000, 185.84000000, 1115.04000000, NULL),
(514, 'CF1804-0497', 1, NULL, '', 2740, NULL, '2018-04-06 12:06:52', '2018-04-05 09:28:06', '2018-04-05 09:28:53', '2018-04-05 09:28:53', NULL, '2018-04-06', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 6.48000000, 0.00000000, 0.00000000, 32.38000000, 38.86000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 32.38000000, 6.48000000, 38.86000000, NULL),
(515, 'CF1804-0499', 1, NULL, '', 1948, NULL, '2018-04-16 12:04:04', '2018-04-05 15:51:03', '2018-04-05 16:00:26', '2018-04-05 16:00:26', NULL, '2018-04-05', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 21.89000000, 0.00000000, 0.00000000, 109.45000000, 131.34000000, '', '<span style=\"color:#c0392b\"><strong><u>depart ce jour SVP</u></strong></span>', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 109.45000000, 21.89000000, 131.34000000, NULL),
(516, 'CF1804-0500', 1, NULL, '', 2723, NULL, '2018-04-13 07:30:33', '2018-04-06 11:59:30', '2018-04-06 12:01:52', '2018-04-06 12:01:52', NULL, '2018-04-13', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 36.23000000, 0.00000000, 0.00000000, 181.16000000, 217.39000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 181.16000000, 36.23000000, 217.39000000, NULL),
(517, 'CF1804-0501', 1, NULL, '', 2729, NULL, '2018-04-13 10:13:33', '2018-04-10 09:08:31', '2018-04-10 09:09:19', '2018-04-10 09:09:19', NULL, '2018-04-10', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 0.00000000, 0.00000000, 0.00000000, 89.90000000, 89.90000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 89.90000000, 0.00000000, 89.90000000, NULL),
(518, 'CF1804-0502', 1, NULL, '', 1948, NULL, '2018-04-16 12:04:32', '2018-04-10 12:06:36', '2018-04-10 12:07:07', '2018-04-10 12:07:07', NULL, '2018-04-16', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 28.91000000, 0.00000000, 0.00000000, 144.51000000, 173.42000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 144.51000000, 28.91000000, 173.42000000, NULL),
(519, 'CF1804-0503', 1, NULL, '', 2740, NULL, '2018-04-11 12:31:34', '2018-04-11 09:24:58', '2018-04-11 09:25:59', '2018-04-11 09:25:59', NULL, '2018-04-11', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 76.00000000, 0.00000000, 0.00000000, 379.99000000, 455.99000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 379.99000000, 76.00000000, 455.99000000, NULL),
(521, 'CF1804-0508', 1, NULL, '', 1948, NULL, '2018-04-20 09:43:36', '2018-04-11 15:08:34', '2018-04-13 14:07:27', '2018-04-13 14:07:27', NULL, '2018-04-13', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 8.10000000, 0.00000000, 0.00000000, 40.52000000, 48.62000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 40.52000000, 8.10000000, 48.62000000, NULL),
(522, 'CF1804-0504', 1, NULL, '', 2729, NULL, '2020-07-21 13:59:01', '2018-04-11 15:08:34', '2018-04-11 15:12:40', '2018-04-11 15:12:40', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 0, 0.00000000, 0, 0, 28.72000000, 0.00000000, 0.00000000, 409.90000000, 438.62000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 409.90000000, 28.72000000, 438.62000000, NULL),
(523, 'CF1804-0505', 1, NULL, '', 2740, NULL, '2018-06-15 13:08:43', '2018-04-11 16:49:59', '2018-04-11 16:50:27', '2018-04-11 16:50:27', NULL, '2018-04-11', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 31.20000000, 0.00000000, 0.00000000, 156.00000000, 187.20000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 156.00000000, 31.20000000, 187.20000000, NULL),
(524, 'CF1804-0506', 1, NULL, '20205350', 2635, NULL, '2018-04-24 12:42:25', '2018-04-12 14:38:58', '2018-04-12 14:39:42', '2018-04-12 14:39:42', NULL, '2018-04-24', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 58.66000000, 0.00000000, 0.00000000, 293.30000000, 351.96000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 293.30000000, 58.66000000, 351.96000000, NULL),
(525, 'CF1804-0507', 1, NULL, '', 2050, NULL, '2018-04-16 12:05:24', '2018-04-13 09:36:06', '2018-04-13 09:44:11', '2018-04-13 09:44:11', NULL, '2018-04-13', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 31.97000000, 0.00000000, 0.00000000, 159.86000000, 191.83000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 159.86000000, 31.97000000, 191.83000000, NULL),
(526, 'CF1805-0530', 1, NULL, '', 2050, NULL, '2019-02-15 08:28:30', '2018-04-13 09:36:20', '2018-05-04 16:05:02', '2018-05-04 16:05:02', NULL, '2018-05-04', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 3950.87000000, 0.00000000, 0.00000000, 19754.34000000, 23705.21000000, '', 'prix promo', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 19754.34000000, 3950.87000000, 23705.21000000, NULL),
(527, 'CF1804-0509', 1, NULL, '', 1948, NULL, '2018-04-20 09:42:23', '2018-04-13 14:09:41', '2018-04-13 14:10:14', '2018-04-13 14:10:14', NULL, '2018-04-13', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 17.50000000, 0.00000000, 0.00000000, 87.50000000, 105.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 87.50000000, 17.50000000, 105.00000000, NULL),
(529, 'CF1804-0510', 1, NULL, '', 1948, NULL, '2018-04-20 09:44:20', '2018-04-13 15:21:51', '2018-04-13 15:22:34', '2018-04-13 15:22:34', NULL, '2018-04-20', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 32.79000000, 0.00000000, 0.00000000, 163.92000000, 196.71000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 163.92000000, 32.79000000, 196.71000000, NULL),
(530, 'CF1805-0540', 1, NULL, '', 2764, NULL, '2018-06-19 07:01:14', '2018-04-16 11:23:35', '2018-05-16 11:40:25', '2018-05-16 11:40:25', NULL, '2018-05-16', 5, NULL, 5, 5, NULL, 0, 4, 0, 0.00000000, 0, 0, 22.00000000, 0.00000000, 0.00000000, 109.97000000, 131.97000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 109.97000000, 22.00000000, 131.97000000, NULL),
(531, 'CF1804-0511', 1, NULL, '', 1948, NULL, '2018-05-02 07:18:30', '2018-04-16 11:24:46', '2018-04-16 14:03:21', '2018-04-16 14:03:21', NULL, '2018-04-16', 5, NULL, 5, 5, NULL, 0, 4, 0, 0.00000000, 0, 0, 327.35000000, 0.00000000, 0.00000000, 1636.74000000, 1964.09000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1636.74000000, 327.35000000, 1964.09000000, NULL),
(532, 'CF1804-0518', 1, NULL, '', 2729, NULL, '2019-02-15 08:27:24', '2018-04-16 11:26:57', '2018-04-23 16:21:16', '2018-04-23 16:21:16', NULL, '2018-04-23', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 1012.81000000, 0.00000000, 0.00000000, 5064.06000000, 6076.87000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5064.06000000, 1012.81000000, 6076.87000000, NULL),
(535, 'CF1805-0541', 1, NULL, '', 2642, NULL, '2018-05-28 09:42:16', '2018-04-16 12:03:30', '2018-05-16 11:41:56', '2018-05-16 11:41:56', NULL, '2018-05-16', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 29.07000000, 0.00000000, 0.00000000, 145.37000000, 174.44000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 145.37000000, 29.07000000, 174.44000000, NULL),
(537, 'CF1804-0512', 1, NULL, '', 2708, NULL, '2018-06-01 13:37:41', '2018-04-16 15:09:16', '2018-04-16 15:10:20', '2018-04-16 15:10:20', NULL, '2018-04-16', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 243.00000000, 0.00000000, 0.00000000, 1215.00000000, 1458.00000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1215.00000000, 243.00000000, 1458.00000000, NULL),
(538, 'CF1804-0513', 1, NULL, '', 2673, NULL, '2018-04-23 11:45:38', '2018-04-17 14:43:25', '2018-04-17 14:43:54', '2018-04-17 14:43:54', NULL, '2018-04-17', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 9.81000000, 0.00000000, 0.00000000, 49.06000000, 58.87000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 49.06000000, 9.81000000, 58.87000000, NULL),
(539, 'CF1804-0514', 1, NULL, '', 2050, NULL, '2019-02-15 08:27:30', '2018-04-18 10:11:49', '2018-04-18 10:12:36', '2018-04-18 10:12:37', NULL, '2018-04-18', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 152.04000000, 0.00000000, 0.00000000, 760.20000000, 912.24000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 760.20000000, 152.04000000, 912.24000000, NULL),
(540, 'CF1804-0522', 1, NULL, '', 2114, NULL, '2018-04-26 12:47:19', '2018-04-18 15:08:56', '2018-04-26 14:47:18', '2018-04-26 14:47:19', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, 0.00000000, 0, 0, 93.52000000, 0.00000000, 0.00000000, 467.60000000, 561.12000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 467.60000000, 93.52000000, 561.12000000, NULL),
(541, 'CF1804-0515', 1, NULL, '', 1948, NULL, '2018-04-20 09:42:06', '2018-04-19 09:22:03', '2018-04-19 09:22:44', '2018-04-19 09:22:44', NULL, '2018-04-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 36.63000000, 0.00000000, 0.00000000, 183.15000000, 219.78000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 183.15000000, 36.63000000, 219.78000000, NULL),
(542, 'CF1804-0516', 1, NULL, '', 2764, NULL, '2018-05-15 07:06:22', '2018-04-19 09:47:08', '2018-04-19 09:47:39', '2018-04-19 09:47:39', NULL, '2018-04-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 10.30000000, 0.00000000, 0.00000000, 51.48000000, 61.78000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 51.48000000, 10.30000000, 61.78000000, NULL),
(543, 'CF1804-0517', 1, NULL, '', 12754, NULL, '2019-02-15 08:26:05', '2018-04-23 09:39:46', '2018-04-23 09:40:46', '2018-04-23 09:40:46', NULL, '2018-04-23', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 76.06000000, 0.00000000, 0.00000000, 380.30000000, 456.36000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 380.30000000, 76.06000000, 456.36000000, NULL),
(544, 'CF1804-0520', 1, NULL, '', 1948, NULL, '2018-05-16 14:07:02', '2018-04-23 16:20:42', '2018-04-25 15:11:18', '2018-04-25 15:11:18', NULL, '2018-04-25', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 73.82000000, 0.00000000, 0.00000000, 369.10000000, 442.92000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 369.10000000, 73.82000000, 442.92000000, NULL),
(545, 'CF1804-0519', 1, NULL, '', 2627, NULL, '2019-02-15 08:27:20', '2018-04-23 16:20:42', '2018-04-23 16:23:02', '2018-04-23 16:23:02', NULL, '2018-04-23', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 60.83000000, 0.00000000, 0.00000000, 304.16000000, 364.99000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 304.16000000, 60.83000000, 364.99000000, NULL),
(547, 'CF1804-0521', 1, NULL, '', 2685, NULL, '2018-04-26 08:52:10', '2018-04-26 10:50:09', '2018-04-26 10:52:10', '2018-04-26 10:52:10', NULL, NULL, 5, 5, 5, 5, NULL, 0, 2, 0, 0.00000000, 0, 0, 123.12000000, 0.00000000, 0.00000000, 615.60000000, 738.72000000, '', 'suivant devis N°298744', 'muscadet', NULL, NULL, 9, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 615.60000000, 123.12000000, 738.72000000, NULL),
(548, 'CF1804-0523', 1, NULL, '', 2050, NULL, '2019-02-15 08:27:16', '2018-04-26 15:17:21', '2018-04-26 15:18:49', '2018-04-26 15:18:49', NULL, '2018-04-26', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 2283.98000000, 0.00000000, 0.00000000, 11419.92000000, 13703.90000000, '', 'Promotions en cours - avec ICONN inclus Offert <br />\r\n<br />\r\nAdresse de Livraison : <br />\r\n<br />\r\nCOOPERATIVE DAUPHINOISE<br />\r\nChemin du Pouloux<br />\r\n38270 BEAUREPAIRE<br />\r\nGILLES GIRAUD<br />\r\n0474847618', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 11419.92000000, 2283.98000000, 13703.90000000, NULL),
(549, 'CF1804-0524', 1, NULL, '', 1948, NULL, '2018-05-14 09:39:24', '2018-04-26 16:53:38', '2018-04-26 16:54:15', '2018-04-26 16:54:15', NULL, '2018-05-14', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 27.11000000, 0.00000000, 0.00000000, 135.57000000, 162.68000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 135.57000000, 27.11000000, 162.68000000, NULL),
(550, 'CF1804-0525', 1, NULL, '', 1948, NULL, '2018-05-16 14:11:56', '2018-04-27 08:47:18', '2018-04-27 08:47:33', '2018-04-27 08:47:33', NULL, '2018-05-03', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 54.74000000, 0.00000000, 0.00000000, 273.68000000, 328.42000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 273.68000000, 54.74000000, 328.42000000, NULL),
(551, 'CF1805-0526', 1, NULL, '', 2729, NULL, '2019-02-15 08:28:11', '2018-05-02 12:05:19', '2018-05-02 12:07:30', '2018-05-02 12:07:30', NULL, '2018-05-02', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 232.37000000, 0.00000000, 0.00000000, 3876.31000000, 4108.68000000, '', 'prix tarif avril 2018 accord Mr Bergeret', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3876.31000000, 232.37000000, 4108.68000000, NULL),
(552, 'CF1805-0527', 1, NULL, '', 2729, NULL, '2018-06-18 07:17:19', '2018-05-03 11:32:17', '2018-05-03 11:37:12', '2018-05-03 11:37:12', NULL, '2018-05-15', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 22.54000000, 0.00000000, 0.00000000, 112.70000000, 135.24000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 112.70000000, 22.54000000, 135.24000000, NULL),
(554, 'CF1805-0538', 1, NULL, '', 1948, NULL, '2018-05-31 09:43:07', '2018-05-03 17:28:33', '2018-05-15 16:35:53', '2018-05-15 16:35:54', NULL, '2018-05-31', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 92.40000000, 0.00000000, 0.00000000, 461.99000000, 554.39000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 461.99000000, 92.40000000, 554.39000000, NULL),
(555, 'CF1805-0528', 1, NULL, '', 2708, NULL, '2020-08-12 13:18:43', '2018-05-03 17:28:33', '2018-06-01 16:08:06', '2018-06-01 16:08:06', NULL, '2018-08-13', 5, 5, 5, 5, NULL, 0, 4, 0, 0.00000000, 0, 0, 13250.56000000, 0.00000000, 0.00000000, 66252.80000000, 79503.36000000, '', '<span style=\"color:#e74c3c\"><u><strong>ANNULE ET REMPLACE nos commandes CF1805-0528 & CF1805-0531 du 3 mai 2018 selon vos instructions ( cf mail du 31/05/2018 ) <br />\r\nCommande passée à votre nouvelle entité.<br />\r\n<br />\r\nClauses faisant partie de cette commande: </strong></u></span><br />\r\nAide et appui technique, comme convenu, à l\'installation<br />\r\nRéglages des materiels fournis par Novair avec nos équipes<br />\r\nPlannings à mettre en place conjointement<br />\r\nAide et formation par vos soins à SFACS à la 1ere maintenance comme convenu .<br />\r\n<br />\r\n<strong><span style=\"color:#c0392b\">Livraison  mi Juin 2018 - toujours d\'actualité dixit Mr Deniel Franck</span></strong>', 'muscadet', '2018-06-18 00:00:00', NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 66252.80000000, 13250.56000000, 79503.36000000, NULL),
(557, 'CF1805-0529', 1, NULL, '', 12721, NULL, '2019-02-15 08:28:20', '2018-05-03 17:28:33', '2018-05-03 18:06:21', '2018-05-03 18:06:21', NULL, '2018-05-03', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 14090.16000000, 0.00000000, 0.00000000, 70450.80000000, 84540.96000000, '', '<span style=\"color:#e74c3c\"><u><strong>Clauses faisant partie de cette commande : </strong></u></span><br />\r\nAide et appui technique, comme convenu, de l\'installation ( installation cadres ) <br />\r\nRéglage du booster N2 et O² avec nos equipes<br />\r\nPlannings à mettre en place conjoitement<br />\r\nAide et formation par vos soins à SFACS à la 1ere maintenance<br />\r\n<br />\r\nLivraison imperative premiére quizaine de Juillet 2018.', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 70450.80000000, 14090.16000000, 84540.96000000, NULL),
(563, 'CF1805-0531', 1, NULL, '', 2708, NULL, '2018-06-01 13:37:55', '2018-05-14 09:49:36', '2018-05-14 09:51:02', '2018-05-14 09:51:02', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 0, 0.00000000, 0, 0, 428.85000000, 0.00000000, 0.00000000, 2144.25000000, 2573.10000000, '', '', 'muscadet', NULL, NULL, 13, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2144.25000000, 428.85000000, 2573.10000000, NULL),
(564, 'CF1805-0532', 1, NULL, '', 1948, NULL, '2018-06-07 11:25:54', '2018-05-14 15:51:41', '2018-05-14 16:03:05', '2018-05-14 16:03:05', NULL, '2018-05-14', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 226.24000000, 0.00000000, 0.00000000, 1131.23000000, 1357.47000000, '', '', 'muscadet', NULL, NULL, 13, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1131.23000000, 226.24000000, 1357.47000000, NULL),
(565, 'CF1805-0536', 1, NULL, '', 2627, NULL, '2018-05-28 12:37:00', '2018-05-14 15:54:58', '2018-05-15 15:22:34', '2018-05-15 15:22:34', NULL, '2018-05-15', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 62.50000000, 0.00000000, 0.00000000, 312.48000000, 374.98000000, '', '', 'muscadet', NULL, NULL, 13, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 312.48000000, 62.50000000, 374.98000000, NULL),
(566, 'CF1805-0533', 1, NULL, '', 2706, NULL, '2019-02-15 08:28:35', '2018-05-15 11:34:26', '2018-05-15 15:56:55', '2018-05-15 15:56:55', NULL, '2018-05-15', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 493.40000000, 0.00000000, 0.00000000, 2467.00000000, 2960.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2467.00000000, 493.40000000, 2960.40000000, NULL),
(567, 'CF1805-0534', 1, NULL, '', 2050, NULL, '2018-05-31 08:59:23', '2018-05-15 12:20:32', '2018-05-15 12:20:49', '2018-05-15 12:20:49', NULL, '2018-05-15', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 60.40000000, 0.00000000, 0.00000000, 302.00000000, 362.40000000, '', '', 'muscadet', NULL, NULL, 13, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 302.00000000, 60.40000000, 362.40000000, NULL),
(568, 'CF1805-0535', 1, NULL, '', 1948, NULL, '2018-05-31 09:43:52', '2018-05-15 14:49:06', '2018-05-15 14:49:25', '2018-05-15 14:49:26', NULL, '2018-05-15', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 38.80000000, 0.00000000, 0.00000000, 194.00000000, 232.80000000, '', '', 'muscadet', NULL, NULL, 13, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 194.00000000, 38.80000000, 232.80000000, NULL),
(569, 'CF1805-0537', 1, NULL, '', 2050, NULL, '2018-05-31 09:08:24', '2018-05-15 15:19:56', '2018-05-15 15:25:25', '2018-05-15 15:25:25', NULL, '2018-05-15', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 35.40000000, 0.00000000, 0.00000000, 177.00000000, 212.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 177.00000000, 35.40000000, 212.40000000, NULL),
(571, 'CF1805-0539', 1, NULL, '', 2050, NULL, '2018-05-17 14:19:37', '2018-05-15 16:32:50', '2018-05-15 16:36:44', '2018-05-15 16:36:44', NULL, '2018-05-15', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 126.83000000, 0.00000000, 0.00000000, 634.12000000, 760.95000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 634.12000000, 126.83000000, 760.95000000, NULL),
(572, 'CF1805-0542', 1, NULL, '', 10086, NULL, '2019-02-15 08:28:47', '2018-05-17 15:59:33', '2018-05-17 16:01:00', '2018-05-17 16:01:00', NULL, '2018-05-17', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 104.49000000, 0.00000000, 0.00000000, 522.45000000, 626.94000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 522.45000000, 104.49000000, 626.94000000, NULL),
(573, 'CF1805-0543', 1, NULL, '', 2609, NULL, '2018-05-24 12:14:49', '2018-05-18 10:29:06', '2018-05-18 10:30:24', '2018-05-18 10:30:24', NULL, '2018-05-18', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 206.32000000, 0.00000000, 0.00000000, 1031.60000000, 1237.92000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1031.60000000, 206.32000000, 1237.92000000, NULL),
(574, 'CF1805-0544', 1, NULL, 'sec_42190011E', 2740, NULL, '2019-02-15 08:29:17', '2018-05-25 09:58:17', '2018-05-25 10:01:16', '2018-05-25 10:01:16', NULL, '2018-05-25', 4, NULL, 4, 4, NULL, 0, 5, 0, 0.00000000, 0, 0, 139.60000000, 0.00000000, 0.00000000, 698.00000000, 837.60000000, '', '', 'muscadet', NULL, NULL, 13, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 698.00000000, 139.60000000, 837.60000000, NULL),
(575, 'CF1805-0545', 1, NULL, 'COOPENOIX', 1948, NULL, '2018-06-06 14:08:08', '2018-05-25 14:39:08', '2018-05-25 15:09:53', '2018-05-25 15:09:53', NULL, '2018-05-28', 4, 4, 4, 4, NULL, 0, 5, 0, 0.00000000, 0, 0, 119.38000000, 0.00000000, 0.00000000, 596.90000000, 716.28000000, '', 'Merci de nous envoyé immediatement le dispo', 'muscadet', NULL, NULL, 13, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 596.90000000, 119.38000000, 716.28000000, NULL),
(577, 'CF1805-0546', 1, NULL, '', 1948, NULL, '2018-06-06 14:09:10', '2018-05-29 11:00:18', '2018-05-29 11:01:32', '2018-05-29 11:01:32', NULL, '2018-06-06', 4, 4, 4, 4, NULL, 0, 5, 0, 0.00000000, 0, 0, 5.83000000, 0.00000000, 0.00000000, 29.15000000, 34.98000000, '', 'Merci d\'ajouter à un prochain envoi la ref ci-dessous', 'muscadet', '2018-05-29 00:00:00', NULL, 13, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 29.15000000, 5.83000000, 34.98000000, NULL),
(578, 'CF1807-0633', 1, NULL, '', 2114, NULL, '2018-07-16 13:35:39', '2018-05-30 15:24:17', '2018-07-16 15:35:39', '2018-07-16 15:35:39', NULL, NULL, 4, NULL, 5, 5, NULL, 0, 2, 0, 0.00000000, 0, 0, 93.97000000, 0.00000000, 0.00000000, 469.84000000, 563.81000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 469.84000000, 93.97000000, 563.81000000, NULL),
(579, 'CF1805-0547', 1, NULL, '', 2729, NULL, '2018-06-07 12:46:55', '2018-05-30 15:24:17', '2018-05-30 15:27:40', '2018-05-30 15:27:40', NULL, '2018-06-07', 4, 4, 4, 4, NULL, 0, 5, 0, 0.00000000, 0, 0, 67.20000000, 0.00000000, 0.00000000, 361.00000000, 428.20000000, '', 'Caisson d\'isolation phonique renforcé pour RS-PRO 7.5Kw-10b', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 361.00000000, 67.20000000, 428.20000000, NULL),
(580, 'CF1805-0548', 1, NULL, '', 2740, NULL, '2019-02-15 08:29:21', '2018-05-31 09:22:26', '2018-05-31 09:23:34', '2018-05-31 09:23:34', NULL, '2018-05-31', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 76.00000000, 0.00000000, 0.00000000, 379.99000000, 455.99000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 379.99000000, 76.00000000, 455.99000000, NULL),
(581, 'CF1805-0549', 1, NULL, '', 2740, NULL, '2019-02-15 08:29:25', '2018-05-31 09:26:42', '2018-05-31 09:27:52', '2018-05-31 09:27:52', NULL, '2018-05-31', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 76.00000000, 0.00000000, 0.00000000, 379.99000000, 455.99000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 379.99000000, 76.00000000, 455.99000000, NULL),
(582, 'CF1805-0550', 1, NULL, '', 2740, NULL, '2019-02-15 08:29:32', '2018-05-31 09:34:17', '2018-05-31 09:35:23', '2018-05-31 09:35:24', NULL, '2018-05-31', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 75.98000000, 0.00000000, 0.00000000, 379.90000000, 455.88000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 379.90000000, 75.98000000, 455.88000000, NULL),
(583, 'CF1806-0555', 1, NULL, '', 2050, NULL, '2018-06-07 12:48:19', '2018-05-31 11:11:29', '2018-06-04 10:56:21', '2018-06-04 10:56:22', NULL, '2018-06-04', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 128.65000000, 0.00000000, 0.00000000, 643.25000000, 771.90000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 643.25000000, 128.65000000, 771.90000000, NULL),
(584, 'CF1805-0552', 1, NULL, '', 2764, NULL, '2018-06-06 14:33:51', '2018-05-31 14:35:46', '2018-05-31 14:36:50', '2018-05-31 14:36:50', NULL, '2018-05-31', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 9.74000000, 0.00000000, 0.00000000, 48.72000000, 58.46000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 48.72000000, 9.74000000, 58.46000000, NULL),
(585, 'CF1805-0551', 1, NULL, '', 1948, NULL, '2018-06-06 14:09:38', '2018-05-31 14:35:46', '2018-05-31 14:36:07', '2018-05-31 14:36:07', NULL, '2018-05-31', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 16.74000000, 0.00000000, 0.00000000, 83.68000000, 100.42000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 83.68000000, 16.74000000, 100.42000000, NULL),
(586, 'CF1805-0553', 1, NULL, '', 2673, NULL, '2018-06-12 12:26:32', '2018-05-31 16:30:04', '2018-05-31 16:32:18', '2018-05-31 16:32:18', NULL, '2018-05-31', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 23.16000000, 0.00000000, 0.00000000, 115.80000000, 138.96000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 115.80000000, 23.16000000, 138.96000000, NULL),
(587, 'CF1806-0554', 1, NULL, '', 2673, NULL, '2018-06-12 12:26:11', '2018-06-01 09:36:14', '2018-06-01 09:48:42', '2018-06-01 09:48:42', NULL, '2018-06-01', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 66.72000000, 0.00000000, 0.00000000, 333.60000000, 400.32000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 333.60000000, 66.72000000, 400.32000000, NULL),
(588, 'CF1806-0556', 1, NULL, '', 2050, NULL, '2018-06-07 12:53:31', '2018-06-04 11:22:08', '2018-06-04 11:22:24', '2018-06-04 11:22:25', NULL, '2018-06-04', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 100.00000000, 0.00000000, 0.00000000, 500.00000000, 600.00000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 500.00000000, 100.00000000, 600.00000000, NULL),
(589, 'CF1806-0557', 1, NULL, '', 2114, NULL, '2018-06-04 10:00:43', '2018-06-04 11:59:44', '2018-06-04 12:00:43', '2018-06-04 12:00:43', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, 0.00000000, 0, 0, 46.04000000, 0.00000000, 0.00000000, 230.19000000, 276.23000000, '', '', 'muscadet', NULL, NULL, 15, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL),
(590, 'CF1806-0558', 1, NULL, '', 1948, NULL, '2018-06-06 14:10:32', '2018-06-04 12:03:27', '2018-06-04 12:03:41', '2018-06-04 12:03:41', NULL, '2018-06-04', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 52.00000000, 0.00000000, 0.00000000, 260.00000000, 312.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 260.00000000, 52.00000000, 312.00000000, NULL),
(591, 'CF1806-0572', 1, NULL, '', 2627, NULL, '2018-06-21 09:57:23', '2018-06-04 12:03:27', '2018-06-07 15:13:34', '2018-06-07 15:13:35', NULL, '2018-06-07', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 128.62000000, 0.00000000, 0.00000000, 643.08000000, 771.70000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 643.08000000, 128.62000000, 771.70000000, NULL),
(592, 'CF1806-0559', 1, NULL, '', 2114, NULL, '2019-02-15 08:29:37', '2018-06-04 14:06:47', '2018-06-04 14:07:34', '2018-06-04 14:07:34', NULL, '2018-06-04', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 43.04000000, 0.00000000, 0.00000000, 215.22000000, 258.26000000, '', '', 'muscadet', NULL, NULL, 2, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 215.22000000, 43.04000000, 258.26000000, NULL),
(593, 'CF1806-0560', 1, NULL, '', 2673, NULL, '2018-06-12 12:27:28', '2018-06-04 16:53:14', '2018-06-04 16:54:33', '2018-06-04 16:54:33', NULL, '2018-06-04', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 130.93000000, 0.00000000, 0.00000000, 654.66000000, 785.59000000, '', '', 'muscadet', NULL, NULL, 2, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 654.66000000, 130.93000000, 785.59000000, NULL),
(594, 'CF1806-0561', 1, NULL, '', 1948, NULL, '2018-06-06 14:11:42', '2018-06-04 16:55:57', '2018-06-04 16:56:40', '2018-06-04 16:56:40', NULL, '2018-06-04', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 58.20000000, 0.00000000, 0.00000000, 291.00000000, 349.20000000, '', '', 'muscadet', NULL, NULL, 2, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 291.00000000, 58.20000000, 349.20000000, NULL),
(595, 'CF1806-0562', 1, NULL, '', 2764, NULL, '2018-06-06 14:33:06', '2018-06-05 09:22:52', '2018-06-05 09:23:19', '2018-06-05 09:23:19', NULL, '2018-06-05', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 25.81000000, 0.00000000, 0.00000000, 129.04000000, 154.85000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 129.04000000, 25.81000000, 154.85000000, NULL),
(596, 'CF1806-0563', 1, NULL, '', 2729, NULL, '2018-06-13 06:59:11', '2018-06-05 09:22:53', '2018-06-05 09:28:14', '2018-06-05 09:28:15', NULL, '2018-06-05', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 0.00000000, 0.00000000, 0.00000000, 576.80000000, 576.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 576.80000000, 0.00000000, 576.80000000, NULL),
(597, 'CF1806-0564', 1, NULL, '', 2729, NULL, '2019-02-15 08:29:41', '2018-06-05 09:54:15', '2018-06-05 10:05:42', '2018-06-05 10:05:42', NULL, '2018-06-05', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 0.00000000, 0.00000000, 0.00000000, 6529.44000000, 6529.44000000, '', 'compresseur en d&eacute;p&ocirc;t vente, vu avec St&eacute;phane BERGERET', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 6529.44000000, 0.00000000, 6529.44000000, NULL),
(598, 'CF1806-0565', 1, NULL, '', 1948, NULL, '2018-06-06 14:11:19', '2018-06-05 12:13:11', '2018-06-05 12:14:12', '2018-06-05 12:14:12', NULL, '2018-06-05', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 23.24000000, 0.00000000, 0.00000000, 116.19000000, 139.43000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 116.19000000, 23.24000000, 139.43000000, NULL),
(599, 'CF1806-0566', 1, NULL, '', 10086, NULL, '2018-06-06 07:52:38', '2018-06-06 09:50:26', '2018-06-06 09:52:37', '2018-06-06 09:52:38', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, 0.00000000, 0, 0, 6.20000000, 0.00000000, 0.00000000, 31.00000000, 37.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 31.00000000, 6.20000000, 37.20000000, NULL),
(600, 'CF1806-0567', 1, NULL, '', 2764, NULL, '2018-06-19 07:02:25', '2018-06-06 10:06:32', '2018-06-06 10:07:00', '2018-06-06 10:07:01', NULL, '2018-06-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 2.78000000, 0.00000000, 0.00000000, 13.88000000, 16.66000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 13.88000000, 2.78000000, 16.66000000, NULL),
(601, 'CF1806-0568', 1, NULL, '', 12727, NULL, '2018-07-10 08:22:33', '2018-06-06 10:43:04', '2018-06-06 10:43:09', '2018-06-06 10:43:09', NULL, '2018-06-06', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 0.00000000, 0.00000000, 0.00000000, 68.20000000, 68.20000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 68.20000000, 0.00000000, 68.20000000, NULL),
(602, 'CF1806-0569', 1, NULL, '', 2609, NULL, '2019-02-15 08:31:31', '2018-06-07 11:03:58', '2018-06-07 11:05:26', '2018-06-07 11:05:26', NULL, '2018-06-07', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 174.52000000, 0.00000000, 0.00000000, 872.60000000, 1047.12000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 872.60000000, 174.52000000, 1047.12000000, NULL),
(603, 'CF1806-0570', 1, NULL, '', 2050, NULL, '2018-06-14 12:17:39', '2018-06-07 11:34:17', '2018-06-07 11:35:39', '2018-06-07 11:35:39', NULL, '2018-06-07', 5, NULL, 5, 5, NULL, 0, 4, 0, 0.00000000, 0, 0, 38.40000000, 0.00000000, 0.00000000, 192.00000000, 230.40000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 192.00000000, 38.40000000, 230.40000000, NULL),
(604, 'CF1806-0571', 1, NULL, '', 2729, NULL, '2018-06-13 06:58:41', '2018-06-07 14:19:16', '2018-06-07 14:19:33', '2018-06-07 14:19:33', NULL, '2018-06-07', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 23.44000000, 0.00000000, 0.00000000, 117.20000000, 140.64000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 117.20000000, 23.44000000, 140.64000000, NULL),
(605, 'CF1806-0580', 1, NULL, '', 2050, NULL, '2019-02-15 08:31:10', '2018-06-07 16:20:39', '2018-06-12 10:30:27', '2018-06-12 10:30:27', NULL, '2018-06-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 217.87000000, 0.00000000, 0.00000000, 1089.36000000, 1307.23000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1089.36000000, 217.87000000, 1307.23000000, NULL),
(606, 'CF1808-0682', 1, NULL, '', 2729, NULL, '2018-08-28 07:01:59', '2018-06-07 16:21:35', '2018-08-28 09:01:59', '2018-08-28 09:01:59', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, 0.00000000, 0, 0, 35.10000000, 0.00000000, 0.00000000, 175.50000000, 210.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 175.50000000, 35.10000000, 210.60000000, NULL),
(607, 'CF1806-0573', 1, NULL, '', 2740, NULL, '2018-06-11 13:35:41', '2018-06-08 08:47:12', '2018-06-08 08:47:45', '2018-06-08 08:47:45', NULL, '2018-06-08', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 6.48000000, 0.00000000, 0.00000000, 32.38000000, 38.86000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 32.38000000, 6.48000000, 38.86000000, NULL),
(608, 'CF1806-0574', 1, NULL, '100004402.', 2762, NULL, '2018-09-21 08:16:20', '2018-06-08 10:31:53', '2018-06-08 10:34:03', '2018-06-08 10:34:04', NULL, '2018-06-08', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 209.00000000, 0.00000000, 0.00000000, 1045.00000000, 1254.00000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1045.00000000, 209.00000000, 1254.00000000, NULL),
(609, 'CF1806-0575', 1, NULL, '', 10086, NULL, '2019-02-15 08:31:27', '2018-06-08 10:46:06', '2018-06-08 10:46:26', '2018-06-08 10:46:26', NULL, '2018-06-08', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 44.64000000, 0.00000000, 0.00000000, 223.20000000, 267.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 223.20000000, 44.64000000, 267.84000000, NULL),
(610, 'CF1806-0576', 1, NULL, '', 1948, NULL, '2019-02-15 08:31:22', '2018-06-08 16:02:28', '2018-06-08 16:02:47', '2018-06-08 16:02:47', NULL, '2018-06-08', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 19.80000000, 0.00000000, 0.00000000, 99.00000000, 118.80000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 99.00000000, 19.80000000, 118.80000000, NULL),
(611, 'CF1806-0577', 1, NULL, '', 1948, NULL, '2018-07-05 09:58:42', '2018-06-11 08:57:39', '2018-06-11 09:06:56', '2018-06-11 09:06:56', NULL, '2018-06-11', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 38.20000000, 0.00000000, 0.00000000, 191.01000000, 229.21000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 191.01000000, 38.20000000, 229.21000000, NULL),
(612, 'CF1806-0579', 1, NULL, '', 2609, NULL, '2018-06-27 07:01:24', '2018-06-11 12:01:40', '2018-06-11 14:20:55', '2018-06-11 14:20:55', NULL, '2018-06-11', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 159.88000000, 0.00000000, 0.00000000, 799.40000000, 959.28000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 799.40000000, 159.88000000, 959.28000000, NULL),
(613, 'CF1809-0705', 1, NULL, '', 2719, NULL, '2018-09-10 12:46:27', '2018-06-11 12:01:40', '2018-09-07 10:05:30', '2018-09-07 10:05:30', NULL, '2018-09-07', 5, 5, 5, 5, NULL, 0, 4, 0, 0.00000000, 0, 0, 33.96000000, 0.00000000, 0.00000000, 169.79000000, 203.75000000, '', 'selon devis DEVNS05F18080131', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 169.79000000, 33.96000000, 203.75000000, NULL),
(614, 'CF1806-0582', 1, NULL, '', 1948, NULL, '2018-06-19 07:09:22', '2018-06-11 12:01:40', '2018-06-12 14:40:42', '2018-06-12 14:40:42', NULL, '2018-06-12', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 94.80000000, 0.00000000, 0.00000000, 474.00000000, 568.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 474.00000000, 94.80000000, 568.80000000, NULL),
(615, 'CF1806-0578', 1, NULL, '', 2709, NULL, '2019-02-15 08:31:17', '2018-06-11 12:19:32', '2018-06-11 12:21:09', '2018-06-11 12:21:09', NULL, '2018-06-11', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 358.20000000, 0.00000000, 0.00000000, 1791.00000000, 2149.20000000, '', 'prix accord Mr Ribeiro', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1791.00000000, 358.20000000, 2149.20000000, NULL),
(616, 'CF1806-0581', 1, NULL, '', 1948, NULL, '2019-02-15 08:35:43', '2018-06-12 10:36:14', '2018-06-12 10:43:33', '2018-06-12 10:43:33', NULL, '2018-06-12', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 56.78000000, 0.00000000, 0.00000000, 283.90000000, 340.68000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 283.90000000, 56.78000000, 340.68000000, NULL),
(617, 'CF1806-0585', 1, NULL, '', 2740, NULL, '2018-07-10 13:30:31', '2018-06-12 14:38:45', '2018-06-12 15:11:58', '2018-06-12 15:11:58', NULL, '2018-06-12', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 139.60000000, 0.00000000, 0.00000000, 698.00000000, 837.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 698.00000000, 139.60000000, 837.60000000, NULL),
(618, 'CF1806-0590', 1, NULL, '', 2050, NULL, '2018-06-21 14:01:57', '2018-06-12 14:38:45', '2018-06-15 08:52:04', '2018-06-15 08:52:04', NULL, '2018-06-21', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 329.33000000, 0.00000000, 0.00000000, 1646.67000000, 1976.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1646.67000000, 329.33000000, 1976.00000000, NULL),
(619, 'CF1806-0586', 1, NULL, '', 2627, NULL, '2019-02-15 08:32:27', '2018-06-12 14:38:46', '2018-06-12 15:13:18', '2018-06-12 15:13:18', NULL, '2018-06-12', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 165.66000000, 0.00000000, 0.00000000, 828.32000000, 993.98000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 828.32000000, 165.66000000, 993.98000000, NULL),
(620, 'CF1806-0583', 1, NULL, '', 2609, NULL, '2018-06-19 06:56:44', '2018-06-12 14:38:46', '2018-06-12 15:08:24', '2018-06-12 15:08:24', NULL, '2018-06-12', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 311.82000000, 0.00000000, 0.00000000, 1559.12000000, 1870.94000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1559.12000000, 311.82000000, 1870.94000000, NULL),
(621, 'CF1806-0595', 1, NULL, '', 2673, NULL, '2018-06-27 07:02:01', '2018-06-12 14:38:46', '2018-06-20 14:58:56', '2018-06-20 14:58:56', NULL, '2018-06-20', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 25.55000000, 0.00000000, 0.00000000, 127.74000000, 153.29000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 127.74000000, 25.55000000, 153.29000000, NULL),
(622, 'CF1806-0584', 1, NULL, '', 2765, NULL, '2019-02-15 08:34:47', '2018-06-12 14:38:46', '2018-06-12 15:09:12', '2018-06-12 15:09:12', NULL, '2018-06-12', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 15.60000000, 0.00000000, 0.00000000, 78.00000000, 93.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 78.00000000, 15.60000000, 93.60000000, NULL),
(623, 'CF1806-0587', 1, NULL, '', 1948, NULL, '2019-02-15 08:32:31', '2018-06-12 15:45:58', '2018-06-12 15:46:17', '2018-06-12 15:46:17', NULL, '2018-06-12', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 30.78000000, 0.00000000, 0.00000000, 153.90000000, 184.68000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 153.90000000, 30.78000000, 184.68000000, NULL),
(625, 'CF1806-0588', 1, NULL, '', 1948, NULL, '2019-02-15 08:32:35', '2018-06-12 16:09:03', '2018-06-12 16:10:44', '2018-06-12 16:10:44', NULL, '2018-06-12', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 59.16000000, 0.00000000, 0.00000000, 295.78000000, 354.94000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 295.78000000, 59.16000000, 354.94000000, NULL),
(626, 'CF1806-0589', 1, NULL, '', 2740, NULL, '2018-06-15 05:52:29', '2018-06-12 16:20:50', '2018-06-12 16:21:07', '2018-06-12 16:21:07', NULL, '2018-06-12', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 12.95000000, 0.00000000, 0.00000000, 64.76000000, 77.71000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 64.76000000, 12.95000000, 77.71000000, NULL),
(627, 'CF1806-0591', 1, NULL, '', 2706, NULL, '2019-02-15 08:32:40', '2018-06-19 09:55:41', '2018-06-19 09:56:34', '2018-06-19 09:56:34', NULL, '2018-06-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 534.00000000, 0.00000000, 0.00000000, 2670.00000000, 3204.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2670.00000000, 534.00000000, 3204.00000000, NULL),
(628, 'CF1806-0592', 1, NULL, '', 2050, NULL, '2018-06-22 07:33:20', '2018-06-19 16:43:13', '2018-06-19 16:43:57', '2018-06-19 16:43:57', NULL, '2018-06-22', 5, NULL, 5, 5, NULL, 0, 4, 0, 0.00000000, 0, 0, 49.04000000, 0.00000000, 0.00000000, 245.20000000, 294.24000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 245.20000000, 49.04000000, 294.24000000, NULL),
(629, 'CF1806-0593', 1, NULL, '', 1948, NULL, '2018-07-05 09:57:54', '2018-06-20 10:11:20', '2018-06-20 10:11:55', '2018-06-20 10:11:55', NULL, '2018-06-20', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 129.60000000, 0.00000000, 0.00000000, 648.00000000, 777.60000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 648.00000000, 129.60000000, 777.60000000, NULL),
(630, 'CF1806-0596', 1, NULL, '', 1948, NULL, '2018-06-28 13:28:12', '2018-06-20 11:35:30', '2018-06-21 10:13:56', '2018-06-21 10:13:56', NULL, '2018-06-21', 5, NULL, 5, 5, NULL, 0, 4, 0, 0.00000000, 0, 0, 52.37000000, 0.00000000, 0.00000000, 261.84000000, 314.21000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 261.84000000, 52.37000000, 314.21000000, NULL);
INSERT INTO `llx_commande_fournisseur` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_supplier`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_approve`, `date_approve2`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_approve`, `fk_user_approve2`, `source`, `fk_statut`, `billed`, `amount_ht`, `remise_percent`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `date_livraison`, `fk_account`, `fk_cond_reglement`, `fk_mode_reglement`, `fk_input_method`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`) VALUES
(631, 'CF1806-0594', 1, NULL, '', 1948, NULL, '2019-02-15 08:34:52', '2018-06-20 14:54:27', '2018-06-20 14:54:42', '2018-06-20 14:54:43', NULL, '2018-06-20', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 33.00000000, 0.00000000, 0.00000000, 165.00000000, 198.00000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 165.00000000, 33.00000000, 198.00000000, NULL),
(632, 'CF1807-0649', 1, NULL, '', 2764, NULL, '2018-07-23 13:23:23', '2018-06-25 11:53:52', '2018-07-23 15:23:23', '2018-07-23 15:23:23', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, 0.00000000, 0, 0, 5.88000000, 0.00000000, 0.00000000, 29.36000000, 35.24000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 29.36000000, 5.88000000, 35.24000000, NULL),
(633, 'CF1806-0597', 1, NULL, '', 1948, NULL, '2018-06-26 06:54:41', '2018-06-26 08:54:26', '2018-06-26 08:54:41', '2018-06-26 08:54:41', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, 0.00000000, 0, 0, 11.22000000, 0.00000000, 0.00000000, 56.10000000, 67.32000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 56.10000000, 11.22000000, 67.32000000, NULL),
(634, 'CF1806-0598', 1, NULL, '', 12605, NULL, '2019-02-15 08:34:03', '2018-06-26 08:55:44', '2018-06-26 08:56:06', '2018-06-26 08:56:06', NULL, '2018-06-26', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 483.60000000, 0.00000000, 0.00000000, 2418.00000000, 2901.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2418.00000000, 483.60000000, 2901.60000000, NULL),
(635, 'CF1806-0599', 1, NULL, '', 2762, NULL, '2018-07-23 12:31:28', '2018-06-26 09:16:24', '2018-06-26 09:16:36', '2018-06-26 09:16:36', NULL, '2018-07-23', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 9.72000000, 0.00000000, 0.00000000, 48.62000000, 58.34000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 48.62000000, 9.72000000, 58.34000000, NULL),
(636, 'CF1807-0610', 1, NULL, '', 2050, NULL, '2018-07-02 13:20:32', '2018-06-26 09:58:04', '2018-07-02 15:20:32', '2018-07-02 15:20:32', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, 0.00000000, 0, 0, 42.00000000, 0.00000000, 0.00000000, 210.00000000, 252.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 210.00000000, 42.00000000, 252.00000000, NULL),
(637, 'CF1807-0612', 1, NULL, '', 1948, NULL, '2018-07-05 10:03:36', '2018-06-26 09:58:04', '2018-07-03 15:48:42', '2018-07-03 15:48:42', NULL, '2018-07-03', 5, NULL, 5, 5, NULL, 0, 4, 0, 0.00000000, 0, 0, 143.46000000, 0.00000000, 0.00000000, 717.30000000, 860.76000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 717.30000000, 143.46000000, 860.76000000, NULL),
(638, 'CF1807-0627', 1, NULL, '', 2673, NULL, '2019-02-15 08:35:56', '2018-06-26 09:58:04', '2018-07-12 15:04:50', '2018-07-12 15:04:50', NULL, '2018-07-12', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 1145.03000000, 0.00000000, 0.00000000, 5725.16000000, 6870.19000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5725.16000000, 1145.03000000, 6870.19000000, NULL),
(639, 'CF1807-0614', 1, NULL, '', 2609, NULL, '2018-07-18 08:20:07', '2018-06-26 09:58:04', '2018-07-05 10:29:19', '2018-07-05 10:29:19', NULL, '2018-07-05', 5, NULL, 5, 5, NULL, 0, 4, 0, 0.00000000, 0, 0, 502.97000000, 0.00000000, 0.00000000, 2514.88000000, 3017.85000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2514.88000000, 502.97000000, 3017.85000000, NULL),
(640, 'CF1807-0613', 1, NULL, '', 2740, NULL, '2018-07-05 07:56:38', '2018-06-26 09:58:05', '2018-07-05 09:56:38', '2018-07-05 09:56:38', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, 0.00000000, 0, 0, 517.78000000, 0.00000000, 0.00000000, 2588.91000000, 3106.69000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2588.91000000, 517.78000000, 3106.69000000, NULL),
(641, 'CF1806-0600', 1, NULL, '', 12721, NULL, '2019-02-15 08:33:55', '2018-06-26 09:59:08', '2018-06-26 10:23:05', '2018-06-26 10:23:05', NULL, '2018-06-26', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 692.89000000, 0.00000000, 0.00000000, 3464.36000000, 4157.28000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3464.36000000, 692.88000000, 4157.24000000, NULL),
(642, 'CF1807-0605', 1, NULL, '', 2627, NULL, '2018-07-10 08:20:45', '2018-06-26 15:51:27', '2018-07-02 11:26:34', '2018-07-02 11:26:34', NULL, '2018-07-02', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 207.08000000, 0.00000000, 0.00000000, 1035.40000000, 1242.48000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1035.40000000, 207.08000000, 1242.48000000, NULL),
(643, 'CF1806-0601', 1, NULL, '', 10086, NULL, '2018-07-10 13:27:34', '2018-06-27 08:51:36', '2018-06-27 08:55:40', '2018-06-27 08:55:40', NULL, '2018-06-27', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 62.56000000, 0.00000000, 0.00000000, 312.78000000, 375.34000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 312.78000000, 62.56000000, 375.34000000, NULL),
(645, 'CF1806-0602', 1, NULL, '', 1948, NULL, '2018-07-12 12:46:40', '2018-06-27 09:29:02', '2018-06-27 09:29:44', '2018-06-27 09:29:44', NULL, '2018-06-27', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 45.31000000, 0.00000000, 0.00000000, 226.55000000, 271.86000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 226.55000000, 45.31000000, 271.86000000, NULL),
(646, 'CF1806-0603', 1, NULL, '', 2673, NULL, '2018-07-03 13:50:26', '2018-06-27 09:36:23', '2018-06-27 09:41:19', '2018-06-27 09:41:19', NULL, '2018-06-27', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 63.68000000, 0.00000000, 0.00000000, 318.42000000, 382.10000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 318.42000000, 63.68000000, 382.10000000, NULL),
(647, 'CF1807-0607', 1, NULL, '', 2729, NULL, '2018-07-12 13:09:55', '2018-06-28 12:07:09', '2018-07-02 11:29:28', '2018-07-02 11:29:29', NULL, '2018-07-02', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 0.00000000, 0.00000000, 0.00000000, 756.32000000, 756.32000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 756.32000000, 0.00000000, 756.32000000, NULL),
(648, 'CF1807-0606', 1, NULL, '', 2764, NULL, '2018-08-13 08:16:49', '2018-06-28 12:09:58', '2018-07-02 11:27:16', '2018-07-02 11:27:16', NULL, '2018-07-02', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 39.98000000, 0.00000000, 0.00000000, 199.87000000, 239.85000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 199.87000000, 39.98000000, 239.85000000, NULL),
(649, 'CF1807-0604', 1, NULL, '', 2682, NULL, '2018-07-05 08:57:48', '2018-07-02 09:01:47', '2018-07-02 09:31:20', '2018-07-02 09:31:21', NULL, '2018-07-02', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 108.24000000, 0.00000000, 0.00000000, 541.20000000, 649.44000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 541.20000000, 108.24000000, 649.44000000, NULL),
(650, 'CF1807-0608', 1, NULL, '', 1948, NULL, '2018-07-30 06:52:12', '2018-07-02 11:33:03', '2018-07-02 14:20:05', '2018-07-02 14:20:06', NULL, '2018-07-05', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 525.38000000, 0.00000000, 0.00000000, 2626.92000000, 3152.30000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2626.92000000, 525.38000000, 3152.30000000, NULL),
(651, 'CF1807-0609', 1, NULL, '', 2050, NULL, '2019-02-15 08:33:47', '2018-07-02 14:34:40', '2018-07-02 14:35:44', '2018-07-02 14:35:44', NULL, '2018-07-16', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 255.56000000, 0.00000000, 0.00000000, 1277.80000000, 1533.36000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1277.80000000, 255.56000000, 1533.36000000, NULL),
(652, 'CF1807-0645', 1, NULL, '', 2627, NULL, '2018-07-30 12:03:05', '2018-07-02 15:19:55', '2018-07-19 16:39:00', '2018-07-19 16:39:00', NULL, '2018-07-19', 5, NULL, 5, 5, NULL, 0, 4, 0, 0.00000000, 0, 0, 171.12000000, 0.00000000, 0.00000000, 855.60000000, 1026.72000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 855.60000000, 171.12000000, 1026.72000000, NULL),
(653, 'CF1807-0611', 1, NULL, '', 2050, NULL, '2019-02-15 08:33:43', '2018-07-03 15:28:17', '2018-07-03 15:33:09', '2018-07-03 15:33:09', NULL, '2018-07-03', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 1085.69000000, 0.00000000, 0.00000000, 5428.44000000, 6514.13000000, '', 'Prix thomas vandendorpe', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5428.44000000, 1085.69000000, 6514.13000000, NULL),
(654, 'CF1807-0646', 1, NULL, '', 2050, NULL, '2018-07-30 08:20:27', '2018-07-05 10:21:34', '2018-07-20 10:52:13', '2018-07-20 10:52:13', NULL, '2018-07-20', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 376.60000000, 0.00000000, 0.00000000, 1883.00000000, 2259.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1883.00000000, 376.60000000, 2259.60000000, NULL),
(655, 'CF1807-0623', 1, NULL, '', 2740, NULL, '2019-02-15 08:34:57', '2018-07-05 10:21:34', '2018-07-10 10:12:34', '2018-07-10 10:12:34', NULL, '2018-07-10', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 139.60000000, 0.00000000, 0.00000000, 698.00000000, 837.60000000, '', 'Livraison semaine 29', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 698.00000000, 139.60000000, 837.60000000, NULL),
(656, 'CF1807-0626', 1, NULL, '', 1948, NULL, '2018-07-30 06:54:00', '2018-07-05 10:21:34', '2018-07-12 10:01:41', '2018-07-12 10:01:41', NULL, '2018-07-12', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 52.18000000, 0.00000000, 0.00000000, 260.89000000, 313.07000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 260.89000000, 52.18000000, 313.07000000, NULL),
(657, 'CF1807-0615', 1, NULL, '', 1948, NULL, '2018-07-12 12:48:22', '2018-07-05 10:52:07', '2018-07-05 10:52:36', '2018-07-05 10:52:36', NULL, '2018-07-05', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 38.80000000, 0.00000000, 0.00000000, 194.00000000, 232.80000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 194.00000000, 38.80000000, 232.80000000, NULL),
(658, 'CF1807-0616', 1, NULL, '', 2050, NULL, '2018-08-02 07:15:52', '2018-07-05 11:01:56', '2018-07-05 11:02:20', '2018-07-05 11:02:20', NULL, '2018-08-02', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 100.00000000, 0.00000000, 0.00000000, 500.00000000, 600.00000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 500.00000000, 100.00000000, 600.00000000, NULL),
(659, 'CF1807-0617', 1, NULL, '', 1948, NULL, '2019-02-15 08:33:39', '2018-07-05 11:39:32', '2018-07-05 11:42:41', '2018-07-05 11:42:41', NULL, '2018-07-05', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 506.00000000, 0.00000000, 0.00000000, 2530.00000000, 3036.00000000, '', 'Livraison à partir de la semaine 29 - Cordialement,', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2530.00000000, 506.00000000, 3036.00000000, NULL),
(660, 'CF1807-0618', 1, NULL, '', 1948, NULL, '2018-07-30 06:52:47', '2018-07-05 11:48:06', '2018-07-05 11:48:32', '2018-07-05 11:48:32', NULL, '2018-07-30', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 29.68000000, 0.00000000, 0.00000000, 148.40000000, 178.08000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 148.40000000, 29.68000000, 178.08000000, NULL),
(661, 'CF1807-0619', 1, NULL, '', 1948, NULL, '2019-02-15 08:33:35', '2018-07-06 09:09:39', '2018-07-06 09:10:33', '2018-07-06 09:10:33', NULL, '2018-07-12', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 18.83000000, 0.00000000, 0.00000000, 94.16000000, 112.99000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 94.16000000, 18.83000000, 112.99000000, NULL),
(662, 'CF1807-0620', 1, NULL, '', 12775, NULL, '2019-02-15 08:33:29', '2018-07-09 10:45:37', '2018-07-09 10:46:37', '2018-07-09 10:46:37', NULL, '2018-07-09', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 867.72000000, 0.00000000, 0.00000000, 4338.60000000, 5206.32000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4338.60000000, 867.72000000, 5206.32000000, NULL),
(663, 'CF1807-0621', 1, NULL, '', 2716, NULL, '2018-07-30 08:14:37', '2018-07-09 12:13:03', '2018-07-09 12:13:36', '2018-07-09 12:13:36', NULL, '2018-07-09', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 140.33000000, 0.00000000, 0.00000000, 701.66000000, 841.99000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 701.66000000, 140.33000000, 841.99000000, NULL),
(664, 'CF1807-0622', 1, NULL, '', 2764, NULL, '2018-07-30 13:50:27', '2018-07-10 09:15:34', '2018-07-10 09:16:18', '2018-07-10 09:16:19', NULL, '2018-07-10', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 10.84000000, 0.00000000, 0.00000000, 54.18000000, 65.02000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 54.18000000, 10.84000000, 65.02000000, NULL),
(665, 'CF1807-0624', 1, NULL, '', 2050, NULL, '2019-02-15 08:34:43', '2018-07-10 10:29:02', '2018-07-10 10:30:27', '2018-07-10 10:30:27', NULL, '2018-07-10', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 59.97000000, 0.00000000, 0.00000000, 299.86000000, 359.83000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 299.86000000, 59.97000000, 359.83000000, NULL),
(666, 'CF1807-0625', 1, NULL, '20779', 12632, NULL, '2019-02-15 08:34:33', '2018-07-12 09:04:48', '2018-07-12 09:06:53', '2018-07-12 09:06:53', NULL, '2018-07-12', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 147.20000000, 0.00000000, 0.00000000, 736.00000000, 883.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 736.00000000, 147.20000000, 883.20000000, NULL),
(668, 'CF1807-0628', 1, NULL, '', 2609, NULL, '2018-07-16 14:23:01', '2018-07-13 09:13:55', '2018-07-13 09:17:54', '2018-07-13 09:17:54', NULL, '2018-07-16', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 54.10000000, 0.00000000, 0.00000000, 270.50000000, 324.60000000, '', '', 'muscadet', NULL, NULL, 1, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 270.50000000, 54.10000000, 324.60000000, NULL),
(669, 'CF1807-0629', 1, NULL, '', 1948, NULL, '2018-07-20 13:10:19', '2018-07-13 09:45:50', '2018-07-13 09:46:24', '2018-07-13 09:46:24', NULL, '2018-07-13', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 13.97000000, 0.00000000, 0.00000000, 69.84000000, 83.81000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 69.84000000, 13.97000000, 83.81000000, NULL),
(670, 'CF1807-0630', 1, NULL, '', 2673, NULL, '2019-02-15 08:36:00', '2018-07-13 10:29:38', '2018-07-13 10:31:11', '2018-07-13 10:31:11', NULL, '2018-07-13', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 87.20000000, 0.00000000, 0.00000000, 436.00000000, 523.20000000, '', 'pouvez vous envoyer le dispo ce jour et le reliquat à compter du 16 aout car le client ferme à compter de vendredi prochain . En vous remerciant', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 436.00000000, 87.20000000, 523.20000000, NULL),
(671, 'CF1807-0631', 1, NULL, '', 2673, NULL, '2018-07-30 07:30:45', '2018-07-13 16:15:58', '2018-07-13 16:22:30', '2018-07-13 16:22:30', NULL, '2018-07-13', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 151.70000000, 0.00000000, 0.00000000, 758.35000000, 910.20000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 758.35000000, 151.67000000, 910.02000000, NULL),
(672, 'CF1807-0632', 1, NULL, '', 2050, NULL, '2019-02-15 08:36:04', '2018-07-16 10:01:57', '2018-07-16 10:03:33', '2018-07-16 10:03:34', NULL, '2018-07-16', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 76.84000000, 0.00000000, 0.00000000, 384.20000000, 461.04000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 384.20000000, 76.84000000, 461.04000000, NULL),
(673, 'CF1807-0634', 1, NULL, '', 2729, NULL, '2018-07-25 08:20:22', '2018-07-18 09:09:43', '2018-07-18 09:18:49', '2018-07-18 09:18:49', NULL, '2018-07-18', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 0.00000000, 0.00000000, 0.00000000, 441.50000000, 441.50000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 441.50000000, 0.00000000, 441.50000000, NULL),
(674, 'CF1807-0635', 1, NULL, '', 1948, NULL, '2018-07-30 06:54:46', '2018-07-18 09:19:53', '2018-07-18 09:45:50', '2018-07-18 09:45:50', NULL, '2018-07-18', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 160.38000000, 0.00000000, 0.00000000, 801.93000000, 962.31000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 801.93000000, 160.38000000, 962.31000000, NULL),
(675, 'CF1807-0636', 1, NULL, '', 2050, NULL, '2018-08-08 13:40:03', '2018-07-18 09:47:11', '2018-07-18 10:03:24', '2018-07-18 10:03:24', NULL, '2018-07-18', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 212.60000000, 0.00000000, 0.00000000, 1063.00000000, 1275.60000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1063.00000000, 212.60000000, 1275.60000000, NULL),
(676, 'CF1807-0637', 1, NULL, '', 2627, NULL, '2018-08-02 09:38:15', '2018-07-18 10:04:45', '2018-07-18 10:15:26', '2018-07-18 10:15:27', NULL, '2018-07-18', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 172.73000000, 0.00000000, 0.00000000, 863.66000000, 1036.39000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 863.66000000, 172.73000000, 1036.39000000, NULL),
(677, 'CF1807-0638', 1, NULL, '', 1948, NULL, '2018-07-20 13:11:13', '2018-07-18 11:23:31', '2018-07-18 11:23:47', '2018-07-18 11:23:47', NULL, '2018-07-18', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 24.54000000, 0.00000000, 0.00000000, 122.69000000, 147.23000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 122.69000000, 24.54000000, 147.23000000, NULL),
(678, 'CF1807-0639', 1, NULL, '', 1948, NULL, '2018-07-30 06:55:19', '2018-07-19 09:17:32', '2018-07-19 09:17:59', '2018-07-19 09:18:00', NULL, '2018-07-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 22.11000000, 0.00000000, 0.00000000, 110.52000000, 132.63000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 110.52000000, 22.11000000, 132.63000000, NULL),
(679, 'CF1807-0640', 1, NULL, '', 1948, NULL, '2018-07-30 07:10:15', '2018-07-19 09:20:03', '2018-07-19 09:21:39', '2018-07-19 09:21:39', NULL, '2018-07-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 34.37000000, 0.00000000, 0.00000000, 171.88000000, 206.25000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 171.88000000, 34.37000000, 206.25000000, NULL),
(680, 'CF1807-0641', 1, NULL, '', 2764, NULL, '2019-02-15 08:36:14', '2018-07-19 09:41:44', '2018-07-19 09:42:11', '2018-07-19 09:42:11', NULL, '2018-07-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 47.87000000, 0.00000000, 0.00000000, 239.36000000, 287.23000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 239.36000000, 47.87000000, 287.23000000, NULL),
(681, 'CF1807-0642', 1, NULL, '', 2740, NULL, '2019-02-15 08:36:18', '2018-07-19 14:26:19', '2018-07-19 14:27:13', '2018-07-19 14:27:13', NULL, '2018-07-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 51.60000000, 0.00000000, 0.00000000, 258.00000000, 309.60000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 258.00000000, 51.60000000, 309.60000000, NULL),
(682, 'CF1807-0644', 1, NULL, '', 1948, NULL, '2018-07-25 07:36:41', '2018-07-19 16:25:35', '2018-07-19 16:35:28', '2018-07-19 16:35:29', NULL, '2018-07-19', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 372.20000000, 0.00000000, 0.00000000, 1861.00000000, 2233.20000000, '', 'Livraison semaine 34 chez le client svp', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1861.00000000, 372.20000000, 2233.20000000, NULL),
(683, 'CF1809-0747', 1, NULL, '', 2114, NULL, '2019-02-15 09:53:21', '2018-07-19 16:25:36', '2018-09-27 10:19:37', '2018-09-27 10:19:38', NULL, '2018-09-27', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 481.29000000, 0.00000000, 0.00000000, 2406.46000000, 2887.75000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2406.46000000, 481.29000000, 2887.75000000, NULL),
(684, 'CF1807-0643', 1, NULL, '', 2729, NULL, '2019-02-15 08:36:08', '2018-07-19 16:30:14', '2018-07-19 16:33:02', '2018-07-19 16:33:02', NULL, '2018-07-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 0.00000000, 0.00000000, 0.00000000, 10299.40000000, 10299.40000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 10299.40000000, 0.00000000, 10299.40000000, NULL),
(685, 'CF1807-0647', 1, NULL, '', 2050, NULL, '2018-07-30 08:19:05', '2018-07-20 10:54:26', '2018-07-20 10:54:54', '2018-07-20 10:54:54', NULL, '2018-07-30', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 97.20000000, 0.00000000, 0.00000000, 486.00000000, 583.20000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 486.00000000, 97.20000000, 583.20000000, NULL),
(686, 'CF1807-0648', 1, NULL, '', 10086, NULL, '2018-08-14 12:37:48', '2018-07-23 14:54:13', '2018-07-23 14:55:19', '2018-07-23 14:55:19', NULL, '2018-08-14', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 35.08000000, 0.00000000, 0.00000000, 175.42000000, 210.50000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 175.42000000, 35.08000000, 210.50000000, NULL),
(687, 'CF1807-0650', 1, NULL, '', 2050, NULL, '2019-02-15 08:37:19', '2018-07-23 16:47:51', '2018-07-23 16:48:15', '2018-07-23 16:48:15', NULL, '2018-07-23', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 60.40000000, 0.00000000, 0.00000000, 302.00000000, 362.40000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 302.00000000, 60.40000000, 362.40000000, NULL),
(688, 'CF1807-0651', 1, NULL, '', 2673, NULL, '2019-02-15 08:37:15', '2018-07-24 09:10:56', '2018-07-24 09:12:58', '2018-07-24 09:12:58', NULL, '2018-07-24', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 76.98000000, 0.00000000, 0.00000000, 384.83000000, 461.88000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 384.83000000, 76.96000000, 461.79000000, NULL),
(689, 'CF1807-0652', 1, NULL, 'DEC1810863', 12778, NULL, '2018-07-26 12:05:34', '2018-07-25 09:48:50', '2018-07-25 09:50:03', '2018-07-25 09:50:03', NULL, '2018-07-25', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 6.07000000, 0.00000000, 0.00000000, 30.37000000, 36.44000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 30.37000000, 6.07000000, 36.44000000, NULL),
(690, 'CF1807-0653', 1, NULL, '', 2673, NULL, '2018-07-31 12:47:50', '2018-07-25 14:15:42', '2018-07-25 14:16:46', '2018-07-25 14:16:46', NULL, '2018-07-25', 5, NULL, 5, 5, NULL, 0, 4, 0, 0.00000000, 0, 0, 15.34000000, 0.00000000, 0.00000000, 76.74000000, 92.04000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 76.74000000, 15.35000000, 92.09000000, NULL),
(691, 'CF1807-0654', 1, NULL, '', 1948, NULL, '2018-07-30 07:10:32', '2018-07-25 14:29:22', '2018-07-25 14:29:43', '2018-07-25 14:29:43', NULL, '2018-07-25', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 1.35000000, 0.00000000, 0.00000000, 6.75000000, 8.10000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 6.75000000, 1.35000000, 8.10000000, NULL),
(692, 'CF1807-0655', 1, NULL, '', 1948, NULL, '2018-07-30 07:12:28', '2018-07-25 15:52:43', '2018-07-25 15:53:19', '2018-07-25 15:53:20', NULL, '2018-07-30', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 2.25000000, 0.00000000, 0.00000000, 11.24000000, 13.49000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 11.24000000, 2.25000000, 13.49000000, NULL),
(693, 'CF1807-0656', 1, NULL, '', 2627, NULL, '2018-08-24 12:20:22', '2018-07-26 09:38:53', '2018-07-26 09:43:03', '2018-07-26 09:43:03', NULL, '2018-07-26', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 119.91000000, 0.00000000, 0.00000000, 599.54000000, 719.45000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 599.54000000, 119.91000000, 719.45000000, NULL),
(694, 'CF1807-0657', 1, NULL, '', 2740, NULL, '2018-07-27 07:13:19', '2018-07-27 09:10:29', '2018-07-27 09:13:19', '2018-07-27 09:13:19', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, 0.00000000, 0, 0, 78.10000000, 0.00000000, 0.00000000, 390.50000000, 468.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 390.50000000, 78.10000000, 468.60000000, NULL),
(695, 'CF1807-0658', 1, NULL, '', 2673, NULL, '2019-02-15 08:37:11', '2018-07-27 10:56:42', '2018-07-27 11:00:05', '2018-07-27 11:00:05', NULL, '2018-07-27', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 108.47000000, 0.00000000, 0.00000000, 542.34000000, 650.84000000, '', 'Livraison : <br />\r\nSOCIETE PEILLET <br />\r\nLieu dit Le Cairon<br />\r\n84430 MONTDRAGON<br />\r\nTel Hubert MACQART <br />\r\n06 42 12 28 87', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 542.34000000, 108.47000000, 650.81000000, NULL),
(696, 'CF1807-0659', 1, NULL, '', 2050, NULL, '2020-07-20 12:25:33', '2018-07-27 14:25:29', '2018-07-27 14:26:39', '2018-07-27 14:26:39', NULL, '2020-07-20', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 2347.63000000, 0.00000000, 0.00000000, 11738.16000000, 14085.79000000, '', 'Adresse de livraison :<br />\r\n<br />\r\nFACEO FM CENTRE EST<br />\r\nCHEZ LA SOCIÉTÉ THALES<br />\r\n25, RUE JULES VÉDRINES<br />\r\n26000 VALENCE France<br />\r\n<br />\r\n<br />\r\nPrix accord Thomas V.', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 11738.16000000, 2347.63000000, 14085.79000000, NULL),
(697, 'CF1807-0660', 1, NULL, '', 1948, NULL, '2018-08-02 12:07:14', '2018-07-30 09:18:34', '2018-07-30 09:18:53', '2018-07-30 09:18:53', NULL, '2018-07-30', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 5.95000000, 0.00000000, 0.00000000, 29.75000000, 35.70000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 29.75000000, 5.95000000, 35.70000000, NULL),
(699, 'CF1807-0661', 1, NULL, '', 2050, NULL, '2018-07-30 07:33:05', '2018-07-30 09:32:20', '2018-07-30 09:33:05', '2018-07-30 09:33:05', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, 0.00000000, 0, 0, 44.40000000, 0.00000000, 0.00000000, 222.00000000, 266.40000000, '', '', 'muscadet', NULL, NULL, 15, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 222.00000000, 44.40000000, 266.40000000, NULL),
(700, 'CF1807-0662', 1, NULL, '', 2642, NULL, '2018-08-09 13:07:45', '2018-07-30 11:25:42', '2018-07-30 11:25:58', '2018-07-30 11:25:58', NULL, '2018-07-30', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 46.91000000, 0.00000000, 0.00000000, 234.53000000, 281.44000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 234.53000000, 46.91000000, 281.44000000, NULL),
(701, 'CF1808-0663', 1, NULL, '', 2050, NULL, '2018-08-09 13:31:51', '2018-08-02 09:34:17', '2018-08-02 09:35:11', '2018-08-02 09:35:12', NULL, '2018-08-02', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 79.00000000, 0.00000000, 0.00000000, 395.00000000, 474.00000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 395.00000000, 79.00000000, 474.00000000, NULL),
(702, 'CF1808-0664', 1, NULL, '', 2673, NULL, '2018-08-07 07:26:30', '2018-08-02 10:31:51', '2018-08-02 10:34:55', '2018-08-02 10:34:55', NULL, '2018-08-02', 5, NULL, 5, 5, NULL, 0, 4, 0, 0.00000000, 0, 0, 37.86000000, 0.00000000, 0.00000000, 189.25000000, 227.16000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 189.25000000, 37.85000000, 227.10000000, NULL),
(703, 'CF1808-0665', 1, NULL, '', 12605, NULL, '2019-02-15 08:35:51', '2018-08-06 09:02:50', '2018-08-06 09:03:21', '2018-08-06 09:03:21', NULL, '2018-08-06', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 78.67000000, 0.00000000, 0.00000000, 393.35000000, 472.02000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 393.35000000, 78.67000000, 472.02000000, NULL),
(704, 'CF1808-0666', 1, NULL, '', 2050, NULL, '2018-08-28 12:03:30', '2018-08-08 10:40:20', '2018-08-08 10:41:54', '2018-08-08 10:41:55', NULL, '2018-08-09', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 62.60000000, 0.00000000, 0.00000000, 313.00000000, 375.60000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 313.00000000, 62.60000000, 375.60000000, NULL),
(705, 'CF1808-0667', 1, NULL, '', 2764, NULL, '2018-08-30 08:51:09', '2018-08-08 16:25:38', '2018-08-08 16:26:05', '2018-08-08 16:26:05', NULL, '2018-08-24', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 11.59000000, 0.00000000, 0.00000000, 57.96000000, 69.55000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 57.96000000, 11.59000000, 69.55000000, NULL),
(706, 'CF1808-0668', 1, NULL, '', 2642, NULL, '2018-08-23 07:08:38', '2018-08-09 11:20:02', '2018-08-09 11:20:23', '2018-08-09 11:20:24', NULL, '2018-08-09', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 5.39000000, 0.00000000, 0.00000000, 26.96000000, 32.35000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 26.96000000, 5.39000000, 32.35000000, NULL),
(707, 'CF1808-0669', 1, NULL, '', 1948, NULL, '2018-08-23 07:00:03', '2018-08-09 11:20:58', '2018-08-09 11:28:46', '2018-08-09 11:28:47', NULL, '2018-08-09', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 44.01000000, 0.00000000, 0.00000000, 220.15000000, 264.16000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 220.15000000, 44.01000000, 264.16000000, NULL),
(708, 'CF1808-0670', 1, NULL, '', 2729, NULL, '2018-08-23 12:13:44', '2018-08-09 12:09:35', '2018-08-09 12:10:23', '2018-08-09 12:10:23', NULL, '2018-08-09', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 0.00000000, 0.00000000, 0.00000000, 148.20000000, 148.20000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 148.20000000, 0.00000000, 148.20000000, NULL),
(709, 'CF1808-0671', 1, NULL, '', 2642, NULL, '2018-08-23 07:08:55', '2018-08-13 09:21:51', '2018-08-13 09:21:58', '2018-08-13 09:21:58', NULL, '2018-08-23', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 46.91000000, 0.00000000, 0.00000000, 234.53000000, 281.44000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 234.53000000, 46.91000000, 281.44000000, NULL),
(710, 'CF1808-0672', 1, NULL, '', 1948, NULL, '2018-08-23 07:00:26', '2018-08-13 09:36:42', '2018-08-13 09:37:44', '2018-08-13 09:37:44', NULL, '2018-08-13', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 58.20000000, 0.00000000, 0.00000000, 291.00000000, 349.20000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 291.00000000, 58.20000000, 349.20000000, NULL),
(711, 'CF1808-0673', 1, NULL, '', 1948, NULL, '2018-08-23 07:02:23', '2018-08-16 10:52:53', '2018-08-16 10:53:09', '2018-08-16 10:53:09', NULL, '2018-08-16', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 24.46000000, 0.00000000, 0.00000000, 122.32000000, 146.78000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 122.32000000, 24.46000000, 146.78000000, NULL),
(712, 'CF1808-0674', 1, NULL, '', 2609, NULL, '2018-08-20 12:44:57', '2018-08-16 15:23:49', '2018-08-16 15:25:06', '2018-08-16 15:25:06', NULL, '2018-08-16', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 123.86000000, 0.00000000, 0.00000000, 619.30000000, 743.16000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 619.30000000, 123.86000000, 743.16000000, NULL),
(713, 'CF1808-0675', 1, NULL, '', 1948, NULL, '2018-08-23 07:08:09', '2018-08-17 15:00:33', '2018-08-17 15:00:49', '2018-08-17 15:00:49', NULL, '2018-08-17', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 12.86000000, 0.00000000, 0.00000000, 64.29000000, 77.15000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 64.29000000, 12.86000000, 77.15000000, NULL),
(714, 'CF1808-0676', 1, NULL, '', 2673, NULL, '2018-08-29 13:05:26', '2018-08-20 11:14:01', '2018-08-20 11:16:04', '2018-08-20 11:16:05', NULL, '2018-08-20', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 104.28000000, 0.00000000, 0.00000000, 521.40000000, 625.68000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 521.40000000, 104.29000000, 625.69000000, NULL),
(715, 'CF1808-0677', 1, NULL, '', 2697, NULL, '2018-08-24 08:22:17', '2018-08-22 10:30:18', '2018-08-22 10:30:46', '2018-08-22 10:30:46', NULL, '2018-08-22', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 24.18000000, 0.00000000, 0.00000000, 120.90000000, 145.08000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 120.90000000, 24.18000000, 145.08000000, NULL),
(716, 'CF1808-0678', 1, NULL, '', 2764, NULL, '2018-09-21 12:55:59', '2018-08-24 14:50:08', '2018-08-24 14:50:34', '2018-08-24 14:50:34', NULL, '2018-08-24', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 3.59000000, 0.00000000, 0.00000000, 17.94000000, 21.53000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 17.94000000, 3.59000000, 21.53000000, NULL),
(717, 'CF1808-0679', 1, NULL, '', 1948, NULL, '2018-08-29 09:49:33', '2018-08-24 14:53:33', '2018-08-24 14:53:53', '2018-08-24 14:53:53', NULL, '2018-08-29', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 21.30000000, 0.00000000, 0.00000000, 106.48000000, 127.78000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 106.48000000, 21.30000000, 127.78000000, NULL),
(718, 'CF1808-0680', 1, NULL, '', 1948, NULL, '2018-08-29 09:50:10', '2018-08-24 16:33:11', '2018-08-24 16:33:26', '2018-08-24 16:33:26', NULL, '2018-08-24', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 12.13000000, 0.00000000, 0.00000000, 60.67000000, 72.80000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 60.67000000, 12.13000000, 72.80000000, NULL),
(719, 'CF1808-0681', 1, NULL, '', 1948, NULL, '2018-08-29 09:50:32', '2018-08-24 16:38:29', '2018-08-24 16:53:35', '2018-08-24 16:53:35', NULL, '2018-08-24', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 15.06000000, 0.00000000, 0.00000000, 75.30000000, 90.36000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 75.30000000, 15.06000000, 90.36000000, NULL),
(720, 'CF1810-0755', 1, NULL, '', 2673, NULL, '2019-02-01 09:18:57', '2018-08-27 15:49:50', '2018-10-10 09:11:21', '2018-10-10 09:11:21', NULL, '2018-10-10', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 14.81000000, 0.00000000, 0.00000000, 74.09000000, 88.90000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 74.09000000, 14.81000000, 88.90000000, NULL),
(721, 'CF1808-0683', 1, NULL, '', 2729, NULL, '2019-02-15 08:36:51', '2018-08-28 09:02:11', '2018-08-28 10:33:36', '2018-08-28 10:33:36', NULL, '2018-08-28', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 0.00000000, 0.00000000, 0.00000000, 2457.84000000, 2457.84000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2457.84000000, 0.00000000, 2457.84000000, NULL),
(722, 'CF1808-0684', 1, NULL, '', 2050, NULL, '2018-09-10 08:23:37', '2018-08-28 10:58:42', '2018-08-28 11:31:59', '2018-08-28 11:31:59', NULL, '2018-09-10', 5, NULL, 5, 5, NULL, 0, 4, 0, 0.00000000, 0, 0, 33.59000000, 0.00000000, 0.00000000, 167.96000000, 201.55000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 167.96000000, 33.59000000, 201.55000000, NULL),
(723, 'CF1808-0685', 1, NULL, '', 2673, NULL, '2018-08-31 12:14:02', '2018-08-28 16:05:56', '2018-08-28 16:06:13', '2018-08-28 16:06:13', NULL, '2018-08-28', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 7.00000000, 0.00000000, 0.00000000, 35.01000000, 42.01000000, '', 'a joindre a commande en cours ( rilsan ) ', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 35.01000000, 7.00000000, 42.01000000, NULL),
(724, 'CF1808-0686', 1, NULL, '', 1948, NULL, '2018-09-07 09:33:36', '2018-08-29 15:31:16', '2018-08-29 15:39:44', '2018-08-29 15:39:44', NULL, '2018-08-29', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 111.47000000, 0.00000000, 0.00000000, 557.36000000, 668.83000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 557.36000000, 111.47000000, 668.83000000, NULL),
(725, 'CF1808-0687', 1, NULL, '', 2627, NULL, '2018-09-04 13:15:17', '2018-08-29 15:44:48', '2018-08-29 15:45:24', '2018-08-29 15:45:24', NULL, '2018-08-29', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 31.25000000, 0.00000000, 0.00000000, 156.24000000, 187.49000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 156.24000000, 31.25000000, 187.49000000, NULL),
(726, 'CF1808-0688', 1, NULL, '', 2050, NULL, '2018-08-31 12:02:37', '2018-08-29 15:47:31', '2018-08-29 15:48:04', '2018-08-29 15:48:04', NULL, '2018-08-29', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 29.60000000, 0.00000000, 0.00000000, 148.00000000, 177.60000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 148.00000000, 29.60000000, 177.60000000, NULL),
(727, 'CF1808-0689', 1, NULL, '', 2673, NULL, '2018-08-31 12:17:54', '2018-08-29 15:52:38', '2018-08-29 15:59:18', '2018-08-29 15:59:18', NULL, '2018-08-29', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 71.34000000, 0.00000000, 0.00000000, 356.53000000, 428.02000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 356.53000000, 71.31000000, 427.84000000, NULL),
(728, 'CF1808-0691', 1, NULL, '', 1948, NULL, '2018-09-14 09:37:25', '2018-08-29 16:45:55', '2018-08-29 17:07:00', '2018-08-29 17:07:00', NULL, '2018-08-29', 5, NULL, 12, 12, NULL, 0, 5, 0, 0.00000000, 0, 0, 85.53000000, 0.00000000, 0.00000000, 427.62000000, 513.15000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 427.62000000, 85.53000000, 513.15000000, NULL),
(730, 'CF1808-0693', 1, NULL, '', 2050, NULL, '2019-02-15 09:52:02', '2018-08-29 16:45:55', '2018-08-31 09:17:08', '2018-08-31 09:17:09', NULL, '2018-08-31', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 241.00000000, 0.00000000, 0.00000000, 1205.00000000, 1446.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1205.00000000, 241.00000000, 1446.00000000, NULL),
(731, 'CF1808-0690', 1, NULL, '', 2642, NULL, '2018-09-11 09:17:44', '2018-08-29 16:45:55', '2018-08-29 16:50:58', '2018-08-29 16:50:58', NULL, '2018-08-29', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 366.52000000, 0.00000000, 0.00000000, 1832.60000000, 2199.12000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1832.60000000, 366.52000000, 2199.12000000, NULL),
(733, 'CF1808-0692', 1, NULL, '', 2729, NULL, '2018-09-06 09:05:03', '2018-08-30 14:21:22', '2018-08-30 14:22:13', '2018-08-30 14:22:13', NULL, '2018-08-30', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 9.38000000, 0.00000000, 0.00000000, 89.90000000, 99.28000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 89.90000000, 9.38000000, 99.28000000, NULL),
(734, 'CF1808-0694', 1, NULL, '', 2725, NULL, '2018-09-05 12:09:43', '2018-08-31 09:46:38', '2018-08-31 09:47:10', '2018-08-31 09:47:10', NULL, '2018-08-31', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 11.06000000, 0.00000000, 0.00000000, 55.32000000, 66.38000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 55.32000000, 11.06000000, 66.38000000, NULL),
(735, 'CF1808-0695', 1, NULL, '', 2627, NULL, '2018-09-11 15:07:33', '2018-08-31 13:49:44', '2018-08-31 13:50:01', '2018-08-31 13:50:01', NULL, '2018-08-31', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 60.84000000, 0.00000000, 0.00000000, 304.20000000, 365.04000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 304.20000000, 60.84000000, 365.04000000, NULL),
(736, 'CF1808-0696', 1, NULL, 'DV190212', 12721, NULL, '2019-02-15 08:34:39', '2018-08-31 14:31:57', '2018-08-31 15:32:14', '2018-08-31 15:32:15', NULL, '2018-08-31', 12, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 153.46000000, 0.00000000, 0.00000000, 767.33000000, 920.72000000, '', 'semaine prochaine svp, voire avec livraison des 2 boosters !', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 767.33000000, 153.48000000, 920.81000000, NULL),
(737, 'CF1809-0697', 1, NULL, '', 2764, NULL, '2018-09-21 12:54:38', '2018-09-03 15:26:40', '2018-09-03 15:26:58', '2018-09-03 15:26:58', NULL, '2018-09-03', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 2.78000000, 0.00000000, 0.00000000, 13.90000000, 16.68000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 13.90000000, 2.78000000, 16.68000000, NULL),
(738, 'CF1809-0698', 1, NULL, '', 1948, NULL, '2018-10-29 13:53:37', '2018-09-03 15:54:39', '2018-09-03 15:56:26', '2018-09-03 15:56:26', NULL, '2018-09-03', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 115.76000000, 0.00000000, 0.00000000, 578.82000000, 694.58000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 578.82000000, 115.76000000, 694.58000000, NULL),
(739, 'CF1809-0699', 1, NULL, '', 2050, NULL, '2018-09-06 09:04:21', '2018-09-03 16:35:55', '2018-09-03 16:37:33', '2018-09-03 16:37:33', NULL, '2018-09-06', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 140.40000000, 0.00000000, 0.00000000, 702.00000000, 842.40000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 702.00000000, 140.40000000, 842.40000000, NULL),
(740, 'CF1809-0700', 1, NULL, '', 1948, NULL, '2018-09-14 09:37:02', '2018-09-03 16:38:01', '2018-09-03 16:38:19', '2018-09-03 16:38:19', NULL, '2018-09-03', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 3.82000000, 0.00000000, 0.00000000, 19.10000000, 22.92000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 19.10000000, 3.82000000, 22.92000000, NULL),
(741, 'CF1809-0701', 1, NULL, '', 2740, NULL, '2019-02-15 09:52:36', '2018-09-05 12:09:46', '2018-09-05 12:12:59', '2018-09-05 12:12:59', NULL, '2018-09-05', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 51.60000000, 0.00000000, 0.00000000, 258.00000000, 309.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 258.00000000, 51.60000000, 309.60000000, NULL),
(742, 'CF1809-0702', 1, NULL, '', 1948, NULL, '2018-09-14 09:35:19', '2018-09-06 09:47:47', '2018-09-06 09:48:03', '2018-09-06 09:48:03', NULL, '2018-09-06', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 54.74000000, 0.00000000, 0.00000000, 273.68000000, 328.42000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 273.68000000, 54.74000000, 328.42000000, NULL),
(743, 'CF1809-0703', 1, NULL, '', 2050, NULL, '2019-01-03 13:50:26', '2018-09-06 14:46:49', '2018-09-06 14:47:19', '2018-09-06 14:47:19', NULL, '2018-09-06', 5, NULL, 5, 5, NULL, 0, 7, 0, 0.00000000, 0, 0, 1302.00000000, 0.00000000, 0.00000000, 6510.00000000, 7812.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 6510.00000000, 1302.00000000, 7812.00000000, NULL),
(744, 'CF1809-0704', 1, NULL, '', 1948, NULL, '2018-09-11 09:16:31', '2018-09-07 08:54:52', '2018-09-07 08:55:48', '2018-09-07 08:55:48', NULL, '2018-09-11', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 45.31000000, 0.00000000, 0.00000000, 226.55000000, 271.86000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 226.55000000, 45.31000000, 271.86000000, NULL),
(745, 'CF1809-0706', 1, NULL, '', 2609, NULL, '2018-09-17 07:01:14', '2018-09-07 10:14:15', '2018-09-07 10:17:18', '2018-09-07 10:17:18', NULL, '2018-09-07', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 185.08000000, 0.00000000, 0.00000000, 925.40000000, 1110.48000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 925.40000000, 185.08000000, 1110.48000000, NULL),
(746, 'CF1809-0715', 1, NULL, '', 2764, NULL, '2018-10-03 07:10:26', '2018-09-07 10:38:17', '2018-09-12 11:16:00', '2018-09-12 11:16:00', NULL, '2018-09-12', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 39.69000000, 0.00000000, 0.00000000, 198.44000000, 238.13000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 198.44000000, 39.69000000, 238.13000000, NULL),
(747, 'CF1809-0707', 1, NULL, '', 2723, NULL, '2018-10-19 06:31:47', '2018-09-11 11:04:29', '2018-09-11 11:04:44', '2018-09-11 11:04:44', NULL, '2018-09-11', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 30.77000000, 0.00000000, 0.00000000, 153.84000000, 184.61000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 153.84000000, 30.77000000, 184.61000000, NULL),
(748, 'CF1809-0714', 1, NULL, '', 1948, NULL, '2018-09-21 09:00:53', '2018-09-11 11:47:44', '2018-09-12 11:10:19', '2018-09-12 11:10:19', NULL, '2018-09-12', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 13.68000000, 0.00000000, 0.00000000, 68.43000000, 82.11000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 68.43000000, 13.68000000, 82.11000000, NULL),
(749, 'CF1809-0708', 1, NULL, '', 1948, NULL, '2018-09-14 09:34:56', '2018-09-11 16:14:35', '2018-09-11 16:14:57', '2018-09-11 16:14:57', NULL, '2018-09-11', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 222.80000000, 0.00000000, 0.00000000, 1114.00000000, 1336.80000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1114.00000000, 222.80000000, 1336.80000000, NULL),
(750, 'CF1809-0709', 1, NULL, '', 2050, NULL, '2018-09-14 09:37:53', '2018-09-11 16:23:50', '2018-09-11 16:24:54', '2018-09-11 16:24:54', NULL, '2018-09-11', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 169.32000000, 0.00000000, 0.00000000, 846.60000000, 1015.92000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 846.60000000, 169.32000000, 1015.92000000, NULL),
(751, 'CF1809-0710', 1, NULL, '', 2050, NULL, '2019-02-15 09:52:10', '2018-09-11 16:42:37', '2018-09-11 16:42:52', '2018-09-11 16:42:53', NULL, '2018-09-11', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 457.20000000, 0.00000000, 0.00000000, 2286.00000000, 2743.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2286.00000000, 457.20000000, 2743.20000000, NULL),
(752, 'CF1809-0711', 1, NULL, '', 1948, NULL, '2018-09-21 07:50:56', '2018-09-11 16:45:58', '2018-09-11 16:48:57', '2018-09-11 16:48:57', NULL, '2018-09-21', 5, NULL, 5, 5, NULL, 0, 4, 0, 0.00000000, 0, 0, 35.12000000, 0.00000000, 0.00000000, 175.60000000, 210.72000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 175.60000000, 35.12000000, 210.72000000, NULL),
(753, 'CF1809-0712', 1, NULL, '', 2050, NULL, '2018-09-27 12:15:13', '2018-09-11 17:00:46', '2018-09-11 17:01:17', '2018-09-11 17:01:17', NULL, '2018-09-11', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 32.92000000, 0.00000000, 0.00000000, 164.60000000, 197.52000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 164.60000000, 32.92000000, 197.52000000, NULL),
(754, 'CF1809-0713', 1, NULL, '', 1948, NULL, '2019-02-15 09:52:40', '2018-09-12 10:59:01', '2018-09-12 11:01:09', '2018-09-12 11:01:10', NULL, '2018-10-29', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 35.16000000, 0.00000000, 0.00000000, 175.80000000, 210.96000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 175.80000000, 35.16000000, 210.96000000, NULL);
INSERT INTO `llx_commande_fournisseur` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_supplier`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_approve`, `date_approve2`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_approve`, `fk_user_approve2`, `source`, `fk_statut`, `billed`, `amount_ht`, `remise_percent`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `date_livraison`, `fk_account`, `fk_cond_reglement`, `fk_mode_reglement`, `fk_input_method`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`) VALUES
(755, 'CF1809-0716', 1, NULL, '', 1948, NULL, '2018-09-21 09:01:11', '2018-09-13 09:55:44', '2018-09-13 09:56:01', '2018-09-13 09:56:01', NULL, '2018-09-13', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 7.74000000, 0.00000000, 0.00000000, 38.72000000, 46.46000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 38.72000000, 7.74000000, 46.46000000, NULL),
(757, 'CF1809-0717', 1, NULL, '', 1948, NULL, '2018-09-21 09:01:55', '2018-09-13 14:39:33', '2018-09-13 14:40:50', '2018-09-13 14:40:50', NULL, '2018-09-13', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 67.34000000, 0.00000000, 0.00000000, 336.66000000, 404.00000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 336.66000000, 67.34000000, 404.00000000, NULL),
(758, 'CF1809-0718', 1, NULL, '', 2627, NULL, '2018-09-26 12:40:18', '2018-09-13 14:41:16', '2018-09-13 14:42:08', '2018-09-13 14:42:08', NULL, '2018-09-13', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 41.79000000, 0.00000000, 0.00000000, 208.94000000, 250.73000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 208.94000000, 41.79000000, 250.73000000, NULL),
(759, 'CF1809-0719', 1, NULL, '', 1948, NULL, '2018-10-29 13:55:30', '2018-09-13 16:57:57', '2018-09-13 16:58:31', '2018-09-13 16:58:31', NULL, '2018-09-13', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 10.80000000, 0.00000000, 0.00000000, 54.00000000, 64.80000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 54.00000000, 10.80000000, 64.80000000, NULL),
(760, 'CF1809-0726', 1, NULL, '', 1948, NULL, '2018-10-09 08:00:31', '2018-09-14 09:41:54', '2018-09-21 11:27:31', '2018-09-21 11:27:31', NULL, '2018-09-21', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 49.20000000, 0.00000000, 0.00000000, 246.00000000, 295.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 246.00000000, 49.20000000, 295.20000000, NULL),
(761, 'CF1809-0723', 1, NULL, '', 2764, NULL, '2018-09-28 12:09:25', '2018-09-14 09:41:54', '2018-09-21 10:33:15', '2018-09-21 10:33:16', NULL, '2018-09-21', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 10.22000000, 0.00000000, 0.00000000, 51.11000000, 61.33000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 51.11000000, 10.22000000, 61.33000000, NULL),
(762, 'CF1809-0722', 1, NULL, '', 2050, NULL, '2018-10-12 14:54:18', '2018-09-14 09:41:54', '2018-09-21 10:32:18', '2018-09-21 10:32:18', NULL, '2018-09-21', 5, NULL, 5, 5, NULL, 0, 4, 0, 0.00000000, 0, 0, 204.80000000, 0.00000000, 0.00000000, 1024.00000000, 1228.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1024.00000000, 204.80000000, 1228.80000000, NULL),
(763, 'CF1809-0738', 1, NULL, '', 1948, NULL, '2018-10-09 07:58:38', '2018-09-14 15:25:42', '2018-09-26 14:29:40', '2018-09-26 14:29:40', NULL, '2018-09-26', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 30.29000000, 0.00000000, 0.00000000, 151.46000000, 181.75000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 151.46000000, 30.29000000, 181.75000000, NULL),
(764, 'CF1809-0720', 1, NULL, '', 1948, NULL, '2019-02-15 09:52:45', '2018-09-14 15:27:26', '2018-09-14 15:27:36', '2018-09-14 15:27:36', NULL, '2018-09-14', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 5.83000000, 0.00000000, 0.00000000, 29.15000000, 34.98000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 29.15000000, 5.83000000, 34.98000000, NULL),
(765, 'CF1809-0721', 1, NULL, '', 12806, NULL, '2018-09-28 10:03:26', '2018-09-21 09:30:49', '2018-09-21 09:31:42', '2018-09-21 09:31:42', NULL, '2018-09-21', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 34.52000000, 0.00000000, 0.00000000, 172.62000000, 207.14000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 172.62000000, 34.52000000, 207.14000000, NULL),
(766, 'CF1809-0725', 1, NULL, '', 1948, NULL, '2018-09-27 09:27:21', '2018-09-21 10:11:26', '2018-09-21 11:26:14', '2018-09-21 11:26:15', NULL, '2018-09-21', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 31.66000000, 0.00000000, 0.00000000, 158.30000000, 189.96000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 158.30000000, 31.66000000, 189.96000000, NULL),
(767, 'CF1809-0724', 1, NULL, '', 2627, NULL, '2018-10-02 07:02:29', '2018-09-21 10:34:06', '2018-09-21 10:34:55', '2018-09-21 10:34:55', NULL, '2018-09-21', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 62.50000000, 0.00000000, 0.00000000, 312.48000000, 374.98000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 312.48000000, 62.50000000, 374.98000000, NULL),
(768, 'CF1809-0742', 1, NULL, '', 2764, NULL, '2018-10-03 07:09:49', '2018-09-21 11:24:16', '2018-09-27 09:10:53', '2018-09-27 09:10:53', NULL, '2018-09-27', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 8.89000000, 0.00000000, 0.00000000, 44.41000000, 53.30000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 44.41000000, 8.89000000, 53.30000000, NULL),
(769, 'CF1809-0727', 1, NULL, '', 2050, NULL, '2018-09-28 10:22:18', '2018-09-21 15:30:51', '2018-09-21 15:31:21', '2018-09-21 15:31:22', NULL, '2018-09-21', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 41.86000000, 0.00000000, 0.00000000, 209.28000000, 251.14000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 209.28000000, 41.86000000, 251.14000000, NULL),
(770, 'CF1811-0794', 1, NULL, '', 2627, NULL, '2018-11-26 11:16:47', '2018-09-21 15:57:40', '2018-11-19 10:47:04', '2018-11-19 10:47:04', NULL, '2018-11-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 52.08000000, 0.00000000, 0.00000000, 260.40000000, 312.48000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 260.40000000, 52.08000000, 312.48000000, NULL),
(771, 'CF1809-0728', 1, NULL, '', 2050, NULL, '2018-09-28 10:21:48', '2018-09-21 16:18:58', '2018-09-21 16:19:17', '2018-09-21 16:19:18', NULL, '2018-09-28', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 77.00000000, 0.00000000, 0.00000000, 385.00000000, 462.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 385.00000000, 77.00000000, 462.00000000, NULL),
(772, 'CF1809-0729', 1, NULL, '', 2729, NULL, '2018-09-26 12:39:51', '2018-09-21 16:23:21', '2018-09-21 16:24:53', '2018-09-21 16:24:53', NULL, '2018-09-21', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 0.00000000, 0.00000000, 0.00000000, 149.80000000, 149.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 149.80000000, 0.00000000, 149.80000000, NULL),
(773, 'CF1809-0730', 1, NULL, '', 1948, NULL, '2018-10-11 09:44:10', '2018-09-21 16:35:08', '2018-09-21 16:35:47', '2018-09-21 16:35:47', NULL, '2018-09-21', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 50.87000000, 0.00000000, 0.00000000, 254.34000000, 305.21000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 254.34000000, 50.87000000, 305.21000000, NULL),
(774, 'CF1809-0731', 1, NULL, '', 2719, NULL, '2018-09-26 12:41:45', '2018-09-24 11:02:11', '2018-09-24 11:03:00', '2018-09-24 11:03:01', NULL, '2018-09-24', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 15.46000000, 0.00000000, 0.00000000, 77.30000000, 92.76000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 77.30000000, 15.46000000, 92.76000000, NULL),
(775, 'CF1809-0732', 1, NULL, '', 2609, NULL, '2018-09-26 12:41:06', '2018-09-24 11:36:36', '2018-09-24 11:37:58', '2018-09-24 11:37:58', NULL, '2018-09-26', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 73.34000000, 0.00000000, 0.00000000, 366.70000000, 440.04000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 366.70000000, 73.34000000, 440.04000000, NULL),
(776, 'CF1809-0733', 1, NULL, '', 2673, NULL, '2018-09-28 10:10:43', '2018-09-24 11:38:32', '2018-09-24 11:38:52', '2018-09-24 11:38:52', NULL, '2018-09-28', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 78.32000000, 0.00000000, 0.00000000, 391.60000000, 469.92000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 391.60000000, 78.32000000, 469.92000000, NULL),
(777, 'CF1809-0734', 1, NULL, '', 2114, NULL, '2018-09-24 13:51:19', '2018-09-24 15:50:18', '2018-09-24 15:51:19', '2018-09-24 15:51:19', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, 0.00000000, 0, 0, 46.04000000, 0.00000000, 0.00000000, 230.19000000, 276.23000000, '', '', 'muscadet', NULL, NULL, 15, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL),
(778, 'CF1809-0735', 1, NULL, '', 2114, NULL, '2018-09-25 08:00:15', '2018-09-25 09:59:42', '2018-09-25 10:00:15', '2018-09-25 10:00:15', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, 0.00000000, 0, 0, 24.46000000, 0.00000000, 0.00000000, 122.28000000, 146.74000000, '', '', 'muscadet', NULL, NULL, 3, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 122.28000000, 24.46000000, 146.74000000, NULL),
(779, 'CF1809-0736', 1, NULL, '', 2114, NULL, '2018-09-25 08:27:54', '2018-09-25 10:26:11', '2018-09-25 10:27:54', '2018-09-25 10:27:54', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, 0.00000000, 0, 0, 50.00000000, 0.00000000, 0.00000000, 250.00000000, 300.00000000, '', '', 'muscadet', NULL, NULL, 3, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 250.00000000, 50.00000000, 300.00000000, NULL),
(780, 'CF1809-0737', 1, NULL, '', 2768, NULL, '2019-02-15 09:52:49', '2018-09-25 11:07:18', '2018-09-25 11:07:32', '2018-09-25 11:07:32', NULL, '2018-09-25', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 105.80000000, 0.00000000, 0.00000000, 529.00000000, 634.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 529.00000000, 105.80000000, 634.80000000, NULL),
(781, 'CF1809-0739', 1, NULL, '', 2050, NULL, '2019-01-03 13:50:04', '2018-09-26 14:29:14', '2018-09-26 14:33:26', '2018-09-26 14:33:26', NULL, '2018-09-26', 5, NULL, 5, 5, NULL, 0, 7, 0, 0.00000000, 0, 0, 63.40000000, 0.00000000, 0.00000000, 317.00000000, 380.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 317.00000000, 63.40000000, 380.40000000, NULL),
(782, 'CF1809-0740', 1, NULL, '', 2719, NULL, '2018-09-28 10:10:04', '2018-09-26 14:49:42', '2018-09-26 14:51:37', '2018-09-26 14:51:37', NULL, '2018-09-26', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 10.03000000, 0.00000000, 0.00000000, 50.16000000, 60.19000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 50.16000000, 10.03000000, 60.19000000, NULL),
(783, 'CF1809-0743', 1, NULL, '', 2050, NULL, '2018-10-01 07:37:46', '2018-09-27 08:56:12', '2018-09-27 09:13:31', '2018-09-27 09:13:31', NULL, '2018-09-27', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 138.49000000, 0.00000000, 0.00000000, 692.45000000, 830.94000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 692.45000000, 138.49000000, 830.94000000, NULL),
(784, 'CF1809-0744', 1, NULL, '', 1948, NULL, '2018-10-11 09:44:36', '2018-09-27 08:56:12', '2018-09-27 09:18:04', '2018-09-27 09:18:04', NULL, '2018-09-27', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 67.39000000, 0.00000000, 0.00000000, 336.95000000, 404.34000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 336.95000000, 67.39000000, 404.34000000, NULL),
(785, 'CF1809-0741', 1, NULL, '', 1948, NULL, '2018-10-09 07:59:05', '2018-09-27 08:59:08', '2018-09-27 09:04:35', '2018-09-27 09:04:35', NULL, '2018-09-27', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 17.01000000, 0.00000000, 0.00000000, 85.02000000, 102.03000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 85.02000000, 17.01000000, 102.03000000, NULL),
(786, 'CF1809-0745', 1, NULL, '', 2729, NULL, '2019-02-15 09:53:10', '2018-09-27 09:52:23', '2018-09-27 11:33:15', '2018-09-27 11:33:15', NULL, '2018-09-27', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 111.84000000, 0.00000000, 0.00000000, 2935.20000000, 3047.04000000, '', 'Adresse de livraison :<br />\r\nEIFFAGE ROUTE CENTRE EST<br />\r\nEtablissement ISARDROME<br />\r\n101 AVenue du POrt<br />\r\nSalaise sur sanne<br />\r\n38556 SAINT MAURICE L EXIL<br />\r\n0478036401', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2935.20000000, 111.84000000, 3047.04000000, NULL),
(787, 'CF1809-0746', 1, NULL, '', 2740, NULL, '2019-02-15 09:53:14', '2018-09-27 09:52:23', '2018-09-27 09:59:29', '2018-09-27 09:59:29', NULL, '2018-09-27', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 127.83000000, 0.00000000, 0.00000000, 639.16000000, 766.99000000, '', 'Livraison :<br />\r\nEIFFAGE ROUTE CENTRE EST<br />\r\nEtablissement ISARDROME<br />\r\n101 AVenue du port Salaise sur sanne<br />\r\n38556 SAINT MAURICE L EXIL<br />\r\n<br />\r\n0478036401', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 639.16000000, 127.83000000, 766.99000000, NULL),
(788, 'CF1810-0758', 1, NULL, '', 2609, NULL, '2018-10-25 06:34:47', '2018-09-27 10:18:37', '2018-10-12 09:29:12', '2018-10-12 09:29:12', NULL, '2018-10-12', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 145.35000000, 0.00000000, 0.00000000, 726.73000000, 872.08000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 726.73000000, 145.35000000, 872.08000000, NULL),
(789, 'CF1809-0748', 1, NULL, '', 2679, NULL, '2019-02-15 09:53:25', '2018-09-28 12:15:54', '2018-09-28 12:17:18', '2018-09-28 12:17:18', NULL, '2018-09-28', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 12.14000000, 0.00000000, 0.00000000, 60.73000000, 72.87000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 60.73000000, 12.14000000, 72.87000000, NULL),
(790, 'CF1810-0749', 1, NULL, '', 10086, NULL, '2019-02-15 09:53:50', '2018-10-01 15:15:47', '2018-10-01 15:16:14', '2018-10-01 15:16:14', NULL, '2018-10-01', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 23.02000000, 0.00000000, 0.00000000, 115.10000000, 138.12000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 115.10000000, 23.02000000, 138.12000000, NULL),
(791, 'CF1810-0756', 1, NULL, '', 2050, NULL, '2019-01-03 13:49:41', '2018-10-02 15:32:59', '2018-10-10 15:09:35', '2018-10-10 15:09:35', NULL, '2018-10-10', 5, NULL, 5, 5, NULL, 0, 7, 0, 0.00000000, 0, 0, 1173.00000000, 0.00000000, 0.00000000, 5865.00000000, 7038.00000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5865.00000000, 1173.00000000, 7038.00000000, NULL),
(792, 'CF1810-0752', 1, NULL, '', 1948, NULL, '2018-10-11 09:45:07', '2018-10-03 12:21:06', '2018-10-04 09:03:24', '2018-10-04 09:03:24', NULL, '2018-10-04', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 20.04000000, 0.00000000, 0.00000000, 100.21000000, 120.25000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 100.21000000, 20.04000000, 120.25000000, NULL),
(793, 'CF1810-0764', 1, NULL, '', 2740, NULL, '2018-10-19 07:30:06', '2018-10-03 16:17:26', '2018-10-19 09:30:06', '2018-10-19 09:30:06', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, 0.00000000, 0, 0, 97.80000000, 0.00000000, 0.00000000, 489.00000000, 586.80000000, '', '', 'muscadet', NULL, NULL, 15, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 489.00000000, 97.80000000, 586.80000000, NULL),
(794, 'CF1810-0750', 1, NULL, 'A l\'attention de MR DEQUEKER', 2740, NULL, '2018-10-09 08:02:47', '2018-10-03 16:19:50', '2018-10-03 16:20:40', '2018-10-03 16:20:41', NULL, '2018-10-03', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 16.35000000, 0.00000000, 0.00000000, 81.74000000, 98.09000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 81.74000000, 16.35000000, 98.09000000, NULL),
(795, 'CF1810-0751', 1, NULL, '', 2715, NULL, '2019-02-15 09:53:53', '2018-10-03 16:29:35', '2018-10-03 16:29:53', '2018-10-03 16:29:53', NULL, '2018-10-03', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 106.83000000, 0.00000000, 0.00000000, 534.16000000, 640.99000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 534.16000000, 106.83000000, 640.99000000, NULL),
(796, 'CF1810-0753', 1, NULL, '', 2050, NULL, '2018-10-12 14:53:47', '2018-10-09 09:40:10', '2018-10-09 09:40:47', '2018-10-09 09:40:47', NULL, '2018-10-12', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 138.00000000, 0.00000000, 0.00000000, 690.00000000, 828.00000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 690.00000000, 138.00000000, 828.00000000, NULL),
(797, 'CF1810-0754', 1, NULL, '', 1948, NULL, '2018-10-11 09:45:21', '2018-10-09 16:13:13', '2018-10-09 16:13:32', '2018-10-09 16:13:32', NULL, '2018-10-09', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 17.98000000, 0.00000000, 0.00000000, 89.92000000, 107.90000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 89.92000000, 17.98000000, 107.90000000, NULL),
(798, 'CF1810-0757', 1, NULL, '', 2740, NULL, '2018-10-12 14:55:35', '2018-10-10 15:54:52', '2018-10-10 15:55:25', '2018-10-10 15:55:25', NULL, '2018-10-10', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 33.80000000, 0.00000000, 0.00000000, 169.00000000, 202.80000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 169.00000000, 33.80000000, 202.80000000, NULL),
(800, 'CF1810-0759', 1, NULL, '', 2719, NULL, '2018-10-19 08:33:45', '2018-10-12 10:17:50', '2018-10-12 10:18:08', '2018-10-12 10:18:08', NULL, '2018-10-12', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 19.16000000, 0.00000000, 0.00000000, 95.76000000, 114.92000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 95.76000000, 19.16000000, 114.92000000, NULL),
(801, 'CF1810-0760', 1, NULL, '', 2729, NULL, '2019-02-15 09:53:58', '2018-10-12 11:07:12', '2018-10-12 11:09:08', '2018-10-12 11:09:08', NULL, '2018-10-12', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 0.00000000, 0.00000000, 0.00000000, 5037.64000000, 5037.64000000, '', 'compresseur en 10 bars SVP', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5037.64000000, 0.00000000, 5037.64000000, NULL),
(802, 'CF1810-0769', 1, NULL, '', 1948, NULL, '2018-11-20 10:19:27', '2018-10-12 11:07:12', '2018-10-29 14:23:52', '2018-10-29 14:23:53', NULL, '2018-10-29', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 32.32000000, 0.00000000, 0.00000000, 161.59000000, 193.91000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 161.59000000, 32.32000000, 193.91000000, NULL),
(803, 'CF1810-0761', 1, NULL, 'DV170311', 12605, NULL, '2018-10-29 14:10:58', '2018-10-15 15:14:32', '2018-10-15 15:19:54', '2018-10-15 15:19:54', NULL, '2018-10-29', 4, NULL, 4, 4, NULL, 0, 5, 0, 0.00000000, 0, 0, 38.96000000, 0.00000000, 0.00000000, 194.80000000, 233.76000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 194.80000000, 38.96000000, 233.76000000, NULL),
(804, 'CF1810-0777', 1, NULL, '', 2729, NULL, '2019-02-15 09:57:29', '2018-10-18 10:00:12', '2018-10-30 11:57:14', '2018-10-30 11:57:15', NULL, '2018-10-30', 4, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 0.00000000, 0.00000000, 0.00000000, 6830.45000000, 6830.45000000, '', 'Vu avec Stephane Bergeret', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 6830.45000000, 0.00000000, 6830.45000000, NULL),
(805, 'CF1810-0762', 1, NULL, '', 2729, NULL, '2018-10-18 08:40:38', '2018-10-18 10:11:04', '2018-10-18 10:40:38', '2018-10-18 10:40:38', NULL, NULL, 4, NULL, 4, 4, NULL, 0, 2, 0, 0.00000000, 0, 0, 0.00000000, 0.00000000, 0.00000000, 5832.00000000, 5832.00000000, '', '', 'muscadet', NULL, NULL, 15, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5832.00000000, 0.00000000, 5832.00000000, NULL),
(806, 'CF1810-0763', 1, NULL, '', 2729, NULL, '2018-10-29 14:08:17', '2018-10-18 10:48:47', '2018-10-18 10:51:34', '2018-10-18 10:51:34', NULL, '2018-10-29', 4, NULL, 4, 4, NULL, 0, 5, 0, 0.00000000, 0, 0, 0.00000000, 0.00000000, 0.00000000, 107.10000000, 107.10000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 107.10000000, 0.00000000, 107.10000000, NULL),
(807, 'CF1811-0780', 1, NULL, '', 2673, NULL, '2018-11-12 12:48:29', '2018-10-19 09:02:48', '2018-11-06 16:39:34', '2018-11-06 16:39:34', NULL, '2018-11-12', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 93.97000000, 0.00000000, 0.00000000, 469.83000000, 563.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 469.83000000, 93.97000000, 563.80000000, NULL),
(808, 'CF1810-0771', 1, NULL, '', 2740, NULL, '2018-10-31 15:13:41', '2018-10-19 09:05:10', '2018-10-29 16:25:15', '2018-10-29 16:25:15', NULL, '2018-10-29', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 17.61000000, 0.00000000, 0.00000000, 88.06000000, 105.67000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 88.06000000, 17.61000000, 105.67000000, NULL),
(809, 'CF1810-0765', 1, NULL, '', 2673, NULL, '2018-10-25 06:30:54', '2018-10-19 09:17:54', '2018-10-19 09:55:19', '2018-10-19 09:55:19', NULL, '2018-10-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 25.30000000, 0.00000000, 0.00000000, 126.50000000, 151.80000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 126.50000000, 25.30000000, 151.80000000, NULL),
(810, 'CF1810-0766', 1, NULL, '', 2050, NULL, '2018-10-29 14:13:44', '2018-10-22 08:05:10', '2018-10-22 08:13:22', '2018-10-22 08:13:22', NULL, '2018-10-22', 4, NULL, 4, 4, NULL, 0, 5, 0, 0.00000000, 0, 0, 257.00000000, 0.00000000, 0.00000000, 1285.00000000, 1542.00000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1285.00000000, 257.00000000, 1542.00000000, NULL),
(811, 'CF1810-0767', 1, NULL, '', 10086, NULL, '2018-10-29 14:11:33', '2018-10-22 08:33:19', '2018-10-22 08:48:43', '2018-10-22 08:48:43', NULL, '2018-10-29', 4, NULL, 4, 4, NULL, 0, 5, 0, 0.00000000, 0, 0, 56.30000000, 0.00000000, 0.00000000, 281.52000000, 337.82000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 281.52000000, 56.30000000, 337.82000000, NULL),
(813, 'CF1810-0768', 1, NULL, '', 2050, NULL, '2019-01-03 13:49:17', '2018-10-23 10:03:25', '2018-10-23 10:20:01', '2018-10-23 10:20:02', NULL, '2019-01-03', 4, NULL, 4, 4, NULL, 0, 7, 0, 0.00000000, 0, 0, 1665.66000000, 0.00000000, 0.00000000, 8328.30000000, 9993.96000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 8328.30000000, 1665.66000000, 9993.96000000, NULL),
(814, 'CF1810-0770', 1, NULL, '', 2050, NULL, '2018-11-05 09:59:23', '2018-10-29 15:57:24', '2018-10-29 15:57:50', '2018-10-29 15:57:50', NULL, '2018-10-29', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 192.12000000, 0.00000000, 0.00000000, 960.60000000, 1152.72000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 960.60000000, 192.12000000, 1152.72000000, NULL),
(815, 'CF1810-0772', 1, NULL, '', 1948, NULL, '2018-10-31 15:14:20', '2018-10-29 16:35:33', '2018-10-29 16:35:54', '2018-10-29 16:35:54', NULL, '2018-10-29', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 14.92000000, 0.00000000, 0.00000000, 74.60000000, 89.52000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 74.60000000, 14.92000000, 89.52000000, NULL),
(816, 'CF1810-0776', 1, NULL, '', 1948, NULL, '2019-02-15 09:54:28', '2018-10-29 16:37:28', '2018-10-30 11:17:22', '2018-10-30 11:17:22', NULL, '2018-10-30', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 177.50000000, 0.00000000, 0.00000000, 887.50000000, 1065.00000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 887.50000000, 177.50000000, 1065.00000000, NULL),
(817, 'CF1810-0773', 1, NULL, '', 1948, NULL, '2018-10-31 15:14:46', '2018-10-29 16:40:59', '2018-10-29 16:41:32', '2018-10-29 16:41:32', NULL, '2018-10-29', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 17.22000000, 0.00000000, 0.00000000, 86.12000000, 103.34000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 86.12000000, 17.22000000, 103.34000000, NULL),
(818, 'CF1810-0774', 1, NULL, '', 1948, NULL, '2019-02-15 09:54:22', '2018-10-29 16:41:58', '2018-10-29 16:43:18', '2018-10-29 16:43:19', NULL, '2018-10-29', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 9.24000000, 0.00000000, 0.00000000, 46.20000000, 55.44000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 46.20000000, 9.24000000, 55.44000000, NULL),
(819, 'CF1810-0775', 1, NULL, '', 12754, NULL, '2018-10-30 08:22:33', '2018-10-30 09:22:08', '2018-10-30 09:22:32', '2018-10-30 09:22:33', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, 0.00000000, 0, 0, 76.40000000, 0.00000000, 0.00000000, 382.00000000, 458.40000000, '', '', 'muscadet', NULL, NULL, 15, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 382.00000000, 76.40000000, 458.40000000, NULL),
(820, 'CF1811-0788', 1, NULL, '', 2050, NULL, '2018-11-19 09:32:09', '2018-11-05 09:07:38', '2018-11-13 16:25:20', '2018-11-13 16:25:20', NULL, '2018-11-13', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 152.00000000, 0.00000000, 0.00000000, 760.00000000, 912.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 760.00000000, 152.00000000, 912.00000000, NULL),
(821, 'CF1811-0778', 1, NULL, '', 2740, NULL, '2018-11-05 14:41:03', '2018-11-05 15:40:37', '2018-11-05 15:41:03', '2018-11-05 15:41:03', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, 0.00000000, 0, 0, 78.10000000, 0.00000000, 0.00000000, 390.50000000, 468.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 390.50000000, 78.10000000, 468.60000000, NULL),
(822, 'CF1811-0779', 1, NULL, '', 2740, NULL, '2019-02-15 09:54:33', '2018-11-06 08:57:15', '2018-11-06 08:58:18', '2018-11-06 08:58:19', NULL, '2018-11-06', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 78.10000000, 0.00000000, 0.00000000, 390.50000000, 468.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 390.50000000, 78.10000000, 468.60000000, NULL),
(823, 'CF1811-0781', 1, NULL, '', 1948, NULL, '2018-11-13 13:56:37', '2018-11-08 11:03:47', '2018-11-08 11:04:04', '2018-11-08 11:04:04', NULL, '2018-11-08', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 12.10000000, 0.00000000, 0.00000000, 60.50000000, 72.60000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 60.50000000, 12.10000000, 72.60000000, NULL),
(824, 'CF1811-0782', 1, NULL, '', 1948, NULL, '2018-11-13 13:56:22', '2018-11-08 11:51:49', '2018-11-08 11:52:02', '2018-11-08 11:52:03', NULL, '2018-11-08', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 38.06000000, 0.00000000, 0.00000000, 190.30000000, 228.36000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 190.30000000, 38.06000000, 228.36000000, NULL),
(826, 'CF1811-0783', 1, NULL, '', 1948, NULL, '2018-11-13 13:57:11', '2018-11-09 11:27:22', '2018-11-09 11:27:43', '2018-11-09 11:27:43', NULL, '2018-11-09', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 12.92000000, 0.00000000, 0.00000000, 64.59000000, 77.51000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 64.59000000, 12.92000000, 77.51000000, NULL),
(828, 'CF1811-0784', 1, NULL, '', 2764, NULL, '2018-11-16 15:31:33', '2018-11-09 11:27:22', '2018-11-09 11:28:20', '2018-11-09 11:28:20', NULL, '2018-11-16', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 3.14000000, 0.00000000, 0.00000000, 15.72000000, 18.86000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 15.72000000, 3.14000000, 18.86000000, NULL),
(829, 'CF1811-0785', 1, NULL, '', 1948, NULL, '2018-11-13 13:57:35', '2018-11-09 14:13:39', '2018-11-09 14:13:59', '2018-11-09 14:14:00', NULL, '2018-11-09', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 46.47000000, 0.00000000, 0.00000000, 232.35000000, 278.82000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 232.35000000, 46.47000000, 278.82000000, NULL),
(830, 'CF1811-0786', 1, NULL, '', 2673, NULL, '2018-11-16 13:09:21', '2018-11-12 09:31:23', '2018-11-12 09:35:18', '2018-11-12 09:35:19', NULL, '2018-11-12', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 95.37000000, 0.00000000, 0.00000000, 476.85000000, 572.22000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 476.85000000, 95.37000000, 572.22000000, NULL),
(831, 'CF1811-0787', 1, NULL, '', 12632, NULL, '2019-02-15 09:57:40', '2018-11-12 10:59:47', '2018-11-12 11:01:34', '2018-11-12 11:01:35', NULL, '2018-11-12', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 106.00000000, 0.00000000, 0.00000000, 530.00000000, 636.00000000, '', 'Commande suivant devis&nbsp;21321 .', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 530.00000000, 106.00000000, 636.00000000, NULL),
(833, 'CF1811-0789', 1, NULL, '01tsr12102018', 2114, NULL, '2018-11-15 14:45:44', '2018-11-15 15:44:00', '2018-11-15 15:45:44', '2018-11-15 15:45:44', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, 0.00000000, 0, 0, 98.26000000, 0.00000000, 0.00000000, 491.30000000, 589.56000000, '', '', 'muscadet', NULL, NULL, 15, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 491.30000000, 98.26000000, 589.56000000, NULL),
(834, 'CF1811-0790', 1, NULL, '', 2609, NULL, '2018-11-21 12:59:24', '2018-11-16 09:34:33', '2018-11-16 09:35:59', '2018-11-16 09:35:59', NULL, '2018-11-16', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 93.80000000, 0.00000000, 0.00000000, 469.00000000, 562.80000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 469.00000000, 93.80000000, 562.80000000, NULL),
(835, 'CF1811-0791', 1, NULL, '', 2050, NULL, '2018-11-21 13:28:59', '2018-11-19 10:31:44', '2018-11-19 10:32:38', '2018-11-19 10:32:38', NULL, '2018-11-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 85.18000000, 0.00000000, 0.00000000, 425.92000000, 511.10000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 425.92000000, 85.18000000, 511.10000000, NULL),
(836, 'CF1811-0792', 1, NULL, '', 1948, NULL, '2018-11-27 12:54:33', '2018-11-19 10:43:09', '2018-11-19 10:43:49', '2018-11-19 10:43:49', NULL, '2018-11-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 10.21000000, 0.00000000, 0.00000000, 51.04000000, 61.25000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 51.04000000, 10.21000000, 61.25000000, NULL),
(837, 'CF1811-0793', 1, NULL, '', 2050, NULL, '2018-11-21 08:01:12', '2018-11-19 10:43:09', '2018-11-19 10:44:44', '2018-11-19 10:44:44', NULL, '2018-11-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 99.20000000, 0.00000000, 0.00000000, 496.00000000, 595.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 496.00000000, 99.20000000, 595.20000000, NULL),
(838, 'CF1811-0795', 1, NULL, 'LT17092018-18', 2772, NULL, '2019-02-15 09:57:18', '2018-11-20 15:40:36', '2018-11-20 15:40:59', '2018-11-20 15:40:59', NULL, '2018-11-20', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 142.00000000, 0.00000000, 0.00000000, 710.00000000, 852.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 710.00000000, 142.00000000, 852.00000000, NULL),
(839, 'CF1811-0796', 1, NULL, '', 2627, NULL, '2018-12-14 13:08:46', '2018-11-20 15:48:23', '2018-11-20 15:49:03', '2018-11-20 15:49:03', NULL, '2018-11-20', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 41.42000000, 0.00000000, 0.00000000, 207.08000000, 248.50000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 207.08000000, 41.42000000, 248.50000000, NULL),
(840, 'CF1811-0797', 1, NULL, '', 12678, NULL, '2018-12-07 15:02:28', '2018-11-20 17:47:34', '2018-11-20 17:48:19', '2018-11-20 17:48:19', NULL, '2018-11-20', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 104.85000000, 0.00000000, 0.00000000, 524.25000000, 629.10000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 524.25000000, 104.85000000, 629.10000000, NULL),
(841, 'CF1811-0798', 1, NULL, '', 1948, NULL, '2018-12-21 09:17:43', '2018-11-22 08:44:26', '2018-11-22 08:45:19', '2018-11-22 08:45:19', NULL, '2018-11-22', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 93.13000000, 0.00000000, 0.00000000, 465.68000000, 558.81000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 465.68000000, 93.13000000, 558.81000000, NULL),
(842, 'CF1811-0799', 1, NULL, '', 2050, NULL, '2018-11-23 13:55:15', '2018-11-22 08:44:26', '2018-11-22 08:45:57', '2018-11-22 08:45:57', NULL, '2018-11-22', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 124.80000000, 0.00000000, 0.00000000, 624.00000000, 748.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 624.00000000, 124.80000000, 748.80000000, NULL),
(843, 'CF1811-0800', 1, NULL, '', 1948, NULL, '2018-11-27 12:56:40', '2018-11-23 09:11:00', '2018-11-23 09:11:30', '2018-11-23 09:11:30', NULL, '2018-11-27', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 24.46000000, 0.00000000, 0.00000000, 122.32000000, 146.78000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 122.32000000, 24.46000000, 146.78000000, NULL),
(844, 'CF1811-0801', 1, NULL, '', 1948, NULL, '2018-11-27 12:57:03', '2018-11-23 09:12:33', '2018-11-23 09:13:01', '2018-11-23 09:13:01', NULL, '2018-11-23', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 5.47000000, 0.00000000, 0.00000000, 27.37000000, 32.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 27.37000000, 5.47000000, 32.84000000, NULL),
(846, 'CF1811-0802', 1, NULL, '', 2673, NULL, '2018-12-03 09:47:26', '2018-11-28 10:34:22', '2018-11-28 10:39:18', '2018-11-28 10:39:18', NULL, '2018-11-28', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 67.01000000, 0.00000000, 0.00000000, 335.00000000, 402.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 335.00000000, 67.00000000, 402.00000000, NULL),
(847, 'CF1811-0803', 1, NULL, '', 2673, NULL, '2018-12-03 09:47:40', '2018-11-29 09:02:50', '2018-11-29 09:03:15', '2018-11-29 09:03:15', NULL, '2018-11-29', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 19.79000000, 0.00000000, 0.00000000, 98.94000000, 118.73000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 98.94000000, 19.79000000, 118.73000000, NULL),
(848, 'CF1811-0804', 1, NULL, '', 1948, NULL, '2020-07-20 08:47:58', '2018-11-29 15:38:55', '2018-11-29 15:39:42', '2018-11-29 15:39:42', NULL, '2018-11-29', 5, NULL, 5, 5, NULL, 0, 7, 0, 0.00000000, 0, 0, 320.20000000, 0.00000000, 0.00000000, 1601.00000000, 1921.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1601.00000000, 320.20000000, 1921.20000000, NULL),
(849, 'CF1811-0805', 1, NULL, '', 2114, NULL, '2018-11-30 08:25:45', '2018-11-30 09:20:14', '2018-11-30 09:25:45', '2018-11-30 09:25:45', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, 0.00000000, 0, 0, 584.82000000, 0.00000000, 0.00000000, 2924.09000000, 3508.91000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2924.09000000, 584.82000000, 3508.91000000, NULL),
(850, 'CF1811-0806', 1, NULL, '', 2114, NULL, '2018-11-30 08:34:07', '2018-11-30 09:30:53', '2018-11-30 09:34:07', '2018-11-30 09:34:07', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, 0.00000000, 0, 0, 95.11000000, 0.00000000, 0.00000000, 475.54000000, 570.65000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 475.54000000, 95.11000000, 570.65000000, NULL),
(851, 'CF1811-0807', 1, NULL, '', 2747, NULL, '2018-12-12 13:08:07', '2018-11-30 09:50:32', '2018-11-30 09:50:46', '2018-11-30 09:50:46', NULL, '2018-12-12', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 538.76000000, 0.00000000, 0.00000000, 2693.80000000, 3232.56000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2693.80000000, 538.76000000, 3232.56000000, NULL),
(852, 'CF1812-0808', 1, NULL, '', 1948, NULL, '2018-12-12 13:04:50', '2018-12-03 10:48:20', '2018-12-03 10:51:42', '2018-12-03 10:51:42', NULL, '2018-12-03', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 17.98000000, 0.00000000, 0.00000000, 89.92000000, 107.90000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 89.92000000, 17.98000000, 107.90000000, NULL),
(853, 'CF1812-0809', 1, NULL, '', 2050, NULL, '2018-12-12 08:19:21', '2018-12-03 10:49:20', '2018-12-03 10:53:19', '2018-12-03 10:53:19', NULL, '2018-12-03', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 590.40000000, 0.00000000, 0.00000000, 2952.00000000, 3542.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2952.00000000, 590.40000000, 3542.40000000, NULL),
(854, 'CF1812-0810', 1, NULL, '', 2764, NULL, '2018-12-05 15:31:44', '2018-12-03 10:49:20', '2018-12-03 10:54:03', '2018-12-03 10:54:04', NULL, '2018-12-03', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 15.08000000, 0.00000000, 0.00000000, 75.45000000, 90.53000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 75.45000000, 15.08000000, 90.53000000, NULL),
(855, 'CF1812-0831', 1, NULL, '', 2627, NULL, '2019-01-09 13:04:59', '2018-12-03 10:50:39', '2018-12-21 09:40:28', '2018-12-21 09:40:28', NULL, '2018-12-21', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 79.48000000, 0.00000000, 0.00000000, 397.42000000, 476.90000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 397.42000000, 79.48000000, 476.90000000, NULL),
(856, 'CF1812-0811', 1, NULL, '', 2673, NULL, '2019-02-15 09:57:54', '2018-12-03 14:22:40', '2018-12-03 14:36:37', '2018-12-03 14:36:37', NULL, '2018-12-03', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 66.15000000, 0.00000000, 0.00000000, 330.34000000, 396.91000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 330.34000000, 66.06000000, 396.40000000, NULL),
(857, 'CF1812-0812', 1, NULL, '', 1948, NULL, '2018-12-12 13:05:10', '2018-12-04 09:04:50', '2018-12-04 09:05:41', '2018-12-04 09:05:41', NULL, '2018-12-04', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 15.22000000, 0.00000000, 0.00000000, 76.08000000, 91.30000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 76.08000000, 15.22000000, 91.30000000, NULL),
(858, 'CF1812-0813', 1, NULL, '', 1948, NULL, '2018-12-12 13:05:33', '2018-12-04 09:15:33', '2018-12-04 09:15:51', '2018-12-04 09:15:51', NULL, '2018-12-04', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 20.92000000, 0.00000000, 0.00000000, 104.60000000, 125.52000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 104.60000000, 20.92000000, 125.52000000, NULL),
(859, 'CF1812-0814', 1, NULL, '', 2673, NULL, '2018-12-07 14:19:43', '2018-12-04 14:43:32', '2018-12-04 14:49:05', '2018-12-04 14:49:05', NULL, '2018-12-04', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 28.48000000, 0.00000000, 0.00000000, 142.23000000, 170.86000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 142.23000000, 28.44000000, 170.67000000, NULL),
(860, 'CF1812-0815', 1, NULL, '', 2050, NULL, '2018-12-12 13:49:42', '2018-12-04 15:52:27', '2018-12-04 15:53:12', '2018-12-04 15:53:13', NULL, '2018-12-04', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 26.78000000, 0.00000000, 0.00000000, 133.91000000, 160.69000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 133.91000000, 26.78000000, 160.69000000, NULL),
(861, 'CF1812-0816', 1, NULL, '', 2642, NULL, '2019-01-10 09:39:22', '2018-12-04 16:53:55', '2018-12-04 16:54:27', '2018-12-04 16:54:28', NULL, '2019-01-10', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 32.76000000, 0.00000000, 0.00000000, 163.80000000, 196.56000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 163.80000000, 32.76000000, 196.56000000, NULL),
(862, 'CF1812-0817', 1, NULL, '', 1948, NULL, '2018-12-12 13:06:06', '2018-12-05 09:31:14', '2018-12-06 10:05:38', '2018-12-06 10:05:39', NULL, '2018-12-06', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 24.42000000, 0.00000000, 0.00000000, 122.10000000, 146.52000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 122.10000000, 24.42000000, 146.52000000, NULL),
(863, 'CF1812-0818', 1, NULL, '', 2764, NULL, '2018-12-11 13:20:16', '2018-12-06 10:04:34', '2018-12-07 10:35:11', '2018-12-07 10:35:11', NULL, '2018-12-07', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 3.14000000, 0.00000000, 0.00000000, 15.72000000, 18.86000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 15.72000000, 3.14000000, 18.86000000, NULL),
(864, 'CF1812-0819', 1, NULL, '', 2723, NULL, '2019-01-10 13:26:56', '2018-12-11 09:24:01', '2018-12-11 09:32:58', '2018-12-11 09:32:58', NULL, '2018-12-11', 5, NULL, 5, 5, NULL, 0, 4, 0, 0.00000000, 0, 0, 15.84000000, 0.00000000, 0.00000000, 647.24000000, 663.08000000, '', 'suivant op N&deg;31806241 du 07/12/2018', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 647.24000000, 15.84000000, 663.08000000, NULL),
(865, 'CF1812-0820', 1, NULL, '', 2673, NULL, '2020-07-20 12:43:34', '2018-12-11 14:36:31', '2018-12-11 14:36:53', '2018-12-11 14:36:53', NULL, '2018-12-11', 5, NULL, 5, 5, NULL, 0, 7, 0, 0.00000000, 0, 0, 19.32000000, 0.00000000, 0.00000000, 96.60000000, 115.92000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 96.60000000, 19.32000000, 115.92000000, NULL),
(866, 'CF1812-0821', 1, NULL, '', 1948, NULL, '2018-12-21 09:18:10', '2018-12-13 09:35:42', '2018-12-13 09:38:35', '2018-12-13 09:38:36', NULL, '2018-12-13', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 40.89000000, 0.00000000, 0.00000000, 204.45000000, 245.34000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 204.45000000, 40.89000000, 245.34000000, NULL),
(867, 'CF1812-0822', 1, NULL, '', 2050, NULL, '2018-12-17 14:37:13', '2018-12-13 15:27:09', '2018-12-13 15:27:34', '2018-12-13 15:27:34', NULL, '2018-12-13', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 42.60000000, 0.00000000, 0.00000000, 213.00000000, 255.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 213.00000000, 42.60000000, 255.60000000, NULL),
(868, 'CF1812-0823', 1, NULL, '', 1948, NULL, '2018-12-21 09:18:29', '2018-12-14 14:17:41', '2018-12-14 14:18:25', '2018-12-14 14:18:25', NULL, '2018-12-14', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 28.64000000, 0.00000000, 0.00000000, 143.22000000, 171.86000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 143.22000000, 28.64000000, 171.86000000, NULL),
(869, 'CF1812-0824', 1, NULL, '', 2050, NULL, '2019-01-10 14:40:46', '2018-12-17 15:07:56', '2018-12-17 15:09:24', '2018-12-17 15:09:24', NULL, '2018-12-17', 5, NULL, 5, 5, NULL, 0, 4, 0, 0.00000000, 0, 0, 74.87000000, 0.00000000, 0.00000000, 374.34000000, 449.21000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 374.34000000, 74.87000000, 449.21000000, NULL),
(870, 'CF1812-0825', 1, NULL, '', 1948, NULL, '2019-01-28 07:59:51', '2018-12-18 09:16:27', '2018-12-18 09:16:45', '2018-12-18 09:16:45', NULL, '2018-12-18', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 51.42000000, 0.00000000, 0.00000000, 257.10000000, 308.52000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 257.10000000, 51.42000000, 308.52000000, NULL),
(871, 'CF1812-0826', 1, NULL, '', 2673, NULL, '2020-07-20 12:44:05', '2018-12-18 14:48:57', '2018-12-18 14:52:25', '2018-12-18 14:52:25', NULL, '2018-12-18', 5, NULL, 5, 5, NULL, 0, 7, 0, 0.00000000, 0, 0, 107.76000000, 0.00000000, 0.00000000, 538.40000000, 646.56000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 538.40000000, 107.68000000, 646.08000000, NULL),
(872, 'CF1812-0827', 1, NULL, '', 2761, NULL, '2018-12-19 13:26:10', '2018-12-19 14:25:03', '2018-12-19 14:26:09', '2018-12-19 14:26:10', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, 0.00000000, 0, 0, 44.96000000, 0.00000000, 0.00000000, 224.80000000, 269.76000000, '', '', 'muscadet', NULL, NULL, 3, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 224.80000000, 44.96000000, 269.76000000, NULL),
(873, 'CF1812-0828', 1, NULL, '', 1966, NULL, '2019-02-15 09:55:07', '2018-12-19 15:15:36', '2018-12-19 16:19:28', '2018-12-19 16:19:28', NULL, '2018-12-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 722.00000000, 0.00000000, 0.00000000, 3750.00000000, 4472.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3750.00000000, 722.00000000, 4472.00000000, NULL),
(876, 'CF1812-0829', 1, NULL, '', 2050, NULL, '2019-02-08 08:24:02', '2018-12-20 09:02:58', '2018-12-20 09:04:48', '2018-12-20 09:04:49', NULL, '2018-12-20', 5, NULL, 5, 5, NULL, 0, 4, 0, 0.00000000, 0, 0, 64.80000000, 0.00000000, 0.00000000, 324.00000000, 388.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 324.00000000, 64.80000000, 388.80000000, NULL),
(877, 'CF1902-0913', 1, NULL, '', 2609, NULL, '2019-02-28 13:57:30', '2018-12-20 11:39:44', '2019-02-19 15:31:44', '2019-02-19 15:31:44', NULL, '2019-02-19', 5, NULL, 5, 5, NULL, 0, 4, 0, 0.00000000, 0, 0, 289.14000000, 0.00000000, 0.00000000, 1445.70000000, 1734.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1445.70000000, 289.14000000, 1734.84000000, NULL),
(878, 'CF1812-0830', 1, NULL, '', 1948, NULL, '2019-01-18 13:43:42', '2018-12-20 16:39:45', '2018-12-20 16:40:03', '2018-12-20 16:40:03', NULL, '2019-01-04', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 99.44000000, 0.00000000, 0.00000000, 497.14000000, 596.58000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 497.14000000, 99.44000000, 596.58000000, NULL),
(879, 'CF1812-0832', 1, NULL, '', 2050, NULL, '2020-07-20 12:44:53', '2018-12-21 08:54:57', '2018-12-21 09:44:47', '2018-12-21 09:44:47', NULL, '2018-12-21', 5, NULL, 5, 5, NULL, 0, 7, 0, 0.00000000, 0, 0, 56.80000000, 0.00000000, 0.00000000, 284.00000000, 340.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 284.00000000, 56.80000000, 340.80000000, NULL),
(880, 'CF1812-0833', 1, NULL, '', 2050, NULL, '2019-01-03 13:54:55', '2018-12-26 10:38:02', '2018-12-26 10:39:03', '2018-12-26 10:39:03', NULL, '2018-12-26', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 80.00000000, 0.00000000, 0.00000000, 400.00000000, 480.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 400.00000000, 80.00000000, 480.00000000, NULL),
(881, 'CF1812-0834', 1, NULL, '', 2627, NULL, '2019-02-21 13:35:40', '2018-12-26 10:38:02', '2018-12-27 10:21:06', '2018-12-27 10:21:06', NULL, '2018-12-27', 5, NULL, 5, 5, NULL, 0, 4, 0, 0.00000000, 0, 0, 65.72000000, 0.00000000, 0.00000000, 328.60000000, 394.32000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 328.60000000, 65.72000000, 394.32000000, NULL),
(882, 'CF1812-0837', 1, NULL, '', 1948, NULL, '2019-01-04 10:18:42', '2018-12-26 15:41:14', '2018-12-27 10:26:03', '2018-12-27 10:26:03', NULL, '2018-12-27', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 14.85000000, 0.00000000, 0.00000000, 74.24000000, 89.09000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 74.24000000, 14.85000000, 89.09000000, NULL),
(883, 'CF1812-0836', 1, NULL, '', 2764, NULL, '2019-01-28 08:09:51', '2018-12-26 16:07:50', '2018-12-27 10:25:39', '2018-12-27 10:25:40', NULL, '2018-12-27', 5, NULL, 5, 5, NULL, 0, 4, 0, 0.00000000, 0, 0, 5.23000000, 0.00000000, 0.00000000, 26.16000000, 31.39000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 26.16000000, 5.23000000, 31.39000000, NULL);
INSERT INTO `llx_commande_fournisseur` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_supplier`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_approve`, `date_approve2`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_approve`, `fk_user_approve2`, `source`, `fk_statut`, `billed`, `amount_ht`, `remise_percent`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `date_livraison`, `fk_account`, `fk_cond_reglement`, `fk_mode_reglement`, `fk_input_method`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`) VALUES
(884, 'CF1812-0835', 1, NULL, '', 2050, NULL, '2019-01-03 13:54:33', '2018-12-26 16:07:50', '2018-12-27 10:25:10', '2018-12-27 10:25:11', NULL, '2018-12-27', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 108.79000000, 0.00000000, 0.00000000, 543.96000000, 652.75000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 543.96000000, 108.79000000, 652.75000000, NULL),
(885, 'CF1812-0838', 1, NULL, '', 1948, NULL, '2019-01-14 14:03:07', '2018-12-28 09:29:38', '2018-12-28 09:30:09', '2018-12-28 09:30:10', NULL, '2018-12-28', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 44.77000000, 0.00000000, 0.00000000, 223.85000000, 268.62000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 223.85000000, 44.77000000, 268.62000000, NULL),
(886, 'CF1901-0839', 1, NULL, '', 1948, NULL, '2019-01-04 10:20:42', '2019-01-02 11:36:17', '2019-01-02 11:40:34', '2019-01-02 11:40:34', NULL, '2019-01-02', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 22.18000000, 0.00000000, 0.00000000, 110.88000000, 133.06000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 110.88000000, 22.18000000, 133.06000000, NULL),
(887, 'CF1901-0840', 1, NULL, '', 1948, NULL, '2019-01-04 10:21:42', '2019-01-03 09:15:13', '2019-01-03 09:16:24', '2019-01-03 09:16:24', NULL, '2019-01-03', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 2.03000000, 0.00000000, 0.00000000, 10.16000000, 12.19000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 10.16000000, 2.03000000, 12.19000000, NULL),
(888, 'CF1901-0841', 1, NULL, '', 2764, NULL, '2019-02-11 13:15:46', '2019-01-03 11:16:48', '2019-01-03 11:23:31', '2019-01-03 11:23:31', NULL, '2019-01-03', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 20.63000000, 0.00000000, 0.00000000, 103.20000000, 123.83000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 103.20000000, 20.63000000, 123.83000000, NULL),
(889, 'CF1901-0842', 1, NULL, '21exsto03012019', 2114, NULL, '2019-01-03 15:00:54', '2019-01-03 15:59:50', '2019-01-03 16:00:54', '2019-01-03 16:00:54', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, 0.00000000, 0, 0, 47.81000000, 0.00000000, 0.00000000, 239.04000000, 286.85000000, '', '', 'muscadet', NULL, NULL, 3, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 239.04000000, 47.81000000, 286.85000000, NULL),
(890, 'CF1901-0843', 1, NULL, '', 2114, NULL, '2020-07-20 12:37:18', '2019-01-03 16:12:59', '2019-01-03 16:15:49', '2019-01-03 16:15:49', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, 0.00000000, 0, 0, 1027.27000000, 0.00000000, 0.00000000, 5136.37000000, 6163.64000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5136.37000000, 1027.27000000, 6163.64000000, NULL),
(891, 'CF1901-0881', 1, NULL, '', 2050, NULL, '2020-07-20 12:53:41', '2019-01-04 09:26:20', '2019-01-31 14:30:12', '2019-01-31 14:30:12', NULL, '2019-01-31', 5, NULL, 5, 5, NULL, 0, 7, 0, 0.00000000, 0, 0, 265.06000000, 0.00000000, 0.00000000, 1325.32000000, 1590.38000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1325.32000000, 265.06000000, 1590.38000000, NULL),
(892, 'CF1901-0844', 1, NULL, '', 2740, NULL, '2019-02-15 09:56:40', '2019-01-08 08:57:12', '2019-01-08 08:57:41', '2019-01-08 08:57:42', NULL, '2019-01-08', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 17.61000000, 0.00000000, 0.00000000, 88.06000000, 105.67000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 88.06000000, 17.61000000, 105.67000000, NULL),
(893, 'CF1901-0845', 1, NULL, '', 2740, NULL, '2019-02-15 09:56:45', '2019-01-08 10:02:20', '2019-01-08 10:03:53', '2019-01-08 10:03:53', NULL, '2019-01-08', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 185.20000000, 0.00000000, 0.00000000, 926.00000000, 1111.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 926.00000000, 185.20000000, 1111.20000000, NULL),
(894, 'CF1901-0846', 1, NULL, '', 1948, NULL, '2019-01-18 13:39:18', '2019-01-08 14:25:56', '2019-01-08 14:26:11', '2019-01-08 14:26:11', NULL, '2019-01-08', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 3.53000000, 0.00000000, 0.00000000, 17.64000000, 21.17000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 17.64000000, 3.53000000, 21.17000000, NULL),
(895, 'CF1901-0847', 1, NULL, '', 2764, NULL, '2019-01-28 08:08:44', '2019-01-08 14:25:56', '2019-01-08 14:28:32', '2019-01-08 14:28:32', NULL, '2019-01-08', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 5.15000000, 0.00000000, 0.00000000, 25.75000000, 30.90000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 25.75000000, 5.15000000, 30.90000000, NULL),
(896, 'CF1901-0848', 1, NULL, '', 12620, NULL, '2019-02-20 14:13:55', '2019-01-09 16:48:26', '2019-01-09 16:48:52', '2019-01-09 16:48:52', NULL, '2019-01-09', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 7.16000000, 0.00000000, 0.00000000, 35.80000000, 42.96000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 35.80000000, 7.16000000, 42.96000000, NULL),
(898, 'CF1901-0849', 1, NULL, '', 2050, NULL, '2019-01-28 08:37:22', '2019-01-10 11:43:56', '2019-01-10 11:51:45', '2019-01-10 11:51:45', NULL, '2019-01-10', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 53.00000000, 0.00000000, 0.00000000, 265.00000000, 318.00000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 265.00000000, 53.00000000, 318.00000000, NULL),
(899, 'CF1901-0850', 1, NULL, '', 2740, NULL, '2019-02-15 09:56:50', '2019-01-11 10:50:15', '2019-01-11 10:50:29', '2019-01-11 10:50:29', NULL, '2019-01-11', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 78.10000000, 0.00000000, 0.00000000, 390.50000000, 468.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 390.50000000, 78.10000000, 468.60000000, NULL),
(900, 'CF1901-0851', 1, NULL, '', 2114, NULL, '2019-01-11 10:33:01', '2019-01-11 11:32:12', '2019-01-11 11:32:40', '2019-01-11 11:32:40', NULL, '2019-01-11', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 118.56000000, 0.00000000, 0.00000000, 592.81000000, 711.37000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 592.81000000, 118.56000000, 711.37000000, NULL),
(901, 'CF1901-0852', 1, NULL, '', 1948, NULL, '2019-01-18 13:43:17', '2019-01-11 16:03:31', '2019-01-11 16:03:48', '2019-01-11 16:03:48', NULL, '2019-01-11', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 1.50000000, 0.00000000, 0.00000000, 7.48000000, 8.98000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 7.48000000, 1.50000000, 8.98000000, NULL),
(902, 'CF1901-0853', 1, NULL, '', 2050, NULL, '2019-03-27 13:14:34', '2019-01-15 10:21:19', '2019-01-15 10:21:55', '2019-01-15 10:21:55', NULL, '2019-01-15', 5, NULL, 5, 5, NULL, 0, 4, 0, 0.00000000, 0, 0, 283.20000000, 0.00000000, 0.00000000, 1416.00000000, 1699.20000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1416.00000000, 283.20000000, 1699.20000000, NULL),
(903, 'CF1901-0854', 1, NULL, '', 2050, NULL, '2019-01-17 13:29:48', '2019-01-16 10:14:32', '2019-01-16 10:15:21', '2019-01-16 10:15:21', NULL, '2019-01-16', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 120.40000000, 0.00000000, 0.00000000, 602.00000000, 722.40000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 602.00000000, 120.40000000, 722.40000000, NULL),
(904, 'CF1901-0855', 1, NULL, '', 1948, NULL, '2019-01-18 13:42:27', '2019-01-17 09:16:33', '2019-01-17 09:17:00', '2019-01-17 09:17:00', NULL, '2019-01-17', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 45.10000000, 0.00000000, 0.00000000, 225.50000000, 270.60000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 225.50000000, 45.10000000, 270.60000000, NULL),
(905, 'CF1901-0856', 1, NULL, '', 2764, NULL, '2019-01-28 08:06:47', '2019-01-17 09:32:48', '2019-01-17 09:33:08', '2019-01-17 09:33:08', NULL, '2019-01-17', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 3.14000000, 0.00000000, 0.00000000, 15.72000000, 18.86000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 15.72000000, 3.14000000, 18.86000000, NULL),
(907, 'CF1901-0857', 1, NULL, '', 1948, NULL, '2019-01-28 08:00:18', '2019-01-18 10:43:18', '2019-01-18 11:04:39', '2019-01-18 11:04:39', NULL, '2019-01-18', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 13.08000000, 0.00000000, 0.00000000, 65.42000000, 78.50000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 65.42000000, 13.08000000, 78.50000000, NULL),
(908, 'CF1901-0858', 1, NULL, '', 1948, NULL, '2019-01-28 08:03:42', '2019-01-21 14:12:39', '2019-01-21 14:12:52', '2019-01-21 14:12:52', NULL, '2019-01-21', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 96.00000000, 0.00000000, 0.00000000, 480.00000000, 576.00000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 480.00000000, 96.00000000, 576.00000000, NULL),
(909, 'CF1901-0859', 1, NULL, '', 1948, NULL, '2019-01-28 08:01:09', '2019-01-21 14:48:56', '2019-01-21 14:49:40', '2019-01-21 14:49:40', NULL, '2019-01-21', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 3.10000000, 0.00000000, 0.00000000, 15.49000000, 18.59000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 15.49000000, 3.10000000, 18.59000000, NULL),
(910, 'CF1901-0860', 1, NULL, '', 1948, NULL, '2019-01-28 08:03:21', '2019-01-22 08:58:53', '2019-01-22 08:59:07', '2019-01-22 08:59:07', NULL, '2019-01-22', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 8.85000000, 0.00000000, 0.00000000, 44.27000000, 53.12000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 44.27000000, 8.85000000, 53.12000000, NULL),
(911, 'CF1901-0861', 1, NULL, '', 2050, NULL, '2019-01-28 08:10:46', '2019-01-23 10:01:49', '2019-01-23 10:02:37', '2019-01-23 10:02:37', NULL, '2019-01-23', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 135.60000000, 0.00000000, 0.00000000, 678.00000000, 813.60000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 678.00000000, 135.60000000, 813.60000000, NULL),
(912, 'CF1901-0862', 1, NULL, '', 1948, NULL, '2019-01-28 08:03:58', '2019-01-23 10:09:28', '2019-01-23 10:09:52', '2019-01-23 10:09:52', NULL, '2019-01-23', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 55.40000000, 0.00000000, 0.00000000, 276.98000000, 332.38000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 276.98000000, 55.40000000, 332.38000000, NULL),
(913, 'CF1901-0863', 1, NULL, '', 1948, NULL, '2019-01-28 08:11:38', '2019-01-23 10:24:40', '2019-01-23 10:25:49', '2019-01-23 10:25:49', NULL, '2019-01-23', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 2.45000000, 0.00000000, 0.00000000, 12.26000000, 14.71000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 12.26000000, 2.45000000, 14.71000000, NULL),
(914, 'CF1901-0864', 1, NULL, '', 2764, NULL, '2019-01-28 08:08:29', '2019-01-23 11:53:46', '2019-01-23 11:54:29', '2019-01-23 11:54:29', NULL, '2019-01-23', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 29.94000000, 0.00000000, 0.00000000, 149.76000000, 179.70000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 149.76000000, 29.94000000, 179.70000000, NULL),
(915, 'CF1901-0865', 1, NULL, '', 1948, NULL, '2020-07-20 12:22:53', '2019-01-23 15:17:26', '2019-01-23 15:17:44', '2019-01-23 15:17:45', NULL, '2019-01-23', 5, NULL, 5, 5, NULL, 0, 7, 0, 0.00000000, 0, 0, 13.16000000, 0.00000000, 0.00000000, 65.78000000, 78.94000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 65.78000000, 13.16000000, 78.94000000, NULL),
(917, 'CF1901-0876', 1, NULL, '', 2114, NULL, '2020-07-20 12:45:44', '2019-01-23 15:17:27', '2019-01-30 09:38:15', '2019-01-30 09:38:15', NULL, '2019-01-30', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 61.05000000, 0.00000000, 0.00000000, 305.24000000, 366.29000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 305.24000000, 61.05000000, 366.29000000, NULL),
(918, 'CF1901-0866', 1, NULL, '', 2729, NULL, '2019-01-31 13:31:26', '2019-01-23 15:22:56', '2019-01-23 15:23:50', '2019-01-23 15:23:50', NULL, '2019-01-23', 5, NULL, 5, 5, NULL, 0, 4, 0, 0.00000000, 0, 0, 28.60000000, 0.00000000, 0.00000000, 143.00000000, 171.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 143.00000000, 28.60000000, 171.60000000, NULL),
(919, 'CF1901-0867', 1, NULL, '', 2050, NULL, '2019-01-30 09:13:32', '2019-01-28 08:57:10', '2019-01-28 08:58:51', '2019-01-28 08:58:51', NULL, '2019-01-28', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 102.80000000, 0.00000000, 0.00000000, 514.00000000, 616.80000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 514.00000000, 102.80000000, 616.80000000, NULL),
(920, 'CF1901-0868', 1, NULL, '', 2740, NULL, '2019-01-30 14:30:53', '2019-01-28 09:38:44', '2019-01-28 09:40:27', '2019-01-28 09:40:27', NULL, '2019-01-28', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 23.66000000, 0.00000000, 0.00000000, 118.30000000, 141.96000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 118.30000000, 23.66000000, 141.96000000, NULL),
(921, 'CF1901-0869', 1, NULL, '', 1948, NULL, '2019-02-11 13:18:20', '2019-01-28 09:53:25', '2019-01-28 09:54:03', '2019-01-28 09:54:03', NULL, '2019-01-28', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 0.00000000, 0.00000000, 0.00000000, NULL),
(922, 'CF1901-0870', 1, NULL, '', 2050, NULL, '2019-02-11 08:16:19', '2019-01-28 11:52:14', '2019-01-28 11:52:46', '2019-01-28 11:52:46', NULL, '2019-01-28', 5, NULL, 5, 5, NULL, 0, 4, 0, 0.00000000, 0, 0, 274.80000000, 0.00000000, 0.00000000, 1374.00000000, 1648.80000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1374.00000000, 274.80000000, 1648.80000000, NULL),
(923, 'CF1901-0871', 1, NULL, '', 2050, NULL, '2020-07-20 12:52:22', '2019-01-28 12:03:49', '2019-01-28 12:04:28', '2019-01-28 12:04:28', NULL, '2019-01-28', 5, NULL, 5, 5, NULL, 0, 7, 0, 0.00000000, 0, 0, 45.01000000, 0.00000000, 0.00000000, 225.04000000, 270.05000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 225.04000000, 45.01000000, 270.05000000, NULL),
(924, 'CF1901-0873', 1, NULL, '', 2729, NULL, '2020-07-20 12:52:42', '2019-01-29 10:58:51', '2019-01-29 11:42:15', '2019-01-29 11:42:16', NULL, '2019-01-29', 5, NULL, 5, 5, NULL, 0, 7, 0, 0.00000000, 0, 0, 285.50000000, 0.00000000, 0.00000000, 4249.92000000, 4535.42000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4249.92000000, 285.50000000, 4535.42000000, NULL),
(926, 'CF1901-0872', 1, NULL, '', 2673, NULL, '2019-02-04 08:19:40', '2019-01-29 11:22:27', '2019-01-29 11:24:22', '2019-01-29 11:24:22', NULL, '2019-02-01', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 41.79000000, 0.00000000, 0.00000000, 208.85000000, 250.73000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 208.85000000, 41.76000000, 250.61000000, NULL),
(927, 'CF1901-0874', 1, NULL, '', 2673, NULL, '2019-02-04 08:19:52', '2019-01-29 12:02:03', '2019-01-29 12:02:25', '2019-01-29 12:02:25', NULL, '2019-01-29', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 4.15000000, 0.00000000, 0.00000000, 20.74000000, 24.89000000, '', 'a a jouter a cde de ce matin svp', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 20.74000000, 4.14000000, 24.88000000, NULL),
(928, 'CF1901-0875', 1, NULL, '', 2627, NULL, '2019-01-29 13:35:45', '2019-01-29 14:32:05', '2019-01-29 14:35:45', '2019-01-29 14:35:45', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, 0.00000000, 0, 0, 102.54000000, 0.00000000, 0.00000000, 512.74000000, 615.28000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 512.74000000, 102.54000000, 615.28000000, NULL),
(929, 'CF1901-0877', 1, NULL, '', 2719, NULL, '2019-02-01 14:10:29', '2019-01-31 11:11:07', '2019-01-31 11:12:27', '2019-01-31 11:12:28', NULL, '2019-01-31', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 19.75000000, 0.00000000, 0.00000000, 98.75000000, 118.50000000, '', 'selon devis : <br />\r\nDEVNS05F19010258', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 98.75000000, 19.75000000, 118.50000000, NULL),
(930, 'CF1901-0878', 1, NULL, '', 1948, NULL, '2019-02-05 14:49:05', '2019-01-31 11:19:50', '2019-01-31 11:20:07', '2019-01-31 11:20:07', NULL, '2019-01-31', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 38.06000000, 0.00000000, 0.00000000, 190.30000000, 228.36000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 190.30000000, 38.06000000, 228.36000000, NULL),
(931, 'CF1902-0920', 1, NULL, '', 2627, NULL, '2019-02-28 13:55:09', '2019-01-31 11:19:50', '2019-02-20 09:33:04', '2019-02-20 09:33:04', NULL, '2019-02-20', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 74.39000000, 0.00000000, 0.00000000, 372.00000000, 446.39000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 372.00000000, 74.39000000, 446.39000000, NULL),
(932, 'CF1901-0879', 1, NULL, '', 2050, NULL, '2020-07-20 12:53:35', '2019-01-31 11:21:50', '2019-01-31 11:22:36', '2019-01-31 11:22:36', NULL, '2019-01-31', 5, NULL, 5, 5, NULL, 0, 7, 0, 0.00000000, 0, 0, 162.80000000, 0.00000000, 0.00000000, 814.00000000, 976.80000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 814.00000000, 162.80000000, 976.80000000, NULL),
(933, 'CF1901-0880', 1, NULL, '', 1948, NULL, '2019-02-05 14:49:26', '2019-01-31 14:10:25', '2019-01-31 14:11:00', '2019-01-31 14:11:00', NULL, '2019-01-31', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 14.24000000, 0.00000000, 0.00000000, 71.20000000, 85.44000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 71.20000000, 14.24000000, 85.44000000, NULL),
(934, 'CF1902-0882', 1, NULL, '', 1948, NULL, '2019-02-05 14:49:45', '2019-02-01 12:04:24', '2019-02-01 12:04:43', '2019-02-01 12:04:43', NULL, '2019-02-01', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 1.13000000, 0.00000000, 0.00000000, 5.63000000, 6.76000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5.63000000, 1.13000000, 6.76000000, NULL),
(935, 'CF1902-0883', 1, NULL, '', 2750, NULL, '2020-07-20 12:53:48', '2019-02-05 09:37:47', '2019-02-05 09:38:28', '2019-02-05 09:38:28', NULL, '2019-02-05', 5, NULL, 5, 5, NULL, 0, 7, 0, 0.00000000, 0, 0, 161.07000000, 0.00000000, 0.00000000, 805.35000000, 966.42000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 805.35000000, 161.07000000, 966.42000000, NULL),
(936, 'CF1902-0884', 1, NULL, '', 2673, NULL, '2019-02-11 13:49:35', '2019-02-05 11:29:16', '2019-02-05 11:54:59', '2019-02-05 11:54:59', NULL, '2019-02-05', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 50.57000000, 0.00000000, 0.00000000, 252.65000000, 303.42000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 252.65000000, 50.53000000, 303.18000000, NULL),
(937, 'CF1902-0885', 1, NULL, '', 2673, NULL, '2020-07-20 12:53:53', '2019-02-05 14:47:47', '2019-02-05 14:48:41', '2019-02-05 14:48:41', NULL, '2019-02-05', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 13.50000000, 0.00000000, 0.00000000, 67.49000000, 80.99000000, '', 'joindre a cde dece matin svp ', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 67.49000000, 13.50000000, 80.99000000, NULL),
(939, 'CF1902-0886', 1, NULL, '', 1948, NULL, '2019-02-11 13:18:41', '2019-02-05 16:39:47', '2019-02-05 16:43:45', '2019-02-05 16:43:46', NULL, '2019-02-05', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 16.21000000, 0.00000000, 0.00000000, 81.04000000, 97.25000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 81.04000000, 16.21000000, 97.25000000, NULL),
(941, 'CF1902-0887', 1, NULL, '', 2673, NULL, '2019-02-11 13:51:44', '2019-02-06 09:24:23', '2019-02-06 09:24:43', '2019-02-06 09:24:43', NULL, '2019-02-06', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 10.47000000, 0.00000000, 0.00000000, 52.36000000, 62.83000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 52.36000000, 10.47000000, 62.83000000, NULL),
(942, 'CF1902-0888', 1, NULL, '', 2642, NULL, '2019-02-19 09:20:48', '2019-02-06 10:29:57', '2019-02-06 10:30:32', '2019-02-06 10:30:32', NULL, '2019-02-06', 5, NULL, 5, 5, NULL, 0, 4, 0, 0.00000000, 0, 0, 14.00000000, 0.00000000, 0.00000000, 70.00000000, 84.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 70.00000000, 14.00000000, 84.00000000, NULL),
(943, 'CF1902-0889', 1, NULL, '', 1948, NULL, '2019-02-13 10:34:23', '2019-02-06 11:40:07', '2019-02-06 11:41:33', '2019-02-06 11:41:33', NULL, '2019-02-06', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 130.35000000, 0.00000000, 0.00000000, 651.80000000, 782.15000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 651.80000000, 130.35000000, 782.15000000, NULL),
(944, 'CF1902-0890', 1, NULL, '', 1948, NULL, '2019-02-11 13:20:43', '2019-02-07 09:27:41', '2019-02-07 09:30:24', '2019-02-07 09:30:24', NULL, '2019-02-07', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 9.40000000, 0.00000000, 0.00000000, 47.00000000, 56.40000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 47.00000000, 9.40000000, 56.40000000, NULL),
(946, 'CF1902-0891', 1, NULL, '', 2673, NULL, '2019-03-18 15:33:28', '2019-02-07 09:55:15', '2019-02-07 09:55:50', '2019-02-07 09:55:50', NULL, '2019-02-07', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 249.13000000, 0.00000000, 0.00000000, 1245.66000000, 1494.79000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1245.66000000, 249.13000000, 1494.79000000, NULL),
(947, 'CF1902-0892', 1, NULL, '', 1948, NULL, '2019-02-11 13:21:08', '2019-02-07 10:36:04', '2019-02-07 10:36:50', '2019-02-07 10:36:50', NULL, '2019-02-07', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 17.69000000, 0.00000000, 0.00000000, 88.43000000, 106.12000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 88.43000000, 17.69000000, 106.12000000, NULL),
(948, 'CF1902-0893', 1, NULL, '', 2050, NULL, '2020-07-20 12:54:06', '2019-02-08 09:00:44', '2019-02-08 09:04:06', '2019-02-08 09:04:06', NULL, '2019-02-08', 5, NULL, 5, 5, NULL, 0, 7, 0, 0.00000000, 0, 0, 63.00000000, 0.00000000, 0.00000000, 315.00000000, 378.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 315.00000000, 63.00000000, 378.00000000, NULL),
(949, 'CF1902-0894', 1, NULL, '', 2050, NULL, '2019-02-08 08:58:36', '2019-02-08 09:56:08', '2019-02-08 09:58:36', '2019-02-08 09:58:36', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, 0.00000000, 0, 0, 178.63000000, 0.00000000, 0.00000000, 893.16000000, 1071.79000000, '', '', 'muscadet', NULL, NULL, 15, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 893.16000000, 178.63000000, 1071.79000000, NULL),
(950, 'CF1902-0895', 1, NULL, '', 1948, NULL, '2019-02-13 10:33:49', '2019-02-11 10:19:18', '2019-02-11 10:19:36', '2019-02-11 10:19:37', NULL, '2019-02-11', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 11.33000000, 0.00000000, 0.00000000, 56.64000000, 67.97000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 56.64000000, 11.33000000, 67.97000000, NULL),
(951, 'CF1902-0896', 1, NULL, '', 1948, NULL, '2019-02-13 10:34:06', '2019-02-11 10:25:13', '2019-02-11 10:25:39', '2019-02-11 10:25:39', NULL, '2019-02-11', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 16.74000000, 0.00000000, 0.00000000, 83.68000000, 100.42000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 83.68000000, 16.74000000, 100.42000000, NULL),
(952, 'CF1902-0897', 1, NULL, '', 2673, NULL, '2019-02-21 13:01:49', '2019-02-11 14:37:16', '2019-02-11 14:37:45', '2019-02-11 14:37:45', NULL, '2019-02-11', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 59.44000000, 0.00000000, 0.00000000, 297.00000000, 356.64000000, '', '', 'muscadet', NULL, NULL, 2, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 297.00000000, 59.40000000, 356.40000000, NULL),
(953, 'CF1902-0898', 1, NULL, '', 12865, NULL, '2019-02-11 15:29:21', '2019-02-11 14:40:20', '2019-02-11 14:42:54', '2019-02-11 14:42:54', NULL, '2019-02-11', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 548.40000000, 0.00000000, 0.00000000, 2742.00000000, 3290.40000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2742.00000000, 548.40000000, 3290.40000000, NULL),
(954, 'CF1902-0899', 1, NULL, '', 2673, NULL, '2019-02-21 13:02:03', '2019-02-11 14:45:23', '2019-02-11 14:46:09', '2019-02-11 14:46:09', NULL, '2019-02-11', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 5.49000000, 0.00000000, 0.00000000, 27.38000000, 32.94000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 27.38000000, 5.47000000, 32.85000000, NULL),
(955, 'CF1902-0900', 1, NULL, '', 1948, NULL, '2019-03-13 10:40:03', '2019-02-12 16:24:20', '2019-02-12 16:24:44', '2019-02-12 16:24:44', NULL, '2019-02-12', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 22.32000000, 0.00000000, 0.00000000, 111.60000000, 133.92000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 111.60000000, 22.32000000, 133.92000000, NULL),
(956, 'CF1902-0901', 1, NULL, '', 2050, NULL, '2019-02-20 13:21:12', '2019-02-13 09:07:58', '2019-02-13 09:09:19', '2019-02-13 09:09:19', NULL, '2019-02-13', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 153.79000000, 0.00000000, 0.00000000, 768.96000000, 922.75000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 768.96000000, 153.79000000, 922.75000000, NULL),
(957, 'CF1902-0902', 1, NULL, '', 2679, NULL, '2020-07-20 12:54:43', '2019-02-13 10:57:19', '2019-02-13 10:57:53', '2019-02-13 10:57:53', NULL, '2019-02-13', 5, NULL, 5, 5, NULL, 0, 7, 0, 0.00000000, 0, 0, 66.60000000, 0.00000000, 0.00000000, 333.00000000, 399.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 333.00000000, 66.60000000, 399.60000000, NULL),
(958, 'CF1902-0903', 1, NULL, '', 2609, NULL, '2019-02-28 13:58:19', '2019-02-13 16:20:20', '2019-02-13 16:22:47', '2019-02-13 16:22:47', NULL, '2019-02-13', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 306.44000000, 0.00000000, 0.00000000, 1532.20000000, 1838.64000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1532.20000000, 306.44000000, 1838.64000000, NULL),
(959, 'CF1902-0904', 1, NULL, '', 2627, NULL, '2019-02-26 08:06:31', '2019-02-14 09:45:39', '2019-02-14 09:46:18', '2019-02-14 09:46:18', NULL, '2019-02-14', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 94.99000000, 0.00000000, 0.00000000, 474.92000000, 569.91000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 474.92000000, 94.99000000, 569.91000000, NULL),
(960, 'CF1902-0905', 1, NULL, '', 2050, NULL, '2019-02-20 13:21:57', '2019-02-14 09:46:57', '2019-02-14 09:48:14', '2019-02-14 09:48:14', NULL, '2019-02-14', 5, NULL, 5, 5, NULL, 0, 4, 0, 0.00000000, 0, 0, 204.00000000, 0.00000000, 0.00000000, 1020.00000000, 1224.00000000, '', '', 'muscadet', NULL, NULL, 2, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1020.00000000, 204.00000000, 1224.00000000, NULL),
(961, 'CF1902-0906', 1, NULL, '', 1948, NULL, '2019-02-21 13:03:55', '2019-02-14 14:38:18', '2019-02-14 14:39:00', '2019-02-14 14:39:00', NULL, '2019-02-14', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 5.73000000, 0.00000000, 0.00000000, 28.65000000, 34.38000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 28.65000000, 5.73000000, 34.38000000, NULL),
(962, 'CF1902-0907', 1, NULL, '', 2050, NULL, '2019-02-18 13:14:19', '2019-02-14 16:16:50', '2019-02-14 16:17:28', '2019-02-14 16:17:28', NULL, '2019-02-14', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 57.93000000, 0.00000000, 0.00000000, 289.66000000, 347.59000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 289.66000000, 57.93000000, 347.59000000, NULL),
(963, 'CF1902-0908', 1, NULL, '', 2050, NULL, '2019-02-20 13:19:48', '2019-02-15 15:27:38', '2019-02-15 15:28:29', '2019-02-15 15:28:29', NULL, '2019-02-15', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 178.60000000, 0.00000000, 0.00000000, 893.00000000, 1071.60000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 893.00000000, 178.60000000, 1071.60000000, NULL),
(964, 'CF1902-0909', 1, NULL, '', 2740, NULL, '2020-07-20 12:55:06', '2019-02-18 11:15:30', '2019-02-18 11:16:07', '2019-02-18 11:16:08', NULL, '2019-02-18', 5, 5, 5, 5, NULL, 0, 7, 0, 0.00000000, 0, 0, 139.60000000, 0.00000000, 0.00000000, 698.00000000, 837.60000000, '', 'LIVRAISON :<br />\r\nMGEN ASS\r\n<p> Les Blaches<br />\r\n26190 SAINT THOMAS EN ROYANS</p>\r\n\r\n<p><img alt=\"-\" src=\"http://www.cra-rhone-alpes.org/squelettes-dist/puce.gif\" style=\"height:11px; width:8px\" /> <strong>Téléphone :</strong> 04.75.47.57.00</p>\r\n', 'muscadet', NULL, NULL, 2, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 698.00000000, 139.60000000, 837.60000000, NULL),
(965, 'CF1902-0910', 1, NULL, '', 2673, NULL, '2019-03-04 13:36:36', '2019-02-18 14:34:26', '2019-02-18 14:37:43', '2019-02-18 14:37:43', NULL, '2019-02-18', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 202.51000000, 0.00000000, 0.00000000, 1012.51000000, 1215.06000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1012.51000000, 202.49000000, 1215.00000000, NULL),
(966, 'CF1902-0911', 1, NULL, '', 2050, NULL, '2019-03-27 13:18:12', '2019-02-19 09:13:15', '2019-02-19 09:14:03', '2019-02-19 09:14:03', NULL, '2019-02-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 117.40000000, 0.00000000, 0.00000000, 587.00000000, 704.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 587.00000000, 117.40000000, 704.40000000, NULL),
(967, 'CF1902-0912', 1, NULL, '', 1948, NULL, '2019-02-21 13:20:43', '2019-02-19 09:13:15', '2019-02-19 09:15:03', '2019-02-19 09:15:03', NULL, '2019-02-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 19.82000000, 0.00000000, 0.00000000, 99.10000000, 118.92000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 99.10000000, 19.82000000, 118.92000000, NULL),
(968, 'CF1902-0914', 1, NULL, '', 1948, NULL, '2019-02-28 13:23:38', '2019-02-19 15:24:26', '2019-02-19 15:39:14', '2019-02-19 15:39:14', NULL, '2019-02-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 182.90000000, 0.00000000, 0.00000000, 914.48000000, 1097.38000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 914.48000000, 182.90000000, 1097.38000000, NULL),
(969, 'CF1902-0916', 1, NULL, '', 2764, NULL, '2019-03-19 15:14:35', '2019-02-19 15:40:15', '2019-02-19 15:46:07', '2019-02-19 15:46:07', NULL, '2019-02-19', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 44.89000000, 0.00000000, 0.00000000, 224.41000000, 269.30000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 224.41000000, 44.89000000, 269.30000000, NULL),
(970, 'CF1902-0915', 1, NULL, '', 1948, NULL, '2020-07-20 12:55:51', '2019-02-19 15:43:32', '2019-02-19 15:44:04', '2019-02-19 15:44:04', NULL, '2019-02-19', 5, NULL, 5, 5, NULL, 0, 7, 0, 0.00000000, 0, 0, 11.90000000, 0.00000000, 0.00000000, 59.50000000, 71.40000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 59.50000000, 11.90000000, 71.40000000, NULL),
(971, 'CF1902-0917', 1, NULL, '', 2050, NULL, '2019-03-26 13:19:36', '2019-02-19 15:48:36', '2019-02-19 16:00:58', '2019-02-19 16:00:59', NULL, '2019-02-19', 5, NULL, 5, 5, NULL, 0, 4, 0, 0.00000000, 0, 0, 550.99000000, 0.00000000, 0.00000000, 2754.96000000, 3305.95000000, '', '', 'muscadet', NULL, NULL, 6, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2754.96000000, 550.99000000, 3305.95000000, NULL),
(972, 'CF1902-0918', 1, NULL, '', 1948, NULL, '2019-03-11 10:32:59', '2019-02-20 09:13:37', '2019-02-20 09:15:42', '2019-02-20 09:15:43', NULL, '2019-02-20', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 144.45000000, 0.00000000, 0.00000000, 722.25000000, 866.70000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 722.25000000, 144.45000000, 866.70000000, NULL),
(973, 'CF1902-0919', 1, NULL, '', 2050, NULL, '2019-03-27 13:17:31', '2019-02-20 09:16:17', '2019-02-20 09:16:58', '2019-02-20 09:16:58', NULL, '2019-02-20', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 423.40000000, 0.00000000, 0.00000000, 2117.00000000, 2540.40000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2117.00000000, 423.40000000, 2540.40000000, NULL),
(974, 'CF1902-0921', 1, NULL, '', 2719, NULL, '2019-06-20 12:25:03', '2019-02-21 10:02:59', '2019-02-21 10:03:15', '2019-02-21 10:03:15', NULL, '2019-02-21', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 3.03000000, 0.00000000, 0.00000000, 15.16000000, 18.19000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 15.16000000, 3.03000000, 18.19000000, NULL),
(975, 'CF1902-0922', 1, NULL, '', 12871, NULL, '2019-03-20 08:15:37', '2019-02-21 11:53:51', '2019-02-21 11:54:24', '2019-02-21 11:54:24', NULL, '2019-02-21', 5, NULL, 5, 5, NULL, 0, 4, 0, 0.00000000, 0, 0, 116.54000000, 0.00000000, 0.00000000, 582.70000000, 699.24000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 582.70000000, 116.54000000, 699.24000000, NULL),
(976, 'CF1902-0923', 1, NULL, '', 1948, NULL, '2019-03-13 10:41:19', '2019-02-25 16:37:17', '2019-02-25 16:37:29', '2019-02-25 16:37:29', NULL, '2019-02-25', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 1.51000000, 0.00000000, 0.00000000, 7.56000000, 9.07000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 7.56000000, 1.51000000, 9.07000000, NULL),
(977, 'CF1902-0924', 1, NULL, '', 2729, NULL, '2019-03-06 08:01:25', '2019-02-26 14:19:34', '2019-02-26 14:21:22', '2019-02-26 14:21:22', NULL, '2019-02-26', 5, 5, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 11.06000000, 0.00000000, 0.00000000, 102.20000000, 113.26000000, '', 'RS PRO 4 N°611041', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 102.20000000, 11.06000000, 113.26000000, NULL),
(978, 'CF1902-0925', 1, NULL, '', 2729, NULL, '2019-03-06 08:00:01', '2019-02-28 16:40:01', '2019-02-28 16:41:11', '2019-02-28 16:41:11', NULL, '2019-02-28', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 16.52000000, 0.00000000, 0.00000000, 102.20000000, 118.72000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 102.20000000, 16.52000000, 118.72000000, NULL),
(979, 'CF1903-0926', 1, NULL, '', 1966, NULL, '2020-07-20 12:55:13', '2019-03-01 09:41:53', '2019-03-01 09:45:53', '2019-03-01 09:45:53', NULL, '2019-03-01', 5, NULL, 5, 5, NULL, 0, 7, 0, 0.00000000, 0, 0, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, '', 'Commande disponible pour cette apres midi avant 15h - recup&eacute;rer par un de nos techniciens', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 0.00000000, 0.00000000, 0.00000000, NULL),
(980, 'CF1903-0927', 1, NULL, '', 2729, NULL, '2019-03-06 13:33:35', '2019-03-01 11:55:48', '2019-03-01 11:56:46', '2019-03-01 11:56:46', NULL, '2019-03-06', 5, NULL, 5, 5, NULL, 0, 5, 0, 0.00000000, 0, 0, 0.00000000, 0.00000000, 0.00000000, 145.50000000, 145.50000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 145.50000000, 0.00000000, 145.50000000, NULL),
(981, 'CF1903-0928', 1, NULL, '', 2697, NULL, '2019-03-06 13:35:06', '2019-03-04 16:17:33', '2019-03-04 16:18:38', '2019-03-04 16:18:38', NULL, '2019-03-04', 5, 5, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 5.80000000, 0.00000000, 0.00000000, 29.00000000, 34.80000000, '', 'DEW1713', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 29.00000000, 5.80000000, 34.80000000, NULL),
(982, 'CF1903-0929', 1, NULL, '', 2740, NULL, '2019-04-05 07:17:12', '2019-03-06 09:12:15', '2019-03-06 09:39:29', '2019-03-06 09:39:29', NULL, '2019-04-05', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 31.20000000, 0.00000000, 0.00000000, 156.00000000, 187.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 156.00000000, 31.20000000, 187.20000000, NULL),
(983, 'CF1903-0930', 1, NULL, '', 2050, NULL, '2020-07-20 12:54:50', '2019-03-06 10:58:40', '2019-03-06 10:59:29', '2019-03-06 10:59:29', NULL, '2019-03-06', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 53.40000000, 0.00000000, 0.00000000, 267.00000000, 320.40000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 267.00000000, 53.40000000, 320.40000000, NULL),
(984, 'CF1903-0931', 1, NULL, '', 1966, NULL, '2019-03-08 12:56:31', '2019-03-06 11:57:24', '2019-03-06 11:59:30', '2019-03-06 11:59:30', NULL, '2019-03-06', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 19.00000000, 0.00000000, 0.00000000, 95.00000000, 114.00000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 95.00000000, 19.00000000, 114.00000000, NULL),
(985, 'CF1903-0932', 1, NULL, '', 1948, NULL, '2019-03-13 10:39:33', '2019-03-07 10:13:48', '2019-03-07 10:14:27', '2019-03-07 10:14:28', NULL, '2019-03-13', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 11.80000000, 0.00000000, 0.00000000, 59.01000000, 70.81000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 59.01000000, 11.80000000, 70.81000000, NULL),
(986, 'CF1903-0933', 1, NULL, '', 1948, NULL, '2019-03-13 10:40:57', '2019-03-11 11:27:47', '2019-03-11 11:30:29', '2019-03-11 11:30:30', NULL, '2019-03-11', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 24.46000000, 0.00000000, 0.00000000, 122.32000000, 146.78000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 122.32000000, 24.46000000, 146.78000000, NULL),
(987, 'CF1903-0934', 1, NULL, '', 2050, NULL, '2019-04-03 07:33:07', '2019-03-11 15:49:37', '2019-03-11 15:50:03', '2019-03-11 15:50:03', NULL, '2019-03-11', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 63.60000000, 0.00000000, 0.00000000, 318.00000000, 381.60000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 318.00000000, 63.60000000, 381.60000000, NULL),
(990, 'CF1903-0943', 1, NULL, '', 1948, NULL, '2019-03-19 15:16:39', '2019-03-11 16:16:50', '2019-03-14 11:23:31', '2019-03-14 11:23:31', NULL, '2019-03-14', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 33.47000000, 0.00000000, 0.00000000, 167.36000000, 200.83000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 167.36000000, 33.47000000, 200.83000000, NULL),
(991, 'CF1903-0936', 1, NULL, '', 2764, NULL, '2019-03-19 15:13:58', '2019-03-11 16:16:50', '2019-03-11 16:22:11', '2019-03-11 16:22:11', NULL, '2019-03-11', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 5.17000000, 0.00000000, 0.00000000, 25.86000000, 31.03000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 25.86000000, 5.17000000, 31.03000000, NULL),
(992, 'CF1903-0935', 1, NULL, '', 2627, NULL, '2019-03-19 15:12:50', '2019-03-11 16:16:50', '2019-03-11 16:17:19', '2019-03-11 16:17:19', NULL, '2019-03-11', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 43.15000000, 0.00000000, 0.00000000, 215.76000000, 258.91000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 215.76000000, 43.15000000, 258.91000000, NULL),
(993, 'CF1903-0937', 1, NULL, '', 1948, NULL, '2019-03-19 15:16:01', '2019-03-12 10:04:36', '2019-03-12 10:05:02', '2019-03-12 10:05:02', NULL, '2019-03-12', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 8.39000000, 0.00000000, 0.00000000, 41.94000000, 50.33000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 41.94000000, 8.39000000, 50.33000000, NULL),
(994, 'CF1903-0938', 1, NULL, '', 2741, NULL, '2019-03-18 10:30:00', '2019-03-12 10:57:46', '2019-03-12 10:58:35', '2019-03-12 10:58:35', NULL, '2019-03-18', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 7.01000000, 0.00000000, 0.00000000, 35.05000000, 42.06000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 35.05000000, 7.01000000, 42.06000000, NULL),
(995, 'CF1903-0939', 1, NULL, '', 2729, NULL, '2020-07-20 12:54:13', '2019-03-13 09:03:05', '2019-03-13 09:04:10', '2019-03-13 09:04:10', NULL, '2019-03-13', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 770.88000000, 0.00000000, 0.00000000, 3854.42000000, 4625.30000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3854.42000000, 770.88000000, 4625.30000000, NULL),
(996, 'CF1903-0940', 1, NULL, '', 2679, NULL, '2020-07-20 12:57:44', '2019-03-13 09:44:48', '2019-03-13 09:45:11', '2019-03-13 09:45:11', NULL, '2019-03-13', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 39.80000000, 0.00000000, 0.00000000, 199.00000000, 238.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 199.00000000, 39.80000000, 238.80000000, NULL),
(997, 'CF1903-0941', 1, NULL, '', 10086, NULL, '2020-07-20 12:54:55', '2019-03-14 10:46:58', '2019-03-14 10:47:17', '2019-03-14 10:47:17', NULL, '2019-03-14', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 50.64000000, 0.00000000, 0.00000000, 253.20000000, 303.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 253.20000000, 50.64000000, 303.84000000, NULL),
(998, 'CF1903-0942', 1, NULL, '', 2729, NULL, '2020-07-20 12:55:01', '2019-03-14 11:16:46', '2019-03-14 11:19:22', '2019-03-14 11:19:22', NULL, '2019-03-14', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 163.68000000, 0.00000000, 0.00000000, 818.40000000, 982.08000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 818.40000000, 163.68000000, 982.08000000, NULL),
(999, 'CF1903-0944', 1, NULL, '', 2764, NULL, '2019-03-19 15:14:58', '2019-03-14 16:19:30', '2019-03-14 16:20:01', '2019-03-14 16:20:02', NULL, '2019-03-14', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 5.17000000, 0.00000000, 0.00000000, 25.86000000, 31.03000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 25.86000000, 5.17000000, 31.03000000, NULL),
(1000, 'CF1903-0945', 1, NULL, '', 2609, NULL, '2019-03-22 14:54:02', '2019-03-14 16:37:31', '2019-03-14 16:37:54', '2019-03-14 16:37:55', NULL, '2019-03-14', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 103.06000000, 0.00000000, 0.00000000, 515.30000000, 618.36000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 515.30000000, 103.06000000, 618.36000000, NULL),
(1002, 'CF1903-0946', 1, NULL, '', 2764, NULL, '2019-03-20 15:32:52', '2019-03-15 09:05:04', '2019-03-15 09:05:24', '2019-03-15 09:05:24', NULL, '2019-03-15', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 5.17000000, 0.00000000, 0.00000000, 25.86000000, 31.03000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 25.86000000, 5.17000000, 31.03000000, NULL),
(1003, 'CF1903-0947', 1, NULL, '', 1948, NULL, '2020-07-20 12:57:38', '2019-03-15 09:09:21', '2019-03-15 09:29:37', '2019-03-15 09:29:37', NULL, '2019-03-15', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 38.52000000, 0.00000000, 0.00000000, 192.60000000, 231.12000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 192.60000000, 38.52000000, 231.12000000, NULL),
(1004, 'CF1903-0948', 1, NULL, '', 2050, NULL, '2020-07-20 12:57:49', '2019-03-15 14:24:19', '2019-03-15 14:25:56', '2019-03-15 14:25:57', NULL, '2019-03-15', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 65.60000000, 0.00000000, 0.00000000, 328.00000000, 393.60000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 328.00000000, 65.60000000, 393.60000000, NULL),
(1005, 'CF1903-0949', 1, NULL, '', 1948, NULL, '2019-03-19 15:16:52', '2019-03-15 14:27:57', '2019-03-15 14:28:43', '2019-03-15 14:28:43', NULL, '2019-03-15', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 18.18000000, 0.00000000, 0.00000000, 90.90000000, 109.08000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 90.90000000, 18.18000000, 109.08000000, NULL),
(1006, 'CF1904-0964', 1, NULL, '', 2050, NULL, '2019-05-21 08:48:09', '2019-03-18 15:23:11', '2019-04-04 15:35:39', '2019-04-04 15:35:39', NULL, '2019-05-21', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 402.40000000, 0.00000000, 0.00000000, 2012.00000000, 2414.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2012.00000000, 402.40000000, 2414.40000000, NULL),
(1007, 'CF1903-0950', 1, NULL, '', 12721, NULL, '2019-03-25 15:09:16', '2019-03-18 16:23:48', '2019-03-18 16:28:41', '2019-03-18 16:28:41', NULL, '2019-03-18', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 63.98000000, 0.00000000, 0.00000000, 319.89000000, 383.87000000, '', 'devis 191093', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 319.89000000, 63.98000000, 383.87000000, NULL),
(1008, 'CF1903-0951', 1, NULL, '', 12772, NULL, '2019-03-20 15:32:10', '2019-03-19 09:54:28', '2019-03-19 10:16:58', '2019-03-19 10:16:59', NULL, '2019-03-19', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 58.25000000, 0.00000000, 0.00000000, 291.29000000, 349.54000000, '', 'offre : 406459', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 291.29000000, 58.25000000, 349.54000000, NULL),
(1009, 'CF1903-0952', 1, NULL, '', 1948, NULL, '2019-04-04 12:33:54', '2019-03-19 11:10:15', '2019-03-19 11:10:50', '2019-03-19 11:10:50', NULL, '2019-03-19', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 54.74000000, 0.00000000, 0.00000000, 273.68000000, 328.42000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 273.68000000, 54.74000000, 328.42000000, NULL),
(1010, 'CF1903-0953', 1, NULL, '', 1948, NULL, '2019-03-22 13:25:07', '2019-03-19 11:45:51', '2019-03-19 11:47:02', '2019-03-19 11:47:02', NULL, '2019-03-19', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 37.30000000, 0.00000000, 0.00000000, 186.50000000, 223.80000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 186.50000000, 37.30000000, 223.80000000, NULL),
(1012, 'CF1903-0954', 1, NULL, '', 2642, NULL, '2019-03-26 11:04:33', '2019-03-19 14:31:22', '2019-03-19 14:33:06', '2019-03-19 14:33:06', NULL, '2019-03-19', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 61.83000000, 0.00000000, 0.00000000, 309.17000000, 371.00000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 309.17000000, 61.83000000, 371.00000000, NULL),
(1013, 'CF1903-0955', 1, NULL, '', 2764, NULL, '2019-03-19 13:46:09', '2019-03-19 14:45:23', '2019-03-19 14:46:09', '2019-03-19 14:46:09', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 7.28000000, 0.00000000, 0.00000000, 36.42000000, 43.70000000, '', '', 'muscadet', NULL, NULL, 3, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 36.42000000, 7.28000000, 43.70000000, NULL),
(1014, 'CF1903-0956', 1, NULL, '', 1948, NULL, '2019-03-22 13:24:48', '2019-03-19 14:46:37', '2019-03-19 14:47:41', '2019-03-19 14:47:41', NULL, '2019-03-19', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 17.33000000, 0.00000000, 0.00000000, 86.65000000, 103.98000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 86.65000000, 17.33000000, 103.98000000, NULL),
(1015, 'CF1903-0957', 1, NULL, '', 1948, NULL, '2019-04-04 12:34:11', '2019-03-25 10:00:21', '2019-03-25 10:00:54', '2019-03-25 10:00:54', NULL, '2019-03-25', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 28.80000000, 0.00000000, 0.00000000, 143.99000000, 172.79000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 143.99000000, 28.80000000, 172.79000000, NULL);
INSERT INTO `llx_commande_fournisseur` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_supplier`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_approve`, `date_approve2`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_approve`, `fk_user_approve2`, `source`, `fk_statut`, `billed`, `amount_ht`, `remise_percent`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `date_livraison`, `fk_account`, `fk_cond_reglement`, `fk_mode_reglement`, `fk_input_method`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`) VALUES
(1016, 'CF1903-0958', 1, NULL, '', 2673, NULL, '2019-04-04 12:30:50', '2019-03-26 11:02:45', '2019-03-26 11:04:03', '2019-03-26 11:04:04', NULL, '2019-03-26', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 34.81000000, 0.00000000, 0.00000000, 174.03000000, 208.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 174.03000000, 34.80000000, 208.83000000, NULL),
(1017, 'CF1904-0961', 1, NULL, '', 2673, NULL, '2019-04-04 12:31:20', '2019-03-26 11:25:08', '2019-04-01 16:23:56', '2019-04-01 16:23:57', NULL, '2019-04-01', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 50.82000000, 0.00000000, 0.00000000, 254.04000000, 304.92000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 254.04000000, 50.81000000, 304.85000000, NULL),
(1018, 'CF1903-0959', 1, NULL, '', 2729, NULL, '2020-07-20 12:56:59', '2019-03-27 09:20:36', '2019-03-27 09:23:37', '2019-03-27 09:23:37', NULL, '2019-03-27', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 3320.18000000, 3320.18000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3320.18000000, 0.00000000, 3320.18000000, NULL),
(1019, 'CF1903-0960', 1, NULL, '', 1948, NULL, '2019-03-27 10:18:12', '2019-03-27 11:17:38', '2019-03-27 11:18:12', '2019-03-27 11:18:12', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 113.40000000, 0.00000000, 0.00000000, 567.00000000, 680.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 567.00000000, 113.40000000, 680.40000000, NULL),
(1020, 'CF1904-0962', 1, NULL, '', 2609, NULL, '2019-04-04 12:36:21', '2019-04-01 16:27:05', '2019-04-01 16:27:51', '2019-04-01 16:27:51', NULL, '2019-04-01', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 135.20000000, 0.00000000, 0.00000000, 676.00000000, 811.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 676.00000000, 135.20000000, 811.20000000, NULL),
(1021, 'CF1904-0963', 1, NULL, '', 2673, NULL, '2019-04-09 12:16:21', '2019-04-02 14:11:13', '2019-04-02 14:11:35', '2019-04-02 14:11:35', NULL, '2019-04-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 16.16000000, 0.00000000, 0.00000000, 80.77000000, 96.93000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 80.77000000, 16.16000000, 96.93000000, NULL),
(1022, 'CF1904-0965', 1, NULL, '', 2740, NULL, '2020-07-20 12:56:28', '2019-04-05 09:27:23', '2019-04-05 09:28:13', '2019-04-05 09:28:13', NULL, '2019-04-05', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 78.10000000, 0.00000000, 0.00000000, 390.50000000, 468.60000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 390.50000000, 78.10000000, 468.60000000, NULL),
(1023, 'CF1904-0966', 1, NULL, '', 2050, NULL, '2020-07-20 12:56:36', '2019-04-05 14:11:54', '2019-04-05 14:15:36', '2019-04-05 14:15:37', NULL, '2019-04-05', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 1948.20000000, 0.00000000, 0.00000000, 9741.00000000, 11689.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 9741.00000000, 1948.20000000, 11689.20000000, NULL),
(1024, 'CF1904-0967', 1, NULL, '', 1948, NULL, '2019-04-15 12:01:40', '2019-04-05 14:11:54', '2019-04-05 14:17:10', '2019-04-05 14:17:10', NULL, '2019-04-05', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 53.22000000, 0.00000000, 0.00000000, 266.09000000, 319.31000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 266.09000000, 53.22000000, 319.31000000, NULL),
(1025, 'CF1904-0968', 1, NULL, '', 2627, NULL, '2020-07-20 12:58:43', '2019-04-05 14:11:54', '2019-04-05 14:35:43', '2019-04-05 14:35:43', NULL, '2019-04-05', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 121.27000000, 0.00000000, 0.00000000, 606.36000000, 727.63000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 606.36000000, 121.27000000, 727.63000000, NULL),
(1026, 'CF1904-0969', 1, NULL, '', 2114, NULL, '2019-04-08 12:48:29', '2019-04-08 14:47:56', '2019-04-08 14:48:29', '2019-04-08 14:48:29', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 141.52000000, 0.00000000, 0.00000000, 707.58000000, 849.10000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 707.58000000, 141.52000000, 849.10000000, NULL),
(1028, 'CF1904-0980', 1, NULL, '', 2050, NULL, '2020-07-20 12:56:50', '2019-04-08 16:51:45', '2019-04-17 09:14:28', '2019-04-17 09:14:28', NULL, '2019-04-17', 5, 5, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 1271.95000000, 0.00000000, 0.00000000, 6359.73000000, 7631.68000000, '', 'compresseur en 8 bars svp ', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 6359.73000000, 1271.95000000, 7631.68000000, NULL),
(1029, 'CF1904-0970', 1, NULL, 'devns05f19040090', 2719, NULL, '2019-06-20 12:23:32', '2019-04-09 09:26:07', '2019-04-09 09:27:49', '2019-04-09 09:27:49', NULL, '2019-04-09', 5, 5, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 6.72000000, 0.00000000, 0.00000000, 33.58000000, 40.30000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 33.58000000, 6.72000000, 40.30000000, NULL),
(1030, 'CF1904-0971', 1, NULL, '', 2673, NULL, '2019-04-15 12:04:29', '2019-04-10 09:29:26', '2019-04-10 09:47:39', '2019-04-10 09:47:40', NULL, '2019-04-10', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 1.49000000, 0.00000000, 0.00000000, 7.53000000, 9.02000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 7.53000000, 1.49000000, 9.02000000, NULL),
(1031, 'CF1904-0972', 1, NULL, '', 2609, NULL, '2019-04-12 12:30:13', '2019-04-11 09:59:31', '2019-04-11 10:04:53', '2019-04-11 10:04:53', NULL, '2019-04-11', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 81.74000000, 0.00000000, 0.00000000, 408.70000000, 490.44000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 408.70000000, 81.74000000, 490.44000000, NULL),
(1032, 'CF1904-0973', 1, NULL, '', 2673, NULL, '2019-04-15 12:05:49', '2019-04-11 10:05:52', '2019-04-11 10:08:54', '2019-04-11 10:08:54', NULL, '2019-04-11', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 112.56000000, 0.00000000, 0.00000000, 562.77000000, 675.33000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 562.77000000, 112.56000000, 675.33000000, NULL),
(1033, 'CF1904-0974', 1, NULL, '', 1948, NULL, '2019-05-22 12:15:53', '2019-04-12 09:33:49', '2019-04-12 09:41:34', '2019-04-12 09:41:34', NULL, '2019-04-12', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 31.10000000, 0.00000000, 0.00000000, 155.52000000, 186.62000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 155.52000000, 31.10000000, 186.62000000, NULL),
(1034, 'CF1904-0975', 1, NULL, '', 1948, NULL, '2019-04-15 12:02:40', '2019-04-12 10:09:01', '2019-04-12 10:09:35', '2019-04-12 10:09:35', NULL, '2019-04-12', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 29.00000000, 0.00000000, 0.00000000, 145.00000000, 174.00000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 145.00000000, 29.00000000, 174.00000000, NULL),
(1035, 'CF1904-0976', 1, NULL, '', 2050, NULL, '2019-04-24 09:06:30', '2019-04-12 10:10:54', '2019-04-12 10:11:42', '2019-04-12 10:11:42', NULL, '2019-04-12', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 218.40000000, 0.00000000, 0.00000000, 1092.00000000, 1310.40000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1092.00000000, 218.40000000, 1310.40000000, NULL),
(1036, 'CF1904-0977', 1, NULL, '', 2114, NULL, '2020-07-20 12:56:44', '2019-04-12 15:20:40', '2019-04-12 15:24:49', '2019-04-12 15:24:49', NULL, '2019-04-12', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 264.00000000, 0.00000000, 0.00000000, 1320.00000000, 1584.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1320.00000000, 264.00000000, 1584.00000000, NULL),
(1037, 'CF1904-0978', 1, NULL, '', 1948, NULL, '2019-04-26 12:14:25', '2019-04-15 16:55:06', '2019-04-15 16:56:36', '2019-04-15 16:56:36', NULL, '2019-04-15', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 25.12000000, 0.00000000, 0.00000000, 125.58000000, 150.70000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 125.58000000, 25.12000000, 150.70000000, NULL),
(1038, 'CF1904-0979', 1, NULL, '', 2740, NULL, '2019-05-29 09:57:40', '2019-04-16 09:22:37', '2019-04-16 09:23:03', '2019-04-16 09:23:03', NULL, '2019-04-16', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 38.80000000, 0.00000000, 0.00000000, 194.00000000, 232.80000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 194.00000000, 38.80000000, 232.80000000, NULL),
(1039, 'CF1904-0982', 1, NULL, '', 2740, NULL, '2020-07-20 12:58:52', '2019-04-16 16:09:03', '2019-04-18 09:15:59', '2019-04-18 09:15:59', NULL, '2019-04-18', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 249.58000000, 0.00000000, 0.00000000, 1247.91000000, 1497.49000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1247.91000000, 249.58000000, 1497.49000000, NULL),
(1040, 'CF1904-0981', 1, NULL, '', 1948, NULL, '2019-05-22 12:16:16', '2019-04-17 09:28:30', '2019-04-17 09:28:55', '2019-04-17 09:28:55', NULL, '2019-04-17', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 20.14000000, 0.00000000, 0.00000000, 100.70000000, 120.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 100.70000000, 20.14000000, 120.84000000, NULL),
(1041, 'CF1904-0992', 1, NULL, '', 2764, NULL, '2019-05-17 13:50:46', '2019-04-17 09:28:30', '2019-04-24 15:54:59', '2019-04-24 15:55:00', NULL, '2019-04-24', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 9.82000000, 0.00000000, 0.00000000, 49.12000000, 58.94000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 49.12000000, 9.82000000, 58.94000000, NULL),
(1042, 'CF1904-0985', 1, NULL, '', 1948, NULL, '2019-05-06 07:57:25', '2019-04-18 10:04:31', '2019-04-23 09:17:58', '2019-04-23 09:17:59', NULL, '2019-04-23', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 52.76000000, 0.00000000, 0.00000000, 263.80000000, 316.56000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 263.80000000, 52.76000000, 316.56000000, NULL),
(1043, 'CF1904-0983', 1, NULL, '', 2729, NULL, '2020-07-20 12:57:56', '2019-04-19 09:39:19', '2019-04-19 09:40:58', '2019-04-19 09:40:58', NULL, '2019-04-19', 5, 5, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 24.28000000, 0.00000000, 0.00000000, 121.40000000, 145.68000000, '', 'LIvraison direct chez le client : <br />\r\nPRECIA MOLEN<br />\r\nService reception BAT 7<br />\r\nRoute nationale304<br />\r\n07001 PRIVAS<br />\r\n0475664619', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 121.40000000, 24.28000000, 145.68000000, NULL),
(1045, 'CF1904-0984', 1, NULL, '', 2673, NULL, '2020-07-20 13:00:06', '2019-04-19 14:58:46', '2019-04-19 14:59:13', '2019-04-19 14:59:14', NULL, '2019-04-19', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 35.74000000, 0.00000000, 0.00000000, 178.65000000, 214.44000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 178.65000000, 35.73000000, 214.38000000, NULL),
(1046, 'CF1904-0986', 1, NULL, '', 1966, NULL, '2019-04-25 12:50:24', '2019-04-24 08:17:02', '2019-04-24 09:07:14', '2019-04-24 09:07:14', NULL, '2019-04-24', 4, NULL, 4, 4, NULL, 0, 5, 0, NULL, 0, 0, 51.40000000, 0.00000000, 0.00000000, 257.00000000, 308.40000000, 'BE2BIZ ccomplement aspiration', '', 'muscadet', '2019-04-29 00:00:00', NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 257.00000000, 51.40000000, 308.40000000, NULL),
(1047, 'CF1904-0987', 1, NULL, '', 2761, NULL, '2019-04-26 12:29:31', '2019-04-24 08:42:59', '2019-04-24 09:30:22', '2019-04-24 09:30:22', NULL, '2019-04-24', 4, NULL, 4, 4, NULL, 0, 5, 0, NULL, 0, 0, 40.44000000, 0.00000000, 0.00000000, 202.20000000, 242.64000000, 'pour BE2BIZ', '', 'muscadet', '2019-04-29 00:00:00', NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 202.20000000, 40.44000000, 242.64000000, NULL),
(1048, 'CF1904-0988', 1, NULL, '', 2740, NULL, '2020-07-20 13:00:29', '2019-04-24 09:45:37', '2019-04-24 09:46:09', '2019-04-24 09:46:10', NULL, '2019-04-24', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 139.60000000, 0.00000000, 0.00000000, 698.00000000, 837.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 698.00000000, 139.60000000, 837.60000000, NULL),
(1049, 'CF1904-0989', 1, NULL, '', 1966, NULL, '2019-04-25 12:50:53', '2019-04-24 10:22:57', '2019-04-24 10:24:35', '2019-04-24 10:24:35', NULL, '2019-04-24', 4, 4, 4, 4, NULL, 0, 5, 0, NULL, 0, 0, 16.20000000, 0.00000000, 0.00000000, 81.00000000, 97.20000000, 'complement pour BE2BIZ', 'complement', 'muscadet', '2019-04-29 00:00:00', NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 81.00000000, 16.20000000, 97.20000000, NULL),
(1050, 'CF1904-0990', 1, NULL, '', 2740, NULL, '2019-04-26 12:39:21', '2019-04-24 11:21:14', '2019-04-24 11:22:59', '2019-04-24 11:22:59', NULL, '2019-04-24', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 21.73000000, 0.00000000, 0.00000000, 108.69000000, 130.42000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 108.69000000, 21.73000000, 130.42000000, NULL),
(1051, 'CF1904-0993', 1, NULL, '', 2609, NULL, '2019-04-30 14:24:44', '2019-04-24 11:29:55', '2019-04-24 16:49:26', '2019-04-24 16:49:27', NULL, '2019-04-24', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 43.48000000, 0.00000000, 0.00000000, 217.41000000, 260.89000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 217.41000000, 43.48000000, 260.89000000, NULL),
(1052, 'CF1904-0991', 1, NULL, '', 1966, NULL, '2019-04-25 12:51:12', '2019-04-24 15:46:24', '2019-04-24 15:49:07', '2019-04-24 15:49:07', NULL, '2019-04-24', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 6.00000000, 0.00000000, 0.00000000, 30.00000000, 36.00000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 30.00000000, 6.00000000, 36.00000000, NULL),
(1053, 'CF1904-0994', 1, NULL, '', 2050, NULL, '2019-05-22 12:07:39', '2019-04-25 11:35:43', '2019-04-25 11:37:25', '2019-04-25 11:37:26', NULL, '2019-04-25', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 196.10000000, 0.00000000, 0.00000000, 980.50000000, 1176.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 980.50000000, 196.10000000, 1176.60000000, NULL),
(1054, 'CF1904-0995', 1, NULL, '', 1948, NULL, '2019-05-22 12:17:11', '2019-04-25 11:47:16', '2019-04-25 11:53:08', '2019-04-25 11:53:08', NULL, '2019-04-25', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 20.79000000, 0.00000000, 0.00000000, 103.95000000, 124.74000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 103.95000000, 20.79000000, 124.74000000, NULL),
(1055, 'CF1904-0996', 1, NULL, '', 2673, NULL, '2019-04-30 14:23:40', '2019-04-26 10:00:57', '2019-04-26 10:04:54', '2019-04-26 10:04:54', NULL, '2019-04-26', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 76.26000000, 0.00000000, 0.00000000, 381.23000000, 457.59000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 381.23000000, 76.24000000, 457.47000000, NULL),
(1056, 'CF1904-0997', 1, NULL, '', 1966, NULL, '2020-07-20 12:49:40', '2019-04-26 10:09:49', '2019-04-26 10:33:14', '2019-04-26 10:33:14', NULL, '2019-09-03', 4, NULL, 4, 4, NULL, 0, 7, 0, NULL, 0, 0, 34.40000000, 0.00000000, 0.00000000, 172.00000000, 206.40000000, 'complement BE2BIZ', '', 'muscadet', '2019-04-29 00:00:00', NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 172.00000000, 34.40000000, 206.40000000, NULL),
(1057, 'CF1904-0998', 1, NULL, '', 2673, NULL, '2019-05-07 13:18:50', '2019-04-26 15:32:09', '2019-04-26 15:33:19', '2019-04-26 15:33:20', NULL, '2019-04-26', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 13.66000000, 0.00000000, 0.00000000, 68.20000000, 81.96000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 68.20000000, 13.64000000, 81.84000000, NULL),
(1058, 'CF1904-0999', 1, NULL, '', 2114, NULL, '2020-07-20 12:36:30', '2019-04-29 10:58:51', '2019-04-29 11:03:18', '2019-04-29 11:03:19', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, NULL, 0, 0, 2024.75000000, 0.00000000, 0.00000000, 10123.75000000, 12148.50000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 10123.75000000, 2024.75000000, 12148.50000000, NULL),
(1059, 'CF1904-1000', 1, NULL, '', 1948, NULL, '2020-07-20 12:58:07', '2019-04-29 12:07:55', '2019-04-29 12:08:09', '2019-04-29 12:08:10', NULL, '2019-04-29', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 1.39000000, 0.00000000, 0.00000000, 6.97000000, 8.36000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 6.97000000, 1.39000000, 8.36000000, NULL),
(1060, 'CF1904-1001', 1, NULL, '', 2050, NULL, '2019-05-06 12:55:22', '2019-04-30 09:59:44', '2019-04-30 10:00:35', '2019-04-30 10:00:35', NULL, '2019-04-30', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 325.20000000, 0.00000000, 0.00000000, 1626.00000000, 1951.20000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1626.00000000, 325.20000000, 1951.20000000, NULL),
(1061, 'CF1904-1002', 1, NULL, '', 1948, NULL, '2019-05-06 07:58:08', '2019-04-30 10:01:16', '2019-04-30 10:02:01', '2019-04-30 10:02:01', NULL, '2019-04-30', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 38.90000000, 0.00000000, 0.00000000, 194.50000000, 233.40000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 194.50000000, 38.90000000, 233.40000000, NULL),
(1062, 'CF1905-1003', 1, NULL, '', 1948, NULL, '2019-05-22 12:17:31', '2019-05-06 11:30:06', '2019-05-06 11:30:27', '2019-05-06 11:30:27', NULL, '2019-05-06', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 10.18000000, 0.00000000, 0.00000000, 50.87000000, 61.05000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 50.87000000, 10.18000000, 61.05000000, NULL),
(1063, 'CF1905-1016', 1, NULL, '', 2764, NULL, '2019-06-03 12:49:02', '2019-05-06 11:30:06', '2019-05-15 10:08:15', '2019-05-15 10:08:15', NULL, '2019-05-15', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 8.08000000, 0.00000000, 0.00000000, 40.40000000, 48.48000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 40.40000000, 8.08000000, 48.48000000, NULL),
(1064, 'CF1905-1004', 1, NULL, '', 1948, NULL, '2019-05-22 12:17:47', '2019-05-06 14:46:18', '2019-05-06 14:46:43', '2019-05-06 14:46:43', NULL, '2019-05-06', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 23.93000000, 0.00000000, 0.00000000, 119.64000000, 143.57000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 119.64000000, 23.93000000, 143.57000000, NULL),
(1065, 'CF1905-1005', 1, NULL, '', 2050, NULL, '2019-05-22 12:14:40', '2019-05-07 09:37:53', '2019-05-07 09:39:52', '2019-05-07 09:39:52', NULL, '2019-05-07', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 117.80000000, 0.00000000, 0.00000000, 589.00000000, 706.80000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 589.00000000, 117.80000000, 706.80000000, NULL),
(1066, 'CF1905-1006', 1, NULL, '', 2050, NULL, '2020-07-20 12:59:39', '2019-05-07 15:23:10', '2019-05-07 15:25:20', '2019-05-07 15:25:21', NULL, '2019-05-07', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 212.85000000, 0.00000000, 0.00000000, 1064.26000000, 1277.11000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1064.26000000, 212.85000000, 1277.11000000, NULL),
(1067, 'CF1905-1007', 1, NULL, '', 2673, NULL, '2019-05-15 07:40:39', '2019-05-07 15:28:24', '2019-05-07 15:28:57', '2019-05-07 15:28:58', NULL, '2019-05-07', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 35.74000000, 0.00000000, 0.00000000, 178.65000000, 214.44000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 178.65000000, 35.73000000, 214.38000000, NULL),
(1068, 'CF1905-1008', 1, NULL, '', 10086, NULL, '2019-05-20 10:08:49', '2019-05-13 09:36:40', '2019-05-13 09:39:04', '2019-05-13 09:39:05', NULL, '2019-05-13', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 76.18000000, 0.00000000, 0.00000000, 380.88000000, 457.06000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 380.88000000, 76.18000000, 457.06000000, NULL),
(1069, 'CF1905-1009', 1, NULL, '', 2050, NULL, '2019-05-17 07:16:29', '2019-05-13 09:44:53', '2019-05-13 10:18:00', '2019-05-13 10:18:06', NULL, '2019-05-13', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 112.60000000, 0.00000000, 0.00000000, 563.00000000, 675.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 563.00000000, 112.60000000, 675.60000000, NULL),
(1070, 'CF1905-1010', 1, NULL, '', 1948, NULL, '2019-05-22 12:18:01', '2019-05-13 11:02:19', '2019-05-13 15:18:01', '2019-05-13 15:18:01', NULL, '2019-05-13', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 34.19000000, 0.00000000, 0.00000000, 170.95000000, 205.14000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 170.95000000, 34.19000000, 205.14000000, NULL),
(1071, 'CF1905-1011', 1, NULL, '', 2740, NULL, '2020-07-20 12:59:03', '2019-05-14 11:51:16', '2019-05-14 11:52:36', '2019-05-14 11:52:37', NULL, '2019-05-14', 5, 5, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 79.90000000, 0.00000000, 0.00000000, 399.50000000, 479.40000000, '', 'Livraison direct client :<br />\r\nINNODEC ( Anciennement DROMECA ) <br />\r\nRue Des Gillieres,<br />\r\n26100 Romans-sur-Isère<br />\r\n<br />\r\nTel : <a href=\"https://www.google.com/search?ei=gI_aXIbdH7DBlwSkk6fACw&q=innodec&oq=innodec&gs_l=psy-ab.3..0j0i10j0l2j0i10j0j0i10j0i203l2.77711.78704..78895...0.0..0.108.593.5j2......0....1..gws-wiz.......35i39j0i131.Ro1-yLTHjt4#\" title=\"Appeler avec Hangouts\">04 75 70 26 80</a>', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 399.50000000, 79.90000000, 479.40000000, NULL),
(1072, 'CF1905-1012', 1, NULL, '', 1948, NULL, '2019-05-22 12:18:26', '2019-05-14 11:55:51', '2019-05-14 11:57:21', '2019-05-14 11:57:21', NULL, '2019-05-14', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 35.40000000, 0.00000000, 0.00000000, 176.99000000, 212.39000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 176.99000000, 35.40000000, 212.39000000, NULL),
(1073, 'CF1905-1013', 1, NULL, '', 1948, NULL, '2019-06-25 10:00:25', '2019-05-15 09:17:43', '2019-05-15 09:18:06', '2019-05-15 09:18:07', NULL, '2019-05-15', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 38.06000000, 0.00000000, 0.00000000, 190.30000000, 228.36000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 190.30000000, 38.06000000, 228.36000000, NULL),
(1074, 'CF1905-1014', 1, NULL, '', 2050, NULL, '2019-05-24 08:21:27', '2019-05-15 09:17:43', '2019-05-15 09:52:17', '2019-05-15 09:52:17', NULL, '2019-05-15', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 100.00000000, 0.00000000, 0.00000000, 500.00000000, 600.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 500.00000000, 100.00000000, 600.00000000, NULL),
(1075, 'CF1905-1015', 1, NULL, '', 2609, NULL, '2019-05-23 09:38:23', '2019-05-15 09:58:51', '2019-05-15 10:05:15', '2019-05-15 10:05:15', NULL, '2019-05-15', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 379.62000000, 0.00000000, 0.00000000, 1898.08000000, 2277.70000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1898.08000000, 379.62000000, 2277.70000000, NULL),
(1076, 'CF1905-1017', 1, NULL, '', 1948, NULL, '2020-07-20 13:00:38', '2019-05-15 10:56:52', '2019-05-15 10:57:21', '2019-05-15 10:57:21', NULL, '2019-05-15', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 6.93000000, 0.00000000, 0.00000000, 34.65000000, 41.58000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 34.65000000, 6.93000000, 41.58000000, NULL),
(1077, 'CF1905-1018', 1, NULL, '', 12721, NULL, '2019-05-16 12:49:48', '2019-05-16 14:13:16', '2019-05-16 14:17:07', '2019-05-16 14:17:07', NULL, '2019-05-16', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 249.98000000, 0.00000000, 0.00000000, 1249.92000000, 1499.90000000, '', 'suivant OP N&deg; DV191340', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1249.92000000, 249.98000000, 1499.90000000, NULL),
(1078, 'CF1905-1019', 1, NULL, '', 12721, NULL, '2020-07-20 12:59:20', '2019-05-16 14:17:51', '2019-05-16 14:19:52', '2019-05-16 14:19:52', NULL, '2019-05-16', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 10.98000000, 0.00000000, 0.00000000, 54.90000000, 65.88000000, '', 'suivant op N&deg; 191346', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 54.90000000, 10.98000000, 65.88000000, NULL),
(1079, 'CF1905-1020', 1, NULL, '', 12721, NULL, '2020-07-20 12:59:26', '2019-05-16 15:07:23', '2019-05-16 15:09:35', '2019-05-16 15:09:35', NULL, '2019-05-16', 5, 5, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 347.30000000, 0.00000000, 0.00000000, 1736.53000000, 2083.83000000, '', 'offre N°DV191274<br />\r\n<br />\r\nMaintenance booster azote 1000H', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1736.53000000, 347.30000000, 2083.83000000, NULL),
(1080, 'CF1905-1021', 1, NULL, '', 2050, NULL, '2019-06-06 13:09:57', '2019-05-17 09:05:08', '2019-05-17 09:06:08', '2019-05-17 09:06:09', NULL, '2019-05-17', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 27.00000000, 0.00000000, 0.00000000, 135.00000000, 162.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 135.00000000, 27.00000000, 162.00000000, NULL),
(1081, 'CF1905-1026', 1, NULL, '', 1948, NULL, '2019-05-27 09:17:26', '2019-05-17 09:36:19', '2019-05-21 14:42:03', '2019-05-21 14:42:03', NULL, '2019-05-21', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 24.61000000, 0.00000000, 0.00000000, 123.08000000, 147.69000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 123.08000000, 24.61000000, 147.69000000, NULL),
(1082, 'CF1905-1022', 1, NULL, '', 1966, NULL, '2019-05-22 12:10:06', '2019-05-17 14:21:52', '2019-05-17 14:22:31', '2019-05-17 14:22:31', NULL, '2019-05-17', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 9.41000000, 0.00000000, 0.00000000, 47.04000000, 56.45000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 47.04000000, 9.41000000, 56.45000000, NULL),
(1083, 'CF1905-1023', 1, NULL, '', 2627, NULL, '2019-05-29 14:26:05', '2019-05-20 09:47:38', '2019-05-20 09:52:55', '2019-05-20 09:52:56', NULL, '2019-05-20', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 88.67000000, 0.00000000, 0.00000000, 443.32000000, 531.99000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 443.32000000, 88.67000000, 531.99000000, NULL),
(1084, 'CF1905-1024', 1, NULL, '', 2050, NULL, '2019-05-28 13:08:48', '2019-05-20 12:09:52', '2019-05-20 12:10:22', '2019-05-20 12:10:22', NULL, '2019-05-20', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 209.00000000, 0.00000000, 0.00000000, 1044.98000000, 1253.98000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1044.98000000, 209.00000000, 1253.98000000, NULL),
(1085, 'CF1905-1025', 1, NULL, '', 1948, NULL, '2019-05-27 09:17:42', '2019-05-21 09:15:55', '2019-05-21 09:16:31', '2019-05-21 09:16:31', NULL, '2019-05-21', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 8.99000000, 0.00000000, 0.00000000, 44.93000000, 53.92000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 44.93000000, 8.99000000, 53.92000000, NULL),
(1086, 'CF1905-1027', 1, NULL, '', 1948, NULL, '2019-05-27 09:19:26', '2019-05-21 14:53:09', '2019-05-21 14:54:07', '2019-05-21 14:54:08', NULL, '2019-05-27', 5, 5, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 20.57000000, 0.00000000, 0.00000000, 102.81000000, 123.38000000, '', '<u><strong><span style=\"color:#e74c3c\">Commande tres urgente départ ce jour ci possible cordialemernt</span></strong></u>', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 102.81000000, 20.57000000, 123.38000000, NULL),
(1087, 'CF1906-1052', 1, NULL, '', 2729, NULL, '2019-06-19 08:01:45', '2019-05-21 16:00:28', '2019-06-11 08:59:28', '2019-06-11 08:59:28', NULL, '2019-06-11', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 33.98000000, 0.00000000, 0.00000000, 169.92000000, 203.90000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 169.92000000, 33.98000000, 203.90000000, NULL),
(1088, 'CF1905-1028', 1, NULL, '', 2652, NULL, '2020-07-20 13:00:17', '2019-05-22 10:01:15', '2019-05-22 10:01:30', '2019-05-22 10:01:30', NULL, '2019-05-22', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 47.88000000, 0.00000000, 0.00000000, 239.40000000, 287.28000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 239.40000000, 47.88000000, 287.28000000, NULL),
(1089, 'CF1905-1029', 1, NULL, '', 2050, NULL, '2019-05-22 08:41:04', '2019-05-22 10:39:09', '2019-05-22 10:41:04', '2019-05-22 10:41:04', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 56.20000000, 0.00000000, 0.00000000, 281.00000000, 337.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 281.00000000, 56.20000000, 337.20000000, NULL),
(1090, 'CF1905-1030', 1, NULL, '', 1948, NULL, '2019-05-27 09:19:45', '2019-05-22 10:39:09', '2019-05-22 10:46:22', '2019-05-22 10:46:23', NULL, '2019-05-22', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 30.38000000, 0.00000000, 0.00000000, 151.90000000, 182.28000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 151.90000000, 30.38000000, 182.28000000, NULL),
(1091, 'CF1905-1031', 1, NULL, '', 2761, NULL, '2019-06-03 12:49:28', '2019-05-22 11:08:12', '2019-05-22 15:20:21', '2019-05-22 15:20:21', NULL, '2019-05-22', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 31.40000000, 0.00000000, 0.00000000, 157.03000000, 188.43000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 157.03000000, 31.40000000, 188.43000000, NULL),
(1092, 'CF1905-1032', 1, NULL, '', 1948, NULL, '2019-06-03 12:40:41', '2019-05-23 11:32:05', '2019-05-23 11:32:21', '2019-05-23 11:32:21', NULL, '2019-05-23', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 20.52000000, 0.00000000, 0.00000000, 102.62000000, 123.14000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 102.62000000, 20.52000000, 123.14000000, NULL),
(1093, 'CF1905-1033', 1, NULL, '', 1948, NULL, '2019-06-03 12:41:00', '2019-05-23 16:25:03', '2019-05-23 16:25:21', '2019-05-23 16:25:21', NULL, '2019-05-23', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 39.60000000, 0.00000000, 0.00000000, 198.00000000, 237.60000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 198.00000000, 39.60000000, 237.60000000, NULL),
(1094, 'CF1906-1044', 1, NULL, '', 2050, NULL, '2019-06-11 13:36:23', '2019-05-24 09:43:49', '2019-06-03 12:14:57', '2019-06-03 12:14:58', NULL, '2019-06-03', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 84.40000000, 0.00000000, 0.00000000, 422.00000000, 506.40000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 422.00000000, 84.40000000, 506.40000000, NULL),
(1095, 'CF1905-1034', 1, NULL, '', 2050, NULL, '2019-06-06 13:20:26', '2019-05-24 09:43:50', '2019-05-24 09:44:10', '2019-05-24 09:44:10', NULL, '2019-05-24', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 102.00000000, 0.00000000, 0.00000000, 510.00000000, 612.00000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 510.00000000, 102.00000000, 612.00000000, NULL),
(1096, 'CF1905-1037', 1, NULL, '', 2050, NULL, '2019-06-06 13:16:44', '2019-05-27 10:07:56', '2019-05-28 15:10:05', '2019-05-28 15:10:05', NULL, '2019-05-28', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 74.10000000, 0.00000000, 0.00000000, 370.50000000, 444.60000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 370.50000000, 74.10000000, 444.60000000, NULL),
(1097, 'CF1905-1035', 1, NULL, '', 2673, NULL, '2019-06-06 13:12:03', '2019-05-28 09:14:09', '2019-05-28 09:15:54', '2019-05-28 09:15:54', NULL, '2019-05-28', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 35.22000000, 0.00000000, 0.00000000, 176.07000000, 211.30000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 176.07000000, 35.21000000, 211.28000000, NULL),
(1098, 'CF1905-1036', 1, NULL, '', 1948, NULL, '2019-06-28 07:07:38', '2019-05-28 09:38:22', '2019-05-28 09:38:46', '2019-05-28 09:38:46', NULL, '2019-05-28', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 30.38000000, 0.00000000, 0.00000000, 151.90000000, 182.28000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 151.90000000, 30.38000000, 182.28000000, NULL),
(1099, 'CF1905-1038', 1, NULL, '', 2114, NULL, '2019-05-28 14:45:58', '2019-05-28 16:45:11', '2019-05-28 16:45:58', '2019-05-28 16:45:58', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 78.78000000, 0.00000000, 0.00000000, 393.90000000, 472.68000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 393.90000000, 78.78000000, 472.68000000, NULL),
(1100, 'CF1905-1040', 1, NULL, '', 2642, NULL, '2019-06-12 13:10:38', '2019-05-29 11:47:03', '2019-05-29 11:49:01', '2019-05-29 11:49:01', NULL, '2019-05-29', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 24.64000000, 0.00000000, 0.00000000, 123.18000000, 147.82000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 123.18000000, 24.64000000, 147.82000000, NULL),
(1101, 'CF1905-1039', 1, NULL, '', 1948, NULL, '2019-06-11 12:22:32', '2019-05-29 11:47:03', '2019-05-29 11:47:24', '2019-05-29 11:47:25', NULL, '2019-05-29', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 45.10000000, 0.00000000, 0.00000000, 225.50000000, 270.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 225.50000000, 45.10000000, 270.60000000, NULL),
(1102, 'CF1906-1041', 1, NULL, 'DEVNS05F19050181', 2719, NULL, '2019-06-06 13:15:36', '2019-06-03 09:05:03', '2019-06-03 09:06:15', '2019-06-03 09:06:15', NULL, '2019-06-03', 5, 5, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 12.39000000, 0.00000000, 0.00000000, 61.93000000, 74.32000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 61.93000000, 12.39000000, 74.32000000, NULL),
(1103, 'CF1906-1042', 1, NULL, '', 12908, NULL, '2020-07-20 12:59:48', '2019-06-03 11:39:24', '2019-06-03 11:39:41', '2019-06-03 11:39:41', NULL, '2019-06-03', 5, 5, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 359.00000000, 0.00000000, 0.00000000, 1795.00000000, 2154.00000000, '', 'Adresse d\'intervention :<br />\r\nCTC<br />\r\nRue Jean Charcot<br />\r\n26100 ROMANS<br />\r\nCONTACT sur place : Thierry RAMBAUD 04 75 05 55 22', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1795.00000000, 359.00000000, 2154.00000000, NULL),
(1104, 'CF1906-1043', 1, NULL, '', 1948, NULL, '2019-06-11 12:28:57', '2019-06-03 11:58:48', '2019-06-03 12:00:04', '2019-06-03 12:00:04', NULL, '2019-06-03', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 155.15000000, 0.00000000, 0.00000000, 775.79000000, 930.94000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 775.79000000, 155.15000000, 930.94000000, NULL),
(1105, 'CF1907-1086', 1, NULL, '', 2764, NULL, '2019-07-15 09:52:15', '2019-06-03 12:13:36', '2019-07-02 11:53:55', '2019-07-02 11:53:55', NULL, '2019-07-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 19.75000000, 0.00000000, 0.00000000, 98.74000000, 118.49000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 98.74000000, 19.75000000, 118.49000000, NULL),
(1106, 'CF1906-1045', 1, NULL, '', 1948, NULL, '2019-06-11 12:22:51', '2019-06-03 12:13:36', '2019-06-03 12:15:35', '2019-06-03 12:15:35', NULL, '2019-06-03', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 10.26000000, 0.00000000, 0.00000000, 51.31000000, 61.57000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 51.31000000, 10.26000000, 61.57000000, NULL),
(1107, 'CF1906-1046', 1, NULL, '', 2114, NULL, '2019-06-04 14:10:36', '2019-06-04 16:05:00', '2019-06-04 16:10:15', '2019-06-04 16:10:15', NULL, '2019-06-04', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 79.42000000, 0.00000000, 0.00000000, 397.10000000, 476.52000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 397.10000000, 79.42000000, 476.52000000, NULL),
(1108, 'CF1906-1047', 1, NULL, '', 2050, NULL, '2019-06-14 07:59:40', '2019-06-04 16:16:19', '2019-06-04 16:17:23', '2019-06-04 16:17:23', NULL, '2019-06-04', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 85.19000000, 0.00000000, 0.00000000, 425.93000000, 511.12000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 425.93000000, 85.19000000, 511.12000000, NULL),
(1109, 'CF1906-1048', 1, NULL, '', 2114, NULL, '2019-06-04 14:47:42', '2019-06-04 16:46:36', '2019-06-04 16:47:41', '2019-06-04 16:47:41', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 136.59000000, 0.00000000, 0.00000000, 682.92000000, 819.51000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 682.92000000, 136.59000000, 819.51000000, NULL),
(1110, 'CF1906-1049', 1, NULL, '', 2114, NULL, '2020-07-20 12:35:16', '2019-06-05 09:11:20', '2019-06-05 09:14:08', '2019-06-05 09:14:09', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, NULL, 0, 0, 6976.66000000, 0.00000000, 0.00000000, 34883.26000000, 41859.92000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 34883.26000000, 6976.66000000, 41859.92000000, NULL),
(1111, 'CF1906-1050', 1, NULL, '', 2114, NULL, '2019-06-05 12:33:53', '2019-06-05 14:32:31', '2019-06-05 14:33:52', '2019-06-05 14:33:52', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 552.97000000, 0.00000000, 0.00000000, 2764.85000000, 3317.82000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2764.85000000, 552.97000000, 3317.82000000, NULL),
(1113, 'CF1906-1051', 1, NULL, '', 1948, NULL, '2019-06-11 12:29:25', '2019-06-05 15:19:32', '2019-06-05 15:22:44', '2019-06-05 15:22:44', NULL, '2019-06-05', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 21.02000000, 0.00000000, 0.00000000, 105.15000000, 126.17000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 105.15000000, 21.02000000, 126.17000000, NULL),
(1115, 'CF1906-1053', 1, NULL, '', 12721, NULL, '2020-07-20 13:02:45', '2019-06-11 11:51:05', '2019-06-11 11:54:54', '2019-06-11 11:54:54', NULL, '2019-06-11', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 31.10000000, 0.00000000, 0.00000000, 155.50000000, 186.60000000, '', 'DV191416', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 155.50000000, 31.10000000, 186.60000000, NULL),
(1116, 'CF1906-1054', 1, NULL, '', 2050, NULL, '2019-06-25 10:02:41', '2019-06-11 15:34:10', '2019-06-11 15:35:01', '2019-06-11 15:35:02', NULL, '2019-06-11', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 54.00000000, 0.00000000, 0.00000000, 270.00000000, 324.00000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 270.00000000, 54.00000000, 324.00000000, NULL),
(1117, 'CF1906-1055', 1, NULL, '', 2050, NULL, '2019-06-24 06:46:42', '2019-06-11 16:38:15', '2019-06-11 16:39:11', '2019-06-11 16:39:11', NULL, '2019-06-11', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 20.42000000, 0.00000000, 0.00000000, 102.12000000, 122.54000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 102.12000000, 20.42000000, 122.54000000, NULL),
(1118, 'CF1906-1056', 1, NULL, '', 12605, NULL, '2019-07-03 07:31:27', '2019-06-11 16:47:50', '2019-06-11 16:53:09', '2019-06-11 16:53:09', NULL, '2019-06-11', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 53.32000000, 0.00000000, 0.00000000, 266.60000000, 319.92000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 266.60000000, 53.32000000, 319.92000000, NULL),
(1119, 'CF1906-1057', 1, NULL, '', 2050, NULL, '2019-06-19 08:02:32', '2019-06-14 09:05:58', '2019-06-14 09:08:01', '2019-06-14 09:08:01', NULL, '2019-06-14', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 81.60000000, 0.00000000, 0.00000000, 408.00000000, 489.60000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 408.00000000, 81.60000000, 489.60000000, NULL),
(1120, 'CF1906-1058', 1, NULL, '', 1948, NULL, '2019-06-25 10:01:11', '2019-06-14 09:49:26', '2019-06-14 09:50:12', '2019-06-14 09:50:12', NULL, '2019-06-14', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 17.20000000, 0.00000000, 0.00000000, 86.00000000, 103.20000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 86.00000000, 17.20000000, 103.20000000, NULL),
(1121, 'CF1906-1059', 1, NULL, '', 1948, NULL, '2020-07-20 13:03:18', '2019-06-14 10:55:26', '2019-06-14 10:56:25', '2019-06-14 10:56:25', NULL, '2019-06-14', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 6.66000000, 0.00000000, 0.00000000, 33.32000000, 39.98000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 33.32000000, 6.66000000, 39.98000000, NULL),
(1122, 'CF1906-1061', 1, NULL, '', 2050, NULL, '2019-06-28 07:23:47', '2019-06-14 11:08:31', '2019-06-19 10:20:11', '2019-06-19 10:20:11', NULL, '2019-06-19', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 836.53000000, 0.00000000, 0.00000000, 4182.66000000, 5019.19000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4182.66000000, 836.53000000, 5019.19000000, NULL),
(1123, 'CF1906-1060', 1, NULL, '', 1948, NULL, '2019-07-05 14:20:10', '2019-06-19 09:27:18', '2019-06-19 09:30:51', '2019-06-19 09:30:51', NULL, '2019-06-19', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 68.43000000, 0.00000000, 0.00000000, 342.15000000, 410.58000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 342.15000000, 68.43000000, 410.58000000, NULL),
(1124, 'CF1906-1062', 1, NULL, '', 2729, NULL, '2019-07-03 14:17:35', '2019-06-19 11:48:33', '2019-06-19 14:52:50', '2019-06-19 14:52:50', NULL, '2019-06-19', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 12.00000000, 0.00000000, 0.00000000, 984.90000000, 996.90000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 984.90000000, 12.00000000, 996.90000000, NULL),
(1125, 'CF1906-1063', 1, NULL, '', 1948, NULL, '2019-06-25 10:01:24', '2019-06-19 15:24:32', '2019-06-19 15:24:49', '2019-06-19 15:24:49', NULL, '2019-06-19', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 11.00000000, 0.00000000, 0.00000000, 55.00000000, 66.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 55.00000000, 11.00000000, 66.00000000, NULL),
(1126, 'CF1906-1064', 1, NULL, '', 2050, NULL, '2019-07-17 13:04:21', '2019-06-19 15:24:32', '2019-06-19 15:25:42', '2019-06-19 15:25:43', NULL, '2019-06-19', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 245.40000000, 0.00000000, 0.00000000, 1226.98000000, 1472.38000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1226.98000000, 245.40000000, 1472.38000000, NULL),
(1127, 'CF1906-1065', 1, NULL, '', 2627, NULL, '2019-07-09 06:51:42', '2019-06-20 10:20:24', '2019-06-20 10:34:26', '2019-06-20 10:34:26', NULL, '2019-07-09', 5, 5, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 396.75000000, 0.00000000, 0.00000000, 1983.75000000, 2380.50000000, '', 'SUivant promo reçu de ce jour -55%', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1983.75000000, 396.75000000, 2380.50000000, NULL),
(1128, 'CF1906-1066', 1, NULL, '', 2050, NULL, '2019-06-24 13:39:37', '2019-06-20 11:17:46', '2019-06-20 11:18:15', '2019-06-20 11:18:15', NULL, '2019-06-20', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 79.17000000, 0.00000000, 0.00000000, 395.83000000, 475.00000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 395.83000000, 79.17000000, 475.00000000, NULL),
(1129, 'CF1906-1067', 1, NULL, '', 2050, NULL, '2019-06-26 07:53:12', '2019-06-21 11:17:28', '2019-06-21 11:17:46', '2019-06-21 11:17:46', NULL, '2019-06-21', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 78.34000000, 0.00000000, 0.00000000, 391.70000000, 470.04000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 391.70000000, 78.34000000, 470.04000000, NULL),
(1130, 'CF1906-1068', 1, NULL, '', 2740, NULL, '2020-07-20 13:03:36', '2019-06-24 15:42:45', '2019-06-24 15:43:46', '2019-06-24 15:43:46', NULL, '2019-06-24', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 2.52000000, 0.00000000, 0.00000000, 12.60000000, 15.12000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 12.60000000, 2.52000000, 15.12000000, NULL),
(1131, 'CF1906-1069', 1, NULL, '', 2050, NULL, '2019-07-09 12:25:31', '2019-06-24 16:59:07', '2019-06-24 16:59:52', '2019-06-24 16:59:52', NULL, '2019-06-24', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 28.77000000, 0.00000000, 0.00000000, 143.85000000, 172.62000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 143.85000000, 28.77000000, 172.62000000, NULL),
(1132, 'CF1906-1071', 1, NULL, '', 2050, NULL, '2019-06-28 07:31:13', '2019-06-25 11:51:52', '2019-06-25 11:54:08', '2019-06-25 11:54:08', NULL, '2019-06-25', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 72.00000000, 0.00000000, 0.00000000, 360.00000000, 432.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 360.00000000, 72.00000000, 432.00000000, NULL),
(1133, 'CF1906-1070', 1, NULL, '', 1948, NULL, '2019-06-28 07:08:12', '2019-06-25 11:51:52', '2019-06-25 11:52:45', '2019-06-25 11:52:46', NULL, '2019-06-25', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 14.00000000, 0.00000000, 0.00000000, 70.00000000, 84.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 70.00000000, 14.00000000, 84.00000000, NULL),
(1134, 'CF1906-1077', 1, NULL, '', 2050, NULL, '2019-07-03 07:12:01', '2019-06-26 10:08:30', '2019-06-28 16:43:23', '2019-06-28 16:43:23', NULL, '2019-06-28', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 265.60000000, 0.00000000, 0.00000000, 1328.00000000, 1593.60000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1328.00000000, 265.60000000, 1593.60000000, NULL),
(1135, 'CF1906-1072', 1, NULL, '', 2114, NULL, '2020-07-20 13:00:47', '2019-06-26 14:26:02', '2019-06-26 14:26:43', '2019-06-26 14:26:43', NULL, '2019-06-26', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 109.69000000, 0.00000000, 0.00000000, 548.44000000, 658.13000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 548.44000000, 109.69000000, 658.13000000, NULL),
(1136, 'CF1906-1073', 1, NULL, '', 2642, NULL, '2019-07-03 08:11:43', '2019-06-27 14:52:42', '2019-06-27 14:52:59', '2019-06-27 14:52:59', NULL, '2019-06-27', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 18.64000000, 0.00000000, 0.00000000, 93.20000000, 111.84000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 93.20000000, 18.64000000, 111.84000000, NULL),
(1137, 'CF1906-1074', 1, NULL, '', 2729, NULL, '2020-07-20 13:10:12', '2019-06-27 16:01:37', '2019-06-27 16:03:39', '2019-06-27 16:03:39', NULL, '2019-06-27', 5, 5, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 5010.00000000, 5010.00000000, '', NULL, 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5010.00000000, 0.00000000, 5010.00000000, NULL),
(1138, 'CF1906-1075', 1, NULL, '', 2114, NULL, '2020-07-20 13:03:57', '2019-06-28 09:34:55', '2019-06-28 10:02:04', '2019-06-28 10:02:04', NULL, '2019-06-28', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 127.19000000, 0.00000000, 0.00000000, 635.95000000, 763.14000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 635.95000000, 127.19000000, 763.14000000, NULL),
(1139, 'CF1906-1076', 1, NULL, '', 2750, NULL, '2020-07-20 13:04:12', '2019-06-28 10:43:14', '2019-06-28 10:51:36', '2019-06-28 10:51:37', NULL, '2019-06-28', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 693.00000000, 0.00000000, 0.00000000, 3465.00000000, 4158.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3465.00000000, 693.00000000, 4158.00000000, NULL);
INSERT INTO `llx_commande_fournisseur` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_supplier`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_approve`, `date_approve2`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_approve`, `fk_user_approve2`, `source`, `fk_statut`, `billed`, `amount_ht`, `remise_percent`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `date_livraison`, `fk_account`, `fk_cond_reglement`, `fk_mode_reglement`, `fk_input_method`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`) VALUES
(1140, 'CF1907-1078', 1, NULL, '', 2729, NULL, '2019-07-01 07:15:39', '2019-07-01 09:13:20', '2019-07-01 09:15:38', '2019-07-01 09:15:39', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 4267.20000000, 4267.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4267.20000000, 0.00000000, 4267.20000000, NULL),
(1141, 'CF1907-1079', 1, NULL, '', 2740, NULL, '2020-07-20 13:04:31', '2019-07-01 09:13:20', '2019-07-01 09:18:30', '2019-07-01 09:18:30', NULL, '2019-07-01', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 79.90000000, 0.00000000, 0.00000000, 399.50000000, 479.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 399.50000000, 79.90000000, 479.40000000, NULL),
(1142, 'CF1907-1083', 1, NULL, '', 1948, NULL, '2019-08-02 07:52:21', '2019-07-01 09:13:20', '2019-07-02 10:59:52', '2019-07-02 10:59:53', NULL, '2019-07-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 74.67000000, 0.00000000, 0.00000000, 373.35000000, 448.02000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 373.35000000, 74.67000000, 448.02000000, NULL),
(1143, 'CF1907-1080', 1, NULL, '', 2764, NULL, '2019-07-15 09:51:48', '2019-07-01 09:42:06', '2019-07-01 09:42:32', '2019-07-01 09:42:32', NULL, '2019-07-01', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 20.93000000, 0.00000000, 0.00000000, 104.64000000, 125.57000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 104.64000000, 20.93000000, 125.57000000, NULL),
(1144, 'CF1907-1082', 1, NULL, '', 2729, NULL, '2020-07-20 13:14:02', '2019-07-01 10:36:56', '2019-07-01 15:09:06', '2019-07-01 15:09:06', NULL, '2019-07-01', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 7.84000000, 0.00000000, 0.00000000, 292.60000000, 300.44000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 292.60000000, 7.84000000, 300.44000000, NULL),
(1145, 'CF1907-1081', 1, NULL, '', 2729, NULL, '2020-07-20 13:13:46', '2019-07-01 14:38:55', '2019-07-01 14:40:12', '2019-07-01 14:40:12', NULL, '2019-07-01', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 2793.60000000, 2793.60000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2793.60000000, 0.00000000, 2793.60000000, NULL),
(1146, 'CF1907-1084', 1, NULL, '', 1948, NULL, '2019-07-26 12:11:58', '2019-07-02 11:46:22', '2019-07-02 11:46:38', '2019-07-02 11:46:38', NULL, '2019-07-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 11.80000000, 0.00000000, 0.00000000, 59.00000000, 70.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 59.00000000, 11.80000000, 70.80000000, NULL),
(1147, 'CF1907-1085', 1, NULL, '', 1948, NULL, '2019-07-05 14:20:48', '2019-07-02 11:52:38', '2019-07-02 11:53:11', '2019-07-02 11:53:11', NULL, '2019-07-05', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 54.34000000, 0.00000000, 0.00000000, 271.68000000, 326.02000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 271.68000000, 54.34000000, 326.02000000, NULL),
(1148, 'CF1907-1088', 1, NULL, '', 2673, NULL, '2020-07-20 13:05:28', '2019-07-02 14:29:24', '2019-07-02 14:56:31', '2019-07-02 14:56:31', NULL, '2019-07-02', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 90.86000000, 0.00000000, 0.00000000, 454.38000000, 545.24000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 454.38000000, 90.86000000, 545.24000000, NULL),
(1149, 'CF1907-1087', 1, NULL, '', 2729, NULL, '2020-07-20 13:05:12', '2019-07-02 14:29:24', '2019-07-02 14:39:12', '2019-07-02 14:39:13', NULL, '2019-07-02', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 4222.87000000, 4222.87000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4222.87000000, 0.00000000, 4222.87000000, NULL),
(1150, 'CF1907-1089', 1, NULL, '09peillet27062019', 2114, NULL, '2019-07-04 12:46:38', '2019-07-04 14:43:27', '2019-07-04 14:46:38', '2019-07-04 14:46:38', NULL, NULL, 5, 5, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 46.30000000, 0.00000000, 0.00000000, 231.50000000, 277.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 231.50000000, 46.30000000, 277.80000000, NULL),
(1151, 'CF1907-1090', 1, NULL, '', 1948, NULL, '2019-07-17 13:04:43', '2019-07-04 15:06:33', '2019-07-04 15:07:27', '2019-07-04 15:07:27', NULL, '2019-07-16', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 14.00000000, 0.00000000, 0.00000000, 70.00000000, 84.00000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 70.00000000, 14.00000000, 84.00000000, NULL),
(1152, 'CF1907-1092', 1, NULL, '', 1948, NULL, '2019-07-16 09:39:15', '2019-07-05 10:52:53', '2019-07-05 10:54:11', '2019-07-05 10:54:11', NULL, '2019-07-05', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 11.00000000, 0.00000000, 0.00000000, 55.00000000, 66.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 55.00000000, 11.00000000, 66.00000000, NULL),
(1153, 'CF1907-1115', 1, NULL, '', 2627, NULL, '2019-08-01 12:29:42', '2019-07-05 10:52:53', '2019-07-23 10:21:47', '2019-07-23 10:21:47', NULL, '2019-07-23', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 35.96000000, 0.00000000, 0.00000000, 179.80000000, 215.76000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 179.80000000, 35.96000000, 215.76000000, NULL),
(1154, 'CF1907-1091', 1, NULL, '', 2050, NULL, '2019-07-10 12:33:12', '2019-07-05 10:53:08', '2019-07-05 10:53:32', '2019-07-05 10:53:32', NULL, '2019-07-05', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 100.00000000, 0.00000000, 0.00000000, 500.00000000, 600.00000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 500.00000000, 100.00000000, 600.00000000, NULL),
(1155, 'CF1907-1093', 1, NULL, '', 2627, NULL, '2019-07-23 07:53:04', '2019-07-05 11:01:05', '2019-07-05 11:01:56', '2019-07-05 11:01:56', NULL, '2019-07-05', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 86.10000000, 0.00000000, 0.00000000, 430.50000000, 516.60000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 430.50000000, 86.10000000, 516.60000000, NULL),
(1156, 'CF1907-1094', 1, NULL, '', 2114, NULL, '2020-07-17 10:01:30', '2019-07-08 10:16:09', '2019-07-08 10:16:28', '2019-07-08 10:16:29', NULL, '2019-07-08', 5, NULL, 5, 5, NULL, 0, 5, 1, NULL, 0, 0, 65.52000000, 0.00000000, 0.00000000, 327.60000000, 393.12000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 327.60000000, 65.52000000, 393.12000000, NULL),
(1157, 'CF1907-1095', 1, NULL, '', 1948, NULL, '2019-07-16 09:38:58', '2019-07-08 10:32:20', '2019-07-08 10:32:37', '2019-07-08 10:32:37', NULL, '2019-07-08', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 4.80000000, 0.00000000, 0.00000000, 24.00000000, 28.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 24.00000000, 4.80000000, 28.80000000, NULL),
(1158, 'CF1907-1096', 1, NULL, '', 2114, NULL, '2019-07-08 12:12:30', '2019-07-08 14:10:29', '2019-07-08 14:12:30', '2019-07-08 14:12:30', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 300.06000000, 0.00000000, 0.00000000, 1500.30000000, 1800.36000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1500.30000000, 300.06000000, 1800.36000000, NULL),
(1159, 'CF1907-1098', 1, NULL, '', 1948, NULL, '2019-07-16 09:39:38', '2019-07-08 15:25:24', '2019-07-08 16:38:39', '2019-07-08 16:38:39', NULL, '2019-07-08', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 13.40000000, 0.00000000, 0.00000000, 67.00000000, 80.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 67.00000000, 13.40000000, 80.40000000, NULL),
(1160, 'CF1907-1097', 1, NULL, '', 2050, NULL, '2019-07-10 12:27:47', '2019-07-08 15:25:41', '2019-07-08 15:26:27', '2019-07-08 15:26:27', NULL, '2019-07-08', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 82.40000000, 0.00000000, 0.00000000, 412.00000000, 494.40000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 412.00000000, 82.40000000, 494.40000000, NULL),
(1161, 'CF1907-1100', 1, NULL, '', 1948, NULL, '2019-07-16 09:40:10', '2019-07-09 11:47:15', '2019-07-09 11:48:36', '2019-07-09 11:48:36', NULL, '2019-07-09', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 45.21000000, 0.00000000, 0.00000000, 226.06000000, 271.27000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 226.06000000, 45.21000000, 271.27000000, NULL),
(1162, 'CF1907-1099', 1, NULL, '', 2050, NULL, '2019-07-12 14:15:30', '2019-07-09 11:47:32', '2019-07-09 11:48:02', '2019-07-09 11:48:02', NULL, '2019-07-09', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 122.00000000, 0.00000000, 0.00000000, 610.00000000, 732.00000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 610.00000000, 122.00000000, 732.00000000, NULL),
(1163, 'CF1907-1116', 1, NULL, '', 2050, NULL, '2020-07-20 13:16:07', '2019-07-09 12:04:46', '2019-07-23 11:16:57', '2019-07-23 11:16:57', NULL, '2019-07-23', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 61.40000000, 0.00000000, 0.00000000, 307.00000000, 368.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 307.00000000, 61.40000000, 368.40000000, NULL),
(1164, 'CF1907-1101', 1, NULL, '', 2673, NULL, '2019-07-11 13:47:24', '2019-07-09 12:05:17', '2019-07-09 12:05:58', '2019-07-09 12:05:58', NULL, '2019-07-09', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 89.24000000, 0.00000000, 0.00000000, 446.18000000, 535.42000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 446.18000000, 89.24000000, 535.42000000, NULL),
(1165, 'CF1907-1102', 1, NULL, '', 2729, NULL, '2019-07-16 09:42:01', '2019-07-09 14:38:54', '2019-07-09 14:39:49', '2019-07-09 14:39:49', NULL, '2019-07-09', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 88.20000000, 88.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 88.20000000, 0.00000000, 88.20000000, NULL),
(1166, 'CF1907-1103', 1, NULL, '', 1948, NULL, '2019-07-16 09:40:29', '2019-07-09 14:54:14', '2019-07-09 14:54:30', '2019-07-09 14:54:30', NULL, '2019-07-09', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 2.00000000, 0.00000000, 0.00000000, 10.00000000, 12.00000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 10.00000000, 2.00000000, 12.00000000, NULL),
(1167, 'CF1907-1104', 1, NULL, '', 1948, NULL, '2019-07-16 09:40:52', '2019-07-09 16:12:44', '2019-07-09 16:16:57', '2019-07-09 16:16:57', NULL, '2019-07-09', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 38.61000000, 0.00000000, 0.00000000, 193.05000000, 231.66000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 193.05000000, 38.61000000, 231.66000000, NULL),
(1168, 'CF1907-1105', 1, NULL, '', 2050, NULL, '2020-07-20 13:14:14', '2019-07-09 16:23:36', '2019-07-09 16:24:21', '2019-07-09 16:24:21', NULL, '2019-07-09', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 40.82000000, 0.00000000, 0.00000000, 204.11000000, 244.93000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 204.11000000, 40.82000000, 244.93000000, NULL),
(1169, 'CF1907-1106', 1, NULL, '', 2765, NULL, '2019-07-26 09:49:11', '2019-07-09 16:30:17', '2019-07-09 16:30:39', '2019-07-09 16:30:40', NULL, '2019-07-26', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 35.60000000, 0.00000000, 0.00000000, 178.00000000, 213.60000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 178.00000000, 35.60000000, 213.60000000, NULL),
(1170, 'CF1907-1107', 1, NULL, '', 1948, NULL, '2019-07-16 09:41:10', '2019-07-11 10:47:01', '2019-07-11 11:23:59', '2019-07-11 11:24:00', NULL, '2019-07-11', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 39.17000000, 0.00000000, 0.00000000, 195.84000000, 235.01000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 195.84000000, 39.17000000, 235.01000000, NULL),
(1171, 'CF1907-1108', 1, NULL, '', 2764, NULL, '2019-07-16 09:41:34', '2019-07-11 10:47:01', '2019-07-11 11:24:50', '2019-07-11 11:24:50', NULL, '2019-07-11', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 6.28000000, 0.00000000, 0.00000000, 31.41000000, 37.69000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 31.41000000, 6.28000000, 37.69000000, NULL),
(1172, 'CF1907-1109', 1, NULL, '', 1948, NULL, '2019-07-17 13:05:16', '2019-07-12 10:36:26', '2019-07-12 10:37:11', '2019-07-12 10:37:11', NULL, '2019-07-17', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 16.60000000, 0.00000000, 0.00000000, 83.00000000, 99.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 83.00000000, 16.60000000, 99.60000000, NULL),
(1173, 'CF1907-1110', 1, NULL, '', 1948, NULL, '2019-07-26 12:12:56', '2019-07-15 13:57:50', '2019-07-16 09:22:46', '2019-07-16 09:22:46', NULL, '2019-07-16', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 16.40000000, 0.00000000, 0.00000000, 82.00000000, 98.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 82.00000000, 16.40000000, 98.40000000, NULL),
(1174, 'CF1907-1111', 1, NULL, '', 1948, NULL, '2020-07-20 13:14:27', '2019-07-16 11:14:59', '2019-07-16 11:16:44', '2019-07-16 11:16:44', NULL, '2019-07-16', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 117.63000000, 0.00000000, 0.00000000, 588.15000000, 705.78000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 588.15000000, 117.63000000, 705.78000000, NULL),
(1175, 'CF1907-1112', 1, NULL, '', 2723, NULL, '2019-07-23 07:52:31', '2019-07-16 16:51:21', '2019-07-16 16:52:17', '2019-07-16 16:52:18', NULL, '2019-07-23', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 12.54000000, 0.00000000, 0.00000000, 62.67000000, 75.21000000, '', 'selon offre du 9 juillet 2019&nbsp;&nbsp;31907259', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 62.67000000, 12.54000000, 75.21000000, NULL),
(1176, 'CF1907-1113', 1, NULL, '', 2642, NULL, '2019-07-29 09:59:48', '2019-07-17 11:56:56', '2019-07-17 11:57:24', '2019-07-17 11:57:25', NULL, '2019-07-17', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 84.73000000, 0.00000000, 0.00000000, 423.68000000, 508.41000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 423.68000000, 84.73000000, 508.41000000, NULL),
(1177, 'CF1907-1114', 1, NULL, '', 2729, NULL, '2020-07-20 13:14:52', '2019-07-17 16:20:08', '2019-07-17 16:22:23', '2019-07-17 16:22:23', NULL, '2019-07-17', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 296.40000000, 296.40000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 296.40000000, 0.00000000, 296.40000000, NULL),
(1178, 'CF1907-1117', 1, NULL, '', 2627, NULL, '2019-08-01 12:30:10', '2019-07-23 14:42:55', '2019-07-23 14:43:26', '2019-07-23 14:43:26', NULL, '2019-07-23', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 75.27000000, 0.00000000, 0.00000000, 376.34000000, 451.61000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 376.34000000, 75.27000000, 451.61000000, NULL),
(1179, 'CF1907-1118', 1, NULL, '', 2729, NULL, '2019-08-06 07:31:50', '2019-07-23 14:47:39', '2019-07-23 14:48:19', '2019-07-23 14:48:19', NULL, '2019-07-23', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 19.46000000, 0.00000000, 0.00000000, 216.30000000, 235.76000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 216.30000000, 19.46000000, 235.76000000, NULL),
(1180, 'CF1907-1123', 1, NULL, '', 1948, NULL, '2019-08-02 07:47:36', '2019-07-23 14:47:39', '2019-07-25 16:14:00', '2019-07-25 16:14:01', NULL, '2019-07-25', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 72.27000000, 0.00000000, 0.00000000, 361.36000000, 433.63000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 361.36000000, 72.27000000, 433.63000000, NULL),
(1181, 'CF1907-1119', 1, NULL, '', 2050, NULL, '2020-07-20 13:03:07', '2019-07-24 09:27:04', '2019-07-24 09:27:56', '2019-07-24 09:27:56', NULL, '2019-07-24', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 242.00000000, 0.00000000, 0.00000000, 1210.00000000, 1452.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1210.00000000, 242.00000000, 1452.00000000, NULL),
(1182, 'CF1907-1120', 1, NULL, '', 2050, NULL, '2020-07-20 13:16:20', '2019-07-24 09:34:26', '2019-07-24 09:35:29', '2019-07-24 09:35:29', NULL, '2019-07-24', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 206.80000000, 0.00000000, 0.00000000, 1034.00000000, 1240.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1034.00000000, 206.80000000, 1240.80000000, NULL),
(1183, 'CF1907-1121', 1, NULL, '', 2729, NULL, '2019-08-01 09:04:21', '2019-07-24 09:49:43', '2019-07-24 09:52:51', '2019-07-24 09:52:51', NULL, '2019-07-24', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 3593.28000000, 3593.28000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3593.28000000, 0.00000000, 3593.28000000, NULL),
(1184, 'CF1907-1122', 1, NULL, '', 12647, NULL, '2020-07-20 13:16:37', '2019-07-24 15:54:11', '2019-07-24 15:55:06', '2019-07-24 15:55:07', NULL, '2019-07-24', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 1021.40000000, 0.00000000, 0.00000000, 5107.00000000, 6128.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5107.00000000, 1021.40000000, 6128.40000000, NULL),
(1186, 'CF1908-1130', 1, NULL, '', 2050, NULL, '2019-08-06 07:11:44', '2019-07-25 11:57:34', '2019-08-01 09:04:12', '2019-08-01 09:04:12', NULL, '2019-08-01', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 170.69000000, 0.00000000, 0.00000000, 853.45000000, 1024.14000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 853.45000000, 170.69000000, 1024.14000000, NULL),
(1187, 'CF1907-1124', 1, NULL, '', 1948, NULL, '2019-08-02 07:47:52', '2019-07-26 11:46:55', '2019-07-26 11:47:42', '2019-07-26 11:47:43', NULL, '2019-07-26', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 7.20000000, 0.00000000, 0.00000000, 36.00000000, 43.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 36.00000000, 7.20000000, 43.20000000, NULL),
(1188, 'CF1907-1125', 1, NULL, '', 1948, NULL, '2019-08-12 08:32:25', '2019-07-29 11:53:01', '2019-07-29 11:53:22', '2019-07-29 11:53:22', NULL, '2019-07-29', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 17.00000000, 0.00000000, 0.00000000, 85.00000000, 102.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 85.00000000, 17.00000000, 102.00000000, NULL),
(1189, 'CF1908-1156', 1, NULL, '', 12929, NULL, '2020-08-12 13:19:02', '2019-07-30 09:24:33', '2019-08-08 10:46:59', '2019-08-08 10:46:59', NULL, '2019-08-08', 5, 5, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 3600.00000000, 0.00000000, 0.00000000, 18000.00000000, 21600.00000000, '', 'Commande suivant offreN°20190552 du 15/07/2019 et votre courriel du 15/07/2019.<br />\r\nCommande pour 1  ensemble de 2 generateurs azote GA20X reconditionnés, montés en serie avec 1 seul coffret de gestion , caractéristique selon votre devis :<br />\r\n<span style=\"color:#e74c3c\"><u>cote L: 1800 x P1065x 1930mm suivant dernier plan envoyé</u></span><br />\r\nmatériel devant être réglé pour une pureté de 20ppm<br />\r\ndébit délivré de 16.7m3/h ( à plus ou moins 0.2 m3/h ) pour pression entrée d\'air comprimé entre 8.5 et 9 bars et sortie 7 bars<br />\r\nce matériel devra etre assemblé ( sur site si hauteur supérieur à 1930mm ) sur site de notre client CMP 38 Seyssins ;( hauteur minimum 2000mm sous poutre pont roulant ) ou arrivé dini si 1930mm.<br />\r\nFourniture, montage, mise en oute, reglage par Mr Magniez de votre societe qui connait le site , frais de port .<br />\r\nDate de livraison : au plus tot<br />\r\nReglement : comme convenu ensemble en 6 fois 3000€ par trimestre suivant dernier entretien telephonique apres livraison', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 18000.00000000, 3600.00000000, 21600.00000000, NULL),
(1190, 'CF1907-1126', 1, NULL, '', 1948, NULL, '2019-08-12 08:31:54', '2019-07-30 10:17:58', '2019-07-30 10:18:13', '2019-07-30 10:18:13', NULL, '2019-07-30', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 241.70000000, 0.00000000, 0.00000000, 1208.50000000, 1450.20000000, '', 'avec -5% supplementaire a rajouter', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1208.50000000, 241.70000000, 1450.20000000, NULL),
(1191, 'CF1907-1127', 1, NULL, '', 1948, NULL, '2019-08-12 08:32:39', '2019-07-30 11:17:10', '2019-07-30 11:17:33', '2019-07-30 11:17:34', NULL, '2019-07-30', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 20.92000000, 0.00000000, 0.00000000, 104.60000000, 125.52000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 104.60000000, 20.92000000, 125.52000000, NULL),
(1192, 'CF1907-1128', 1, NULL, '', 1948, NULL, '2019-08-06 07:27:28', '2019-07-31 09:22:59', '2019-07-31 09:23:11', '2019-07-31 09:23:11', NULL, '2019-07-31', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 1.60000000, 0.00000000, 0.00000000, 8.00000000, 9.60000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 8.00000000, 1.60000000, 9.60000000, NULL),
(1193, 'CF1907-1129', 1, NULL, '', 1948, NULL, '2019-08-06 07:30:49', '2019-07-31 14:21:36', '2019-07-31 14:22:12', '2019-07-31 14:22:12', NULL, '2019-07-31', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 20.92000000, 0.00000000, 0.00000000, 104.60000000, 125.52000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 104.60000000, 20.92000000, 125.52000000, NULL),
(1194, 'CF1908-1131', 1, NULL, '', 1948, NULL, '2019-08-06 07:30:31', '2019-08-01 09:08:59', '2019-08-01 09:10:13', '2019-08-01 09:10:13', NULL, '2019-08-01', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 5.20000000, 0.00000000, 0.00000000, 26.00000000, 31.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 26.00000000, 5.20000000, 31.20000000, NULL),
(1195, 'CF1908-1132', 1, NULL, '', 2050, NULL, '2020-07-20 12:49:56', '2019-08-01 15:08:49', '2019-08-01 15:10:54', '2019-08-01 15:10:54', NULL, '2019-08-01', 5, 5, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 2203.20000000, 0.00000000, 0.00000000, 11016.00000000, 13219.20000000, '', '<span style=\"color:#c0392b\"><u><strong>Merci de ne pas livrer le compresseur avant le 26 Aout 2019.</strong></u></span><br />\r\n ', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 11016.00000000, 2203.20000000, 13219.20000000, NULL),
(1196, 'CF1908-1133', 1, NULL, '', 1948, NULL, '2020-07-20 13:15:16', '2019-08-01 15:08:49', '2019-08-01 15:13:22', '2019-08-01 15:13:22', NULL, '2019-08-01', 5, 5, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 505.90000000, 0.00000000, 0.00000000, 2529.50000000, 3035.40000000, '', '<span style=\"color:#e74c3c\"><strong><u>merci de ne pas livrer avant le 26 aout 2019</u></strong></span>', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2529.50000000, 505.90000000, 3035.40000000, NULL),
(1197, 'CF1908-1134', 1, NULL, '', 2627, NULL, '2020-07-20 13:16:51', '2019-08-02 10:28:58', '2019-08-02 10:29:21', '2019-08-02 10:29:21', NULL, '2019-08-02', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 140.40000000, 0.00000000, 0.00000000, 702.00000000, 842.40000000, '', 'promotion en cours 55%', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 702.00000000, 140.40000000, 842.40000000, NULL),
(1198, 'CF1908-1135', 1, NULL, '', 2050, NULL, '2020-07-20 12:44:21', '2019-08-02 10:30:24', '2019-08-02 10:33:16', '2019-08-02 10:33:16', NULL, '2019-08-02', 5, 5, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 2643.84000000, 0.00000000, 0.00000000, 13219.20000000, 15863.04000000, '', 'CONTACTER LE CLIENT AU 06 19 28 54 25 pour ouvrir le portail pour la livraison ', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 13219.20000000, 2643.84000000, 15863.04000000, NULL),
(1199, 'CF1908-1136', 1, NULL, '', 1948, NULL, '2020-07-20 13:17:02', '2019-08-02 10:35:16', '2019-08-02 10:37:36', '2019-08-02 10:37:36', NULL, '2019-08-02', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 478.75000000, 0.00000000, 0.00000000, 2393.75000000, 2872.50000000, '', 'contacter le client au&nbsp;06&nbsp;19&nbsp;28&nbsp;54&nbsp;25 pour ouvrir le portail', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2393.75000000, 478.75000000, 2872.50000000, NULL),
(1200, 'CF1908-1137', 1, NULL, '', 2050, NULL, '2019-08-07 12:05:49', '2019-08-02 10:40:58', '2019-08-02 10:41:21', '2019-08-02 10:41:21', NULL, '2019-08-02', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 72.17000000, 0.00000000, 0.00000000, 360.83000000, 433.00000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 360.83000000, 72.17000000, 433.00000000, NULL),
(1201, 'CF1908-1138', 1, NULL, '', 2729, NULL, '2019-08-08 12:37:40', '2019-08-02 15:01:07', '2019-08-02 15:02:11', '2019-08-02 15:02:11', NULL, '2019-08-02', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 10.92000000, 0.00000000, 0.00000000, 139.50000000, 150.42000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 139.50000000, 10.92000000, 150.42000000, NULL),
(1202, 'CF1908-1142', 1, NULL, '', 1948, NULL, '2019-08-08 12:14:27', '2019-08-02 15:01:07', '2019-08-05 14:32:20', '2019-08-05 14:32:20', NULL, '2019-08-05', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 34.80000000, 0.00000000, 0.00000000, 174.00000000, 208.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 174.00000000, 34.80000000, 208.80000000, NULL),
(1203, 'CF1908-1139', 1, NULL, '', 2729, NULL, '2020-07-20 13:17:19', '2019-08-05 10:38:27', '2019-08-05 10:43:27', '2019-08-05 10:43:27', NULL, '2019-08-05', 5, 5, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 4505.90000000, 4505.90000000, '', '<strong><span style=\"color:#e74c3c\"><u>LIVRAISON SEMAINE 37 SVP </u></span></strong>', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4505.90000000, 0.00000000, 4505.90000000, NULL),
(1204, 'CF1908-1140', 1, NULL, '', 1948, NULL, '2019-08-07 08:23:23', '2019-08-05 10:45:06', '2019-08-05 10:45:36', '2019-08-05 10:45:36', NULL, '2019-08-05', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 38.80000000, 0.00000000, 0.00000000, 194.00000000, 232.80000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 194.00000000, 38.80000000, 232.80000000, NULL),
(1205, 'CF1908-1143', 1, NULL, '', 2764, NULL, '2019-09-06 12:41:52', '2019-08-05 14:30:51', '2019-08-05 14:33:39', '2019-08-05 14:33:39', NULL, '2019-08-05', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 12.30000000, 0.00000000, 0.00000000, 61.52000000, 73.82000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 61.52000000, 12.30000000, 73.82000000, NULL),
(1206, 'CF1908-1141', 1, NULL, '', 2716, NULL, '2019-09-18 08:06:18', '2019-08-05 14:30:51', '2019-08-05 14:31:22', '2019-08-05 14:31:22', NULL, '2019-08-05', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 140.33000000, 0.00000000, 0.00000000, 701.66000000, 841.99000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 701.66000000, 140.33000000, 841.99000000, NULL),
(1207, 'CF1908-1144', 1, NULL, '', 2764, NULL, '2019-09-06 12:42:32', '2019-08-05 15:26:13', '2019-08-05 15:44:40', '2019-08-05 15:44:40', NULL, '2019-08-05', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 35.08000000, 0.00000000, 0.00000000, 175.44000000, 210.52000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 175.44000000, 35.08000000, 210.52000000, NULL),
(1208, 'CF1908-1145', 1, NULL, '', 2673, NULL, '2019-08-07 12:28:22', '2019-08-05 15:45:05', '2019-08-05 15:45:56', '2019-08-05 15:45:56', NULL, '2019-08-05', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 55.37000000, 0.00000000, 0.00000000, 276.84000000, 332.21000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 276.84000000, 55.37000000, 332.21000000, NULL),
(1209, 'CF1908-1146', 1, NULL, '', 2050, NULL, '2019-08-07 12:11:40', '2019-08-05 16:02:42', '2019-08-05 16:03:45', '2019-08-05 16:03:45', NULL, '2019-08-05', 5, 5, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 79.27000000, 0.00000000, 0.00000000, 396.35000000, 475.62000000, '', 'Numero d\'offre: 21055387', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 396.35000000, 79.27000000, 475.62000000, NULL),
(1210, 'CF1908-1147', 1, NULL, '', 1948, NULL, '2019-08-08 12:16:40', '2019-08-05 16:18:43', '2019-08-05 16:25:06', '2019-08-05 16:25:06', NULL, '2019-08-08', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 123.23000000, 0.00000000, 0.00000000, 685.17000000, 808.40000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 685.17000000, 123.23000000, 808.40000000, NULL),
(1211, 'CF1908-1148', 1, NULL, '', 2729, NULL, '2019-08-20 07:06:16', '2019-08-06 09:36:58', '2019-08-06 09:38:26', '2019-08-06 09:38:26', NULL, '2019-08-06', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 407.30000000, 407.30000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 407.30000000, 0.00000000, 407.30000000, NULL),
(1212, 'CF1908-1149', 1, NULL, '', 2050, NULL, '2019-08-19 13:44:58', '2019-08-07 14:21:49', '2019-08-07 14:23:38', '2019-08-07 14:23:38', NULL, '2019-08-07', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 390.19000000, 0.00000000, 0.00000000, 1950.96000000, 2341.15000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1950.96000000, 390.19000000, 2341.15000000, NULL),
(1213, 'CF1908-1150', 1, NULL, '', 2673, NULL, '2020-07-20 13:49:21', '2019-08-07 14:32:07', '2019-08-07 14:33:38', '2019-08-07 14:33:39', NULL, '2019-08-07', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 24.42000000, 0.00000000, 0.00000000, 122.10000000, 146.52000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 122.10000000, 24.42000000, 146.52000000, NULL),
(1214, 'CF1908-1151', 1, NULL, '', 2740, NULL, '2020-07-21 08:42:28', '2019-08-07 14:47:24', '2019-08-07 14:48:34', '2019-08-07 14:48:34', NULL, '2019-08-07', 5, 5, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 139.60000000, 0.00000000, 0.00000000, 698.00000000, 837.60000000, '', '<strong><u><span style=\"color:#e74c3c\">Livraison le lundi 19 aout SVP</span></u></strong>', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 698.00000000, 139.60000000, 837.60000000, NULL),
(1215, 'CF1908-1152', 1, NULL, '', 2050, NULL, '2019-08-19 13:45:23', '2019-08-07 15:20:31', '2019-08-07 15:21:02', '2019-08-07 15:21:02', NULL, '2019-08-07', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 64.40000000, 0.00000000, 0.00000000, 322.00000000, 386.40000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 322.00000000, 64.40000000, 386.40000000, NULL),
(1216, 'CF1908-1154', 1, NULL, '', 2723, NULL, '2019-08-12 08:31:23', '2019-08-07 16:16:32', '2019-08-07 16:18:46', '2019-08-07 16:18:46', NULL, '2019-08-12', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 143.40000000, 0.00000000, 0.00000000, 717.00000000, 860.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 717.00000000, 143.40000000, 860.40000000, NULL),
(1217, 'CF1908-1153', 1, NULL, '', 2673, NULL, '2019-08-13 12:11:53', '2019-08-07 16:16:32', '2019-08-07 16:18:15', '2019-08-07 16:18:15', NULL, '2019-08-07', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 65.73000000, 0.00000000, 0.00000000, 328.65000000, 394.38000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 328.65000000, 65.73000000, 394.38000000, NULL),
(1218, 'CF1908-1155', 1, NULL, '', 2609, NULL, '2019-08-09 07:29:03', '2019-08-07 16:42:22', '2019-08-07 16:43:17', '2019-08-07 16:43:17', NULL, '2019-08-07', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 67.10000000, 0.00000000, 0.00000000, 335.50000000, 402.60000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 335.50000000, 67.10000000, 402.60000000, NULL),
(1219, 'CF1908-1157', 1, NULL, '', 2050, NULL, '2020-07-21 09:46:59', '2019-08-21 11:41:46', '2019-08-21 11:42:35', '2019-08-21 11:42:35', NULL, '2019-08-21', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 35.00000000, 0.00000000, 0.00000000, 175.00000000, 210.00000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 175.00000000, 35.00000000, 210.00000000, NULL),
(1220, 'CF1908-1158', 1, NULL, '', 2609, NULL, '2019-08-27 12:53:41', '2019-08-21 14:27:42', '2019-08-21 14:38:02', '2019-08-21 14:38:02', NULL, '2019-08-21', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 49.90000000, 0.00000000, 0.00000000, 249.50000000, 299.40000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 249.50000000, 49.90000000, 299.40000000, NULL),
(1221, 'CF1908-1159', 1, NULL, '', 2114, NULL, '2019-08-21 12:56:45', '2019-08-21 14:55:27', '2019-08-21 14:56:45', '2019-08-21 14:56:45', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 38.28000000, 0.00000000, 0.00000000, 191.41000000, 229.69000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 191.41000000, 38.28000000, 229.69000000, NULL),
(1222, 'CF1908-1160', 1, NULL, '', 2114, NULL, '2019-08-21 14:26:56', '2019-08-21 16:24:24', '2019-08-21 16:26:56', '2019-08-21 16:26:56', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 112.00000000, 0.00000000, 0.00000000, 560.00000000, 672.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 560.00000000, 112.00000000, 672.00000000, NULL),
(1223, 'CF1908-1161', 1, NULL, '', 2673, NULL, '2019-08-22 08:29:11', '2019-08-22 10:25:30', '2019-08-22 10:29:10', '2019-08-22 10:29:11', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 3.20000000, 0.00000000, 0.00000000, 16.03000000, 19.23000000, '', '', 'muscadet', NULL, NULL, 16, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 16.03000000, 3.20000000, 19.23000000, NULL),
(1224, 'CF1908-1162', 1, NULL, '', 2723, NULL, '2019-08-28 08:18:16', '2019-08-22 12:09:28', '2019-08-22 12:10:02', '2019-08-22 12:10:02', NULL, '2019-08-28', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 23.98000000, 0.00000000, 0.00000000, 119.93000000, 143.91000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 119.93000000, 23.98000000, 143.91000000, NULL),
(1225, 'CF1908-1163', 1, NULL, '', 1948, NULL, '2019-09-06 09:56:57', '2019-08-23 10:51:27', '2019-08-23 10:52:25', '2019-08-23 10:52:25', NULL, '2019-08-23', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 8.20000000, 0.00000000, 0.00000000, 41.00000000, 49.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 41.00000000, 8.20000000, 49.20000000, NULL),
(1226, 'CF1908-1164', 1, NULL, '', 2729, NULL, '2020-07-21 09:48:06', '2019-08-26 09:19:01', '2019-08-26 09:20:53', '2019-08-26 09:20:53', NULL, '2019-08-26', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 489.60000000, 489.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 489.60000000, 0.00000000, 489.60000000, NULL),
(1227, 'CF1908-1165', 1, NULL, '', 2673, NULL, '2020-07-20 13:05:40', '2019-08-27 09:22:29', '2019-08-27 09:26:03', '2019-08-27 09:26:03', NULL, '2019-08-27', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 52.04000000, 0.00000000, 0.00000000, 260.05000000, 312.24000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 260.05000000, 52.01000000, 312.06000000, NULL),
(1228, 'CF1908-1166', 1, NULL, '', 2050, NULL, '2019-09-13 08:37:09', '2019-08-27 09:31:28', '2019-08-28 09:53:31', '2019-08-28 09:53:31', NULL, '2019-08-28', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 47.80000000, 0.00000000, 0.00000000, 239.00000000, 286.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 239.00000000, 47.80000000, 286.80000000, NULL),
(1229, 'CF1908-1167', 1, NULL, '', 1948, NULL, '2019-09-06 09:57:14', '2019-08-28 12:16:01', '2019-08-28 12:16:45', '2019-08-28 12:16:45', NULL, '2019-08-28', 4, NULL, 4, 4, NULL, 0, 5, 0, NULL, 0, 0, 23.60000000, 0.00000000, 0.00000000, 118.00000000, 141.60000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 118.00000000, 23.60000000, 141.60000000, NULL),
(1230, 'CF1908-1168', 1, NULL, '', 2050, NULL, '2019-09-04 09:55:12', '2019-08-29 09:24:07', '2019-08-29 09:24:43', '2019-08-29 09:24:43', NULL, '2019-08-29', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 70.60000000, 0.00000000, 0.00000000, 353.00000000, 423.60000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 353.00000000, 70.60000000, 423.60000000, NULL),
(1231, 'CF1908-1169', 1, NULL, '', 2050, NULL, '2020-07-21 09:47:28', '2019-08-30 09:51:04', '2019-08-30 09:51:34', '2019-08-30 09:51:34', NULL, '2019-08-30', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 244.80000000, 0.00000000, 0.00000000, 1224.00000000, 1468.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1224.00000000, 244.80000000, 1468.80000000, NULL),
(1232, 'CF1909-1170', 1, NULL, '', 2050, NULL, '2019-09-04 09:55:30', '2019-09-02 08:59:11', '2019-09-02 08:59:28', '2019-09-02 08:59:28', NULL, '2019-09-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 72.00000000, 0.00000000, 0.00000000, 360.00000000, 432.00000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 360.00000000, 72.00000000, 432.00000000, NULL),
(1233, 'CF1909-1175', 1, NULL, '', 1948, NULL, '2019-09-27 08:08:33', '2019-09-02 14:12:27', '2019-09-04 16:50:10', '2019-09-04 16:50:11', NULL, '2019-09-04', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 14.01000000, 0.00000000, 0.00000000, 70.04000000, 84.05000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 70.04000000, 14.01000000, 84.05000000, NULL),
(1234, 'CF1909-1171', 1, NULL, '', 10086, NULL, '2019-09-06 07:23:25', '2019-09-03 12:09:37', '2019-09-03 12:10:29', '2019-09-03 12:10:30', NULL, '2019-09-03', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 37.60000000, 0.00000000, 0.00000000, 187.99000000, 225.59000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 187.99000000, 37.60000000, 225.59000000, NULL),
(1235, 'CF1909-1172', 1, NULL, '', 2050, NULL, '2019-09-10 07:28:39', '2019-09-04 09:03:52', '2019-09-04 09:12:41', '2019-09-04 09:12:41', NULL, '2019-09-04', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 342.00000000, 0.00000000, 0.00000000, 1710.00000000, 2052.00000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1710.00000000, 342.00000000, 2052.00000000, NULL),
(1236, 'CF1909-1173', 1, NULL, '', 1948, NULL, '2019-09-06 09:57:40', '2019-09-04 09:18:46', '2019-09-04 09:19:29', '2019-09-04 09:19:29', NULL, '2019-09-04', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 14.92000000, 0.00000000, 0.00000000, 74.60000000, 89.52000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 74.60000000, 14.92000000, 89.52000000, NULL),
(1237, 'CF1909-1174', 1, NULL, '', 12806, NULL, '2020-07-21 09:47:45', '2019-09-04 15:06:04', '2019-09-04 15:06:56', '2019-09-04 15:06:56', NULL, '2019-09-04', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 35.46000000, 0.00000000, 0.00000000, 177.32000000, 212.78000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 177.32000000, 35.46000000, 212.78000000, NULL),
(1239, 'CF1909-1176', 1, NULL, '', 1948, NULL, '2019-09-11 12:14:13', '2019-09-05 10:27:32', '2019-09-05 10:27:59', '2019-09-05 10:27:59', NULL, '2019-09-05', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 35.40000000, 0.00000000, 0.00000000, 177.00000000, 212.40000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 177.00000000, 35.40000000, 212.40000000, NULL),
(1240, 'CF1909-1177', 1, NULL, '', 2114, NULL, '2019-09-06 09:06:58', '2019-09-06 10:48:28', '2019-09-06 11:06:58', '2019-09-06 11:06:58', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 57.05000000, 0.00000000, 0.00000000, 285.26000000, 342.31000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 285.26000000, 57.05000000, 342.31000000, NULL),
(1241, 'CF1909-1178', 1, NULL, '', 2050, NULL, '2020-07-21 09:52:32', '2019-09-09 15:58:49', '2019-09-09 16:00:07', '2019-09-09 16:00:07', NULL, '2019-09-09', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 62.00000000, 0.00000000, 0.00000000, 310.00000000, 372.00000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 310.00000000, 62.00000000, 372.00000000, NULL),
(1242, 'CF1909-1179', 1, NULL, '', 1948, NULL, '2019-09-11 12:14:32', '2019-09-10 11:01:04', '2019-09-10 11:01:48', '2019-09-10 11:01:48', NULL, '2019-09-10', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 58.20000000, 0.00000000, 0.00000000, 291.00000000, 349.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 291.00000000, 58.20000000, 349.20000000, NULL),
(1243, 'CF1909-1183', 1, NULL, '', 1948, NULL, '2019-09-18 08:05:27', '2019-09-10 14:13:20', '2019-09-11 16:19:01', '2019-09-11 16:19:01', NULL, '2019-09-11', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 20.00000000, 0.00000000, 0.00000000, 100.00000000, 120.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 100.00000000, 20.00000000, 120.00000000, NULL),
(1244, 'CF1909-1180', 1, NULL, '', 2050, NULL, '2019-09-12 11:54:17', '2019-09-11 09:14:30', '2019-09-11 09:15:24', '2019-09-11 09:15:24', NULL, '2019-09-11', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 82.00000000, 0.00000000, 0.00000000, 410.00000000, 492.00000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 410.00000000, 82.00000000, 492.00000000, NULL),
(1245, 'CF1909-1181', 1, NULL, '', 2740, NULL, '2020-07-21 09:52:46', '2019-09-11 09:57:22', '2019-09-11 10:00:14', '2019-09-11 10:00:14', NULL, '2019-09-11', 5, 5, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 79.90000000, 0.00000000, 0.00000000, 399.50000000, 479.40000000, '', 'PAS DE RECEPTION DE LIVRAISON LE VENDREDI APRES 11h30', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 399.50000000, 79.90000000, 479.40000000, NULL),
(1246, 'CF1909-1182', 1, NULL, '', 2050, NULL, '2019-09-25 14:18:04', '2019-09-11 15:19:13', '2019-09-11 15:19:44', '2019-09-11 15:19:44', NULL, '2019-09-11', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 45.66000000, 0.00000000, 0.00000000, 228.32000000, 273.98000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 228.32000000, 45.66000000, 273.98000000, NULL),
(1247, 'CF1909-1184', 1, NULL, '', 1948, NULL, '2019-09-18 08:05:42', '2019-09-11 16:36:43', '2019-09-11 16:36:59', '2019-09-11 16:36:59', NULL, '2019-09-11', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 43.20000000, 0.00000000, 0.00000000, 216.00000000, 259.20000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 216.00000000, 43.20000000, 259.20000000, NULL),
(1248, 'CF1909-1185', 1, NULL, '', 1948, NULL, '2019-10-17 12:35:51', '2019-09-12 09:22:36', '2019-09-12 09:23:31', '2019-09-12 09:23:31', NULL, '2019-09-12', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 163.70000000, 0.00000000, 0.00000000, 818.50000000, 982.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 818.50000000, 163.70000000, 982.20000000, NULL),
(1249, 'CF1909-1186', 1, NULL, '', 2050, NULL, '2020-07-20 13:04:44', '2019-09-13 08:59:10', '2019-09-13 09:00:55', '2019-09-13 09:00:55', NULL, '2019-09-13', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 780.91000000, 0.00000000, 0.00000000, 3904.56000000, 4685.47000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3904.56000000, 780.91000000, 4685.47000000, NULL),
(1250, 'CF1909-1187', 1, NULL, '', 2050, NULL, '2019-09-18 07:47:28', '2019-09-13 11:44:50', '2019-09-13 12:06:23', '2019-09-13 12:06:23', NULL, '2019-09-13', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 73.88000000, 0.00000000, 0.00000000, 369.40000000, 443.28000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 369.40000000, 73.88000000, 443.28000000, NULL),
(1251, 'CF1909-1188', 1, NULL, '', 2050, NULL, '2019-09-18 07:38:38', '2019-09-13 15:33:56', '2019-09-13 15:35:31', '2019-09-13 15:35:31', NULL, '2019-09-13', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 185.00000000, 0.00000000, 0.00000000, 925.00000000, 1110.00000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 925.00000000, 185.00000000, 1110.00000000, NULL),
(1252, 'CF1909-1189', 1, NULL, '', 10086, NULL, '2020-07-21 09:53:03', '2019-09-16 09:30:47', '2019-09-16 09:31:25', '2019-09-16 09:31:25', NULL, '2019-09-16', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 75.07000000, 0.00000000, 0.00000000, 375.36000000, 450.43000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 375.36000000, 75.07000000, 450.43000000, NULL),
(1253, 'CF1909-1190', 1, NULL, '', 2765, NULL, '2019-09-18 12:18:34', '2019-09-17 09:28:01', '2019-09-17 09:28:29', '2019-09-17 09:28:30', NULL, '2019-09-17', 5, 5, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 2.80000000, 0.00000000, 0.00000000, 14.00000000, 16.80000000, '', '11901312', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 14.00000000, 2.80000000, 16.80000000, NULL),
(1254, 'CF1909-1191', 1, NULL, '', 2114, NULL, '2019-09-19 13:33:14', '2019-09-19 15:30:11', '2019-09-19 15:33:14', '2019-09-19 15:33:14', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 50.08000000, 0.00000000, 0.00000000, 250.40000000, 300.48000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 250.40000000, 50.08000000, 300.48000000, NULL),
(1255, 'CF1909-1192', 1, NULL, '', 2740, NULL, '2019-09-23 08:23:37', '2019-09-23 10:22:56', '2019-09-23 10:23:37', '2019-09-23 10:23:37', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 79.90000000, 0.00000000, 0.00000000, 399.50000000, 479.40000000, '', '', 'muscadet', NULL, NULL, 3, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 399.50000000, 79.90000000, 479.40000000, NULL),
(1256, 'CF1909-1193', 1, NULL, '', 12647, NULL, '2020-07-21 09:53:19', '2019-09-23 11:04:07', '2019-09-23 11:04:59', '2019-09-23 11:04:59', NULL, '2019-09-23', 5, 5, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 116.00000000, 0.00000000, 0.00000000, 580.00000000, 696.00000000, '', 'livraison : <br />\r\n<br />\r\n<br />\r\nEIFFAGE<br />\r\nChemin des Leonards<br />\r\n26206 MONTELIMAR', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 580.00000000, 116.00000000, 696.00000000, NULL),
(1257, 'CF1909-1194', 1, NULL, '', 2740, NULL, '2020-07-21 13:48:28', '2019-09-23 16:41:25', '2019-09-23 16:41:41', '2019-09-23 16:41:42', NULL, '2019-09-23', 5, 5, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 139.60000000, 0.00000000, 0.00000000, 698.00000000, 837.60000000, '', NULL, 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 698.00000000, 139.60000000, 837.60000000, NULL),
(1258, 'CF1909-1195', 1, NULL, '', 2050, NULL, '2019-10-16 13:15:03', '2019-09-24 08:36:25', '2019-09-24 08:38:14', '2019-09-24 08:38:14', NULL, '2019-09-24', 5, 5, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 340.01000000, 0.00000000, 0.00000000, 1700.01000000, 2040.02000000, '', 'suivant offre N° 21071013 du 18/09/2019', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1700.01000000, 340.01000000, 2040.02000000, NULL),
(1259, 'CF1909-1196', 1, NULL, '', 1948, NULL, '2019-09-27 08:08:51', '2019-09-24 09:05:40', '2019-09-24 09:25:17', '2019-09-24 09:25:18', NULL, '2019-09-24', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 71.82000000, 0.00000000, 0.00000000, 411.09000000, 482.91000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 411.09000000, 71.82000000, 482.91000000, NULL);
INSERT INTO `llx_commande_fournisseur` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_supplier`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_approve`, `date_approve2`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_approve`, `fk_user_approve2`, `source`, `fk_statut`, `billed`, `amount_ht`, `remise_percent`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `date_livraison`, `fk_account`, `fk_cond_reglement`, `fk_mode_reglement`, `fk_input_method`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`) VALUES
(1260, 'CF1909-1197', 1, NULL, '', 2050, NULL, '2019-09-27 08:07:47', '2019-09-24 14:47:16', '2019-09-24 14:48:23', '2019-09-24 14:48:23', NULL, '2019-09-27', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 63.60000000, 0.00000000, 0.00000000, 318.02000000, 381.62000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 318.02000000, 63.60000000, 381.62000000, NULL),
(1261, 'CF1909-1198', 1, NULL, '', 2609, NULL, '2020-07-21 09:58:56', '2019-09-24 15:10:40', '2019-09-24 15:12:31', '2019-09-24 15:12:31', NULL, '2019-09-24', 5, 5, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 76.76000000, 0.00000000, 0.00000000, 383.80000000, 460.56000000, '', 'Livraison sur le chantier : <br />\r\nPOUR THIERRY ET JEAN LUC<br />\r\nSFACS INDUSTRIE', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 383.80000000, 76.76000000, 460.56000000, NULL),
(1262, 'CF1909-1199', 1, NULL, '', 2673, NULL, '2019-10-02 12:32:07', '2019-09-24 15:27:55', '2019-09-24 15:36:38', '2019-09-24 15:36:38', NULL, '2019-09-24', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 58.68000000, 0.00000000, 0.00000000, 293.26000000, 352.10000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 293.26000000, 58.65000000, 351.91000000, NULL),
(1263, 'CF1909-1200', 1, NULL, '', 2050, NULL, '2019-10-02 14:13:07', '2019-09-25 16:58:55', '2019-09-25 17:01:40', '2019-09-25 17:01:40', NULL, '2019-09-25', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 178.60000000, 0.00000000, 0.00000000, 893.00000000, 1071.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 893.00000000, 178.60000000, 1071.60000000, NULL),
(1264, 'CF1910-1216', 1, NULL, '', 2627, NULL, '2019-10-17 12:33:52', '2019-09-25 16:58:55', '2019-10-07 12:20:49', '2019-10-07 12:20:49', NULL, '2019-10-07', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 97.09000000, 0.00000000, 0.00000000, 485.46000000, 582.55000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 485.46000000, 97.09000000, 582.55000000, NULL),
(1265, 'CF1909-1201', 1, NULL, '', 2764, NULL, '2019-10-03 07:24:20', '2019-09-27 09:26:12', '2019-09-27 09:26:31', '2019-09-27 09:26:31', NULL, '2019-09-27', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 21.48000000, 0.00000000, 0.00000000, 107.36000000, 128.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 107.36000000, 21.48000000, 128.84000000, NULL),
(1266, 'CF1909-1202', 1, NULL, '', 2740, NULL, '2020-07-21 09:53:46', '2019-09-27 09:38:52', '2019-09-27 09:39:27', '2019-09-27 09:39:27', NULL, '2019-09-27', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 139.60000000, 0.00000000, 0.00000000, 698.00000000, 837.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 698.00000000, 139.60000000, 837.60000000, NULL),
(1267, 'CF1909-1203', 1, NULL, '', 2114, NULL, '2020-07-20 08:52:33', '2019-09-27 09:43:49', '2019-09-27 09:44:58', '2019-09-27 09:44:58', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 1, NULL, 0, 0, 116.06000000, 0.00000000, 0.00000000, 580.28000000, 696.34000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 580.28000000, 116.06000000, 696.34000000, NULL),
(1268, 'CF1909-1205', 1, NULL, '', 1948, NULL, '2019-10-07 09:54:41', '2019-09-27 15:06:11', '2019-09-27 15:15:01', '2019-09-27 15:15:01', NULL, '2019-09-27', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 11.00000000, 0.00000000, 0.00000000, 55.00000000, 66.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 55.00000000, 11.00000000, 66.00000000, NULL),
(1269, 'CF1909-1204', 1, NULL, '', 2050, NULL, '2020-07-21 09:59:02', '2019-09-27 15:06:11', '2019-09-27 15:11:43', '2019-09-27 15:11:43', NULL, '2019-09-27', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 113.80000000, 0.00000000, 0.00000000, 569.00000000, 682.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 569.00000000, 113.80000000, 682.80000000, NULL),
(1270, 'CF1909-1207', 1, NULL, '', 1948, NULL, '2019-10-07 09:57:18', '2019-09-27 16:06:52', '2019-09-27 16:10:05', '2019-09-27 16:10:05', NULL, '2019-09-27', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 17.60000000, 0.00000000, 0.00000000, 88.00000000, 105.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 88.00000000, 17.60000000, 105.60000000, NULL),
(1271, 'CF1909-1206', 1, NULL, '', 2050, NULL, '2020-07-21 13:48:47', '2019-09-27 16:06:52', '2019-09-27 16:08:50', '2019-09-27 16:08:50', NULL, '2019-09-27', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 215.20000000, 0.00000000, 0.00000000, 1076.00000000, 1291.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1076.00000000, 215.20000000, 1291.20000000, NULL),
(1272, 'CF1909-1208', 1, NULL, '', 1948, NULL, '2019-10-25 07:01:14', '2019-09-30 14:48:48', '2019-09-30 14:51:16', '2019-09-30 14:51:16', NULL, '2019-09-30', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 61.74000000, 0.00000000, 0.00000000, 308.70000000, 370.44000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 308.70000000, 61.74000000, 370.44000000, NULL),
(1273, 'CF1910-1209', 1, NULL, '', 2627, NULL, '2019-10-07 12:17:06', '2019-10-01 09:12:10', '2019-10-01 09:12:59', '2019-10-01 09:12:59', NULL, '2019-10-01', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 106.64000000, 0.00000000, 0.00000000, 533.20000000, 639.84000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 533.20000000, 106.64000000, 639.84000000, NULL),
(1274, 'CF1911-1245', 1, NULL, '', 2114, NULL, '2019-11-04 11:25:40', '2019-10-01 14:17:42', '2019-11-04 12:25:40', '2019-11-04 12:25:40', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 181.18000000, 0.00000000, 0.00000000, 905.88000000, 1087.06000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 905.88000000, 181.18000000, 1087.06000000, NULL),
(1275, 'CF1910-1210', 1, NULL, '', 2050, NULL, '2019-10-07 10:02:41', '2019-10-02 09:18:26', '2019-10-02 15:39:03', '2019-10-02 15:39:03', NULL, '2019-10-07', 5, 5, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 42.38000000, 0.00000000, 0.00000000, 211.90000000, 254.28000000, '', 'ANNULE ET REMPLACE', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 211.90000000, 42.38000000, 254.28000000, NULL),
(1276, 'CF1910-1212', 1, NULL, '', 2729, NULL, '2020-07-21 13:49:00', '2019-10-02 11:48:45', '2019-10-02 14:36:25', '2019-10-02 14:36:25', NULL, '2019-10-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 134.40000000, 134.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 134.40000000, 0.00000000, 134.40000000, NULL),
(1277, 'CF1912-1288', 1, NULL, '', 2764, NULL, '2019-12-13 14:10:11', '2019-10-02 11:48:45', '2019-12-05 09:45:19', '2019-12-05 09:45:20', NULL, '2019-12-05', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 10.47000000, 0.00000000, 0.00000000, 52.38000000, 62.85000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 52.38000000, 10.47000000, 62.85000000, NULL),
(1278, 'CF1910-1211', 1, NULL, '', 1948, NULL, '2019-10-11 13:35:16', '2019-10-02 14:16:43', '2019-10-02 14:17:54', '2019-10-02 14:17:54', NULL, '2019-10-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 4.20000000, 0.00000000, 0.00000000, 21.00000000, 25.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 21.00000000, 4.20000000, 25.20000000, NULL),
(1279, 'CF1910-1213', 1, NULL, '', 1948, NULL, '2019-10-11 13:27:07', '2019-10-02 14:36:55', '2019-10-02 14:37:18', '2019-10-02 14:37:18', NULL, '2019-10-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 11.40000000, 0.00000000, 0.00000000, 57.00000000, 68.40000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 57.00000000, 11.40000000, 68.40000000, NULL),
(1280, 'CF1910-1214', 1, NULL, '', 2764, NULL, '2019-10-17 12:43:41', '2019-10-03 09:04:53', '2019-10-03 09:05:14', '2019-10-03 09:05:14', NULL, '2019-10-03', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 18.31000000, 0.00000000, 0.00000000, 91.56000000, 109.87000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 91.56000000, 18.31000000, 109.87000000, NULL),
(1281, 'CF1910-1215', 1, NULL, '', 1948, NULL, '2019-10-11 13:37:10', '2019-10-04 09:31:11', '2019-10-04 09:31:34', '2019-10-04 09:31:35', NULL, '2019-10-04', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 9.80000000, 0.00000000, 0.00000000, 73.00000000, 82.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 73.00000000, 9.80000000, 82.80000000, NULL),
(1282, 'CF1910-1217', 1, NULL, '', 1948, NULL, '2019-10-25 07:01:53', '2019-10-07 12:15:56', '2019-10-07 12:21:54', '2019-10-07 12:21:54', NULL, '2019-10-07', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 48.57000000, 0.00000000, 0.00000000, 242.84000000, 291.41000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 242.84000000, 48.57000000, 291.41000000, NULL),
(1283, 'CF1910-1218', 1, NULL, '', 2050, NULL, '2020-07-21 09:59:12', '2019-10-08 08:58:53', '2019-10-08 08:59:16', '2019-10-08 08:59:16', NULL, '2019-10-08', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 265.06000000, 0.00000000, 0.00000000, 1325.32000000, 1590.38000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1325.32000000, 265.06000000, 1590.38000000, NULL),
(1284, 'CF1910-1219', 1, NULL, '', 1948, NULL, '2019-10-11 13:26:41', '2019-10-08 11:08:26', '2019-10-08 11:08:38', '2019-10-08 11:08:38', NULL, '2019-10-08', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 9.60000000, 0.00000000, 0.00000000, 48.00000000, 57.60000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 48.00000000, 9.60000000, 57.60000000, NULL),
(1285, 'CF1910-1220', 1, NULL, '', 2050, NULL, '2020-07-21 13:49:18', '2019-10-09 09:07:03', '2019-10-09 09:11:37', '2019-10-09 09:11:37', NULL, '2019-10-09', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 81.19000000, 0.00000000, 0.00000000, 405.95000000, 487.14000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 405.95000000, 81.19000000, 487.14000000, NULL),
(1286, 'CF1910-1221', 1, NULL, '', 1948, NULL, '2019-10-25 07:02:35', '2019-10-09 16:18:00', '2019-10-09 16:18:41', '2019-10-09 16:18:42', NULL, '2019-10-09', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 7.00000000, 0.00000000, 0.00000000, 35.00000000, 42.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 35.00000000, 7.00000000, 42.00000000, NULL),
(1287, 'CF1910-1222', 1, NULL, '', 2050, NULL, '2019-10-15 07:14:14', '2019-10-09 16:52:34', '2019-10-09 16:53:18', '2019-10-09 16:53:18', NULL, '2019-10-09', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 61.91000000, 0.00000000, 0.00000000, 309.57000000, 371.48000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 309.57000000, 61.91000000, 371.48000000, NULL),
(1288, 'CF1910-1223', 1, NULL, '', 2050, NULL, '2020-07-21 13:49:30', '2019-10-11 16:53:58', '2019-10-11 16:54:35', '2019-10-11 16:54:36', NULL, '2019-10-16', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 102.80000000, 0.00000000, 0.00000000, 514.00000000, 616.80000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 514.00000000, 102.80000000, 616.80000000, NULL),
(1289, 'CF1910-1224', 1, NULL, '', 12721, NULL, '2020-08-12 13:19:15', '2019-10-14 15:18:26', '2019-10-14 15:33:53', '2019-10-14 15:33:53', NULL, '2019-10-14', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 218.11000000, 0.00000000, 0.00000000, 1090.57000000, 1308.68000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1090.57000000, 218.11000000, 1308.68000000, NULL),
(1290, 'CF1910-1225', 1, NULL, '', 2050, NULL, '2020-07-21 13:49:43', '2019-10-14 15:58:25', '2019-10-14 15:59:41', '2019-10-14 15:59:41', NULL, '2019-10-14', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 281.02000000, 0.00000000, 0.00000000, 1405.10000000, 1686.12000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1405.10000000, 281.02000000, 1686.12000000, NULL),
(1291, 'CF1910-1226', 1, NULL, '', 2673, NULL, '2019-10-17 12:37:38', '2019-10-16 09:12:04', '2019-10-16 09:16:00', '2019-10-16 09:16:00', NULL, '2019-10-16', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 92.56000000, 0.00000000, 0.00000000, 462.80000000, 555.36000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 462.80000000, 92.56000000, 555.36000000, NULL),
(1292, 'CF1910-1227', 1, NULL, '', 2682, NULL, '2019-10-24 13:15:36', '2019-10-17 10:57:04', '2019-10-17 11:36:51', '2019-10-17 11:36:51', NULL, '2019-10-17', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 51.66000000, 0.00000000, 0.00000000, 258.30000000, 309.96000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 258.30000000, 51.66000000, 309.96000000, NULL),
(1293, 'CF1910-1228', 1, NULL, '', 2050, NULL, '2019-10-22 12:13:04', '2019-10-18 08:54:16', '2019-10-18 08:55:05', '2019-10-18 08:55:05', NULL, '2019-10-22', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 55.80000000, 0.00000000, 0.00000000, 279.00000000, 334.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 279.00000000, 55.80000000, 334.80000000, NULL),
(1294, 'CF1910-1229', 1, NULL, '', 2729, NULL, '2020-07-21 13:50:06', '2019-10-18 16:34:24', '2019-10-18 16:41:38', '2019-10-18 16:41:38', NULL, '2019-10-18', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 194.15000000, 194.15000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 194.15000000, 0.00000000, 194.15000000, NULL),
(1295, 'CF1910-1230', 1, NULL, '', 1948, NULL, '2019-10-25 07:04:19', '2019-10-21 15:43:00', '2019-10-21 15:46:45', '2019-10-21 15:46:45', NULL, '2019-10-21', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 121.32000000, 0.00000000, 0.00000000, 606.58000000, 727.90000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 606.58000000, 121.32000000, 727.90000000, NULL),
(1296, 'CF1910-1231', 1, NULL, '', 2673, NULL, '2020-07-21 10:00:04', '2019-10-21 16:29:21', '2019-10-21 16:32:02', '2019-10-21 16:32:02', NULL, '2019-10-21', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 42.33000000, 0.00000000, 0.00000000, 211.64000000, 253.97000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 211.64000000, 42.32000000, 253.96000000, NULL),
(1297, 'CF1910-1232', 1, NULL, '', 1948, NULL, '2019-11-06 14:00:07', '2019-10-22 08:58:13', '2019-10-22 08:58:34', '2019-10-22 08:58:34', NULL, '2019-10-22', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 82.10000000, 0.00000000, 0.00000000, 410.52000000, 492.62000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 410.52000000, 82.10000000, 492.62000000, NULL),
(1298, 'CF1910-1233', 1, NULL, '', 2050, NULL, '2020-07-21 13:52:08', '2019-10-22 10:34:12', '2019-10-22 10:36:40', '2019-10-22 10:36:40', NULL, '2019-10-22', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 223.40000000, 0.00000000, 0.00000000, 1117.00000000, 1340.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1117.00000000, 223.40000000, 1340.40000000, NULL),
(1299, 'CF1910-1234', 1, NULL, '', 2050, NULL, '2020-07-21 14:05:38', '2019-10-22 14:31:07', '2019-10-22 14:31:43', '2019-10-22 14:31:43', NULL, '2019-10-22', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 269.20000000, 0.00000000, 0.00000000, 1346.00000000, 1615.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1346.00000000, 269.20000000, 1615.20000000, NULL),
(1300, 'CF1910-1235', 1, NULL, '', 2673, NULL, '2019-10-31 14:08:15', '2019-10-22 16:16:31', '2019-10-22 16:17:00', '2019-10-22 16:17:01', NULL, '2019-10-22', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 12.98000000, 0.00000000, 0.00000000, 64.88000000, 77.86000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 64.88000000, 12.97000000, 77.85000000, NULL),
(1301, 'CF1910-1236', 1, NULL, '', 2673, NULL, '2019-10-31 14:08:32', '2019-10-23 16:31:10', '2019-10-23 16:31:31', '2019-10-23 16:31:31', NULL, '2019-10-23', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 168.00000000, 0.00000000, 0.00000000, 840.00000000, 1008.00000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 840.00000000, 168.00000000, 1008.00000000, NULL),
(1302, 'CF1910-1237', 1, NULL, '', 2050, NULL, '2019-10-30 07:51:18', '2019-10-25 09:50:28', '2019-10-25 09:51:53', '2019-10-25 09:51:53', NULL, '2019-10-25', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 89.80000000, 0.00000000, 0.00000000, 449.00000000, 538.80000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 449.00000000, 89.80000000, 538.80000000, NULL),
(1303, 'CF1910-1238', 1, NULL, '', 1948, NULL, '2019-11-07 09:03:03', '2019-10-25 10:06:46', '2019-10-25 10:10:41', '2019-10-25 10:10:41', NULL, '2019-10-25', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 68.53000000, 0.00000000, 0.00000000, 342.65000000, 411.18000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 342.65000000, 68.53000000, 411.18000000, NULL),
(1304, 'CF1910-1239', 1, NULL, '', 1948, NULL, '2019-11-07 09:02:46', '2019-10-25 10:22:30', '2019-10-25 10:22:43', '2019-10-25 10:22:43', NULL, '2019-10-25', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 6.20000000, 0.00000000, 0.00000000, 31.00000000, 37.20000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 31.00000000, 6.20000000, 37.20000000, NULL),
(1305, 'CF1910-1240', 1, NULL, '', 12772, NULL, '2019-10-31 08:46:20', '2019-10-29 08:56:20', '2019-10-29 09:01:26', '2019-10-29 09:01:26', NULL, '2019-10-29', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 16.95000000, 0.00000000, 0.00000000, 84.73000000, 101.68000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 84.73000000, 16.95000000, 101.68000000, NULL),
(1306, 'CF1910-1241', 1, NULL, '', 1948, NULL, '2019-11-07 09:03:26', '2019-10-30 08:38:13', '2019-10-30 08:39:00', '2019-10-30 08:39:00', NULL, '2019-10-30', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 78.00000000, 0.00000000, 0.00000000, 390.00000000, 468.00000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 390.00000000, 78.00000000, 468.00000000, NULL),
(1307, 'CF1910-1242', 1, NULL, '', 2723, NULL, '2019-11-07 09:06:22', '2019-10-31 09:12:11', '2019-10-31 09:12:57', '2019-10-31 09:12:57', NULL, '2019-10-31', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 29.04000000, 0.00000000, 0.00000000, 145.24000000, 174.28000000, '', '31910768 DU 28.10.2019', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 145.24000000, 29.04000000, 174.28000000, NULL),
(1308, 'CF1910-1243', 1, NULL, '', 1948, NULL, '2019-11-08 13:38:44', '2019-10-31 09:19:49', '2019-10-31 09:20:40', '2019-10-31 09:20:41', NULL, '2019-10-31', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 271.40000000, 0.00000000, 0.00000000, 1357.00000000, 1628.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1357.00000000, 271.40000000, 1628.40000000, NULL),
(1309, 'CF1910-1244', 1, NULL, '', 2050, NULL, '2019-11-25 11:05:10', '2019-10-31 09:33:36', '2019-10-31 09:34:57', '2019-10-31 09:34:58', NULL, '2019-10-31', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 965.20000000, 0.00000000, 0.00000000, 4826.02000000, 5791.22000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4826.02000000, 965.20000000, 5791.22000000, NULL),
(1310, 'CF1911-1246', 1, NULL, 'plateforme38102019', 2114, NULL, '2019-11-04 14:48:14', '2019-11-04 15:46:55', '2019-11-04 15:48:14', '2019-11-04 15:48:14', NULL, NULL, 5, 5, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 138.22000000, 0.00000000, 0.00000000, 691.08000000, 829.30000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 691.08000000, 138.22000000, 829.30000000, NULL),
(1311, 'CF1911-1247', 1, NULL, '', 2764, NULL, '2019-11-25 11:12:57', '2019-11-04 16:37:31', '2019-11-04 16:37:53', '2019-11-04 16:37:53', NULL, '2019-11-04', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 10.34000000, 0.00000000, 0.00000000, 51.72000000, 62.06000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 51.72000000, 10.34000000, 62.06000000, NULL),
(1312, 'CF1911-1249', 1, NULL, 'Courroies', 2764, NULL, '2020-07-20 12:46:35', '2019-11-05 07:26:28', '2019-11-05 11:40:51', '2019-11-05 11:40:52', NULL, '2019-11-05', 4, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 24.15000000, 0.00000000, 0.00000000, 120.76000000, 144.91000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 120.76000000, 24.15000000, 144.91000000, NULL),
(1313, 'CF1911-1248', 1, NULL, '', 1948, NULL, '2019-11-07 09:03:57', '2019-11-05 10:42:16', '2019-11-05 10:42:33', '2019-11-05 10:42:34', NULL, '2019-11-05', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 15.00000000, 0.00000000, 0.00000000, 75.00000000, 90.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 75.00000000, 15.00000000, 90.00000000, NULL),
(1314, 'CF1911-1250', 1, NULL, '', 2050, NULL, '2020-07-21 14:05:52', '2019-11-05 14:29:04', '2019-11-05 14:29:30', '2019-11-05 14:29:30', NULL, '2019-11-05', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 179.60000000, 0.00000000, 0.00000000, 898.00000000, 1077.60000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 898.00000000, 179.60000000, 1077.60000000, NULL),
(1315, 'CF1911-1251', 1, NULL, '', 2627, NULL, '2020-07-21 13:50:20', '2019-11-05 15:52:21', '2019-11-05 15:54:39', '2019-11-05 15:54:39', NULL, '2019-11-05', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 85.31000000, 0.00000000, 0.00000000, 426.56000000, 511.87000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 426.56000000, 85.31000000, 511.87000000, NULL),
(1316, 'CF1911-1252', 1, NULL, '', 2740, NULL, '2019-11-12 10:01:18', '2019-11-06 14:11:23', '2019-11-06 14:11:57', '2019-11-06 14:11:57', NULL, '2019-11-06', 5, 5, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 23.90000000, 0.00000000, 0.00000000, 119.50000000, 143.40000000, '', 'OFFRE COMMERCIALE N°148516', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 119.50000000, 23.90000000, 143.40000000, NULL),
(1317, 'CF1911-1253', 1, NULL, '', 2609, NULL, '2019-11-13 10:25:46', '2019-11-06 16:40:30', '2019-11-06 16:46:50', '2019-11-06 16:46:50', NULL, '2019-11-06', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 182.37000000, 0.00000000, 0.00000000, 911.86000000, 1094.23000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 911.86000000, 182.37000000, 1094.23000000, NULL),
(1318, 'CF1911-1254', 1, NULL, '', 2723, NULL, '2019-11-25 11:05:37', '2019-11-07 14:48:16', '2019-11-07 14:48:40', '2019-11-07 14:48:40', NULL, '2019-11-07', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 143.40000000, 0.00000000, 0.00000000, 717.00000000, 860.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 717.00000000, 143.40000000, 860.40000000, NULL),
(1319, 'CF1911-1255', 1, NULL, '', 2673, NULL, '2020-07-21 14:08:05', '2019-11-08 11:29:07', '2019-11-08 11:34:21', '2019-11-08 11:34:21', NULL, '2019-11-08', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 37.88000000, 0.00000000, 0.00000000, 188.75000000, 227.28000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 188.75000000, 37.75000000, 226.50000000, NULL),
(1320, 'CF1911-1256', 1, NULL, '', 2050, NULL, '2020-07-21 14:07:12', '2019-11-12 15:59:16', '2019-11-12 16:01:03', '2019-11-12 16:01:04', NULL, '2019-11-12', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 92.80000000, 0.00000000, 0.00000000, 464.00000000, 556.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 464.00000000, 92.80000000, 556.80000000, NULL),
(1321, 'CF1911-1257', 1, NULL, '', 1948, NULL, '2019-11-25 11:07:33', '2019-11-13 08:58:44', '2019-11-13 09:00:04', '2019-11-13 09:00:04', NULL, '2019-11-13', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 9.00000000, 0.00000000, 0.00000000, 45.00000000, 54.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 45.00000000, 9.00000000, 54.00000000, NULL),
(1322, 'CF1911-1258', 1, NULL, '', 12632, NULL, '2019-11-13 08:13:25', '2019-11-13 09:11:29', '2019-11-13 09:13:25', '2019-11-13 09:13:25', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 288.00000000, 0.00000000, 0.00000000, 1440.00000000, 1728.00000000, '', 'devis N&deg;22625<br />\r\nLIvraison :&nbsp;<br />\r\nUDT MECA&nbsp;5 All&eacute;e Bernard Palissy, 26000 Valence', 'muscadet', NULL, NULL, 3, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1440.00000000, 288.00000000, 1728.00000000, NULL),
(1323, 'CF1911-1259', 1, NULL, '', 2729, NULL, '2020-07-20 12:43:48', '2019-11-18 09:22:38', '2019-11-18 09:28:11', '2019-11-18 09:28:11', NULL, '2019-11-18', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 4313.90000000, 4313.90000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4313.90000000, 0.00000000, 4313.90000000, NULL),
(1324, 'CF1911-1260', 1, NULL, '', 2738, NULL, '2019-11-18 09:39:46', '2019-11-18 10:31:59', '2019-11-18 10:39:24', '2019-11-18 10:39:25', NULL, NULL, 5, 5, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 178.42000000, 0.00000000, 0.00000000, 892.08000000, 1070.50000000, '', 'offre O1918935', 'muscadet', NULL, NULL, 16, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 892.08000000, 178.42000000, 1070.50000000, NULL),
(1325, 'CF1911-1261', 1, NULL, '', 1948, NULL, '2019-11-25 11:03:46', '2019-11-18 15:01:52', '2019-11-18 15:02:36', '2019-11-18 15:02:36', NULL, '2019-11-18', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 30.78000000, 0.00000000, 0.00000000, 153.90000000, 184.68000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 153.90000000, 30.78000000, 184.68000000, NULL),
(1326, 'CF1911-1262', 1, NULL, '', 1948, NULL, '2020-07-21 08:44:45', '2019-11-18 15:14:56', '2019-11-18 15:15:53', '2019-11-18 15:15:53', NULL, '2020-07-21', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 844.50000000, 0.00000000, 0.00000000, 4222.50000000, 5067.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4222.50000000, 844.50000000, 5067.00000000, NULL),
(1327, 'CF1911-1263', 1, NULL, '', 1948, NULL, '2019-11-25 11:04:05', '2019-11-19 09:10:02', '2019-11-19 09:10:47', '2019-11-19 09:10:47', NULL, '2019-11-19', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 34.98000000, 0.00000000, 0.00000000, 174.90000000, 209.88000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 174.90000000, 34.98000000, 209.88000000, NULL),
(1328, 'CF1911-1264', 1, NULL, '', 2725, NULL, '2020-07-21 14:06:45', '2019-11-19 09:48:42', '2019-11-19 09:49:37', '2019-11-19 09:49:37', NULL, '2019-11-19', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 140.00000000, 0.00000000, 0.00000000, 700.00000000, 840.00000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 700.00000000, 140.00000000, 840.00000000, NULL),
(1329, 'CF1911-1265', 1, NULL, '', 2050, NULL, '2019-11-25 11:03:10', '2019-11-19 11:52:54', '2019-11-19 11:53:37', '2019-11-19 11:53:37', NULL, '2019-11-19', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 226.40000000, 0.00000000, 0.00000000, 1132.00000000, 1358.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1132.00000000, 226.40000000, 1358.40000000, NULL),
(1330, 'CF1911-1266', 1, NULL, '', 2738, NULL, '2019-11-19 14:37:53', '2019-11-19 15:35:34', '2019-11-19 15:37:53', '2019-11-19 15:37:53', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 359.02000000, 0.00000000, 0.00000000, 1795.08000000, 2154.10000000, '', '', 'muscadet', NULL, NULL, 16, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1795.08000000, 359.02000000, 2154.10000000, NULL),
(1331, 'CF1911-1267', 1, NULL, '', 2609, NULL, '2019-11-25 13:33:43', '2019-11-20 08:48:32', '2019-11-20 08:49:32', '2019-11-20 08:49:32', NULL, '2019-11-25', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 97.52000000, 0.00000000, 0.00000000, 487.60000000, 585.12000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 487.60000000, 97.52000000, 585.12000000, NULL),
(1332, 'CF1911-1268', 1, NULL, '', 2673, NULL, '2019-11-25 11:02:48', '2019-11-20 08:55:01', '2019-11-20 09:36:11', '2019-11-20 09:36:11', NULL, '2019-11-20', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 84.84000000, 0.00000000, 0.00000000, 424.20000000, 509.04000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 424.20000000, 84.84000000, 509.04000000, NULL),
(1333, 'CF1911-1269', 1, NULL, '', 10086, NULL, '2019-11-20 13:10:54', '2019-11-20 14:07:50', '2019-11-20 14:10:54', '2019-11-20 14:10:54', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 45.28000000, 0.00000000, 0.00000000, 226.40000000, 271.68000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 226.40000000, 45.28000000, 271.68000000, NULL),
(1334, 'CF1911-1270', 1, NULL, '', 2750, NULL, '2020-07-21 14:10:25', '2019-11-20 15:10:33', '2019-11-20 15:11:39', '2019-11-20 15:11:39', NULL, '2019-11-20', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 119.19000000, 0.00000000, 0.00000000, 595.95000000, 715.14000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 595.95000000, 119.19000000, 715.14000000, NULL),
(1335, 'CF1911-1271', 1, NULL, '', 2740, NULL, '2019-11-25 11:00:38', '2019-11-20 15:22:29', '2019-11-20 15:24:07', '2019-11-20 15:24:07', NULL, '2019-11-25', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 9.06000000, 0.00000000, 0.00000000, 45.28000000, 54.34000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 45.28000000, 9.06000000, 54.34000000, NULL),
(1336, 'CF1911-1272', 1, NULL, '', 1948, NULL, '2019-11-26 13:27:59', '2019-11-21 14:25:04', '2019-11-21 14:28:15', '2019-11-21 14:28:15', NULL, '2019-11-21', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 3.90000000, 0.00000000, 0.00000000, 19.50000000, 23.40000000, '', 'Commande URGENTE SI POSSIBLE COMMANDE CE JOUR MERCI', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 19.50000000, 3.90000000, 23.40000000, NULL),
(1337, 'CF1911-1273', 1, NULL, '', 2673, NULL, '2020-07-20 13:49:38', '2019-11-22 14:21:22', '2019-11-22 14:24:11', '2019-11-22 14:24:11', NULL, '2019-11-22', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 564.00000000, 0.00000000, 0.00000000, 2820.22000000, 3384.03000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2820.22000000, 564.05000000, 3384.27000000, NULL),
(1338, 'CF1911-1274', 1, NULL, '', 2050, NULL, '2020-07-20 12:46:20', '2019-11-22 14:52:58', '2019-11-22 15:10:35', '2019-11-22 15:10:35', NULL, '2019-11-22', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 102.93000000, 0.00000000, 0.00000000, 514.66000000, 617.59000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 514.66000000, 102.93000000, 617.59000000, NULL),
(1339, 'CF1911-1275', 1, NULL, '', 2725, NULL, '2019-11-22 14:38:10', '2019-11-22 15:38:06', '2019-11-22 15:38:10', '2019-11-22 15:38:10', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 140.00000000, 0.00000000, 0.00000000, 700.00000000, 840.00000000, '', '', 'muscadet', NULL, NULL, 16, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 700.00000000, 140.00000000, 840.00000000, NULL),
(1340, 'CF1911-1276', 1, NULL, '', 1948, NULL, '2020-07-21 14:06:06', '2019-11-25 09:01:16', '2019-11-25 09:03:12', '2019-11-25 09:03:12', NULL, '2019-11-25', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 0.00000000, 0.00000000, 0.00000000, NULL),
(1341, 'CF1911-1277', 1, NULL, '', 2740, NULL, '2020-07-21 14:08:44', '2019-11-26 14:20:47', '2019-11-26 14:21:54', '2019-11-26 14:21:54', NULL, '2019-11-26', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 4.20000000, 0.00000000, 0.00000000, 21.00000000, 25.20000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 21.00000000, 4.20000000, 25.20000000, NULL),
(1342, 'CF1911-1278', 1, NULL, '', 2738, NULL, '2020-07-21 14:04:05', '2019-11-26 14:30:27', '2019-11-26 14:30:30', '2019-11-26 14:30:30', NULL, '2019-11-26', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 359.02000000, 0.00000000, 0.00000000, 1795.08000000, 2154.10000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1795.08000000, 359.02000000, 2154.10000000, NULL),
(1343, 'CF1911-1279', 1, NULL, '', 1948, NULL, '2019-12-12 10:07:01', '2019-11-26 16:18:35', '2019-11-26 16:19:17', '2019-11-26 16:19:17', NULL, '2019-11-26', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 41.04000000, 0.00000000, 0.00000000, 205.20000000, 246.24000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 205.20000000, 41.04000000, 246.24000000, NULL),
(1344, 'CF1911-1280', 1, NULL, '', 1948, NULL, '2019-12-05 14:36:24', '2019-11-26 16:53:14', '2019-11-26 16:53:45', '2019-11-26 16:53:45', NULL, '2019-11-26', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 10.26000000, 0.00000000, 0.00000000, 51.30000000, 61.56000000, '', '', 'muscadet', NULL, NULL, 1, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 51.30000000, 10.26000000, 61.56000000, NULL),
(1345, 'CF1911-1281', 1, NULL, '', 2673, NULL, '2019-12-04 08:34:45', '2019-11-27 14:39:53', '2019-11-27 14:49:54', '2019-11-27 14:49:55', NULL, '2019-12-04', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 10.26000000, 0.00000000, 0.00000000, 51.30000000, 61.56000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 51.30000000, 10.26000000, 61.56000000, NULL),
(1346, 'CF1911-1282', 1, NULL, '', 1948, NULL, '2019-12-09 12:56:29', '2019-11-28 16:59:03', '2019-11-29 11:58:20', '2019-11-29 11:58:20', NULL, '2019-11-29', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 20.20000000, 0.00000000, 0.00000000, 101.00000000, 121.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 101.00000000, 20.20000000, 121.20000000, NULL),
(1348, 'CF1912-1283', 1, NULL, '', 1948, NULL, '2019-12-09 12:56:48', '2019-12-02 09:43:46', '2019-12-02 09:45:09', '2019-12-02 09:45:09', NULL, '2019-12-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 28.54000000, 0.00000000, 0.00000000, 142.67000000, 171.21000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 142.67000000, 28.54000000, 171.21000000, NULL),
(1349, 'CF1912-1284', 1, NULL, '', 2729, NULL, '2020-07-20 12:47:06', '2019-12-02 16:28:39', '2019-12-02 16:29:36', '2019-12-02 16:29:36', NULL, '2019-12-02', 5, 5, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 4015.80000000, 4015.80000000, '', 'Pour livraison :<br />\r\n<br />\r\nPortail BLANC <br />\r\n06 08 14 90 13', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4015.80000000, 0.00000000, 4015.80000000, NULL),
(1350, 'CF1912-1285', 1, NULL, '', 1948, NULL, '2019-12-09 12:57:04', '2019-12-04 09:45:39', '2019-12-04 09:45:56', '2019-12-04 09:45:56', NULL, '2019-12-04', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 31.11000000, 0.00000000, 0.00000000, 155.54000000, 186.65000000, '', '', 'muscadet', NULL, NULL, 1, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 155.54000000, 31.11000000, 186.65000000, NULL),
(1352, 'CF1912-1286', 1, NULL, '', 1948, NULL, '2019-12-09 12:57:39', '2019-12-04 16:43:25', '2019-12-04 16:43:38', '2019-12-04 16:43:39', NULL, '2019-12-09', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 16.33000000, 0.00000000, 0.00000000, 81.65000000, 97.98000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 81.65000000, 16.33000000, 97.98000000, NULL),
(1353, 'CF1912-1287', 1, NULL, '', 1948, NULL, '2019-12-09 12:58:10', '2019-12-05 09:43:59', '2019-12-05 09:44:24', '2019-12-05 09:44:24', NULL, '2019-12-05', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 9.00000000, 0.00000000, 0.00000000, 45.00000000, 54.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 45.00000000, 9.00000000, 54.00000000, NULL),
(1355, 'CF1912-1289', 1, NULL, '', 1948, NULL, '2019-12-12 10:07:30', '2019-12-05 09:50:50', '2019-12-05 09:51:22', '2019-12-05 09:51:22', NULL, '2019-12-09', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 27.60000000, 0.00000000, 0.00000000, 138.00000000, 165.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 138.00000000, 27.60000000, 165.60000000, NULL),
(1356, 'CF1912-1290', 1, NULL, '', 1948, NULL, '2019-12-09 12:59:02', '2019-12-05 10:07:55', '2019-12-05 10:14:58', '2019-12-05 10:14:59', NULL, '2019-12-05', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 35.38000000, 0.00000000, 0.00000000, 176.90000000, 212.28000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 176.90000000, 35.38000000, 212.28000000, NULL),
(1358, 'CF1912-1291', 1, NULL, '', 2706, NULL, '2020-07-21 14:10:42', '2019-12-06 11:45:05', '2019-12-06 11:46:44', '2019-12-06 11:46:44', NULL, '2019-12-06', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 38.19000000, 0.00000000, 0.00000000, 190.94000000, 229.13000000, '', 'selon offre OD726702 ( jegou )&nbsp;', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 190.94000000, 38.19000000, 229.13000000, NULL),
(1359, 'CF1912-1292', 1, NULL, '', 2729, NULL, '2020-07-21 14:07:30', '2019-12-09 14:03:42', '2019-12-09 14:05:22', '2019-12-09 14:05:22', NULL, '2019-12-09', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 154.00000000, 154.00000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 154.00000000, 0.00000000, 154.00000000, NULL),
(1360, 'CF1912-1293', 1, NULL, '', 1948, NULL, '2019-12-12 10:08:04', '2019-12-09 14:16:21', '2019-12-09 14:17:03', '2019-12-09 14:17:04', NULL, '2019-12-09', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 9.60000000, 0.00000000, 0.00000000, 48.00000000, 57.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 48.00000000, 9.60000000, 57.60000000, NULL),
(1362, 'CF1912-1294', 1, NULL, '', 1948, NULL, '2019-12-12 10:07:46', '2019-12-09 15:00:20', '2019-12-09 15:01:11', '2019-12-09 15:01:11', NULL, '2019-12-09', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 20.52000000, 0.00000000, 0.00000000, 102.60000000, 123.12000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 102.60000000, 20.52000000, 123.12000000, NULL),
(1363, 'CF1912-1295', 1, NULL, '', 1948, NULL, '2019-12-12 10:08:22', '2019-12-09 16:02:34', '2019-12-09 16:03:17', '2019-12-09 16:03:17', NULL, '2019-12-09', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 17.38000000, 0.00000000, 0.00000000, 86.90000000, 104.28000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 86.90000000, 17.38000000, 104.28000000, NULL),
(1364, 'CF1912-1296', 1, NULL, '', 2050, NULL, '2020-07-21 14:08:29', '2019-12-10 09:13:14', '2019-12-10 09:13:38', '2019-12-10 09:13:39', NULL, '2019-12-10', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 301.00000000, 0.00000000, 0.00000000, 1505.00000000, 1806.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1505.00000000, 301.00000000, 1806.00000000, NULL),
(1365, 'CF1912-1297', 1, NULL, '', 2627, NULL, '2020-07-21 14:10:57', '2019-12-10 09:13:14', '2019-12-10 09:15:23', '2019-12-10 09:15:23', NULL, '2019-12-10', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 82.09000000, 0.00000000, 0.00000000, 410.44000000, 492.53000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 410.44000000, 82.09000000, 492.53000000, NULL),
(1366, 'CF1912-1298', 1, NULL, '', 2740, NULL, '2020-07-21 14:12:23', '2019-12-10 09:50:50', '2019-12-10 09:51:26', '2019-12-10 09:51:26', NULL, '2019-12-10', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 31.20000000, 0.00000000, 0.00000000, 156.00000000, 187.20000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 156.00000000, 31.20000000, 187.20000000, NULL),
(1367, 'CF1912-1299', 1, NULL, '', 1948, NULL, '2020-01-28 13:02:51', '2019-12-10 10:34:48', '2019-12-10 16:28:40', '2019-12-10 16:28:41', NULL, '2019-12-10', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 132.26000000, 0.00000000, 0.00000000, 661.32000000, 793.58000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 661.32000000, 132.26000000, 793.58000000, NULL),
(1368, 'CF1912-1305', 1, NULL, '', 2627, NULL, '2020-07-21 14:22:04', '2019-12-10 10:34:48', '2019-12-13 16:08:16', '2019-12-13 16:08:16', NULL, '2019-12-13', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 35.46000000, 0.00000000, 0.00000000, 177.32000000, 212.78000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 177.32000000, 35.46000000, 212.78000000, NULL),
(1369, 'CF1912-1308', 1, NULL, '', 2050, NULL, '2020-01-14 10:17:10', '2019-12-10 16:06:50', '2019-12-16 10:41:50', '2019-12-16 10:41:50', NULL, '2019-12-16', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 195.51000000, 0.00000000, 0.00000000, 977.54000000, 1173.05000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 977.54000000, 195.51000000, 1173.05000000, NULL),
(1370, 'CF1912-1300', 1, NULL, '', 2740, NULL, '2019-12-16 08:29:53', '2019-12-11 09:45:09', '2019-12-11 09:47:09', '2019-12-11 09:47:09', NULL, '2019-12-11', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 8.12000000, 0.00000000, 0.00000000, 40.60000000, 48.72000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 40.60000000, 8.12000000, 48.72000000, NULL),
(1371, 'CF1912-1302', 1, NULL, '', 1948, NULL, '2020-01-20 13:47:39', '2019-12-11 11:24:08', '2019-12-12 09:52:37', '2019-12-12 09:52:38', NULL, '2019-12-12', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 73.31000000, 0.00000000, 0.00000000, 366.53000000, 439.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 366.53000000, 73.31000000, 439.84000000, NULL),
(1372, 'CF1912-1301', 1, NULL, '', 2050, NULL, '2020-07-21 14:12:51', '2019-12-11 11:28:46', '2019-12-11 11:29:28', '2019-12-11 11:29:28', NULL, '2019-12-11', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 157.46000000, 0.00000000, 0.00000000, 787.32000000, 944.78000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 787.32000000, 157.46000000, 944.78000000, NULL),
(1373, 'CF1912-1303', 1, NULL, '', 2673, NULL, '2019-12-18 09:17:41', '2019-12-13 10:52:19', '2019-12-13 11:08:47', '2019-12-13 11:08:47', NULL, '2019-12-13', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 20.40000000, 0.00000000, 0.00000000, 102.00000000, 122.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 102.00000000, 20.40000000, 122.40000000, NULL),
(1374, 'CF1912-1304', 1, NULL, '', 1948, NULL, '2019-12-20 13:49:01', '2019-12-13 15:24:58', '2019-12-13 15:25:16', '2019-12-13 15:25:17', NULL, '2019-12-13', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 12.60000000, 0.00000000, 0.00000000, 63.00000000, 75.60000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 63.00000000, 12.60000000, 75.60000000, NULL),
(1375, 'CF1912-1306', 1, NULL, '', 2050, NULL, '2020-07-21 14:22:23', '2019-12-13 16:09:16', '2019-12-13 16:09:48', '2019-12-13 16:09:48', NULL, '2019-12-13', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 68.00000000, 0.00000000, 0.00000000, 340.00000000, 408.00000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 340.00000000, 68.00000000, 408.00000000, NULL),
(1376, 'CF1912-1307', 1, NULL, '', 2719, NULL, '2019-12-20 13:34:00', '2019-12-16 09:23:45', '2019-12-16 09:28:46', '2019-12-16 09:28:46', NULL, '2019-12-16', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 26.92000000, 0.00000000, 0.00000000, 134.60000000, 161.52000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 134.60000000, 26.92000000, 161.52000000, NULL),
(1377, 'CF1912-1309', 1, NULL, '', 1948, NULL, '2020-07-20 13:04:56', '2019-12-16 15:39:22', '2019-12-16 15:41:15', '2019-12-16 15:41:15', NULL, '2019-12-16', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 6.90000000, 0.00000000, 0.00000000, 34.52000000, 41.42000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 34.52000000, 6.90000000, 41.42000000, NULL),
(1378, 'CF1912-1310', 1, NULL, '', 2050, NULL, '2020-07-21 14:22:40', '2019-12-16 16:25:05', '2019-12-16 16:25:29', '2019-12-16 16:25:29', NULL, '2019-12-16', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 372.77000000, 0.00000000, 0.00000000, 1863.84000000, 2236.61000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1863.84000000, 372.77000000, 2236.61000000, NULL),
(1379, 'CF1912-1311', 1, NULL, '', 1948, NULL, '2019-12-20 13:48:28', '2019-12-17 11:55:26', '2019-12-17 11:55:43', '2019-12-17 11:55:43', NULL, '2019-12-17', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 14.92000000, 0.00000000, 0.00000000, 74.60000000, 89.52000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 74.60000000, 14.92000000, 89.52000000, NULL),
(1380, 'CF1912-1312', 1, NULL, '', 1948, NULL, '2020-01-16 14:55:03', '2019-12-17 14:43:30', '2019-12-17 14:44:11', '2019-12-17 14:44:11', NULL, '2019-12-17', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 19.45000000, 0.00000000, 0.00000000, 97.24000000, 116.69000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 97.24000000, 19.45000000, 116.69000000, NULL),
(1381, 'CF1912-1313', 1, NULL, '', 2050, NULL, '2019-12-24 07:57:34', '2019-12-17 15:04:20', '2019-12-17 15:04:43', '2019-12-17 15:04:43', NULL, '2019-12-17', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 71.20000000, 0.00000000, 0.00000000, 356.00000000, 427.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 356.00000000, 71.20000000, 427.20000000, NULL),
(1382, 'CF1912-1314', 1, NULL, '', 2673, NULL, '2019-12-24 09:56:35', '2019-12-17 15:51:50', '2019-12-17 16:00:44', '2019-12-17 16:00:44', NULL, '2019-12-17', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 20.28000000, 0.00000000, 0.00000000, 101.20000000, 121.68000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 101.20000000, 20.24000000, 121.44000000, NULL),
(1383, 'CF1912-1315', 1, NULL, '', 1948, NULL, '2019-12-20 13:48:01', '2019-12-17 16:14:20', '2019-12-17 16:14:46', '2019-12-17 16:14:46', NULL, '2019-12-17', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 14.20000000, 0.00000000, 0.00000000, 71.00000000, 85.20000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 71.00000000, 14.20000000, 85.20000000, NULL),
(1384, 'CF1912-1316', 1, NULL, '', 1948, NULL, '2020-07-21 14:23:35', '2019-12-20 14:21:17', '2019-12-20 14:21:31', '2019-12-20 14:21:32', NULL, '2019-12-20', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 3.00000000, 0.00000000, 0.00000000, 15.00000000, 18.00000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 15.00000000, 3.00000000, 18.00000000, NULL),
(1385, 'CF1912-1317', 1, NULL, '', 2050, NULL, '2020-07-21 10:00:20', '2019-12-20 14:24:22', '2019-12-20 14:25:10', '2019-12-20 14:25:10', NULL, '2019-12-20', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 53.00000000, 0.00000000, 0.00000000, 265.00000000, 318.00000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 265.00000000, 53.00000000, 318.00000000, NULL),
(1386, 'CF1912-1318', 1, NULL, '33mpg05122019', 2114, NULL, '2019-12-20 15:36:44', '2019-12-20 16:35:40', '2019-12-20 16:36:44', '2019-12-20 16:36:44', NULL, NULL, 5, 5, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 22.87000000, 0.00000000, 0.00000000, 114.34000000, 137.21000000, '', '', 'muscadet', NULL, NULL, 16, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 114.34000000, 22.87000000, 137.21000000, NULL);
INSERT INTO `llx_commande_fournisseur` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_supplier`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_approve`, `date_approve2`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_approve`, `fk_user_approve2`, `source`, `fk_statut`, `billed`, `amount_ht`, `remise_percent`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `date_livraison`, `fk_account`, `fk_cond_reglement`, `fk_mode_reglement`, `fk_input_method`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`) VALUES
(1387, 'CF1912-1319', 1, NULL, '', 1948, NULL, '2020-01-02 10:13:13', '2019-12-26 10:04:08', '2019-12-26 10:05:01', '2019-12-26 10:05:01', NULL, '2019-12-26', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 11.00000000, 0.00000000, 0.00000000, 55.00000000, 66.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 55.00000000, 11.00000000, 66.00000000, NULL),
(1388, 'CF1912-1320', 1, NULL, '', 2627, NULL, '2020-01-13 10:02:26', '2019-12-26 10:04:08', '2019-12-26 10:06:07', '2019-12-26 10:06:07', NULL, '2019-12-26', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 73.66000000, 0.00000000, 0.00000000, 368.28000000, 441.94000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 368.28000000, 73.66000000, 441.94000000, NULL),
(1389, 'CF1912-1321', 1, NULL, '', 2050, NULL, '2020-07-20 12:45:05', '2019-12-26 16:19:50', '2019-12-26 16:21:02', '2019-12-26 16:21:02', NULL, '2020-01-02', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 2547.96000000, 0.00000000, 0.00000000, 12739.80000000, 15287.76000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 12739.80000000, 2547.96000000, 15287.76000000, NULL),
(1390, 'CF1912-1322', 1, NULL, '', 1948, NULL, '2020-07-21 14:23:17', '2019-12-26 16:22:08', '2019-12-26 16:22:38', '2019-12-26 16:22:38', NULL, '2020-01-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 506.00000000, 0.00000000, 0.00000000, 2530.00000000, 3036.00000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2530.00000000, 506.00000000, 3036.00000000, NULL),
(1391, 'CF2001-1323', 1, NULL, '', 1948, NULL, '2020-01-09 08:20:55', '2020-01-02 09:11:33', '2020-01-02 09:13:53', '2020-01-02 09:13:53', NULL, '2020-01-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 68.20000000, 0.00000000, 0.00000000, 341.00000000, 409.20000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 341.00000000, 68.20000000, 409.20000000, NULL),
(1392, 'CF2001-1336', 1, NULL, '', 1948, NULL, '2020-01-17 10:42:51', '2020-01-02 09:14:41', '2020-01-16 11:14:31', '2020-01-16 11:14:31', NULL, '2020-01-16', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 9.20000000, 0.00000000, 0.00000000, 46.00000000, 55.20000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 46.00000000, 9.20000000, 55.20000000, NULL),
(1393, 'CF2001-1324', 1, NULL, '', 2642, NULL, '2020-01-08 09:59:46', '2020-01-02 12:02:43', '2020-01-02 12:03:02', '2020-01-02 12:03:02', NULL, '2020-01-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 50.58000000, 0.00000000, 0.00000000, 252.90000000, 303.48000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 252.90000000, 50.58000000, 303.48000000, NULL),
(1394, 'CF2001-1325', 1, NULL, '', 1948, NULL, '2020-07-21 14:23:47', '2020-01-07 16:09:35', '2020-01-07 16:10:40', '2020-01-07 16:10:40', NULL, '2020-01-07', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 17.82000000, 0.00000000, 0.00000000, 89.10000000, 106.92000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 89.10000000, 17.82000000, 106.92000000, NULL),
(1395, 'CF2001-1326', 1, NULL, '', 2764, NULL, '2020-07-28 09:37:20', '2020-01-08 11:18:03', '2020-01-08 11:18:36', '2020-01-08 11:18:36', NULL, '2020-01-08', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 5.81000000, 0.00000000, 0.00000000, 29.07000000, 34.88000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 29.07000000, 5.81000000, 34.88000000, NULL),
(1396, 'CF2001-1327', 1, NULL, '', 2635, NULL, '2020-07-28 09:37:36', '2020-01-09 08:52:31', '2020-01-09 08:53:18', '2020-01-09 08:53:18', NULL, '2020-01-09', 5, 5, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 169.08000000, 0.00000000, 0.00000000, 845.40000000, 1014.48000000, '', 'offre 20294420', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 845.40000000, 169.08000000, 1014.48000000, NULL),
(1398, 'CF2001-1328', 1, NULL, '', 2764, NULL, '2020-08-07 13:48:11', '2020-01-09 09:04:32', '2020-01-09 09:05:54', '2020-01-09 09:05:54', NULL, '2020-01-09', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 5.17000000, 0.00000000, 0.00000000, 25.86000000, 31.03000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 25.86000000, 5.17000000, 31.03000000, NULL),
(1399, 'CF2001-1329', 1, NULL, '', 2740, NULL, '2020-01-09 08:27:27', '2020-01-09 09:24:03', '2020-01-09 09:27:27', '2020-01-09 09:27:27', NULL, NULL, 5, 5, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 79.90000000, 0.00000000, 0.00000000, 399.50000000, 479.40000000, '', '<u><strong>Livraison : </strong></u><br />\r\nFaravelon Ludovic<br />\r\n105, Zone Artisanale De Cabaret Neuf,<br />\r\n26260 Charmes-sur-l\'Herbasse<br />\r\nTel :  +336 25 40 59 75', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 399.50000000, 79.90000000, 479.40000000, NULL),
(1400, 'CF2001-1330', 1, NULL, '', 2652, NULL, '2020-07-21 14:06:26', '2020-01-09 09:36:20', '2020-01-09 09:37:44', '2020-01-09 09:37:44', NULL, '2020-01-09', 5, 5, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 7.85000000, 0.00000000, 0.00000000, 39.25000000, 47.10000000, '', 'Livraison :<br />\r\n<br />\r\nEXSTO<br />\r\n55 ave,nue de la deportation<br />\r\nBP280<br />\r\n26106 ROMANS SUR ISERE', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 39.25000000, 7.85000000, 47.10000000, NULL),
(1401, 'CF2001-1331', 1, NULL, '', 2673, NULL, '2020-01-16 10:39:03', '2020-01-13 09:02:55', '2020-01-13 09:05:22', '2020-01-13 09:05:22', NULL, '2020-01-13', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 22.95000000, 0.00000000, 0.00000000, 114.41000000, 137.70000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 114.41000000, 22.87000000, 137.28000000, NULL),
(1402, 'CF2001-1332', 1, NULL, '', 2050, NULL, '2020-08-07 13:48:41', '2020-01-13 10:55:48', '2020-01-13 10:58:05', '2020-01-13 10:58:05', NULL, '2020-01-13', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 163.60000000, 0.00000000, 0.00000000, 818.00000000, 981.60000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 818.00000000, 163.60000000, 981.60000000, NULL),
(1403, 'CF2001-1333', 1, NULL, '', 2050, NULL, '2020-08-07 13:48:56', '2020-01-13 16:47:57', '2020-01-13 16:48:49', '2020-01-13 16:48:49', NULL, '2020-01-13', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 177.31000000, 0.00000000, 0.00000000, 886.54000000, 1063.85000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 886.54000000, 177.31000000, 1063.85000000, NULL),
(1404, 'CF2001-1334', 1, NULL, '', 2050, NULL, '2020-08-07 13:49:24', '2020-01-15 09:50:20', '2020-01-15 09:51:13', '2020-01-15 09:51:13', NULL, '2020-01-15', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 45.41000000, 0.00000000, 0.00000000, 227.05000000, 272.46000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 227.05000000, 45.41000000, 272.46000000, NULL),
(1405, 'CF2001-1335', 1, NULL, '', 1948, NULL, '2020-01-17 10:42:19', '2020-01-15 12:00:59', '2020-01-15 12:01:12', '2020-01-15 12:01:12', NULL, '2020-01-15', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 34.98000000, 0.00000000, 0.00000000, 174.90000000, 209.88000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 174.90000000, 34.98000000, 209.88000000, NULL),
(1406, 'CF2001-1337', 1, NULL, '', 2764, NULL, '2020-01-27 13:33:52', '2020-01-16 11:12:54', '2020-01-16 16:10:32', '2020-01-16 16:10:32', NULL, '2020-01-16', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 8.69000000, 0.00000000, 0.00000000, 43.45000000, 52.14000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 43.45000000, 8.69000000, 52.14000000, NULL),
(1407, 'CF2001-1338', 1, NULL, '', 2740, NULL, '2020-08-07 13:49:44', '2020-01-17 09:08:32', '2020-01-17 09:11:26', '2020-01-17 09:11:26', NULL, '2020-01-17', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 79.90000000, 0.00000000, 0.00000000, 399.50000000, 479.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 399.50000000, 79.90000000, 479.40000000, NULL),
(1408, 'CF2001-1339', 1, NULL, '', 1948, NULL, '2020-08-07 13:49:59', '2020-01-17 09:23:57', '2020-01-17 09:25:32', '2020-01-17 09:25:32', NULL, '2020-01-17', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 102.50000000, 0.00000000, 0.00000000, 512.50000000, 615.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 512.50000000, 102.50000000, 615.00000000, NULL),
(1409, 'CF2002-1384', 1, NULL, '', 2673, NULL, '2020-08-12 13:13:58', '2020-01-17 09:23:58', '2020-02-18 09:06:53', '2020-02-18 09:06:54', NULL, '2020-02-18', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 61.61000000, 0.00000000, 0.00000000, 308.04000000, 369.65000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 308.04000000, 61.61000000, 369.65000000, NULL),
(1410, 'CF2001-1340', 1, NULL, '', 1948, NULL, '2020-01-28 13:03:21', '2020-01-17 10:38:27', '2020-01-17 10:40:15', '2020-01-17 10:40:15', NULL, '2020-01-17', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 17.62000000, 0.00000000, 0.00000000, 88.12000000, 105.74000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 88.12000000, 17.62000000, 105.74000000, NULL),
(1411, 'CF2001-1341', 1, NULL, '', 2764, NULL, '2020-08-07 13:52:10', '2020-01-20 09:40:14', '2020-01-20 09:40:32', '2020-01-20 09:40:32', NULL, '2020-01-20', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 7.28000000, 0.00000000, 0.00000000, 36.42000000, 43.70000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 36.42000000, 7.28000000, 43.70000000, NULL),
(1412, 'CF2001-1342', 1, NULL, '', 1948, NULL, '2020-01-31 13:31:23', '2020-01-20 09:45:50', '2020-01-20 09:49:15', '2020-01-20 09:49:15', NULL, '2020-01-20', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 38.63000000, 0.00000000, 0.00000000, 193.16000000, 231.79000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 193.16000000, 38.63000000, 231.79000000, NULL),
(1413, 'CF2001-1343', 1, NULL, '', 2764, NULL, '2020-01-27 13:32:59', '2020-01-22 09:14:18', '2020-01-22 09:14:39', '2020-01-22 09:14:40', NULL, '2020-01-22', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 5.17000000, 0.00000000, 0.00000000, 25.86000000, 31.03000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 25.86000000, 5.17000000, 31.03000000, NULL),
(1414, 'CF2001-1344', 1, NULL, '', 2050, NULL, '2020-07-21 13:48:14', '2020-01-22 14:10:40', '2020-01-22 14:12:04', '2020-01-22 14:12:04', NULL, '2020-01-22', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 225.79000000, 0.00000000, 0.00000000, 1128.94000000, 1354.73000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1128.94000000, 225.79000000, 1354.73000000, NULL),
(1415, 'CF2001-1346', 1, NULL, '', 2764, NULL, '2020-08-07 13:52:27', '2020-01-23 09:15:15', '2020-01-23 09:16:36', '2020-01-23 09:16:36', NULL, '2020-01-23', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 3.56000000, 0.00000000, 0.00000000, 17.82000000, 21.38000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 17.82000000, 3.56000000, 21.38000000, NULL),
(1417, 'CF2001-1345', 1, NULL, '', 1948, NULL, '2020-01-28 13:04:18', '2020-01-23 09:15:16', '2020-01-23 09:15:41', '2020-01-23 09:15:41', NULL, '2020-01-23', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 38.10000000, 0.00000000, 0.00000000, 190.52000000, 228.62000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 190.52000000, 38.10000000, 228.62000000, NULL),
(1418, 'CF2001-1347', 1, NULL, '', 1948, NULL, '2020-01-31 13:33:48', '2020-01-24 09:35:52', '2020-01-24 09:36:31', '2020-01-24 09:36:31', NULL, '2020-01-24', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 51.42000000, 0.00000000, 0.00000000, 257.10000000, 308.52000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 257.10000000, 51.42000000, 308.52000000, NULL),
(1419, 'CF2001-1348', 1, NULL, '', 2764, NULL, '2020-02-06 09:43:21', '2020-01-24 14:14:36', '2020-01-24 14:15:16', '2020-01-24 14:15:17', NULL, '2020-01-24', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 11.63000000, 0.00000000, 0.00000000, 58.14000000, 69.77000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 58.14000000, 11.63000000, 69.77000000, NULL),
(1420, 'CF2001-1349', 1, NULL, '', 2050, NULL, '2020-01-30 08:33:00', '2020-01-24 15:26:06', '2020-01-24 15:28:20', '2020-01-24 15:28:20', NULL, '2020-01-24', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 257.93000000, 0.00000000, 0.00000000, 1289.66000000, 1547.59000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1289.66000000, 257.93000000, 1547.59000000, NULL),
(1421, 'CF2001-1350', 1, NULL, '', 1948, NULL, '2020-01-31 13:34:04', '2020-01-24 15:26:06', '2020-01-24 15:32:25', '2020-01-24 15:32:25', NULL, '2020-01-24', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 16.00000000, 0.00000000, 0.00000000, 80.00000000, 96.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 80.00000000, 16.00000000, 96.00000000, NULL),
(1423, 'CF2001-1351', 1, NULL, '', 1948, NULL, '2020-01-31 13:34:30', '2020-01-24 16:06:11', '2020-01-24 16:06:33', '2020-01-24 16:06:33', NULL, '2020-01-24', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 34.10000000, 0.00000000, 0.00000000, 170.50000000, 204.60000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 170.50000000, 34.10000000, 204.60000000, NULL),
(1424, 'CF2001-1352', 1, NULL, '', 2050, NULL, '2020-01-30 08:33:36', '2020-01-27 09:36:32', '2020-01-27 09:36:44', '2020-01-27 09:36:44', NULL, '2020-01-27', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 122.00000000, 0.00000000, 0.00000000, 610.00000000, 732.00000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 610.00000000, 122.00000000, 732.00000000, NULL),
(1425, 'CF2001-1353', 1, NULL, '', 2729, NULL, '2020-08-07 13:52:45', '2020-01-27 14:38:16', '2020-01-27 14:40:02', '2020-01-27 14:40:02', NULL, '2020-01-27', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 587.04000000, 0.00000000, 0.00000000, 2935.20000000, 3522.24000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2935.20000000, 587.04000000, 3522.24000000, NULL),
(1426, 'CF2001-1355', 1, NULL, '', 1948, NULL, '2020-01-30 08:34:56', '2020-01-27 14:38:16', '2020-01-27 14:50:00', '2020-01-27 14:50:00', NULL, '2020-01-30', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 181.56000000, 0.00000000, 0.00000000, 907.80000000, 1089.36000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 907.80000000, 181.56000000, 1089.36000000, NULL),
(1427, 'CF2001-1354', 1, NULL, '', 2050, NULL, '2020-08-07 13:59:11', '2020-01-27 14:42:44', '2020-01-27 14:43:04', '2020-01-27 14:43:04', NULL, '2020-01-27', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 53.40000000, 0.00000000, 0.00000000, 267.00000000, 320.40000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 267.00000000, 53.40000000, 320.40000000, NULL),
(1428, 'CF2001-1357', 1, NULL, '', 2609, NULL, '2020-01-30 08:35:33', '2020-01-27 15:09:05', '2020-01-27 15:10:06', '2020-01-27 15:10:06', NULL, '2020-01-27', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 41.40000000, 0.00000000, 0.00000000, 207.00000000, 248.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 207.00000000, 41.40000000, 248.40000000, NULL),
(1429, 'CF2001-1356', 1, NULL, '', 2765, NULL, '2020-08-07 13:58:38', '2020-01-27 15:09:05', '2020-01-27 15:09:24', '2020-01-27 15:09:24', NULL, '2020-01-27', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 332.80000000, 0.00000000, 0.00000000, 1664.00000000, 1996.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1664.00000000, 332.80000000, 1996.80000000, NULL),
(1430, 'CF2001-1358', 1, NULL, '', 1948, NULL, '2020-01-31 13:35:27', '2020-01-27 15:31:27', '2020-01-27 15:37:44', '2020-01-27 15:37:44', NULL, '2020-01-27', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 48.38000000, 0.00000000, 0.00000000, 241.90000000, 290.28000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 241.90000000, 48.38000000, 290.28000000, NULL),
(1431, 'CF2001-1359', 1, NULL, '', 2729, NULL, '2020-08-07 14:01:19', '2020-01-27 15:47:10', '2020-01-27 15:50:48', '2020-01-27 15:50:48', NULL, '2020-01-27', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 5.32000000, 0.00000000, 0.00000000, 208.60000000, 213.92000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 208.60000000, 5.32000000, 213.92000000, NULL),
(1432, 'CF2001-1360', 1, NULL, '', 2740, NULL, '2020-08-07 14:04:17', '2020-01-28 11:22:12', '2020-01-28 11:22:56', '2020-01-28 11:22:56', NULL, '2020-01-28', 5, 5, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 79.90000000, 0.00000000, 0.00000000, 399.50000000, 479.40000000, '', 'LIVRAISON : <br />\r\n<br />\r\nTelephoner 15 min avant la livraison pour ouverture du portail\r\n<p><strong><span style=\"font-size:11.0pt\"><span style=\"color:#00b050\">IDEC sas</span></span></strong></p>\r\n\r\n<p><span style=\"font-size:9.0pt\"><span style=\"color:black\">300 Route de Romans                            </span></span></p>\r\n\r\n<p><span style=\"font-size:9.0pt\"><span style=\"color:black\">26750 GENISSIEUX – France                                </span></span></p>\r\n\r\n<p><em><span style=\"font-size:9.0pt\"><span style=\"color:#1f497d\">Tél.: 04 75 05 25 04                                                                   </span></span></em></p>\r\n\r\n<p><em><span style=\"font-size:9.0pt\"><span style=\"color:#1f497d\">Port: 06 77 68 46 69</span></span></em></p>\r\n\r\n<p style=\"text-align:justify\"> </p>\r\n', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 399.50000000, 79.90000000, 479.40000000, NULL),
(1433, 'CF2001-1361', 1, NULL, '', 2729, NULL, '2020-02-05 13:20:37', '2020-01-29 09:47:47', '2020-01-29 09:48:18', '2020-01-29 09:48:18', NULL, '2020-01-29', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 169.92000000, 169.92000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 169.92000000, 0.00000000, 169.92000000, NULL),
(1434, 'CF2001-1362', 1, NULL, '', 2729, NULL, '2020-02-06 13:43:27', '2020-01-30 10:00:51', '2020-01-30 10:01:18', '2020-01-30 10:01:18', NULL, '2020-01-30', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 20.70000000, 0.00000000, 0.00000000, 103.50000000, 124.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 103.50000000, 20.70000000, 124.20000000, NULL),
(1436, 'CF2002-1363', 1, NULL, '', 2729, NULL, '2020-08-07 14:06:42', '2020-02-03 10:30:16', '2020-02-03 10:32:26', '2020-02-03 10:32:27', NULL, '2020-02-03', 5, 5, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 2800.80000000, 2800.80000000, '', 'Livraison :<br />\r\nEIFFAGE ROUTE CENTRE EST<br />\r\nETABLISSEMENT ISARDROME<br />\r\nParc d\'activité Les Léonards<br />\r\nChemin les Léonards<br />\r\n26200 MONTELIMAR<br />\r\ntel : (0)4 78 03 64 86<br />\r\nCONTACT MR DELEBREU', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2800.80000000, 0.00000000, 2800.80000000, NULL),
(1437, 'CF2002-1364', 1, NULL, '', 2740, NULL, '2020-07-30 13:27:19', '2020-02-03 10:30:16', '2020-02-03 10:33:13', '2020-02-03 10:33:13', NULL, '2020-02-03', 5, 5, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 127.83000000, 0.00000000, 0.00000000, 639.16000000, 766.99000000, '', '<br />\r\nLivraison :<br />\r\nEIFFAGE ROUTE CENTRE EST<br />\r\nETABLISSEMENT ISARDROME<br />\r\nParc d\'activité Les Léonards<br />\r\nChemin les Léonards<br />\r\n26200 MONTELIMAR<br />\r\ntel : (0)4 78 03 64 86<br />\r\nCONTACT MR DELEBREU', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 639.16000000, 127.83000000, 766.99000000, NULL),
(1438, 'CF2002-1365', 1, NULL, '', 2635, NULL, '2020-02-12 13:22:42', '2020-02-03 15:34:40', '2020-02-03 15:37:08', '2020-02-03 15:37:08', NULL, '2020-02-03', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 16.64000000, 0.00000000, 0.00000000, 83.20000000, 99.84000000, '', '', 'muscadet', NULL, NULL, 9, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 83.20000000, 16.64000000, 99.84000000, NULL),
(1439, 'CF2002-1366', 1, NULL, '', 2673, NULL, '2020-02-24 09:18:58', '2020-02-04 09:04:46', '2020-02-04 09:39:06', '2020-02-04 09:39:06', NULL, '2020-02-04', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 140.26000000, 0.00000000, 0.00000000, 700.19000000, 841.56000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 700.19000000, 140.04000000, 840.23000000, NULL),
(1440, 'CF2002-1367', 1, NULL, '', 2740, NULL, '2020-07-20 13:15:04', '2020-02-04 10:20:09', '2020-02-04 10:20:44', '2020-02-04 10:20:45', NULL, '2020-02-04', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 139.60000000, 0.00000000, 0.00000000, 698.00000000, 837.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 698.00000000, 139.60000000, 837.60000000, NULL),
(1441, 'CF2002-1368', 1, NULL, '', 1948, NULL, '2020-08-07 14:09:19', '2020-02-04 10:46:01', '2020-02-04 10:46:19', '2020-02-04 10:46:19', NULL, '2020-02-04', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 13.86000000, 0.00000000, 0.00000000, 69.30000000, 83.16000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 69.30000000, 13.86000000, 83.16000000, NULL),
(1442, 'CF2003-1427', 1, NULL, '', 2050, NULL, '2020-08-12 13:16:14', '2020-02-06 11:58:55', '2020-03-05 09:04:20', '2020-03-05 09:04:20', NULL, '2020-03-05', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 114.77000000, 0.00000000, 0.00000000, 573.84000000, 688.61000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 573.84000000, 114.77000000, 688.61000000, NULL),
(1443, 'CF2002-1369', 1, NULL, '', 2740, NULL, '2020-02-10 10:21:54', '2020-02-06 11:58:55', '2020-02-06 11:59:36', '2020-02-06 11:59:36', NULL, '2020-02-06', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 29.89000000, 0.00000000, 0.00000000, 149.45000000, 179.34000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 149.45000000, 29.89000000, 179.34000000, NULL),
(1444, 'CF2002-1370', 1, NULL, '', 2740, NULL, '2020-02-07 10:45:30', '2020-02-06 14:13:43', '2020-02-06 14:14:00', '2020-02-06 14:14:00', NULL, NULL, 5, 5, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 4.20000000, 0.00000000, 0.00000000, 21.00000000, 25.20000000, '', '<p>Cuve :</p>\r\n\r\n<p>CORDIVARI  </p>\r\n\r\n<p>Capacité 500l</p>\r\n\r\n<p>N° de fabrication 80515</p>\r\n', 'muscadet', NULL, NULL, 3, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 21.00000000, 4.20000000, 25.20000000, NULL),
(1445, 'CF2002-1371', 1, NULL, '', 2652, NULL, '2020-07-21 14:12:00', '2020-02-06 14:22:33', '2020-02-06 14:25:04', '2020-02-06 14:25:04', NULL, '2020-02-06', 5, 5, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 298.56000000, 0.00000000, 0.00000000, 1492.81000000, 1791.37000000, '', 'selon op : DE200205001468<br />\r\n ', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1492.81000000, 298.56000000, 1791.37000000, NULL),
(1446, 'CF2002-1373', 1, NULL, '', 2764, NULL, '2020-02-24 13:47:56', '2020-02-10 12:00:32', '2020-02-10 12:03:34', '2020-02-10 12:03:34', NULL, '2020-02-10', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 5.17000000, 0.00000000, 0.00000000, 25.86000000, 31.03000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 25.86000000, 5.17000000, 31.03000000, NULL),
(1447, 'CF2002-1372', 1, NULL, '', 1948, NULL, '2020-03-04 15:51:51', '2020-02-10 12:00:32', '2020-02-10 12:01:11', '2020-02-10 12:01:11', NULL, '2020-02-10', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 48.44000000, 0.00000000, 0.00000000, 242.20000000, 290.64000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 242.20000000, 48.44000000, 290.64000000, NULL),
(1448, 'CF2002-1374', 1, NULL, '', 2609, NULL, '2020-07-21 13:51:48', '2020-02-10 14:15:43', '2020-02-10 14:26:31', '2020-02-10 14:26:32', NULL, '2020-02-10', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 272.20000000, 0.00000000, 0.00000000, 1360.98000000, 1633.18000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1360.98000000, 272.20000000, 1633.18000000, NULL),
(1449, 'CF2002-1375', 1, NULL, '', 2050, NULL, '2020-02-12 13:32:40', '2020-02-10 14:45:23', '2020-02-10 14:45:43', '2020-02-10 14:45:43', NULL, '2020-02-10', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 59.00000000, 0.00000000, 0.00000000, 295.00000000, 354.00000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 295.00000000, 59.00000000, 354.00000000, NULL),
(1450, 'CF2002-1376', 1, NULL, '', 2050, NULL, '2020-02-12 10:52:09', '2020-02-10 16:13:53', '2020-02-10 16:14:16', '2020-02-10 16:14:16', NULL, '2020-02-10', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 258.20000000, 0.00000000, 0.00000000, 1290.98000000, 1549.18000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1290.98000000, 258.20000000, 1549.18000000, NULL),
(1451, 'CF2002-1377', 1, NULL, '', 2652, NULL, '2020-08-07 14:08:09', '2020-02-11 09:06:42', '2020-02-11 09:14:29', '2020-02-11 09:14:29', NULL, '2020-02-11', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 131.61000000, 0.00000000, 0.00000000, 658.05000000, 789.66000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 658.05000000, 131.61000000, 789.66000000, NULL),
(1452, 'CF2002-1378', 1, NULL, '', 1948, NULL, '2020-02-21 08:04:23', '2020-02-12 11:07:10', '2020-02-12 11:07:22', '2020-02-12 11:07:22', NULL, '2020-02-12', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 6.40000000, 0.00000000, 0.00000000, 32.00000000, 38.40000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 32.00000000, 6.40000000, 38.40000000, NULL),
(1453, 'CF2002-1391', 1, NULL, '', 2764, NULL, '2020-03-09 09:56:28', '2020-02-12 15:30:06', '2020-02-20 11:00:12', '2020-02-20 11:00:12', NULL, '2020-02-20', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 7.85000000, 0.00000000, 0.00000000, 39.22000000, 47.07000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 39.22000000, 7.85000000, 47.07000000, NULL),
(1454, 'CF2002-1379', 1, NULL, '', 1948, NULL, '2020-02-21 08:04:47', '2020-02-12 15:30:06', '2020-02-12 15:30:41', '2020-02-12 15:30:41', NULL, '2020-02-12', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 20.52000000, 0.00000000, 0.00000000, 102.60000000, 123.12000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 102.60000000, 20.52000000, 123.12000000, NULL),
(1455, 'CF2002-1380', 1, NULL, '', 2707, NULL, '2020-02-24 13:51:05', '2020-02-13 15:13:03', '2020-02-13 15:13:47', '2020-02-13 15:13:47', NULL, '2020-02-13', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 93.40000000, 0.00000000, 0.00000000, 467.00000000, 560.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 467.00000000, 93.40000000, 560.40000000, NULL),
(1456, 'CF2002-1388', 1, NULL, '', 1948, NULL, '2020-02-21 08:02:42', '2020-02-14 09:52:41', '2020-02-19 09:29:05', '2020-02-19 09:29:05', NULL, '2020-02-19', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 15.80000000, 0.00000000, 0.00000000, 79.00000000, 94.80000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 79.00000000, 15.80000000, 94.80000000, NULL),
(1457, 'CF2002-1381', 1, NULL, '', 1948, NULL, '2020-03-18 07:54:13', '2020-02-14 09:52:42', '2020-02-14 09:53:00', '2020-02-14 09:53:00', NULL, '2020-02-14', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 9.72000000, 0.00000000, 0.00000000, 48.62000000, 58.34000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 48.62000000, 9.72000000, 58.34000000, NULL),
(1458, 'CF2002-1382', 1, NULL, '', 2719, NULL, '2020-02-24 14:27:49', '2020-02-14 15:29:40', '2020-02-14 15:30:36', '2020-02-14 15:30:36', NULL, '2020-02-14', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 15.23000000, 0.00000000, 0.00000000, 76.16000000, 91.39000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 76.16000000, 15.23000000, 91.39000000, NULL),
(1459, 'CF2002-1383', 1, NULL, '', 2652, NULL, '2020-08-07 14:07:53', '2020-02-17 11:29:01', '2020-02-17 11:30:34', '2020-02-17 11:30:34', NULL, '2020-02-17', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 213.12000000, 0.00000000, 0.00000000, 1065.60000000, 1278.72000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1065.60000000, 213.12000000, 1278.72000000, NULL),
(1460, 'CF2002-1385', 1, NULL, '', 2673, NULL, '2020-08-12 13:14:11', '2020-02-18 12:08:46', '2020-02-18 12:09:27', '2020-02-18 12:09:27', NULL, '2020-02-18', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 26.32000000, 0.00000000, 0.00000000, 131.52000000, 157.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 131.52000000, 26.32000000, 157.84000000, NULL),
(1461, 'CF2002-1386', 1, NULL, '', 2050, NULL, '2020-08-12 13:14:31', '2020-02-19 09:23:49', '2020-02-19 09:24:40', '2020-02-19 09:24:40', NULL, '2020-02-19', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 92.40000000, 0.00000000, 0.00000000, 462.00000000, 554.40000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 462.00000000, 92.40000000, 554.40000000, NULL),
(1462, 'CF2002-1387', 1, NULL, '', 2627, NULL, '2020-02-24 13:45:55', '2020-02-19 09:25:36', '2020-02-19 09:26:17', '2020-02-19 09:26:17', NULL, '2020-02-19', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 67.70000000, 0.00000000, 0.00000000, 338.52000000, 406.22000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 338.52000000, 67.70000000, 406.22000000, NULL),
(1463, 'CF2002-1389', 1, NULL, '', 1948, NULL, '2020-03-20 14:30:51', '2020-02-20 09:32:54', '2020-02-20 09:33:54', '2020-02-20 09:33:54', NULL, '2020-02-20', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 33.45000000, 0.00000000, 0.00000000, 167.25000000, 200.70000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 167.25000000, 33.45000000, 200.70000000, NULL),
(1464, 'CF2002-1390', 1, NULL, '', 2729, NULL, '2020-03-04 15:25:33', '2020-02-20 09:48:11', '2020-02-20 09:49:36', '2020-02-20 09:49:37', NULL, '2020-02-20', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 46.78000000, 0.00000000, 0.00000000, 284.28000000, 331.06000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 284.28000000, 46.78000000, 331.06000000, NULL),
(1465, 'CF2002-1392', 1, NULL, '', 2729, NULL, '2020-04-15 13:28:17', '2020-02-21 09:09:15', '2020-02-21 09:09:34', '2020-02-21 09:09:34', NULL, '2020-02-21', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 886.32000000, 0.00000000, 0.00000000, 4431.58000000, 5317.90000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4431.58000000, 886.32000000, 5317.90000000, NULL),
(1466, 'CF2002-1393', 1, NULL, '', 1948, NULL, '2020-03-04 15:52:34', '2020-02-21 14:36:01', '2020-02-21 14:36:31', '2020-02-21 14:36:31', NULL, '2020-02-21', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 5.60000000, 0.00000000, 0.00000000, 28.00000000, 33.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 28.00000000, 5.60000000, 33.60000000, NULL),
(1467, 'CF2002-1394', 1, NULL, '', 2609, NULL, '2020-02-25 13:24:42', '2020-02-24 09:02:09', '2020-02-24 09:03:36', '2020-02-24 09:03:36', NULL, '2020-02-24', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 63.53000000, 0.00000000, 0.00000000, 317.66000000, 381.19000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 317.66000000, 63.53000000, 381.19000000, NULL),
(1468, 'CF2002-1400', 1, NULL, '', 2764, NULL, '2020-04-10 12:20:02', '2020-02-24 09:23:03', '2020-02-26 14:43:34', '2020-02-26 14:43:34', NULL, '2020-02-26', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 6.50000000, 0.00000000, 0.00000000, 32.52000000, 39.02000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 32.52000000, 6.50000000, 39.02000000, NULL),
(1469, 'CF2003-1420', 1, NULL, '', 2729, NULL, '2020-03-26 14:29:44', '2020-02-24 09:23:03', '2020-03-04 14:34:20', '2020-03-04 14:34:20', NULL, '2020-03-04', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 15.13000000, 0.00000000, 0.00000000, 154.04000000, 169.17000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 154.04000000, 15.13000000, 169.17000000, NULL),
(1470, 'CF2002-1395', 1, NULL, '', 2050, NULL, '2020-08-12 13:14:45', '2020-02-24 14:41:25', '2020-02-24 14:41:48', '2020-02-24 14:41:48', NULL, '2020-02-24', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 73.60000000, 0.00000000, 0.00000000, 368.00000000, 441.60000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 368.00000000, 73.60000000, 441.60000000, NULL),
(1471, 'CF2002-1396', 1, NULL, '', 1948, NULL, '2020-03-04 15:52:57', '2020-02-24 15:43:04', '2020-02-24 15:43:30', '2020-02-24 15:43:30', NULL, '2020-03-04', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 15.19000000, 0.00000000, 0.00000000, 75.95000000, 91.14000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 75.95000000, 15.19000000, 91.14000000, NULL),
(1472, 'CF2002-1397', 1, NULL, '', 2627, NULL, '2020-03-04 15:23:36', '2020-02-24 15:51:01', '2020-02-24 15:53:01', '2020-02-24 15:53:01', NULL, '2020-02-24', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 95.72000000, 0.00000000, 0.00000000, 478.64000000, 574.36000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 478.64000000, 95.72000000, 574.36000000, NULL),
(1473, 'CF2002-1398', 1, NULL, '', 1948, NULL, '2020-03-04 15:53:49', '2020-02-25 14:55:42', '2020-02-25 14:56:28', '2020-02-25 14:56:28', NULL, '2020-02-25', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 2.00000000, 0.00000000, 0.00000000, 10.00000000, 12.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 10.00000000, 2.00000000, 12.00000000, NULL),
(1474, 'CF2002-1399', 1, NULL, '', 1948, NULL, '2020-07-21 14:07:49', '2020-02-25 16:55:36', '2020-02-25 16:56:26', '2020-02-25 16:56:26', NULL, '2020-02-25', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 19.14000000, 0.00000000, 0.00000000, 95.67000000, 114.81000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 95.67000000, 19.14000000, 114.81000000, NULL),
(1475, 'CF2002-1401', 1, NULL, '', 1948, NULL, '2020-03-04 15:54:37', '2020-02-26 14:43:04', '2020-02-26 14:44:50', '2020-02-26 14:44:50', NULL, '2020-02-26', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 22.00000000, 0.00000000, 0.00000000, 110.00000000, 132.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 110.00000000, 22.00000000, 132.00000000, NULL),
(1476, 'CF2002-1403', 1, NULL, '', 2750, NULL, '2020-03-03 13:16:30', '2020-02-27 09:15:18', '2020-02-27 10:39:05', '2020-02-27 10:39:05', NULL, '2020-03-03', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 73.17000000, 0.00000000, 0.00000000, 365.85000000, 439.02000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 365.85000000, 73.17000000, 439.02000000, NULL),
(1477, 'CF2002-1402', 1, NULL, '', 2764, NULL, '2020-03-09 09:54:21', '2020-02-27 10:35:37', '2020-02-27 10:36:20', '2020-02-27 10:36:20', NULL, '2020-02-27', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 4.52000000, 0.00000000, 0.00000000, 22.58000000, 27.10000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 22.58000000, 4.52000000, 27.10000000, NULL),
(1478, 'CF2002-1404', 1, NULL, '', 1948, NULL, '2020-08-12 13:14:56', '2020-02-27 14:22:29', '2020-02-27 14:23:12', '2020-02-27 14:23:12', NULL, '2020-02-27', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 27.37000000, 0.00000000, 0.00000000, 136.84000000, 164.21000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 136.84000000, 27.37000000, 164.21000000, NULL),
(1479, 'CF2002-1405', 1, NULL, '', 1948, NULL, '2020-08-12 13:15:12', '2020-02-27 16:13:36', '2020-02-27 16:14:13', '2020-02-27 16:14:13', NULL, '2020-02-27', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 38.90000000, 0.00000000, 0.00000000, 194.50000000, 233.40000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 194.50000000, 38.90000000, 233.40000000, NULL),
(1480, 'CF2002-1406', 1, NULL, '', 1948, NULL, '2020-03-18 07:54:59', '2020-02-27 16:27:20', '2020-02-27 16:28:05', '2020-02-27 16:28:05', NULL, '2020-02-27', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 6.47000000, 0.00000000, 0.00000000, 32.34000000, 38.81000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 32.34000000, 6.47000000, 38.81000000, NULL),
(1481, 'CF2002-1407', 1, NULL, '', 2764, NULL, '2020-03-09 09:54:38', '2020-02-28 08:59:35', '2020-02-28 08:59:50', '2020-02-28 08:59:50', NULL, '2020-02-28', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 7.94000000, 0.00000000, 0.00000000, 39.69000000, 47.63000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 39.69000000, 7.94000000, 47.63000000, NULL),
(1482, 'CF2002-1408', 1, NULL, '', 1948, NULL, '2020-08-12 13:15:24', '2020-02-28 09:01:16', '2020-02-28 09:01:31', '2020-02-28 09:01:31', NULL, '2020-02-28', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 33.60000000, 0.00000000, 0.00000000, 168.00000000, 201.60000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 168.00000000, 33.60000000, 201.60000000, NULL),
(1483, 'CF2002-1410', 1, NULL, '', 2609, NULL, '2020-03-09 14:03:34', '2020-02-28 14:32:30', '2020-02-28 14:33:33', '2020-02-28 14:33:33', NULL, '2020-02-28', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 331.27000000, 0.00000000, 0.00000000, 1656.30000000, 1987.57000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1656.30000000, 331.27000000, 1987.57000000, NULL),
(1484, 'CF2002-1409', 1, NULL, '', 2673, NULL, '2020-03-04 15:38:21', '2020-02-28 14:32:30', '2020-02-28 14:32:54', '2020-02-28 14:32:54', NULL, '2020-02-28', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 79.88000000, 0.00000000, 0.00000000, 399.30000000, 479.28000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 399.30000000, 79.86000000, 479.16000000, NULL),
(1485, 'CF2002-1411', 1, NULL, '', 2050, NULL, '2020-03-09 14:00:43', '2020-02-28 15:23:52', '2020-02-28 15:24:29', '2020-02-28 15:24:29', NULL, '2020-02-28', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 257.66000000, 0.00000000, 0.00000000, 1288.30000000, 1545.96000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1288.30000000, 257.66000000, 1545.96000000, NULL),
(1486, 'CF2002-1412', 1, NULL, '', 2764, NULL, '2020-03-09 09:54:02', '2020-02-28 15:33:11', '2020-02-28 15:33:26', '2020-02-28 15:33:26', NULL, '2020-02-28', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 9.03000000, 0.00000000, 0.00000000, 45.16000000, 54.19000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 45.16000000, 9.03000000, 54.19000000, NULL),
(1487, 'CF2002-1413', 1, NULL, '', 2050, NULL, '2020-03-05 15:12:52', '2020-02-28 15:36:39', '2020-02-28 15:37:16', '2020-02-28 15:37:16', NULL, '2020-02-28', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 107.00000000, 0.00000000, 0.00000000, 535.00000000, 642.00000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 535.00000000, 107.00000000, 642.00000000, NULL),
(1488, 'CF2002-1414', 1, NULL, '', 2050, NULL, '2020-03-09 14:01:02', '2020-02-28 15:38:12', '2020-02-28 15:38:25', '2020-02-28 15:38:25', NULL, '2020-02-28', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 68.00000000, 0.00000000, 0.00000000, 340.00000000, 408.00000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 340.00000000, 68.00000000, 408.00000000, NULL),
(1489, 'CF2003-1416', 1, NULL, '', 2673, NULL, '2020-03-04 15:38:45', '2020-03-02 16:40:59', '2020-03-02 16:46:57', '2020-03-02 16:46:57', NULL, '2020-03-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 32.65000000, 0.00000000, 0.00000000, 162.94000000, 195.92000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 162.94000000, 32.59000000, 195.53000000, NULL),
(1490, 'CF2003-1415', 1, NULL, '', 2609, NULL, '2020-03-09 14:03:58', '2020-03-02 16:40:59', '2020-03-02 16:41:20', '2020-03-02 16:41:20', NULL, '2020-03-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 206.51000000, 0.00000000, 0.00000000, 1032.54000000, 1239.05000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1032.54000000, 206.51000000, 1239.05000000, NULL),
(1491, 'CF2003-1417', 1, NULL, '', 1948, NULL, '2020-03-20 14:31:15', '2020-03-03 16:25:22', '2020-03-03 16:28:07', '2020-03-03 16:28:07', NULL, '2020-03-03', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 132.32000000, 0.00000000, 0.00000000, 661.60000000, 793.92000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 661.60000000, 132.32000000, 793.92000000, NULL),
(1492, 'CF2003-1444', 1, NULL, '', 2764, NULL, '2020-04-10 12:18:27', '2020-03-04 11:11:06', '2020-03-19 11:46:59', '2020-03-19 11:46:59', NULL, '2020-03-19', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 16.69000000, 0.00000000, 0.00000000, 83.43000000, 100.12000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 83.43000000, 16.69000000, 100.12000000, NULL),
(1493, 'CF2003-1418', 1, NULL, '', 1948, NULL, '2020-03-12 08:53:39', '2020-03-04 11:58:28', '2020-03-04 11:58:49', '2020-03-04 11:58:49', NULL, '2020-03-04', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 10.26000000, 0.00000000, 0.00000000, 51.30000000, 61.56000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 51.30000000, 10.26000000, 61.56000000, NULL),
(1494, 'CF2003-1419', 1, NULL, '', 10086, NULL, '2020-08-12 13:15:39', '2020-03-04 14:21:58', '2020-03-04 14:22:39', '2020-03-04 14:22:39', NULL, '2020-03-04', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 7.18000000, 0.00000000, 0.00000000, 35.88000000, 43.06000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 35.88000000, 7.18000000, 43.06000000, NULL),
(1495, 'CF2003-1421', 1, NULL, '', 2725, NULL, '2020-07-21 14:09:01', '2020-03-04 14:56:03', '2020-03-04 14:57:22', '2020-03-04 14:57:22', NULL, '2020-03-04', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 282.03000000, 0.00000000, 0.00000000, 1410.14000000, 1692.17000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1410.14000000, 282.03000000, 1692.17000000, NULL),
(1496, 'CF2003-1422', 1, NULL, '', 2729, NULL, '2020-08-12 13:15:50', '2020-03-04 15:15:20', '2020-03-04 15:15:42', '2020-03-04 15:15:42', NULL, '2020-03-04', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 54.88000000, 0.00000000, 0.00000000, 274.40000000, 329.28000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 274.40000000, 54.88000000, 329.28000000, NULL),
(1497, 'CF2003-1423', 1, NULL, '', 2050, NULL, '2020-08-12 13:16:00', '2020-03-04 15:19:36', '2020-03-04 15:23:23', '2020-03-04 15:23:23', NULL, '2020-03-04', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 58.40000000, 0.00000000, 0.00000000, 292.00000000, 350.40000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 292.00000000, 58.40000000, 350.40000000, NULL),
(1498, 'CF2003-1424', 1, NULL, '', 1948, NULL, '2020-03-18 07:55:54', '2020-03-04 15:49:32', '2020-03-04 15:50:02', '2020-03-04 15:50:03', NULL, '2020-03-04', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 38.90000000, 0.00000000, 0.00000000, 194.50000000, 233.40000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 194.50000000, 38.90000000, 233.40000000, NULL),
(1499, 'CF2003-1426', 1, NULL, '', 2729, NULL, '2020-08-12 13:16:30', '2020-03-04 16:09:13', '2020-03-04 16:11:53', '2020-03-04 16:11:53', NULL, '2020-03-04', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 36.85000000, 0.00000000, 0.00000000, 184.26000000, 221.11000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 184.26000000, 36.85000000, 221.11000000, NULL),
(1500, 'CF2003-1425', 1, NULL, '', 1948, NULL, '2020-03-12 08:54:35', '2020-03-04 16:09:13', '2020-03-04 16:09:37', '2020-03-04 16:09:37', NULL, '2020-03-04', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 7.46000000, 0.00000000, 0.00000000, 37.30000000, 44.76000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 37.30000000, 7.46000000, 44.76000000, NULL),
(1501, 'CF2003-1432', 1, NULL, '', 2050, NULL, '2020-03-27 08:07:54', '2020-03-04 16:56:03', '2020-03-11 14:33:19', '2020-03-11 14:33:19', NULL, '2020-03-11', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 339.00000000, 0.00000000, 0.00000000, 1695.00000000, 2034.00000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1695.00000000, 339.00000000, 2034.00000000, NULL),
(1502, 'CF2003-1428', 1, NULL, '', 2729, NULL, '2020-03-11 14:04:27', '2020-03-05 15:46:08', '2020-03-05 15:46:54', '2020-03-05 15:46:54', NULL, '2020-03-05', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 273.00000000, 273.00000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 273.00000000, 0.00000000, 273.00000000, NULL),
(1503, 'CF2003-1429', 1, NULL, '', 2050, NULL, '2020-03-27 08:06:13', '2020-03-09 15:36:07', '2020-03-09 15:36:26', '2020-03-09 15:36:26', NULL, '2020-03-09', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 70.40000000, 0.00000000, 0.00000000, 352.00000000, 422.40000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 352.00000000, 70.40000000, 422.40000000, NULL),
(1504, 'CF2003-1430', 1, NULL, '', 2609, NULL, '2020-03-31 14:28:27', '2020-03-10 09:05:05', '2020-03-10 09:09:49', '2020-03-10 09:09:49', NULL, '2020-03-10', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 84.52000000, 0.00000000, 0.00000000, 422.60000000, 507.12000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 422.60000000, 84.52000000, 507.12000000, NULL),
(1505, 'CF2003-1433', 1, NULL, '', 1948, NULL, '2020-03-18 08:04:46', '2020-03-10 11:33:46', '2020-03-11 14:39:11', '2020-03-11 14:39:11', NULL, '2020-03-11', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 97.53000000, 0.00000000, 0.00000000, 487.64000000, 585.17000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 487.64000000, 97.53000000, 585.17000000, NULL),
(1506, 'CF2003-1431', 1, NULL, '', 2642, NULL, '2020-04-28 12:09:17', '2020-03-10 16:50:06', '2020-03-10 16:50:53', '2020-03-10 16:50:53', NULL, '2020-04-28', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 4.50000000, 0.00000000, 0.00000000, 22.52000000, 27.02000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 22.52000000, 4.50000000, 27.02000000, NULL),
(1507, 'CF2003-1434', 1, NULL, '', 2642, NULL, '2020-04-16 08:56:25', '2020-03-12 09:07:04', '2020-03-12 09:08:18', '2020-03-12 09:08:18', NULL, '2020-03-12', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 33.88000000, 0.00000000, 0.00000000, 169.40000000, 203.28000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 169.40000000, 33.88000000, 203.28000000, NULL),
(1508, 'CF2003-1435', 1, NULL, '', 1948, NULL, '2020-03-18 08:05:14', '2020-03-12 09:07:04', '2020-03-12 09:12:00', '2020-03-12 09:12:00', NULL, '2020-03-12', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 47.02000000, 0.00000000, 0.00000000, 235.11000000, 282.13000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 235.11000000, 47.02000000, 282.13000000, NULL);
INSERT INTO `llx_commande_fournisseur` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_supplier`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_approve`, `date_approve2`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_approve`, `fk_user_approve2`, `source`, `fk_statut`, `billed`, `amount_ht`, `remise_percent`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `date_livraison`, `fk_account`, `fk_cond_reglement`, `fk_mode_reglement`, `fk_input_method`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`) VALUES
(1509, 'CF2003-1436', 1, NULL, '', 1948, NULL, '2020-03-18 08:05:41', '2020-03-12 10:59:19', '2020-03-12 10:59:48', '2020-03-12 10:59:48', NULL, '2020-03-12', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 2.60000000, 0.00000000, 0.00000000, 13.00000000, 15.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 13.00000000, 2.60000000, 15.60000000, NULL),
(1510, 'CF2003-1437', 1, NULL, '', 2652, NULL, '2020-07-20 08:53:01', '2020-03-12 14:41:40', '2020-03-12 14:44:47', '2020-03-12 14:44:47', NULL, '2020-07-20', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 0.20000000, 0.00000000, 0.00000000, 1.00000000, 1.20000000, '', 'exsto', 'muscadet', NULL, NULL, 16, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1.00000000, 0.20000000, 1.20000000, NULL),
(1511, 'CF2003-1438', 1, NULL, '', 1948, NULL, '2020-03-18 08:06:01', '2020-03-12 15:50:09', '2020-03-12 15:50:46', '2020-03-12 15:50:46', NULL, '2020-03-12', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 15.60000000, 0.00000000, 0.00000000, 78.00000000, 93.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 78.00000000, 15.60000000, 93.60000000, NULL),
(1512, 'CF2003-1439', 1, NULL, '', 1948, NULL, '2020-03-20 14:32:32', '2020-03-13 14:20:09', '2020-03-13 14:20:40', '2020-03-13 14:20:41', NULL, '2020-03-13', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 229.40000000, 0.00000000, 0.00000000, 1147.00000000, 1376.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1147.00000000, 229.40000000, 1376.40000000, NULL),
(1513, 'CF2003-1440', 1, NULL, '', 2050, NULL, '2020-08-07 14:05:45', '2020-03-17 10:11:42', '2020-03-17 10:13:31', '2020-03-17 10:13:31', NULL, '2020-03-17', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 147.65000000, 0.00000000, 0.00000000, 738.24000000, 885.89000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 738.24000000, 147.65000000, 885.89000000, NULL),
(1514, 'CF2003-1441', 1, NULL, '', 2609, NULL, '2020-03-26 10:09:06', '2020-03-18 15:30:07', '2020-03-18 15:30:26', '2020-03-18 15:30:26', NULL, '2020-03-18', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 21.14000000, 0.00000000, 0.00000000, 105.69000000, 126.83000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 105.69000000, 21.14000000, 126.83000000, NULL),
(1515, 'CF2003-1442', 1, NULL, '', 2642, NULL, '2020-04-06 07:02:45', '2020-03-19 09:40:00', '2020-03-19 09:40:19', '2020-03-19 09:40:19', NULL, '2020-03-19', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 78.80000000, 0.00000000, 0.00000000, 394.03000000, 472.83000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 394.03000000, 78.80000000, 472.83000000, NULL),
(1516, 'CF2003-1443', 1, NULL, '', 1948, NULL, '2020-08-12 13:16:41', '2020-03-19 11:45:49', '2020-03-19 11:46:12', '2020-03-19 11:46:12', NULL, '2020-03-19', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 10.80000000, 0.00000000, 0.00000000, 54.00000000, 64.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 54.00000000, 10.80000000, 64.80000000, NULL),
(1518, 'CF2003-1445', 1, NULL, '', 2738, NULL, '2020-08-12 13:17:20', '2020-03-20 15:34:16', '2020-03-20 15:35:56', '2020-03-20 15:35:56', NULL, '2020-03-20', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 230.42000000, 0.00000000, 0.00000000, 1152.08000000, 1382.50000000, '', 'suivant offre o1918935', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1152.08000000, 230.42000000, 1382.50000000, NULL),
(1519, 'CF2003-1446', 1, NULL, '', 2740, NULL, '2020-08-12 13:16:52', '2020-03-24 14:39:04', '2020-03-24 14:39:46', '2020-03-24 14:39:46', NULL, '2020-03-24', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 79.90000000, 0.00000000, 0.00000000, 399.50000000, 479.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 399.50000000, 79.90000000, 479.40000000, NULL),
(1520, 'CF2003-1447', 1, NULL, '', 2673, NULL, '2020-03-31 14:29:21', '2020-03-24 14:39:05', '2020-03-24 14:41:19', '2020-03-24 14:41:19', NULL, '2020-03-24', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 8.87000000, 0.00000000, 0.00000000, 44.36000000, 53.23000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 44.36000000, 8.88000000, 53.24000000, NULL),
(1521, 'CF2003-1448', 1, NULL, '', 2050, NULL, '2020-08-07 14:06:57', '2020-03-26 11:18:08', '2020-03-26 11:23:17', '2020-03-26 11:23:17', NULL, '2020-03-26', 5, 5, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 205.85000000, 0.00000000, 0.00000000, 1029.23000000, 1235.08000000, '', 'Livraison COOPERATIVE LA DAUPHINOISE<br />\r\nService Maintenance<br />\r\nChemin du Pouloux<br />\r\n38270 BEAUREPAIRE<br />\r\nMonsieur MOUTON<br />\r\n06 87 85 33 79', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1029.23000000, 205.85000000, 1235.08000000, NULL),
(1522, 'CF2003-1449', 1, NULL, '', 2050, NULL, '2020-08-12 13:17:41', '2020-03-26 11:25:11', '2020-03-26 11:26:24', '2020-03-26 11:26:25', NULL, '2020-03-26', 5, 5, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 244.04000000, 0.00000000, 0.00000000, 1220.21000000, 1464.25000000, '', 'Livraison COOPERATIVE LA DAUPHINOISE<br />\r\nVALENCE CEREALES<br />\r\nLes Rebatieres<br />\r\n26760 MONTELEGER<br />\r\nMonsieur DUCROS<br />\r\n0475572433 // 0609841344', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1220.21000000, 244.04000000, 1464.25000000, NULL),
(1523, 'CF2003-1450', 1, NULL, '', 1948, NULL, '2020-05-25 09:31:35', '2020-03-27 10:28:41', '2020-03-27 10:29:56', '2020-03-27 10:29:56', NULL, '2020-03-27', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 65.94000000, 0.00000000, 0.00000000, 329.70000000, 395.64000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 329.70000000, 65.94000000, 395.64000000, NULL),
(1524, 'CF2003-1452', 1, NULL, '', 2764, NULL, '2020-07-20 13:05:59', '2020-03-27 11:40:42', '2020-03-27 14:45:07', '2020-03-27 14:45:08', NULL, '2020-03-27', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 7.54000000, 0.00000000, 0.00000000, 37.70000000, 45.24000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 37.70000000, 7.54000000, 45.24000000, NULL),
(1525, 'CF2003-1451', 1, NULL, '', 1948, NULL, '2020-03-31 14:32:07', '2020-03-27 11:40:42', '2020-03-27 11:40:58', '2020-03-27 11:40:59', NULL, '2020-03-27', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 9.00000000, 0.00000000, 0.00000000, 45.00000000, 54.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 45.00000000, 9.00000000, 54.00000000, NULL),
(1526, 'CF2003-1453', 1, NULL, '', 1948, NULL, '2020-04-10 12:14:58', '2020-03-30 11:15:30', '2020-03-30 11:16:04', '2020-03-30 11:16:04', NULL, '2020-03-30', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 33.45000000, 0.00000000, 0.00000000, 167.25000000, 200.70000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 167.25000000, 33.45000000, 200.70000000, NULL),
(1527, 'CF2003-1454', 1, NULL, '', 2050, NULL, '2020-08-12 13:17:51', '2020-03-30 14:20:14', '2020-03-30 14:21:16', '2020-03-30 14:21:16', NULL, '2020-03-30', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 33.59000000, 0.00000000, 0.00000000, 167.96000000, 201.55000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 167.96000000, 33.59000000, 201.55000000, NULL),
(1528, 'CF2004-1475', 1, NULL, '', 2673, NULL, '2020-08-12 13:18:16', '2020-03-30 14:20:14', '2020-04-14 11:29:34', '2020-04-14 11:29:34', NULL, '2020-04-14', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 69.31000000, 0.00000000, 0.00000000, 346.54000000, 415.87000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 346.54000000, 69.30000000, 415.84000000, NULL),
(1530, 'CF2003-1455', 1, NULL, '', 2652, NULL, '2020-07-21 14:12:09', '2020-03-31 09:06:44', '2020-03-31 09:07:01', '2020-03-31 09:07:02', NULL, '2020-03-31', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 110.62000000, 0.00000000, 0.00000000, 553.10000000, 663.72000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 553.10000000, 110.62000000, 663.72000000, NULL),
(1531, 'CF2003-1456', 1, NULL, '', 1948, NULL, '2020-04-28 09:55:18', '2020-03-31 10:39:59', '2020-03-31 10:40:21', '2020-03-31 10:40:21', NULL, '2020-03-31', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 33.60000000, 0.00000000, 0.00000000, 168.00000000, 201.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 168.00000000, 33.60000000, 201.60000000, NULL),
(1532, 'CF2003-1457', 1, NULL, '', 1948, NULL, '2020-04-10 12:16:06', '2020-03-31 10:41:54', '2020-03-31 10:42:34', '2020-03-31 10:42:34', NULL, '2020-03-31', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 7.46000000, 0.00000000, 0.00000000, 37.30000000, 44.76000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 37.30000000, 7.46000000, 44.76000000, NULL),
(1533, 'CF2003-1458', 1, NULL, '', 2050, NULL, '2020-04-15 13:31:13', '2020-03-31 14:19:28', '2020-03-31 14:19:48', '2020-03-31 14:19:49', NULL, '2020-03-31', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 53.40000000, 0.00000000, 0.00000000, 267.00000000, 320.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 267.00000000, 53.40000000, 320.40000000, NULL),
(1534, 'CF2003-1459', 1, NULL, '', 1948, NULL, '2020-04-10 12:16:36', '2020-03-31 15:33:31', '2020-03-31 15:37:41', '2020-03-31 15:37:41', NULL, '2020-03-31', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 22.80000000, 0.00000000, 0.00000000, 114.00000000, 136.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 114.00000000, 22.80000000, 136.80000000, NULL),
(1536, 'CF2003-1460', 1, NULL, '', 2764, NULL, '2020-04-10 12:19:11', '2020-03-31 15:33:31', '2020-03-31 15:38:54', '2020-03-31 15:38:55', NULL, '2020-03-31', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 9.13000000, 0.00000000, 0.00000000, 45.66000000, 54.79000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 45.66000000, 9.13000000, 54.79000000, NULL),
(1538, 'CF2004-1462', 1, NULL, '', 2610, NULL, '2020-08-12 13:18:05', '2020-04-01 14:22:43', '2020-04-01 14:25:29', '2020-04-01 14:25:29', NULL, '2020-04-01', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 67.93000000, 0.00000000, 0.00000000, 339.68000000, 407.61000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 339.68000000, 67.93000000, 407.61000000, NULL),
(1539, 'CF2004-1461', 1, NULL, '', 1948, NULL, '2020-04-10 12:16:57', '2020-04-01 14:22:43', '2020-04-01 14:24:38', '2020-04-01 14:24:38', NULL, '2020-04-01', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 6.00000000, 0.00000000, 0.00000000, 60.00000000, 66.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 60.00000000, 6.00000000, 66.00000000, NULL),
(1540, 'CF2004-1463', 1, NULL, '', 2609, NULL, '2020-04-06 07:01:48', '2020-04-02 09:04:57', '2020-04-02 09:05:41', '2020-04-02 09:05:42', NULL, '2020-04-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 45.20000000, 0.00000000, 0.00000000, 226.00000000, 271.20000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 226.00000000, 45.20000000, 271.20000000, NULL),
(1541, 'CF2004-1464', 1, NULL, '', 1948, NULL, '2020-04-10 12:17:23', '2020-04-06 11:47:06', '2020-04-06 11:52:10', '2020-04-06 11:52:11', NULL, '2020-04-06', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 38.61000000, 0.00000000, 0.00000000, 193.05000000, 231.66000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 193.05000000, 38.61000000, 231.66000000, NULL),
(1542, 'CF2004-1465', 1, NULL, '', 2762, NULL, '2020-04-06 14:21:45', '2020-04-06 16:21:00', '2020-04-06 16:21:45', '2020-04-06 16:21:45', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 57.60000000, 0.00000000, 0.00000000, 288.00000000, 345.60000000, '', '3 cartons de 12 bouteilles d&#39;un litre', 'muscadet', NULL, NULL, 16, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 288.00000000, 57.60000000, 345.60000000, NULL),
(1543, 'CF2004-1466', 1, NULL, '', 2762, NULL, '2020-04-07 14:32:33', '2020-04-07 16:31:44', '2020-04-07 16:32:33', '2020-04-07 16:32:33', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 192.00000000, 0.00000000, 0.00000000, 960.00000000, 1152.00000000, '', '', 'muscadet', NULL, NULL, 3, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 960.00000000, 192.00000000, 1152.00000000, NULL),
(1544, 'CF2004-1467', 1, NULL, '', 1948, NULL, '2020-05-25 09:36:00', '2020-04-08 09:12:48', '2020-04-08 09:21:23', '2020-04-08 09:21:23', NULL, '2020-04-08', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 19.40000000, 0.00000000, 0.00000000, 97.00000000, 116.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 97.00000000, 19.40000000, 116.40000000, NULL),
(1547, 'CF2004-1468', 1, NULL, '', 1948, NULL, '2020-05-25 09:36:35', '2020-04-08 15:27:04', '2020-04-08 15:28:50', '2020-04-08 15:28:50', NULL, '2020-04-08', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 22.00000000, 0.00000000, 0.00000000, 110.00000000, 132.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 110.00000000, 22.00000000, 132.00000000, NULL),
(1548, 'CF2004-1469', 1, NULL, '', 2050, NULL, '2020-04-27 13:46:01', '2020-04-08 15:30:10', '2020-04-08 15:32:09', '2020-04-08 15:32:09', NULL, '2020-04-08', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 178.80000000, 0.00000000, 0.00000000, 894.00000000, 1072.80000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 894.00000000, 178.80000000, 1072.80000000, NULL),
(1549, 'CF2004-1470', 1, NULL, '', 2762, NULL, '2020-04-08 13:37:20', '2020-04-08 15:34:47', '2020-04-08 15:37:20', '2020-04-08 15:37:20', NULL, NULL, 5, 5, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 1024.00000000, 0.00000000, 0.00000000, 5120.00000000, 6144.00000000, '', '1 palette en bidon de 5Litres<br />\r\n<br />\r\nLivraison : <br />\r\n Groupe ESPACS<br />\r\n15 Avenue Joseph Chorier,<br />\r\n26330 Châteauneuf-de-Galaure<br />\r\n<br />\r\nMadame Chazallet <span style=\"color:black\"><a href=\"Tel:06%2070\"><span style=\"color:black\">06 </span></a>60 36 45 46</span>', 'muscadet', NULL, NULL, 3, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5120.00000000, 1024.00000000, 6144.00000000, NULL),
(1550, 'CF2004-1471', 1, NULL, '', 1948, NULL, '2020-05-25 09:36:59', '2020-04-09 09:06:12', '2020-04-09 09:07:18', '2020-04-09 09:07:18', NULL, '2020-04-09', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 64.00000000, 0.00000000, 0.00000000, 320.00000000, 384.00000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 320.00000000, 64.00000000, 384.00000000, NULL),
(1551, 'CF2004-1472', 1, NULL, '', 2050, NULL, '2020-04-27 13:46:29', '2020-04-09 15:09:02', '2020-04-09 15:09:57', '2020-04-09 15:09:57', NULL, '2020-04-09', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 120.00000000, 0.00000000, 0.00000000, 600.00000000, 720.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 600.00000000, 120.00000000, 720.00000000, NULL),
(1552, 'CF2004-1473', 1, NULL, '', 2762, NULL, '2020-04-21 10:17:47', '2020-04-10 10:08:21', '2020-04-10 10:08:42', '2020-04-10 10:08:43', NULL, '2020-04-21', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 160.00000000, 0.00000000, 0.00000000, 800.00000000, 960.00000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 800.00000000, 160.00000000, 960.00000000, NULL),
(1553, 'CF2004-1474', 1, NULL, '', 1948, NULL, '2020-05-25 09:37:17', '2020-04-10 14:25:55', '2020-04-10 14:26:18', '2020-04-10 14:26:19', NULL, '2020-04-10', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 14.92000000, 0.00000000, 0.00000000, 74.60000000, 89.52000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 74.60000000, 14.92000000, 89.52000000, NULL),
(1554, 'CF2004-1476', 1, NULL, '', 1948, NULL, '2020-05-25 09:37:38', '2020-04-14 14:07:20', '2020-04-14 14:08:16', '2020-04-14 14:08:16', NULL, '2020-04-14', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 20.52000000, 0.00000000, 0.00000000, 102.60000000, 123.12000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 102.60000000, 20.52000000, 123.12000000, NULL),
(1555, 'CF2004-1477', 1, NULL, '', 1948, NULL, '2020-05-25 09:38:13', '2020-04-14 15:40:02', '2020-04-14 15:43:40', '2020-04-14 15:43:41', NULL, '2020-04-14', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 110.80000000, 0.00000000, 0.00000000, 554.00000000, 664.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 554.00000000, 110.80000000, 664.80000000, NULL),
(1556, 'CF2004-1482', 1, NULL, '', 2642, NULL, '2020-05-25 09:00:52', '2020-04-14 15:40:02', '2020-04-16 11:39:06', '2020-04-16 11:39:07', NULL, '2020-04-16', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 49.27000000, 0.00000000, 0.00000000, 246.36000000, 295.63000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 246.36000000, 49.27000000, 295.63000000, NULL),
(1558, 'CF2004-1478', 1, NULL, '', 2050, NULL, '2020-04-29 08:57:17', '2020-04-14 16:06:10', '2020-04-14 16:06:45', '2020-04-14 16:06:45', NULL, '2020-04-14', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 296.20000000, 0.00000000, 0.00000000, 1481.00000000, 1777.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1481.00000000, 296.20000000, 1777.20000000, NULL),
(1559, 'CF2004-1479', 1, NULL, '', 1948, NULL, '2020-05-25 09:38:31', '2020-04-15 10:47:15', '2020-04-15 10:47:36', '2020-04-15 10:47:36', NULL, '2020-04-15', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 20.00000000, 0.00000000, 0.00000000, 100.00000000, 120.00000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 100.00000000, 20.00000000, 120.00000000, NULL),
(1560, 'CF2004-1480', 1, NULL, '', 1948, NULL, '2020-05-25 09:39:24', '2020-04-15 10:54:08', '2020-04-15 10:56:31', '2020-04-15 10:56:31', NULL, '2020-04-15', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 83.71000000, 0.00000000, 0.00000000, 418.55000000, 502.26000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 418.55000000, 83.71000000, 502.26000000, NULL),
(1561, 'CF2004-1481', 1, NULL, '', 2050, NULL, '2020-04-15 09:53:43', '2020-04-15 11:36:38', '2020-04-15 11:53:43', '2020-04-15 11:53:43', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 155.05000000, 0.00000000, 0.00000000, 775.27000000, 930.32000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 775.27000000, 155.05000000, 930.32000000, NULL),
(1562, 'CF2004-1483', 1, NULL, '', 2673, NULL, '2020-04-27 07:20:18', '2020-04-15 15:24:45', '2020-04-17 10:50:20', '2020-04-17 10:50:20', NULL, '2020-04-17', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 113.56000000, 0.00000000, 0.00000000, 567.66000000, 681.37000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 567.66000000, 113.53000000, 681.19000000, NULL),
(1563, 'CF2004-1484', 1, NULL, '', 2609, NULL, '2020-04-27 07:19:27', '2020-04-17 10:50:59', '2020-04-17 10:51:23', '2020-04-17 10:51:23', NULL, '2020-04-17', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 115.14000000, 0.00000000, 0.00000000, 575.70000000, 690.84000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 575.70000000, 115.14000000, 690.84000000, NULL),
(1564, 'CF2004-1485', 1, NULL, '', 2642, NULL, '2020-05-25 09:01:12', '2020-04-17 14:48:08', '2020-04-17 14:48:29', '2020-04-17 14:48:29', NULL, '2020-04-17', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 58.02000000, 0.00000000, 0.00000000, 290.10000000, 348.12000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.10000000, 58.02000000, 348.12000000, NULL),
(1565, 'CF2004-1486', 1, NULL, '', 2685, NULL, '2020-04-17 13:43:51', '2020-04-17 15:40:28', '2020-04-17 15:40:59', '2020-04-17 15:40:59', NULL, '2020-04-17', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 145.06000000, 0.00000000, 0.00000000, 725.28000000, 870.34000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 725.28000000, 145.06000000, 870.34000000, NULL),
(1566, 'CF2004-1487', 1, NULL, '', 2050, NULL, '2020-05-25 09:42:08', '2020-04-20 09:13:42', '2020-04-20 09:21:23', '2020-04-20 09:21:23', NULL, '2020-04-20', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 875.37000000, 0.00000000, 0.00000000, 4376.85000000, 5252.22000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4376.85000000, 875.37000000, 5252.22000000, NULL),
(1567, 'CF2004-1488', 1, NULL, '', 2729, NULL, '2020-04-24 12:18:18', '2020-04-20 11:37:27', '2020-04-20 11:38:20', '2020-04-20 11:38:20', NULL, '2020-04-20', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 30.10000000, 0.00000000, 0.00000000, 150.50000000, 180.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 150.50000000, 30.10000000, 180.60000000, NULL),
(1568, 'CF2004-1489', 1, NULL, '', 1948, NULL, '2020-05-25 09:39:45', '2020-04-20 11:37:27', '2020-04-20 11:39:44', '2020-04-20 11:39:44', NULL, '2020-04-20', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 30.78000000, 0.00000000, 0.00000000, 153.90000000, 184.68000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 153.90000000, 30.78000000, 184.68000000, NULL),
(1569, 'CF2004-1490', 1, NULL, '', 2050, NULL, '2020-04-29 08:53:43', '2020-04-20 14:42:12', '2020-04-20 14:43:51', '2020-04-20 14:43:52', NULL, '2020-04-20', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 174.20000000, 0.00000000, 0.00000000, 871.00000000, 1045.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 871.00000000, 174.20000000, 1045.20000000, NULL),
(1570, 'CF2004-1491', 1, NULL, '', 2050, NULL, '2020-05-25 09:28:04', '2020-04-21 09:33:26', '2020-04-21 09:34:26', '2020-04-21 09:34:26', NULL, '2020-04-21', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 87.60000000, 0.00000000, 0.00000000, 438.00000000, 525.60000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 438.00000000, 87.60000000, 525.60000000, NULL),
(1571, 'CF2004-1492', 1, NULL, '', 2050, NULL, '2020-04-21 08:01:18', '2020-04-21 10:00:12', '2020-04-21 10:01:18', '2020-04-21 10:01:18', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 349.82000000, 0.00000000, 0.00000000, 1749.08000000, 2098.90000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1749.08000000, 349.82000000, 2098.90000000, NULL),
(1572, 'CF2004-1493', 1, NULL, '', 1948, NULL, '2020-05-25 09:40:05', '2020-04-21 12:10:33', '2020-04-21 12:11:11', '2020-04-21 12:11:12', NULL, '2020-04-21', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 241.70000000, 0.00000000, 0.00000000, 1208.50000000, 1450.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1208.50000000, 241.70000000, 1450.20000000, NULL),
(1573, 'CF2004-1494', 1, NULL, '', 2055, NULL, '2020-04-21 13:37:40', '2020-04-21 12:25:05', '2020-04-21 12:25:55', '2020-04-21 12:25:55', NULL, '2020-04-21', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 60.00000000, 0.00000000, 0.00000000, 300.00000000, 360.00000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 300.00000000, 60.00000000, 360.00000000, NULL),
(1574, 'CF2004-1495', 1, NULL, '', 2050, NULL, '2020-04-29 08:56:18', '2020-04-22 14:26:00', '2020-04-22 14:26:07', '2020-04-22 14:26:07', NULL, '2020-04-22', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 265.06000000, 0.00000000, 0.00000000, 1325.32000000, 1590.38000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1325.32000000, 265.06000000, 1590.38000000, NULL),
(1575, 'CF2004-1496', 1, NULL, '', 2673, NULL, '2020-07-21 08:33:15', '2020-04-22 15:47:32', '2020-04-22 15:49:06', '2020-04-22 15:49:06', NULL, '2020-04-22', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 32.50000000, 0.00000000, 0.00000000, 162.50000000, 195.00000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 162.50000000, 32.50000000, 195.00000000, NULL),
(1576, 'CF2004-1497', 1, NULL, '', 2740, NULL, '2020-08-12 13:17:30', '2020-04-23 15:09:22', '2020-04-23 15:10:38', '2020-04-23 15:10:39', NULL, '2020-04-23', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 10.68000000, 0.00000000, 0.00000000, 53.38000000, 64.06000000, '', '', 'muscadet', NULL, NULL, 1, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 53.38000000, 10.68000000, 64.06000000, NULL),
(1577, 'CF2004-1498', 1, NULL, '', 2050, NULL, '2020-05-04 14:06:39', '2020-04-23 15:28:51', '2020-04-23 15:31:08', '2020-04-23 15:31:08', NULL, '2020-05-04', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 215.20000000, 0.00000000, 0.00000000, 1076.00000000, 1291.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1076.00000000, 215.20000000, 1291.20000000, NULL),
(1578, 'CF2004-1499', 1, NULL, '', 2050, NULL, '2020-04-30 09:06:38', '2020-04-23 16:02:17', '2020-04-23 16:02:46', '2020-04-23 16:02:46', NULL, '2020-04-23', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 31.20000000, 0.00000000, 0.00000000, 156.00000000, 187.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 156.00000000, 31.20000000, 187.20000000, NULL),
(1579, 'CF2004-1500', 1, NULL, 'adoucisseur exsto', 2652, NULL, '2020-07-20 12:52:54', '2020-04-24 14:55:33', '2020-04-24 14:56:18', '2020-04-24 14:56:18', NULL, '2020-04-24', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 47.09000000, 0.00000000, 0.00000000, 235.44000000, 282.53000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 235.44000000, 47.09000000, 282.53000000, NULL),
(1580, 'CF2004-1501', 1, NULL, '', 1948, NULL, '2020-04-28 09:52:58', '2020-04-27 09:05:39', '2020-04-27 09:06:19', '2020-04-27 09:06:19', NULL, '2020-04-27', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 8.83000000, 0.00000000, 0.00000000, 44.15000000, 52.98000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 44.15000000, 8.83000000, 52.98000000, NULL),
(1581, 'CF2004-1502', 1, NULL, '', 2050, NULL, '2020-08-12 13:18:27', '2020-04-27 15:48:38', '2020-04-27 15:48:53', '2020-04-27 15:48:53', NULL, '2020-04-27', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 296.20000000, 0.00000000, 0.00000000, 1481.00000000, 1777.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1481.00000000, 296.20000000, 1777.20000000, NULL),
(1582, 'CF2004-1503', 1, NULL, '', 1948, NULL, '2020-05-25 09:29:15', '2020-04-27 15:48:38', '2020-04-27 15:49:27', '2020-04-27 15:49:27', NULL, '2020-04-27', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 14.20000000, 0.00000000, 0.00000000, 71.00000000, 85.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 71.00000000, 14.20000000, 85.20000000, NULL),
(1583, 'CF2006-1603', 1, NULL, '4423unidecor1722062020', 2114, NULL, '2020-07-20 07:26:56', '2020-04-29 16:50:11', '2020-06-25 09:31:30', '2020-06-25 09:31:31', NULL, '2020-07-20', 5, 5, 5, 5, NULL, 0, 5, 1, NULL, 0, 0, 65.48000000, 0.00000000, 0.00000000, 327.40000000, 392.88000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 327.40000000, 65.48000000, 392.88000000, NULL),
(1585, 'CF2004-1504', 1, NULL, '', 1948, NULL, '2020-05-25 09:29:36', '2020-04-29 16:50:11', '2020-04-29 16:50:34', '2020-04-29 16:50:34', NULL, '2020-04-29', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 11.20000000, 0.00000000, 0.00000000, 56.00000000, 67.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 56.00000000, 11.20000000, 67.20000000, NULL),
(1586, 'CF2004-1505', 1, NULL, '', 1948, NULL, '2020-05-25 09:29:53', '2020-04-30 09:34:51', '2020-04-30 11:15:53', '2020-04-30 11:15:53', NULL, '2020-04-30', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 33.00000000, 0.00000000, 0.00000000, 165.00000000, 198.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 165.00000000, 33.00000000, 198.00000000, NULL),
(1587, 'CF2004-1506', 1, NULL, '', 2050, NULL, '2020-06-04 12:08:23', '2020-04-30 10:12:04', '2020-04-30 10:12:18', '2020-04-30 10:12:18', NULL, '2020-06-04', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 59.40000000, 0.00000000, 0.00000000, 297.00000000, 356.40000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 297.00000000, 59.40000000, 356.40000000, NULL),
(1588, 'CF2004-1507', 1, NULL, '', 2050, NULL, '2020-07-20 12:44:39', '2020-04-30 14:40:26', '2020-04-30 14:42:27', '2020-04-30 14:42:27', NULL, '2020-04-30', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 1971.66000000, 0.00000000, 0.00000000, 9858.30000000, 11829.96000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 9858.30000000, 1971.66000000, 11829.96000000, NULL),
(1589, 'CF2005-1509', 1, NULL, '', 1948, NULL, '2020-08-12 13:19:43', '2020-04-30 14:40:26', '2020-05-07 10:31:49', '2020-05-07 10:31:49', NULL, '2020-05-07', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 241.70000000, 0.00000000, 0.00000000, 1208.50000000, 1450.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1208.50000000, 241.70000000, 1450.20000000, NULL),
(1590, 'CF2005-1524', 1, NULL, '', 2609, NULL, '2020-07-21 13:51:30', '2020-04-30 14:40:26', '2020-05-28 12:14:05', '2020-05-28 12:14:05', NULL, '2020-05-28', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 156.84000000, 0.00000000, 0.00000000, 784.20000000, 941.04000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 784.20000000, 156.84000000, 941.04000000, NULL),
(1591, 'CF2005-1508', 1, NULL, '', 2050, NULL, '2020-05-27 09:40:30', '2020-05-07 10:24:11', '2020-05-07 10:24:44', '2020-05-07 10:24:44', NULL, '2020-05-07', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 118.80000000, 0.00000000, 0.00000000, 594.00000000, 712.80000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 594.00000000, 118.80000000, 712.80000000, NULL),
(1592, 'CF2005-1510', 1, NULL, '', 2673, NULL, '2020-05-25 08:56:18', '2020-05-12 09:27:44', '2020-05-12 09:28:03', '2020-05-12 09:28:03', NULL, '2020-05-25', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 13.92000000, 0.00000000, 0.00000000, 69.58000000, 83.50000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 69.58000000, 13.91000000, 83.49000000, NULL),
(1593, 'CF2005-1511', 1, NULL, '', 2050, NULL, '2020-05-26 08:05:52', '2020-05-12 12:03:14', '2020-05-12 12:05:02', '2020-05-12 12:05:02', NULL, '2020-05-12', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 263.73000000, 0.00000000, 0.00000000, 1318.66000000, 1582.39000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1318.66000000, 263.73000000, 1582.39000000, NULL),
(1594, 'CF2005-1512', 1, NULL, '', 1948, NULL, '2020-05-25 09:30:37', '2020-05-12 12:07:55', '2020-05-12 12:12:07', '2020-05-12 12:12:07', NULL, '2020-05-12', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 19.92000000, 0.00000000, 0.00000000, 99.60000000, 119.52000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 99.60000000, 19.92000000, 119.52000000, NULL),
(1595, 'CF2005-1520', 1, NULL, '', 1948, NULL, '2020-06-08 06:56:41', '2020-05-12 12:13:51', '2020-05-25 10:37:58', '2020-05-25 10:37:59', NULL, '2020-05-25', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 38.64000000, 0.00000000, 0.00000000, 193.21000000, 231.85000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 193.21000000, 38.64000000, 231.85000000, NULL),
(1596, 'CF2005-1513', 1, NULL, '', 2740, NULL, '2020-08-12 13:19:53', '2020-05-12 12:18:30', '2020-05-12 12:19:00', '2020-05-12 12:19:00', NULL, '2020-05-12', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 139.60000000, 0.00000000, 0.00000000, 698.00000000, 837.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 698.00000000, 139.60000000, 837.60000000, NULL),
(1597, 'CF2005-1514', 1, NULL, '', 2050, NULL, '2020-05-28 07:47:40', '2020-05-17 21:02:01', '2020-05-17 21:03:07', '2020-05-17 21:03:07', NULL, '2020-05-17', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 42.33000000, 0.00000000, 0.00000000, 211.65000000, 253.98000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 211.65000000, 42.33000000, 253.98000000, NULL),
(1598, 'CF2005-1515', 1, NULL, '', 1948, NULL, '2020-08-12 13:20:02', '2020-05-18 11:02:08', '2020-05-18 11:02:57', '2020-05-18 11:02:57', NULL, '2020-05-18', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 86.40000000, 0.00000000, 0.00000000, 432.00000000, 518.40000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 432.00000000, 86.40000000, 518.40000000, NULL),
(1599, 'CF2005-1516', 1, NULL, '', 2673, NULL, '2020-05-26 07:43:21', '2020-05-19 15:56:47', '2020-05-19 16:07:36', '2020-05-19 16:07:37', NULL, '2020-05-26', 4, NULL, 4, 4, NULL, 0, 5, 0, NULL, 0, 0, 24.06000000, 0.00000000, 0.00000000, 120.18000000, 144.36000000, '', '', 'muscadet', NULL, NULL, 15, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 120.18000000, 24.03000000, 144.21000000, NULL),
(1600, 'CF2005-1517', 1, NULL, '', 1948, NULL, '2020-08-12 13:20:13', '2020-05-20 12:57:55', '2020-05-20 12:58:29', '2020-05-20 12:58:29', NULL, '2020-05-20', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 320.20000000, 0.00000000, 0.00000000, 1601.00000000, 1921.20000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1601.00000000, 320.20000000, 1921.20000000, NULL),
(1601, 'CF2005-1518', 1, NULL, '', 1948, NULL, '2020-05-26 10:09:44', '2020-05-20 14:28:53', '2020-05-20 14:29:48', '2020-05-20 14:29:48', NULL, '2020-05-20', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 70.80000000, 0.00000000, 0.00000000, 354.00000000, 424.80000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 354.00000000, 70.80000000, 424.80000000, NULL),
(1602, 'CF2006-1529', 1, NULL, '', 2627, NULL, '2020-07-06 14:36:57', '2020-05-25 09:45:48', '2020-06-02 08:51:56', '2020-06-02 08:51:57', NULL, '2020-06-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 142.60000000, 0.00000000, 0.00000000, 713.00000000, 855.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 713.00000000, 142.60000000, 855.60000000, NULL),
(1603, 'CF2005-1519', 1, NULL, '', 2050, NULL, '2020-06-08 06:56:06', '2020-05-25 09:45:57', '2020-05-25 10:23:30', '2020-05-25 10:23:30', NULL, '2020-05-25', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 347.26000000, 0.00000000, 0.00000000, 1736.32000000, 2083.58000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1736.32000000, 347.26000000, 2083.58000000, NULL),
(1604, 'CF2005-1521', 1, NULL, '', 2729, NULL, '2020-08-12 13:20:22', '2020-05-25 14:59:30', '2020-05-25 15:00:30', '2020-05-25 15:00:30', NULL, '2020-05-25', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 86.10000000, 86.10000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 86.10000000, 0.00000000, 86.10000000, NULL),
(1605, 'CF2005-1522', 1, NULL, '', 2050, NULL, '2020-06-16 12:33:31', '2020-05-26 09:51:03', '2020-05-26 10:35:26', '2020-05-26 10:35:26', NULL, '2020-06-16', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 960.07000000, 0.00000000, 0.00000000, 4800.35000000, 5760.42000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4800.35000000, 960.07000000, 5760.42000000, NULL),
(1606, 'CF2005-1523', 1, NULL, '', 2740, NULL, '2020-06-04 08:37:36', '2020-05-28 08:59:58', '2020-05-28 09:01:15', '2020-05-28 09:01:15', NULL, '2020-05-28', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 4.16000000, 0.00000000, 0.00000000, 20.82000000, 24.98000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 20.82000000, 4.16000000, 24.98000000, NULL),
(1607, 'CF2005-1525', 1, NULL, '', 2673, NULL, '2020-06-04 08:26:57', '2020-05-28 12:10:18', '2020-05-28 12:16:04', '2020-05-28 12:16:05', NULL, '2020-05-28', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 52.99000000, 0.00000000, 0.00000000, 264.91000000, 317.94000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 264.91000000, 52.97000000, 317.88000000, NULL),
(1608, 'CF2005-1526', 1, NULL, '', 2764, NULL, '2020-06-16 12:32:56', '2020-05-28 14:44:16', '2020-05-28 14:44:41', '2020-05-28 14:44:41', NULL, '2020-05-28', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 3.74000000, 0.00000000, 0.00000000, 18.68000000, 22.42000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 18.68000000, 3.74000000, 22.42000000, NULL),
(1609, 'CF2005-1527', 1, NULL, '', 1948, NULL, '2020-06-08 06:57:00', '2020-05-28 14:45:07', '2020-05-28 14:45:21', '2020-05-28 14:45:21', NULL, '2020-05-28', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 9.60000000, 0.00000000, 0.00000000, 48.00000000, 57.60000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 48.00000000, 9.60000000, 57.60000000, NULL),
(1610, 'CF2005-1528', 1, NULL, '', 1948, NULL, '2020-06-08 06:57:20', '2020-05-29 14:08:43', '2020-05-29 14:09:03', '2020-05-29 14:09:03', NULL, '2020-05-29', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 38.90000000, 0.00000000, 0.00000000, 194.50000000, 233.40000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 194.50000000, 38.90000000, 233.40000000, NULL),
(1611, 'CF2006-1530', 1, NULL, '', 2609, NULL, '2020-06-04 08:27:54', '2020-06-02 08:53:39', '2020-06-02 08:59:25', '2020-06-02 08:59:25', NULL, '2020-06-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 188.36000000, 0.00000000, 0.00000000, 941.80000000, 1130.16000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 941.80000000, 188.36000000, 1130.16000000, NULL),
(1612, 'CF2006-1531', 1, NULL, '', 2729, NULL, '2020-08-12 13:20:38', '2020-06-02 09:55:49', '2020-06-02 10:05:40', '2020-06-02 10:05:40', NULL, '2020-06-02', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 689.50000000, 689.50000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 689.50000000, 0.00000000, 689.50000000, NULL),
(1613, 'CF2006-1532', 1, NULL, '', 1948, NULL, '2020-06-08 06:59:43', '2020-06-02 10:06:14', '2020-06-02 10:07:49', '2020-06-02 10:07:49', NULL, '2020-06-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 8.80000000, 0.00000000, 0.00000000, 44.00000000, 52.80000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 44.00000000, 8.80000000, 52.80000000, NULL),
(1614, 'CF2006-1533', 1, NULL, '', 1948, NULL, '2020-06-08 06:59:22', '2020-06-02 11:05:32', '2020-06-02 11:06:06', '2020-06-02 11:06:07', NULL, '2020-06-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 24.68000000, 0.00000000, 0.00000000, 123.42000000, 148.10000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 123.42000000, 24.68000000, 148.10000000, NULL),
(1615, 'CF2006-1536', 1, NULL, '', 2729, NULL, '2020-07-21 09:53:33', '2020-06-02 11:54:20', '2020-06-02 14:06:04', '2020-06-02 14:06:04', NULL, '2020-06-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 1069.85000000, 0.00000000, 0.00000000, 5349.25000000, 6419.10000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5349.25000000, 1069.85000000, 6419.10000000, NULL),
(1616, 'CF2006-1534', 1, NULL, '', 1948, NULL, '2020-06-08 06:58:13', '2020-06-02 11:54:20', '2020-06-02 11:54:42', '2020-06-02 11:54:42', NULL, '2020-06-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 40.36000000, 0.00000000, 0.00000000, 201.80000000, 242.16000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 201.80000000, 40.36000000, 242.16000000, NULL),
(1617, 'CF2006-1535', 1, NULL, '', 2673, NULL, '2020-07-21 08:32:55', '2020-06-02 11:54:20', '2020-06-02 12:05:26', '2020-06-02 12:05:26', NULL, '2020-06-02', 5, 5, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 195.93000000, 0.00000000, 0.00000000, 979.58000000, 1175.62000000, '', 'LIVRAISON SEMAINE 26 ( 2020 ) ', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 979.58000000, 195.91000000, 1175.49000000, NULL),
(1618, 'CF2006-1537', 1, NULL, '', 1948, NULL, '2020-06-08 06:58:54', '2020-06-02 15:12:54', '2020-06-02 15:13:30', '2020-06-02 15:13:30', NULL, '2020-06-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 13.60000000, 0.00000000, 0.00000000, 68.00000000, 81.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 68.00000000, 13.60000000, 81.60000000, NULL),
(1619, 'CF2006-1538', 1, NULL, '', 2673, NULL, '2020-06-05 09:28:08', '2020-06-02 15:55:49', '2020-06-02 15:56:41', '2020-06-02 15:56:41', NULL, '2020-06-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 118.88000000, 0.00000000, 0.00000000, 594.40000000, 713.28000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 594.40000000, 118.88000000, 713.28000000, NULL),
(1620, 'CF2006-1539', 1, NULL, '', 2050, NULL, '2020-08-12 13:20:50', '2020-06-03 08:38:19', '2020-06-03 08:45:10', '2020-06-03 08:45:10', NULL, '2020-06-03', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 81.40000000, 0.00000000, 0.00000000, 407.00000000, 488.40000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 407.00000000, 81.40000000, 488.40000000, NULL),
(1621, 'CF2006-1540', 1, NULL, '', 1948, NULL, '2020-06-08 06:58:39', '2020-06-03 08:45:55', '2020-06-03 08:46:31', '2020-06-03 08:46:32', NULL, '2020-06-03', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 30.78000000, 0.00000000, 0.00000000, 153.90000000, 184.68000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 153.90000000, 30.78000000, 184.68000000, NULL),
(1622, 'CF2006-1542', 1, NULL, '', 1948, NULL, '2020-06-11 13:22:21', '2020-06-04 11:29:13', '2020-06-04 11:32:08', '2020-06-04 11:32:09', NULL, '2020-06-04', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 61.97000000, 0.00000000, 0.00000000, 309.84000000, 371.81000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 309.84000000, 61.97000000, 371.81000000, NULL),
(1623, 'CF2006-1541', 1, NULL, '', 2764, NULL, '2020-07-06 14:13:58', '2020-06-04 11:29:13', '2020-06-04 11:29:48', '2020-06-04 11:29:48', NULL, '2020-06-04', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 4.99000000, 0.00000000, 0.00000000, 24.96000000, 29.95000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 24.96000000, 4.99000000, 29.95000000, NULL),
(1624, 'CF2006-1543', 1, NULL, '', 1948, NULL, '2020-06-11 13:34:41', '2020-06-04 15:15:48', '2020-06-04 15:16:00', '2020-06-04 15:16:00', NULL, '2020-06-04', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 141.20000000, 0.00000000, 0.00000000, 706.00000000, 847.20000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 706.00000000, 141.20000000, 847.20000000, NULL),
(1625, 'CF2006-1544', 1, NULL, '', 2050, NULL, '2020-08-12 13:21:02', '2020-06-04 15:33:29', '2020-06-04 15:35:16', '2020-06-04 15:35:16', NULL, '2020-06-04', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 266.84000000, 0.00000000, 0.00000000, 1334.22000000, 1601.06000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1334.22000000, 266.84000000, 1601.06000000, NULL),
(1626, 'CF2006-1580', 1, NULL, '', 2627, NULL, '2020-07-01 13:57:08', '2020-06-04 16:33:50', '2020-06-18 11:36:44', '2020-06-18 11:36:44', NULL, '2020-06-18', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 155.99000000, 0.00000000, 0.00000000, 779.96000000, 935.95000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 779.96000000, 155.99000000, 935.95000000, NULL),
(1627, 'CF2006-1545', 1, NULL, '', 2050, NULL, '2020-06-18 12:10:32', '2020-06-05 09:12:46', '2020-06-05 09:13:28', '2020-06-05 09:13:29', NULL, '2020-06-05', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 55.85000000, 0.00000000, 0.00000000, 279.25000000, 335.10000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 279.25000000, 55.85000000, 335.10000000, NULL),
(1628, 'CF2006-1546', 1, NULL, '', 2740, NULL, '2020-08-12 13:17:05', '2020-06-08 10:51:41', '2020-06-08 10:52:16', '2020-06-08 10:52:16', NULL, '2020-06-08', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 624.60000000, 0.00000000, 0.00000000, 3123.00000000, 3747.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3123.00000000, 624.60000000, 3747.60000000, NULL),
(1629, 'CF2006-1547', 1, NULL, '', 1948, NULL, '2020-06-15 08:04:27', '2020-06-08 11:45:46', '2020-06-08 11:46:00', '2020-06-08 11:46:00', NULL, '2020-06-08', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 24.68000000, 0.00000000, 0.00000000, 123.42000000, 148.10000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 123.42000000, 24.68000000, 148.10000000, NULL),
(1630, 'CF2006-1548', 1, NULL, '', 1948, NULL, '2020-06-15 08:04:44', '2020-06-08 15:12:52', '2020-06-08 15:13:03', '2020-06-08 15:13:03', NULL, '2020-06-08', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 33.00000000, 0.00000000, 0.00000000, 165.00000000, 198.00000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 165.00000000, 33.00000000, 198.00000000, NULL),
(1631, 'CF2006-1549', 1, NULL, '', 2627, NULL, '2020-06-18 12:09:55', '2020-06-09 10:07:58', '2020-06-09 10:08:59', '2020-06-09 10:08:59', NULL, '2020-06-09', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 120.27000000, 0.00000000, 0.00000000, 601.40000000, 721.67000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 601.40000000, 120.27000000, 721.67000000, NULL),
(1632, 'CF2006-1550', 1, NULL, '', 2050, NULL, '2020-07-01 14:28:33', '2020-06-09 10:55:18', '2020-06-09 10:55:44', '2020-06-09 10:55:45', NULL, '2020-06-09', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 141.20000000, 0.00000000, 0.00000000, 706.00000000, 847.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 706.00000000, 141.20000000, 847.20000000, NULL),
(1633, 'CF2006-1551', 1, NULL, '', 1948, NULL, '2020-06-15 08:05:50', '2020-06-09 11:52:07', '2020-06-09 11:52:49', '2020-06-09 11:52:49', NULL, '2020-06-09', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 79.40000000, 0.00000000, 0.00000000, 397.00000000, 476.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 397.00000000, 79.40000000, 476.40000000, NULL),
(1634, 'CF2006-1552', 1, NULL, '', 1948, NULL, '2020-06-15 08:06:35', '2020-06-09 14:22:37', '2020-06-09 14:31:43', '2020-06-09 14:31:43', NULL, '2020-06-09', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 33.40000000, 0.00000000, 0.00000000, 167.00000000, 200.40000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 167.00000000, 33.40000000, 200.40000000, NULL),
(1635, 'CF2006-1554', 1, NULL, '', 1948, NULL, '2020-06-15 08:05:05', '2020-06-09 14:42:58', '2020-06-09 15:55:25', '2020-06-09 15:55:26', NULL, '2020-06-09', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 13.55000000, 0.00000000, 0.00000000, 67.75000000, 81.30000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 67.75000000, 13.55000000, 81.30000000, NULL),
(1636, 'CF2006-1553', 1, NULL, '', 2050, NULL, '2020-06-09 13:37:40', '2020-06-09 15:37:00', '2020-06-09 15:37:40', '2020-06-09 15:37:40', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 22.00000000, 0.00000000, 0.00000000, 110.00000000, 132.00000000, '', '', 'muscadet', NULL, NULL, 16, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 110.00000000, 22.00000000, 132.00000000, NULL),
(1637, 'CF2006-1555', 1, NULL, '', 1948, NULL, '2020-06-15 08:08:22', '2020-06-10 10:44:13', '2020-06-10 10:44:36', '2020-06-10 10:44:36', NULL, '2020-06-10', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 2.60000000, 0.00000000, 0.00000000, 13.00000000, 15.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 13.00000000, 2.60000000, 15.60000000, NULL);
INSERT INTO `llx_commande_fournisseur` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_supplier`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_approve`, `date_approve2`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_approve`, `fk_user_approve2`, `source`, `fk_statut`, `billed`, `amount_ht`, `remise_percent`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `date_livraison`, `fk_account`, `fk_cond_reglement`, `fk_mode_reglement`, `fk_input_method`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`) VALUES
(1638, 'CF2006-1556', 1, NULL, '', 10086, NULL, '2020-06-10 09:11:41', '2020-06-10 11:10:29', '2020-06-10 11:11:41', '2020-06-10 11:11:41', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 45.28000000, 0.00000000, 0.00000000, 226.40000000, 271.68000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 226.40000000, 45.28000000, 271.68000000, NULL),
(1639, 'CF2006-1557', 1, NULL, '', 2719, NULL, '2020-08-12 13:21:10', '2020-06-10 14:31:55', '2020-06-10 14:35:45', '2020-06-10 14:35:45', NULL, '2020-07-01', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 4.98000000, 0.00000000, 0.00000000, 24.89000000, 29.87000000, '', 'selon devis&nbsp;DEVNS05F20060090', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 24.89000000, 4.98000000, 29.87000000, NULL),
(1640, 'CF2006-1558', 1, NULL, '', 1948, NULL, '2020-06-15 08:08:03', '2020-06-10 14:49:10', '2020-06-10 14:49:33', '2020-06-10 14:49:33', NULL, '2020-06-10', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 58.60000000, 0.00000000, 0.00000000, 293.00000000, 351.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 293.00000000, 58.60000000, 351.60000000, NULL),
(1642, 'CF2006-1559', 1, NULL, '', 2764, NULL, '2020-08-18 07:27:05', '2020-06-11 11:49:34', '2020-06-11 14:30:49', '2020-06-11 14:30:49', NULL, '2020-06-11', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 11.95000000, 0.00000000, 0.00000000, 59.78000000, 71.73000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 59.78000000, 11.95000000, 71.73000000, NULL),
(1643, 'CF2006-1564', 1, NULL, '', 1948, NULL, '2020-07-27 12:52:39', '2020-06-11 14:24:15', '2020-06-15 14:11:39', '2020-06-15 14:11:40', NULL, '2020-06-15', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 113.27000000, 0.00000000, 0.00000000, 566.35000000, 679.62000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 566.35000000, 113.27000000, 679.62000000, NULL),
(1644, 'CF2006-1560', 1, NULL, '', 2050, NULL, '2020-06-18 12:09:24', '2020-06-11 16:59:27', '2020-06-11 16:59:55', '2020-06-11 16:59:55', NULL, '2020-06-11', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 53.00000000, 0.00000000, 0.00000000, 265.00000000, 318.00000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 265.00000000, 53.00000000, 318.00000000, NULL),
(1645, 'CF2006-1561', 1, NULL, '', 2764, NULL, '2020-06-16 12:34:25', '2020-06-12 14:43:26', '2020-06-12 14:43:45', '2020-06-12 14:43:45', NULL, '2020-06-12', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 4.99000000, 0.00000000, 0.00000000, 24.96000000, 29.95000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 24.96000000, 4.99000000, 29.95000000, NULL),
(1646, 'CF2006-1562', 1, NULL, '', 2729, NULL, '2020-08-12 13:21:20', '2020-06-15 08:53:27', '2020-06-15 08:57:09', '2020-06-15 08:57:09', NULL, '2020-06-15', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 834.62000000, 0.00000000, 0.00000000, 4173.12000000, 5007.74000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4173.12000000, 834.62000000, 5007.74000000, NULL),
(1647, 'CF2006-1563', 1, NULL, '', 2627, NULL, '2020-06-24 13:50:36', '2020-06-15 08:58:57', '2020-06-15 08:59:55', '2020-06-15 08:59:55', NULL, '2020-06-15', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 86.18000000, 0.00000000, 0.00000000, 430.90000000, 517.08000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 430.90000000, 86.18000000, 517.08000000, NULL),
(1648, 'CF2006-1573', 1, NULL, '', 2764, NULL, '2020-07-06 14:10:34', '2020-06-15 14:04:42', '2020-06-17 14:08:52', '2020-06-17 14:08:52', NULL, '2020-06-17', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 20.67000000, 0.00000000, 0.00000000, 103.36000000, 124.03000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 103.36000000, 20.67000000, 124.03000000, NULL),
(1649, 'CF2006-1565', 1, NULL, '', 1948, NULL, '2020-06-25 12:54:36', '2020-06-15 15:21:18', '2020-06-15 15:21:52', '2020-06-15 15:21:52', NULL, '2020-06-15', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 45.31000000, 0.00000000, 0.00000000, 226.55000000, 271.86000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 226.55000000, 45.31000000, 271.86000000, NULL),
(1650, 'CF2006-1566', 1, NULL, '', 2050, NULL, '2020-06-30 10:12:04', '2020-06-15 15:21:18', '2020-06-15 15:30:30', '2020-06-15 15:30:31', NULL, '2020-06-15', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 141.20000000, 0.00000000, 0.00000000, 706.00000000, 847.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 706.00000000, 141.20000000, 847.20000000, NULL),
(1651, 'CF2006-1567', 1, NULL, '', 2673, NULL, '2020-07-01 14:32:37', '2020-06-16 08:43:20', '2020-06-16 08:54:35', '2020-06-16 08:54:35', NULL, '2020-06-16', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 168.57000000, 0.00000000, 0.00000000, 842.82000000, 1011.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 842.82000000, 168.56000000, 1011.38000000, NULL),
(1652, 'CF2006-1569', 1, NULL, '', 10086, NULL, '2020-08-12 13:21:31', '2020-06-16 08:43:20', '2020-06-16 08:59:09', '2020-06-16 08:59:10', NULL, '2020-06-16', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 24.89000000, 0.00000000, 0.00000000, 124.46000000, 149.35000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 124.46000000, 24.89000000, 149.35000000, NULL),
(1653, 'CF2006-1568', 1, NULL, '', 2050, NULL, '2020-06-29 08:27:00', '2020-06-16 08:57:02', '2020-06-16 08:57:41', '2020-06-16 08:57:41', NULL, '2020-06-29', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 40.00000000, 0.00000000, 0.00000000, 200.00000000, 240.00000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 200.00000000, 40.00000000, 240.00000000, NULL),
(1654, 'CF2006-1570', 1, NULL, '', 1948, NULL, '2020-06-22 14:45:03', '2020-06-16 11:08:22', '2020-06-16 11:08:45', '2020-06-16 11:08:46', NULL, '2020-06-16', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 13.20000000, 0.00000000, 0.00000000, 66.00000000, 79.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 66.00000000, 13.20000000, 79.20000000, NULL),
(1655, 'CF2006-1571', 1, NULL, '', 2764, NULL, '2020-07-20 12:53:05', '2020-06-17 11:05:40', '2020-06-17 11:06:01', '2020-06-17 11:06:01', NULL, '2020-06-17', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 3.80000000, 0.00000000, 0.00000000, 19.00000000, 22.80000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 19.00000000, 3.80000000, 22.80000000, NULL),
(1656, 'CF2006-1572', 1, NULL, '', 2729, NULL, '2020-08-12 13:21:47', '2020-06-17 14:07:27', '2020-06-17 14:07:56', '2020-06-17 14:07:56', NULL, '2020-06-17', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 437.00000000, 437.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 437.00000000, 0.00000000, 437.00000000, NULL),
(1657, 'CF2006-1574', 1, NULL, '', 1948, NULL, '2020-06-22 14:47:00', '2020-06-17 16:35:05', '2020-06-17 16:35:36', '2020-06-17 16:35:36', NULL, '2020-06-17', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 22.99000000, 0.00000000, 0.00000000, 114.95000000, 137.94000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 114.95000000, 22.99000000, 137.94000000, NULL),
(1658, 'CF2006-1575', 1, NULL, '', 2050, NULL, '2020-06-30 10:12:40', '2020-06-18 09:01:05', '2020-06-18 09:02:06', '2020-06-18 09:02:06', NULL, '2020-06-18', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 196.80000000, 0.00000000, 0.00000000, 984.00000000, 1180.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 984.00000000, 196.80000000, 1180.80000000, NULL),
(1659, 'CF2006-1576', 1, NULL, '', 1948, NULL, '2020-06-22 14:46:13', '2020-06-18 09:03:38', '2020-06-18 09:04:25', '2020-06-18 09:04:25', NULL, '2020-06-18', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 66.13000000, 0.00000000, 0.00000000, 330.66000000, 396.79000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 330.66000000, 66.13000000, 396.79000000, NULL),
(1660, 'CF2006-1577', 1, NULL, '', 1948, NULL, '2020-06-22 14:45:21', '2020-06-18 09:07:23', '2020-06-18 09:14:47', '2020-06-18 09:14:47', NULL, '2020-06-18', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 4.60000000, 0.00000000, 0.00000000, 23.00000000, 27.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 23.00000000, 4.60000000, 27.60000000, NULL),
(1661, 'CF2006-1578', 1, NULL, '', 2729, NULL, '2020-08-12 13:22:02', '2020-06-18 09:07:23', '2020-06-18 09:34:00', '2020-06-18 09:34:00', NULL, '2020-06-18', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 287.00000000, 287.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 287.00000000, 0.00000000, 287.00000000, NULL),
(1662, 'CF2006-1592', 1, NULL, '', 2764, NULL, '2020-07-06 14:11:49', '2020-06-18 09:07:23', '2020-06-22 16:11:01', '2020-06-22 16:11:01', NULL, '2020-06-22', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 58.16000000, 0.00000000, 0.00000000, 290.82000000, 348.98000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 290.82000000, 58.16000000, 348.98000000, NULL),
(1663, 'CF2006-1579', 1, NULL, '', 2050, NULL, '2020-06-30 10:11:48', '2020-06-18 11:26:44', '2020-06-18 11:34:52', '2020-06-18 11:34:52', NULL, '2020-06-18', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 231.00000000, 0.00000000, 0.00000000, 1155.00000000, 1386.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1155.00000000, 231.00000000, 1386.00000000, NULL),
(1664, 'CF2006-1581', 1, NULL, '', 1948, NULL, '2020-08-12 13:22:12', '2020-06-18 11:26:44', '2020-06-18 11:37:54', '2020-06-18 11:37:54', NULL, '2020-06-18', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 69.02000000, 0.00000000, 0.00000000, 345.10000000, 414.12000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 345.10000000, 69.02000000, 414.12000000, NULL),
(1665, 'CF2006-1599', 1, NULL, '', 2729, NULL, '2020-07-01 14:22:29', '2020-06-18 15:47:46', '2020-06-24 11:03:43', '2020-06-24 11:03:43', NULL, '2020-06-24', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 3.36000000, 0.00000000, 0.00000000, 272.00000000, 275.36000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 272.00000000, 3.36000000, 275.36000000, NULL),
(1666, 'CF2006-1582', 1, NULL, '', 1948, NULL, '2020-06-22 14:47:18', '2020-06-18 15:49:31', '2020-06-18 15:49:57', '2020-06-18 15:49:57', NULL, '2020-06-18', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 14.92000000, 0.00000000, 0.00000000, 74.60000000, 89.52000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 74.60000000, 14.92000000, 89.52000000, NULL),
(1667, 'CF2006-1583', 1, NULL, '', 1948, NULL, '2020-08-12 13:22:20', '2020-06-19 09:07:18', '2020-06-19 09:07:45', '2020-06-19 09:07:46', NULL, '2020-06-19', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 6.20000000, 0.00000000, 0.00000000, 31.00000000, 37.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 31.00000000, 6.20000000, 37.20000000, NULL),
(1668, 'CF2006-1584', 1, NULL, '', 2050, NULL, '2020-06-30 10:12:18', '2020-06-19 10:16:40', '2020-06-19 10:16:58', '2020-06-19 10:16:58', NULL, '2020-06-19', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 58.40000000, 0.00000000, 0.00000000, 292.00000000, 350.40000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 292.00000000, 58.40000000, 350.40000000, NULL),
(1669, 'CF2006-1585', 1, NULL, '', 1948, NULL, '2020-07-20 12:46:03', '2020-06-19 10:36:22', '2020-06-19 10:36:54', '2020-06-19 10:36:54', NULL, '2020-06-19', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 141.20000000, 0.00000000, 0.00000000, 706.00000000, 847.20000000, '', '', 'muscadet', NULL, NULL, 3, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 706.00000000, 141.20000000, 847.20000000, NULL),
(1670, 'CF2006-1586', 1, NULL, '', 1948, NULL, '2020-06-25 12:54:59', '2020-06-22 09:56:44', '2020-06-22 09:57:12', '2020-06-22 09:57:12', NULL, '2020-06-22', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 13.86000000, 0.00000000, 0.00000000, 69.30000000, 83.16000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 69.30000000, 13.86000000, 83.16000000, NULL),
(1671, 'CF2006-1587', 1, NULL, '', 1948, NULL, '2020-06-25 12:56:07', '2020-06-22 10:22:42', '2020-06-22 10:22:51', '2020-06-22 10:22:51', NULL, '2020-06-22', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 2.60000000, 0.00000000, 0.00000000, 13.00000000, 15.60000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 13.00000000, 2.60000000, 15.60000000, NULL),
(1672, 'CF2006-1588', 1, NULL, '', 1948, NULL, '2020-06-25 12:56:23', '2020-06-22 11:45:23', '2020-06-22 11:49:08', '2020-06-22 11:49:08', NULL, '2020-06-22', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 63.91000000, 0.00000000, 0.00000000, 319.53000000, 383.44000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 319.53000000, 63.91000000, 383.44000000, NULL),
(1673, 'CF2006-1589', 1, NULL, '', 2050, NULL, '2020-07-06 14:31:50', '2020-06-22 14:59:38', '2020-06-22 15:18:21', '2020-06-22 15:18:21', NULL, '2020-06-22', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 113.80000000, 0.00000000, 0.00000000, 569.00000000, 682.80000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 569.00000000, 113.80000000, 682.80000000, NULL),
(1674, 'CF2006-1590', 1, NULL, '', 2764, NULL, '2020-11-30 10:31:33', '2020-06-22 15:20:21', '2020-06-22 15:20:58', '2020-06-22 15:20:58', NULL, '2020-06-22', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 25.56000000, 0.00000000, 0.00000000, 127.80000000, 153.36000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 127.80000000, 25.56000000, 153.36000000, NULL),
(1675, 'CF2006-1591', 1, NULL, '', 1948, NULL, '2020-06-25 12:56:55', '2020-06-22 16:05:56', '2020-06-22 16:08:35', '2020-06-22 16:08:35', NULL, '2020-06-22', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 10.80000000, 0.00000000, 0.00000000, 54.00000000, 64.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 54.00000000, 10.80000000, 64.80000000, NULL),
(1676, 'CF2006-1595', 1, NULL, '', 1948, NULL, '2020-07-27 12:53:15', '2020-06-22 16:18:05', '2020-06-23 14:36:35', '2020-06-23 14:36:36', NULL, '2020-06-23', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 815.37000000, 0.00000000, 0.00000000, 4076.85000000, 4892.22000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 4076.85000000, 815.37000000, 4892.22000000, NULL),
(1677, 'CF2006-1593', 1, NULL, '', 2729, NULL, '2020-08-19 09:19:11', '2020-06-22 16:18:55', '2020-06-22 16:23:20', '2020-06-22 16:23:20', NULL, '2020-06-22', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 361.20000000, 361.20000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 361.20000000, 0.00000000, 361.20000000, NULL),
(1678, 'CF2007-1624', 1, NULL, '', 2764, NULL, '2020-08-05 12:18:43', '2020-06-22 17:12:14', '2020-07-16 11:58:58', '2020-07-16 11:58:58', NULL, '2020-07-16', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 23.23000000, 0.00000000, 0.00000000, 116.18000000, 139.41000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 116.18000000, 23.23000000, 139.41000000, NULL),
(1679, 'CF2006-1594', 1, NULL, '', 2642, NULL, '2020-07-15 13:30:48', '2020-06-23 09:00:53', '2020-06-26 16:01:40', '2020-06-26 16:01:41', NULL, '2020-06-26', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 10.37000000, 0.00000000, 0.00000000, 51.84000000, 62.21000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 51.84000000, 10.37000000, 62.21000000, NULL),
(1680, 'CF2006-1596', 1, NULL, '', 1948, NULL, '2020-06-25 12:59:13', '2020-06-23 15:15:42', '2020-06-23 15:18:01', '2020-06-23 15:18:01', NULL, '2020-06-23', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 67.97000000, 0.00000000, 0.00000000, 339.85000000, 407.82000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 339.85000000, 67.97000000, 407.82000000, NULL),
(1681, 'CF2006-1597', 1, NULL, '', 2609, NULL, '2020-06-25 07:22:20', '2020-06-23 17:11:31', '2020-06-23 17:13:34', '2020-06-23 17:13:34', NULL, '2020-06-23', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 151.42000000, 0.00000000, 0.00000000, 757.08000000, 908.50000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 757.08000000, 151.42000000, 908.50000000, NULL),
(1682, 'CF2007-1617', 1, NULL, '', 2673, NULL, '2020-07-21 08:22:32', '2020-06-23 17:11:31', '2020-07-07 16:03:29', '2020-07-07 16:03:29', NULL, '2020-07-07', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 175.98000000, 0.00000000, 0.00000000, 879.36000000, 1055.83000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 879.36000000, 175.87000000, 1055.23000000, NULL),
(1683, 'CF2006-1598', 1, NULL, '', 2050, NULL, '2020-06-30 10:11:28', '2020-06-24 09:29:48', '2020-06-24 09:30:24', '2020-06-24 09:30:24', NULL, '2020-06-24', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 41.80000000, 0.00000000, 0.00000000, 209.00000000, 250.80000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 209.00000000, 41.80000000, 250.80000000, NULL),
(1684, 'CF2006-1600', 1, NULL, '', 2673, NULL, '2020-07-06 14:34:13', '2020-06-24 15:01:00', '2020-06-24 15:02:20', '2020-06-24 15:02:20', NULL, '2020-06-24', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 22.72000000, 0.00000000, 0.00000000, 113.56000000, 136.30000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 113.56000000, 22.71000000, 136.27000000, NULL),
(1685, 'CF2006-1601', 1, NULL, '', 2050, NULL, '2020-08-12 13:23:18', '2020-06-25 08:45:23', '2020-06-25 14:22:19', '2020-06-25 14:22:19', NULL, '2020-06-25', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 1152.60000000, 0.00000000, 0.00000000, 5763.00000000, 6915.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 5763.00000000, 1152.60000000, 6915.60000000, NULL),
(1686, 'CF2006-1602', 1, NULL, '', 1948, NULL, '2020-07-01 14:24:10', '2020-06-25 08:45:23', '2020-06-25 08:49:21', '2020-06-25 08:49:21', NULL, '2020-06-25', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 17.97000000, 0.00000000, 0.00000000, 89.87000000, 107.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 89.87000000, 17.97000000, 107.84000000, NULL),
(1687, 'CF2006-1604', 1, NULL, '', 2673, NULL, '2020-07-06 14:34:26', '2020-06-26 10:21:24', '2020-06-26 10:21:53', '2020-06-26 10:21:53', NULL, '2020-06-26', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 66.16000000, 0.00000000, 0.00000000, 330.80000000, 396.96000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 330.80000000, 66.16000000, 396.96000000, NULL),
(1688, 'CF2006-1605', 1, NULL, '', 1948, NULL, '2020-07-01 14:04:42', '2020-06-26 15:45:57', '2020-06-26 15:48:14', '2020-06-26 15:48:14', NULL, '2020-06-26', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 12.80000000, 0.00000000, 0.00000000, 64.00000000, 76.80000000, '', 'DEPART CE JOUR SVP', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 64.00000000, 12.80000000, 76.80000000, NULL),
(1689, 'CF2006-1606', 1, NULL, '', 2114, NULL, '2020-07-20 07:23:14', '2020-06-29 09:00:38', '2020-06-29 09:04:01', '2020-06-29 09:04:04', NULL, '2020-07-20', 5, NULL, 5, 5, NULL, 0, 5, 1, NULL, 0, 0, 1470.52000000, 0.00000000, 0.00000000, 7352.61000000, 8823.13000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 7352.61000000, 1470.52000000, 8823.13000000, NULL),
(1690, 'CF2008-1660', 1, NULL, '', 2609, NULL, '2020-08-24 09:08:36', '2020-06-29 09:00:39', '2020-08-14 11:35:24', '2020-08-14 11:35:24', NULL, '2020-08-14', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 191.34000000, 0.00000000, 0.00000000, 956.68000000, 1148.02000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 956.68000000, 191.34000000, 1148.02000000, NULL),
(1691, 'CF2006-1607', 1, NULL, '', 2729, NULL, '2020-07-20 07:26:24', '2020-06-29 15:31:34', '2020-06-29 15:32:13', '2020-06-29 15:32:14', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 6, 0, NULL, 0, 0, 17.64000000, 0.00000000, 0.00000000, 88.20000000, 105.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 88.20000000, 17.64000000, 105.84000000, NULL),
(1692, 'CF2006-1608', 1, NULL, '', 2673, NULL, '2020-07-06 14:34:40', '2020-06-30 08:41:09', '2020-06-30 08:41:28', '2020-06-30 08:41:28', NULL, '2020-06-30', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 17.34000000, 0.00000000, 0.00000000, 86.70000000, 104.04000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 86.70000000, 17.34000000, 104.04000000, NULL),
(1693, 'CF2006-1609', 1, NULL, '', 1948, NULL, '2020-08-10 08:30:52', '2020-06-30 08:42:00', '2020-06-30 08:42:37', '2020-06-30 08:42:37', NULL, '2020-06-30', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 60.58000000, 0.00000000, 0.00000000, 302.90000000, 363.48000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 302.90000000, 60.58000000, 363.48000000, NULL),
(1694, 'CF2006-1610', 1, NULL, '', 2050, NULL, '2020-10-21 13:54:22', '2020-06-30 08:47:23', '2020-06-30 08:48:03', '2020-06-30 08:48:03', NULL, '2020-06-30', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 214.80000000, 0.00000000, 0.00000000, 1074.00000000, 1288.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1074.00000000, 214.80000000, 1288.80000000, NULL),
(1695, 'CF2007-1611', 1, NULL, '', 2740, NULL, '2020-08-12 13:22:41', '2020-07-01 10:41:00', '2020-07-01 10:41:19', '2020-07-01 10:41:19', NULL, '2020-07-01', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 4.20000000, 0.00000000, 0.00000000, 21.00000000, 25.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 21.00000000, 4.20000000, 25.20000000, NULL),
(1696, 'CF2007-1612', 1, NULL, '', 2050, NULL, '2020-07-15 13:33:02', '2020-07-02 16:41:40', '2020-07-02 16:42:28', '2020-07-02 16:42:28', NULL, '2020-07-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 58.55000000, 0.00000000, 0.00000000, 292.75000000, 351.30000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 292.75000000, 58.55000000, 351.30000000, NULL),
(1697, 'CF2007-1613', 1, NULL, '', 2740, NULL, '2020-08-12 13:22:50', '2020-07-03 14:28:42', '2020-07-03 14:28:55', '2020-07-03 14:28:56', NULL, '2020-07-03', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 79.90000000, 0.00000000, 0.00000000, 399.50000000, 479.40000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 399.50000000, 79.90000000, 479.40000000, NULL),
(1698, 'CF2007-1614', 1, NULL, '', 2050, NULL, '2020-07-15 13:30:05', '2020-07-06 09:15:08', '2020-07-06 09:15:45', '2020-07-06 09:15:45', NULL, '2020-07-15', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 257.00000000, 0.00000000, 0.00000000, 1285.00000000, 1542.00000000, '', '', 'muscadet', NULL, NULL, 16, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1285.00000000, 257.00000000, 1542.00000000, NULL),
(1699, 'CF2007-1615', 1, NULL, '', 2673, NULL, '2020-07-15 12:49:58', '2020-07-06 15:39:35', '2020-07-06 15:41:01', '2020-07-06 15:41:02', NULL, '2020-07-06', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 61.06000000, 0.00000000, 0.00000000, 305.28000000, 366.34000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 305.28000000, 61.06000000, 366.34000000, NULL),
(1700, 'CF2007-1616', 1, NULL, '', 2764, NULL, '2020-08-05 12:17:28', '2020-07-06 16:41:03', '2020-07-06 16:41:40', '2020-07-06 16:41:41', NULL, '2020-07-06', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 8.70000000, 0.00000000, 0.00000000, 43.52000000, 52.22000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 43.52000000, 8.70000000, 52.22000000, NULL),
(1701, 'CF2007-1618', 1, NULL, '', 2050, NULL, '2020-07-16 13:04:35', '2020-07-08 09:27:12', '2020-07-08 09:27:16', '2020-07-08 09:27:17', NULL, '2020-07-08', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 107.00000000, 0.00000000, 0.00000000, 535.00000000, 642.00000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 535.00000000, 107.00000000, 642.00000000, NULL),
(1702, 'CF2007-1619', 1, NULL, '', 2740, NULL, '2020-08-12 13:23:00', '2020-07-09 09:47:34', '2020-07-09 09:47:53', '2020-07-09 09:47:54', NULL, '2020-07-09', 5, NULL, 5, 5, NULL, 0, 7, 0, NULL, 0, 0, 79.90000000, 0.00000000, 0.00000000, 399.50000000, 479.40000000, '', '', 'muscadet', NULL, NULL, 16, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 399.50000000, 79.90000000, 479.40000000, NULL),
(1703, 'CF2007-1620', 1, NULL, '', 1948, NULL, '2020-07-17 12:08:05', '2020-07-09 15:00:57', '2020-07-09 15:01:49', '2020-07-09 15:01:50', NULL, '2020-07-09', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 16.60000000, 0.00000000, 0.00000000, 83.00000000, 99.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, -1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 83.00000000, 16.60000000, 99.60000000, NULL),
(1704, 'CF2007-1621', 1, NULL, '', 2673, NULL, '2020-07-21 08:32:26', '2020-07-15 09:06:41', '2020-07-15 09:07:29', '2020-07-15 09:07:29', NULL, '2020-07-15', 5, 5, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 6.76000000, 0.00000000, 0.00000000, 33.82000000, 40.58000000, '', 'LIVRAISON : <br />\r\nFACEO FM CENTRE EST<br />\r\nCHEZ LA SOCIETE GCA SUPPLY (EX SOFLOG)<br />\r\n4 RUE DE GILLIERES<br />\r\n26100 ROMANS-SUR-ISERE<br />\r\n<br />\r\n<br />\r\n<u><strong>EN EXPRESS SVP ! En vous remerciant par avance</strong></u>', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 33.82000000, 6.76000000, 40.58000000, NULL),
(1705, 'CF2007-1622', 1, NULL, '', 2609, NULL, '2020-07-21 13:51:13', '2020-07-15 14:21:17', '2020-07-15 14:23:02', '2020-07-15 14:23:02', NULL, '2020-07-15', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 165.36000000, 0.00000000, 0.00000000, 826.80000000, 992.16000000, '', '', 'muscadet', NULL, NULL, 3, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 826.80000000, 165.36000000, 992.16000000, NULL),
(1707, 'CF2007-1623', 1, NULL, '', 1948, NULL, '2020-07-17 12:08:18', '2020-07-15 16:10:01', '2020-07-15 16:10:27', '2020-07-15 16:10:27', NULL, '2020-07-15', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 15.85000000, 0.00000000, 0.00000000, 79.25000000, 95.10000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 79.25000000, 15.85000000, 95.10000000, NULL),
(1708, 'CF2007-1625', 1, NULL, '', 2673, NULL, '2020-07-21 08:32:09', '2020-07-16 14:40:48', '2020-07-16 14:41:06', '2020-07-16 14:41:06', NULL, '2020-07-16', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 54.40000000, 0.00000000, 0.00000000, 272.00000000, 326.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 272.00000000, 54.40000000, 326.40000000, NULL),
(1710, 'CF2007-1626', 1, NULL, '10brasseriedescuves03072020', 2114, NULL, '2020-07-17 10:02:34', '2020-07-17 11:10:47', '2020-07-17 11:11:06', '2020-07-17 11:11:06', NULL, '2020-07-17', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 60.00000000, 0.00000000, 0.00000000, 300.00000000, 360.00000000, '', '', 'muscadet', NULL, NULL, 16, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 300.00000000, 60.00000000, 360.00000000, NULL),
(1711, 'CF2007-1627', 1, NULL, '', 12632, NULL, '2020-08-12 13:22:31', '2020-07-20 09:48:16', '2020-07-20 09:49:55', '2020-07-20 09:49:56', NULL, '2020-07-20', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 418.00000000, 0.00000000, 0.00000000, 2090.00000000, 2508.00000000, '', 'commande de deux gaines suivant les deux&nbsp; schemas transmis le 30/07&nbsp;', 'muscadet', NULL, NULL, 16, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2090.00000000, 418.00000000, 2508.00000000, NULL),
(1712, 'CF2007-1628', 1, NULL, '', 2050, NULL, '2020-08-12 13:23:27', '2020-07-21 08:57:59', '2020-07-21 09:01:30', '2020-07-21 09:01:30', NULL, '2020-07-21', 5, 5, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 2998.80000000, 0.00000000, 0.00000000, 14994.00000000, 17992.80000000, '', 'ADRESSE LIVRAISON :<br />\r\nMECELEC BIOUSSE<br />\r\nRue Ernest Rutherford - ZI Marcerolles<br />\r\n26500 Bourg-lès-Valence - France<br />\r\nTel. 04.75.83.15.01<br />\r\nDu lundi au vendredi de 8h à 12h et de 13h à 16h45', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 14994.00000000, 2998.80000000, 17992.80000000, NULL),
(1713, 'CF2007-1631', 1, NULL, '', 1948, NULL, '2020-08-10 08:31:43', '2020-07-21 08:57:59', '2020-07-21 16:39:53', '2020-07-21 16:39:54', NULL, '2020-07-21', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 93.26000000, 0.00000000, 0.00000000, 518.30000000, 611.56000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 518.30000000, 93.26000000, 611.56000000, NULL),
(1714, 'CF2007-1629', 1, NULL, '', 2627, NULL, '2020-08-05 09:59:49', '2020-07-21 09:03:28', '2020-07-21 09:05:19', '2020-07-21 09:05:19', NULL, '2020-07-21', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 121.27000000, 0.00000000, 0.00000000, 606.36000000, 727.63000000, '', '', 'muscadet', NULL, NULL, 16, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 606.36000000, 121.27000000, 727.63000000, NULL),
(1715, 'CF2007-1630', 1, NULL, '', 2729, NULL, '2020-08-12 13:23:41', '2020-07-21 14:09:42', '2020-07-21 14:17:57', '2020-07-21 14:17:57', NULL, '2020-07-21', 5, 5, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 6928.00000000, 6928.00000000, '', '<strong><u>Livraison pour le 7 Aout 2020 SVP ! </u></strong>', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 6928.00000000, 0.00000000, 6928.00000000, NULL),
(1716, 'CF2007-1632', 1, NULL, '', 2764, NULL, '2020-08-05 12:18:11', '2020-07-21 16:42:46', '2020-07-21 16:43:12', '2020-07-21 16:43:12', NULL, '2020-07-21', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 3.45000000, 0.00000000, 0.00000000, 17.24000000, 20.69000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 17.24000000, 3.45000000, 20.69000000, NULL),
(1717, 'CF2007-1633', 1, NULL, '', 2050, NULL, '2020-08-04 12:46:05', '2020-07-22 14:16:12', '2020-07-22 14:17:31', '2020-07-22 14:17:31', NULL, '2020-07-22', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 57.80000000, 0.00000000, 0.00000000, 289.00000000, 346.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 289.00000000, 57.80000000, 346.80000000, NULL),
(1718, 'CF2007-1634', 1, NULL, '', 1948, NULL, '2020-07-27 12:54:30', '2020-07-22 16:27:46', '2020-07-22 16:28:30', '2020-07-22 16:28:30', NULL, '2020-07-22', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 9.40000000, 0.00000000, 0.00000000, 47.00000000, 56.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 47.00000000, 9.40000000, 56.40000000, NULL),
(1719, 'CF2007-1635', 1, NULL, '', 2609, NULL, '2020-07-27 07:10:49', '2020-07-23 09:50:48', '2020-07-23 09:52:27', '2020-07-23 09:52:27', NULL, '2020-07-23', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 102.66000000, 0.00000000, 0.00000000, 513.30000000, 615.96000000, '', '', 'muscadet', NULL, NULL, 16, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 513.30000000, 102.66000000, 615.96000000, NULL),
(1720, 'CF2007-1636', 1, NULL, '', 2050, NULL, '2020-08-05 12:26:54', '2020-07-24 09:34:05', '2020-07-24 09:37:10', '2020-07-24 09:37:10', NULL, '2020-07-24', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 151.00000000, 0.00000000, 0.00000000, 755.00000000, 906.00000000, '', '', 'muscadet', NULL, NULL, 16, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 755.00000000, 151.00000000, 906.00000000, NULL),
(1721, 'CF2007-1641', 1, NULL, '', 1948, NULL, '2020-08-10 08:32:23', '2020-07-24 09:39:57', '2020-07-30 14:25:22', '2020-07-30 14:25:22', NULL, '2020-07-30', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 20.40000000, 0.00000000, 0.00000000, 102.00000000, 122.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 102.00000000, 20.40000000, 122.40000000, NULL),
(1722, 'CF2007-1637', 1, NULL, '', 2764, NULL, '2020-08-05 12:20:19', '2020-07-24 09:56:16', '2020-07-24 10:00:13', '2020-07-24 10:00:14', NULL, '2020-07-24', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 10.70000000, 0.00000000, 0.00000000, 53.50000000, 64.20000000, '', '', 'muscadet', NULL, NULL, 16, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 53.50000000, 10.70000000, 64.20000000, NULL),
(1724, 'CF2007-1638', 1, NULL, '', 2050, NULL, '2020-09-14 09:37:13', '2020-07-28 14:06:21', '2020-07-28 14:06:45', '2020-07-28 14:06:45', NULL, '2020-07-28', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 50.39000000, 0.00000000, 0.00000000, 251.95000000, 302.34000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 251.95000000, 50.39000000, 302.34000000, NULL),
(1725, 'CF2007-1639', 1, NULL, '', 2050, NULL, '2020-08-11 13:01:02', '2020-07-29 09:00:40', '2020-07-29 09:01:31', '2020-07-29 09:01:31', NULL, '2020-07-29', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 32.40000000, 0.00000000, 0.00000000, 162.00000000, 194.40000000, '', '', 'muscadet', NULL, NULL, 16, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 162.00000000, 32.40000000, 194.40000000, NULL),
(1726, 'CF2007-1640', 1, NULL, '', 2750, NULL, '2020-07-31 14:26:55', '2020-07-29 10:26:14', '2020-07-29 10:26:35', '2020-07-29 10:26:35', NULL, '2020-07-29', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 100.00000000, 0.00000000, 0.00000000, 500.00000000, 600.00000000, '', '', 'muscadet', NULL, NULL, 3, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 500.00000000, 100.00000000, 600.00000000, NULL),
(1729, 'CF2007-1642', 1, NULL, '', 1948, NULL, '2020-08-10 08:32:56', '2020-07-31 09:26:03', '2020-07-31 09:26:39', '2020-07-31 09:26:39', NULL, '2020-07-31', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 22.60000000, 0.00000000, 0.00000000, 113.00000000, 135.60000000, '', '', 'muscadet', NULL, NULL, 16, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 113.00000000, 22.60000000, 135.60000000, NULL),
(1730, 'CF2007-1643', 1, NULL, '', 2764, NULL, '2020-08-18 07:26:39', '2020-07-31 10:41:55', '2020-07-31 10:43:27', '2020-07-31 10:43:28', NULL, '2020-07-31', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 20.32000000, 0.00000000, 0.00000000, 101.64000000, 121.96000000, '', '', 'muscadet', NULL, NULL, 16, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 101.64000000, 20.32000000, 121.96000000, NULL),
(1731, 'CF2007-1644', 1, NULL, '', 2740, NULL, '2020-08-07 13:44:38', '2020-07-31 10:45:23', '2020-07-31 10:46:10', '2020-07-31 10:46:10', NULL, '2020-07-31', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 79.90000000, 0.00000000, 0.00000000, 399.50000000, 479.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 399.50000000, 79.90000000, 479.40000000, NULL),
(1732, 'CF2008-1645', 1, NULL, '', 1948, NULL, '2020-08-10 08:33:12', '2020-08-03 08:56:34', '2020-08-03 08:57:35', '2020-08-03 08:57:35', NULL, '2020-08-03', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 51.30000000, 0.00000000, 0.00000000, 256.50000000, 307.80000000, '', '', 'muscadet', NULL, NULL, 16, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 256.50000000, 51.30000000, 307.80000000, NULL),
(1733, 'CF2008-1646', 1, NULL, '', 1948, NULL, '2020-08-10 08:33:30', '2020-08-03 11:14:24', '2020-08-03 11:14:50', '2020-08-03 11:14:50', NULL, '2020-08-03', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 10.80000000, 0.00000000, 0.00000000, 54.00000000, 64.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 54.00000000, 10.80000000, 64.80000000, NULL),
(1734, 'CF2008-1647', 1, NULL, '', 2050, NULL, '2020-08-11 13:00:30', '2020-08-03 14:44:53', '2020-08-03 14:45:23', '2020-08-03 14:45:23', NULL, '2020-08-03', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 26.60000000, 0.00000000, 0.00000000, 133.00000000, 159.60000000, '', '', 'muscadet', NULL, NULL, 16, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 133.00000000, 26.60000000, 159.60000000, NULL),
(1735, 'CF2008-1648', 1, NULL, '', 2764, NULL, '2020-09-15 07:42:08', '2020-08-03 14:58:30', '2020-08-03 14:59:06', '2020-08-03 14:59:06', NULL, '2020-08-03', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 10.46000000, 0.00000000, 0.00000000, 52.32000000, 62.78000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 52.32000000, 10.46000000, 62.78000000, NULL),
(1736, 'CF2008-1649', 1, NULL, '', 2050, NULL, '2020-08-24 09:05:16', '2020-08-03 14:58:30', '2020-08-03 15:00:31', '2020-08-03 15:00:31', NULL, '2020-08-03', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 231.00000000, 0.00000000, 0.00000000, 1154.98000000, 1385.98000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1154.98000000, 231.00000000, 1385.98000000, NULL),
(1737, 'CF2008-1650', 1, NULL, '', 2050, NULL, '2020-08-11 13:00:12', '2020-08-06 10:16:29', '2020-08-06 10:17:05', '2020-08-06 10:17:05', NULL, '2020-08-06', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 36.40000000, 0.00000000, 0.00000000, 182.00000000, 218.40000000, '', '', 'muscadet', NULL, NULL, 16, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 182.00000000, 36.40000000, 218.40000000, NULL),
(1738, 'CF2008-1651', 1, NULL, '', 1948, NULL, '2020-08-10 08:05:05', '2020-08-06 10:17:37', '2020-08-06 10:18:47', '2020-08-06 10:18:47', NULL, '2020-08-06', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 39.98000000, 0.00000000, 0.00000000, 199.90000000, 239.88000000, '', '', 'muscadet', NULL, NULL, 16, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 199.90000000, 39.98000000, 239.88000000, NULL),
(1739, 'CF2008-1652', 1, NULL, '', 2764, NULL, '2020-09-15 07:42:44', '2020-08-06 10:19:24', '2020-08-06 10:20:16', '2020-08-06 10:20:17', NULL, '2020-08-06', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 23.82000000, 0.00000000, 0.00000000, 119.12000000, 142.94000000, '', '', 'muscadet', NULL, NULL, 16, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 119.12000000, 23.82000000, 142.94000000, NULL),
(1740, 'CF2008-1653', 1, NULL, '', 1948, NULL, '2020-08-10 08:05:19', '2020-08-06 14:10:56', '2020-08-06 14:11:33', '2020-08-06 14:11:34', NULL, '2020-08-06', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 26.00000000, 0.00000000, 0.00000000, 130.00000000, 156.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 130.00000000, 26.00000000, 156.00000000, NULL),
(1741, 'CF2008-1654', 1, NULL, '', 2673, NULL, '2020-08-11 13:01:43', '2020-08-06 14:10:57', '2020-08-06 14:13:38', '2020-08-06 14:13:38', NULL, '2020-08-06', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 28.15000000, 0.00000000, 0.00000000, 140.78000000, 168.93000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 140.78000000, 28.15000000, 168.93000000, NULL),
(1742, 'CF2008-1655', 1, NULL, '', 1948, NULL, '2020-08-12 11:56:51', '2020-08-10 11:57:54', '2020-08-10 11:58:20', '2020-08-10 11:58:21', NULL, '2020-08-10', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 70.80000000, 0.00000000, 0.00000000, 354.00000000, 424.80000000, '', '', 'muscadet', NULL, NULL, 16, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 354.00000000, 70.80000000, 424.80000000, NULL),
(1743, 'CF2008-1656', 1, NULL, '', 2627, NULL, '2020-08-19 12:18:54', '2020-08-10 15:43:22', '2020-08-11 11:30:30', '2020-08-11 11:30:30', NULL, '2020-08-11', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 88.65000000, 0.00000000, 0.00000000, 443.30000000, 531.95000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 443.30000000, 88.65000000, 531.95000000, NULL),
(1744, 'CF2008-1657', 1, NULL, '', 1948, NULL, '2020-08-14 09:55:12', '2020-08-12 15:30:17', '2020-08-12 15:30:44', '2020-08-12 15:30:45', NULL, '2020-08-12', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 2.80000000, 0.00000000, 0.00000000, 14.00000000, 16.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 14.00000000, 2.80000000, 16.80000000, NULL),
(1745, 'CF2008-1658', 1, NULL, '', 2627, NULL, '2020-09-09 07:10:06', '2020-08-13 10:19:18', '2020-08-13 10:20:26', '2020-08-13 10:20:26', NULL, '2020-08-13', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 82.58000000, 0.00000000, 0.00000000, 412.92000000, 495.50000000, '', '', 'muscadet', NULL, NULL, 16, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 412.92000000, 82.58000000, 495.50000000, NULL),
(1746, 'CF2008-1659', 1, NULL, '', 2114, NULL, '2020-08-13 08:33:46', '2020-08-13 10:32:50', '2020-08-13 10:33:07', '2020-08-13 10:33:07', NULL, '2020-08-13', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 61.91000000, 0.00000000, 0.00000000, 309.54000000, 371.45000000, '', '', 'muscadet', NULL, NULL, 16, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL),
(1747, 'CF2008-1661', 1, NULL, '', 2609, NULL, '2020-08-24 09:08:56', '2020-08-19 10:18:04', '2020-08-19 10:20:19', '2020-08-19 10:20:19', NULL, '2020-08-19', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 127.16000000, 0.00000000, 0.00000000, 635.80000000, 762.96000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 635.80000000, 127.16000000, 762.96000000, NULL),
(1748, 'CF2008-1662', 1, NULL, '', 2761, NULL, '2020-09-04 09:57:49', '2020-08-19 10:18:05', '2020-08-19 10:27:55', '2020-08-19 10:27:55', NULL, '2020-08-19', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 199.07000000, 0.00000000, 0.00000000, 995.35000000, 1194.42000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 995.35000000, 199.07000000, 1194.42000000, NULL),
(1750, 'CF2008-1663', 1, NULL, '', 2050, NULL, '2020-08-19 14:08:52', '2020-08-19 16:07:49', '2020-08-19 16:08:52', '2020-08-19 16:08:52', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 55.60000000, 0.00000000, 0.00000000, 277.98000000, 333.58000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 277.98000000, 55.60000000, 333.58000000, NULL),
(1751, 'CF2008-1664', 1, NULL, '', 2642, NULL, '2020-08-31 12:19:53', '2020-08-25 09:20:08', '2020-08-25 09:20:29', '2020-08-25 09:20:29', NULL, '2020-08-25', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 51.99000000, 0.00000000, 0.00000000, 259.95000000, 311.94000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 259.95000000, 51.99000000, 311.94000000, NULL),
(1752, 'CF2008-1665', 1, NULL, '', 10086, NULL, '2020-08-28 08:00:35', '2020-08-26 09:38:11', '2020-08-26 09:38:34', '2020-08-26 09:38:34', NULL, '2020-08-26', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 37.01000000, 0.00000000, 0.00000000, 185.05000000, 222.06000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 185.05000000, 37.01000000, 222.06000000, NULL),
(1753, 'CF2008-1666', 1, NULL, '', 2673, NULL, '2020-08-28 07:43:43', '2020-08-26 09:39:18', '2020-08-26 09:39:39', '2020-08-26 09:39:39', NULL, '2020-08-26', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 50.60000000, 0.00000000, 0.00000000, 253.00000000, 303.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 253.00000000, 50.60000000, 303.60000000, NULL),
(1754, 'CF2008-1667', 1, NULL, '', 1948, NULL, '2020-09-02 12:36:35', '2020-08-27 09:17:05', '2020-08-27 09:21:47', '2020-08-27 09:21:47', NULL, '2020-08-27', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 51.20000000, 0.00000000, 0.00000000, 256.00000000, 307.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 256.00000000, 51.20000000, 307.20000000, NULL),
(1755, 'CF2008-1668', 1, NULL, '', 1948, NULL, '2020-09-02 12:36:53', '2020-08-31 11:29:25', '2020-08-31 11:29:46', '2020-08-31 11:29:46', NULL, '2020-08-31', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 7.40000000, 0.00000000, 0.00000000, 37.00000000, 44.40000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 37.00000000, 7.40000000, 44.40000000, NULL),
(1756, 'CF2009-1671', 1, NULL, '', 2673, NULL, '2020-09-04 08:54:41', '2020-09-02 09:19:31', '2020-09-02 11:46:56', '2020-09-02 11:46:56', NULL, '2020-09-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 8.88000000, 0.00000000, 0.00000000, 44.36000000, 53.24000000, '', '', 'muscadet', NULL, NULL, 3, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 44.36000000, 8.88000000, 53.24000000, NULL),
(1757, 'CF2009-1669', 1, NULL, '', 2673, NULL, '2020-09-04 08:54:11', '2020-09-02 09:26:06', '2020-09-02 09:44:53', '2020-09-02 09:44:53', NULL, '2020-09-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 133.00000000, 0.00000000, 0.00000000, 664.95000000, 797.95000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 664.95000000, 133.00000000, 797.95000000, NULL),
(1758, 'CF2009-1670', 1, NULL, '', 2673, NULL, '2020-09-04 08:54:29', '2020-09-02 09:52:23', '2020-09-02 09:52:43', '2020-09-02 09:52:43', NULL, '2020-09-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 24.24000000, 0.00000000, 0.00000000, 121.20000000, 145.44000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 121.20000000, 24.24000000, 145.44000000, NULL),
(1759, 'CF2009-1672', 1, NULL, '', 2740, NULL, '2020-09-04 08:46:37', '2020-09-02 11:46:37', '2020-09-02 11:48:40', '2020-09-02 11:48:40', NULL, '2020-09-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 8.32000000, 0.00000000, 0.00000000, 41.64000000, 49.96000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 41.64000000, 8.32000000, 49.96000000, NULL),
(1760, 'CF2009-1673', 1, NULL, '', 2050, NULL, '2020-09-29 13:01:26', '2020-09-02 11:51:46', '2020-09-02 11:55:54', '2020-09-02 11:55:54', NULL, '2020-09-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 57.40000000, 0.00000000, 0.00000000, 287.00000000, 344.40000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 287.00000000, 57.40000000, 344.40000000, NULL),
(1761, 'CF2009-1674', 1, NULL, '', 2719, NULL, '2020-09-08 09:53:03', '2020-09-02 14:51:47', '2020-09-02 14:54:01', '2020-09-02 14:54:01', NULL, '2020-09-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 11.44000000, 0.00000000, 0.00000000, 57.18000000, 68.62000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 57.18000000, 11.44000000, 68.62000000, NULL),
(1762, 'CF2009-1675', 1, NULL, '', 1948, NULL, '2020-09-10 07:06:01', '2020-09-04 09:10:00', '2020-09-04 09:10:15', '2020-09-04 09:10:15', NULL, '2020-09-04', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 27.37000000, 0.00000000, 0.00000000, 136.84000000, 164.21000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 136.84000000, 27.37000000, 164.21000000, NULL),
(1763, 'CF2009-1676', 1, NULL, '', 2050, NULL, '2020-09-04 07:17:52', '2020-09-04 09:17:18', '2020-09-04 09:17:43', '2020-09-04 09:17:43', NULL, '2020-09-04', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 68.00000000, 0.00000000, 0.00000000, 340.00000000, 408.00000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 340.00000000, 68.00000000, 408.00000000, NULL),
(1764, 'CF2009-1677', 1, NULL, '', 1948, NULL, '2020-09-10 07:06:19', '2020-09-04 10:21:00', '2020-09-04 10:21:50', '2020-09-04 10:21:51', NULL, '2020-09-04', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 8.40000000, 0.00000000, 0.00000000, 42.00000000, 50.40000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 42.00000000, 8.40000000, 50.40000000, NULL),
(1765, 'CF2009-1678', 1, NULL, '', 2050, NULL, '2020-09-15 07:30:10', '2020-09-08 10:42:15', '2020-09-08 10:50:07', '2020-09-08 10:50:08', NULL, '2020-09-08', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 177.12000000, 0.00000000, 0.00000000, 885.60000000, 1062.72000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 885.60000000, 177.12000000, 1062.72000000, NULL);
INSERT INTO `llx_commande_fournisseur` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_supplier`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_approve`, `date_approve2`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_approve`, `fk_user_approve2`, `source`, `fk_statut`, `billed`, `amount_ht`, `remise_percent`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `date_livraison`, `fk_account`, `fk_cond_reglement`, `fk_mode_reglement`, `fk_input_method`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`) VALUES
(1766, 'CF2009-1679', 1, NULL, '', 1948, NULL, '2020-09-14 12:16:43', '2020-09-09 14:03:00', '2020-09-09 14:03:40', '2020-09-09 14:03:40', NULL, '2020-09-09', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 30.12000000, 0.00000000, 0.00000000, 150.60000000, 180.72000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 150.60000000, 30.12000000, 180.72000000, NULL),
(1767, 'CF2009-1680', 1, NULL, '', 2729, NULL, '2020-09-25 13:04:53', '2020-09-10 14:12:38', '2020-09-10 14:12:56', '2020-09-10 14:12:56', NULL, '2020-09-10', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 96.55000000, 0.00000000, 0.00000000, 482.74000000, 579.29000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 482.74000000, 96.55000000, 579.29000000, NULL),
(1768, 'CF2009-1681', 1, NULL, '', 1948, NULL, '2020-09-25 12:56:00', '2020-09-10 15:29:34', '2020-09-10 15:29:59', '2020-09-10 15:30:00', NULL, '2020-09-10', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 13.80000000, 0.00000000, 0.00000000, 138.00000000, 151.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 138.00000000, 13.80000000, 151.80000000, NULL),
(1769, 'CF2009-1682', 1, NULL, '', 2050, NULL, '2020-09-10 13:39:28', '2020-09-10 15:29:34', '2020-09-10 15:30:42', '2020-09-10 15:30:42', NULL, '2020-09-10', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 160.80000000, 0.00000000, 0.00000000, 804.00000000, 964.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 804.00000000, 160.80000000, 964.80000000, NULL),
(1770, 'CF2009-1684', 1, NULL, '', 1948, NULL, '2020-09-25 12:58:26', '2020-09-11 09:33:54', '2020-09-11 10:13:27', '2020-09-11 10:13:27', NULL, '2020-09-11', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 141.56000000, 0.00000000, 0.00000000, 755.81000000, 897.37000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 755.81000000, 141.56000000, 897.37000000, NULL),
(1771, 'CF2009-1683', 1, NULL, '', 2729, NULL, '2020-09-25 13:04:03', '2020-09-11 09:38:17', '2020-09-11 10:07:08', '2020-09-11 10:07:08', NULL, '2020-09-11', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 950.62000000, 950.62000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 950.62000000, 0.00000000, 950.62000000, NULL),
(1772, 'CF2009-1685', 1, NULL, '', 2764, NULL, '2020-09-17 07:06:11', '2020-09-11 09:39:25', '2020-09-11 10:14:04', '2020-09-11 10:14:04', NULL, '2020-09-11', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 15.78000000, 0.00000000, 0.00000000, 78.87000000, 94.65000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 78.87000000, 15.78000000, 94.65000000, NULL),
(1773, 'CF2009-1686', 1, NULL, '', 2050, NULL, '2020-10-12 12:27:17', '2020-09-11 09:40:13', '2020-09-11 10:14:41', '2020-09-11 10:14:41', NULL, '2020-09-11', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 579.20000000, 0.00000000, 0.00000000, 2896.00000000, 3475.20000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2896.00000000, 579.20000000, 3475.20000000, NULL),
(1774, 'CF2009-1687', 1, NULL, '', 1948, NULL, '2020-10-22 14:35:54', '2020-09-15 09:14:05', '2020-09-15 09:14:31', '2020-09-15 09:14:32', NULL, '2020-09-15', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 177.14000000, 0.00000000, 0.00000000, 885.66000000, 1062.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 885.66000000, 177.14000000, 1062.80000000, NULL),
(1775, 'CF2009-1688', 1, NULL, '', 2050, NULL, '2020-10-06 12:58:50', '2020-09-15 09:37:14', '2020-09-15 09:38:06', '2020-09-15 09:38:06', NULL, '2020-09-15', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 70.60000000, 0.00000000, 0.00000000, 353.00000000, 423.60000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 353.00000000, 70.60000000, 423.60000000, NULL),
(1776, 'CF2009-1689', 1, NULL, '', 2050, NULL, '2020-10-08 08:16:36', '2020-09-15 10:14:09', '2020-09-15 10:14:39', '2020-09-15 10:14:39', NULL, '2020-09-15', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 74.00000000, 0.00000000, 0.00000000, 370.00000000, 444.00000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 370.00000000, 74.00000000, 444.00000000, NULL),
(1777, 'CF2009-1690', 1, NULL, '', 1948, NULL, '2020-09-25 12:59:54', '2020-09-15 14:28:11', '2020-09-15 14:28:32', '2020-09-15 14:28:32', NULL, '2020-09-15', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 12.10000000, 0.00000000, 0.00000000, 60.51000000, 72.61000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 60.51000000, 12.10000000, 72.61000000, NULL),
(1778, 'CF2009-1691', 1, NULL, '', 1948, NULL, '2020-09-25 12:56:18', '2020-09-16 11:49:04', '2020-09-16 11:49:17', '2020-09-16 11:49:18', NULL, '2020-09-16', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 11.00000000, 0.00000000, 0.00000000, 55.00000000, 66.00000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 55.00000000, 11.00000000, 66.00000000, NULL),
(1779, 'CF2009-1692', 1, NULL, '', 1948, NULL, '2020-09-25 12:56:35', '2020-09-16 16:05:28', '2020-09-16 16:05:51', '2020-09-16 16:05:51', NULL, '2020-09-16', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 16.40000000, 0.00000000, 0.00000000, 82.00000000, 98.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 82.00000000, 16.40000000, 98.40000000, NULL),
(1780, 'CF2009-1693', 1, NULL, '', 2740, NULL, '2020-09-24 07:22:31', '2020-09-18 11:34:09', '2020-09-18 11:34:27', '2020-09-18 11:34:27', NULL, '2020-09-18', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 114.98000000, 0.00000000, 0.00000000, 574.90000000, 689.88000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 574.90000000, 114.98000000, 689.88000000, NULL),
(1781, 'CF2009-1694', 1, NULL, '', 1948, NULL, '2020-09-18 13:33:13', '2020-09-18 15:32:43', '2020-09-18 15:33:05', '2020-09-18 15:33:05', NULL, '2020-09-18', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 6.20000000, 0.00000000, 0.00000000, 31.00000000, 37.20000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 31.00000000, 6.20000000, 37.20000000, NULL),
(1782, 'CF2009-1695', 1, NULL, '', 1948, NULL, '2020-09-25 12:56:56', '2020-09-18 16:07:37', '2020-09-18 16:07:57', '2020-09-18 16:07:57', NULL, '2020-09-18', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 9.60000000, 0.00000000, 0.00000000, 48.00000000, 57.60000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 5, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 48.00000000, 9.60000000, 57.60000000, NULL),
(1783, 'CF2009-1696', 1, NULL, '', 2673, NULL, '2020-09-29 07:00:13', '2020-09-23 10:44:27', '2020-09-23 10:50:31', '2020-09-23 10:50:32', NULL, '2020-09-23', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 34.02000000, 0.00000000, 0.00000000, 170.11000000, 204.13000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 170.11000000, 34.02000000, 204.13000000, NULL),
(1784, 'CF2009-1697', 1, NULL, '', 1948, NULL, '2020-09-25 12:20:52', '2020-09-24 10:36:18', '2020-09-24 11:01:27', '2020-09-24 11:01:27', NULL, '2020-09-24', 5, 5, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 39.80000000, 0.00000000, 0.00000000, 199.00000000, 238.80000000, '', 'DEPART CE JOUR SVP ! COMMANDE URGENTE', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 199.00000000, 39.80000000, 238.80000000, NULL),
(1785, 'CF2009-1698', 1, NULL, '', 2050, NULL, '2020-09-29 12:31:50', '2020-09-24 14:46:44', '2020-09-24 14:49:02', '2020-09-24 14:49:02', NULL, '2020-09-24', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 277.20000000, 0.00000000, 0.00000000, 1385.98000000, 1663.18000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1385.98000000, 277.20000000, 1663.18000000, NULL),
(1786, 'CF2009-1699', 1, NULL, '', 2729, NULL, '2020-10-21 12:45:33', '2020-09-24 15:21:24', '2020-09-24 15:25:12', '2020-09-24 15:25:12', NULL, '2020-09-24', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 330.90000000, 330.90000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 330.90000000, 0.00000000, 330.90000000, NULL),
(1787, 'CF2010-1719', 1, NULL, '', 1948, NULL, '2020-11-19 08:28:43', '2020-09-24 15:21:24', '2020-10-16 09:05:53', '2020-10-16 09:05:53', NULL, '2020-10-16', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 54.74000000, 0.00000000, 0.00000000, 273.68000000, 328.42000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 273.68000000, 54.74000000, 328.42000000, NULL),
(1788, 'CF2009-1700', 1, NULL, '', 2740, NULL, '2020-09-29 12:28:49', '2020-09-25 15:08:20', '2020-09-25 15:10:12', '2020-09-25 15:10:12', NULL, '2020-09-25', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 11.46000000, 0.00000000, 0.00000000, 57.32000000, 68.78000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 57.32000000, 11.46000000, 68.78000000, NULL),
(1789, 'CF2009-1701', 1, NULL, '', 2050, NULL, '2020-10-05 07:33:15', '2020-09-29 10:50:53', '2020-09-29 10:51:33', '2020-09-29 10:51:33', NULL, '2020-09-29', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 122.00000000, 0.00000000, 0.00000000, 610.00000000, 732.00000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 610.00000000, 122.00000000, 732.00000000, NULL),
(1790, 'CF2009-1702', 1, NULL, '', 2050, NULL, '2020-10-01 13:15:14', '2020-09-29 11:30:15', '2020-09-29 11:30:37', '2020-09-29 11:30:37', NULL, '2020-09-29', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 41.00000000, 0.00000000, 0.00000000, 205.00000000, 246.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 205.00000000, 41.00000000, 246.00000000, NULL),
(1791, 'CF2009-1703', 1, NULL, '', 2723, NULL, '2020-10-05 13:54:52', '2020-09-29 11:49:26', '2020-09-29 11:50:07', '2020-09-29 11:50:07', NULL, '2020-09-29', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 9.39000000, 0.00000000, 0.00000000, 46.98000000, 56.37000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 46.98000000, 9.39000000, 56.37000000, NULL),
(1792, 'CF2009-1704', 1, NULL, '', 2050, NULL, '2020-10-05 08:16:58', '2020-09-29 14:12:24', '2020-09-29 14:12:56', '2020-09-29 14:12:56', NULL, '2020-09-29', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 391.00000000, 0.00000000, 0.00000000, 1955.00000000, 2346.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1955.00000000, 391.00000000, 2346.00000000, NULL),
(1793, 'CF2009-1705', 1, NULL, '', 2609, NULL, '2020-09-30 12:38:30', '2020-09-30 14:27:26', '2020-09-30 14:37:30', '2020-09-30 14:37:30', NULL, '2020-09-30', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 80.86000000, 0.00000000, 0.00000000, 404.32000000, 485.18000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 404.32000000, 80.86000000, 485.18000000, NULL),
(1794, 'CF2009-1706', 1, NULL, '', 2673, NULL, '2020-10-12 12:23:59', '2020-09-30 14:27:27', '2020-09-30 14:39:50', '2020-09-30 14:39:50', NULL, '2020-09-30', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 22.20000000, 0.00000000, 0.00000000, 111.00000000, 133.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 111.00000000, 22.20000000, 133.20000000, NULL),
(1795, 'CF2010-1707', 1, NULL, '', 2050, NULL, '2020-10-08 12:56:56', '2020-10-05 14:14:36', '2020-10-05 14:15:36', '2020-10-05 14:15:36', NULL, '2020-10-05', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 188.20000000, 0.00000000, 0.00000000, 941.00000000, 1129.20000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 941.00000000, 188.20000000, 1129.20000000, NULL),
(1796, 'CF2010-1708', 1, NULL, '', 1948, NULL, '2020-10-12 12:24:34', '2020-10-06 10:18:52', '2020-10-06 10:21:14', '2020-10-06 10:21:15', NULL, '2020-10-06', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 9.06000000, 0.00000000, 0.00000000, 45.30000000, 54.36000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 45.30000000, 9.06000000, 54.36000000, NULL),
(1797, 'CF2010-1709', 1, NULL, '', 2050, NULL, '2020-10-06 09:25:58', '2020-10-06 11:24:51', '2020-10-06 11:25:47', '2020-10-06 11:25:47', NULL, '2020-10-06', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 30.00000000, 0.00000000, 0.00000000, 150.00000000, 180.00000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 150.00000000, 30.00000000, 180.00000000, NULL),
(1798, 'CF2010-1710', 1, NULL, '', 2609, NULL, '2020-10-08 12:56:22', '2020-10-07 09:18:40', '2020-10-07 09:19:18', '2020-10-07 09:19:18', NULL, '2020-10-07', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 31.80000000, 0.00000000, 0.00000000, 159.00000000, 190.80000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 159.00000000, 31.80000000, 190.80000000, NULL),
(1799, 'CF2010-1711', 1, NULL, '', 2712, NULL, '2020-11-03 14:22:10', '2020-10-07 14:20:18', '2020-10-07 14:20:54', '2020-10-07 14:20:54', NULL, '2020-11-03', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 138.70000000, 0.00000000, 0.00000000, 693.50000000, 832.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 693.50000000, 138.70000000, 832.20000000, NULL),
(1800, 'CF2010-1712', 1, NULL, '', 2725, NULL, '2020-12-16 08:23:00', '2020-10-08 15:03:28', '2020-10-08 15:04:37', '2020-10-08 15:04:37', NULL, '2020-12-16', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 133.00000000, 0.00000000, 0.00000000, 665.00000000, 798.00000000, '', '', 'muscadet', NULL, NULL, 16, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 665.00000000, 133.00000000, 798.00000000, NULL),
(1801, 'CF2010-1713', 1, NULL, '', 2729, NULL, '2020-10-08 14:24:10', '2020-10-08 16:13:06', '2020-10-08 16:24:10', '2020-10-08 16:24:10', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 3320.20000000, 3320.20000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3320.20000000, 0.00000000, 3320.20000000, NULL),
(1802, 'CF2010-1714', 1, NULL, '', 2642, NULL, '2020-10-21 08:36:34', '2020-10-08 17:12:07', '2020-10-08 17:12:23', '2020-10-08 17:12:23', NULL, '2020-10-08', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 37.79000000, 0.00000000, 0.00000000, 188.94000000, 226.73000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 188.94000000, 37.79000000, 226.73000000, NULL),
(1803, 'CF2010-1715', 1, NULL, '', 1948, NULL, '2020-10-22 14:36:13', '2020-10-09 14:15:57', '2020-10-09 14:16:10', '2020-10-09 14:16:10', NULL, '2020-10-09', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 7.46000000, 0.00000000, 0.00000000, 37.30000000, 44.76000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 37.30000000, 7.46000000, 44.76000000, NULL),
(1804, 'CF2010-1716', 1, NULL, '', 2627, NULL, '2020-10-16 12:14:13', '2020-10-12 15:23:14', '2020-10-12 15:24:29', '2020-10-12 15:24:29', NULL, '2020-10-12', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 79.66000000, 0.00000000, 0.00000000, 398.34000000, 478.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 398.34000000, 79.66000000, 478.00000000, NULL),
(1805, 'CF2010-1717', 1, NULL, '', 2764, NULL, '2020-12-23 09:54:06', '2020-10-13 14:28:59', '2020-10-13 14:29:34', '2020-10-13 14:29:34', NULL, '2020-10-13', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 10.97000000, 0.00000000, 0.00000000, 54.84000000, 65.81000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 54.84000000, 10.97000000, 65.81000000, NULL),
(1806, 'CF2010-1718', 1, NULL, '', 2050, NULL, '2020-10-14 12:47:59', '2020-10-14 14:47:19', '2020-10-14 14:47:51', '2020-10-14 14:47:51', NULL, '2020-10-14', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 112.80000000, 0.00000000, 0.00000000, 564.00000000, 676.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 564.00000000, 112.80000000, 676.80000000, NULL),
(1807, 'CF2010-1720', 1, NULL, '', 2764, NULL, '2020-10-16 14:03:59', '2020-10-16 16:03:18', '2020-10-16 16:03:35', '2020-10-16 16:03:35', NULL, '2020-10-16', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 3.14000000, 0.00000000, 0.00000000, 15.72000000, 18.86000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 15.72000000, 3.14000000, 18.86000000, NULL),
(1808, 'CF2010-1721', 1, NULL, '', 2729, NULL, '2020-11-19 08:12:02', '2020-10-20 10:47:10', '2020-10-20 10:47:57', '2020-10-20 10:47:58', NULL, '2020-10-20', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 3060.00000000, 3060.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3060.00000000, 0.00000000, 3060.00000000, NULL),
(1809, 'CF2010-1722', 1, NULL, '', 1948, NULL, '2020-10-22 14:36:56', '2020-10-20 11:30:46', '2020-10-20 11:31:19', '2020-10-20 11:31:19', NULL, '2020-10-20', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 39.40000000, 0.00000000, 0.00000000, 197.00000000, 236.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 197.00000000, 39.40000000, 236.40000000, NULL),
(1810, 'CF2010-1723', 1, NULL, '', 2725, NULL, '2020-10-29 08:52:51', '2020-10-21 09:11:32', '2020-10-21 09:11:54', '2020-10-21 09:11:54', NULL, '2020-10-21', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 95.20000000, 0.00000000, 0.00000000, 476.00000000, 571.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 476.00000000, 95.20000000, 571.20000000, NULL),
(1811, 'CF2010-1724', 1, NULL, '', 2740, NULL, '2020-10-21 09:05:12', '2020-10-21 11:04:01', '2020-10-21 11:04:57', '2020-10-21 11:04:57', NULL, '2020-10-21', 5, 5, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 51.60000000, 0.00000000, 0.00000000, 258.00000000, 309.60000000, '', 'LIvraison direct chez le client : <br />\r\nAdresse de livraison : <br />\r\n<span style=\"font-size:11.0pt\"><span style=\"font-family:\"Calibri\",\"sans-serif\"\"><span style=\"color:#1f497d\">TRUCKS SOLUTIONS</span></span></span><br />\r\n<span style=\"font-size:11.0pt\"><span style=\"font-family:\"Calibri\",\"sans-serif\"\"><span style=\"color:#1f497d\">31 AVENUE DE QUEBEC</span></span></span><br />\r\n<span style=\"font-size:11.0pt\"><span style=\"font-family:\"Calibri\",\"sans-serif\"\"><span style=\"color:#1f497d\">26240 ST VALLIER.</span></span></span><br />\r\n<span style=\"font-size:13.0pt\"><span style=\"font-family:\"Arial\",\"sans-serif\"\"><span style=\"color:#1f497d\">Grégory PASQUION</span></span></span><br />\r\n<span style=\"font-size:9.0pt\"><span style=\"font-family:\"Arial\",\"sans-serif\"\"><span style=\"color:#1f497d\">Magasinier Acheteur</span></span></span><br />\r\n<span style=\"font-size:9.0pt\"><span style=\"font-family:\"Arial\",\"sans-serif\"\"><span style=\"color:#1f497d\">+33 (0)4 75 23 57 51</span></span></span><br />\r\n ', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 258.00000000, 51.60000000, 309.60000000, NULL),
(1812, 'CF2010-1725', 1, NULL, '', 1948, NULL, '2020-10-21 09:32:00', '2020-10-21 11:31:25', '2020-10-21 11:32:00', '2020-10-21 11:32:00', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 702.20000000, 0.00000000, 0.00000000, 3511.00000000, 4213.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3511.00000000, 702.20000000, 4213.20000000, NULL),
(1813, 'CF2010-1726', 1, NULL, '', 2740, NULL, '2020-10-29 08:43:49', '2020-10-21 15:01:02', '2020-10-21 15:03:26', '2020-10-21 15:03:26', NULL, '2020-10-21', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 8.32000000, 0.00000000, 0.00000000, 41.64000000, 49.96000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 41.64000000, 8.32000000, 49.96000000, NULL),
(1814, 'CF2010-1727', 1, NULL, '', 1948, NULL, '2020-11-19 08:29:06', '2020-10-21 15:35:33', '2020-10-21 15:37:19', '2020-10-21 15:37:19', NULL, '2020-10-21', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 14.62000000, 0.00000000, 0.00000000, 73.10000000, 87.72000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 73.10000000, 14.62000000, 87.72000000, NULL),
(1815, 'CF2010-1729', 1, NULL, '', 1948, NULL, '2020-10-21 14:19:54', '2020-10-21 15:47:46', '2020-10-21 16:19:46', '2020-10-21 16:19:46', NULL, '2020-10-21', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 14.60000000, 0.00000000, 0.00000000, 73.00000000, 87.60000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 73.00000000, 14.60000000, 87.60000000, NULL),
(1816, 'CF2010-1728', 1, NULL, '', 1948, NULL, '2020-10-21 13:50:27', '2020-10-21 15:49:09', '2020-10-21 15:50:20', '2020-10-21 15:50:20', NULL, '2020-10-21', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 0.00000000, 0.00000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 0.00000000, 0.00000000, 0.00000000, NULL),
(1817, 'CF2010-1730', 1, NULL, '', 2050, NULL, '2020-11-16 10:26:53', '2020-10-22 10:50:48', '2020-10-22 10:52:30', '2020-10-22 10:52:30', NULL, '2020-10-22', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 75.40000000, 0.00000000, 0.00000000, 377.00000000, 452.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 377.00000000, 75.40000000, 452.40000000, NULL),
(1818, 'CF2010-1731', 1, NULL, '', 2729, NULL, '2020-10-22 12:02:59', '2020-10-22 14:02:10', '2020-10-22 14:02:50', '2020-10-22 14:02:50', NULL, '2020-10-22', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 74.90000000, 74.90000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 74.90000000, 0.00000000, 74.90000000, NULL),
(1819, 'CF2010-1732', 1, NULL, '', 2679, NULL, '2020-10-22 15:02:09', '2020-10-22 16:58:28', '2020-10-22 17:02:08', '2020-10-22 17:02:09', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 284.24000000, 0.00000000, 0.00000000, 1421.19000000, 1705.43000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1421.19000000, 284.24000000, 1705.43000000, NULL),
(1820, 'CF2010-1733', 1, NULL, '', 2050, NULL, '2020-10-26 08:49:07', '2020-10-26 09:47:16', '2020-10-26 09:49:07', '2020-10-26 09:49:07', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 2284.80000000, 0.00000000, 0.00000000, 11424.00000000, 13708.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 11424.00000000, 2284.80000000, 13708.80000000, NULL),
(1821, 'CF2010-1734', 1, NULL, '', 2691, NULL, '2020-11-18 13:29:19', '2020-10-26 09:53:13', '2020-10-26 12:13:38', '2020-10-26 12:13:38', NULL, '2020-11-18', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 85.13000000, 0.00000000, 0.00000000, 425.68000000, 510.81000000, '', 'suivant offre de prix SQ-153009-2', 'muscadet', NULL, NULL, 9, NULL, 2, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 425.68000000, 85.13000000, 510.81000000, NULL),
(1822, 'CF2010-1735', 1, NULL, '', 2729, NULL, '2020-10-27 08:50:33', '2020-10-27 09:49:29', '2020-10-27 09:50:24', '2020-10-27 09:50:24', NULL, '2020-10-27', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 88.00000000, 88.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 88.00000000, 0.00000000, 88.00000000, NULL),
(1823, 'CF2010-1736', 1, NULL, '', 1948, NULL, '2020-10-27 09:22:59', '2020-10-27 10:13:43', '2020-10-27 10:22:50', '2020-10-27 10:22:50', NULL, '2020-10-27', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 127.20000000, 0.00000000, 0.00000000, 636.00000000, 763.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 636.00000000, 127.20000000, 763.20000000, NULL),
(1825, 'CF2010-1737', 1, NULL, '', 1948, NULL, '2020-10-27 14:25:12', '2020-10-27 15:24:34', '2020-10-27 15:24:57', '2020-10-27 15:24:57', NULL, '2020-10-27', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 0.60000000, 0.00000000, 0.00000000, 3.00000000, 3.60000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3.00000000, 0.60000000, 3.60000000, NULL),
(1826, 'CF2010-1738', 1, NULL, '', 2729, NULL, '2020-10-27 14:34:33', '2020-10-27 15:33:13', '2020-10-27 15:34:12', '2020-10-27 15:34:13', NULL, '2020-10-27', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 74.90000000, 74.90000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 74.90000000, 0.00000000, 74.90000000, NULL),
(1827, 'CF2010-1739', 1, NULL, '', 2764, NULL, '2020-10-30 08:35:25', '2020-10-28 08:56:57', '2020-10-28 08:57:13', '2020-10-28 08:57:13', NULL, '2020-10-30', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 14.38000000, 0.00000000, 0.00000000, 71.88000000, 86.26000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 71.88000000, 14.38000000, 86.26000000, NULL),
(1828, 'CF2010-1740', 1, NULL, '', 12647, NULL, '2020-11-16 10:20:14', '2020-10-28 10:42:17', '2020-10-28 10:42:30', '2020-10-28 10:42:30', NULL, '2020-10-28', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 27.73000000, 0.00000000, 0.00000000, 138.64000000, 166.37000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 138.64000000, 27.73000000, 166.37000000, NULL),
(1829, 'CF2010-1741', 1, NULL, '', 2729, NULL, '2020-10-28 14:50:16', '2020-10-28 15:48:19', '2020-10-28 15:49:34', '2020-10-28 15:49:34', NULL, '2020-10-28', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 7395.30000000, 7395.30000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 7395.30000000, 0.00000000, 7395.30000000, NULL),
(1830, 'CF2010-1742', 1, NULL, '', 1948, NULL, '2020-10-29 14:51:09', '2020-10-29 15:49:08', '2020-10-29 15:51:01', '2020-10-29 15:51:01', NULL, '2020-10-29', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 72.00000000, 0.00000000, 0.00000000, 360.00000000, 432.00000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 360.00000000, 72.00000000, 432.00000000, NULL),
(1831, 'CF2010-1743', 1, NULL, '', 2050, NULL, '2020-11-04 15:31:56', '2020-10-29 16:03:07', '2020-10-29 16:03:29', '2020-10-29 16:03:29', NULL, '2020-10-29', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 68.00000000, 0.00000000, 0.00000000, 340.00000000, 408.00000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 340.00000000, 68.00000000, 408.00000000, NULL),
(1832, 'CF2010-1744', 1, NULL, '', 2740, NULL, '2020-10-30 08:30:56', '2020-10-30 09:29:17', '2020-10-30 09:30:33', '2020-10-30 09:30:33', NULL, '2020-10-30', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 579.33000000, 0.00000000, 0.00000000, 2896.68000000, 3476.01000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 2896.68000000, 579.33000000, 3476.01000000, NULL),
(1833, 'CF2011-1745', 1, NULL, '', 1948, NULL, '2020-11-02 08:26:42', '2020-11-02 09:25:42', '2020-11-02 09:26:33', '2020-11-02 09:26:34', NULL, '2020-11-02', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 76.92000000, 0.00000000, 0.00000000, 384.60000000, 461.52000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 384.60000000, 76.92000000, 461.52000000, NULL),
(1834, 'CF2011-1746', 1, NULL, '', 1948, NULL, '2020-11-02 08:31:31', '2020-11-02 09:30:46', '2020-11-02 09:31:23', '2020-11-02 09:31:24', NULL, '2020-11-02', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 19.84000000, 0.00000000, 0.00000000, 99.22000000, 119.06000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 99.22000000, 19.84000000, 119.06000000, NULL),
(1835, 'CF2012-1782', 1, NULL, '', 2764, NULL, '2020-12-18 15:16:34', '2020-11-02 09:30:47', '2020-12-04 12:00:25', '2020-12-04 12:00:25', NULL, '2020-12-04', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 50.28000000, 0.00000000, 0.00000000, 251.42000000, 301.70000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 251.42000000, 50.28000000, 301.70000000, NULL),
(1836, 'CF2011-1747', 1, NULL, '', 2725, NULL, '2020-12-07 08:31:09', '2020-11-02 10:38:15', '2020-11-02 10:41:32', '2020-11-02 10:41:32', NULL, '2020-11-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 148.81000000, 0.00000000, 0.00000000, 744.03000000, 892.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 744.03000000, 148.81000000, 892.84000000, NULL),
(1837, 'CF2011-1748', 1, NULL, '', 1948, NULL, '2020-11-02 09:47:50', '2020-11-02 10:42:35', '2020-11-02 10:47:23', '2020-11-02 10:47:24', NULL, '2020-11-02', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 385.97000000, 0.00000000, 0.00000000, 1929.87000000, 2315.84000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1929.87000000, 385.97000000, 2315.84000000, NULL),
(1838, 'CF2011-1749', 1, NULL, '', 1948, NULL, '2020-11-02 09:49:13', '2020-11-02 10:48:47', '2020-11-02 10:49:04', '2020-11-02 10:49:05', NULL, '2020-11-02', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 34.65000000, 0.00000000, 0.00000000, 173.25000000, 207.90000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 173.25000000, 34.65000000, 207.90000000, NULL),
(1839, 'CF2011-1750', 1, NULL, '', 2627, NULL, '2020-11-02 09:52:04', '2020-11-02 10:50:25', '2020-11-02 10:52:03', '2020-11-02 10:52:04', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 137.02000000, 0.00000000, 0.00000000, 685.10000000, 822.12000000, '', '', 'muscadet', NULL, NULL, 3, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 685.10000000, 137.02000000, 822.12000000, NULL),
(1840, 'CF2011-1751', 1, NULL, '', 2050, NULL, '2020-11-16 10:28:08', '2020-11-03 14:57:01', '2020-11-03 14:58:21', '2020-11-03 14:58:22', NULL, '2020-11-03', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 111.01000000, 0.00000000, 0.00000000, 555.06000000, 666.07000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 555.06000000, 111.01000000, 666.07000000, NULL),
(1841, 'CF2011-1752', 1, NULL, '', 1948, NULL, '2020-11-05 13:55:44', '2020-11-03 14:59:07', '2020-11-03 15:01:00', '2020-11-03 15:01:00', NULL, '2020-11-03', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 52.00000000, 0.00000000, 0.00000000, 260.00000000, 312.00000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 260.00000000, 52.00000000, 312.00000000, NULL),
(1842, 'CF2011-1753', 1, NULL, '', 2050, NULL, '2020-11-16 10:24:29', '2020-11-05 09:18:18', '2020-11-05 09:18:34', '2020-11-05 09:18:34', NULL, '2020-11-05', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 69.60000000, 0.00000000, 0.00000000, 348.00000000, 417.60000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 348.00000000, 69.60000000, 417.60000000, NULL),
(1843, 'CF2011-1754', 1, NULL, '', 1948, NULL, '2020-11-16 10:24:54', '2020-11-06 09:42:40', '2020-11-06 09:46:49', '2020-11-06 09:46:49', NULL, '2020-11-06', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 134.70000000, 0.00000000, 0.00000000, 673.50000000, 808.20000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 673.50000000, 134.70000000, 808.20000000, NULL),
(1844, 'CF2011-1755', 1, NULL, '', 2673, NULL, '2020-11-18 13:29:44', '2020-11-16 11:29:41', '2020-11-16 11:29:58', '2020-11-16 11:29:58', NULL, '2020-11-16', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 11.03000000, 0.00000000, 0.00000000, 55.14000000, 66.17000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 55.14000000, 11.03000000, 66.17000000, NULL),
(1845, 'CF2011-1756', 1, NULL, '', 2050, NULL, '2020-12-01 09:19:09', '2020-11-19 09:15:45', '2020-11-19 09:17:22', '2020-11-19 09:17:23', NULL, '2020-11-19', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 293.86000000, 0.00000000, 0.00000000, 1469.29000000, 1763.15000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1469.29000000, 293.86000000, 1763.15000000, NULL),
(1846, 'CF2011-1758', 1, NULL, '', 1948, NULL, '2020-11-20 14:10:23', '2020-11-19 09:15:45', '2020-11-19 10:26:54', '2020-11-19 10:26:55', NULL, '2020-11-20', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 34.21000000, 0.00000000, 0.00000000, 171.05000000, 205.26000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 171.05000000, 34.21000000, 205.26000000, NULL),
(1847, 'CF2011-1757', 1, NULL, '', 2729, NULL, '2020-11-19 08:21:59', '2020-11-19 09:20:50', '2020-11-19 09:21:59', '2020-11-19 09:21:59', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 2.24000000, 0.00000000, 0.00000000, 148.20000000, 150.44000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 148.20000000, 2.24000000, 150.44000000, NULL),
(1849, 'CF2011-1759', 1, NULL, '', 2740, NULL, '2020-11-20 08:12:25', '2020-11-20 09:06:54', '2020-11-20 09:08:06', '2020-11-20 09:08:06', NULL, '2020-11-20', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 139.60000000, 0.00000000, 0.00000000, 698.00000000, 837.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 698.00000000, 139.60000000, 837.60000000, NULL),
(1850, 'CF2011-1761', 1, NULL, '', 1948, NULL, '2020-11-20 09:11:32', '2020-11-20 10:09:54', '2020-11-20 10:11:32', '2020-11-20 10:11:32', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 190.06000000, 0.00000000, 0.00000000, 950.30000000, 1140.36000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 950.30000000, 190.06000000, 1140.36000000, NULL),
(1851, 'CF2011-1760', 1, NULL, '', 2673, NULL, '2020-11-24 08:19:07', '2020-11-20 10:09:54', '2020-11-20 10:10:14', '2020-11-20 10:10:14', NULL, '2020-11-20', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 23.30000000, 0.00000000, 0.00000000, 116.50000000, 139.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 116.50000000, 23.30000000, 139.80000000, NULL),
(1852, 'CF2011-1762', 1, NULL, '', 2050, NULL, '2020-12-18 13:39:13', '2020-11-24 14:39:32', '2020-11-24 14:40:11', '2020-11-24 14:40:12', NULL, '2020-11-24', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 47.40000000, 0.00000000, 0.00000000, 237.00000000, 284.40000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 237.00000000, 47.40000000, 284.40000000, NULL),
(1853, 'CF2011-1763', 1, NULL, '', 1948, NULL, '2020-12-01 09:19:37', '2020-11-24 14:40:41', '2020-11-24 14:41:06', '2020-11-24 14:41:06', NULL, '2020-11-24', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 26.80000000, 0.00000000, 0.00000000, 134.00000000, 160.80000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 134.00000000, 26.80000000, 160.80000000, NULL),
(1854, 'CF2011-1764', 1, NULL, '', 1948, NULL, '2020-12-01 09:19:51', '2020-11-25 09:21:08', '2020-11-25 09:25:40', '2020-11-25 09:25:40', NULL, '2020-11-25', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 9.00000000, 0.00000000, 0.00000000, 45.00000000, 54.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 45.00000000, 9.00000000, 54.00000000, NULL),
(1855, 'CF2011-1765', 1, NULL, '', 1948, NULL, '2020-12-14 09:00:43', '2020-11-25 14:55:38', '2020-11-25 14:56:02', '2020-11-25 14:56:02', NULL, '2020-11-25', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 16.40000000, 0.00000000, 0.00000000, 82.00000000, 98.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 82.00000000, 16.40000000, 98.40000000, NULL),
(1856, 'CF2011-1766', 1, NULL, '', 1948, NULL, '2020-11-30 09:43:18', '2020-11-25 15:45:46', '2020-11-25 15:51:31', '2020-11-25 15:51:32', NULL, '2020-11-25', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 27.37000000, 0.00000000, 0.00000000, 136.84000000, 164.21000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 136.84000000, 27.37000000, 164.21000000, NULL),
(1857, 'CF2011-1767', 1, NULL, '', 10086, NULL, '2020-11-25 14:58:48', '2020-11-25 15:58:13', '2020-11-25 15:58:48', '2020-11-25 15:58:48', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 75.81000000, 0.00000000, 0.00000000, 379.04000000, 454.85000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 379.04000000, 75.81000000, 454.85000000, NULL),
(1858, 'CF2011-1768', 1, NULL, '', 2050, NULL, '2020-11-27 08:18:52', '2020-11-27 09:18:19', '2020-11-27 09:18:44', '2020-11-27 09:18:45', NULL, '2020-11-27', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 127.60000000, 0.00000000, 0.00000000, 638.00000000, 765.60000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 638.00000000, 127.60000000, 765.60000000, NULL),
(1859, 'CF2011-1769', 1, NULL, '', 2673, NULL, '2020-12-02 07:44:36', '2020-11-27 11:24:11', '2020-11-27 11:24:47', '2020-11-27 11:24:47', NULL, '2020-12-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 23.38000000, 0.00000000, 0.00000000, 116.90000000, 140.28000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 116.90000000, 23.38000000, 140.28000000, NULL),
(1860, 'CF2011-1770', 1, NULL, '', 2673, NULL, '2020-12-02 07:45:05', '2020-11-27 11:39:50', '2020-11-27 11:40:12', '2020-11-27 11:40:12', NULL, '2020-12-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 8.40000000, 0.00000000, 0.00000000, 41.99000000, 50.39000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 41.99000000, 8.40000000, 50.39000000, NULL),
(1861, 'CF2012-1771', 1, NULL, '', 2673, NULL, '2020-12-02 10:21:00', '2020-12-02 11:16:08', '2020-12-02 11:20:52', '2020-12-02 11:20:52', NULL, '2020-12-02', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 32.51000000, 0.00000000, 0.00000000, 162.56000000, 195.07000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 162.56000000, 32.51000000, 195.07000000, NULL),
(1862, 'CF2012-1772', 1, NULL, '', 2719, NULL, '2020-12-04 08:08:38', '2020-12-02 11:55:55', '2020-12-02 11:56:16', '2020-12-02 11:56:16', NULL, '2020-12-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 3.91000000, 0.00000000, 0.00000000, 19.57000000, 23.48000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 19.57000000, 3.91000000, 23.48000000, NULL),
(1864, 'CF2012-1773', 1, NULL, '', 2740, NULL, '2020-12-03 08:10:48', '2020-12-03 09:09:04', '2020-12-03 09:10:48', '2020-12-03 09:10:48', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 34.88000000, 0.00000000, 0.00000000, 174.40000000, 209.28000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 174.40000000, 34.88000000, 209.28000000, NULL),
(1865, 'CF2012-1774', 1, NULL, '', 1948, NULL, '2020-12-14 09:01:39', '2020-12-03 10:22:07', '2020-12-03 10:24:04', '2020-12-03 10:24:04', NULL, '2020-12-03', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 26.62000000, 0.00000000, 0.00000000, 133.10000000, 159.72000000, '', '', 'muscadet', NULL, NULL, 3, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 133.10000000, 26.62000000, 159.72000000, NULL),
(1866, 'CF2012-1776', 1, NULL, '', 2050, NULL, '2020-12-03 13:16:51', '2020-12-03 14:12:15', '2020-12-03 14:16:44', '2020-12-03 14:16:44', NULL, '2020-12-03', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 155.80000000, 0.00000000, 0.00000000, 779.00000000, 934.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 779.00000000, 155.80000000, 934.80000000, NULL),
(1867, 'CF2012-1775', 1, NULL, '', 1948, NULL, '2020-12-14 09:01:02', '2020-12-03 14:12:15', '2020-12-03 14:12:47', '2020-12-03 14:12:47', NULL, '2020-12-03', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 15.19000000, 0.00000000, 0.00000000, 75.95000000, 91.14000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 75.95000000, 15.19000000, 91.14000000, NULL),
(1868, 'CF2012-1777', 1, NULL, '', 2050, NULL, '2020-12-23 10:29:06', '2020-12-03 14:50:53', '2020-12-03 14:52:13', '2020-12-03 14:52:13', NULL, '2020-12-03', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 67.40000000, 0.00000000, 0.00000000, 337.00000000, 404.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 337.00000000, 67.40000000, 404.40000000, NULL),
(1869, 'CF2012-1778', 1, NULL, '', 1948, NULL, '2020-12-04 08:57:22', '2020-12-04 09:55:27', '2020-12-04 09:57:11', '2020-12-04 09:57:11', NULL, '2020-12-04', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 101.18000000, 0.00000000, 0.00000000, 505.92000000, 607.10000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 505.92000000, 101.18000000, 607.10000000, NULL),
(1870, 'CF2012-1779', 1, NULL, '', 2050, NULL, '2020-12-04 10:50:42', '2020-12-04 11:50:09', '2020-12-04 11:50:35', '2020-12-04 11:50:35', NULL, '2020-12-04', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 42.00000000, 0.00000000, 0.00000000, 210.00000000, 252.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 210.00000000, 42.00000000, 252.00000000, NULL),
(1871, 'CF2012-1784', 1, NULL, '', 1948, NULL, '2021-01-14 14:40:51', '2020-12-04 11:50:09', '2020-12-04 14:19:48', '2020-12-04 14:19:48', NULL, '2020-12-14', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 88.37000000, 0.00000000, 0.00000000, 441.84000000, 530.21000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 441.84000000, 88.37000000, 530.21000000, NULL),
(1872, 'CF2012-1780', 1, NULL, '', 2729, NULL, '2020-12-18 14:41:27', '2020-12-04 11:54:06', '2020-12-04 11:54:53', '2020-12-04 11:54:53', NULL, '2020-12-04', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 46.34000000, 0.00000000, 0.00000000, 289.10000000, 335.44000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 289.10000000, 46.34000000, 335.44000000, NULL),
(1873, 'CF2012-1781', 1, NULL, '', 2050, NULL, '2020-12-18 13:16:52', '2020-12-04 11:57:31', '2020-12-04 11:58:02', '2020-12-04 11:58:02', NULL, '2020-12-04', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 192.60000000, 0.00000000, 0.00000000, 963.00000000, 1155.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 963.00000000, 192.60000000, 1155.60000000, NULL),
(1874, 'CF2012-1783', 1, NULL, '', 2764, NULL, '2020-12-23 10:28:18', '2020-12-04 14:14:49', '2020-12-04 14:15:39', '2020-12-04 14:15:39', NULL, '2020-12-04', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 16.14000000, 0.00000000, 0.00000000, 80.70000000, 96.84000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 2, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 80.70000000, 16.14000000, 96.84000000, NULL),
(1875, 'CF2012-1785', 1, NULL, '', 2729, NULL, '2020-12-16 08:16:52', '2020-12-07 08:54:07', '2020-12-07 08:54:28', '2020-12-07 08:54:28', NULL, '2020-12-07', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 67.06000000, 0.00000000, 0.00000000, 335.30000000, 402.36000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 335.30000000, 67.06000000, 402.36000000, NULL),
(1876, 'CF2012-1786', 1, NULL, '', 1948, NULL, '2020-12-14 09:06:47', '2020-12-07 08:54:07', '2020-12-07 08:55:39', '2020-12-07 08:55:39', NULL, '2020-12-07', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 10.26000000, 0.00000000, 0.00000000, 51.30000000, 61.56000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 51.30000000, 10.26000000, 61.56000000, NULL),
(1877, 'CF2012-1787', 1, NULL, '', 2627, NULL, '2020-12-16 08:19:54', '2020-12-07 08:54:07', '2020-12-07 08:58:23', '2020-12-07 08:58:23', NULL, '2020-12-16', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 17.73000000, 0.00000000, 0.00000000, 88.66000000, 106.39000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 88.66000000, 17.73000000, 106.39000000, NULL),
(1878, 'CF2012-1788', 1, NULL, '', 2673, NULL, '2020-12-14 09:09:31', '2020-12-07 16:38:08', '2020-12-07 16:38:31', '2020-12-07 16:38:31', NULL, '2020-12-07', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 12.90000000, 0.00000000, 0.00000000, 64.50000000, 77.40000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 64.50000000, 12.90000000, 77.40000000, NULL),
(1879, 'CF2012-1789', 1, NULL, '', 1948, NULL, '2020-12-14 09:07:30', '2020-12-08 08:55:30', '2020-12-08 08:55:56', '2020-12-08 08:55:57', NULL, '2020-12-08', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 6.90000000, 0.00000000, 0.00000000, 34.52000000, 41.42000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 34.52000000, 6.90000000, 41.42000000, NULL),
(1880, 'CF2012-1790', 1, NULL, '', 2050, NULL, '2020-12-24 08:21:52', '2020-12-08 15:33:46', '2020-12-08 15:34:23', '2020-12-08 15:34:23', NULL, '2020-12-08', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 127.60000000, 0.00000000, 0.00000000, 638.00000000, 765.60000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 638.00000000, 127.60000000, 765.60000000, NULL),
(1881, 'CF2012-1791', 1, NULL, '', 1948, NULL, '2020-12-16 14:51:01', '2020-12-09 14:36:30', '2020-12-09 14:37:03', '2020-12-09 14:37:04', NULL, '2020-12-16', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 4.40000000, 0.00000000, 0.00000000, 22.00000000, 26.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 22.00000000, 4.40000000, 26.40000000, NULL),
(1882, 'CF2012-1792', 1, NULL, '', 2050, NULL, '2020-12-17 13:19:11', '2020-12-09 15:17:55', '2020-12-09 15:18:17', '2020-12-09 15:18:17', NULL, '2020-12-09', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 154.60000000, 0.00000000, 0.00000000, 772.98000000, 927.58000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 772.98000000, 154.60000000, 927.58000000, NULL),
(1883, 'CF2012-1793', 1, NULL, '', 2740, NULL, '2020-12-09 14:29:53', '2020-12-09 15:28:47', '2020-12-09 15:29:53', '2020-12-09 15:29:53', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 277.43000000, 0.00000000, 0.00000000, 1387.15000000, 1664.58000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1387.15000000, 277.43000000, 1664.58000000, NULL),
(1884, 'CF2012-1794', 1, NULL, '', 2764, NULL, '2020-12-21 15:55:03', '2020-12-10 09:42:25', '2020-12-10 09:42:45', '2020-12-10 09:42:46', NULL, '2020-12-10', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 13.45000000, 0.00000000, 0.00000000, 67.26000000, 80.71000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 67.26000000, 13.45000000, 80.71000000, NULL),
(1885, 'CF2012-1795', 1, NULL, '', 2050, NULL, '2021-01-05 07:49:43', '2020-12-10 11:35:24', '2020-12-10 11:36:41', '2020-12-10 11:36:41', NULL, '2020-12-10', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 284.90000000, 0.00000000, 0.00000000, 1424.50000000, 1709.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1424.50000000, 284.90000000, 1709.40000000, NULL),
(1886, 'CF2012-1796', 1, NULL, '', 2712, NULL, '2020-12-18 13:07:04', '2020-12-11 09:18:05', '2020-12-11 09:18:18', '2020-12-11 09:18:19', NULL, '2020-12-17', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 167.00000000, 0.00000000, 0.00000000, 835.00000000, 1002.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 835.00000000, 167.00000000, 1002.00000000, NULL),
(1887, 'CF2012-1797', 1, NULL, '', 2050, NULL, '2020-12-11 08:24:35', '2020-12-11 09:22:42', '2020-12-11 09:24:16', '2020-12-11 09:24:16', NULL, '2020-12-11', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 181.57000000, 0.00000000, 0.00000000, 907.83000000, 1089.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 907.83000000, 181.57000000, 1089.40000000, NULL),
(1888, 'CF2012-1798', 1, NULL, '', 2729, NULL, '2021-01-21 15:26:38', '2020-12-11 10:40:43', '2020-12-11 10:44:01', '2020-12-11 10:44:01', NULL, '2020-12-11', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 6.30000000, 0.00000000, 0.00000000, 180.50000000, 186.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 180.50000000, 6.30000000, 186.80000000, NULL);
INSERT INTO `llx_commande_fournisseur` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_supplier`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_approve`, `date_approve2`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_approve`, `fk_user_approve2`, `source`, `fk_statut`, `billed`, `amount_ht`, `remise_percent`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `date_livraison`, `fk_account`, `fk_cond_reglement`, `fk_mode_reglement`, `fk_input_method`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`) VALUES
(1889, 'CF2012-1802', 1, NULL, '', 1948, NULL, '2020-12-18 13:31:36', '2020-12-11 10:40:43', '2020-12-14 09:58:32', '2020-12-14 09:58:32', NULL, '2020-12-14', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 39.06000000, 0.00000000, 0.00000000, 195.30000000, 234.36000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 195.30000000, 39.06000000, 234.36000000, NULL),
(1890, 'CF2012-1799', 1, NULL, '', 2740, NULL, '2020-12-11 10:12:34', '2020-12-11 11:12:18', '2020-12-11 11:12:34', '2020-12-11 11:12:34', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 139.60000000, 0.00000000, 0.00000000, 698.00000000, 837.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 698.00000000, 139.60000000, 837.60000000, NULL),
(1891, 'CF2012-1800', 1, NULL, '', 2050, NULL, '2020-12-11 14:49:45', '2020-12-11 15:45:26', '2020-12-11 15:47:03', '2020-12-11 15:47:03', NULL, '2020-12-11', 5, 5, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 1317.20000000, 0.00000000, 0.00000000, 6586.00000000, 7903.20000000, '', '<br />\r\n<br />\r\n<strong>Livraision pour FIN MARS 2021 PAS AVANT ACCORD THOMAS VANDENDORPE</strong>', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 6586.00000000, 1317.20000000, 7903.20000000, NULL),
(1892, 'CF2012-1801', 1, NULL, '', 2050, NULL, '2021-01-19 13:05:41', '2020-12-14 09:14:05', '2020-12-14 09:16:10', '2020-12-14 09:16:10', NULL, '2020-12-14', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 61.20000000, 0.00000000, 0.00000000, 306.00000000, 367.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 306.00000000, 61.20000000, 367.20000000, NULL),
(1893, 'CF2012-1803', 1, NULL, '', 2050, NULL, '2020-12-24 08:21:12', '2020-12-14 10:14:28', '2020-12-14 10:17:44', '2020-12-14 10:17:45', NULL, '2020-12-14', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 125.60000000, 0.00000000, 0.00000000, 628.00000000, 753.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 628.00000000, 125.60000000, 753.60000000, NULL),
(1894, 'CF2012-1804', 1, NULL, '', 2627, NULL, '2020-12-28 13:09:18', '2020-12-14 10:14:28', '2020-12-14 10:18:49', '2020-12-14 10:18:49', NULL, '2020-12-14', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 35.46000000, 0.00000000, 0.00000000, 177.32000000, 212.78000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 177.32000000, 35.46000000, 212.78000000, NULL),
(1895, 'CF2012-1805', 1, NULL, '', 1948, NULL, '2020-12-18 13:36:19', '2020-12-14 11:06:02', '2020-12-14 11:06:30', '2020-12-14 11:06:30', NULL, '2020-12-14', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 54.74000000, 0.00000000, 0.00000000, 273.68000000, 328.42000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 273.68000000, 54.74000000, 328.42000000, NULL),
(1896, 'CF2012-1806', 1, NULL, '', 2050, NULL, '2021-01-19 13:03:46', '2020-12-14 11:14:16', '2020-12-14 11:15:05', '2020-12-14 11:15:05', NULL, '2020-12-14', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 66.40000000, 0.00000000, 0.00000000, 332.00000000, 398.40000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 332.00000000, 66.40000000, 398.40000000, NULL),
(1897, 'CF2012-1807', 1, NULL, '', 1948, NULL, '2020-12-16 14:53:53', '2020-12-14 11:15:35', '2020-12-14 11:15:54', '2020-12-14 11:15:54', NULL, '2020-12-14', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 10.26000000, 0.00000000, 0.00000000, 51.31000000, 61.57000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 4, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 51.31000000, 10.26000000, 61.57000000, NULL),
(1898, 'CF2012-1808', 1, NULL, '', 1948, NULL, '2020-12-16 14:54:30', '2020-12-14 11:20:26', '2020-12-14 11:24:04', '2020-12-14 11:24:05', NULL, '2020-12-16', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 37.38000000, 0.00000000, 0.00000000, 186.90000000, 224.28000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 186.90000000, 37.38000000, 224.28000000, NULL),
(1899, 'CF2012-1809', 1, NULL, '', 2740, NULL, '2020-12-14 10:48:02', '2020-12-14 11:46:06', '2020-12-14 11:48:02', '2020-12-14 11:48:02', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 139.60000000, 0.00000000, 0.00000000, 698.00000000, 837.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 698.00000000, 139.60000000, 837.60000000, NULL),
(1900, 'CF2012-1810', 1, NULL, '', 2050, NULL, '2020-12-21 13:14:15', '2020-12-15 10:00:07', '2020-12-15 10:00:30', '2020-12-15 10:00:30', NULL, '2020-12-15', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 40.80000000, 0.00000000, 0.00000000, 204.00000000, 244.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 204.00000000, 40.80000000, 244.80000000, NULL),
(1901, 'CF2012-1811', 1, NULL, '', 2725, NULL, '2021-02-05 08:05:26', '2020-12-15 10:04:58', '2020-12-15 10:05:14', '2020-12-15 10:05:14', NULL, '2021-02-05', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 37.38000000, 0.00000000, 0.00000000, 186.90000000, 224.28000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 186.90000000, 37.38000000, 224.28000000, NULL),
(1902, 'CF2012-1812', 1, NULL, '', 2609, NULL, '2020-12-15 14:25:36', '2020-12-15 15:19:45', '2020-12-15 15:25:05', '2020-12-15 15:25:06', NULL, '2020-12-15', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 161.86000000, 0.00000000, 0.00000000, 809.31000000, 971.17000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 809.31000000, 161.86000000, 971.17000000, NULL),
(1903, 'CF2012-1813', 1, NULL, '', 2050, NULL, '2020-12-15 15:49:16', '2020-12-15 16:45:18', '2020-12-15 16:46:40', '2020-12-15 16:46:40', NULL, NULL, 5, 5, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 2284.80000000, 0.00000000, 0.00000000, 11424.00000000, 13708.80000000, '', 'LIVRASION à PARTIR du 28 Janvier 2020 : <br />\r\nSAVAJOLS<br />\r\nZI des Fouillouses<br />\r\n26140 St Rambert d\'Albon<br />\r\n06 32 64 70 07 Mr MORIN', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 11424.00000000, 2284.80000000, 13708.80000000, NULL),
(1904, 'CF2012-1814', 1, NULL, '', 2725, NULL, '2020-12-18 14:41:59', '2020-12-16 09:24:05', '2020-12-16 09:42:29', '2020-12-16 09:42:29', NULL, '2020-12-16', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 31.23000000, 0.00000000, 0.00000000, 156.20000000, 187.43000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 156.20000000, 31.23000000, 187.43000000, NULL),
(1905, 'CF2012-1816', 1, NULL, '', 1948, NULL, '2020-12-18 13:37:26', '2020-12-16 14:37:39', '2020-12-16 14:43:51', '2020-12-16 14:43:51', NULL, '2020-12-16', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 45.31000000, 0.00000000, 0.00000000, 226.55000000, 271.86000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 226.55000000, 45.31000000, 271.86000000, NULL),
(1907, 'CF2012-1815', 1, NULL, '', 2050, NULL, '2020-12-24 08:20:51', '2020-12-16 14:41:50', '2020-12-16 14:42:31', '2020-12-16 14:42:31', NULL, '2020-12-16', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 89.80000000, 0.00000000, 0.00000000, 449.00000000, 538.80000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 449.00000000, 89.80000000, 538.80000000, NULL),
(1908, 'CF2012-1817', 1, NULL, '', 2609, NULL, '2021-01-08 09:30:20', '2020-12-16 16:13:23', '2020-12-16 16:18:01', '2020-12-16 16:18:01', NULL, '2020-12-16', 5, 5, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 693.54000000, 0.00000000, 0.00000000, 3467.69000000, 4161.23000000, '', 'livraison semaine 1 de janvier 2021 .<br />\r\n<br />\r\nCordialement,', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3467.69000000, 693.54000000, 4161.23000000, NULL),
(1909, 'CF2012-1818', 1, NULL, '', 2712, NULL, '2021-02-15 13:51:22', '2020-12-17 10:37:34', '2020-12-17 10:37:50', '2020-12-17 10:37:50', NULL, '2020-12-17', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 14.11000000, 0.00000000, 0.00000000, 70.53000000, 84.64000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 70.53000000, 14.11000000, 84.64000000, NULL),
(1910, 'CF2012-1819', 1, NULL, '', 12605, NULL, '2020-12-18 08:30:10', '2020-12-18 09:29:55', '2020-12-18 09:30:10', '2020-12-18 09:30:10', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 53.32000000, 0.00000000, 0.00000000, 266.60000000, 319.92000000, '', '', 'muscadet', NULL, NULL, 15, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 266.60000000, 53.32000000, 319.92000000, NULL),
(1911, 'CF2012-1820', 1, NULL, '', 2740, NULL, '2020-12-21 11:19:47', '2020-12-21 12:19:06', '2020-12-21 12:19:40', '2020-12-21 12:19:40', NULL, '2020-12-21', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 79.90000000, 0.00000000, 0.00000000, 399.50000000, 479.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 399.50000000, 79.90000000, 479.40000000, NULL),
(1912, 'CF2012-1821', 1, NULL, '', 2050, NULL, '2020-12-21 14:20:24', '2020-12-21 15:17:50', '2020-12-21 15:20:02', '2020-12-21 15:20:02', NULL, '2020-12-21', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 4473.72000000, 0.00000000, 0.00000000, 22368.60000000, 26842.32000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 22368.60000000, 4473.72000000, 26842.32000000, NULL),
(1913, 'CF2012-1822', 1, NULL, '', 2050, NULL, '2020-12-21 15:01:29', '2020-12-21 16:00:07', '2020-12-21 16:01:29', '2020-12-21 16:01:29', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 1305.60000000, 0.00000000, 0.00000000, 6528.00000000, 7833.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 6528.00000000, 1305.60000000, 7833.60000000, NULL),
(1914, 'CF2012-1823', 1, NULL, '', 2673, NULL, '2021-01-08 08:21:56', '2020-12-22 14:20:11', '2020-12-22 14:20:44', '2020-12-22 14:20:45', NULL, '2020-12-22', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 130.15000000, 0.00000000, 0.00000000, 650.84000000, 780.99000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 650.84000000, 130.15000000, 780.99000000, NULL),
(1915, 'CF2012-1825', 1, NULL, '', 2050, NULL, '2021-01-08 09:29:59', '2020-12-28 09:04:53', '2020-12-28 09:12:46', '2020-12-28 09:12:46', NULL, '2020-12-28', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 193.33000000, 0.00000000, 0.00000000, 966.66000000, 1159.99000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 966.66000000, 193.33000000, 1159.99000000, NULL),
(1916, 'CF2012-1824', 1, NULL, '', 1948, NULL, '2021-01-04 10:28:14', '2020-12-28 09:04:53', '2020-12-28 09:06:05', '2020-12-28 09:06:05', NULL, '2020-12-28', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 41.17000000, 0.00000000, 0.00000000, 205.83000000, 247.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 205.83000000, 41.17000000, 247.00000000, NULL),
(1917, 'CF2101-1826', 1, NULL, '', 2050, NULL, '2021-01-13 15:02:21', '2021-01-05 14:18:53', '2021-01-05 14:19:46', '2021-01-05 14:19:46', NULL, '2021-01-05', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 60.85000000, 0.00000000, 0.00000000, 304.25000000, 365.10000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 304.25000000, 60.85000000, 365.10000000, NULL),
(1918, 'CF2101-1827', 1, NULL, '', 1948, NULL, '2021-01-08 13:14:31', '2021-01-05 14:20:58', '2021-01-05 14:21:29', '2021-01-05 14:21:29', NULL, '2021-01-05', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 31.25000000, 0.00000000, 0.00000000, 156.25000000, 187.50000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 156.25000000, 31.25000000, 187.50000000, NULL),
(1919, 'CF2101-1828', 1, NULL, '', 1948, NULL, '2021-01-08 13:14:00', '2021-01-05 15:14:18', '2021-01-05 15:15:48', '2021-01-05 15:15:48', NULL, '2021-01-05', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 23.26000000, 0.00000000, 0.00000000, 116.30000000, 139.56000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 116.30000000, 23.26000000, 139.56000000, NULL),
(1920, 'CF2101-1829', 1, NULL, '', 2725, NULL, '2021-02-05 08:05:06', '2021-01-06 16:54:04', '2021-01-06 16:54:22', '2021-01-06 16:54:22', NULL, '2021-01-06', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 133.00000000, 0.00000000, 0.00000000, 665.00000000, 798.00000000, '', '', 'muscadet', NULL, NULL, 16, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 665.00000000, 133.00000000, 798.00000000, NULL),
(1921, 'CF2101-1835', 1, NULL, '', 1948, NULL, '2021-01-14 14:41:37', '2021-01-07 11:19:59', '2021-01-08 11:41:42', '2021-01-08 11:41:43', NULL, '2021-01-08', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 27.40000000, 0.00000000, 0.00000000, 206.00000000, 233.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 206.00000000, 27.40000000, 233.40000000, NULL),
(1922, 'CF2101-1830', 1, NULL, '', 2740, NULL, '2021-01-07 13:09:34', '2021-01-07 14:09:03', '2021-01-07 14:09:34', '2021-01-07 14:09:34', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 139.60000000, 0.00000000, 0.00000000, 698.00000000, 837.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 698.00000000, 139.60000000, 837.60000000, NULL),
(1923, 'CF2101-1831', 1, NULL, '', 1948, NULL, '2021-01-07 15:49:22', '2021-01-07 16:48:47', '2021-01-07 16:49:16', '2021-01-07 16:49:16', NULL, '2021-01-07', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 12.21000000, 0.00000000, 0.00000000, 61.05000000, 73.26000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 61.05000000, 12.21000000, 73.26000000, NULL),
(1924, 'CF2101-1832', 1, NULL, '', 2050, NULL, '2021-01-13 15:03:13', '2021-01-08 09:29:16', '2021-01-08 09:34:55', '2021-01-08 09:34:56', NULL, '2021-01-08', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 779.91000000, 0.00000000, 0.00000000, 3899.57000000, 4679.48000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 3899.57000000, 779.91000000, 4679.48000000, NULL),
(1925, 'CF2101-1833', 1, NULL, '', 1948, NULL, '2021-01-14 14:42:24', '2021-01-08 09:39:41', '2021-01-08 09:41:12', '2021-01-08 09:41:12', NULL, '2021-01-08', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 32.45000000, 0.00000000, 0.00000000, 162.25000000, 194.70000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 162.25000000, 32.45000000, 194.70000000, NULL),
(1926, 'CF2101-1834', 1, NULL, '', 2627, NULL, '2021-01-13 15:03:57', '2021-01-08 09:42:48', '2021-01-08 09:44:12', '2021-01-08 09:44:12', NULL, '2021-01-08', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 166.65000000, 0.00000000, 0.00000000, 833.28000000, 999.93000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 833.28000000, 166.65000000, 999.93000000, NULL),
(1927, 'CF2101-1836', 1, NULL, '', 2050, NULL, '2021-01-25 14:38:57', '2021-01-08 11:41:13', '2021-01-08 11:49:50', '2021-01-08 11:49:50', NULL, '2021-01-08', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 90.20000000, 0.00000000, 0.00000000, 451.00000000, 541.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 451.00000000, 90.20000000, 541.20000000, NULL),
(1928, 'CF2101-1837', 1, NULL, '', 1948, NULL, '2021-01-25 15:37:01', '2021-01-11 09:25:19', '2021-01-11 09:25:39', '2021-01-11 09:25:39', NULL, '2021-01-11', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 50.50000000, 0.00000000, 0.00000000, 252.50000000, 303.00000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 252.50000000, 50.50000000, 303.00000000, NULL),
(1929, 'CF2101-1838', 1, NULL, '', 2719, NULL, '2021-01-11 08:40:29', '2021-01-11 09:38:41', '2021-01-11 09:40:20', '2021-01-11 09:40:20', NULL, '2021-01-11', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 44.39000000, 0.00000000, 0.00000000, 221.97000000, 266.36000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 4, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 221.97000000, 44.39000000, 266.36000000, NULL),
(1930, 'CF2101-1839', 1, NULL, '', 2764, NULL, '2021-01-13 15:08:17', '2021-01-11 09:42:53', '2021-01-11 09:43:13', '2021-01-11 09:43:13', NULL, '2021-01-11', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 7.27000000, 0.00000000, 0.00000000, 36.36000000, 43.63000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 36.36000000, 7.27000000, 43.63000000, NULL),
(1931, 'CF2101-1840', 1, NULL, '', 2609, NULL, '2021-01-13 15:10:40', '2021-01-11 14:22:56', '2021-01-11 14:23:22', '2021-01-11 14:23:23', NULL, '2021-01-11', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 29.96000000, 0.00000000, 0.00000000, 149.80000000, 179.76000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 149.80000000, 29.96000000, 179.76000000, NULL),
(1932, 'CF2101-1841', 1, NULL, '', 2050, NULL, '2021-01-19 13:06:44', '2021-01-11 14:25:37', '2021-01-11 14:26:40', '2021-01-11 14:26:40', NULL, '2021-01-11', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 57.80000000, 0.00000000, 0.00000000, 289.00000000, 346.80000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 289.00000000, 57.80000000, 346.80000000, NULL),
(1933, 'CF2101-1842', 1, NULL, '', 1948, NULL, '2021-01-27 14:54:25', '2021-01-11 14:27:05', '2021-01-11 14:27:19', '2021-01-11 14:27:19', NULL, '2021-01-11', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 10.99000000, 0.00000000, 0.00000000, 54.95000000, 65.94000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 54.95000000, 10.99000000, 65.94000000, NULL),
(1934, 'CF2101-1843', 1, NULL, '', 2764, NULL, '2021-01-25 14:40:59', '2021-01-11 14:33:21', '2021-01-11 14:34:09', '2021-01-11 14:34:10', NULL, '2021-01-11', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 6.97000000, 0.00000000, 0.00000000, 34.84000000, 41.81000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 34.84000000, 6.97000000, 41.81000000, NULL),
(1935, 'CF2101-1844', 1, NULL, '', 1948, NULL, '2021-01-14 14:43:09', '2021-01-11 14:50:19', '2021-01-11 14:51:07', '2021-01-11 14:51:07', NULL, '2021-01-11', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 8.00000000, 0.00000000, 0.00000000, 40.00000000, 48.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 40.00000000, 8.00000000, 48.00000000, NULL),
(1936, 'CF2101-1845', 1, NULL, '', 2764, NULL, '2021-01-13 15:07:25', '2021-01-11 14:50:19', '2021-01-11 14:51:54', '2021-01-11 14:51:54', NULL, '2021-01-11', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 3.01000000, 0.00000000, 0.00000000, 15.06000000, 18.07000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 15.06000000, 3.01000000, 18.07000000, NULL),
(1937, 'CF2101-1846', 1, NULL, '', 2729, NULL, '2021-01-12 08:04:33', '2021-01-12 09:02:49', '2021-01-12 09:04:26', '2021-01-12 09:04:26', NULL, '2021-01-12', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 140.90000000, 140.90000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 140.90000000, 0.00000000, 140.90000000, NULL),
(1938, 'CF2101-1847', 1, NULL, '', 1948, NULL, '2021-01-25 15:37:19', '2021-01-12 09:05:43', '2021-01-12 09:06:58', '2021-01-12 09:06:58', NULL, '2021-01-12', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 18.26000000, 0.00000000, 0.00000000, 91.30000000, 109.56000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 91.30000000, 18.26000000, 109.56000000, NULL),
(1939, 'CF2101-1848', 1, NULL, '', 2764, NULL, '2021-01-25 14:40:38', '2021-01-12 09:07:45', '2021-01-12 09:08:39', '2021-01-12 09:08:39', NULL, '2021-01-25', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 6.24000000, 0.00000000, 0.00000000, 31.18000000, 37.42000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 31.18000000, 6.24000000, 37.42000000, NULL),
(1940, 'CF2101-1849', 1, NULL, '', 2050, NULL, '2021-01-18 13:18:48', '2021-01-12 09:21:06', '2021-01-12 09:23:54', '2021-01-12 09:23:55', NULL, '2021-01-12', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 299.33000000, 0.00000000, 0.00000000, 1496.66000000, 1795.99000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1496.66000000, 299.33000000, 1795.99000000, NULL),
(1941, 'CF2101-1850', 1, NULL, '', 2609, NULL, '2021-01-26 13:24:55', '2021-01-12 10:28:55', '2021-01-12 10:38:16', '2021-01-12 10:38:16', NULL, '2021-01-12', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 322.30000000, 0.00000000, 0.00000000, 1611.50000000, 1933.80000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1611.50000000, 322.30000000, 1933.80000000, NULL),
(1942, 'CF2101-1851', 1, NULL, '', 2740, NULL, '2021-01-13 15:03:37', '2021-01-12 10:54:53', '2021-01-12 10:55:19', '2021-01-12 10:55:19', NULL, '2021-01-12', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 23.66000000, 0.00000000, 0.00000000, 118.30000000, 141.96000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 118.30000000, 23.66000000, 141.96000000, NULL),
(1943, 'CF2101-1866', 1, NULL, '', 2050, NULL, '2021-02-15 13:40:23', '2021-01-12 11:19:47', '2021-01-15 11:52:49', '2021-01-15 11:52:50', NULL, '2021-01-15', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 145.37000000, 0.00000000, 0.00000000, 726.83000000, 872.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 726.83000000, 145.37000000, 872.20000000, NULL),
(1944, 'CF2101-1852', 1, NULL, '', 2050, NULL, '2021-01-19 13:06:05', '2021-01-12 11:20:23', '2021-01-12 11:21:01', '2021-01-12 11:21:01', NULL, '2021-01-12', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 55.20000000, 0.00000000, 0.00000000, 276.00000000, 331.20000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 276.00000000, 55.20000000, 331.20000000, NULL),
(1945, 'CF2101-1853', 1, NULL, '', 2673, NULL, '2021-01-29 14:22:06', '2021-01-12 14:04:10', '2021-01-12 14:06:47', '2021-01-12 14:06:47', NULL, '2021-01-12', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 114.34000000, 0.00000000, 0.00000000, 571.70000000, 686.04000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 571.70000000, 114.34000000, 686.04000000, NULL),
(1946, 'CF2101-1854', 1, NULL, '', 1948, NULL, '2021-01-25 15:37:53', '2021-01-12 14:07:36', '2021-01-12 14:08:02', '2021-01-12 14:08:02', NULL, '2021-01-12', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 17.21000000, 0.00000000, 0.00000000, 86.04000000, 103.25000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 86.04000000, 17.21000000, 103.25000000, NULL),
(1947, 'CF2101-1855', 1, NULL, '', 2050, NULL, '2021-01-19 13:05:08', '2021-01-12 15:41:11', '2021-01-12 15:42:16', '2021-01-12 15:42:16', NULL, '2021-01-12', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 132.80000000, 0.00000000, 0.00000000, 664.00000000, 796.80000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 664.00000000, 132.80000000, 796.80000000, NULL),
(1948, 'CF2101-1856', 1, NULL, '', 1948, NULL, '2021-01-27 14:54:56', '2021-01-12 16:36:51', '2021-01-12 16:37:58', '2021-01-12 16:37:58', NULL, '2021-01-12', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 39.98000000, 0.00000000, 0.00000000, 199.90000000, 239.88000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 199.90000000, 39.98000000, 239.88000000, NULL),
(1949, 'CF2101-1857', 1, NULL, '', 2764, NULL, '2021-01-25 14:41:24', '2021-01-12 16:38:42', '2021-01-12 16:39:28', '2021-01-12 16:39:28', NULL, '2021-01-12', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 10.70000000, 0.00000000, 0.00000000, 53.54000000, 64.24000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 53.54000000, 10.70000000, 64.24000000, NULL),
(1950, 'CF2101-1858', 1, NULL, '', 2050, NULL, '2021-01-18 13:12:21', '2021-01-13 10:50:24', '2021-01-13 10:51:46', '2021-01-13 10:51:46', NULL, '2021-01-13', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 95.20000000, 0.00000000, 0.00000000, 476.00000000, 571.20000000, '', '', 'muscadet', NULL, NULL, 3, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 476.00000000, 95.20000000, 571.20000000, NULL),
(1951, 'CF2101-1859', 1, NULL, '', 2764, NULL, '2021-02-08 13:42:28', '2021-01-13 14:19:18', '2021-01-13 14:19:35', '2021-01-13 14:19:35', NULL, '2021-01-13', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 6.29000000, 0.00000000, 0.00000000, 31.44000000, 37.73000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 31.44000000, 6.29000000, 37.73000000, NULL),
(1952, 'CF2101-1860', 1, NULL, '', 2764, NULL, '2021-02-08 13:42:56', '2021-01-13 14:21:09', '2021-01-13 14:21:20', '2021-01-13 14:21:20', NULL, '2021-02-08', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 12.58000000, 0.00000000, 0.00000000, 62.88000000, 75.46000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 62.88000000, 12.58000000, 75.46000000, NULL),
(1953, 'CF2101-1861', 1, NULL, '', 2764, NULL, '2021-01-25 14:40:10', '2021-01-13 14:37:20', '2021-01-13 14:37:35', '2021-01-13 14:37:35', NULL, '2021-01-25', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 3.48000000, 0.00000000, 0.00000000, 17.42000000, 20.90000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 17.42000000, 3.48000000, 20.90000000, NULL),
(1954, 'CF2101-1862', 1, NULL, '', 1948, NULL, '2021-01-25 15:38:18', '2021-01-13 16:22:52', '2021-01-13 16:23:23', '2021-01-13 16:23:23', NULL, '2021-01-13', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 48.57000000, 0.00000000, 0.00000000, 242.84000000, 291.41000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 242.84000000, 48.57000000, 291.41000000, NULL),
(1955, 'CF2101-1863', 1, NULL, '', 2050, NULL, '2021-01-18 13:23:44', '2021-01-13 16:23:48', '2021-01-13 16:24:44', '2021-01-13 16:24:44', NULL, '2021-01-13', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 297.80000000, 0.00000000, 0.00000000, 1489.00000000, 1786.80000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1489.00000000, 297.80000000, 1786.80000000, NULL),
(1956, 'CF2101-1864', 1, NULL, '', 2609, NULL, '2021-02-09 10:45:02', '2021-01-15 10:28:12', '2021-01-15 10:30:02', '2021-01-15 10:30:02', NULL, '2021-01-15', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 219.12000000, 0.00000000, 0.00000000, 1095.60000000, 1314.72000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1095.60000000, 219.12000000, 1314.72000000, NULL),
(1957, 'CF2101-1865', 1, NULL, '', 2719, NULL, '2021-01-18 13:23:14', '2021-01-15 11:43:35', '2021-01-15 11:44:13', '2021-01-15 11:44:14', NULL, '2021-01-15', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 12.39000000, 0.00000000, 0.00000000, 61.93000000, 74.32000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 61.93000000, 12.39000000, 74.32000000, NULL),
(1958, 'CF2101-1867', 1, NULL, '', 1948, NULL, '2021-01-27 14:55:16', '2021-01-15 11:53:57', '2021-01-15 11:54:43', '2021-01-15 11:54:44', NULL, '2021-01-15', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 38.90000000, 0.00000000, 0.00000000, 194.50000000, 233.40000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 194.50000000, 38.90000000, 233.40000000, NULL),
(1959, 'CF2101-1868', 1, NULL, '', 2627, NULL, '2021-01-26 13:26:14', '2021-01-15 11:55:21', '2021-01-15 12:03:00', '2021-01-15 12:03:00', NULL, '2021-01-15', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 127.10000000, 0.00000000, 0.00000000, 635.50000000, 762.60000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 635.50000000, 127.10000000, 762.60000000, NULL),
(1960, 'CF2101-1869', 1, NULL, '', 1948, NULL, '2021-01-25 15:38:55', '2021-01-18 10:40:19', '2021-01-18 10:40:35', '2021-01-18 10:40:35', NULL, '2021-01-18', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 26.00000000, 0.00000000, 0.00000000, 130.00000000, 156.00000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 130.00000000, 26.00000000, 156.00000000, NULL),
(1961, 'CF2101-1870', 1, NULL, '', 1948, NULL, '2021-01-27 14:55:52', '2021-01-20 11:40:41', '2021-01-20 11:41:34', '2021-01-20 11:41:34', NULL, '2021-01-20', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 19.86000000, 0.00000000, 0.00000000, 99.31000000, 119.17000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 99.31000000, 19.86000000, 119.17000000, NULL),
(1962, 'CF2101-1871', 1, NULL, '', 2627, NULL, '2021-01-26 13:26:01', '2021-01-20 11:47:49', '2021-01-20 11:50:11', '2021-01-20 11:50:11', NULL, '2021-01-20', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 61.01000000, 0.00000000, 0.00000000, 305.04000000, 366.05000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 305.04000000, 61.01000000, 366.05000000, NULL),
(1964, 'CF2101-1872', 1, NULL, '', 1948, NULL, '2021-01-27 14:56:51', '2021-01-20 15:01:34', '2021-01-20 15:02:42', '2021-01-20 15:02:43', NULL, '2021-01-20', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 27.92000000, 0.00000000, 0.00000000, 139.60000000, 167.52000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 139.60000000, 27.92000000, 167.52000000, NULL),
(1965, 'CF2101-1873', 1, NULL, '', 2729, NULL, '2021-01-20 14:06:13', '2021-01-20 15:05:02', '2021-01-20 15:06:06', '2021-01-20 15:06:06', NULL, '2021-01-20', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 179.00000000, 179.00000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 179.00000000, 0.00000000, 179.00000000, NULL),
(1966, 'CF2101-1874', 1, NULL, '', 1948, NULL, '2021-01-27 14:56:14', '2021-01-21 09:28:43', '2021-01-21 10:31:45', '2021-01-21 10:31:45', NULL, '2021-01-21', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 96.01000000, 0.00000000, 0.00000000, 480.04000000, 576.05000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 480.04000000, 96.01000000, 576.05000000, NULL),
(1967, 'CF2101-1875', 1, NULL, '', 2673, NULL, '2021-01-29 14:22:28', '2021-01-25 10:18:16', '2021-01-25 10:19:47', '2021-01-25 10:19:47', NULL, '2021-01-25', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 51.78000000, 0.00000000, 0.00000000, 258.91000000, 310.69000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 258.91000000, 51.78000000, 310.69000000, NULL),
(1968, 'CF2101-1876', 1, NULL, '', 2050, NULL, '2021-01-26 08:17:25', '2021-01-26 09:16:45', '2021-01-26 09:17:18', '2021-01-26 09:17:19', NULL, '2021-01-26', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 137.40000000, 0.00000000, 0.00000000, 687.00000000, 824.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 687.00000000, 137.40000000, 824.40000000, NULL),
(1969, 'CF2101-1877', 1, NULL, '', 2050, NULL, '2021-02-04 07:36:34', '2021-01-26 09:25:20', '2021-01-26 09:26:20', '2021-01-26 09:26:20', NULL, '2021-01-26', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 46.40000000, 0.00000000, 0.00000000, 232.00000000, 278.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 232.00000000, 46.40000000, 278.40000000, NULL),
(1970, 'CF2101-1878', 1, NULL, '', 2764, NULL, '2021-01-26 10:55:57', '2021-01-26 11:55:33', '2021-01-26 11:55:46', '2021-01-26 11:55:47', NULL, '2021-01-26', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 10.84000000, 0.00000000, 0.00000000, 54.18000000, 65.02000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 54.18000000, 10.84000000, 65.02000000, NULL),
(1971, 'CF2101-1879', 1, NULL, '', 1948, NULL, '2021-01-27 14:57:47', '2021-01-26 14:21:38', '2021-01-26 14:22:03', '2021-01-26 14:22:03', NULL, '2021-01-26', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 15.60000000, 0.00000000, 0.00000000, 78.00000000, 93.60000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 78.00000000, 15.60000000, 93.60000000, NULL),
(1972, 'CF2101-1880', 1, NULL, '', 2050, NULL, '2021-01-26 14:41:27', '2021-01-26 15:40:27', '2021-01-26 15:41:20', '2021-01-26 15:41:20', NULL, '2021-01-26', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 75.60000000, 0.00000000, 0.00000000, 378.00000000, 453.60000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 378.00000000, 75.60000000, 453.60000000, NULL),
(1973, 'CF2101-1881', 1, NULL, '', 1948, NULL, '2021-02-17 13:10:38', '2021-01-26 15:41:54', '2021-01-26 15:42:51', '2021-01-26 15:42:51', NULL, '2021-01-26', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 66.13000000, 0.00000000, 0.00000000, 330.66000000, 396.79000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 330.66000000, 66.13000000, 396.79000000, NULL),
(1974, 'CF2101-1882', 1, NULL, '', 2050, NULL, '2021-01-27 08:30:32', '2021-01-27 09:29:26', '2021-01-27 09:30:25', '2021-01-27 09:30:25', NULL, '2021-01-27', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 80.40000000, 0.00000000, 0.00000000, 402.00000000, 482.40000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 402.00000000, 80.40000000, 482.40000000, NULL),
(1975, 'CF2101-1883', 1, NULL, '', 2740, NULL, '2021-02-01 09:12:17', '2021-01-28 09:12:19', '2021-01-28 09:12:46', '2021-01-28 09:12:47', NULL, '2021-01-28', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 11.95000000, 0.00000000, 0.00000000, 59.76000000, 71.71000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 59.76000000, 11.95000000, 71.71000000, NULL),
(1976, 'CF2101-1884', 1, NULL, '', 1948, NULL, '2021-02-05 10:55:53', '2021-01-28 10:51:39', '2021-01-28 10:52:02', '2021-01-28 10:52:02', NULL, '2021-01-28', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 35.20000000, 0.00000000, 0.00000000, 176.00000000, 211.20000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 176.00000000, 35.20000000, 211.20000000, NULL),
(1977, 'CF2101-1885', 1, NULL, '', 2673, NULL, '2021-02-02 14:08:53', '2021-01-28 14:00:56', '2021-01-28 14:02:03', '2021-01-28 14:02:03', NULL, '2021-01-28', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 26.41000000, 0.00000000, 0.00000000, 132.10000000, 158.51000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 132.10000000, 26.41000000, 158.51000000, NULL),
(1978, 'CF2101-1886', 1, NULL, '', 1948, NULL, '2021-02-05 10:57:32', '2021-01-28 16:23:43', '2021-01-28 16:23:53', '2021-01-28 16:23:53', NULL, '2021-01-28', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 10.26000000, 0.00000000, 0.00000000, 51.31000000, 61.57000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 51.31000000, 10.26000000, 61.57000000, NULL),
(1979, 'CF2101-1887', 1, NULL, '', 2050, NULL, '2021-02-04 07:37:05', '2021-01-29 09:01:11', '2021-01-29 09:01:41', '2021-01-29 09:01:41', NULL, '2021-01-29', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 113.57000000, 0.00000000, 0.00000000, 567.83000000, 681.40000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 567.83000000, 113.57000000, 681.40000000, NULL),
(1981, 'CF2102-1889', 1, NULL, '', 2609, NULL, '2021-02-15 13:31:36', '2021-02-01 10:59:30', '2021-02-01 11:21:23', '2021-02-01 11:21:24', NULL, '2021-02-01', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 387.87000000, 0.00000000, 0.00000000, 1939.36000000, 2327.23000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1939.36000000, 387.87000000, 2327.23000000, NULL),
(1982, 'CF2102-1888', 1, NULL, '', 2673, NULL, '2021-02-02 14:09:09', '2021-02-01 10:59:30', '2021-02-01 11:08:14', '2021-02-01 11:08:14', NULL, '2021-02-01', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 138.14000000, 0.00000000, 0.00000000, 690.76000000, 828.90000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 690.76000000, 138.14000000, 828.90000000, NULL),
(1983, 'CF2102-1890', 1, NULL, '', 2050, NULL, '2021-02-15 13:52:11', '2021-02-02 10:57:59', '2021-02-02 10:58:31', '2021-02-02 10:58:31', NULL, '2021-02-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 142.96000000, 0.00000000, 0.00000000, 714.78000000, 857.74000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 714.78000000, 142.96000000, 857.74000000, NULL),
(1984, 'CF2102-1891', 1, NULL, '', 2642, NULL, '2021-02-15 13:52:37', '2021-02-02 14:32:59', '2021-02-02 14:33:27', '2021-02-02 14:33:27', NULL, '2021-02-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 32.76000000, 0.00000000, 0.00000000, 163.80000000, 196.56000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 163.80000000, 32.76000000, 196.56000000, NULL),
(1985, 'CF2102-1892', 1, NULL, '', 2764, NULL, '2021-02-19 08:22:36', '2021-02-02 14:32:59', '2021-02-02 14:35:09', '2021-02-02 14:35:09', NULL, '2021-02-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 7.63000000, 0.00000000, 0.00000000, 38.13000000, 45.76000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 38.13000000, 7.63000000, 45.76000000, NULL),
(1986, 'CF2102-1893', 1, NULL, '', 2673, NULL, '2021-02-05 10:55:19', '2021-02-02 16:45:59', '2021-02-02 16:47:31', '2021-02-02 16:47:32', NULL, '2021-02-02', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 10.56000000, 0.00000000, 0.00000000, 52.74000000, 63.30000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 52.74000000, 10.56000000, 63.30000000, NULL),
(1987, 'CF2102-1894', 1, NULL, '', 1948, NULL, '2021-02-05 10:57:57', '2021-02-03 10:00:50', '2021-02-03 10:01:35', '2021-02-03 10:01:35', NULL, '2021-02-03', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 7.54000000, 0.00000000, 0.00000000, 37.70000000, 45.24000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 37.70000000, 7.54000000, 45.24000000, NULL),
(1988, 'CF2102-1895', 1, NULL, '', 1948, NULL, '2021-02-05 15:01:06', '2021-02-05 16:00:25', '2021-02-05 16:00:58', '2021-02-05 16:00:58', NULL, '2021-02-05', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 18.06000000, 0.00000000, 0.00000000, 90.30000000, 108.36000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 90.30000000, 18.06000000, 108.36000000, NULL),
(1989, 'CF2102-1896', 1, NULL, '', 1948, NULL, '2021-02-17 13:11:36', '2021-02-05 16:28:39', '2021-02-05 16:28:51', '2021-02-05 16:28:51', NULL, '2021-02-05', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 10.26000000, 0.00000000, 0.00000000, 51.31000000, 61.57000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 51.31000000, 10.26000000, 61.57000000, NULL),
(1990, 'CF2102-1897', 1, NULL, '', 2682, NULL, '2021-02-15 13:49:13', '2021-02-08 09:14:20', '2021-02-08 09:15:08', '2021-02-08 09:15:08', NULL, '2021-02-08', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 125.91000000, 0.00000000, 0.00000000, 629.55000000, 755.46000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 629.55000000, 125.91000000, 755.46000000, NULL),
(1991, 'CF2102-1898', 1, NULL, '', 1948, NULL, '2021-02-17 13:13:00', '2021-02-08 10:38:30', '2021-02-08 10:38:55', '2021-02-08 10:38:55', NULL, '2021-02-08', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 38.90000000, 0.00000000, 0.00000000, 194.50000000, 233.40000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 3, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 194.50000000, 38.90000000, 233.40000000, NULL),
(1992, 'CF2102-1899', 1, NULL, '', 2627, NULL, '2021-02-08 09:41:41', '2021-02-08 10:41:15', '2021-02-08 10:41:41', '2021-02-08 10:41:41', NULL, NULL, 5, NULL, 5, 5, NULL, 0, 2, 0, NULL, 0, 0, 63.48000000, 0.00000000, 0.00000000, 317.44000000, 380.92000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 317.44000000, 63.48000000, 380.92000000, NULL),
(1993, 'CF2102-1900', 1, NULL, '', 2729, NULL, '2021-02-18 08:11:51', '2021-02-08 10:44:03', '2021-02-08 10:45:04', '2021-02-08 10:45:04', NULL, '2021-02-18', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 140.90000000, 140.90000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 140.90000000, 0.00000000, 140.90000000, NULL),
(1994, 'CF2102-1901', 1, NULL, '', 2050, NULL, '2021-02-19 08:09:49', '2021-02-08 10:45:52', '2021-02-08 10:46:33', '2021-02-08 10:46:33', NULL, '2021-02-08', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 114.80000000, 0.00000000, 0.00000000, 574.00000000, 688.80000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 574.00000000, 114.80000000, 688.80000000, NULL),
(1995, 'CF2102-1902', 1, NULL, '', 2609, NULL, '2021-02-10 09:02:28', '2021-02-09 08:59:01', '2021-02-09 08:59:21', '2021-02-09 08:59:21', NULL, '2021-02-09', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 149.16000000, 0.00000000, 0.00000000, 745.80000000, 894.96000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 745.80000000, 149.16000000, 894.96000000, NULL),
(1996, 'CF2102-1903', 1, NULL, '', 2740, NULL, '2021-02-09 08:05:49', '2021-02-09 09:04:46', '2021-02-09 09:05:41', '2021-02-09 09:05:41', NULL, '2021-02-09', 5, 5, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 139.60000000, 0.00000000, 0.00000000, 698.00000000, 837.60000000, '', 'Livraison :<br />\r\nSociete SAVAJOLS<br />\r\nZI des Fouillouses<br />\r\n26140 St Rambert d\'Albon', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 698.00000000, 139.60000000, 837.60000000, NULL),
(1997, 'CF2102-1904', 1, NULL, '', 2050, NULL, '2021-02-15 13:53:18', '2021-02-09 10:53:06', '2021-02-09 10:54:12', '2021-02-09 10:54:12', NULL, '2021-02-09', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 141.27000000, 0.00000000, 0.00000000, 706.34000000, 847.61000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 706.34000000, 141.27000000, 847.61000000, NULL),
(1998, 'CF2102-1905', 1, NULL, '', 2679, NULL, '2021-02-09 15:17:41', '2021-02-09 16:16:55', '2021-02-09 16:17:34', '2021-02-09 16:17:34', NULL, '2021-02-09', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 280.20000000, 0.00000000, 0.00000000, 1401.00000000, 1681.20000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 1401.00000000, 280.20000000, 1681.20000000, NULL),
(1999, 'CF2102-1906', 1, NULL, '', 2642, NULL, '2021-02-22 12:58:34', '2021-02-10 09:11:18', '2021-02-10 09:11:59', '2021-02-10 09:11:59', NULL, '2021-02-10', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 25.33000000, 0.00000000, 0.00000000, 126.67000000, 152.00000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 126.67000000, 25.33000000, 152.00000000, NULL),
(2000, 'CF2102-1907', 1, NULL, '', 1948, NULL, '2021-02-17 13:15:21', '2021-02-10 09:57:29', '2021-02-10 09:57:44', '2021-02-10 09:57:44', NULL, '2021-02-10', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 8.06000000, 0.00000000, 0.00000000, 40.30000000, 48.36000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 40.30000000, 8.06000000, 48.36000000, NULL),
(2001, 'CF2102-1908', 1, NULL, '', 2673, NULL, '2021-02-15 13:52:53', '2021-02-10 11:46:59', '2021-02-10 11:47:18', '2021-02-10 11:47:18', NULL, '2021-02-10', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 10.47000000, 0.00000000, 0.00000000, 52.36000000, 62.83000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 52.36000000, 10.47000000, 62.83000000, NULL),
(2002, 'CF2102-1911', 1, NULL, '', 2729, NULL, '2021-02-11 09:58:31', '2021-02-10 16:09:32', '2021-02-11 10:58:23', '2021-02-11 10:58:23', NULL, '2021-02-11', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 0.00000000, 0.00000000, 0.00000000, 321.28000000, 321.28000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 321.28000000, 0.00000000, 321.28000000, NULL),
(2003, 'CF2102-1909', 1, NULL, '', 2740, NULL, '2021-02-11 08:48:07', '2021-02-11 09:47:27', '2021-02-11 09:48:00', '2021-02-11 09:48:00', NULL, '2021-02-11', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 79.90000000, 0.00000000, 0.00000000, 399.50000000, 479.40000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 399.50000000, 79.90000000, 479.40000000, NULL),
(2004, 'CF2102-1910', 1, NULL, '', 1948, NULL, '2021-02-17 13:13:16', '2021-02-11 09:50:01', '2021-02-11 09:50:24', '2021-02-11 09:50:24', NULL, '2021-02-11', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 52.00000000, 0.00000000, 0.00000000, 260.00000000, 312.00000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 260.00000000, 52.00000000, 312.00000000, NULL),
(2005, 'CF2102-1912', 1, NULL, '', 2673, NULL, '2021-02-18 14:27:03', '2021-02-12 09:06:49', '2021-02-12 09:10:12', '2021-02-12 09:10:12', NULL, '2021-02-12', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 124.06000000, 0.00000000, 0.00000000, 620.30000000, 744.36000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 620.30000000, 124.06000000, 744.36000000, NULL),
(2006, 'CF2102-1913', 1, NULL, '', 2764, NULL, '2021-02-19 08:21:18', '2021-02-12 09:40:43', '2021-02-12 09:41:03', '2021-02-12 09:41:03', NULL, '2021-02-12', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 10.45000000, 0.00000000, 0.00000000, 52.26000000, 62.71000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 52.26000000, 10.45000000, 62.71000000, NULL),
(2007, 'CF2102-1914', 1, NULL, '', 2609, NULL, '2021-02-18 08:10:42', '2021-02-12 09:45:37', '2021-02-12 09:49:38', '2021-02-12 09:49:38', NULL, '2021-02-12', 5, NULL, 5, 5, NULL, 0, 4, 0, NULL, 0, 0, 124.34000000, 0.00000000, 0.00000000, 621.70000000, 746.04000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 621.70000000, 124.34000000, 746.04000000, NULL),
(2008, 'CF2102-1915', 1, NULL, '', 2050, NULL, '2021-02-17 08:00:12', '2021-02-12 10:18:27', '2021-02-12 10:18:49', '2021-02-12 10:18:49', NULL, '2021-02-12', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 45.80000000, 0.00000000, 0.00000000, 229.00000000, 274.80000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 229.00000000, 45.80000000, 274.80000000, NULL),
(2009, 'CF2102-1916', 1, NULL, '', 2609, NULL, '2021-02-18 08:11:03', '2021-02-12 10:30:56', '2021-02-12 10:32:15', '2021-02-12 10:32:15', NULL, '2021-02-12', 5, 5, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 63.20000000, 0.00000000, 0.00000000, 316.00000000, 379.20000000, '', 'a rajouter à la commande en cours', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 316.00000000, 63.20000000, 379.20000000, NULL),
(2010, 'CF2102-1917', 1, NULL, '', 2673, NULL, '2021-02-12 10:19:17', '2021-02-12 11:18:32', '2021-02-12 11:19:10', '2021-02-12 11:19:11', NULL, '2021-02-12', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 117.89000000, 0.00000000, 0.00000000, 589.44000000, 707.33000000, '', 'a joindre &agrave; commande de ce matin svp', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 589.44000000, 117.89000000, 707.33000000, NULL),
(2011, 'CF2102-1918', 1, NULL, '', 2050, NULL, '2021-02-17 13:25:39', '2021-02-15 10:22:34', '2021-02-15 10:22:50', '2021-02-15 10:22:50', NULL, '2021-02-15', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 75.60000000, 0.00000000, 0.00000000, 378.00000000, 453.60000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 378.00000000, 75.60000000, 453.60000000, NULL),
(2012, 'CF2102-1919', 1, NULL, '', 1948, NULL, '2021-02-15 09:23:49', '2021-02-15 10:23:23', '2021-02-15 10:23:38', '2021-02-15 10:23:38', NULL, '2021-02-15', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 38.90000000, 0.00000000, 0.00000000, 194.50000000, 233.40000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 194.50000000, 38.90000000, 233.40000000, NULL),
(2013, 'CF2102-1920', 1, NULL, '', 1948, NULL, '2021-02-16 09:52:28', '2021-02-16 10:51:51', '2021-02-16 10:52:22', '2021-02-16 10:52:22', NULL, '2021-02-16', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 27.27000000, 0.00000000, 0.00000000, 136.35000000, 163.62000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 136.35000000, 27.27000000, 163.62000000, NULL);
INSERT INTO `llx_commande_fournisseur` (`rowid`, `ref`, `entity`, `ref_ext`, `ref_supplier`, `fk_soc`, `fk_projet`, `tms`, `date_creation`, `date_valid`, `date_approve`, `date_approve2`, `date_commande`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_user_approve`, `fk_user_approve2`, `source`, `fk_statut`, `billed`, `amount_ht`, `remise_percent`, `remise`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_ttc`, `note_private`, `note_public`, `model_pdf`, `date_livraison`, `fk_account`, `fk_cond_reglement`, `fk_mode_reglement`, `fk_input_method`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`) VALUES
(2014, 'CF2102-1921', 1, NULL, '', 2673, NULL, '2021-02-19 15:08:53', '2021-02-17 10:19:01', '2021-02-17 14:50:41', '2021-02-17 14:50:41', NULL, '2021-02-17', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 34.29000000, 0.00000000, 0.00000000, 171.45000000, 205.74000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 171.45000000, 34.29000000, 205.74000000, NULL),
(2015, 'CF2102-1922', 1, NULL, '', 1948, NULL, '2021-02-18 10:38:56', '2021-02-18 11:38:27', '2021-02-18 11:38:49', '2021-02-18 11:38:49', NULL, '2021-02-18', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 11.22000000, 0.00000000, 0.00000000, 56.10000000, 67.32000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 56.10000000, 11.22000000, 67.32000000, NULL),
(2016, '(PROV2016)', 1, NULL, '', 2050, NULL, '2021-02-18 10:38:27', '2021-02-18 11:38:27', NULL, NULL, NULL, NULL, 5, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 0, 0, 188.73000000, 0.00000000, 0.00000000, 943.66000000, 1132.39000000, '', '', 'muscadet', NULL, NULL, NULL, NULL, 0, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 943.66000000, 188.73000000, 1132.39000000, NULL),
(2017, 'CF2102-1923', 1, NULL, '', 2050, NULL, '2021-02-19 08:03:03', '2021-02-19 09:02:22', '2021-02-19 09:02:56', '2021-02-19 09:02:56', NULL, '2021-02-19', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 103.20000000, 0.00000000, 0.00000000, 516.00000000, 619.20000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 516.00000000, 103.20000000, 619.20000000, NULL),
(2018, 'CF2102-1924', 1, NULL, '', 2609, NULL, '2021-02-24 08:35:18', '2021-02-19 09:57:54', '2021-02-19 09:58:33', '2021-02-19 09:58:33', NULL, '2021-02-19', 5, NULL, 5, 5, NULL, 0, 5, 0, NULL, 0, 0, 45.20000000, 0.00000000, 0.00000000, 226.00000000, 271.20000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 226.00000000, 45.20000000, 271.20000000, NULL),
(2019, 'CF2102-1925', 1, NULL, '', 1948, NULL, '2021-02-23 08:15:25', '2021-02-23 09:14:43', '2021-02-23 09:15:19', '2021-02-23 09:15:19', NULL, '2021-02-23', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 11.57000000, 0.00000000, 0.00000000, 57.89000000, 69.46000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 57.89000000, 11.57000000, 69.46000000, NULL),
(2020, 'CF2102-1926', 1, NULL, '', 2673, NULL, '2021-02-23 08:22:47', '2021-02-23 09:22:23', '2021-02-23 09:22:40', '2021-02-23 09:22:41', NULL, '2021-02-23', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 25.30000000, 0.00000000, 0.00000000, 126.50000000, 151.80000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 126.50000000, 25.30000000, 151.80000000, NULL),
(2021, 'CF2102-1927', 1, NULL, '', 2712, NULL, '2021-02-23 08:45:00', '2021-02-23 09:43:13', '2021-02-23 09:44:44', '2021-02-23 09:44:44', NULL, '2021-02-23', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 13.37000000, 0.00000000, 0.00000000, 66.82000000, 80.19000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 66.82000000, 13.37000000, 80.19000000, NULL),
(2022, 'CF2102-1928', 1, NULL, '', 2642, NULL, '2021-02-23 15:41:05', '2021-02-23 16:40:31', '2021-02-23 16:40:59', '2021-02-23 16:40:59', NULL, '2021-02-23', 5, NULL, 5, 5, NULL, 0, 3, 0, NULL, 0, 0, 44.07000000, 0.00000000, 0.00000000, 220.34000000, 264.41000000, '', '', 'muscadet', NULL, NULL, 9, NULL, 1, 0, '', NULL, NULL, 0, 'EUR', 1.00000000, 220.34000000, 44.07000000, 264.41000000, NULL);
