
-- --------------------------------------------------------

--
-- Structure de la table `llx_expedition`
--

CREATE TABLE `llx_expedition` (
  `rowid` int(11) NOT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `ref` varchar(30) NOT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `fk_soc` int(11) NOT NULL,
  `fk_projet` int(11) DEFAULT NULL,
  `ref_ext` varchar(255) DEFAULT NULL,
  `ref_int` varchar(30) DEFAULT NULL,
  `ref_customer` varchar(30) DEFAULT NULL,
  `date_creation` datetime DEFAULT NULL,
  `fk_user_author` int(11) DEFAULT NULL,
  `date_valid` datetime DEFAULT NULL,
  `fk_user_valid` int(11) DEFAULT NULL,
  `date_expedition` datetime DEFAULT NULL,
  `date_delivery` datetime DEFAULT NULL,
  `fk_address` int(11) DEFAULT NULL,
  `fk_shipping_method` int(11) DEFAULT NULL,
  `tracking_number` varchar(50) DEFAULT NULL,
  `fk_statut` smallint(6) DEFAULT '0',
  `billed` smallint(6) DEFAULT '0',
  `height` float DEFAULT NULL,
  `width` float DEFAULT NULL,
  `size_units` int(11) DEFAULT NULL,
  `size` float DEFAULT NULL,
  `weight_units` int(11) DEFAULT NULL,
  `weight` float DEFAULT NULL,
  `note_private` text,
  `note_public` text,
  `model_pdf` varchar(255) DEFAULT NULL,
  `fk_incoterms` int(11) DEFAULT NULL,
  `location_incoterms` varchar(255) DEFAULT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  `extraparams` varchar(255) DEFAULT NULL,
  `fk_user_modif` int(11) DEFAULT NULL,
  `last_main_doc` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Déchargement des données de la table `llx_expedition`
--

INSERT INTO `llx_expedition` (`rowid`, `tms`, `ref`, `entity`, `fk_soc`, `fk_projet`, `ref_ext`, `ref_int`, `ref_customer`, `date_creation`, `fk_user_author`, `date_valid`, `fk_user_valid`, `date_expedition`, `date_delivery`, `fk_address`, `fk_shipping_method`, `tracking_number`, `fk_statut`, `billed`, `height`, `width`, `size_units`, `size`, `weight_units`, `weight`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_user_modif`, `last_main_doc`) VALUES
(1, '2017-08-22 12:36:53', 'SH1708-0001', 1, 11435, NULL, NULL, NULL, NULL, '2017-08-22 14:36:30', 5, '2017-08-22 14:36:47', 5, NULL, '2017-08-03 00:00:00', NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement filtre reseau charbon actif - r&eacute;alisation des travaux en m&ecirc;me temps que le remplacement de la bague &agrave; l&eacute;vres &nbsp;prise en garantie&nbsp;', 'rouget', 0, '', NULL, NULL, NULL, NULL),
(2, '2017-08-23 08:57:06', 'SH1708-0002', 1, 2064, NULL, NULL, NULL, NULL, '2017-08-23 10:56:33', 5, '2017-08-23 10:56:56', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, 'EN REGIE', 'R&eacute;amenagement local technique compresseur - Remis en place Kaeser avec secheur- deplacement L80 - Armoire avec sectionneur + cable alimentation TGBT + &nbsp;Raccordement en inox 54 &amp; 42 - creation d&#39;un piquage AC pour alimentation passerelle .&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(3, '2017-08-23 13:18:24', 'SH1708-0003', 1, 2054, NULL, NULL, NULL, NULL, '2017-08-23 14:23:22', 5, '2017-08-23 14:23:27', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(4, '2017-08-23 13:39:49', 'SH1708-0004', 1, 2054, NULL, NULL, NULL, NULL, '2017-08-23 15:39:14', 5, '2017-08-23 15:39:17', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Founiture et raccordement compresseur &agrave; vis lubrifi&eacute;e Vitesse variable L26RS COMPAIR<br />\r\nLivraison : COOPERATIVE LA DAUPHINOISE Site Sces MAIS CHEMIN DU POULOUX 38270 BEAUREPAIRE<br />\r\nCommande N&deg;S98217073052GG', NULL, 0, '', NULL, NULL, NULL, NULL),
(5, '2017-08-23 14:15:00', 'SH1708-0005', 1, 2054, NULL, NULL, NULL, NULL, '2017-08-23 16:14:52', 5, '2017-08-23 16:14:57', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur MACOSULLAIR WA3008V -<br />\r\nLivraison : COOPERATIVE DAUPHINOISE Site Sce Bl&eacute; 2 calibrage - Chemin du Pouloux 38270 BEAUREPAIRE<br />\r\nCommande N&deg; S98117061015', NULL, 0, '', NULL, NULL, NULL, NULL),
(6, '2017-08-24 09:58:03', 'SH1708-0006', 1, 2118, NULL, NULL, NULL, NULL, '2017-08-24 11:57:51', 5, '2017-08-24 11:57:59', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Compresseur COMPAIR L11 &agrave; vis de 11KW 10 BARS avec filtration , s&eacute;cheur et traitement de condensats avec reprise compl&eacute;te du local', NULL, 0, '', NULL, NULL, NULL, NULL),
(7, '2019-01-14 09:37:07', 'SH1708-0007', 1, 2407, NULL, NULL, NULL, NULL, '2017-08-24 12:24:07', 5, '2017-08-24 12:24:16', 5, NULL, '2017-08-31 00:00:00', NULL, 2, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 'rouget', 0, '', NULL, NULL, NULL, NULL),
(8, '2017-08-24 13:06:42', 'SH1708-0008', 1, 2239, NULL, NULL, NULL, NULL, '2017-08-24 15:06:33', 5, '2017-08-24 15:06:38', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance COmpresseur LUCHARD COMPAIR 6020ELX07BE &agrave; 3457 HRS et filtres reseaux<br />\r\nBL N&deg; 43 du 01/08/2017', NULL, 0, '', NULL, NULL, NULL, NULL),
(9, '2017-08-24 13:15:49', 'SH1708-0009', 1, 2239, NULL, NULL, NULL, NULL, '2017-08-24 15:15:40', 5, '2017-08-24 15:15:46', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance COmpresseur LUCHARD COMPAIR 6020ELX07BE &agrave; 3457 HRS et filtres reseaux<br />\r\nBL N&deg; 43 du 01/08/2017', NULL, 0, '', NULL, NULL, NULL, NULL),
(10, '2018-02-14 15:26:16', 'SH1708-0010', 1, 2234, NULL, NULL, NULL, NULL, '2017-08-24 16:07:35', 5, '2017-08-24 16:07:41', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L45RS N&deg; CD10005658001 &agrave; 48395 HRS &amp; remplacement accouplement .', NULL, 0, '', NULL, NULL, NULL, NULL),
(11, '2017-08-25 08:18:16', 'SH1708-0011', 1, 2285, NULL, NULL, NULL, NULL, '2017-08-25 10:18:08', 5, '2017-08-25 10:18:13', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance HV04 N&deg; V040013080803 &agrave; 5621 HRS&nbsp;<br />\r\nsuivant BL N&deg;16 du 10/08/2017', NULL, 0, '', NULL, NULL, NULL, NULL),
(12, '2017-08-25 08:54:50', 'SH1708-0012', 1, 2285, NULL, NULL, NULL, NULL, '2017-08-25 10:54:34', 5, '2017-08-25 10:54:47', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L15 N&deg;349015/1508 &agrave; 31300 HRS<br />\r\nBL N&deg; 17 du 10/08/2017', NULL, 0, '', NULL, NULL, NULL, NULL),
(13, '2017-08-25 09:49:20', 'SH1708-0013', 1, 2285, NULL, NULL, NULL, NULL, '2017-08-25 11:49:09', 5, '2017-08-25 11:49:18', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance des deux surpresseurs pedrogil N&deg; 13250 &amp; 13251<br />\r\nselon BL n&deg; 18 du 10/08/2017', NULL, 0, '', NULL, NULL, NULL, NULL),
(14, '2017-08-28 09:34:26', 'SH1708-0014', 1, 2102, NULL, NULL, NULL, NULL, '2017-08-28 11:33:25', 5, '2017-08-28 11:33:28', 5, NULL, NULL, NULL, NULL, '', 2, 1, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Intervention filtre r&eacute;seau - remplacment flotteur', NULL, 0, '', NULL, NULL, NULL, NULL),
(15, '2017-08-29 09:12:14', '(PROV15)', 1, 2379, NULL, NULL, NULL, NULL, '2017-08-29 11:12:14', 5, NULL, NULL, NULL, NULL, NULL, NULL, '', 0, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L15RS N&deg;CD1002489002 &agrave; 2434 HRS- maintenace separateur de condensats owamat 10 et remplacement cartouches des 2 filtres reseaux - recyclage des anciens consommables', NULL, 0, '', NULL, NULL, NULL, NULL),
(16, '2019-09-02 12:35:56', 'SH1708-0015', 1, 2379, NULL, NULL, NULL, NULL, '2017-08-29 11:12:14', 5, '2017-08-29 11:12:25', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L15RS N&deg;CD1002489002 &agrave; 2434 HRS- maintenace separateur de condensats owamat 10 et remplacement cartouches des 2 filtres reseaux - recyclage des anciens consommables', NULL, 0, '', NULL, NULL, NULL, NULL),
(17, '2017-08-29 09:20:30', 'SH1708-0016', 1, 2062, NULL, NULL, NULL, NULL, '2017-08-29 11:20:27', 5, '2017-08-29 11:20:30', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remise en place LOCAL AC', NULL, 0, '', NULL, NULL, NULL, NULL),
(18, '2017-08-29 13:16:56', 'SH1708-0017', 1, 2286, NULL, NULL, NULL, NULL, '2017-08-29 14:57:07', 5, '2017-08-29 14:57:11', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Natte filtrante pour L15RS COMPRESSEUR COMPAIR', NULL, 0, '', NULL, NULL, NULL, NULL),
(19, '2017-08-30 07:13:16', 'SH1708-0018', 1, 2095, NULL, NULL, NULL, NULL, '2017-08-30 09:13:08', 5, '2017-08-30 09:13:13', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance Compresseur STAR 2008 et Genesis', NULL, 0, '', NULL, NULL, NULL, NULL),
(20, '2017-08-30 09:31:40', 'SH1708-0019', 1, 7060, NULL, NULL, NULL, NULL, '2017-08-30 11:31:34', 5, '2017-08-30 11:31:38', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance Local technique : Maintenance compresseur SULLAIR TREK30HH &amp; compresseur Silpack 10 et 2 filtres reseaux -<br />\r\nSoufflage et verification des connection du s&eacute;cheur &nbsp;ACT55 .', NULL, 0, '', NULL, NULL, NULL, NULL),
(21, '2018-12-11 09:29:20', 'SH1708-0020', 1, 2386, NULL, NULL, NULL, NULL, '2017-08-30 11:32:39', 5, '2017-08-30 11:32:43', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'MAINTENANCE KAESER BS61', NULL, 0, '', NULL, NULL, NULL, NULL),
(22, '2017-08-30 14:36:31', 'SH1708-0021', 1, 2071, NULL, NULL, NULL, NULL, '2017-08-30 16:36:24', 5, '2017-08-30 16:36:28', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur BOGE &amp; HV05 selon BL N&deg; 28 &amp; 29 du 28/08/2017 -<br />\r\nRemise sp&eacute;ciale Alain Balazard -100 &euro;', NULL, 0, '', NULL, NULL, NULL, NULL),
(23, '2017-08-31 07:37:15', 'SH1708-0022', 1, 12613, NULL, NULL, NULL, NULL, '2017-08-31 09:37:08', 5, '2017-08-31 09:37:12', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Fourniture un enrouleur en promotion -&nbsp;<br />\r\nLivraison par Mr BALAZARD ce jour&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(24, '2017-09-08 12:32:04', 'SH1709-0023', 1, 2123, NULL, NULL, NULL, NULL, '2017-09-08 14:31:58', 5, '2017-09-08 14:32:02', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'ENrouleurs a rapel automatique&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(25, '2017-09-12 13:41:25', 'SH1709-0024', 1, 2350, NULL, NULL, NULL, NULL, '2017-09-11 14:47:41', 5, '2017-09-11 14:47:46', 5, NULL, NULL, NULL, NULL, '', 2, 1, NULL, NULL, 0, NULL, 0, NULL, NULL, '2 Distributeurs pneumatique CAMOZZI&nbsp; -&nbsp; 5 / 2&nbsp; -&nbsp; R&eacute;f 458 - 011 -22', NULL, 0, '', NULL, NULL, NULL, NULL),
(26, '2018-02-21 09:15:08', 'SH1709-0025', 1, 2184, NULL, NULL, NULL, NULL, '2017-09-12 09:32:46', 5, '2017-09-12 09:32:51', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Intervention sur s&eacute;cheur COMPAIR F84C N&deg;1412MA7895 suivant BL N&deg;1 du 12/07/2017', NULL, 0, '', NULL, NULL, NULL, NULL),
(27, '2017-09-12 12:30:56', 'SH1709-0026', 1, 12609, NULL, NULL, NULL, NULL, '2017-09-12 14:30:07', 5, '2017-09-12 14:30:10', 5, NULL, NULL, NULL, NULL, '', 2, 1, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(28, '2019-03-20 14:39:59', 'SH1709-0027', 1, 2086, NULL, NULL, NULL, NULL, '2017-09-13 15:37:13', 5, '2017-09-13 15:37:19', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L11RS', NULL, 0, '', NULL, NULL, NULL, NULL),
(29, '2017-09-13 13:37:56', 'SH1709-0028', 1, 2215, NULL, NULL, NULL, NULL, '2017-09-13 15:37:53', 5, '2017-09-13 15:37:56', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenances de vos 2 compresseurs :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(30, '2018-12-21 07:50:37', 'SH1709-0029', 1, 2204, NULL, NULL, NULL, NULL, '2017-09-13 15:38:24', 5, '2017-09-13 15:38:27', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance l15', NULL, 0, '', NULL, NULL, NULL, NULL),
(31, '2017-09-13 13:39:17', 'SH1709-0030', 1, 5888, NULL, NULL, NULL, NULL, '2017-09-13 15:39:10', 5, '2017-09-13 15:39:14', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, 'maintenance et nettoyage secheur', 'Maintenance &nbsp;maintenance compresseur &agrave; vis&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(32, '2017-09-14 07:41:17', 'SH1709-0031', 1, 11275, NULL, NULL, NULL, NULL, '2017-09-14 09:40:48', 5, '2017-09-14 09:40:53', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Pieces detachees pour Devillbiss mod1508 de 2008 :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(33, '2017-09-14 08:59:55', 'SH1709-0032', 1, 12581, NULL, NULL, NULL, NULL, '2017-09-14 10:59:50', 5, '2017-09-14 10:59:52', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Changement separateur sur compresseur ATLAS GA15FF N&deg; API329281 &agrave; 2788HRS et soufflage des radiateur :', NULL, 0, '', NULL, NULL, NULL, NULL),
(34, '2017-09-15 07:03:15', 'SH1709-0033', 1, 12612, NULL, NULL, NULL, NULL, '2017-09-15 09:03:04', 5, '2017-09-15 09:03:11', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Etaux d&#39;etabli', NULL, 0, '', NULL, NULL, NULL, NULL),
(35, '2017-09-15 07:44:18', 'SH1709-0034', 1, 1996, NULL, NULL, NULL, NULL, '2017-09-15 09:44:02', 5, '2017-09-15 09:44:10', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Depannage compresseur L15 et L18 + maintenance complete L15', NULL, 0, '', NULL, NULL, NULL, NULL),
(36, '2017-09-15 08:19:16', 'SH1709-0035', 1, 2321, NULL, NULL, NULL, NULL, '2017-09-15 10:19:11', 5, '2017-09-15 10:19:15', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, 'CONTRAT LISE', NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(37, '2017-09-15 08:35:51', 'SH1709-0036', 1, 2189, NULL, NULL, NULL, NULL, '2017-09-15 10:35:47', 5, '2017-09-15 10:35:50', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L11 N&deg;349027/4810 &agrave; 2610 HRS suivant BL N&deg; 33 du 13/09/2017', NULL, 0, '', NULL, NULL, NULL, NULL),
(38, '2017-10-13 09:17:16', 'SH1709-0037', 1, 12596, NULL, NULL, NULL, NULL, '2017-09-15 16:06:30', 5, '2017-09-15 16:06:33', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'filtres reseaux&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(39, '2017-09-18 07:51:32', 'SH1709-0038', 1, 2173, NULL, NULL, NULL, NULL, '2017-09-18 09:50:21', 5, '2017-09-18 09:50:26', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Kit de maintenance Separateur de condensats OWAMAT 10 :&nbsp;<br />\r\n<br />\r\n&nbsp;', 'rouget', 0, '', NULL, NULL, NULL, NULL),
(40, '2017-09-19 12:42:59', 'SH1709-0039', 1, 2184, NULL, NULL, NULL, NULL, '2017-09-19 14:42:53', 5, '2017-09-19 14:42:56', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L45RS :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(41, '2017-09-20 07:33:57', 'SH1709-0040', 1, 2347, NULL, NULL, NULL, NULL, '2017-09-20 09:33:52', 5, '2017-09-20 09:33:55', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L15RS :', NULL, 0, '', NULL, NULL, NULL, NULL),
(42, '2017-09-20 08:08:46', 'SH1709-0041', 1, 2338, NULL, NULL, NULL, NULL, '2017-09-20 10:08:36', 5, '2017-09-20 10:08:43', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L07RS en FULL SERVICE et MAINTENACE ROLLAIR', NULL, 0, '', NULL, NULL, NULL, NULL),
(43, '2020-12-21 10:07:51', 'SH1709-0042', 1, 5741, NULL, NULL, NULL, NULL, '2017-09-27 10:13:06', 5, '2017-09-27 10:13:37', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Filtre &agrave; air pour Rallye 086 :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(44, '2017-09-29 12:56:00', 'SH1709-0043', 1, 2011, NULL, NULL, NULL, NULL, '2017-09-29 14:55:52', 5, '2017-09-29 14:55:55', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenances des 2 compresseurs :<br />\r\nL07 &amp; L07RS', NULL, 0, '', NULL, NULL, NULL, NULL),
(45, '2017-09-29 14:23:33', 'SH1709-0044', 1, 2140, NULL, NULL, NULL, NULL, '2017-09-29 16:23:25', 5, '2017-09-29 16:23:31', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L15RS', NULL, 0, '', NULL, NULL, NULL, NULL),
(46, '2017-10-02 08:19:36', 'SH1710-0045', 1, 9782, NULL, NULL, NULL, NULL, '2017-10-02 10:19:33', 5, '2017-10-02 10:19:36', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Founiture de burin et prise ne charge r&eacute;paration RC5185', NULL, 0, '', NULL, NULL, NULL, NULL),
(47, '2017-10-02 09:26:29', 'SH1710-0046', 1, 2215, NULL, NULL, NULL, NULL, '2017-10-02 11:26:23', 5, '2017-10-02 11:26:29', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'enrouleur waterreel', NULL, 0, '', NULL, NULL, NULL, NULL),
(48, '2017-10-03 09:52:14', 'SH1710-0047', 1, 2330, NULL, NULL, NULL, NULL, '2017-10-03 11:50:53', 5, '2017-10-03 11:51:01', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Intervention sur s&eacute;cheur MPF101 - Remplacement purge &eacute;lectropilot&eacute;&eacute;', NULL, 0, '', NULL, NULL, NULL, NULL),
(49, '2017-10-03 10:04:35', 'SH1710-0048', 1, 2127, NULL, NULL, NULL, NULL, '2017-10-03 12:04:28', 5, '2017-10-03 12:04:32', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L75SR COMPAIR :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(50, '2017-10-03 12:11:49', 'SH1710-0049', 1, 2399, NULL, NULL, NULL, NULL, '2017-10-03 14:11:39', 5, '2017-10-03 14:11:45', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur &nbsp;L11RS BA 34398001 &agrave; 9815 HRS :&nbsp;<br />\r\n<br />\r\nBL N&deg; 13&nbsp; du 15/09/2017<br />\r\n<br />\r\nBon N&deg; 004910', NULL, 0, '', NULL, NULL, NULL, NULL),
(51, '2017-10-03 14:42:15', 'SH1710-0050', 1, 2128, NULL, NULL, NULL, NULL, '2017-10-03 16:42:08', 5, '2017-10-03 16:42:11', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur MAUGUIERE MAV61/10', NULL, 0, '', NULL, NULL, NULL, NULL),
(52, '2019-01-14 09:36:54', 'SH1710-0051', 1, 2407, NULL, NULL, NULL, NULL, '2017-10-06 09:24:09', 5, '2017-10-06 09:24:20', 5, NULL, '2017-10-11 00:00:00', NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Separateur de condensats kit de maintenance OWAMAT 5R :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(53, '2017-10-13 14:37:57', 'SH1710-0052', 1, 2285, NULL, NULL, NULL, NULL, '2017-10-06 14:38:41', 5, '2017-10-06 14:38:44', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Probl&egrave;me pour nettoyage de sa vis sans fin&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(54, '2017-10-09 09:05:14', 'SH1710-0053', 1, 2252, NULL, NULL, NULL, NULL, '2017-10-09 11:05:08', 5, '2017-10-09 11:05:14', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement de filtres r&eacute;seaux&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(55, '2017-10-12 08:46:11', 'SH1710-0054', 1, 2054, NULL, NULL, NULL, NULL, '2017-10-12 10:46:07', 5, '2017-10-12 10:46:11', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Compresseur BEL AIR :<br />\r\n<br />\r\nSite COOPERATIVE LA DAUPHINOISE 2460 Chemin de la voie ferree 38260 LA COTE SAINT ANDRE', NULL, 0, '', NULL, NULL, NULL, NULL),
(56, '2017-10-12 13:25:08', 'SH1710-0055', 1, 5719, NULL, NULL, NULL, NULL, '2017-10-12 15:25:00', 5, '2017-10-12 15:25:05', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '<strong>En Paiement 3x sans frais pour un montant de 811.42 x 3&nbsp;<br />\r\nEn LOA sur 24 mois avec une mensualit&eacute; de 115.92 &euro; par mois&nbsp;<br />\r\nSous r&egrave;serve d&#39;acceptation par notre partenaire Financier&nbsp;</strong>', NULL, 0, '', NULL, NULL, NULL, NULL),
(57, '2017-10-13 07:14:52', 'SH1710-0056', 1, 1983, NULL, NULL, NULL, NULL, '2017-10-13 09:14:39', 5, '2017-10-13 09:14:44', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L07RS', NULL, 0, '', NULL, NULL, NULL, NULL),
(58, '2017-10-13 07:28:53', 'SH1710-0057', 1, 2064, NULL, NULL, NULL, NULL, '2017-10-13 09:28:44', 5, '2017-10-13 09:28:50', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L80 N&deg; CD10000635001 &agrave; 29730 Heures&nbsp;<br />\r\nBL N&deg;15 du 11/10/2017', NULL, 0, '', NULL, NULL, NULL, NULL),
(59, '2017-10-13 07:36:32', 'SH1710-0058', 1, 2064, NULL, NULL, NULL, NULL, '2017-10-13 09:36:26', 5, '2017-10-13 09:36:30', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L37 N&deg; CD10001720002', NULL, 0, '', NULL, NULL, NULL, NULL),
(60, '2017-10-13 07:51:52', 'SH1710-0059', 1, 2042, NULL, NULL, NULL, NULL, '2017-10-13 09:51:45', 5, '2017-10-13 09:51:49', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance RSDK PRO 5.5 :', NULL, 0, '', NULL, NULL, NULL, NULL),
(61, '2017-10-13 08:08:38', 'SH1710-0060', 1, 2033, NULL, NULL, NULL, NULL, '2017-10-13 10:08:27', 5, '2017-10-13 10:08:30', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L26RS', NULL, 0, '', NULL, NULL, NULL, NULL),
(62, '2017-10-13 08:18:42', 'SH1710-0061', 1, 2038, NULL, NULL, NULL, NULL, '2017-10-13 10:18:35', 5, '2017-10-13 10:18:39', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L07RS', NULL, 0, '', NULL, NULL, NULL, NULL),
(63, '2017-10-13 08:33:04', 'SH1710-0062', 1, 2073, NULL, NULL, NULL, NULL, '2017-10-13 10:33:00', 5, '2017-10-13 10:33:03', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance Hv07', NULL, 0, '', NULL, NULL, NULL, NULL),
(64, '2017-10-13 08:42:03', 'SH1710-0063', 1, 2142, NULL, NULL, NULL, NULL, '2017-10-13 10:41:59', 5, '2017-10-13 10:42:02', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L22SR N&deg;CD10003983002 &agrave; 14010 HRS<br />\r\nBL N&deg; 16 du 11/10/2017', NULL, 0, '', NULL, NULL, NULL, NULL),
(65, '2017-10-13 09:02:58', 'SH1710-0064', 1, 7060, NULL, NULL, NULL, NULL, '2017-10-13 11:02:39', 5, '2017-10-13 11:02:46', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'remplacement bouton reset poussoir avec voyant et natte filtrante et courroie sur compresseru SULLAIR&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(66, '2017-10-13 12:25:24', 'SH1710-0065', 1, 2268, NULL, NULL, NULL, NULL, '2017-10-13 14:25:16', 5, '2017-10-13 14:25:22', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L15', NULL, 0, '', NULL, NULL, NULL, NULL),
(67, '2017-10-20 13:54:11', 'SH1710-0066', 1, 2122, NULL, NULL, NULL, NULL, '2017-10-16 10:03:57', 5, '2017-10-16 10:04:02', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Soupape en 1 /2 tarée a 7 bars.', NULL, 0, '', NULL, NULL, NULL, NULL),
(68, '2017-10-24 08:27:23', 'SH1710-0067', 1, 6314, NULL, NULL, NULL, NULL, '2017-10-16 10:19:44', 5, '2017-10-16 10:19:53', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(69, '2017-10-19 07:43:18', 'SH1710-0068', 1, 1955, NULL, NULL, NULL, NULL, '2017-10-19 09:41:05', 5, '2017-10-19 09:41:10', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L07 de 2009 N&deg; CD10000211002 &agrave; 6472 HRS<br />\r\nBL N&deg;17 du 13/10/2017', NULL, 0, '', NULL, NULL, NULL, NULL),
(70, '2017-10-19 08:18:35', 'SH1710-0069', 1, 2054, NULL, NULL, NULL, NULL, '2017-10-19 10:18:32', 5, '2017-10-19 10:18:35', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance sullair es8 &agrave; 22689 HRS&nbsp; - Remplacement des cartouches des filtres r&eacute;seau-<br />\r\n<br />\r\nSite d&#39;intervention : COOPERATIVE LA DAUPHINOISE Bourg Evescal 73250 ST JEAN DE LA PORTE', NULL, 0, '', NULL, NULL, NULL, NULL),
(71, '2017-10-19 08:43:35', 'SH1710-0070', 1, 2054, NULL, NULL, NULL, NULL, '2017-10-19 10:43:31', 5, '2017-10-19 10:43:34', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance SULLAIR WS1508 N&deg; C03-C210029 de 2009 &agrave; 36264 HRS<br />\r\n<br />\r\nSite COOPERATIVE LA DAUPHINOISE 2460 Chemin de la voie ferree 38260 LA COTE SAINT ANDRE', NULL, 0, '', NULL, NULL, NULL, NULL),
(72, '2017-10-19 10:10:54', 'SH1710-0071', 1, 1948, NULL, NULL, NULL, NULL, '2017-10-19 12:10:48', 5, '2017-10-19 12:10:53', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'vanne 3 voies', NULL, 0, '', NULL, NULL, NULL, NULL),
(73, '2019-03-12 13:37:43', 'SH1710-0072', 1, 2297, NULL, NULL, NULL, NULL, '2017-10-20 10:08:55', 5, '2017-10-20 10:09:00', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L11', NULL, 0, '', NULL, NULL, NULL, NULL),
(74, '2019-06-05 12:21:55', 'SH1710-0073', 1, 2263, NULL, NULL, NULL, NULL, '2017-10-20 10:09:26', 5, '2017-10-20 10:09:30', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L11 :', NULL, 0, '', NULL, NULL, NULL, NULL),
(75, '2017-10-20 13:54:01', 'SH1710-0074', 1, 2122, NULL, NULL, NULL, NULL, '2017-10-20 14:21:18', 5, '2017-10-20 14:21:29', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Soupape&nbsp;en 1&nbsp;/2 tar&eacute;e a 7 bars.', NULL, 0, '', NULL, NULL, NULL, NULL),
(76, '2017-10-20 13:01:45', 'SH1710-0075', 1, 2006, NULL, NULL, NULL, NULL, '2017-10-20 15:01:37', 5, '2017-10-20 15:01:42', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur ALUP :&nbsp;<br />\r\n- Contr&ocirc;les et v&eacute;rifications &nbsp;pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es&nbsp;<br />\r\n&nbsp;-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n&nbsp;- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la &nbsp;joun&eacute;e<br />\r\n&nbsp;- Audit GRATUIT , ... etc<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(77, '2017-10-23 08:20:17', 'SH1710-0076', 1, 2168, NULL, NULL, NULL, NULL, '2017-10-23 10:20:10', 5, '2017-10-23 10:20:15', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L11 N&deg;BA22910002 - owamat 10 et filtres reseaux', NULL, 0, '', NULL, NULL, NULL, NULL),
(78, '2019-06-12 13:28:47', 'SH1710-0077', 1, 12666, NULL, NULL, NULL, NULL, '2017-10-23 10:21:07', 5, '2017-10-23 10:21:10', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur MAC 3 - site de ST julien Molin molette&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(79, '2017-10-23 08:25:10', 'SH1710-0078', 1, 12590, NULL, NULL, NULL, NULL, '2017-10-23 10:25:01', 5, '2017-10-23 10:25:06', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Nouveau batiment avec local AC N&sup2; reseau en 28mm et 6 descentes :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(80, '2017-10-23 08:51:14', 'SH1710-0079', 1, 2352, NULL, NULL, NULL, NULL, '2017-10-23 10:51:08', 5, '2017-10-23 10:51:11', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L37RS', NULL, 0, '', NULL, NULL, NULL, NULL),
(81, '2017-10-23 08:57:09', 'SH1710-0080', 1, 2276, NULL, NULL, NULL, NULL, '2017-10-23 10:57:04', 5, '2017-10-23 10:57:07', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenances des compresseurs L29RS COMPAIR et IRN18 10H INGERSOLLRAND :', NULL, 0, '', NULL, NULL, NULL, NULL),
(82, '2017-10-23 08:58:48', 'SH1710-0081', 1, 9371, NULL, NULL, NULL, NULL, '2017-10-23 10:58:41', 5, '2017-10-23 10:58:45', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(83, '2017-10-23 08:59:45', 'SH1710-0082', 1, 2122, NULL, NULL, NULL, NULL, '2017-10-23 10:59:37', 5, '2017-10-23 10:59:42', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L75RS', NULL, 0, '', NULL, NULL, NULL, NULL),
(84, '2017-10-24 08:29:57', 'SH1710-0083', 1, 2235, NULL, NULL, NULL, NULL, '2017-10-24 10:29:52', 5, '2017-10-24 10:29:55', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L15vs', NULL, 0, '', NULL, NULL, NULL, NULL),
(85, '2017-10-24 08:40:35', 'SH1710-0084', 1, 2247, NULL, NULL, NULL, NULL, '2017-10-24 10:40:29', 5, '2017-10-24 10:40:32', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance l18RS N&deg; cd10018442001 &agrave; 17451 Heures', NULL, 0, '', NULL, NULL, NULL, NULL),
(86, '2017-10-24 09:27:07', 'SH1710-0085', 1, 2331, NULL, NULL, NULL, NULL, '2017-10-24 11:27:03', 5, '2017-10-24 11:27:06', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur GA22 :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(87, '2017-10-24 12:46:52', 'SH1710-0086', 1, 12639, NULL, NULL, NULL, NULL, '2017-10-24 14:46:48', 5, '2017-10-24 14:46:51', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Enrouleurs&nbsp; autoreel :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(88, '2017-10-26 10:21:31', 'SH1710-0087', 1, 1948, 0, NULL, NULL, NULL, '2017-10-26 12:21:27', 5, '2017-10-26 12:21:31', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Membrane compair DEMAG :', NULL, 0, '', NULL, NULL, NULL, NULL),
(89, '2017-10-26 13:38:17', 'SH1710-0088', 1, 12651, 0, NULL, NULL, NULL, '2017-10-26 15:38:09', 5, '2017-10-26 15:38:14', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'R&eacute;fection reseau AC sur 3 points avec d&eacute;pose et feraillage des materiaux obsoletes - Mise en conformit&eacute; distribution AC sur 3 postes et implantation comme vu avec votre collaborateur :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(90, '2017-10-31 14:02:20', 'SH1710-0089', 1, 2170, 0, NULL, NULL, NULL, '2017-10-31 15:02:15', 5, '2017-10-31 15:02:18', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Branchement machine neuve .<br />\r\nInstallation filtre reseau en sortie secheur<br />\r\nModification et deplcament air nourice sur canalis :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(91, '2017-10-31 15:10:22', 'SH1710-0090', 1, 2263, 0, NULL, NULL, NULL, '2017-10-31 16:10:16', 5, '2017-10-31 16:10:20', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L11 :', NULL, 0, '', NULL, NULL, NULL, NULL),
(92, '2017-11-03 10:36:14', 'SH1711-0091', 1, 1951, 0, NULL, NULL, NULL, '2017-11-03 11:36:03', 5, '2017-11-03 11:36:14', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'DOSSIER ECHINARD ET FAURE - SAINT RAMBERT D&#39;ALBON&nbsp;<br />\r\nATELIER CARROSSERIE - EQUIPEMENT NEUF - HANGAR EXISTANT&nbsp;<br />\r\nR&eacute;seau en 28 &agrave; 15 Bars et 10bars ( partie carrosserie ) avec 18 descentes&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(93, '2017-11-03 10:41:07', 'SH1711-0092', 1, 1940, 0, NULL, NULL, NULL, '2017-11-03 11:41:02', 5, '2017-11-03 11:41:06', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L45RS N&deg; CD10023839001', NULL, 0, '', NULL, NULL, NULL, NULL),
(94, '2017-11-03 10:41:39', 'SH1711-0093', 1, 2279, 0, NULL, NULL, NULL, '2017-11-03 11:41:35', 5, '2017-11-03 11:41:39', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance l50', NULL, 0, '', NULL, NULL, NULL, NULL),
(95, '2017-11-03 10:42:51', 'SH1711-0094', 1, 2284, 0, NULL, NULL, NULL, '2017-11-03 11:42:45', 5, '2017-11-03 11:42:49', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance l18RS filtres reseau et separateur de condensats', NULL, 0, '', NULL, NULL, NULL, NULL),
(96, '2017-11-03 10:43:38', 'SH1711-0095', 1, 2032, 0, NULL, NULL, NULL, '2017-11-03 11:43:33', 5, '2017-11-03 11:43:36', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance KS58', NULL, 0, '', NULL, NULL, NULL, NULL),
(97, '2017-11-03 10:44:30', 'SH1711-0096', 1, 2261, 0, NULL, NULL, NULL, '2017-11-03 11:44:25', 5, '2017-11-03 11:44:28', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance HV02 et maco :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(98, '2017-11-03 10:45:08', 'SH1711-0097', 1, 2077, 0, NULL, NULL, NULL, '2017-11-03 11:45:02', 5, '2017-11-03 11:45:06', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L22RS', NULL, 0, '', NULL, NULL, NULL, NULL),
(99, '2017-11-03 10:46:47', 'SH1711-0098', 1, 2155, 0, NULL, NULL, NULL, '2017-11-03 11:46:43', 5, '2017-11-03 11:46:46', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L04 N&deg; BA37888001&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(100, '2017-11-03 10:49:44', 'SH1711-0099', 1, 2399, 0, NULL, NULL, NULL, '2017-11-03 11:49:35', 5, '2017-11-03 11:49:41', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur &nbsp;L11RS :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(101, '2017-11-03 10:51:33', 'SH1711-0100', 1, 2178, 0, NULL, NULL, NULL, '2017-11-03 11:51:29', 5, '2017-11-03 11:51:33', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Perceuses RODCRAFT avec mandrin auto 13mm', NULL, 0, '', NULL, NULL, NULL, NULL),
(102, '2017-11-10 14:39:53', 'SH1711-0101', 1, 2300, 0, NULL, NULL, NULL, '2017-11-10 15:39:30', 5, '2017-11-10 15:39:48', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance l45 et filtres reseaux et owamat 14', NULL, 0, '', NULL, NULL, NULL, NULL),
(103, '2017-11-13 09:07:34', 'SH1711-0102', 1, 2055, 0, NULL, NULL, NULL, '2017-11-13 10:07:22', 5, '2017-11-13 10:07:26', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Divers travaux: aspiration, compresseur, air comprim&eacute;', NULL, 0, '', NULL, NULL, NULL, NULL),
(104, '2017-11-14 08:52:58', 'SH1711-0103', 1, 2401, 0, NULL, NULL, NULL, '2017-11-14 09:52:52', 5, '2017-11-14 09:52:55', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Modification arriv&eacute;e d&#39;eau d&#39;embouteillage sur embouteilleuse pour permettre lavage .<br />\r\nAjout batterie de filtres sur arriv&eacute;e d&#39;eau de lavage ( eau de ville ) sur embouteilleuse .<br />\r\nSuivant BL n&deg; 28 du 08/11/2017', NULL, 0, '', NULL, NULL, NULL, NULL),
(105, '2017-11-24 13:18:04', 'SH1711-0104', 1, 2350, 0, NULL, NULL, NULL, '2017-11-17 16:31:57', 5, '2017-11-17 16:32:04', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(106, '2017-11-20 10:48:27', 'SH1711-0105', 1, 2064, 0, NULL, NULL, NULL, '2017-11-20 11:48:21', 5, '2017-11-20 11:48:25', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'remplcament vanne thermostatique sur l37', NULL, 0, '', NULL, NULL, NULL, NULL),
(107, '2017-11-20 13:13:32', 'SH1711-0106', 1, 2169, 0, NULL, NULL, NULL, '2017-11-20 14:13:25', 5, '2017-11-20 14:13:30', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'bottarini', NULL, 0, '', NULL, NULL, NULL, NULL),
(108, '2017-11-21 08:33:28', 'SH1711-0107', 1, 2350, 0, NULL, NULL, NULL, '2017-11-21 09:33:17', 5, '2017-11-21 09:33:24', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(109, '2017-11-21 08:57:37', 'SH1711-0108', 1, 2286, 0, NULL, NULL, NULL, '2017-11-21 09:57:33', 5, '2017-11-21 09:57:36', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(110, '2017-11-21 09:19:44', 'SH1711-0109', 1, 2032, 0, NULL, NULL, NULL, '2017-11-21 10:19:36', 5, '2017-11-21 10:19:40', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance KS58', NULL, 0, '', NULL, NULL, NULL, NULL),
(111, '2017-11-21 09:34:33', 'SH1711-0110', 1, 2032, 0, NULL, NULL, NULL, '2017-11-21 10:34:28', 5, '2017-11-21 10:34:30', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance KS58', NULL, 0, '', NULL, NULL, NULL, NULL),
(112, '2017-11-21 09:39:39', 'SH1711-0111', 1, 2383, 0, NULL, NULL, NULL, '2017-11-21 10:39:33', 5, '2017-11-21 10:39:37', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Suite &agrave; incendie machine SOMET: refection de la distribution electrique de puissance,de l&#39;&eacute;clairage, du reseau informatique et de l&#39;air comprim&eacute;', NULL, 0, '', NULL, NULL, NULL, NULL),
(113, '2017-11-22 08:18:07', 'SH1711-0112', 1, 2055, 0, NULL, NULL, NULL, '2017-11-22 09:18:02', 5, '2017-11-22 09:18:05', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'D&eacute;pannage Agitateur VISCO JET VJ350030&nbsp;<br />\r\nCreation d&#39;un passage de prises dans la hotte du laboratoire<br />\r\nGraissage moteur 75kw du melangeur avec graisse client&nbsp;<br />\r\n<br />\r\nBL N&deg;48 du 21/11/2017', NULL, 0, '', NULL, NULL, NULL, NULL),
(114, '2017-11-22 13:25:44', 'SH1711-0113', 1, 2064, 0, NULL, NULL, NULL, '2017-11-22 14:25:36', 5, '2017-11-22 14:25:41', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'suite &agrave; l&#39;intervention de notre technicien le 13/11/2017 , nous vous proposons la vanne thermostatique COMPAIR install&eacute;e par vos soins :&nbsp;<br />\r\n<br />\r\nD&eacute;lai : 15 jours &agrave; r&eacute;ception de commande', NULL, 0, '', NULL, NULL, NULL, NULL),
(115, '2017-11-23 14:38:32', 'SH1711-0114', 1, 12668, 0, NULL, NULL, NULL, '2017-11-23 15:38:21', 5, '2017-11-23 15:38:27', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Fourniture gaine diametre 160 :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(116, '2017-11-24 10:19:23', 'SH1711-0115', 1, 2122, 0, NULL, NULL, NULL, '2017-11-24 11:19:18', 5, '2017-11-24 11:19:22', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'soupape 7 bars passage min demand&eacute; 840 m3/h raccordement 1&quot; debit annonc&eacute; 1500 m3/h&nbsp;<br />\r\n<br />\r\nD&eacute;lai : R&eacute;ception dans nos locaux annonc&eacute; fin de semaine 47', NULL, 0, '', NULL, NULL, NULL, NULL),
(117, '2017-11-24 13:06:31', 'SH1711-0116', 1, 2265, 0, NULL, NULL, NULL, '2017-11-24 14:05:52', 5, '2017-11-24 14:05:57', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(118, '2017-11-24 13:56:27', 'SH1711-0117', 1, 2376, 0, NULL, NULL, NULL, '2017-11-24 14:56:22', 5, '2017-11-24 14:56:25', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Intervention compresseur L11RS N&deg; BA31005001 &agrave; 1825 HEures -&nbsp;<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(119, '2017-11-27 13:25:01', 'SH1711-0118', 1, 2029, 0, NULL, NULL, NULL, '2017-11-27 14:24:45', 5, '2017-11-27 14:24:59', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L11 &agrave; 29451 HRS - Mise en place d&#39;un clapet d&#39;aspiration d&#39;occasion provisoire .', NULL, 0, '', NULL, NULL, NULL, NULL),
(120, '2017-11-27 13:37:09', 'SH1711-0119', 1, 2076, 0, NULL, NULL, NULL, '2017-11-27 14:37:02', 5, '2017-11-27 14:37:05', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'fourniture en plus value FRL sur chaques descentes :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(121, '2017-11-27 13:56:22', 'SH1711-0120', 1, 2076, 0, NULL, NULL, NULL, '2017-11-27 14:56:13', 5, '2017-11-27 14:56:19', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Projet Air Comprim&eacute;&nbsp;<br />\r\nNouveau Batiment&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(122, '2017-11-27 14:26:00', 'SH1711-0121', 1, 1948, 0, NULL, NULL, NULL, '2017-11-27 15:25:52', 5, '2017-11-27 15:25:55', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'courroies A70', NULL, 0, '', NULL, NULL, NULL, NULL),
(123, '2017-11-27 14:41:16', 'SH1711-0122', 1, 1988, 0, NULL, NULL, NULL, '2017-11-27 15:41:10', 5, '2017-11-27 15:41:14', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L55rs', NULL, 0, '', NULL, NULL, NULL, NULL),
(124, '2017-11-27 15:09:17', 'SH1711-0123', 1, 1951, 0, NULL, NULL, NULL, '2017-11-27 16:09:08', 5, '2017-11-27 16:09:13', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'DOSSIER ECHINARD ET FAURE - SAINT RAMBERT D&#39;ALBON&nbsp;<br />\r\nATELIER CARROSSERIE - EQUIPEMENT NEUF - HANGAR EXISTANT&nbsp;<br />\r\nR&eacute;seau en 28 &agrave; 15 Bars et 10bars ( partie carrosserie ) avec 18 descentes&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(125, '2017-11-28 15:10:56', 'SH1711-0124', 1, 2102, 0, NULL, NULL, NULL, '2017-11-28 16:10:51', 5, '2017-11-28 16:10:55', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(126, '2017-12-04 14:52:38', 'SH1712-0125', 1, 2232, 0, NULL, NULL, NULL, '2017-12-04 15:52:33', 5, '2017-12-04 15:52:38', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'pieces detachees pour hv02', NULL, 0, '', NULL, NULL, NULL, NULL),
(127, '2017-12-05 08:37:00', 'SH1712-0126', 1, 2001, 0, NULL, NULL, NULL, '2017-12-05 09:35:47', 5, '2017-12-05 09:36:15', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '<p style=\"margin-left:70.5pt\">Pieces d&eacute;tach&eacute;es pour compresseur SK22&nbsp;&nbsp;&nbsp;&nbsp; N&deg;101952.0&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; N&deg;SERIE&nbsp;: 1902</p>\r\n\r\n<p style=\"margin-left:70.5pt\">Ann&eacute;e 2014&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Puissance 11 KW</p>\r\n\r\n<p style=\"margin-left:70.5pt\">Vitesse moteur 2960 tr/min&nbsp;&nbsp; 8 bars pression</p>\r\n\r\n<p style=\"margin-left:35.4pt; text-align:justify\">&nbsp;</p>\r\n\r\n<ul>\r\n	<li style=\"text-align:justify\"><span style=\"font-size:12.0pt\">1 filtre &agrave; huile KAESER&nbsp;&nbsp;&nbsp; REF 1200</span></li>\r\n	<li style=\"text-align:justify\"><span style=\"font-size:12.0pt\">2 filtres &agrave; air&nbsp; KAESER&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; REF 1250</span></li>\r\n	<li style=\"text-align:justify\"><span style=\"font-size:12.0pt\">1 cartouche s&eacute;paratrice d&rsquo;huile&nbsp; KAESER&nbsp;&nbsp; REF 1450</span></li>\r\n	<li style=\"text-align:justify\"><span style=\"font-size:12.0pt\">2 nattes filtrante KAESER ( &eacute;lectrique)&nbsp;&nbsp;&nbsp;&nbsp; REF 1100</span></li>\r\n</ul>\r\n', NULL, 0, '', NULL, NULL, NULL, NULL),
(128, '2017-12-05 08:58:01', 'SH1712-0127', 1, 2055, 0, NULL, NULL, NULL, '2017-12-05 09:57:56', 5, '2017-12-05 09:58:00', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Mainteannce L18', NULL, 0, '', NULL, NULL, NULL, NULL),
(129, '2017-12-05 09:21:23', 'SH1712-0128', 1, 2117, 0, NULL, NULL, NULL, '2017-12-05 10:21:19', 5, '2017-12-05 10:21:22', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L04FS', NULL, 0, '', NULL, NULL, NULL, NULL),
(130, '2017-12-05 13:40:09', 'SH1712-0129', 1, 2284, 0, NULL, NULL, NULL, '2017-12-05 14:40:06', 5, '2017-12-05 14:40:08', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'SUite &agrave; la maintenance de votre compresseur L18RS COMPAIR , notre technicien a not&eacute; une d&eacute;faillance au niveau de votre purge capacit&eacute; sur votre s&eacute;cheur .<br />\r\nVeuillez trouver ci dessous le devis de remplacement de celle ci par une purge temporis&eacute;e .', NULL, 0, '', NULL, NULL, NULL, NULL),
(131, '2017-12-06 13:27:26', 'SH1712-0130', 1, 5741, 0, NULL, NULL, NULL, '2017-12-06 14:27:21', 5, '2017-12-06 14:27:24', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'cartouches filtres reseaux :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(132, '2017-12-07 08:47:43', 'SH1712-0131', 1, 2075, 0, NULL, NULL, NULL, '2017-12-07 09:47:38', 5, '2017-12-07 09:47:41', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L07', NULL, 0, '', NULL, NULL, NULL, NULL),
(133, '2017-12-07 10:13:38', 'SH1712-0132', 1, 2161, 0, NULL, NULL, NULL, '2017-12-07 11:13:10', 5, '2017-12-07 11:13:22', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance rollair 15 :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(134, '2017-12-08 10:06:49', 'SH1712-0133', 1, 2124, 0, NULL, NULL, NULL, '2017-12-08 11:06:44', 5, '2017-12-08 11:06:47', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L11', NULL, 0, '', NULL, NULL, NULL, NULL),
(135, '2020-12-10 09:21:21', 'SH1712-0134', 1, 5315, 0, NULL, NULL, NULL, '2017-12-12 16:54:48', 5, '2017-12-12 16:54:53', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Fourniture Riveuteuse AVDEL :<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE USINE', NULL, 0, '', NULL, NULL, NULL, NULL),
(136, '2017-12-19 08:05:55', 'SH1712-0135', 1, 2347, 0, NULL, NULL, NULL, '2017-12-19 09:05:49', 5, '2017-12-19 09:05:53', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Pi&eacute;ces d&eacute;tach&eacute;es L15 COMPAIR maintenance', NULL, 0, '', NULL, NULL, NULL, NULL),
(137, '2017-12-20 09:07:52', 'SH1712-0136', 1, 5741, 0, NULL, NULL, NULL, '2017-12-20 10:07:46', 5, '2017-12-20 10:07:50', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance&nbsp;du compresseur L45 N&deg; 100010817/0128 &agrave; 25564 HRS<br />\r\nBL N&deg; 6 du 13/12/2017<br />\r\nCommande N&deg; 8809', NULL, 0, '', NULL, NULL, NULL, NULL),
(138, '2017-12-20 09:29:34', 'SH1712-0137', 1, 1996, 0, NULL, NULL, NULL, '2017-12-20 10:29:29', 5, '2017-12-20 10:29:32', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(139, '2017-12-21 08:59:25', 'SH1712-0138', 1, 2054, 0, NULL, NULL, NULL, '2017-12-21 09:59:20', 5, '2017-12-21 09:59:23', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L110rs', NULL, 0, '', NULL, NULL, NULL, NULL),
(140, '2017-12-21 09:31:06', 'SH1712-0139', 1, 2136, 0, NULL, NULL, NULL, '2017-12-21 10:30:58', 5, '2017-12-21 10:31:01', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance rsdk pro 5.5 N&deg;639018', NULL, 0, '', NULL, NULL, NULL, NULL),
(141, '2017-12-21 10:07:31', 'SH1712-0140', 1, 2161, 0, NULL, NULL, NULL, '2017-12-21 11:07:18', 5, '2017-12-21 11:07:28', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Intervention de d&eacute;pannage sur Worthingthon creyssensac RLR158B 2010 N&deg; CAI 410726- Probleme de demarrage -&nbsp;<br />\r\nBL n&deg; 5 du 04/11/2017', NULL, 0, '', NULL, NULL, NULL, NULL),
(142, '2017-12-21 15:27:42', 'SH1712-0141', 1, 2122, 0, NULL, NULL, NULL, '2017-12-21 16:25:40', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '34443', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Fourniture  2 raccords union 2 pouces pour pouvoir se raccorder sur du pvc diam 63<br />\r\n<br />\r\nA l\'attention du service maintenance <br />\r\n<br />\r\nCommande N° 34443', 'rouget', 0, '', NULL, NULL, 5, NULL),
(143, '2017-12-22 08:24:44', 'SH1712-0142', 1, 2016, 0, NULL, NULL, NULL, '2017-12-22 09:24:34', 5, '2017-12-22 09:24:38', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance l05', NULL, 0, '', NULL, NULL, NULL, NULL),
(144, '2017-12-22 08:53:23', 'SH1712-0143', 1, 10293, 0, NULL, NULL, NULL, '2017-12-22 09:53:19', 5, '2017-12-22 09:53:23', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Complement chantier en cours transport inclus dans 1er devis :<br />\r\nMise en place d&#39;un filtre reseau grade 0.01 &micro; devant votre ancien compresseur pour la cabine &agrave; peinture .<br />\r\nRaccordement des 3 fosses avec r&eacute;utilisation de l&#39;existant pour 2 fosses .', NULL, 0, '', NULL, NULL, NULL, NULL),
(145, '2017-12-22 10:20:55', 'SH1712-0144', 1, 2261, 0, NULL, NULL, NULL, '2017-12-22 11:20:48', 5, '2017-12-22 11:20:51', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance HV02 et maco :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(146, '2017-12-22 10:35:50', 'SH1712-0145', 1, 2261, 0, NULL, NULL, NULL, '2017-12-22 11:35:46', 5, '2017-12-22 11:35:49', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(147, '2017-12-22 11:01:16', 'SH1712-0146', 1, 2276, 0, NULL, NULL, NULL, '2017-12-22 11:58:22', 5, '2017-12-22 12:01:15', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement flexible sur compresseur ingersollrand IR1810H &agrave; 50145 HRS<br />\r\n<br />\r\nBL N&deg; 8 du 08/12/2017', NULL, 0, '', NULL, NULL, NULL, NULL),
(148, '2017-12-22 14:01:27', 'SH1712-0147', 1, 2321, 0, NULL, NULL, NULL, '2017-12-22 15:01:21', 5, '2017-12-22 15:01:24', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement purge temporis&eacute;e sur cuve suite &agrave; votre demande :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(149, '2017-12-22 14:36:42', 'SH1712-0148', 1, 12683, 0, NULL, NULL, NULL, '2017-12-22 15:36:37', 5, '2017-12-22 15:36:40', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Panne compresseur Cyclon 222 - Montage clpet de retenue sur embouteilleuse neuve :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(150, '2020-12-21 10:08:03', 'SH1712-0149', 1, 5741, 0, NULL, NULL, NULL, '2017-12-26 09:12:43', 5, '2017-12-26 09:12:46', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Miantenance L75 N&deg; CD10005618002&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(151, '2017-12-26 09:08:22', 'SH1712-0150', 1, 2234, 0, NULL, NULL, NULL, '2017-12-26 10:08:17', 5, '2017-12-26 10:08:20', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'fourniture et pose conduit d&#39;evacuation d&#39;air chaud pour le compresseur L45RS', NULL, 0, '', NULL, NULL, NULL, NULL);
INSERT INTO `llx_expedition` (`rowid`, `tms`, `ref`, `entity`, `fk_soc`, `fk_projet`, `ref_ext`, `ref_int`, `ref_customer`, `date_creation`, `fk_user_author`, `date_valid`, `fk_user_valid`, `date_expedition`, `date_delivery`, `fk_address`, `fk_shipping_method`, `tracking_number`, `fk_statut`, `billed`, `height`, `width`, `size_units`, `size`, `weight_units`, `weight`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_user_modif`, `last_main_doc`) VALUES
(152, '2017-12-26 10:04:08', 'SH1712-0151', 1, 12667, 0, NULL, NULL, NULL, '2017-12-26 11:04:04', 5, '2017-12-26 11:04:06', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur GX7PEL N&deg; CAI936177 de 2016&nbsp; et verification des connectiques et purge du secheur par r&eacute;frig&eacute;ration FX4 de 2016 :\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la joun&eacute;e<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', NULL, 0, '', NULL, NULL, NULL, NULL),
(153, '2017-12-26 10:13:31', 'SH1712-0152', 1, 10293, 0, NULL, NULL, NULL, '2017-12-26 11:13:27', 5, '2017-12-26 11:13:30', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'remplacement cartouche filtre reseau ABAC pour cabie &agrave; peinture :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(154, '2017-12-27 10:57:11', 'SH1712-0153', 1, 2102, 0, NULL, NULL, NULL, '2017-12-27 11:57:03', 5, '2017-12-27 11:57:08', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Amenagement electrique et air comprim&eacute; local B3, abaissement neons + remplacement par tube LEDS', NULL, 0, '', NULL, NULL, NULL, NULL),
(155, '2017-12-27 13:16:20', 'SH1712-0154', 1, 2149, 0, NULL, NULL, NULL, '2017-12-27 14:16:16', 5, '2017-12-27 14:16:19', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L07 &agrave; 7045 HRS -&nbsp;<br />\r\nRemplacement filtre &agrave; air , filtre &agrave; huile et separateur - vidange - soufflage radiateur et grille d&#39;entr&eacute;e<br />\r\nRemplacement kit seprateur de condensats<br />\r\nMise en place d&#39;une vanne 1/4 &agrave; la place d&#39;un purgeur defectueux sur filtre r&eacute;seau .<br />\r\n<br />\r\nBL N&deg; 4 du 04/12/2017', NULL, 0, '', NULL, NULL, NULL, NULL),
(156, '2017-12-27 14:07:38', 'SH1712-0155', 1, 2373, 0, NULL, NULL, NULL, '2017-12-27 15:07:33', 5, '2017-12-27 15:07:36', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Reparation compresseur Ingersollrand - remplacement flexible&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(157, '2017-12-28 09:21:57', 'SH1712-0156', 1, 2218, 0, NULL, NULL, NULL, '2017-12-28 10:21:50', 5, '2017-12-28 10:21:55', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, 'pas aux heures !&nbsp;', 'Maintenance compresseur L07 N&deg;ba27547001 &agrave; 9098 HRS<br />\r\nBL N&deg;12 du 27/12/2017', NULL, 0, '', NULL, NULL, NULL, NULL),
(158, '2018-01-03 10:14:15', 'SH1801-0157', 1, 2350, 0, NULL, NULL, NULL, '2018-01-03 11:14:09', 5, '2018-01-03 11:14:15', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Fourniture d&#39;un accumulateur 2 Litres :<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(159, '2018-01-08 15:24:51', 'SH1801-0158', 1, 2122, 0, NULL, NULL, NULL, '2018-01-08 16:24:30', 5, '2018-01-08 16:24:35', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'offre de prix pour 5 coudes a 90 &deg; &nbsp;F/F diam 63 pvc pour r&eacute;seau air comprim&eacute;.', NULL, 0, '', NULL, NULL, NULL, NULL),
(160, '2020-12-21 10:08:15', 'SH1801-0159', 1, 5741, 0, NULL, NULL, '8893', '2018-01-09 11:59:20', 5, '2018-01-09 11:59:25', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Suivant demande de raccords de ce jour :&nbsp;', 'rouget', 0, '', NULL, NULL, 5, NULL),
(161, '2018-01-12 10:47:10', 'SH1801-0160', 1, 2350, 0, NULL, NULL, NULL, '2018-01-12 11:47:06', 5, '2018-01-12 11:47:10', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'accu ehv 2.5l 690 bars', NULL, 0, '', NULL, NULL, NULL, NULL),
(162, '2018-01-16 14:35:05', 'SH1801-0161', 1, 2011, 0, NULL, NULL, NULL, '2018-01-16 15:34:57', 5, '2018-01-16 15:35:05', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement filtres r&eacute;seaux ( en meme temps que remplacement carte delcos compresseur sous garantie )&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(163, '2018-01-17 15:23:00', 'SH1801-0162', 1, 2245, 0, NULL, NULL, NULL, '2018-01-17 16:22:57', 5, '2018-01-17 16:23:00', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '10 x&nbsp;R&eacute;f &eacute;lectrovanne CAMOZZI 438.015.22.', NULL, 0, '', NULL, NULL, NULL, NULL),
(164, '2018-01-19 14:31:20', 'SH1801-0163', 1, 6259, 0, NULL, NULL, NULL, '2018-01-19 15:29:50', 5, '2018-01-19 15:31:18', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L30 -&nbsp;<br />\r\nPb de d&eacute;marrage quand il fait froid - huile de couleur &eacute;trange ?? voir avec le client&nbsp;<br />\r\nPlein d&#39;huile fait en 2015 avec huile compair SCWO4000-20', NULL, 0, '', NULL, NULL, NULL, NULL),
(166, '2019-04-10 12:28:35', 'SH1801-0164', 1, 2283, 0, NULL, NULL, NULL, '2018-01-19 16:20:26', 5, '2018-01-19 16:20:30', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'remplacement media filtrants + maintenance compresseur piston', NULL, 0, '', NULL, NULL, NULL, NULL),
(167, '2018-01-22 08:50:10', 'SH1801-0165', 1, 2103, 0, NULL, NULL, NULL, '2018-01-22 09:49:59', 5, '2018-01-22 09:50:07', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L45RS owamat 14 et filtre m800x ( si il reste des cartouches )&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(168, '2018-01-22 10:54:00', 'SH1801-0166', 1, 2231, 0, NULL, NULL, NULL, '2018-01-22 11:53:55', 5, '2018-01-22 11:53:58', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Depannage compresseur DEVILBISS - fuite d&#39;huile au niveau du seprateur -&nbsp;<br />\r\nBl N&deg; 33 du 17/01/2018&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(169, '2018-01-24 15:31:58', 'SH1801-0167', 1, 6663, 0, NULL, NULL, NULL, '2018-01-24 16:31:44', 5, '2018-01-24 16:31:49', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance l37RS - 2 filtres reseaux et separateur de condensats owamat 14 et maintenance L18', NULL, 0, '', NULL, NULL, NULL, NULL),
(170, '2018-01-25 09:40:11', 'SH1801-0168', 1, 11452, 0, NULL, NULL, NULL, '2018-01-25 10:40:02', 5, '2018-01-25 10:40:06', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Equipement reseau air comprim&eacute; en INOX serti&nbsp; &Oslash; 28 avec 3 vannes de sectionnement, 9 descentes &Oslash;18, 9 enrouleurs &Oslash;13mm int long 15m sur support pivotant avec coupleurs passage 8mm.<br />\r\nNacelle non prevue', NULL, 0, '', NULL, NULL, NULL, NULL),
(171, '2018-01-26 09:31:50', 'SH1801-0169', 1, 2289, 0, NULL, NULL, NULL, '2018-01-26 10:31:43', 5, '2018-01-26 10:31:47', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance l07 N&deg; ba35645002', NULL, 0, '', NULL, NULL, NULL, NULL),
(172, '2018-01-26 10:57:11', 'SH1801-0170', 1, 2110, 0, NULL, NULL, NULL, '2018-01-26 11:57:01', 5, '2018-01-26 11:57:09', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L22 COMPAIR N&deg; CD100017742003 &agrave; 6227 HRS&nbsp;<br />\r\n<br />\r\nBL N&deg;28 du 04/01/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(173, '2018-01-26 13:40:28', 'SH1801-0171', 1, 2358, 0, NULL, NULL, NULL, '2018-01-26 14:40:21', 5, '2018-01-26 14:40:25', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'BL N&deg;26 du 03/01/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(174, '2018-01-26 14:09:30', 'SH1801-0172', 1, 2358, 0, NULL, NULL, NULL, '2018-01-26 15:09:25', 5, '2018-01-26 15:09:28', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Intervention sur cabine &agrave; peinture : parametrage regulateur&nbsp; (<strong> voir &agrave; changer les filtres bas et haut )&nbsp;</strong><br />\r\ngrenailleuse : remplacement variateur<br />\r\npalan : recablage cable <strong>( voir le fusible 3A &agrave; changer )</strong>&nbsp;<br />\r\nCabine &agrave; peinture liquide : parametrage variateur altivar 31<br />\r\n<br />\r\nBL n&deg; 18 du 03/01/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(175, '2018-01-26 14:25:26', 'SH1801-0173', 1, 10293, 0, NULL, NULL, NULL, '2018-01-26 15:25:21', 5, '2018-01-26 15:25:24', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Reseau d&#39;air comprim&eacute; 15 bars - Remplacement regulateur de pression et mano suite &agrave; arrachage&nbsp;<br />\r\n<br />\r\nBL N&deg;16 du 28/12/2017', NULL, 0, '', NULL, NULL, NULL, NULL),
(176, '2018-01-31 10:14:04', 'SH1801-0174', 1, 7066, 0, NULL, NULL, NULL, '2018-01-31 11:13:56', 5, '2018-01-31 11:14:01', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Pieces de filtration maintenance de vos differents compresseurs :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(178, '2018-01-31 13:40:45', 'SH1801-0175', 1, 12666, 0, NULL, NULL, NULL, '2018-01-31 14:40:25', 5, '2018-01-31 14:40:29', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement en lieu et&nbsp; place de votre s&eacute;cheur par adsorption ( kit de maintenance 1 967 &euro; )&nbsp; par un secheur par adsorption 170m3/h marque CTA avec un cout de maintenance plus faible que votre s&eacute;cheur actuel (prix du kit tarif 2017 CTA 597 &euro; Ht ) s&eacute;cheur non verrouill&eacute; par badge ou cl&eacute; pour la maintenance&nbsp; &nbsp;:&nbsp;<br />\r\nET maintenance du compresseur Ingersollrand UP5-15 &agrave; 17930 Hrs<br />\r\nBL N&deg; 19 du 30/01/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(179, '2018-01-31 14:25:19', 'SH1801-0176', 1, 2102, 0, NULL, NULL, NULL, '2018-01-31 15:25:12', 5, '2018-01-31 15:25:15', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L07RS N&deg; BA33915001 &agrave; 351 HRS', NULL, 0, '', NULL, NULL, NULL, NULL),
(180, '2018-01-31 14:43:47', 'SH1801-0177', 1, 2161, 0, NULL, NULL, NULL, '2018-01-31 15:43:41', 5, '2018-01-31 15:43:44', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement electrovanne de r&eacute;gulation sur compresseur BOGE :<br />\r\n<br />\r\nBL N&deg; 18 du 29/01/2018<br />\r\n<br />\r\nCommande N&deg; 2100/18000929', NULL, 0, '', NULL, NULL, NULL, NULL),
(181, '2018-01-31 14:54:27', 'SH1801-0178', 1, 2215, 0, NULL, NULL, NULL, '2018-01-31 15:54:17', 5, '2018-01-31 15:54:20', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L11rs', NULL, 0, '', NULL, NULL, NULL, NULL),
(182, '2018-11-08 13:29:07', 'SH1802-0179', 1, 2406, 0, NULL, NULL, NULL, '2018-02-01 10:11:51', 5, '2018-02-01 10:11:54', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'D&eacute;pannage secheur CTA DA004&nbsp;<br />\r\nRemplacement electrovanne et 2 silencieux&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(183, '2018-02-01 09:33:51', 'SH1802-0180', 1, 2406, 0, NULL, NULL, NULL, '2018-02-01 10:33:47', 5, '2018-02-01 10:33:50', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'mAINTENANCE COMPRESSEUR l18', NULL, 0, '', NULL, NULL, NULL, NULL),
(184, '2018-02-01 09:40:53', 'SH1802-0181', 1, 2127, 0, NULL, NULL, NULL, '2018-02-01 10:40:44', 5, '2018-02-01 10:40:48', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L75SR&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(185, '2018-02-01 09:56:03', 'SH1802-0182', 1, 2123, 0, NULL, NULL, NULL, '2018-02-01 10:55:56', 5, '2018-02-01 10:56:00', 5, NULL, '2017-12-18 00:00:00', NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Local AC en remplacement du compresseur GA11 par un compresseur &agrave; vitesse variable 30KW COMPAIR L29RS avec gainage recuperation chauffage et reservoir 1000Litres .<br />\r\n<br />\r\nBL N&deg; 20 du 31/01/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(186, '2018-02-21 08:33:51', 'SH1802-0183', 1, 2203, 0, NULL, NULL, NULL, '2018-02-06 16:51:30', 5, '2018-02-06 16:51:42', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'soupape pour cuve', NULL, 0, '', NULL, NULL, NULL, NULL),
(187, '2018-02-08 11:16:17', 'SH1802-0184', 1, 2407, 0, NULL, NULL, '904726899-0-10760', '2018-02-08 12:10:43', 5, '2018-02-08 12:11:24', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Demande de Mr PONSON<br />\r\n<br />\r\nCommande N&deg; 904726899-0-10760', NULL, 0, '', NULL, NULL, 5, NULL),
(188, '2018-02-13 13:30:21', 'SH1802-0185', 1, 2102, 0, NULL, NULL, NULL, '2018-02-13 14:30:14', 5, '2018-02-13 14:30:21', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'D&eacute;lai :&nbsp;DISPONIBLE sauf S302 01 101 : 102 pcs ce jour sur&nbsp; stock - Mat&eacute;riel disponible en totalit&eacute; S4/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(190, '2018-04-03 12:39:14', 'SH1802-0186', 1, 1988, 0, NULL, NULL, NULL, '2018-02-14 09:18:13', 5, '2018-02-14 09:18:17', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'commande de Anthony &agrave; Mr Balazard de ce jour pour installation au portugal&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(191, '2018-02-14 09:48:08', 'SH1802-0187', 1, 1996, 0, NULL, NULL, NULL, '2018-02-14 10:48:04', 5, '2018-02-14 10:48:07', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Intervention local compresseur L18 N&deg; 100008030/0334 &agrave; 30200HRS&nbsp;<br />\r\nFuite au niveau de l&#39;electrovanne -<br />\r\nElectrovanne &agrave; remplacer au plus tot suivant devis transmis le 08/02/2018 -<br />\r\nPret d&#39;une electrovanne d&#39;occasion (dur&eacute;e 1 mois maximum) en attendant le remplacement definitif -', NULL, 0, '', NULL, NULL, NULL, NULL),
(192, '2018-02-14 10:22:57', 'SH1802-0188', 1, 2054, 0, NULL, NULL, NULL, '2018-02-14 11:22:53', 5, '2018-02-14 11:22:56', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Mise en place d&#39;un kit hors gel sur le compresseur Compair L55RS -&nbsp;<br />\r\n<br />\r\nCommande S981 18 02 1003<br />\r\n<br />\r\nDu 12/02/2018<br />\r\n<br />\r\nBL N&deg; 26 du 12/02/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(193, '2018-02-14 13:56:14', 'SH1802-0189', 1, 2123, 0, NULL, NULL, NULL, '2018-02-14 14:56:08', 5, '2018-02-14 14:56:12', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L22 N&deg;100008032/0642 &agrave; 63580 HRS&nbsp;<br />\r\n<br />\r\nBL N&deg;21 du 31/01/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(194, '2018-02-14 14:29:25', 'SH1802-0190', 1, 2175, 0, NULL, NULL, NULL, '2018-02-14 15:29:20', 5, '2018-02-14 15:29:23', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur GA115 :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(195, '2018-02-14 14:43:42', 'SH1802-0191', 1, 2175, 0, NULL, NULL, NULL, '2018-02-14 15:43:03', 5, '2018-02-14 15:43:06', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance Sullair Trek 15HH &agrave; 10590 HRS&nbsp;<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(196, '2018-02-14 14:59:09', 'SH1802-0192', 1, 2177, 0, NULL, NULL, NULL, '2018-02-14 15:59:03', 5, '2018-02-14 15:59:06', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L07RS et rollair RLR15 :', NULL, 0, '', NULL, NULL, NULL, NULL),
(197, '2018-02-14 15:27:31', 'SH1802-0193', 1, 2234, 0, NULL, NULL, NULL, '2018-02-14 16:27:06', 5, '2018-02-14 16:27:29', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L45RS &agrave; 53212 HRS&nbsp; avec separateur de condensats Owamat 14 et filtres reseaux&nbsp;<br />\r\n<br />\r\nBL N&deg; 13 du 20/12/2017<br />\r\n<br />\r\nCommande N&deg;4800283197', NULL, 0, '', NULL, NULL, NULL, NULL),
(198, '2018-02-14 15:49:44', 'SH1802-0194', 1, 2273, 0, NULL, NULL, NULL, '2018-02-14 16:49:30', 5, '2018-02-14 16:49:40', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance modulos 25 compresseur', NULL, 0, '', NULL, NULL, NULL, NULL),
(199, '2018-02-15 09:22:50', 'SH1802-0195', 1, 2370, 0, NULL, NULL, NULL, '2018-02-15 10:22:46', 5, '2018-02-15 10:22:49', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance GE10 et secheur HL0030', NULL, 0, '', NULL, NULL, NULL, NULL),
(200, '2018-02-15 13:18:59', 'SH1802-0196', 1, 10293, 0, NULL, NULL, NULL, '2018-02-15 14:18:55', 5, '2018-02-15 14:18:58', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(201, '2018-02-20 09:17:57', 'SH1802-0197', 1, 2003, 0, NULL, NULL, NULL, '2018-02-20 10:17:41', 5, '2018-02-20 10:17:44', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance hv02&nbsp; N&deg; 502-022656-0803 et trois filtres reseaux :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(202, '2018-02-20 09:31:04', 'SH1802-0198', 1, 2036, 0, NULL, NULL, NULL, '2018-02-20 10:30:56', 5, '2018-02-20 10:31:01', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance rs pro 4', NULL, 0, '', NULL, NULL, NULL, NULL),
(203, '2018-02-20 09:56:18', 'SH1802-0199', 1, 2064, 0, NULL, NULL, NULL, '2018-02-20 10:56:13', 5, '2018-02-20 10:56:16', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Depannage L80 - Remplcament membrane de mise &agrave; vide et fourniture d&#39;une membrane de secours .<br />\r\n<br />\r\nBL N&deg; 13 du 16/02/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(204, '2018-02-20 10:23:31', 'SH1802-0200', 1, 2009, 0, NULL, NULL, NULL, '2018-02-20 11:23:26', 5, '2018-02-20 11:23:29', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance rs top 7.5 10 b N&deg; 538095', NULL, 0, '', NULL, NULL, NULL, NULL),
(205, '2018-02-20 15:13:14', 'SH1802-0201', 1, 2011, 0, NULL, NULL, NULL, '2018-02-20 16:12:57', 5, '2018-02-20 16:13:00', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L07RS N&deg; CD10023563001 &agrave; 8687 HRS<br />\r\n<br />\r\nBL N&deg; 34 du 14/02/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(206, '2018-02-20 15:36:47', 'SH1802-0202', 1, 2142, 0, NULL, NULL, NULL, '2018-02-20 16:36:42', 5, '2018-02-20 16:36:45', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Fourniture et installation secheur par r&eacute;frig&eacute;ration Ed260 :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(207, '2018-02-21 08:38:02', 'SH1802-0203', 1, 2161, 0, NULL, NULL, NULL, '2018-02-21 09:37:55', 5, '2018-02-21 09:37:58', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance compresseur START25&nbsp; N&deg; 349012/5793 &agrave; 24200 HRS', NULL, 0, '', NULL, NULL, NULL, NULL),
(208, '2018-02-21 08:46:30', 'SH1802-0204', 1, 9822, 0, NULL, NULL, NULL, '2018-02-21 09:46:25', 5, '2018-02-21 09:46:29', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L18rs N&deg; CD10008506001 &agrave; 12260 HRS', NULL, 0, '', NULL, NULL, NULL, NULL),
(209, '2018-02-21 09:01:11', 'SH1802-0205', 1, 9822, 0, NULL, NULL, NULL, '2018-02-21 10:01:06', 5, '2018-02-21 10:01:09', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L11 N&deg;349027/0083 &agrave; 52200 HRS<br />\r\n<br />\r\nBL N&deg; 2 du 09/02/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(210, '2018-02-21 09:18:20', 'SH1802-0206', 1, 2184, 0, NULL, NULL, NULL, '2018-02-21 10:18:14', 5, '2018-02-21 10:18:18', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance l45rs N&deg; CD10015552001 &agrave; 32138 HRS<br />\r\n<br />\r\nBL N&deg; 17 du 29/12/2017<br />\r\n<br />\r\nN&deg;PO7000640320', NULL, 0, '', NULL, NULL, NULL, NULL),
(211, '2018-02-21 09:27:02', 'SH1802-0207', 1, 2247, 0, NULL, NULL, NULL, '2018-02-21 10:26:57', 5, '2018-02-21 10:27:00', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance l18RS N&deg; cd10018442001 &agrave; 19473HRS<br />\r\n<br />\r\nBL N&deg;23 du 05/02/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(212, '2018-02-21 10:11:21', 'SH1802-0208', 1, 2268, 0, NULL, NULL, NULL, '2018-02-21 11:11:16', 5, '2018-02-21 11:11:20', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L15', NULL, 0, '', NULL, NULL, NULL, NULL),
(213, '2018-02-21 10:47:35', 'SH1802-0209', 1, 2128, 0, NULL, NULL, NULL, '2018-02-21 11:47:28', 5, '2018-02-21 11:47:32', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Fourniture et raccordement d&#39;un compresseur L11RS 11kw vitesse variable COMPAIR en lieu et place de votre compresseur 11 kw vitesse fixe 10 bars&nbsp; :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(214, '2018-02-21 13:51:24', 'SH1802-0210', 1, 11435, 0, NULL, NULL, NULL, '2018-02-21 14:51:18', 5, '2018-02-21 14:51:22', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L30RS N&deg;cd10013952002', NULL, 0, '', NULL, NULL, NULL, NULL),
(215, '2018-02-22 10:15:19', 'SH1802-0211', 1, 2086, 0, NULL, NULL, NULL, '2018-02-22 11:15:14', 5, '2018-02-22 11:15:18', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L11RS N&deg; BA31759001 &agrave; 15922HRS<br />\r\n<br />\r\nBL N&deg;39 du 21/02/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(216, '2018-02-22 15:12:01', 'SH1802-0212', 1, 2354, 0, NULL, NULL, NULL, '2018-02-22 16:11:36', 5, '2018-02-22 16:11:42', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'raccords', NULL, 0, '', NULL, NULL, NULL, NULL),
(217, '2018-02-22 15:13:48', 'SH1802-0213', 1, 2354, 0, NULL, NULL, NULL, '2018-02-22 16:13:36', 5, '2018-02-22 16:13:48', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Pour compresseur SULLAIR :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(218, '2018-02-23 09:28:53', 'SH1802-0214', 1, 12598, 0, NULL, NULL, NULL, '2018-02-23 10:28:34', 5, '2018-02-23 10:28:37', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Acquisition materiel de garage :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(219, '2018-02-23 09:44:19', 'SH1802-0215', 1, 2287, 0, NULL, NULL, NULL, '2018-02-23 10:44:13', 5, '2018-02-23 10:44:17', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance ROLLAIR N&deg; 339336 &agrave; 21191 HRS<br />\r\n<br />\r\nBL N&deg; 17 du 22/02/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(220, '2018-02-23 15:58:40', 'SH1802-0216', 1, 2037, 0, NULL, NULL, NULL, '2018-02-23 16:58:36', 5, '2018-02-23 16:58:39', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Pour compresseur type COMPAIR CLC507NTPBD - clapet anti retour', NULL, 0, '', NULL, NULL, NULL, NULL),
(221, '2019-06-27 13:56:08', 'SH1802-0217', 1, 12608, 0, NULL, NULL, NULL, '2018-02-27 16:51:30', 5, '2018-02-27 16:51:34', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'D&eacute;lai : 15 jours', NULL, 0, '', NULL, NULL, NULL, NULL),
(222, '2018-03-01 14:47:25', 'SH1803-0218', 1, 2060, 0, NULL, NULL, NULL, '2018-03-01 15:47:20', 5, '2018-03-01 15:47:24', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Suite au passage de notre technicien veuillez trouver ci dessous le devis de r&eacute;paration de votre compresseur Sprint 051 N&deg; 149802/38', NULL, 0, '', NULL, NULL, NULL, NULL),
(223, '2018-03-01 14:57:00', 'SH1803-0219', 1, 2059, 0, NULL, NULL, NULL, '2018-03-01 15:56:55', 5, '2018-03-01 15:56:59', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance Sprint 15 N&deg; 250 et separateur de condensats UltrasepSUper plus 15 :', NULL, 0, '', NULL, NULL, NULL, NULL),
(224, '2018-03-01 15:22:28', 'SH1803-0220', 1, 2140, 0, NULL, NULL, NULL, '2018-03-01 16:22:23', 5, '2018-03-01 16:22:26', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance Compresseur L15RS N&deg; cd100244995001 &agrave; 7380 HRS - contrat lis&eacute;<br />\r\n<br />\r\nBL N&deg; 21 du 26/02/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(225, '2018-03-01 15:34:55', 'SH1803-0221', 1, 2140, 0, NULL, NULL, NULL, '2018-03-01 16:34:43', 5, '2018-03-01 16:34:52', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L15 N&deg; CD10003063002 &agrave; 21572 HRS<br />\r\n<br />\r\nBL N&deg;20 du 26/02/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(226, '2018-03-02 10:47:33', 'SH1803-0222', 1, 2101, 0, NULL, NULL, NULL, '2018-03-02 11:47:21', 5, '2018-03-02 11:47:24', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance l18RS', NULL, 0, '', NULL, NULL, NULL, NULL),
(227, '2018-03-02 12:24:42', 'SH1803-0223', 1, 2260, 0, NULL, NULL, NULL, '2018-03-02 13:24:36', 5, '2018-03-02 13:24:39', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Pieces detach&eacute;es pour maintenance de vos compresseurs :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(228, '2018-03-02 12:27:54', 'SH1803-0224', 1, 2119, 0, NULL, NULL, NULL, '2018-03-02 13:27:33', 5, '2018-03-02 13:27:53', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L05 , owamat et filtres reseaux&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(229, '2018-03-02 13:57:25', 'SH1803-0225', 1, 2054, 0, NULL, NULL, NULL, '2018-03-02 14:57:22', 5, '2018-03-02 14:57:25', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur WS3008V &agrave; 27622 HRS :<br />\r\n<br />\r\nSIte sces bl&eacute; 2 calibrage chemin du pouloux 38270 BEAUREPAIRE', NULL, 0, '', NULL, NULL, NULL, NULL),
(230, '2018-03-02 14:18:39', 'SH1803-0226', 1, 2101, 0, NULL, NULL, NULL, '2018-03-02 15:18:27', 5, '2018-03-02 15:18:31', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Reparation fuite d&#39;air sur reseau Girair diametre 25 et descentes diamtre 20 :&nbsp;<br />\r\n<br />\r\nBL N&deg;13 du 20/02/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(231, '2018-03-02 14:36:43', 'SH1803-0227', 1, 2095, 0, NULL, NULL, NULL, '2018-03-02 15:36:38', 5, '2018-03-02 15:36:41', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Intervention sur compresseur devilbiss STAR 20 N&deg; 1706940001 &agrave; 15926 HRS<br />\r\n<br />\r\nBL N&deg; 6 du 13/02/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(232, '2018-04-17 14:17:35', 'SH1803-0228', 1, 2401, 0, NULL, NULL, NULL, '2018-03-02 15:55:04', 5, '2018-03-02 15:55:08', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Modification reseau d&#39;eau de ville et reseau d&#39;eau minerale + CO2 reseau mineral + cuve tampon&nbsp;<br />\r\n<br />\r\nBL N&deg; 33 du 13 &amp; 15 F&eacute;vrier 2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(233, '2018-03-02 15:18:21', 'SH1803-0229', 1, 12618, 0, NULL, NULL, NULL, '2018-03-02 16:18:15', 5, '2018-03-02 16:18:19', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'R&eacute;alisation des travaux en meme temps que la maintenance - Hors&nbsp; temps &amp; frais de d&eacute;placement&nbsp;<br />\r\n<br />\r\nMise en place sur platine de fixation de 3 filtres r&eacute;seaux - remplacement de votre flexible&nbsp;liaison filtres &agrave; entr&eacute;e trieur et fourniture d&#39;une soufflette &eacute;quip&eacute;e avec 10m de Polyflex en diam&nbsp; 10, soufflage air alimentaire .<br />\r\n<br />\r\nMaintenance compresseur Cyclon215 de 1999 :', NULL, 0, '', NULL, NULL, NULL, NULL),
(234, '2018-03-02 15:45:59', 'SH1803-0230', 1, 1996, 0, NULL, NULL, NULL, '2018-03-02 16:45:56', 5, '2018-03-02 16:45:59', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement electrovanne sur compresseur L18 :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(235, '2018-03-02 15:53:04', 'SH1803-0231', 1, 2022, 0, NULL, NULL, NULL, '2018-03-02 16:53:00', 5, '2018-03-02 16:53:03', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur Rolalir 1400 &agrave; 3374 HRS<br />\r\n<br />\r\nBL N&deg; 43 du 28/02/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(236, '2018-03-02 16:02:20', 'SH1803-0232', 1, 2153, 0, NULL, NULL, NULL, '2018-03-02 17:02:14', 5, '2018-03-02 17:02:17', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance l15RS &agrave; 11241 HRS<br />\r\n<br />\r\nBL N&deg; 23 du 27/02/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(237, '2018-03-02 16:05:46', 'SH1803-0233', 1, 2150, 0, NULL, NULL, NULL, '2018-03-02 17:05:40', 5, '2018-03-02 17:05:43', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L04 N&deg; ba35401001', NULL, 0, '', NULL, NULL, NULL, NULL),
(238, '2018-03-12 10:09:13', 'SH1803-0234', 1, 2062, 0, NULL, NULL, NULL, '2018-03-12 11:09:06', 5, '2018-03-12 11:09:10', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenances 3 compresseurs L26RS et differents filtres r&eacute;seaux :&nbsp;<br />\r\nL26RS N&deg; CD10015212001 &agrave; 2924&nbsp; HRS<br />\r\nL26RS N&deg; CD10021087002 &agrave; 5163 HRS<br />\r\nL26RS N&deg; CD10027118001 &agrave; 5053 HRS<br />\r\nBL N&deg; 46 , 48, 47 et 42', NULL, 0, '', NULL, NULL, NULL, NULL),
(239, '2018-03-12 13:55:54', 'SH1803-0235', 1, 2354, 0, NULL, NULL, NULL, '2018-03-12 14:55:30', 5, '2018-03-12 14:55:38', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(240, '2018-03-12 13:56:48', 'SH1803-0236', 1, 9406, 0, NULL, NULL, NULL, '2018-03-12 14:56:30', 5, '2018-03-12 14:56:34', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(241, '2018-03-12 13:57:55', 'SH1803-0237', 1, 9406, 0, NULL, NULL, NULL, '2018-03-12 14:57:29', 5, '2018-03-12 14:57:33', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(242, '2019-01-14 09:37:18', 'SH1803-0238', 1, 2407, 0, NULL, NULL, NULL, '2018-03-19 14:07:57', 5, '2018-03-19 14:08:00', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'D&eacute;lai : 29 Mars 2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(243, '2019-02-15 14:09:52', 'SH1803-0239', 1, 2062, 0, NULL, NULL, NULL, '2018-03-23 15:23:58', 5, '2018-03-23 15:24:01', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '<p>Rajout huile hydraulique en bidon entre 10 et 20 litres (maximum) dans Pompe ICME type TBM68A2TROP&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</p>\r\n\r\n<p>(3 types accept&eacute;s par la pompe : Shell tellus T32 / Q8 Handell 32 / Esso Invarol EP46)</p>\r\n', NULL, 0, '', NULL, NULL, NULL, NULL),
(244, '2018-03-23 14:33:58', 'SH1803-0240', 1, 1996, 0, NULL, NULL, NULL, '2018-03-23 15:33:53', 5, '2018-03-23 15:33:56', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Intervention sur compresseur L18 N&deg;100008030/0334 &agrave; 30200HRS:&nbsp;<br />\r\nBL N&deg;33 du 13/03/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(245, '2018-03-23 14:48:14', 'SH1803-0241', 1, 2330, 0, NULL, NULL, NULL, '2018-03-23 15:48:02', 5, '2018-03-23 15:48:06', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'prolongation reseau :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(246, '2019-04-16 08:16:44', 'SH1803-0242', 1, 2026, 0, NULL, NULL, NULL, '2018-03-23 16:08:00', 5, '2018-03-23 16:08:03', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(247, '2018-03-23 15:27:29', 'SH1803-0243', 1, 2049, 0, NULL, NULL, NULL, '2018-03-23 16:27:25', 5, '2018-03-23 16:27:28', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance cyclon 222 N&deg;F165/2079<br />\r\nBL N&deg;44 du 01/03/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(248, '2018-04-13 07:31:44', 'SH1803-0244', 1, 2203, 0, NULL, NULL, NULL, '2018-03-26 10:52:04', 5, '2018-03-26 10:52:08', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'delai : 5 jours', NULL, 0, '', NULL, NULL, NULL, NULL),
(249, '2018-04-23 09:11:08', 'SH1803-0245', 1, 9406, 0, NULL, NULL, NULL, '2018-03-26 10:52:50', 5, '2018-03-26 10:52:56', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Pour vos 7&nbsp; electrodistributeurs :<br />\r\n<br />\r\nD&eacute;lai : 5 Jours', NULL, 0, '', NULL, NULL, NULL, NULL),
(250, '2018-03-26 09:09:33', 'SH1803-0246', 1, 12683, 0, NULL, NULL, NULL, '2018-03-26 11:09:25', 5, '2018-03-26 11:09:30', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Raccordement filtre &agrave; sable ( avec air comprim&eacute; )&nbsp;<br />\r\n6/7/13/14/15 &amp; 19 Mars 2018 suivant BL&nbsp; N&deg;39&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(251, '2018-03-26 09:59:02', 'SH1803-0247', 1, 12683, 0, NULL, NULL, NULL, '2018-03-26 11:58:56', 5, '2018-03-26 11:58:59', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Modification CO&sup2; de la cuve 12Bar ext vers r&eacute;chauffeur&nbsp;<br />\r\nMontage detendeur sur filtres r&eacute;seaux&nbsp;<br />\r\nModification CO&sup2; inertage des cuves<br />\r\nAvant cuve &agrave; mazout', NULL, 0, '', NULL, NULL, NULL, NULL),
(252, '2018-03-26 12:44:32', 'SH1803-0248', 1, 2188, 0, NULL, NULL, NULL, '2018-03-26 14:44:26', 5, '2018-03-26 14:44:32', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Kits de maintenance pour compresseur &agrave; vitesse variable L132RS COMPAIR N&deg; CD10023077001 suivant cahier des charges ASSURE COMPAIR permettant la garantie 44 000 Heures / 6 ans ( premier terme &eacute;chu ) :', NULL, 0, '', NULL, NULL, NULL, NULL),
(253, '2018-03-29 08:11:05', 'SH1803-0249', 1, 2062, 0, NULL, NULL, NULL, '2018-03-29 10:10:59', 5, '2018-03-29 10:11:03', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement flexible sous compresseur L26RS N&deg;CD10027118001 :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(254, '2018-03-29 12:22:17', 'SH1803-0250', 1, 2128, 0, NULL, NULL, NULL, '2018-03-29 14:22:11', 5, '2018-03-29 14:22:15', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Installation Filtre regulateur &amp; reparation de fuites', NULL, 0, '', NULL, NULL, NULL, NULL),
(255, '2018-03-29 12:35:26', 'SH1803-0251', 1, 2239, 0, NULL, NULL, NULL, '2018-03-29 14:35:20', 5, '2018-03-29 14:35:23', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Creation reseau inox en diametre 22 -<br />\r\nNacelle inclus&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(256, '2018-03-29 13:30:35', 'SH1803-0252', 1, 2161, 0, NULL, NULL, NULL, '2018-03-29 15:30:31', 5, '2018-03-29 15:30:35', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement&nbsp; du clapet d&#39;aspiration sur BOGE S31-2 N&deg; 5034864 de 2009 :<br />\r\n<br />\r\nD&eacute;lai : 10 &agrave; 12 jours &agrave; r&eacute;ception de commande&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(257, '2018-03-29 14:25:52', 'SH1803-0253', 1, 12592, 0, NULL, NULL, NULL, '2018-03-29 16:25:45', 5, '2018-03-29 16:25:49', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(258, '2018-03-30 13:44:13', 'SH1803-0254', 1, 2273, 0, NULL, NULL, NULL, '2018-03-30 15:33:28', 5, '2018-03-30 15:34:34', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Mise en lieu et place de la cuve choisie sur offre ci jointe et cr&eacute;ation d&#39;un bypass cuve raccordement du compresseur au reseau en inox :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(259, '2018-03-30 14:20:46', 'SH1803-0255', 1, 2234, 0, NULL, NULL, NULL, '2018-03-30 16:20:39', 5, '2018-03-30 16:20:44', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L45RS + owamat&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(260, '2018-04-03 12:18:53', 'SH1804-0256', 1, 2279, 0, NULL, NULL, NULL, '2018-04-03 14:18:46', 5, '2018-04-03 14:18:51', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L50 N&deg; CD10002543001', NULL, 0, '', NULL, NULL, NULL, NULL),
(261, '2018-04-03 12:21:08', 'SH1804-0257', 1, 2371, 0, NULL, NULL, NULL, '2018-04-03 14:21:03', 5, '2018-04-03 14:21:06', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L22 et filtres reseaux', NULL, 0, '', NULL, NULL, NULL, NULL),
(262, '2018-04-03 12:22:39', 'SH1804-0258', 1, 2318, 0, NULL, NULL, NULL, '2018-04-03 14:22:33', 5, '2018-04-03 14:22:36', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L45 + L15+ secheurpar adsotpion HL0080', NULL, 0, '', NULL, NULL, NULL, NULL),
(263, '2018-04-03 12:24:44', 'SH1804-0259', 1, 12600, 0, NULL, NULL, NULL, '2018-04-03 14:24:38', 5, '2018-04-03 14:24:42', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L07RS et filtres reseaux&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(264, '2018-12-17 09:16:27', 'SH1804-0260', 1, 2391, 0, NULL, NULL, NULL, '2018-04-03 14:34:25', 5, '2018-04-03 14:34:33', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L15 N&deg;CD10007461004 de 2011&nbsp;<br />\r\nseprateur de condensats owamat 10', NULL, 0, '', NULL, NULL, NULL, NULL),
(265, '2018-04-04 12:16:51', 'SH1804-0261', 1, 2122, 0, NULL, NULL, NULL, '2018-04-04 14:16:46', 5, '2018-04-04 14:16:49', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L75RS', NULL, 0, '', NULL, NULL, NULL, NULL),
(266, '2018-04-11 12:17:44', 'SH1804-0262', 1, 12730, 0, NULL, NULL, NULL, '2018-04-05 14:35:57', 5, '2018-04-05 14:36:01', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(267, '2018-04-06 12:07:38', 'SH1804-0263', 1, 2122, 0, NULL, NULL, NULL, '2018-04-06 14:07:35', 5, '2018-04-06 14:07:38', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'supape 10 bars 3/4', NULL, 0, '', NULL, NULL, NULL, NULL),
(268, '2018-04-09 08:48:26', 'SH1804-0264', 1, 1980, 0, NULL, NULL, NULL, '2018-04-09 10:48:21', 5, '2018-04-09 10:48:25', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance genesis ge1510&nbsp;<br />\r\nsite beaurepaire', NULL, 0, '', NULL, NULL, NULL, NULL),
(269, '2018-04-09 09:55:56', 'SH1804-0265', 1, 2178, 0, NULL, NULL, NULL, '2018-04-09 11:55:51', 5, '2018-04-09 11:55:54', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance HV01 et HV02', NULL, 0, '', NULL, NULL, NULL, NULL),
(270, '2018-04-09 10:08:39', 'SH1804-0266', 1, 2178, 0, NULL, NULL, NULL, '2018-04-09 12:08:29', 5, '2018-04-09 12:08:38', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L55 N&deg; CD10008941001 &agrave; 19144HRS&nbsp; + maintenance sep de condensats DOMINICK HUNTER ES2300<br />\r\nBL N&deg; 46 Du 06/04/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(271, '2018-04-12 12:24:05', 'SH1804-0267', 1, 12728, 0, NULL, NULL, NULL, '2018-04-12 14:13:26', 5, '2018-04-12 14:13:30', 5, NULL, NULL, NULL, 2, '', 2, 0, NULL, NULL, 0, NULL, 0, 6.5, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(272, '2018-04-13 07:34:53', 'SH1804-0268', 1, 2203, 0, NULL, NULL, NULL, '2018-04-13 09:34:36', 5, '2018-04-13 09:34:39', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'en &eacute;change de celle en votre possession :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(273, '2018-04-16 09:55:47', 'SH1804-0269', 1, 2215, 0, NULL, NULL, NULL, '2018-04-16 11:55:39', 5, '2018-04-16 11:55:45', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L11RS&nbsp;<br />\r\nRemplcament cartouche reseau&nbsp;<br />\r\nMaintenance Separateur de condensats OWAMAT10', NULL, 0, '', NULL, NULL, NULL, NULL),
(274, '2018-04-17 09:07:05', 'SH1804-0270', 1, 2313, 0, NULL, NULL, NULL, '2018-04-17 11:07:00', 5, '2018-04-17 11:07:03', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L07RS et filtre reseau : an adaptable hors garantie', NULL, 0, '', NULL, NULL, NULL, NULL),
(275, '2018-04-17 09:14:57', 'SH1804-0271', 1, 2033, 0, NULL, NULL, NULL, '2018-04-17 11:14:52', 5, '2018-04-17 11:14:55', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L26RS N&deg; CD10020872001', NULL, 0, '', NULL, NULL, NULL, NULL),
(276, '2018-04-17 10:03:31', 'SH1804-0272', 1, 2055, 0, NULL, NULL, NULL, '2018-04-17 12:03:26', 5, '2018-04-17 12:03:29', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L18', NULL, 0, '', NULL, NULL, NULL, NULL),
(277, '2018-04-17 12:20:38', 'SH1804-0273', 1, 2204, 0, NULL, NULL, NULL, '2018-04-17 14:20:31', 5, '2018-04-17 14:20:36', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Contrat Liss&eacute; L22 N&deg;CD10029439002 &agrave; 2040 HRS+ owamat11 + filtres reseaux ( RA,RB et CA )&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(278, '2018-04-17 12:29:44', 'SH1804-0274', 1, 2260, 0, NULL, NULL, NULL, '2018-04-17 14:29:40', 5, '2018-04-17 14:29:43', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'D&eacute;lai : 10 &agrave; 15 Jours<br />\r\n<br />\r\nRemplacement bulbe thermostatique sur compresseur SCK42-08', NULL, 0, '', NULL, NULL, NULL, NULL),
(279, '2018-04-17 13:05:53', 'SH1804-0275', 1, 2311, 0, NULL, NULL, NULL, '2018-04-17 15:05:47', 5, '2018-04-17 15:05:50', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance compresseur &agrave; piston :&nbsp;<br />\r\nBL N&deg; 50 du 10/04/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(280, '2018-04-17 13:15:57', 'SH1804-0276', 1, 2311, 0, NULL, NULL, NULL, '2018-04-17 15:15:53', 5, '2018-04-17 15:15:56', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance screw 10', NULL, 0, '', NULL, NULL, NULL, NULL),
(281, '2018-04-17 13:21:13', 'SH1804-0277', 1, 2311, 0, NULL, NULL, NULL, '2018-04-17 15:21:09', 5, '2018-04-17 15:21:11', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance devillbiss STAR20 &agrave; 17803HRS<br />\r\nBL N&deg;49 du 10/04/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(282, '2018-04-17 13:58:43', 'SH1804-0278', 1, 2318, 0, NULL, NULL, NULL, '2018-04-17 15:58:38', 5, '2018-04-17 15:58:41', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance separateur de condensats Ultrasep superplus10 :&nbsp;<br />\r\nHors deplacement inclus dans la maintenance des compresseurs&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(283, '2018-04-17 14:13:22', 'SH1804-0279', 1, 2401, 0, NULL, NULL, NULL, '2018-04-17 16:13:18', 5, '2018-04-17 16:13:21', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(284, '2018-04-19 07:33:48', 'SH1804-0280', 1, 1980, 0, NULL, NULL, NULL, '2018-04-19 09:33:44', 5, '2018-04-19 09:33:47', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Suite &agrave; conversation avec ALain Balazard, pour votre site de Beaurepaire veuillez trouver l&#39;offre pour le remplcament de votre r&eacute;servoir&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(285, '2018-04-19 08:13:28', 'SH1804-0281', 1, 2301, 0, NULL, NULL, NULL, '2018-04-19 10:13:23', 5, '2018-04-19 10:13:26', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur&nbsp; RSDK PRO ECN 5.5&nbsp; et separateur de condensats OWAMAT 10 :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(286, '2018-04-20 06:53:28', 'SH1804-0282', 1, 2369, 0, NULL, NULL, NULL, '2018-04-20 08:53:22', 5, '2018-04-20 08:53:26', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(287, '2018-04-26 08:09:41', 'SH1804-0283', 1, 12743, 0, NULL, NULL, NULL, '2018-04-20 11:42:45', 5, '2018-04-20 11:42:49', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Sac de 25 kg d&#39;alumine granulometrie 2-3mm', NULL, 0, '', NULL, NULL, NULL, NULL),
(288, '2019-08-08 07:31:13', 'SH1804-0284', 1, 1935, 0, NULL, NULL, NULL, '2018-04-20 11:54:25', 5, '2018-04-20 11:54:29', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Pi&eacute;ces detach&eacute;es pour L11 -&nbsp;<br />\r\n<br />\r\nD&eacute;lai : 3 jours', NULL, 0, '', NULL, NULL, NULL, NULL),
(289, '2018-04-23 08:43:56', 'SH1804-0285', 1, 2161, 0, NULL, NULL, NULL, '2018-04-23 10:43:52', 5, '2018-04-23 10:43:55', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement ventilateur s&eacute;cheur boge DS40<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE', NULL, 0, '', NULL, NULL, NULL, NULL),
(290, '2018-04-23 09:29:56', 'SH1804-0286', 1, 2350, 0, NULL, NULL, NULL, '2018-04-23 11:29:52', 5, '2018-04-23 11:29:55', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Modification du r&eacute;seau inox en diametre 42 :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(291, '2018-04-23 09:44:42', 'SH1804-0287', 1, 2350, 0, NULL, NULL, NULL, '2018-04-23 11:44:37', 5, '2018-04-23 11:44:41', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L45RS N&deg;CD10015094001 ( 6000H )&nbsp; ( NB : attention pas de sectionneur de proximit&eacute;) + remplacement cartouche filtre r&eacute;seau<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(292, '2018-04-23 11:46:56', 'SH1804-0288', 1, 10056, 0, NULL, NULL, NULL, '2018-04-23 13:46:41', 5, '2018-04-23 13:46:44', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Commande aupr&eacute;s de Mr BALAZARD', NULL, 0, '', NULL, NULL, NULL, NULL),
(293, '2018-12-17 12:35:40', 'SH1804-0289', 1, 9406, 0, NULL, NULL, NULL, '2018-04-24 14:42:35', 5, '2018-04-24 14:42:39', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(294, '2018-04-26 09:46:02', 'SH1804-0290', 1, 2261, 0, NULL, NULL, NULL, '2018-04-26 11:45:58', 5, '2018-04-26 11:46:01', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Compresseur sur cuve de 10 Litres&nbsp;<br />\r\nD&eacute;bit R&eacute;el 8m3/h<br />\r\nPuissance 1.5 ch&nbsp;<br />\r\nPoids 21 kg<br />\r\nPression 8 Bars&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(295, '2018-04-26 09:57:02', 'SH1804-0291', 1, 6204, 0, NULL, NULL, NULL, '2018-04-26 11:56:00', 5, '2018-04-26 11:56:04', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Proposition s&eacute;cheur par r&eacute;frigeration 72 m3/h point de ros&eacute;e 2&deg;C&nbsp; suite au passage de Mr Balazard ce jour :&nbsp;<br />\r\nLivraison FRANCO par Mr Balazard', NULL, 0, '', NULL, NULL, NULL, NULL),
(296, '2018-04-26 10:00:43', 'SH1804-0292', 1, 12590, 0, NULL, NULL, NULL, '2018-04-26 12:00:37', 5, '2018-04-26 12:00:41', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance compresseur et filtres reseaux&nbsp; :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(297, '2018-04-26 10:01:34', 'SH1804-0293', 1, 2076, 0, NULL, NULL, NULL, '2018-04-26 12:01:29', 5, '2018-04-26 12:01:33', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Projet Air Comprim&eacute;&nbsp;<br />\r\nNouveau Batiment&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(298, '2018-04-26 12:45:34', 'SH1804-0294', 1, 2347, 0, NULL, NULL, NULL, '2018-04-26 14:45:16', 5, '2018-04-26 14:45:21', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '<br />\r\nD&eacute;lai : livraison sous 10 jour(s) ouvr&eacute;(s), sous r&eacute;serve de disponibilit&eacute; chez le fabricant.', NULL, 0, '', NULL, NULL, NULL, NULL),
(299, '2018-05-03 14:31:39', 'SH1805-0295', 1, 2076, 0, NULL, NULL, NULL, '2018-05-03 16:31:33', 5, '2018-05-03 16:31:37', 5, NULL, '2018-05-04 00:00:00', NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance HV07 et remplcament cartouche filtre reseau', NULL, 0, '', NULL, NULL, NULL, NULL),
(300, '2018-05-03 14:33:19', 'SH1805-0296', 1, 2376, 0, NULL, NULL, NULL, '2018-05-03 16:33:11', 5, '2018-05-03 16:33:16', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenanace compresseur L11VS et filtre reseau', NULL, 0, '', NULL, NULL, NULL, NULL),
(301, '2018-05-15 08:01:54', 'SH1805-0297', 1, 1940, 0, NULL, NULL, NULL, '2018-05-15 10:01:30', 5, '2018-05-15 10:01:33', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance de votre compresseur L45RS&nbsp;<br />\r\nRemplacement cartouches filtres r&eacute;seaux&nbsp;<br />\r\nMaintenance s&eacute;parateur de condensats owamat14', NULL, 0, '', NULL, NULL, NULL, NULL);
INSERT INTO `llx_expedition` (`rowid`, `tms`, `ref`, `entity`, `fk_soc`, `fk_projet`, `ref_ext`, `ref_int`, `ref_customer`, `date_creation`, `fk_user_author`, `date_valid`, `fk_user_valid`, `date_expedition`, `date_delivery`, `fk_address`, `fk_shipping_method`, `tracking_number`, `fk_statut`, `billed`, `height`, `width`, `size_units`, `size`, `weight_units`, `weight`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_user_modif`, `last_main_doc`) VALUES
(302, '2018-05-15 08:09:19', 'SH1805-0298', 1, 2029, 0, NULL, NULL, NULL, '2018-05-15 10:09:12', 5, '2018-05-15 10:09:15', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance Compresseur L11 et remplacement cartouche filtre reseau - maintenance seprateur de condensats OWAMAT 10', NULL, 0, '', NULL, NULL, NULL, NULL),
(303, '2018-05-15 12:51:05', 'SH1805-0299', 1, 2231, 0, NULL, NULL, NULL, '2018-05-15 14:51:00', 5, '2018-05-15 14:51:03', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur HP10 :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(304, '2018-05-15 13:50:24', 'SH1805-0300', 1, 2276, 0, NULL, NULL, NULL, '2018-05-15 15:50:19', 5, '2018-05-15 15:50:22', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L29RS &amp; separateur de condensats PSG15, filtres reseaux :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(305, '2020-12-21 10:08:24', 'SH1805-0301', 1, 5741, 0, NULL, NULL, NULL, '2018-05-16 16:12:20', 5, '2018-05-16 16:12:23', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'D&eacute;lai : 15 jours', NULL, 0, '', NULL, NULL, NULL, NULL),
(306, '2018-05-18 07:44:08', 'SH1805-0302', 1, 2140, 0, NULL, NULL, NULL, '2018-05-18 09:44:02', 5, '2018-05-18 09:44:06', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance start015 N&deg;349012/2499 &agrave; 35600 HRS - remplacement cartouche filtre reseau&nbsp;<br />\r\nremplacement coffret et sectionneur de proximit&eacute; sur compresseur L15-', NULL, 0, '', NULL, NULL, NULL, NULL),
(307, '2018-05-18 07:55:36', 'SH1805-0303', 1, 12745, 0, NULL, NULL, NULL, '2018-05-18 09:55:28', 5, '2018-05-18 09:55:32', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(308, '2018-05-18 08:42:28', 'SH1805-0304', 1, 2378, 0, NULL, NULL, NULL, '2018-05-18 10:42:23', 5, '2018-05-18 10:42:26', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L45RS&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(309, '2018-06-04 09:32:30', 'SH1806-0305', 1, 2347, 0, NULL, NULL, NULL, '2018-06-04 11:32:10', 5, '2018-06-04 11:32:14', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(310, '2018-06-04 09:52:55', 'SH1806-0306', 1, 1968, 0, NULL, NULL, NULL, '2018-06-04 11:52:51', 5, '2018-06-04 11:52:54', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur RSDBST3-8BARS et remplacement cartouche filtre r&eacute;seau&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(311, '2018-06-04 11:46:44', 'SH1806-0307', 1, 2053, 0, NULL, NULL, NULL, '2018-06-04 13:46:33', 5, '2018-06-04 13:46:41', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(312, '2018-06-04 14:29:58', 'SH1806-0308', 1, 2076, 0, NULL, NULL, NULL, '2018-06-04 16:29:53', 5, '2018-06-04 16:29:56', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(313, '2018-06-04 15:05:14', 'SH1806-0309', 1, 12596, 0, NULL, NULL, NULL, '2018-06-04 17:05:10', 5, '2018-06-04 17:05:13', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(314, '2018-06-05 12:15:36', 'SH1806-0310', 1, 2247, 0, NULL, NULL, NULL, '2018-06-05 14:15:19', 5, '2018-06-05 14:15:23', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L18rs N&deg; CD100018442001 &agrave; 21963 HRS<br />\r\n<br />\r\nBL N&deg; 14 du 30/05/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(315, '2018-06-05 12:27:03', 'SH1806-0311', 1, 2206, 0, NULL, NULL, NULL, '2018-06-05 14:26:58', 5, '2018-06-05 14:27:02', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance HV05 :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(316, '2018-06-05 13:25:07', 'SH1806-0312', 1, 2354, 0, NULL, NULL, NULL, '2018-06-05 15:24:41', 5, '2018-06-05 15:24:48', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L15 N&deg;100014096-0169 &agrave; 21454 HRS &amp; separateur de condensats owamat 11<br />\r\n<br />\r\nBL N&deg;11 du 25/05/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(317, '2018-06-05 13:41:14', 'SH1806-0313', 1, 2370, 0, NULL, NULL, NULL, '2018-06-05 15:41:07', 5, '2018-06-05 15:41:12', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance RStop 7.5 :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(318, '2018-06-06 08:26:44', 'SH1806-0314', 1, 2396, 0, NULL, NULL, NULL, '2018-06-06 10:26:38', 5, '2018-06-06 10:26:41', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remise en etat 4010ELK-09-BES', NULL, 0, '', NULL, NULL, NULL, NULL),
(319, '2018-06-06 08:30:42', 'SH1806-0315', 1, 2396, 0, NULL, NULL, NULL, '2018-06-06 10:30:37', 5, '2018-06-06 10:30:41', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Modification du local suivant plan ci joint :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(320, '2018-06-06 08:33:06', 'SH1806-0316', 1, 2396, 0, NULL, NULL, NULL, '2018-06-06 10:33:01', 5, '2018-06-06 10:33:04', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance HV04&nbsp;<br />\r\nMaintenance separateur de condensats OWAMAT10', NULL, 0, '', NULL, NULL, NULL, NULL),
(321, '2018-06-07 06:46:27', 'SH1806-0317', 1, 2352, 0, NULL, NULL, NULL, '2018-06-07 08:46:19', 5, '2018-06-07 08:46:25', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L37RS N&deg; CD10019189001 &agrave; 8907 HRS - Remplacement des cartouches des filtres r&eacute;seaux .', NULL, 0, '', NULL, NULL, NULL, NULL),
(322, '2018-06-11 07:19:25', 'SH1806-0318', 1, 2338, 0, NULL, NULL, NULL, '2018-06-11 09:19:20', 5, '2018-06-11 09:19:23', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(323, '2018-06-11 13:35:17', 'SH1806-0319', 1, 5786, 0, NULL, NULL, NULL, '2018-06-11 15:34:37', 5, '2018-06-11 15:34:40', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Pieces pour ATLAS COPCO GA15 PACK', NULL, 0, '', NULL, NULL, NULL, NULL),
(324, '2018-06-11 13:36:38', 'SH1806-0320', 1, 2122, 0, NULL, NULL, NULL, '2018-06-11 15:36:16', 5, '2018-06-11 15:36:19', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'une soupape de s&eacute;curit&eacute; tar&eacute; a 0.5 bars avec un diam&egrave;tre de raccordement &frac34; avec un d&eacute;bit de 548 L/min.', NULL, 0, '', NULL, NULL, NULL, NULL),
(325, '2018-06-12 07:40:43', 'SH1806-0321', 1, 2184, 0, NULL, NULL, NULL, '2018-06-12 09:40:38', 5, '2018-06-12 09:40:41', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L45rs N&deg;CD10015552001 &agrave; 34348 HRS<br />\r\n<br />\r\nBL N&deg;40 du 07/06/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(326, '2018-06-12 08:14:54', 'SH1806-0322', 1, 12757, 0, NULL, NULL, NULL, '2018-06-12 10:14:49', 5, '2018-06-12 10:14:52', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(327, '2018-06-12 12:35:46', 'SH1806-0323', 1, 2176, 0, NULL, NULL, NULL, '2018-06-12 14:35:33', 5, '2018-06-12 14:35:46', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'compresseur a piston NUAIR&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(328, '2018-06-14 07:52:27', 'SH1806-0324', 1, 2064, 0, NULL, NULL, NULL, '2018-06-14 09:52:22', 5, '2018-06-14 09:52:25', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L37 N&deg; 10008491002 &agrave; 22416 HRS&nbsp;<br />\r\n<br />\r\nBL N&deg;12 du 11/06/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(329, '2018-06-14 07:57:07', 'SH1806-0325', 1, 2064, 0, NULL, NULL, NULL, '2018-06-14 09:57:02', 5, '2018-06-14 09:57:05', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L80 N&deg; CD10000635001 &agrave; 32248 HRS<br />\r\n<br />\r\nBL N&deg; 13 du 11/06/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(330, '2018-06-14 08:59:54', 'SH1806-0326', 1, 2085, 0, NULL, NULL, NULL, '2018-06-14 10:59:16', 5, '2018-06-14 10:59:52', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance START25 &agrave; 34300 HRS', NULL, 0, '', NULL, NULL, NULL, NULL),
(331, '2018-06-14 09:58:29', 'SH1806-0327', 1, 2161, 0, NULL, NULL, NULL, '2018-06-14 11:58:17', 5, '2018-06-14 11:58:21', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'SIte de ST Vallier Blanchisserie<br />\r\nMaintenance compresseur BOGE S31-2 :&nbsp;<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(332, '2018-06-14 13:06:39', 'SH1806-0328', 1, 2380, 0, NULL, NULL, NULL, '2018-06-14 15:06:33', 5, '2018-06-14 15:06:37', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur BOGE C9<br />\r\net remplacement cartouches filtres reseaux<br />\r\n<br />\r\nBL N&deg; 47 du 12/06/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(333, '2018-07-03 08:57:56', 'SH1806-0329', 1, 2122, 0, NULL, NULL, NULL, '2018-06-15 07:53:36', 5, '2018-06-15 07:53:39', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'une soupape de s&eacute;curit&eacute; tar&eacute; a 0.5 bars avec un diam&egrave;tre de raccordement &frac34; avec un d&eacute;bit de 548 L/min.', NULL, 0, '', NULL, NULL, NULL, NULL),
(334, '2018-06-15 13:24:30', 'SH1806-0330', 1, 2155, 0, NULL, NULL, NULL, '2018-06-15 15:24:21', 5, '2018-06-15 15:24:25', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Intervention sur compressseur L04 N&deg; BA37888001 &agrave; 1186 HRS<br />\r\nRemplacement pressostat<br />\r\n<br />\r\nBL N&deg; 18 &amp; 21 du 13 &amp; 14 juin 2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(335, '2018-06-19 12:42:18', 'SH1806-0331', 1, 2033, 0, NULL, NULL, NULL, '2018-06-19 14:42:13', 5, '2018-06-19 14:42:16', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L15RS N&deg; CD10006364001 &agrave; 20575 HRS<br />\r\n<br />\r\nBL N&deg; 5 du 15/06/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(336, '2018-06-19 12:49:19', 'SH1806-0332', 1, 2072, 0, NULL, NULL, NULL, '2018-06-19 14:49:14', 5, '2018-06-19 14:49:18', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance compresseur L11 N&deg;100008027/0114', NULL, 0, '', NULL, NULL, NULL, NULL),
(337, '2018-06-20 08:16:20', 'SH1806-0333', 1, 11440, 0, NULL, NULL, NULL, '2018-06-20 10:15:23', 5, '2018-06-20 10:16:07', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur RSDKB 4 -10bars RENNER N&deg; 710036', NULL, 0, '', NULL, NULL, NULL, NULL),
(338, '2018-06-20 10:02:19', 'SH1806-0334', 1, 2408, 0, NULL, NULL, NULL, '2018-06-20 12:02:15', 5, '2018-06-20 12:02:18', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L11&nbsp; &agrave; 13380 HRS en adaptable et separateur de condensats OWAMAT 11<br />\r\n<br />\r\nBL N&deg; 49 du 14/06/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(339, '2018-06-20 12:14:11', 'SH1806-0335', 1, 2408, 0, NULL, NULL, NULL, '2018-06-20 14:14:06', 5, '2018-06-20 14:14:09', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur l07 en pi&eacute;ces adaptable&nbsp; &agrave; 21457 HRS -&nbsp;<br />\r\nRemplacement purge electropilot&eacute;e sur s&eacute;cheur .', NULL, 0, '', NULL, NULL, NULL, NULL),
(340, '2018-06-25 10:18:55', 'SH1806-0336', 1, 2203, 0, NULL, NULL, NULL, '2018-06-25 12:17:29', 5, '2018-06-25 12:17:36', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'DISTRIBUTEUR FESTO&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(341, '2018-06-28 09:49:06', 'SH1806-0337', 1, 12683, 0, NULL, NULL, NULL, '2018-06-28 11:48:58', 5, '2018-06-28 11:49:05', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Raccordement cuve&nbsp; 900 Litres recuperation CO&sup2; et eau .<br />\r\nRaccordement filtre neuf vers cuves 3 4 5&nbsp;<br />\r\nModification CO&sup2;<br />\r\nPose d&eacute;bimetre + vanne laminage filtre neuf<br />\r\nPassage en eau de ville laveuse de bouteilles , laveuse de caisses et etiqueteuse<br />\r\nSuppression tuyauterie eau du bassin<br />\r\nRaccordement primaire du groupe froid<br />\r\nRaccordement partiel du reseau secondaire sur cuves &amp; pompes ajout vannes pompes pour variante<br />\r\n<br />\r\nBL N&deg; 18 du 15 juin 2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(342, '2018-06-29 08:17:55', 'SH1806-0338', 1, 1996, 0, NULL, NULL, NULL, '2018-06-29 10:17:49', 5, '2018-06-29 10:17:52', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '<strong>Fourniture s&eacute;cheur par r&eacute;frigeration pour le d&eacute;bit du L18 COMPAIR :&nbsp;</strong><br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(343, '2018-06-29 08:24:50', 'SH1806-0339', 1, 1996, 0, NULL, NULL, NULL, '2018-06-29 10:24:43', 5, '2018-06-29 10:24:49', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'remplacement capteur de pression sur compresseur L18&nbsp;<br />\r\nChangement &eacute;ffectu&eacute; le mardi 26/06/2018 en m&ecirc;me temps que l&#39;installation du s&eacute;cheur&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(344, '2018-07-03 07:36:11', 'SH1807-0340', 1, 2184, 0, NULL, NULL, NULL, '2018-07-03 09:36:06', 5, '2018-07-03 09:36:09', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L45RS ( 2018 )&nbsp; en huile alimentaire&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(345, '2018-07-03 07:49:51', 'SH1807-0341', 1, 2016, 0, NULL, NULL, NULL, '2018-07-03 09:49:46', 5, '2018-07-03 09:49:49', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance et remplacement bulbe thermostatique sur compresseur L05 &agrave; 4090 HRS<br />\r\n<br />\r\nBL N&deg;27 du 22/06/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(346, '2018-07-03 07:53:46', 'SH1807-0342', 1, 12697, 0, NULL, NULL, NULL, '2018-07-03 09:53:41', 5, '2018-07-03 09:53:44', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'fourniture livr&eacute; par alain', NULL, 0, '', NULL, NULL, NULL, NULL),
(347, '2018-07-03 08:00:32', 'SH1807-0343', 1, 2054, 0, NULL, NULL, NULL, '2018-07-03 10:00:28', 5, '2018-07-03 10:00:31', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'rallongement reseau d&#39;air pour atelier mecanique :&nbsp;<br />\r\n<br />\r\nBL N&deg; 20 du 14/06/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(348, '2018-07-03 08:21:58', 'SH1807-0344', 1, 2127, 0, NULL, NULL, NULL, '2018-07-03 10:21:53', 5, '2018-07-03 10:21:56', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '<p>l entretien de votre compresseur <span style=\"font-size:10.0pt\"> L75SR-13A &agrave;&nbsp;</span>53847 heures.<br />\r\n<br />\r\nBL N&deg;38 du 07/06/2018</p>\r\n', NULL, 0, '', NULL, NULL, NULL, NULL),
(349, '2018-07-03 08:43:55', 'SH1807-0345', 1, 2157, 0, NULL, NULL, NULL, '2018-07-03 10:43:47', 5, '2018-07-03 10:43:53', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, 'a ne pas facturer de suite / cde enrouleurs', NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(350, '2018-07-03 08:47:59', 'SH1807-0346', 1, 2268, 0, NULL, NULL, NULL, '2018-07-03 10:47:15', 5, '2018-07-03 10:47:32', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Notre offre comprend :&nbsp;<br />\r\nRaccordement en air&nbsp; et mise en service local L75 RS ainsi que la vidange pour le passage en huile alimentaire et la maintenance de celui ci&nbsp; :&nbsp;<br />\r\nNous raccordons les differents &eacute;l&eacute;ments aux sectionneurs de proximit&eacute; ( dans le local )&nbsp; ou prises &agrave; proximit&eacute; . Le compresseur L75 RS sera entierement raccord&eacute; par votre &eacute;lectricien .<br />\r\nMise en place du secheur en votre possession .<br />\r\nDeplacement et branchement en air du L15 hors electrict&eacute;<br />\r\nMise en place et fourniture d&#39;un reservoir 900Litres .<br />\r\nMise en place et fourniture des purgeurs capacitifs sur votre cuve et 2 filtres existants .<br />\r\nMise en place et fourniture d&#39;e 3 filtres complets ,&nbsp; .<br />\r\nMise en place et fourniture d&#39;un separateur de condensats avec pr&eacute;-separation.<br />\r\nMise en place et fourniture d&#39;un gainage air chaud par l&#39;ouverture&nbsp; (118x118 ) hors &eacute;tanch&eacute;it&eacute; .&nbsp;<br />\r\nHors &eacute;lectricit&eacute; &agrave; votre charge .<br />\r\nMoyen de manutention &agrave; votre charge .<br />\r\n<br />\r\nIntervention prevus le 19 / 20 &amp; 21 juin 2018 si commande ce jour .', NULL, 0, '', NULL, NULL, NULL, NULL),
(351, '2018-07-03 12:41:48', 'SH1807-0347', 1, 2399, 0, NULL, NULL, NULL, '2018-07-03 14:41:43', 5, '2018-07-03 14:41:46', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L11RS&nbsp;<br />\r\nRemplacement cartouche filtre reseau<br />\r\nMaintenance seprateur de condensats OWAMAT 10 :', NULL, 0, '', NULL, NULL, NULL, NULL),
(353, '2018-07-05 12:37:08', 'SH1807-0348', 1, 12683, 0, NULL, NULL, NULL, '2018-07-05 14:37:03', 5, '2018-07-05 14:37:07', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Raccordement groupe froid, pope extraction pour gazometre ( CO&sup2; ) et mise en service groupe froid .<br />\r\n<br />\r\nBL N&deg; 27 du 2 &amp; 3 Juillet 2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(354, '2018-07-10 14:24:35', 'SH1807-0349', 1, 2091, 0, NULL, NULL, NULL, '2018-07-10 16:24:26', 5, '2018-07-10 16:24:29', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'courroies suite &agrave; erreur de votre electricien :', NULL, 0, '', NULL, NULL, NULL, NULL),
(355, '2018-07-12 14:06:00', 'SH1807-0350', 1, 2162, 0, NULL, NULL, NULL, '2018-07-12 16:05:56', 5, '2018-07-12 16:05:59', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Modification tuyauterie pour eviter le gavage en eau du compresseur en releve. La tuyauterie sera vannable et demontable &agrave; chaque depart de compresseurs sur la partie haute pour permettre le demontage de la machine sans arret de production. Un point bas avec une vanne de vidange sera aussi mise en place.<br />\r\n<span style=\"font-size:14px\"><u><strong>Il est necessaire de prevoir une coupure d&#39;air totale d&#39;une demi-journ&eacute;e maximum</strong></u></span><br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(356, '2018-07-16 12:08:57', 'SH1807-0351', 1, 2140, 0, NULL, NULL, NULL, '2018-07-16 14:08:42', 5, '2018-07-16 14:08:45', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L15RS', NULL, 0, '', NULL, NULL, NULL, NULL),
(357, '2018-07-16 12:33:56', 'SH1807-0352', 1, 2161, 0, NULL, NULL, NULL, '2018-07-16 14:33:50', 5, '2018-07-16 14:33:54', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'SIte de romans&nbsp;<br />\r\nMaintenance compresseur MAUGUIERE ME11 &amp; seprateur de condensats&nbsp;<br />\r\nremplacement cartouche filtre reseau :', NULL, 0, '', NULL, NULL, NULL, NULL),
(358, '2018-07-16 12:40:20', 'SH1807-0353', 1, 2161, 0, NULL, NULL, NULL, '2018-07-16 14:40:15', 5, '2018-07-16 14:40:19', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance ROLLAIR 15 N&deg; CAI410726 &agrave; 30910 HRS<br />\r\nRemplacement cartouche reseaux :<br />\r\n<br />\r\nBL N&deg; 34 du 10/07/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(359, '2018-07-16 12:44:33', 'SH1807-0354', 1, 2235, 0, NULL, NULL, NULL, '2018-07-16 14:44:29', 5, '2018-07-16 14:44:32', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L15VS :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(360, '2018-07-16 12:55:40', 'SH1807-0355', 1, 2234, 0, NULL, NULL, NULL, '2018-07-16 14:55:34', 5, '2018-07-16 14:55:38', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L45RS N&deg;CD10005658001', NULL, 0, '', NULL, NULL, NULL, NULL),
(361, '2018-07-16 13:02:48', 'SH1807-0356', 1, 2268, 0, NULL, NULL, NULL, '2018-07-16 15:02:43', 5, '2018-07-16 15:02:46', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L15 N&deg; CD10006861001 &agrave; 46630 HRS<br />\r\n<br />\r\nBL N&deg; 31 du 10/07/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(362, '2018-07-16 13:09:13', 'SH1807-0357', 1, 2295, 0, NULL, NULL, NULL, '2018-07-16 15:09:06', 5, '2018-07-16 15:09:12', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L30&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(363, '2018-07-16 13:14:02', 'SH1807-0358', 1, 2311, 0, NULL, NULL, NULL, '2018-07-16 15:13:44', 5, '2018-07-16 15:13:47', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(364, '2018-07-16 13:28:25', 'SH1807-0359', 1, 7064, 0, NULL, NULL, NULL, '2018-07-16 15:28:19', 5, '2018-07-16 15:28:22', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Fourniture et raccordement en remplacement de votre secheur actuel .<br />\r\n<br />\r\nD&eacute;lai : 4 jours&nbsp;&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(365, '2018-07-17 07:42:07', 'SH1807-0360', 1, 2004, 0, NULL, NULL, NULL, '2018-07-17 09:42:02', 5, '2018-07-17 09:42:05', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance SCROLL Compresseur SLi 3.7KW N&deg;5260008', NULL, 0, '', NULL, NULL, NULL, NULL),
(366, '2018-07-18 12:31:45', 'SH1807-0361', 1, 1990, 0, NULL, NULL, NULL, '2018-07-18 14:31:40', 5, '2018-07-18 14:31:43', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance&nbsp;compresseur L30 :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(367, '2018-07-18 12:38:40', 'SH1807-0362', 1, 2344, 0, NULL, NULL, NULL, '2018-07-18 14:38:35', 5, '2018-07-18 14:38:38', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L11<br />\r\nRemplacement cartouches filtres reseaux<br />\r\nMaintenance separateur de condensats', NULL, 0, '', NULL, NULL, NULL, NULL),
(368, '2018-07-19 08:14:08', 'SH1807-0363', 1, 11435, 0, NULL, NULL, NULL, '2018-07-19 10:14:00', 5, '2018-07-19 10:14:07', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(369, '2018-07-19 08:33:17', 'SH1807-0364', 1, 5741, 0, NULL, NULL, NULL, '2018-07-19 10:33:04', 5, '2018-07-19 10:33:07', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance pour compresseur L75 .<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(370, '2018-07-19 08:38:59', 'SH1807-0365', 1, 2053, 0, NULL, NULL, NULL, '2018-07-19 10:38:36', 5, '2018-07-19 10:38:54', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement seprateur de condensats Kaeser et remplcament seprateur sur compresseur KAESER SK22 ( sous garantie )&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(371, '2018-07-19 08:44:55', 'SH1807-0366', 1, 2056, 0, NULL, NULL, NULL, '2018-07-19 10:44:50', 5, '2018-07-19 10:44:54', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur COMPAIR L11 :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(372, '2018-07-20 07:54:46', 'SH1807-0367', 1, 2062, 0, NULL, NULL, NULL, '2018-07-20 09:54:40', 5, '2018-07-20 09:54:44', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Intervention batiment 1 :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(373, '2018-07-20 08:28:23', 'SH1807-0368', 1, 2011, 0, NULL, NULL, NULL, '2018-07-20 10:28:14', 5, '2018-07-20 10:28:21', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L07 et L07RS :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(374, '2018-07-20 08:44:03', 'SH1807-0369', 1, 2095, 0, NULL, NULL, NULL, '2018-07-20 10:43:57', 5, '2018-07-20 10:44:01', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(375, '2018-07-20 08:56:08', 'SH1807-0370', 1, 2223, 0, NULL, NULL, NULL, '2018-07-20 10:55:57', 5, '2018-07-20 10:56:06', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur&nbsp; RSDK PRO ECN 7.5 7 .5 bars et remplacement cartouche filtre reseau&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(378, '2018-07-23 12:46:03', 'SH1807-0373', 1, 12780, 0, NULL, NULL, NULL, '2018-07-23 14:45:41', 5, '2018-07-23 14:45:58', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Commande pi&eacute;ces d&eacute;tach&eacute;ees Renner :', NULL, 0, '', NULL, NULL, NULL, NULL),
(379, '2019-02-06 14:33:29', 'SH1807-0374', 1, 2001, 0, NULL, NULL, NULL, '2018-07-24 09:03:33', 5, '2018-07-24 09:03:38', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '<p>KAESER SK19 19760-3&nbsp; N&deg; 01813383 de 1998&nbsp; :</p>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 2 nattes filtrantes&nbsp; 710 X 575&nbsp;&nbsp; ref BSA 6.1943.0</p>\r\n\r\n<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1 S&eacute;parateur&nbsp;&nbsp; ref AIP S1P503</p>\r\n\r\n<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 2 cartouches air&nbsp;&nbsp;&nbsp; ref AIP A1F155</p>\r\n\r\n<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1 cartouche huile&nbsp;&nbsp;&nbsp; ref AIP&nbsp; H1H112<br />\r\n<br />\r\nD&eacute;lai : 5 jours &agrave; reception de commande</p>\r\n', NULL, 0, '', NULL, NULL, NULL, NULL),
(380, '2019-02-18 14:40:14', 'SH1807-0375', 1, 6204, 0, NULL, NULL, NULL, '2018-07-26 14:07:19', 5, '2018-07-26 14:07:23', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Suite a votre demande, il n&#39;existe pas de kit joints pour reparation, nous vous proposons le remplacement de l&#39;ensemble.<br />\r\nDelai dispo fournisseur: compter 48h/72h delai de livraison &agrave; reception de commande.', NULL, 0, '', NULL, NULL, NULL, NULL),
(381, '2018-07-27 07:44:21', 'SH1807-0376', 1, 2164, 0, NULL, NULL, NULL, '2018-07-27 09:44:16', 5, '2018-07-27 09:44:20', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement de votre reservoir 500Litres par un reservoir galva 900Litres :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(382, '2018-07-27 08:00:24', 'SH1807-0377', 1, 2054, 0, NULL, NULL, NULL, '2018-07-27 10:00:20', 5, '2018-07-27 10:00:23', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance Kaeser CCSD105 N&deg;2626 &agrave; 8741 HRS<br />\r\n<br />\r\nBL N&deg; 38 du 18/07/2018<br />\r\n<br />\r\nLieu d&#39;intervention<br />\r\nCOOPERATIVE DAUPHINOISE<br />\r\nLA COTE SILO<br />\r\n2460 Chemin de la voie F&eacute;rr&eacute;e<br />\r\n38260 LA COTE SAINT ANDRE', NULL, 0, '', NULL, NULL, NULL, NULL),
(383, '2018-07-27 08:07:02', 'SH1807-0378', 1, 2103, 0, NULL, NULL, NULL, '2018-07-27 10:06:57', 5, '2018-07-27 10:07:00', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L45RS owamat 14&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(384, '2018-12-17 12:35:32', 'SH1807-0379', 1, 9406, 0, NULL, NULL, NULL, '2018-07-30 10:39:07', 5, '2018-07-30 10:39:10', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseurs :&nbsp;<br />\r\n- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u>&nbsp;Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u>&nbsp;effectu&eacute;e<br />\r\n-&nbsp;<u>Pr&ecirc;t GRATUIT&nbsp;</u>d&#39;un compresseur de 0 &agrave; 100 CV&nbsp;<br />\r\n- Audit GRATUIT , ... etc', NULL, 0, '', NULL, NULL, NULL, NULL),
(385, '2018-12-17 12:35:23', 'SH1807-0380', 1, 9406, 0, NULL, NULL, NULL, '2018-07-30 10:39:47', 5, '2018-07-30 10:39:51', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Filtres Kaeser :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(386, '2018-07-30 09:28:36', 'SH1807-0381', 1, 7060, 0, NULL, NULL, NULL, '2018-07-30 11:28:31', 5, '2018-07-30 11:28:34', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance Local technique : Maintenance compresseur SULLAIR TREK30HH &amp; compresseur Silpack 10 et 2 filtres reseaux -<br />\r\nSoufflage et verification des connection du s&eacute;cheur &nbsp;ACT55 .', NULL, 0, '', NULL, NULL, NULL, NULL),
(387, '2018-07-30 12:29:01', 'SH1807-0382', 1, 2285, 0, NULL, NULL, NULL, '2018-07-30 14:28:46', 5, '2018-07-30 14:28:52', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance de vos 2 compresseurs , votre secheur alumine et vos 2 surpresseurs :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(388, '2018-07-30 13:34:23', 'SH1807-0383', 1, 2355, 0, NULL, NULL, NULL, '2018-07-30 15:34:19', 5, '2018-07-30 15:34:22', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur Genesis 7.5 :', NULL, 0, '', NULL, NULL, NULL, NULL),
(389, '2018-07-30 13:53:56', 'SH1807-0384', 1, 2397, 0, NULL, NULL, NULL, '2018-07-30 15:53:46', 5, '2018-07-30 15:53:49', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L07', NULL, 0, '', NULL, NULL, NULL, NULL),
(390, '2019-08-22 07:55:15', 'SH1808-0385', 1, 2175, 0, NULL, NULL, NULL, '2018-08-03 14:10:38', 5, '2018-08-03 14:10:42', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Colle', NULL, 0, '', NULL, NULL, NULL, NULL),
(391, '2018-08-06 08:52:38', 'SH1808-0386', 1, 2239, 0, NULL, NULL, NULL, '2018-08-06 10:52:31', 5, '2018-08-06 10:52:37', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance COmpresseur LUCHARD COMPAIR 6020ELX07BE &agrave; 3457 HRS et filtres reseaux<br />\r\nBL N&deg; 43 du 01/08/2017', NULL, 0, '', NULL, NULL, NULL, NULL),
(392, '2018-08-08 07:09:28', 'SH1808-0387', 1, 2077, 0, NULL, NULL, NULL, '2018-08-08 09:09:20', 5, '2018-08-08 09:09:26', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L22RS', NULL, 0, '', NULL, NULL, NULL, NULL),
(393, '2018-08-08 07:21:36', 'SH1808-0388', 1, 2215, 0, NULL, NULL, NULL, '2018-08-08 09:21:31', 5, '2018-08-08 09:21:34', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L11RS&nbsp;<br />\r\nRemplcament cartouche reseau&nbsp;<br />\r\nMaintenance Separateur de condensats OWAMAT10', NULL, 0, '', NULL, NULL, NULL, NULL),
(394, '2018-08-14 07:45:30', 'SH1808-0389', 1, 2122, 0, NULL, NULL, NULL, '2018-08-14 09:45:25', 5, '2018-08-14 09:45:29', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L75RS N&deg; CD10018699001 &agrave; 16806 HRS<br />\r\n<br />\r\nBL N&deg; 11 du 13/08/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(395, '2018-08-14 07:54:45', 'SH1808-0390', 1, 1981, 0, NULL, NULL, NULL, '2018-08-14 09:54:39', 5, '2018-08-14 09:54:43', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur RS PRO 7.5 N&deg;612032 &agrave; 5127 HRS<br />\r\n<br />\r\nBL N&deg;8 du 08/08/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(396, '2018-08-14 07:57:16', 'SH1808-0391', 1, 2038, 0, NULL, NULL, NULL, '2018-08-14 09:57:11', 5, '2018-08-14 09:57:14', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L07rs N&deg; BA28124001 &agrave; 14356 HRS&nbsp;&nbsp;<br />\r\n<br />\r\nBL N&deg;1 du 04/08/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(397, '2018-08-14 08:03:47', 'SH1808-0392', 1, 2007, 0, NULL, NULL, NULL, '2018-08-14 10:03:42', 5, '2018-08-14 10:03:45', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'INTERVENTION de D&eacute;pannage sur compresseur HV02 N&deg; 502-029339-1408<br />\r\n<br />\r\nBL N&deg;33 du 01/08/2018<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(398, '2018-08-14 08:05:03', 'SH1808-0393', 1, 2053, 0, NULL, NULL, NULL, '2018-08-14 10:04:57', 5, '2018-08-14 10:05:01', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'compresseur 11 kw vitesse fixe avec huile alimentaire', NULL, 0, '', NULL, NULL, NULL, NULL),
(399, '2018-08-14 08:25:30', 'SH1808-0394', 1, 2071, 0, NULL, NULL, NULL, '2018-08-14 10:25:24', 5, '2018-08-14 10:25:28', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance BOGE S15 N&deg;22777 &agrave; 15900 HRS<br />\r\n<br />\r\nBL N&deg; 4 du 06/08/2018<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(400, '2018-08-14 08:38:35', 'SH1808-0395', 1, 6259, 0, NULL, NULL, NULL, '2018-08-14 10:38:28', 5, '2018-08-14 10:38:33', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L11 N&deg; CD10023655001 &agrave; 1865 HRS<br />\r\n<br />\r\nBL n&deg;2 du 03/08/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(401, '2018-08-14 08:48:35', 'SH1808-0396', 1, 2169, 0, NULL, NULL, NULL, '2018-08-14 10:48:29', 5, '2018-08-14 10:48:33', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(402, '2018-08-14 12:15:44', 'SH1808-0397', 1, 12608, 0, NULL, NULL, NULL, '2018-08-14 14:15:40', 5, '2018-08-14 14:15:43', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance RS PRO 7.5', NULL, 0, '', NULL, NULL, NULL, NULL),
(403, '2018-08-14 12:32:58', 'SH1808-0398', 1, 2358, 0, NULL, NULL, NULL, '2018-08-14 14:32:42', 5, '2018-08-14 14:32:46', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance GA90VSD N&deg; AII495069 &agrave; 35197 HRS<br />\r\nRemplacement cartouche filtre reseau<br />\r\nMaintenance GA30 N&deg;ABP716976 &agrave; 15024 HRS<br />\r\n<br />\r\nBL N&deg; 40 &amp; 39 du 08/08/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(404, '2018-08-16 12:49:01', 'SH1808-0399', 1, 2354, 0, NULL, NULL, NULL, '2018-08-14 14:38:26', 5, '2018-08-14 14:38:29', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '2 coffret Meuleuse droite RC7107 - fin de serie', NULL, 0, '', NULL, NULL, NULL, NULL),
(405, '2018-08-14 12:45:36', 'SH1808-0400', 1, 2379, 0, NULL, NULL, NULL, '2018-08-14 14:45:30', 5, '2018-08-14 14:45:34', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L15RS N&deg; CD10024800002 &agrave; 4219 HRS<br />\r\nMaintenance seprateur de condensats owamat 10<br />\r\nRemplacement des cartouches filtres r&eacute;seaux&nbsp;<br />\r\n<br />\r\nBL N&deg;6 du 07/08/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(406, '2018-08-24 08:16:18', 'SH1808-0401', 1, 2163, 0, NULL, NULL, NULL, '2018-08-24 10:16:12', 5, '2018-08-24 10:16:16', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(407, '2019-02-06 14:33:37', 'SH1808-0402', 1, 2001, 0, NULL, NULL, NULL, '2018-08-24 10:22:32', 5, '2018-08-24 10:22:35', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(408, '2018-08-24 08:52:43', 'SH1808-0403', 1, 2007, 0, NULL, NULL, NULL, '2018-08-24 10:52:37', 5, '2018-08-24 10:52:40', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance HV02 N&deg; 502 029339-1408', NULL, 0, '', NULL, NULL, NULL, NULL),
(409, '2018-08-29 08:26:35', 'SH1808-0404', 1, 1990, 0, NULL, NULL, NULL, '2018-08-29 10:26:30', 5, '2018-08-29 10:26:33', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Modification arriv&eacute;e d&#39;eau sanitaire et RIA , r&eacute;f&eacute;ction de la tuyauterie en inox 316L .<br />\r\n<br />\r\n<br />\r\nBl N&deg;18 du 27/08/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(410, '2018-08-29 08:49:28', 'SH1808-0405', 1, 2161, 0, NULL, NULL, NULL, '2018-08-29 10:49:24', 5, '2018-08-29 10:49:27', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance secheur PARKEUR par adsorption :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(411, '2018-08-29 08:59:10', 'SH1808-0406', 1, 2141, 0, NULL, NULL, NULL, '2018-08-29 10:59:06', 5, '2018-08-29 10:59:09', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Intervention compresseur 7.5ch 10 bars &agrave; 479 HRS', NULL, 0, '', NULL, NULL, NULL, NULL),
(412, '2018-08-29 09:13:28', 'SH1808-0407', 1, 2279, 0, NULL, NULL, NULL, '2018-08-29 11:13:23', 5, '2018-08-29 11:13:26', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(413, '2018-08-29 12:48:50', 'SH1808-0408', 1, 2069, 0, NULL, NULL, NULL, '2018-08-29 14:48:41', 5, '2018-08-29 14:48:44', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance cyclon 111', NULL, 0, '', NULL, NULL, NULL, NULL),
(415, '2018-08-29 13:06:38', 'SH1808-0409', 1, 12785, 0, NULL, NULL, NULL, '2018-08-29 15:06:20', 5, '2018-08-29 15:06:24', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(416, '2018-11-21 08:12:24', 'SH1808-0410', 1, 2352, 0, NULL, NULL, NULL, '2018-08-30 09:39:33', 5, '2018-08-30 09:39:37', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'commande de Mr YANG', NULL, 0, '', NULL, NULL, NULL, NULL),
(417, '2018-08-31 08:49:25', 'SH1808-0411', 1, 2054, 0, NULL, NULL, NULL, '2018-08-31 10:49:18', 5, '2018-08-31 10:49:21', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance Compresseur ES8 &agrave; 23713 HRS<br />\r\n<br />\r\nBL N&deg;15 du 23/08/2018<br />\r\n<br />\r\nSite de livraison :&nbsp;<br />\r\nCOOPERATIVE LA DAUPHINOISE<br />\r\nBourg Evescal<br />\r\n73250 SAINT JEAN DE LA PORTE', NULL, 0, '', NULL, NULL, NULL, NULL),
(418, '2018-08-31 09:06:02', 'SH1808-0412', 1, 2054, 0, NULL, NULL, NULL, '2018-08-31 11:05:56', 5, '2018-08-31 11:05:59', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance compresseur SULLAIR w3008:<br />\r\n<br />\r\nSite de VOREPPE&nbsp; ZA Centr alp Rue Louis Neel 38340 VOREPPE', NULL, 0, '', NULL, NULL, NULL, NULL),
(419, '2018-08-31 09:31:21', 'SH1808-0413', 1, 2054, 0, NULL, NULL, NULL, '2018-08-31 11:31:16', 5, '2018-08-31 11:31:19', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Compresseur BEL AIR VRC20F de 1991 N&deg; 0913124 &agrave;&nbsp; HEURES:<br />\r\n<br />\r\nSite COOPERATIVE LA DAUPHINOISE 2460 Chemin de la voie ferree 38260 LA COTE SAINT ANDRE', NULL, 0, '', NULL, NULL, NULL, NULL),
(420, '2018-08-31 09:38:13', 'SH1808-0414', 1, 2054, 0, NULL, NULL, NULL, '2018-08-31 11:38:10', 5, '2018-08-31 11:38:12', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L11&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(421, '2018-08-31 09:41:47', 'SH1808-0415', 1, 2054, 0, NULL, NULL, NULL, '2018-08-31 11:41:42', 5, '2018-08-31 11:41:45', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance SULLAIR WS1508 N&deg; C03-C210029 de 2009 &agrave;&nbsp; HRS<br />\r\n<br />\r\nSite COOPERATIVE LA DAUPHINOISE 2460 Chemin de la voie ferree 38260 LA COTE SAINT ANDRE', NULL, 0, '', NULL, NULL, NULL, NULL),
(422, '2018-09-05 08:32:12', 'SH1809-0416', 1, 2350, 0, NULL, NULL, NULL, '2018-09-05 10:32:05', 5, '2018-09-05 10:32:09', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance Compresseurs ingersollrand :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(423, '2018-09-05 12:10:41', 'SH1809-0417', 1, 1990, 0, NULL, NULL, NULL, '2018-09-05 14:10:36', 5, '2018-09-05 14:10:40', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Suceur &agrave; eau pour aspirateur 160/2', NULL, 0, '', NULL, NULL, NULL, NULL),
(424, '2018-09-10 12:46:58', 'SH1809-0418', 1, 12786, 0, NULL, NULL, NULL, '2018-09-10 14:46:54', 5, '2018-09-10 14:46:58', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Pieces detach&eacute;es pour compresseur SILPACK R477T .<br />\r\n<br />\r\nD&eacute;lai : disponible usine&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(425, '2018-09-12 13:58:50', 'SH1809-0419', 1, 2122, 0, NULL, NULL, NULL, '2018-09-12 15:58:47', 5, '2018-09-12 15:58:50', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'pvc en diametre 32', NULL, 0, '', NULL, NULL, NULL, NULL),
(426, '2020-12-21 10:08:33', 'SH1809-0420', 1, 5741, 0, NULL, NULL, NULL, '2018-09-14 11:36:26', 5, '2018-09-14 11:36:29', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(427, '2018-09-14 12:38:02', 'SH1809-0421', 1, 1988, 0, NULL, NULL, NULL, '2018-09-14 14:37:58', 5, '2018-09-14 14:38:01', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L55RS N&deg; CD10011035001 &agrave; 33220 HRS<br />\r\n<br />\r\nBL N&deg; 10 du 10/09/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(428, '2018-09-14 12:59:50', 'SH1809-0422', 1, 2054, 0, NULL, NULL, NULL, '2018-09-14 14:59:45', 5, '2018-09-14 14:59:48', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance secheur alumine HL01500 , remplcament cartouches filtres reseaux<br />\r\n<br />\r\nN&deg; 33 du 12/09/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(429, '2018-09-14 13:30:22', 'SH1809-0423', 1, 2086, 0, NULL, NULL, NULL, '2018-09-14 15:30:18', 5, '2018-09-14 15:30:21', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L11RS N&deg; BA31759001 &agrave; 17686 HRS<br />\r\n<br />\r\nMaintenance seprateur de condensats OWAMAT 10<br />\r\n<br />\r\nBL N&deg;8 du 07/09/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(430, '2018-09-14 13:35:09', 'SH1809-0424', 1, 2075, 0, NULL, NULL, NULL, '2018-09-14 15:35:05', 5, '2018-09-14 15:35:08', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L07 N&deg; CD10004696001 &agrave; 18613 HRS<br />\r\n<br />\r\nBL N&deg;6 du 06/09/2018&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(431, '2018-09-14 14:02:55', 'SH1809-0425', 1, 9822, 0, NULL, NULL, NULL, '2018-09-14 16:02:51', 5, '2018-09-14 16:02:54', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'changement vanne de purge sur cuve', NULL, 0, '', NULL, NULL, NULL, NULL),
(432, '2018-09-14 14:27:57', 'SH1809-0426', 1, 2321, 0, NULL, NULL, NULL, '2018-09-14 16:27:52', 5, '2018-09-14 16:27:55', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, 'CONTRAT LISE', 'Maintenance L15 N&deg;1002718001 &agrave; 3653 HRS<br />\r\n<br />\r\nBL N&deg;29 du 06/09/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(433, '2018-09-24 13:39:32', 'SH1809-0427', 1, 2054, 0, NULL, NULL, NULL, '2018-09-24 15:39:27', 5, '2018-09-24 15:39:30', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Mise en place d&#39;une purge electropilot&eacute;e sur cuve -<br />\r\n<br />\r\nBL N&deg; 37 du 23/08/2018<br />\r\n<br />\r\nSite : COOPERATIVE LA DAUPHINOISE<br />\r\nSces Bl&eacute; 3 Batiment polyvalent<br />\r\nChemin du pouloux<br />\r\n38270 BEAUREPAIRE', NULL, 0, '', NULL, NULL, NULL, NULL),
(434, '2018-09-24 13:48:48', 'SH1809-0428', 1, 5452, 0, NULL, NULL, NULL, '2018-09-24 15:48:44', 5, '2018-09-24 15:48:47', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L11 N&deg; BA43119001 &agrave; 864 HRS<br />\r\nSuivant contrat liss&eacute;.<br />\r\n<br />\r\nBL N&deg; 42 du 17/09/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(435, '2018-09-25 07:30:09', 'SH1809-0429', 1, 2347, 0, NULL, NULL, NULL, '2018-09-25 09:30:05', 5, '2018-09-25 09:30:09', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'kit de maintenance pour owamat 1 :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(436, '2019-02-11 13:29:29', 'SH1809-0430', 1, 1948, 0, NULL, NULL, NULL, '2018-09-27 14:15:35', 5, '2018-09-27 14:15:37', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(437, '2018-09-27 12:36:35', 'SH1809-0431', 1, 2333, 0, NULL, NULL, NULL, '2018-09-27 14:36:08', 5, '2018-09-27 14:36:11', 5, NULL, NULL, NULL, NULL, '', 2, 1, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Souflettes', NULL, 0, '', NULL, NULL, NULL, NULL),
(438, '2018-09-27 13:02:58', 'SH1809-0432', 1, 2095, 0, NULL, NULL, NULL, '2018-09-27 15:02:53', 5, '2018-09-27 15:02:56', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur Devilbiss SFR15 N&deg; UGO15405G &agrave; 14263 HRS<br />\r\n<br />\r\nBL N&deg; 14 du 14/09/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(439, '2018-09-27 13:13:40', 'SH1809-0433', 1, 2161, 0, NULL, NULL, NULL, '2018-09-27 15:13:36', 5, '2018-09-27 15:13:39', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement de votre&nbsp; secheur par r&eacute;frigeration ( compresseur 22KW )&nbsp; suite &agrave; fuite du gaz et presostat d&eacute;faillant par un s&eacute;cheur par r&eacute;frigeration neuf .<br />\r\n<br />\r\nRemplacement de votre s&eacute;parateur de condensats PURO CC4 par un separateur de condensats traitant un plus gros d&eacute;bit&nbsp; - reconstruction de la conduite d&#39;evacuation d&#39;eau PVC 32 avec 4 coudes&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(440, '2018-09-27 13:37:57', 'SH1809-0434', 1, 2276, 0, NULL, NULL, NULL, '2018-09-27 15:37:52', 5, '2018-09-27 15:37:55', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur Ingersollrand IRN18-10H &agrave; 50220 HRS<br />\r\n<br />\r\nBL N&deg; 18 du 21/09/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(441, '2018-09-28 06:56:30', 'SH1809-0435', 1, 12777, 0, NULL, NULL, NULL, '2018-09-28 08:56:19', 5, '2018-09-28 08:56:22', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, 'verification du secheur pb de ventilo sur l&#39;un des secheurs', 'Maintenance L15rs', NULL, 0, '', NULL, NULL, NULL, NULL),
(442, '2018-09-28 08:25:36', 'SH1809-0436', 1, 2289, 0, NULL, NULL, NULL, '2018-09-28 10:25:32', 5, '2018-09-28 10:25:35', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance l07 N&deg; ba35645002', NULL, 0, '', NULL, NULL, NULL, NULL),
(443, '2018-09-28 08:50:27', 'SH1809-0437', 1, 2347, 0, NULL, NULL, NULL, '2018-09-28 10:50:23', 5, '2018-09-28 10:50:25', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L15RS N&deg;CD10021874001 - 8000 HRS', NULL, 0, '', NULL, NULL, NULL, NULL),
(444, '2018-09-28 09:20:16', 'SH1809-0438', 1, 12667, 0, NULL, NULL, NULL, '2018-09-28 11:20:12', 5, '2018-09-28 11:20:15', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'GX7', NULL, 0, '', NULL, NULL, NULL, NULL),
(445, '2018-11-12 11:03:38', 'SH1809-0439', 1, 2383, 0, NULL, NULL, NULL, '2018-09-28 11:30:10', 5, '2018-09-28 11:30:15', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(446, '2018-09-28 09:40:20', 'SH1809-0440', 1, 2092, 0, NULL, NULL, NULL, '2018-09-28 11:39:50', 5, '2018-09-28 11:39:57', 5, NULL, NULL, NULL, NULL, '', 2, 1, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance RSDB 4 N&deg;541046 &agrave; 3092 HRS<br />\r\n<br />\r\nBL 5 du 06/09/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(447, '2018-09-28 09:42:21', 'SH1809-0441', 1, 2386, 0, NULL, NULL, NULL, '2018-09-28 11:42:17', 5, '2018-09-28 11:42:19', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L11&nbsp;<br />\r\nMaintenance BS61<br />\r\nremplacement cartouche filtre reseau KAESER :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL);
INSERT INTO `llx_expedition` (`rowid`, `tms`, `ref`, `entity`, `fk_soc`, `fk_projet`, `ref_ext`, `ref_int`, `ref_customer`, `date_creation`, `fk_user_author`, `date_valid`, `fk_user_valid`, `date_expedition`, `date_delivery`, `fk_address`, `fk_shipping_method`, `tracking_number`, `fk_statut`, `billed`, `height`, `width`, `size_units`, `size`, `weight_units`, `weight`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_user_modif`, `last_main_doc`) VALUES
(448, '2018-09-28 09:59:01', 'SH1809-0442', 1, 2350, 0, NULL, NULL, NULL, '2018-09-28 11:58:54', 5, '2018-09-28 11:58:58', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Modification du r&eacute;seau inox en diametre 42 :&nbsp;<br />\r\nMise en place d&#39;un T avec une vanne au niveau du coude sur le reseau du compresseur UPS 5 7 - connexion en souple de la vanne au s&eacute;cheur par adsoption &agrave; votre charge<br />\r\nCreation et raccordement d&#39;un bypass sur le nouveau secheur par adsoption compair apres le s&eacute;cheur frigorifique compair existant et raccordement du compresseur Rallye 40 en inox en amont du secheur par adsorption .<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(449, '2018-09-28 10:08:43', 'SH1809-0443', 1, 2123, 0, NULL, NULL, NULL, '2018-09-28 12:08:37', 5, '2018-09-28 12:08:40', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L29RS', NULL, 0, '', NULL, NULL, NULL, NULL),
(450, '2018-10-02 08:31:23', 'SH1810-0444', 1, 2042, 0, NULL, NULL, NULL, '2018-10-02 10:31:18', 5, '2018-10-02 10:31:21', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(451, '2018-10-02 08:38:14', 'SH1810-0445', 1, 2029, 0, NULL, NULL, NULL, '2018-10-02 10:38:09', 5, '2018-10-02 10:38:12', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(452, '2018-10-02 09:13:08', 'SH1810-0446', 1, 2373, 0, NULL, NULL, NULL, '2018-10-02 11:13:02', 5, '2018-10-02 11:13:06', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur Rollair 1400B et Ingersollrand :', NULL, 0, '', NULL, NULL, NULL, NULL),
(453, '2018-10-02 09:52:09', 'SH1810-0447', 1, 2184, 0, NULL, NULL, NULL, '2018-10-02 11:52:03', 5, '2018-10-02 11:52:07', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L45RS ( 2018 ) N&deg; CD10034859001 en huile alimentaire &agrave; 4288 HRS<br />\r\n<br />\r\nBL N&deg; 22 du 01/10/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(454, '2018-10-03 08:12:46', 'SH1810-0448', 1, 1940, 0, NULL, NULL, NULL, '2018-10-03 10:12:38', 5, '2018-10-03 10:12:43', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance de votre compresseur L45RS&nbsp;<br />\r\nRemplacement cartouches filtres r&eacute;seaux&nbsp;<br />\r\nMaintenance s&eacute;parateur de condensats owamat14', NULL, 0, '', NULL, NULL, NULL, NULL),
(455, '2018-10-03 10:24:23', 'SH1810-0449', 1, 2055, 0, NULL, NULL, NULL, '2018-10-03 12:24:15', 5, '2018-10-03 12:24:20', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L18 - en pi&eacute;ces adaptables&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(456, '2018-10-03 13:43:17', 'SH1810-0450', 1, 2247, 0, NULL, NULL, NULL, '2018-10-03 15:43:08', 5, '2018-10-03 15:43:13', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L18RS - owamat 11 et filtre reseaux', NULL, 0, '', NULL, NULL, NULL, NULL),
(457, '2019-07-08 08:46:27', 'SH1810-0451', 1, 11275, 0, NULL, NULL, NULL, '2018-10-09 15:58:07', 5, '2018-10-09 15:58:11', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Filtres pour compresseur devilbiss', NULL, 0, '', NULL, NULL, NULL, NULL),
(458, '2018-10-10 06:55:15', 'SH1810-0452', 1, 12757, 0, NULL, NULL, NULL, '2018-10-10 08:55:06', 5, '2018-10-10 08:55:13', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(460, '2018-10-11 12:26:54', 'SH1810-0454', 1, 2161, 0, NULL, NULL, NULL, '2018-10-11 14:26:49', 5, '2018-10-11 14:26:53', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplcament vanne thermostatique sur compresseur Rollair15 N&deg; CAI410726', NULL, 0, '', NULL, NULL, NULL, NULL),
(461, '2018-10-11 12:28:01', 'SH1810-0455', 1, 2361, 0, NULL, NULL, NULL, '2018-10-11 14:27:55', 5, '2018-10-11 14:27:59', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur CLC507NTP-BD -&nbsp;<br />\r\n<br />\r\nD&eacute;lai : 5 jours\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la joun&eacute;e<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', NULL, 0, '', NULL, NULL, NULL, NULL),
(462, '2018-10-11 12:33:00', 'SH1810-0456', 1, 6521, 0, NULL, NULL, NULL, '2018-10-11 14:32:55', 5, '2018-10-11 14:32:58', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur CLT507NTBD de 2013 Compair :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(463, '2018-10-11 12:34:07', 'SH1810-0457', 1, 2008, 0, NULL, NULL, NULL, '2018-10-11 14:34:00', 5, '2018-10-11 14:34:05', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur 6000 EL', NULL, 0, '', NULL, NULL, NULL, NULL),
(464, '2018-11-09 09:03:47', 'SH1810-0458', 1, 2178, 0, NULL, NULL, NULL, '2018-10-30 09:14:56', 5, '2018-10-30 09:15:02', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(466, '2019-07-08 08:27:34', 'SH1810-0460', 1, 2311, 0, NULL, NULL, NULL, '2018-10-31 08:57:40', 5, '2018-10-31 08:57:55', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Suite &agrave; votre commande du 31/10/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(467, '2018-10-31 11:02:26', 'SH1810-0461', 1, 1983, 0, NULL, NULL, NULL, '2018-10-31 12:02:22', 5, '2018-10-31 12:02:25', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L07RS N&deg; BA2765001 &agrave; 13825 HRS<br />\r\nRemplcament cartouche filtre reseau<br />\r\n<br />\r\nBL N&deg;50 du 10/10/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(468, '2018-10-31 13:13:05', 'SH1810-0462', 1, 2043, 0, NULL, NULL, NULL, '2018-10-31 14:13:00', 5, '2018-10-31 14:13:03', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur Start036 N&deg;349012/2329&nbsp;<br />\r\nremplacement AU cass&eacute;<br />\r\nremplacement cartouche BEA290RB<br />\r\n<br />\r\nBL N&deg; 28 du 05/10/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(469, '2018-10-31 13:16:49', 'SH1810-0463', 1, 2055, 0, NULL, NULL, NULL, '2018-10-31 14:16:44', 5, '2018-10-31 14:16:48', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Fourniture et remplacement pieces defectueuses. Delai d&#39;appro, 3 a 4 jours', NULL, 0, '', NULL, NULL, NULL, NULL),
(470, '2018-10-31 13:31:46', 'SH1810-0464', 1, 12581, 0, NULL, NULL, NULL, '2018-10-31 14:31:41', 5, '2018-10-31 14:31:44', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance GA15+FF &agrave; 5159 HRS<br />\r\n<br />\r\nCommande N&deg; 01978 du 08/10/2018<br />\r\nChantier Centrale enrob&eacute; N&deg; 82000<br />\r\nContact Fabien Laurent', NULL, 0, '', NULL, NULL, NULL, NULL),
(471, '2018-10-31 14:15:40', 'SH1810-0465', 1, 2136, 0, NULL, NULL, NULL, '2018-10-31 15:15:37', 5, '2018-10-31 15:15:40', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance rsdk pro 5.5 N&deg;639018', NULL, 0, '', NULL, NULL, NULL, NULL),
(472, '2018-10-31 14:22:43', 'SH1810-0466', 1, 2122, 0, NULL, NULL, NULL, '2018-10-31 15:22:39', 5, '2018-10-31 15:22:42', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Commande N&deg;37380', NULL, 0, '', NULL, NULL, NULL, NULL),
(473, '2018-10-31 14:37:38', 'SH1810-0467', 1, 12792, 0, NULL, NULL, NULL, '2018-10-31 15:37:33', 5, '2018-10-31 15:37:36', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Fourniture et installation d&#39;un local d&#39;air comprim&eacute;&nbsp;<br />\r\nHors raccordements &eacute;l&eacute;ctriques .&nbsp;<br />\r\nPose d&#39;un sectionneur de proximit&eacute; &agrave; votre charge .<br />\r\n<br />\r\nCommande N&deg; 10 - investissement 2018<br />\r\nvos references JMD/SB/PU<br />\r\n<br />\r\n<strong>lieu des travaux :&nbsp;</strong><br />\r\nEIFFAGE ROUTE ENTRE EST<br />\r\nETABLISSEMENT ISARDROME<br />\r\n101 AVenue du POrt&nbsp;<br />\r\nSalaise sur sanne<br />\r\n38556 SAINT MAURICE L EXIL<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(474, '2018-10-31 15:10:52', 'SH1810-0468', 1, 12788, 0, NULL, NULL, NULL, '2018-10-31 16:10:49', 5, '2018-10-31 16:10:52', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement des 2 cartouches de vos filtres r&eacute;seaux :&nbsp;<br />\r\n&nbsp;\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la joun&eacute;e<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', NULL, 0, '', NULL, NULL, NULL, NULL),
(475, '2019-08-22 07:55:09', 'SH1810-0469', 1, 2175, 0, NULL, NULL, NULL, '2018-10-31 16:15:54', 5, '2018-10-31 16:15:57', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'fourniture d&#39;une soupape', NULL, 0, '', NULL, NULL, NULL, NULL),
(476, '2018-10-31 15:18:08', 'SH1810-0470', 1, 2136, 0, NULL, NULL, NULL, '2018-10-31 16:18:04', 5, '2018-10-31 16:18:08', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(477, '2018-11-06 10:01:04', 'SH1811-0471', 1, 2128, 0, NULL, NULL, NULL, '2018-11-06 11:00:58', 5, '2018-11-06 11:01:02', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L11RS N&deg; BA4491101 &agrave; 3601 HRS sous contrat liss&eacute;<br />\r\net remplacement de 2 cartouches filtres r&eacute;seaux<br />\r\net remplcament kit separateur de condensats<br />\r\nBL N&deg; 10 du 19/10/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(478, '2018-11-06 10:08:13', 'SH1811-0472', 1, 2127, 0, NULL, NULL, NULL, '2018-11-06 11:08:02', 5, '2018-11-06 11:08:10', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance du Compresseur L75SR&agrave; 56348 HRS<br />\r\n<br />\r\nSuivant BL N&deg; ? du 29/10/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(479, '2018-11-06 11:10:09', 'SH1811-0473', 1, 2175, 0, NULL, NULL, NULL, '2018-11-06 12:10:03', 5, '2018-11-06 12:10:06', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(480, '2018-11-06 14:24:36', 'SH1811-0474', 1, 9795, 0, NULL, NULL, NULL, '2018-11-06 15:24:32', 5, '2018-11-06 15:24:36', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Fourniture d&#39;un compresseur &agrave; piston sur cuve 100 Litres et d&#39;une purge temporis&eacute;&nbsp;<br />\r\nFourniture d&#39;un enrouleur de 20 M<br />\r\nHors Raccordement &eacute;l&eacute;ctrique&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(481, '2018-11-07 14:59:34', 'SH1811-0475', 1, 2231, 0, NULL, NULL, NULL, '2018-11-07 15:59:29', 5, '2018-11-07 15:59:32', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Intevention et maintenance sur compresseur L15 N&deg; CD10001593001 &agrave; 10004 HRS<br />\r\n<br />\r\nBL N&deg;36 du 31/10/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(482, '2018-11-08 10:40:35', 'SH1811-0476', 1, 2352, 0, NULL, NULL, NULL, '2018-11-08 11:40:30', 5, '2018-11-08 11:40:33', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L37RS', NULL, 0, '', NULL, NULL, NULL, NULL),
(483, '2018-11-08 13:13:30', 'SH1811-0477', 1, 2350, 0, NULL, NULL, NULL, '2018-11-08 14:13:24', 5, '2018-11-08 14:13:28', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(484, '2018-11-08 13:38:45', 'SH1811-0478', 1, 2406, 0, NULL, NULL, NULL, '2018-11-08 14:38:41', 5, '2018-11-08 14:38:43', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement des 2 diabolos sur secheut CTA DA004 .<br />\r\n<br />\r\nBL N&deg;33 du 26/10/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(485, '2018-11-12 08:09:28', 'SH1811-0479', 1, 2053, 0, NULL, NULL, NULL, '2018-11-12 09:09:23', 5, '2018-11-12 09:09:26', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L18RS N&deg; CD10025396001 &agrave; 7692 HRS<br />\r\nBL N&deg;41 du 09/11/2018<br />\r\net remplacement cuve 500Litres N&deg;92062<br />\r\nBL N&deg;42 du 09/11/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(486, '2018-11-12 08:10:02', 'SH1811-0480', 1, 2064, 0, NULL, NULL, NULL, '2018-11-12 09:09:57', 5, '2018-11-12 09:10:00', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L37 N&deg; CD10008491001 &agrave; 15815 HRS<br />\r\nBL N&deg; 46 du 06/11/2018<br />\r\nInterventiion sur compresseur&nbsp; L80 N&deg; CD10000635001 &agrave; 33659 HRS - ressort clapet cass&eacute;<br />\r\nBL N&deg;47 du 06/11/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(487, '2018-11-12 08:30:07', 'SH1811-0481', 1, 2276, 0, NULL, NULL, NULL, '2018-11-12 09:29:50', 5, '2018-11-12 09:29:56', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L29RS N&deg; CD10015163001 &agrave; 36793 HRS &amp; separateur de condensats beko, filtres reseaux :&nbsp;<br />\r\n<br />\r\nBL N&deg; 40 du 10/11/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(488, '2018-11-13 15:13:20', 'SH1811-0482', 1, 2333, 0, NULL, NULL, NULL, '2018-11-13 16:13:15', 5, '2018-11-13 16:13:18', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Fourniture d&#39;un compresseur 22 Kw vitesse fixe RS PRO 22 - 10 Bars&nbsp; avec r&eacute;chauffeur mont&eacute; d&#39;usine et 1 jeu de filtre suplementaire.<br />\r\nCompresseur Renner garantie 2 ans pi&eacute;ces et main d&#39;oeuvre<br />\r\n<br />\r\nR&eacute;glement en 3 fois :<br />\r\n2300&euro; HT &agrave; la commande&nbsp;<br />\r\n2300 &euro; HT &agrave; 30 Jours<br />\r\n2300 &euro;&nbsp; HT&agrave; 60 jours&nbsp;<br />\r\n<br />\r\nPret d&#39;un compresseur BDS en attendant la reception du compresseur Renner .', NULL, 0, '', NULL, NULL, NULL, NULL),
(489, '2018-11-13 15:15:07', 'SH1811-0483', 1, 2260, 0, NULL, NULL, NULL, '2018-11-13 16:15:02', 5, '2018-11-13 16:15:06', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance de vos compresseurs :&nbsp;<br />\r\n&nbsp;\r\n<p>Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la joun&eacute;e<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', NULL, 0, '', NULL, NULL, NULL, NULL),
(490, '2018-11-13 15:15:32', 'SH1811-0484', 1, 2300, 0, NULL, NULL, NULL, '2018-11-13 16:15:27', 5, '2018-11-13 16:15:30', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance l45 et filtres reseaux et owamat 14', NULL, 0, '', NULL, NULL, NULL, NULL),
(491, '2018-11-13 15:32:47', 'SH1811-0485', 1, 2406, 0, NULL, NULL, NULL, '2018-11-13 16:32:42', 5, '2018-11-13 16:32:45', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance compresseur&nbsp; L18 et filtres reseaux&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(492, '2018-11-15 13:50:52', 'SH1811-0486', 1, 11452, 0, NULL, NULL, NULL, '2018-11-15 14:48:08', 5, '2018-11-15 14:48:11', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Fourniture et pose d&#39;un enrouleur air comprim&eacute;', NULL, 0, '', NULL, NULL, NULL, NULL),
(493, '2018-11-16 11:08:22', 'SH1811-0487', 1, 2234, 0, NULL, NULL, NULL, '2018-11-16 12:08:17', 5, '2018-11-16 12:08:20', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L45RS N&deg;CD10005658001', NULL, 0, '', NULL, NULL, NULL, NULL),
(494, '2018-11-16 11:08:56', 'SH1811-0488', 1, 2268, 0, NULL, NULL, NULL, '2018-11-16 12:08:52', 5, '2018-11-16 12:08:55', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement des moteurs des graisseurs votre compresseur L75RS suite au passage de notre technicien<br />\r\n<br />\r\nD&eacute;lai : 10 jours&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(495, '2018-11-19 09:52:34', 'SH1811-0489', 1, 2174, 0, NULL, NULL, NULL, '2018-11-19 10:52:27', 5, '2018-11-19 10:52:32', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(496, '2018-11-20 08:02:36', 'SH1811-0490', 1, 2218, 0, NULL, NULL, NULL, '2018-11-20 09:02:30', 5, '2018-11-20 09:02:34', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L07 en adaptable', NULL, 0, '', NULL, NULL, NULL, NULL),
(497, '2018-11-20 10:19:58', 'SH1811-0491', 1, 12814, 0, NULL, NULL, NULL, '2018-11-20 11:19:55', 5, '2018-11-20 11:19:58', 5, NULL, '2018-10-31 00:00:00', NULL, 2, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(498, '2018-11-23 14:38:55', 'SH1811-0492', 1, 2235, 0, NULL, NULL, NULL, '2018-11-23 15:38:45', 5, '2018-11-23 15:38:54', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Mise en place, maintenance et raccordement du compresseur L11 en votre possession en lieu et place du compresseur Start :&nbsp;<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(499, '2018-11-23 14:49:42', 'SH1811-0493', 1, 2347, 0, NULL, NULL, NULL, '2018-11-23 15:49:36', 5, '2018-11-23 15:49:40', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'kit 2000Hrs pour compresseur L15', NULL, 0, '', NULL, NULL, NULL, NULL),
(500, '2018-11-26 13:46:20', 'SH1811-0494', 1, 2370, 0, NULL, NULL, NULL, '2018-11-26 14:46:14', 5, '2018-11-26 14:46:18', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur GE10 - remplacement du bulbe thermostatique -', NULL, 0, '', NULL, NULL, NULL, NULL),
(501, '2018-11-27 15:03:25', 'SH1811-0495', 1, 12584, 0, NULL, NULL, NULL, '2018-11-27 16:03:16', 5, '2018-11-27 16:03:21', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Fourniture et raccordement local air comprim&eacute;<br />\r\nConditions commerciales pour les produits RENNER :<br />\r\nLivraison FRANCO<br />\r\nD&eacute;lai sous 2 semaines environ<br />\r\nGarantie compresseur et s&eacute;cheur 2 ans pieces Main d&#39;oeuvre et d&eacute;placement<br />\r\nFabrication : Allemagne', NULL, 0, '', NULL, NULL, NULL, NULL),
(502, '2018-11-29 14:06:29', 'SH1811-0496', 1, 12821, 0, NULL, NULL, NULL, '2018-11-29 15:06:20', 5, '2018-11-29 15:06:26', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur START035 N&deg; 349012/6430 de 2001 :', NULL, 0, '', NULL, NULL, NULL, NULL),
(503, '2018-11-30 08:20:52', 'SH1811-0497', 1, 2076, 0, NULL, NULL, NULL, '2018-11-30 09:20:42', 5, '2018-11-30 09:20:49', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Prolongation reseau d&#39;air comprim&eacute; dans nouveau batiment pour alimentation d&#39;une nouvelle machine .<br />\r\nInstallation d&#39;un cable &eacute;l&eacute;ctrique et d&#39;un cable r&eacute;seau pour alimentation de la nouvelle machine.<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(504, '2018-12-03 09:15:20', 'SH1812-0498', 1, 2215, 0, NULL, NULL, NULL, '2018-12-03 10:15:14', 5, '2018-12-03 10:15:18', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L11RS&nbsp;<br />\r\nRemplcament cartouche reseau&nbsp;<br />\r\nMaintenance Separateur de condensats OWAMAT10', NULL, 0, '', NULL, NULL, NULL, NULL),
(505, '2018-12-03 15:39:02', 'SH1812-0499', 1, 9617, 0, NULL, NULL, NULL, '2018-12-03 16:38:58', 5, '2018-12-03 16:39:02', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(506, '2018-12-05 14:16:07', 'SH1812-0500', 1, 12712, 0, NULL, NULL, NULL, '2018-12-05 15:15:49', 5, '2018-12-05 15:15:52', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Pi&eacute;ces detach&eacute;es pour maintenance compresseur KA6 N&deg; BA40424004 de 2016.<br />\r\nPieces adaptables<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE USINE', NULL, 0, '', NULL, NULL, NULL, NULL),
(507, '2018-12-07 14:40:17', 'SH1812-0501', 1, 5741, 0, NULL, NULL, NULL, '2018-12-07 15:39:52', 5, '2018-12-07 15:39:57', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'delai : 5 jours &agrave; r&eacute;ception de commande', NULL, 0, '', NULL, NULL, NULL, NULL),
(508, '2018-12-07 15:03:29', 'SH1812-0502', 1, 5315, 0, NULL, NULL, NULL, '2018-12-07 16:03:17', 5, '2018-12-07 16:03:24', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Proposition outil pneumatique PROSETXT2 &eacute;quip&eacute;.<br />\r\nLa riveteuse Proset 2500 n&rsquo;est plus commercialis&eacute;e depuis 1 an, elle a &eacute;t&eacute; remplac&eacute;e par la Proset XT2.<br />\r\n<br />\r\nD&eacute;lai : 30 jours', NULL, 0, '', NULL, NULL, NULL, NULL),
(509, '2018-12-10 09:16:30', 'SH1812-0503', 1, 12833, 0, NULL, NULL, NULL, '2018-12-10 10:16:23', 5, '2018-12-10 10:16:28', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(510, '2018-12-10 09:32:45', 'SH1812-0504', 1, 2371, 0, NULL, NULL, NULL, '2018-12-10 10:32:34', 5, '2018-12-10 10:32:43', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L22 et filtres reseaux', NULL, 0, '', NULL, NULL, NULL, NULL),
(511, '2018-12-11 15:14:08', 'SH1812-0505', 1, 6259, 0, NULL, NULL, NULL, '2018-12-11 16:14:01', 5, '2018-12-11 16:14:06', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Pieces d&eacute;tach&eacute;es pour maintenance rallye 040 N&deg;&nbsp;349011/285&nbsp;<br />\r\n<br />\r\nD&eacute;lai : Disponible', NULL, 0, '', NULL, NULL, NULL, NULL),
(512, '2018-12-12 13:08:46', 'SH1812-0506', 1, 2141, 0, NULL, NULL, NULL, '2018-12-12 14:08:42', 5, '2018-12-12 14:08:45', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '<p>Comme convenu lors de notre dernier entretien t&eacute;l&eacute;phonique, nous avons le plaisir de vous transmettre ci-joint notre meilleure offre d&eacute;taill&eacute;e concernant la fourniture suivante.</p>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<h2><span style=\"font-size:12.0pt\">M</span><span style=\"font-size:12.0pt\">at&eacute;riel<strong> </strong></span><strong><u><span style=\"font-size:12.0pt\">rendu Bren, non install&eacute;</span></u></strong><u><span style=\"font-size:12.0pt\">,</span></u></h2>\r\n<strong><u>D&eacute;lai de livraison</u></strong>&nbsp;: <strong>Dispo. Environ</strong> <strong>3 &agrave; 4 jours pour transport</strong>', NULL, 0, '', NULL, NULL, NULL, NULL),
(513, '2018-12-17 09:19:05', 'SH1812-0507', 1, 2391, 0, NULL, NULL, NULL, '2018-12-17 10:18:56', 5, '2018-12-17 10:19:03', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L15 N&deg;CD10007461004 de 2011&nbsp;<br />\r\nseprateur de condensats owamat 10', NULL, 0, '', NULL, NULL, NULL, NULL),
(514, '2018-12-17 09:50:53', 'SH1812-0508', 1, 2162, 0, NULL, NULL, NULL, '2018-12-17 10:50:45', 5, '2018-12-17 10:50:49', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'BEKOMAT 32U VARIO', NULL, 0, '', NULL, NULL, NULL, NULL),
(515, '2018-12-17 14:37:53', 'SH1812-0509', 1, 2407, 0, NULL, NULL, NULL, '2018-12-17 15:37:35', 5, '2018-12-17 15:37:38', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Offre de pric pour la fourniture d&#39;un iconn V2 pour votre compresseur :<br />\r\n<br />\r\nD&eacute;lai: 15 jours &agrave; r&eacute;ception de commande&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(516, '2018-12-20 15:04:58', 'SH1812-0510', 1, 2164, 0, NULL, NULL, NULL, '2018-12-20 16:04:54', 5, '2018-12-20 16:04:58', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'cartouche filtre reseau', NULL, 0, '', NULL, NULL, NULL, NULL),
(517, '2018-12-21 09:43:23', 'SH1812-0511', 1, 12666, 0, NULL, NULL, NULL, '2018-12-21 10:43:17', 5, '2018-12-21 10:43:22', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance UP5-15-8.5', NULL, 0, '', NULL, NULL, NULL, NULL),
(518, '2018-12-21 10:39:46', 'SH1812-0512', 1, 12590, 0, NULL, NULL, NULL, '2018-12-21 11:39:40', 5, '2018-12-21 11:39:44', 5, NULL, '2018-09-30 00:00:00', NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance compresseur et filtres reseaux&nbsp; :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(519, '2019-01-03 08:46:47', 'SH1901-0513', 1, 6086, 0, NULL, NULL, NULL, '2019-01-03 09:46:41', 5, '2019-01-03 09:46:45', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L55Rs', NULL, 0, '', NULL, NULL, NULL, NULL),
(520, '2019-01-03 14:52:26', 'SH1901-0514', 1, 2122, 0, NULL, NULL, NULL, '2019-01-03 15:52:20', 5, '2019-01-03 15:52:24', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L75RS N&deg; CD10018699001 &agrave;&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(521, '2019-01-03 15:06:57', 'SH1901-0515', 1, 1955, 0, NULL, NULL, NULL, '2019-01-03 16:06:52', 5, '2019-01-03 16:06:55', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L07 de 2009 N&deg; CD10000211002 &agrave;&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(522, '2019-01-04 15:14:08', 'SH1901-0516', 1, 2204, 0, NULL, NULL, NULL, '2019-01-04 16:14:04', 5, '2019-01-04 16:14:07', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Contrat Liss&eacute; L22 N&deg;CD10029439002 &agrave;&nbsp; HRS+ owamat11 + filtres reseaux ( RA,RB et CA )&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(523, '2019-01-07 09:51:54', 'SH1901-0517', 1, 2032, 0, NULL, NULL, NULL, '2019-01-07 10:51:50', 5, '2019-01-07 10:51:53', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur :', NULL, 0, '', NULL, NULL, NULL, NULL),
(524, '2019-01-09 09:55:34', 'SH1901-0518', 1, 2124, 0, NULL, NULL, NULL, '2019-01-09 10:55:29', 5, '2019-01-09 10:55:32', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L11<br />\r\n<br />\r\nDate d&#39;intervention mardi 8 Janvier 2019 au matin', NULL, 0, '', NULL, NULL, NULL, NULL),
(525, '2019-01-09 13:50:51', 'SH1901-0519', 1, 11435, 0, NULL, NULL, NULL, '2019-01-09 14:50:47', 5, '2019-01-09 14:50:49', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L30RS N&deg;cd10013952002', NULL, 0, '', NULL, NULL, NULL, NULL),
(526, '2019-01-10 09:32:29', 'SH1901-0520', 1, 2054, 0, NULL, NULL, NULL, '2019-01-10 10:32:24', 5, '2019-01-10 10:32:28', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L26RS N&deg;CD10029231001 &agrave; 2540 HRS<br />\r\n<br />\r\nCommande N&deg; S98119011001<br />\r\n<br />\r\nSite d&#39;intervention:<br />\r\nSces Bl&eacute; 1<br />\r\nChemin du Pouloux<br />\r\n38270 BEAUREPAIRE<br />\r\n<br />\r\nBL N&deg; 19 du 08/01/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(527, '2019-01-10 14:41:05', 'SH1901-0521', 1, 10981, 0, NULL, NULL, NULL, '2019-01-10 15:41:00', 5, '2019-01-10 15:41:03', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Fourniture sonde de tremperature pour compresseur KS5 :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(528, '2019-01-11 10:35:04', 'SH1901-0522', 1, 2383, 0, NULL, NULL, NULL, '2019-01-11 11:34:59', 5, '2019-01-11 11:35:02', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Changement 6 hublots dans les wc et remplcament radiateur &eacute;lectrique vestiaire.<br />\r\n<br />\r\nBL N&deg;17 du 07/10/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(529, '2019-01-14 09:37:44', 'SH1901-0523', 1, 2407, 0, NULL, NULL, NULL, '2019-01-14 10:37:40', 5, '2019-01-14 10:37:44', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Demande du 20/11/2018 Mr LE MAGUET', NULL, 0, '', NULL, NULL, NULL, NULL),
(530, '2019-06-12 13:28:47', 'SH1901-0524', 1, 12666, 0, NULL, NULL, NULL, '2019-01-14 15:09:09', 5, '2019-01-14 15:09:13', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur MAC 3 - site de ST julien Molin molette&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(531, '2019-01-14 14:10:06', 'SH1901-0525', 1, 12666, 0, NULL, NULL, NULL, '2019-01-14 15:09:51', 5, '2019-01-14 15:09:55', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance secheur alumine :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(532, '2019-01-14 15:21:06', 'SH1901-0526', 1, 2073, 0, NULL, NULL, NULL, '2019-01-14 16:21:01', 5, '2019-01-14 16:21:04', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance Hv07', NULL, 0, '', NULL, NULL, NULL, NULL),
(533, '2019-01-16 10:00:15', 'SH1901-0527', 1, 2140, 0, NULL, NULL, NULL, '2019-01-16 11:00:09', 5, '2019-01-16 11:00:13', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L15RS&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(534, '2019-01-16 10:30:34', 'SH1901-0528', 1, 2381, 0, NULL, NULL, NULL, '2019-01-16 11:30:28', 5, '2019-01-16 11:30:32', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance 2 compresseurs + reparation flexible&nbsp;<br />\r\nKA10 &agrave; 7880Hrs<br />\r\nGA11C &agrave; 3648 HRS<br />\r\n<br />\r\nBL N&deg; 23&amp; 24 du 15/01/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(535, '2019-01-17 09:02:11', 'SH1901-0529', 1, 2164, 0, NULL, NULL, NULL, '2019-01-17 10:02:03', 5, '2019-01-17 10:02:08', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(536, '2019-01-18 13:56:02', 'SH1901-0530', 1, 1981, 0, NULL, NULL, NULL, '2019-01-18 14:55:28', 5, '2019-01-18 14:55:39', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Nez pour riveuteuse rodcraft RC6700<br />\r\n<br />\r\nD&eacute;lai : 1 semaine', NULL, 0, '', NULL, NULL, NULL, NULL),
(537, '2019-01-23 09:59:19', 'SH1901-0531', 1, 2184, 0, NULL, NULL, NULL, '2019-01-23 10:59:15', 5, '2019-01-23 10:59:18', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L45RS ( 2018 ) N&deg; CD10034859001 en huile alimentaire &agrave;&nbsp;<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(538, '2019-01-23 10:27:03', 'SH1901-0532', 1, 9617, 0, NULL, NULL, NULL, '2019-01-23 11:26:57', 5, '2019-01-23 11:27:01', 5, NULL, '2019-01-31 00:00:00', NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement de votre reservoir 500Litres accoupl&eacute; &agrave; votre compresseur&nbsp; par un reservoir vertical 500Litres &agrave; cot&eacute; de votre compresseur :&nbsp;\r\n<p>Notre offre comprend :</p>\r\n\r\n<ul>\r\n	<li>D&eacute;pose des accessoires fixer sur la cuve ( flexible , &hellip; etc )</li>\r\n	<li>Bouchonnage des differents orifices</li>\r\n	<li>Remontage et remise en service de la machine</li>\r\n</ul>\r\n<br />\r\nD&eacute;lai : DISPONIBLE USINE ( 48h )', NULL, 0, '', NULL, NULL, NULL, NULL),
(539, '2019-01-23 10:37:23', 'SH1901-0533', 1, 2279, 0, NULL, NULL, NULL, '2019-01-23 11:37:19', 5, '2019-01-23 11:37:22', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(540, '2019-01-23 10:56:46', 'SH1901-0534', 1, 2149, 0, NULL, NULL, NULL, '2019-01-23 11:56:41', 5, '2019-01-23 11:56:44', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L07 Compair', NULL, 0, '', NULL, NULL, NULL, NULL),
(541, '2019-01-29 14:35:58', 'SH1901-0535', 1, 5741, 0, NULL, NULL, '10519', '2019-01-29 15:35:41', 5, '2019-01-29 15:35:56', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'filtres reseaux', NULL, 0, '', NULL, NULL, 5, NULL),
(542, '2019-01-29 14:43:14', 'SH1901-0536', 1, 2247, 0, NULL, NULL, NULL, '2019-01-29 15:43:05', 5, '2019-01-29 15:43:09', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L18rs N&deg; CD100018442001 &agrave; 2411HRS( nouvelle carte )&nbsp;<br />\r\nMaintenance separateur de condensats OWAMT 11<br />\r\nRemplcament cartouche filtre reseau<br />\r\n<br />\r\n<br />\r\nBL N&deg; 35 du 25/01/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(543, '2019-01-30 09:18:14', 'SH1901-0537', 1, 12764, 0, NULL, NULL, NULL, '2019-01-30 10:18:08', 5, '2019-01-30 10:18:11', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(544, '2019-01-30 13:17:38', 'SH1901-0538', 1, 2407, 0, NULL, NULL, NULL, '2019-01-30 14:17:31', 5, '2019-01-30 14:17:36', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L90RS 13BARS de 2017 N&deg; CD10015199001 .<br />\r\nPrix de maintenance pour l&#39;ann&eacute;e 2019 .', NULL, 0, '', NULL, NULL, NULL, NULL),
(545, '2019-01-30 13:38:44', 'SH1901-0539', 1, 6663, 0, NULL, NULL, NULL, '2019-01-30 14:38:39', 5, '2019-01-30 14:38:43', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L37RS N&deg; CD100248873001 &agrave; 3731 HRS<br />\r\nMaintenance seprateur de condensats Owamat 14<br />\r\n<br />\r\nBL N&deg;23 du 24/01/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(546, '2019-02-01 08:51:46', 'SH1902-0540', 1, 2289, 0, NULL, NULL, NULL, '2019-02-01 09:51:40', 5, '2019-02-01 09:51:44', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'S&eacute;cheur par r&eacute;frigeration OMI ref ED144 debit 144m3/h.<br />\r\n<br />\r\n<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(547, '2019-02-01 15:18:38', 'SH1902-0541', 1, 1948, 0, NULL, NULL, NULL, '2019-02-01 16:18:21', 5, '2019-02-01 16:18:25', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(548, '2019-02-04 09:51:51', 'SH1902-0542', 1, 2181, 0, NULL, NULL, NULL, '2019-02-04 10:51:46', 5, '2019-02-04 10:51:49', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'huile pour hydrovanne HV02', NULL, 0, '', NULL, NULL, NULL, NULL),
(549, '2019-02-04 09:56:59', 'SH1902-0543', 1, 2261, 0, NULL, NULL, NULL, '2019-02-04 10:56:52', 5, '2019-02-04 10:56:56', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Mise en place d&#39;un r&eacute;seau d&#39;air comprim&eacute; pour alimenter le bars articul&eacute;&nbsp;<br />\r\nRepiquage sur la ponceuse &agrave; bande&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(550, '2019-02-04 09:59:13', 'SH1902-0544', 1, 2261, 0, NULL, NULL, NULL, '2019-02-04 10:58:57', 5, '2019-02-04 10:59:08', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance HV02 et maco :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(551, '2019-02-04 10:10:39', 'SH1902-0545', 1, 6663, 0, NULL, NULL, NULL, '2019-02-04 11:10:30', 5, '2019-02-04 11:10:36', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L18 N&deg;100011405/0154 &agrave; 16870 HEURES<br />\r\nRemplacement cartouches filtres reseaux&nbsp;<br />\r\n<br />\r\nBL N&deg;27 du 01/02/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(552, '2019-02-04 13:26:42', 'SH1902-0546', 1, 10268, 0, NULL, NULL, NULL, '2019-02-04 14:26:33', 5, '2019-02-04 14:26:40', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur GA7 N&deg;AII124221 de 1999<br />\r\n<br />\r\nDate d&#39;intervention : le 17 ou 22 Janvier 2019 horaires : 11h30 &agrave; 13h30<br />\r\n&nbsp;\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la joun&eacute;e<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', NULL, 0, '', NULL, NULL, NULL, NULL),
(553, '2019-02-05 09:48:11', 'SH1902-0547', 1, 1955, 0, NULL, NULL, NULL, '2019-02-05 10:48:05', 5, '2019-02-05 10:48:09', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '<h1>Chauffage Radiant Infrarouge Electrique Sovelor IRC 1500 CN</h1>\r\n<br />\r\n1500 W - Noir - IPX5', NULL, 0, '', NULL, NULL, NULL, NULL),
(554, '2019-02-11 13:26:32', 'SH1902-0548', 1, 5137, 0, NULL, NULL, NULL, '2019-02-05 11:58:59', 5, '2019-02-05 11:59:03', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '<h1>Sovelor - Chauffage air puls&eacute; portable &eacute;lectrique 230V~1 50 Hz - C3</h1>\r\n', NULL, 0, '', NULL, NULL, NULL, NULL),
(555, '2019-02-06 13:37:03', 'SH1902-0549', 1, 2153, 0, NULL, NULL, NULL, '2019-02-06 14:36:54', 5, '2019-02-06 14:36:59', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance l15RS &agrave; 11241 HRS<br />\r\n<br />\r\nBL N&deg; 23 du 27/02/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(556, '2019-02-06 13:40:28', 'SH1902-0550', 1, 2153, 0, NULL, NULL, NULL, '2019-02-06 14:40:21', 5, '2019-02-06 14:40:25', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur RENNER RSDK PRO3 13 BARS N&deg;707076 &agrave; 2727HRS<br />\r\n<br />\r\nBL N&deg;29 du 04/02/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(557, '2019-02-06 13:43:52', 'SH1902-0551', 1, 2313, 0, NULL, NULL, NULL, '2019-02-06 14:43:39', 5, '2019-02-06 14:43:44', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L07RS et filtre reseau : an adaptable hors garantie', NULL, 0, '', NULL, NULL, NULL, NULL),
(558, '2019-02-06 13:46:43', 'SH1902-0552', 1, 2178, 0, NULL, NULL, NULL, '2019-02-06 14:46:37', 5, '2019-02-06 14:46:41', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L55 N&deg; CD10008941001 &agrave; 21 353 HRS +&nbsp; maintenance separateur de condensats<br />\r\n<br />\r\nBL N&deg;43 du 04/02/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(559, '2019-02-06 13:59:07', 'SH1902-0553', 1, 2268, 0, NULL, NULL, NULL, '2019-02-06 14:59:00', 5, '2019-02-06 14:59:05', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L15 N&deg; CD10006861001 &agrave;&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(560, '2019-02-13 09:00:20', 'SH1902-0554', 1, 2033, 0, NULL, NULL, NULL, '2019-02-13 09:59:04', 5, '2019-02-13 09:59:09', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur GA30VSD et remplcament cartouche filtre reseau :<br />\r\nSite de Guilherand Granges ;', NULL, 0, '', NULL, NULL, NULL, NULL),
(561, '2019-02-13 09:04:03', 'SH1902-0555', 1, 2029, 0, NULL, NULL, NULL, '2019-02-13 10:03:58', 5, '2019-02-13 10:04:02', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L11 N&deg; 100014090161 &agrave; 35206 HRS<br />\r\nMaintenance seprateur de condensats Owamat 10<br />\r\n<br />\r\nBL N&deg;33 du 08/02/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(562, '2019-02-13 14:16:55', 'SH1902-0556', 1, 2102, 0, NULL, NULL, NULL, '2019-02-13 15:16:51', 5, '2019-02-13 15:16:54', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L07RS', NULL, 0, '', NULL, NULL, NULL, NULL),
(563, '2019-05-06 07:30:01', 'SH1902-0557', 1, 6877, 0, NULL, NULL, NULL, '2019-02-13 15:34:53', 5, '2019-02-13 15:34:57', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Pi&eacute;ces d&eacute;tach&eacute;es pour ROLLAIR 750AE N&deg; 231920 type 150197B<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE', NULL, 0, '', NULL, NULL, NULL, NULL),
(564, '2019-02-15 08:42:39', 'SH1902-0558', 1, 2347, 0, NULL, NULL, NULL, '2019-02-15 09:42:31', 5, '2019-02-15 09:42:35', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'kit 2000Hrs pour compresseur L15', NULL, 0, '', NULL, NULL, NULL, NULL),
(565, '2019-02-15 08:55:27', 'SH1902-0559', 1, 2407, 0, NULL, NULL, NULL, '2019-02-15 09:55:19', 5, '2019-02-15 09:55:23', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'tube polyamide calibr&eacute; rilsan avec boite carton d&eacute;vidoir&nbsp;<br />\r\n5 coudes 90&deg; egaux raccords instantan&eacute;s laiton nickel&eacute;<br />\r\n5 unions droit &eacute;gales&nbsp;raccords instantan&eacute;s laiton nickel&eacute;', NULL, 0, '', NULL, NULL, NULL, NULL),
(566, '2019-02-15 10:30:43', 'SH1902-0560', 1, 2331, 0, NULL, NULL, NULL, '2019-02-15 11:30:35', 5, '2019-02-15 11:30:40', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur GA22 :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(567, '2019-02-19 08:40:03', 'SH1902-0561', 1, 2268, 0, NULL, NULL, NULL, '2019-02-19 09:39:58', 5, '2019-02-19 09:40:02', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur&nbsp; L75 RS N&deg; CD10003783001 avec huile alimentaire N&deg; 102220468 &agrave; 35646HRS<br />\r\nMaintenance cartouches 3 filtres reseaux .<br />\r\n<br />\r\nBL N&deg;28 du 01/02/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(568, '2019-02-19 08:49:40', 'SH1902-0562', 1, 2350, 0, NULL, NULL, NULL, '2019-02-19 09:49:34', 5, '2019-02-19 09:49:38', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance Compresseur compair L45RS N&deg;CD10015054001 &agrave; 25769 HRS et&nbsp; remplacement du boitier de r&eacute;gulation.<br />\r\n<br />\r\nBL N&deg; 32 du 08/02/2019<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(569, '2019-02-20 09:51:00', 'SH1902-0563', 1, 12594, 0, NULL, NULL, NULL, '2019-02-20 10:50:41', 5, '2019-02-20 10:50:59', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement de la vanne de pression minimum de votre compresseur WS1100, suite au passage de notre technicien celui ci &agrave; d&eacute;tecter une irr&eacute;gularit&eacute; au niveau de la vanne de pression minimum .<br />\r\n<br />\r\nNous vous proposons d&#39;effectuer cette intervention en m&ecirc;me temps que la maintenance de votre compresseur afin de diminuer les couts de transport . Cette offre n&#39;inclue pas le d&eacute;placement .&nbsp;<br />\r\n<br />\r\nD&eacute;lai : 4 semaine &agrave; reception de commande&nbsp;<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(570, '2019-02-22 14:31:48', 'SH1902-0564', 1, 2053, 0, NULL, NULL, NULL, '2019-02-22 15:31:11', 5, '2019-02-22 15:31:16', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'tuyau caoutchouc SBR&nbsp; outillair -20&deg;C &agrave; +70&deg;C', NULL, 0, '', NULL, NULL, NULL, NULL),
(571, '2019-02-22 14:34:36', 'SH1902-0565', 1, 2396, 0, NULL, NULL, NULL, '2019-02-22 15:34:26', 5, '2019-02-22 15:34:31', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(572, '2019-02-27 08:30:05', 'SH1902-0566', 1, 2234, 0, NULL, NULL, NULL, '2019-02-27 09:30:00', 5, '2019-02-27 09:30:04', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L45RS N&deg;CD10005658001', NULL, 0, '', NULL, NULL, NULL, NULL),
(573, '2019-02-27 08:51:19', 'SH1902-0567', 1, 10268, 0, NULL, NULL, NULL, '2019-02-27 09:51:11', 5, '2019-02-27 09:51:15', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'remplacement purge temporis&eacute;e sur votre reservoir galva&nbsp;<br />\r\n<br />\r\n( cette offre ne comprend pas le d&eacute;placement &agrave; effectuer en m&ecirc;me temps qu&#39;un autre intervention )&nbsp;<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE', NULL, 0, '', NULL, NULL, NULL, NULL),
(574, '2019-02-27 15:06:56', 'SH1902-0568', 1, 12683, 0, NULL, NULL, NULL, '2019-02-27 16:06:33', 5, '2019-02-27 16:06:39', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Travaux :<br />\r\nEau de lavage<br />\r\nCO&sup2; haut naturel<br />\r\nCO&sup2;industriel<br />\r\nCuve de lavage + pompe', NULL, 0, '', NULL, NULL, NULL, NULL),
(575, '2019-02-28 09:51:55', 'SH1902-0569', 1, 2153, 0, NULL, NULL, NULL, '2019-02-28 10:51:49', 5, '2019-02-28 10:51:53', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Intervention sur compresseur RENNER RSDK PRO 3 N&deg; 707076 - Fuite d&#39;huile sur le tuyau de r&eacute;aspiration d&#39;huile - reffection du tuyau<br />\r\n<br />\r\nBL N&deg; 40 du 27/02/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(576, '2019-02-28 10:03:20', 'SH1902-0570', 1, 12777, 0, NULL, NULL, NULL, '2019-02-28 11:03:04', 5, '2019-02-28 11:03:11', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L11RS , filtres reseaux et separateur de condensats ainsi que r&eacute;paration du r&eacute;seau coup&eacute; suite &agrave; l&#39;intervention de votre societe .', NULL, 0, '', NULL, NULL, NULL, NULL),
(577, '2019-03-01 09:36:18', 'SH1903-0571', 1, 2407, 0, NULL, NULL, NULL, '2019-03-01 10:36:13', 5, '2019-03-01 10:36:17', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance de vos 2 compresseurs : 2 compresseurs L22S - Maintenance 4000Heures - offre hors pi&eacute;ces d&eacute;tach&eacute;es d&eacute;j&agrave; en votre possession .<br />\r\nMaintenance seprateur de condensats<br />\r\net remplacement de vos cartouches de&nbsp; vos 4&nbsp; filtres r&eacute;seaux fournitures inclus .<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(578, '2019-05-22 09:56:21', 'SH1903-0572', 1, 2102, 0, NULL, NULL, 'Antoine dde de prix', '2019-03-04 14:36:59', 5, '2019-03-04 14:37:07', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, 'rouget', 0, '', NULL, NULL, NULL, NULL),
(579, '2019-03-05 15:36:30', 'SH1903-0573', 1, 9822, 0, NULL, NULL, NULL, '2019-03-05 16:36:25', 5, '2019-03-05 16:36:29', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L18RS', NULL, 0, '', NULL, NULL, NULL, NULL),
(580, '2019-03-05 15:42:58', 'SH1903-0574', 1, 2022, 0, NULL, NULL, NULL, '2019-03-05 16:42:52', 5, '2019-03-05 16:42:56', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur Rolalir 1400&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(581, '2019-03-12 13:42:52', 'SH1903-0575', 1, 2001, 0, NULL, NULL, NULL, '2019-03-06 14:42:08', 5, '2019-03-06 14:42:12', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(582, '2019-03-07 10:00:38', 'SH1903-0576', 1, 2221, 0, NULL, NULL, NULL, '2019-03-07 11:00:32', 5, '2019-03-07 11:00:36', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur RS PRO 7.5 13 BARS', NULL, 0, '', NULL, NULL, NULL, NULL),
(583, '2019-03-07 10:20:08', 'SH1903-0577', 1, 2150, 0, NULL, NULL, NULL, '2019-03-07 11:20:01', 5, '2019-03-07 11:20:06', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L04 N&deg; ba35401001', NULL, 0, '', NULL, NULL, NULL, NULL),
(584, '2019-03-07 10:26:09', 'SH1903-0578', 1, 2265, 0, NULL, NULL, NULL, '2019-03-07 11:26:01', 5, '2019-03-07 11:26:06', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL);
INSERT INTO `llx_expedition` (`rowid`, `tms`, `ref`, `entity`, `fk_soc`, `fk_projet`, `ref_ext`, `ref_int`, `ref_customer`, `date_creation`, `fk_user_author`, `date_valid`, `fk_user_valid`, `date_expedition`, `date_delivery`, `fk_address`, `fk_shipping_method`, `tracking_number`, `fk_statut`, `billed`, `height`, `width`, `size_units`, `size`, `weight_units`, `weight`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_user_modif`, `last_main_doc`) VALUES
(585, '2019-03-07 10:34:22', 'SH1903-0579', 1, 2286, 0, NULL, NULL, 'L15rs', '2019-03-07 11:34:11', 5, '2019-03-07 11:34:19', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance compresseur L15RS N&deg; CD10016180001 &agrave; 8616 HRS<br />\r\nRemplacement cartouche filtre r&eacute;seau<br />\r\n<br />\r\nBL N&deg;50 du 05/03/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(586, '2019-03-07 10:45:44', 'SH1903-0580', 1, 2297, 0, NULL, NULL, NULL, '2019-03-07 11:45:37', 5, '2019-03-07 11:45:41', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L11 &agrave; 18998 HRS<br />\r\n<br />\r\nBL N&deg;47 du 04/03/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(587, '2019-03-11 08:59:54', 'SH1903-0581', 1, 2062, 0, NULL, NULL, NULL, '2019-03-11 09:59:48', 5, '2019-03-11 09:59:52', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Mise en place d&#39;une purge temporis&eacute;e sur votre reservoir .<br />\r\n<br />\r\nCette offre n&#39;inclut pas le deplacement - les travaux seront r&eacute;alis&eacute;s en m&ecirc;me temps que la maintenance des compresseurs .', NULL, 0, '', NULL, NULL, NULL, NULL),
(588, '2019-03-11 09:14:20', 'SH1903-0582', 1, 2062, 0, NULL, NULL, NULL, '2019-03-11 10:13:57', 5, '2019-03-11 10:14:04', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenances 3 compresseurs L26RS et differents filtres r&eacute;seaux :&nbsp;<br />\r\nL26RS N&deg; CD10015212001 &agrave;&nbsp; &nbsp;HRS<br />\r\nL26RS N&deg; CD10021087002 &agrave;&nbsp; HRS<br />\r\nL26RS N&deg; CD10027118001 &agrave;&nbsp; HRS<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(589, '2019-03-11 14:26:16', 'SH1903-0583', 1, 12592, 0, NULL, NULL, 'Maintenance Compresseur', '2019-03-11 15:26:09', 5, '2019-03-11 15:26:14', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur&nbsp; RSDK PRO ECN 7.5&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(590, '2019-03-13 08:34:15', 'SH1903-0584', 1, 12594, 0, NULL, NULL, NULL, '2019-03-13 09:34:07', 5, '2019-03-13 09:34:12', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'MAINTENANCE COMPRESSEUR sullair ws1100 et filtres reseaux', NULL, 0, '', NULL, NULL, NULL, NULL),
(591, '2019-03-13 14:09:24', 'SH1903-0585', 1, 2283, 0, NULL, NULL, NULL, '2019-03-13 15:09:12', 5, '2019-03-13 15:09:22', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'remplacement media filtrants + maintenance compresseur piston', NULL, 0, '', NULL, NULL, NULL, NULL),
(592, '2019-03-14 13:17:45', 'SH1903-0586', 1, 1980, 0, NULL, NULL, NULL, '2019-03-14 14:17:39', 5, '2019-03-14 14:17:42', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur RS pro 5.5 7.5B', NULL, 0, '', NULL, NULL, NULL, NULL),
(593, '2019-03-14 14:05:13', 'SH1903-0587', 1, 2036, 0, NULL, NULL, NULL, '2019-03-14 15:05:08', 5, '2019-03-14 15:05:11', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance rs pro 4', NULL, 0, '', NULL, NULL, NULL, NULL),
(594, '2019-03-14 15:27:29', 'SH1903-0588', 1, 2276, 0, NULL, NULL, NULL, '2019-03-14 16:27:24', 5, '2019-03-14 16:27:28', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Intervention suite &agrave; defaut temperature sur compresseur L29RS N&deg; CD10015163001 &agrave; 39741 HRS<br />\r\n<br />\r\nBL N&deg; 23 du 12/03/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(595, '2019-03-14 15:31:00', 'SH1903-0589', 1, 2331, 0, NULL, NULL, NULL, '2019-03-14 16:30:55', 5, '2019-03-14 16:30:59', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur GA22 :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(596, '2019-03-15 08:35:12', 'SH1903-0590', 1, 2352, 0, NULL, NULL, NULL, '2019-03-15 09:35:00', 5, '2019-03-15 09:35:08', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Version 1/2 bouclage air comprim&eacute; ( zone 1 seulement )&nbsp;<br />\r\nR&eacute;alisation d&#39;un reseau en sertinox diametre 42 et 22 , 3 vannesd&#39;isolement , 2 descentes, 1 attentes pour nouvelles machines .<br />\r\nSuivant devis et sch&eacute;ma de principe du 26/09/2018<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(597, '2019-03-15 09:01:45', 'SH1903-0591', 1, 12794, 0, NULL, NULL, NULL, '2019-03-15 10:01:40', 5, '2019-03-15 10:01:43', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance genesis ge1510&nbsp;<br />\r\nsite beaurepaire', NULL, 0, '', NULL, NULL, NULL, NULL),
(598, '2019-03-18 09:28:25', 'SH1903-0592', 1, 1940, 0, NULL, NULL, NULL, '2019-03-18 10:28:19', 5, '2019-03-18 10:28:23', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance de votre compresseur L45RS&nbsp;<br />\r\n<br />\r\nMaintenance s&eacute;parateur de condensats owamat14', NULL, 0, '', NULL, NULL, NULL, NULL),
(599, '2019-03-18 11:06:02', 'SH1903-0593', 1, 2103, 0, NULL, NULL, NULL, '2019-03-18 12:05:56', 5, '2019-03-18 12:06:00', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L45RS owamat 14&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(600, '2019-03-18 14:58:18', 'SH1903-0594', 1, 2127, 0, NULL, NULL, 'CDA-FCA1903019', '2019-03-18 15:56:35', 5, '2019-03-18 15:57:15', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance du Compresseur L75SR&agrave; 58767 HRS<br />\r\n<br />\r\nBL N&deg;1 du 15/03/2018<br />\r\n<br />\r\nCommande N&deg;CDA-FCA1903019<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(601, '2019-03-18 15:21:48', 'SH1903-0595', 1, 6086, 0, NULL, NULL, 'maintenance compresseurs', '2019-03-18 16:21:39', 5, '2019-03-18 16:21:44', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance de vos 2 compresseur KAESER SK26 &amp; SK22 ainsi que le remplcament des cartouches de vos filtres reseaux FE48 &amp; FB48 .<br />\r\n&nbsp;\r\n<p>Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e</p>\r\n', NULL, 0, '', NULL, NULL, NULL, NULL),
(602, '2019-03-18 15:33:53', 'SH1903-0596', 1, 2157, 0, NULL, NULL, 'enrouleur 15m diam 16', '2019-03-18 16:33:47', 5, '2019-03-18 16:33:51', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Fourniture de deux Enrouleurs pour eau .', NULL, 0, '', NULL, NULL, NULL, NULL),
(603, '2019-03-20 08:50:16', 'SH1903-0597', 1, 2284, 0, NULL, NULL, NULL, '2019-03-20 09:50:09', 5, '2019-03-20 09:50:14', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance l18RS N&deg; CD10009205002 &agrave; 25060 HRS<br />\r\nRemplacement cartouche filtres reseau<br />\r\net Maintenance separateur de condensats<br />\r\n<br />\r\nBL N&deg;29 du 15/03/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(604, '2019-03-22 10:29:21', 'SH1903-0598', 1, 12581, 0, NULL, NULL, NULL, '2019-03-22 11:29:14', 5, '2019-03-22 11:29:18', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'filtre a air pour compresseur GA15+FF', NULL, 0, '', NULL, NULL, NULL, NULL),
(605, '2019-03-25 13:13:51', 'SH1903-0599', 1, 10173, 0, NULL, NULL, 'Broche Pneumatique', '2019-03-25 14:13:47', 5, '2019-03-25 14:13:51', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Broche pour &eacute;bavureuse pneumatique&nbsp;<br />\r\nR&eacute;f&eacute;rence ES 350 ER qui remplace la ES 450 ER<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(606, '2019-03-25 13:40:06', 'SH1903-0600', 1, 2064, 0, NULL, NULL, NULL, '2019-03-25 14:40:00', 5, '2019-03-25 14:40:03', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L37 N&deg; CD10001720002 &agrave; 24594 HRS<br />\r\nRemplacement cartouches r&eacute;seaux<br />\r\n<br />\r\nBL N&deg;6 du 23/03/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(607, '2019-03-25 14:02:34', 'SH1903-0601', 1, 2053, 0, NULL, NULL, 'tirage inox diam 28', '2019-03-25 15:01:44', 5, '2019-03-25 15:01:48', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Creation de deux reseaux inox diametre 28 d&#39;environ 25 metres chacun.&nbsp;<br />\r\nTravail &agrave; l&#39;&eacute;chelle<br />\r\n1 Journ&eacute;e 2 Techniciens&nbsp;<br />\r\nUtilisation de vos flexibles pour raccordement en souple&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(608, '2019-03-25 14:11:27', 'SH1903-0602', 1, 2053, 0, NULL, NULL, 'L18rs', '2019-03-25 15:11:22', 5, '2019-03-25 15:11:25', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L18RS N&deg; CD10025596001 &agrave; 10307 HRS - contrat liss&eacute;<br />\r\nRemplacement m&eacute;dia filtrant<br />\r\n<br />\r\nBL N&deg;5 du 22/03/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(609, '2019-03-26 09:49:03', 'SH1903-0603', 1, 2273, 0, NULL, NULL, NULL, '2019-03-26 10:48:54', 5, '2019-03-26 10:48:58', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance modulos 25 compresseur et filtres reseaux&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(610, '2019-03-27 09:00:57', 'SH1903-0604', 1, 2338, 0, NULL, NULL, NULL, '2019-03-27 10:00:49', 5, '2019-03-27 10:00:54', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L07RS en FULL SERVICE et MAINTENACE ROLLAIR', NULL, 0, '', NULL, NULL, NULL, NULL),
(611, '2019-03-28 08:53:09', 'SH1903-0605', 1, 2011, 0, NULL, NULL, 'l07rs maintenance', '2019-03-28 09:53:04', 5, '2019-03-28 09:53:08', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur&nbsp; L07RS :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(612, '2019-04-01 08:42:49', 'SH1904-0606', 1, 2117, 0, NULL, NULL, NULL, '2019-04-01 10:42:42', 5, '2019-04-01 10:42:46', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L04 et filtre reseau\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la joun&eacute;e<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', NULL, 0, '', NULL, NULL, NULL, NULL),
(613, '2019-04-01 09:19:56', 'SH1904-0607', 1, 2086, 0, NULL, NULL, NULL, '2019-04-01 11:19:50', 5, '2019-04-01 11:19:53', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L11RS N&deg; BA31759001 &agrave;&nbsp; HRS<br />\r\n<br />\r\nMaintenance seprateur de condensats OWAMAT 10<br />\r\n<br />\r\nBL N&deg; du', NULL, 0, '', NULL, NULL, NULL, NULL),
(614, '2019-09-13 08:38:17', 'SH1904-0608', 1, 5741, 0, NULL, NULL, NULL, '2019-04-04 15:08:30', 5, '2019-04-04 15:08:34', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '<p><span style=\"font-size:12.0pt\"><span style=\"color:black\">1 s&eacute;parateur d&rsquo;huile ainsi que </span></span></p>\r\n\r\n<p><span style=\"font-size:12.0pt\"><span style=\"color:black\">1 filtre a air </span></span></p>\r\n\r\n<p><span style=\"font-size:12.0pt\"><span style=\"color:black\">&nbsp;Pour un compresseur REGATTA 141&nbsp;&nbsp; </span></span></p>\r\n', NULL, 0, '', NULL, NULL, NULL, NULL),
(615, '2019-08-06 14:24:50', 'SH1904-0609', 1, 2350, 0, NULL, NULL, NULL, '2019-04-08 09:23:58', 5, '2019-04-08 09:24:07', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'soupape 3/4 - 9 bars', NULL, 0, '', NULL, NULL, NULL, NULL),
(616, '2019-04-11 07:26:14', 'SH1904-0610', 1, 2123, 0, NULL, NULL, 'autoreell', '2019-04-11 09:25:57', 5, '2019-04-11 09:26:02', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Enrouleur air comprim&eacute;<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE ATELIER', NULL, 0, '', NULL, NULL, NULL, NULL),
(617, '2019-04-11 08:45:46', 'SH1904-0611', 1, 2033, 0, NULL, NULL, 'Maintenance du L26 RS', '2019-04-11 10:45:40', 5, '2019-04-11 10:45:44', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L26RS N&deg; CD10020872001', NULL, 0, '', NULL, NULL, NULL, NULL),
(618, '2019-04-16 08:02:17', 'SH1904-0612', 1, 2184, 0, NULL, NULL, NULL, '2019-04-16 10:02:12', 5, '2019-04-16 10:02:16', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L45RS ( 2018 ) N&deg; CD10034859001 en huile alimentaire &agrave;&nbsp; HRS<br />\r\n<br />\r\nRemplacement cartouche filtre r&eacute;seau&nbsp;<br />\r\n<br />\r\nMaintenance seprateur de condensats OWAMAT 14<br />\r\n<br />\r\nBL N&deg;<br />\r\n<br />\r\nCommande N&deg;<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(619, '2019-04-16 08:40:37', 'SH1904-0613', 1, 2101, 0, NULL, NULL, 'Richard Burcet', '2019-04-16 10:40:32', 5, '2019-04-16 10:40:35', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'modification raccordement START 025 pour cloisonnement', NULL, 0, '', NULL, NULL, NULL, NULL),
(621, '2019-04-23 08:31:39', 'SH1904-0615', 1, 1996, 0, NULL, NULL, NULL, '2019-04-23 09:55:58', 5, '2019-04-23 10:31:37', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L18 N&deg;100008030-0334 &agrave; 30400 Hrs<br />\r\n<br />\r\nBL N&deg;16 du 16/04/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(622, '2019-04-23 07:56:05', 'SH1904-0614', 1, 1996, 0, NULL, NULL, NULL, '2019-04-23 09:55:58', 5, '2019-04-23 09:56:02', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L18 N&deg;100008030-0334 &agrave; 30400 Hrs<br />\r\n<br />\r\nBL N&deg;16 du 16/04/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(623, '2019-04-23 08:53:24', 'SH1904-0616', 1, 12763, 0, NULL, NULL, NULL, '2019-04-23 10:53:17', 5, '2019-04-23 10:53:21', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(624, '2019-04-23 13:08:36', 'SH1904-0617', 1, 12667, 0, NULL, NULL, NULL, '2019-04-23 15:08:28', 5, '2019-04-23 15:08:32', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Intervention remplacement des courroies .<br />\r\n<br />\r\nBL N&deg;12 du 11/04/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(625, '2019-04-24 13:39:10', 'SH1904-0618', 1, 12814, 0, NULL, NULL, NULL, '2019-04-24 15:38:34', 5, '2019-04-24 15:38:39', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '<p>pour la fourniture d’équivalence de filtres :</p>\r\n\r\n<p> </p>\r\n\r\n<p>-Kit :      2258 2901 21</p>\r\n\r\n<p>-Kit :      2258 2901 32<br />\r\n<br />\r\n<br />\r\n<br />\r\nLivraison France Metropolitaine</p>\r\n', 'rouget', 0, '', NULL, NULL, 5, NULL),
(626, '2019-04-26 12:12:34', 'SH1904-0619', 1, 12882, 0, NULL, NULL, NULL, '2019-04-26 14:12:20', 5, '2019-04-26 14:12:31', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Filtre <span style=\"color:#1f497d\">STERYFLON MINI</span><br />\r\n ', NULL, 0, '', NULL, NULL, 5, NULL),
(627, '2019-04-29 07:29:41', 'SH1904-0620', 1, 2033, 0, NULL, NULL, NULL, '2019-04-29 09:29:33', 5, '2019-04-29 09:29:38', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur GA30C N&deg; AII278463 de 2004 :', NULL, 0, '', NULL, NULL, NULL, NULL),
(628, '2019-04-29 08:31:08', 'SH1904-0621', 1, 6259, 0, NULL, NULL, NULL, '2019-04-29 10:31:00', 5, '2019-04-29 10:31:05', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L30 -&nbsp;<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(629, '2019-04-29 08:48:32', 'SH1904-0622', 1, 2102, 0, NULL, NULL, NULL, '2019-04-29 10:48:14', 5, '2019-04-29 10:48:22', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Amenagement electrique et air comprim&eacute; local M7, abaissement neons + remplacement par tube LEDS', NULL, 0, '', NULL, NULL, NULL, NULL),
(632, '2019-05-07 13:19:20', 'SH1905-0625', 1, 2354, 0, NULL, NULL, '6857', '2019-05-07 15:19:15', 5, '2019-05-07 15:19:18', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(633, '2019-05-17 07:46:48', 'SH1905-0626', 1, 2347, 0, NULL, NULL, NULL, '2019-05-13 11:23:50', 5, '2019-05-13 11:23:54', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(634, '2019-05-17 08:57:22', 'SH1905-0627', 1, 2157, 0, NULL, NULL, NULL, '2019-05-17 10:57:14', 5, '2019-05-17 10:57:19', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(635, '2019-05-20 10:09:10', 'SH1905-0628', 1, 2147, 0, NULL, NULL, NULL, '2019-05-20 12:09:03', 5, '2019-05-20 12:09:08', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(636, '2019-05-28 14:35:33', 'SH1905-0629', 1, 2077, 0, NULL, NULL, NULL, '2019-05-21 15:57:11', 5, '2019-05-21 15:57:14', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'D&eacute;lai : DISPONIBLE', NULL, 0, '', NULL, NULL, NULL, NULL),
(637, '2020-08-17 08:17:52', 'SH1905-0630', 1, 2338, 0, NULL, NULL, NULL, '2019-05-22 11:01:21', 5, '2019-05-22 11:01:24', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'coupleur &agrave; bouton 1/2 male<br />\r\n<br />\r\nCommande N&deg;&nbsp;582-2019-N', NULL, 0, '', NULL, NULL, NULL, NULL),
(638, '2019-05-28 14:05:26', 'SH1905-0631', 1, 1996, 0, NULL, NULL, NULL, '2019-05-28 16:05:17', 5, '2019-05-28 16:05:22', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement radiateur sur compresseur L15 de 2008 N&deg;100014099-0206 .<br />\r\n<br />\r\n<span style=\"color:#e74c3c\"><strong><span style=\"font-size:11.0pt\">D&eacute;lai : 100001570&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 9 SEMAINES&nbsp;</span></strong></span><br />\r\n<br />\r\n<span style=\"font-size:11.0pt\">MATERIEL NI REPRIS NI ECHANGE<br />\r\nLe commande ne sera effective qu&#39;apr&eacute;s r&eacute;ception du r&eacute;glement de l&#39;acompte .</span>', NULL, 0, '', NULL, NULL, NULL, NULL),
(639, '2019-05-28 14:06:22', 'SH1905-0632', 1, 2038, 0, NULL, NULL, NULL, '2019-05-28 16:06:08', 5, '2019-05-28 16:06:18', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L07RS', NULL, 0, '', NULL, NULL, NULL, NULL),
(640, '2019-05-28 14:14:47', 'SH1905-0633', 1, 12921, 0, NULL, NULL, NULL, '2019-05-28 16:14:38', 5, '2019-05-28 16:14:43', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L22 N&deg; CD10018313001 &agrave; 3712 HRS<br />\r\n<br />\r\nBL N&deg;43 du 13/05/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(641, '2019-05-28 14:17:01', 'SH1905-0634', 1, 2075, 0, NULL, NULL, NULL, '2019-05-28 16:16:42', 5, '2019-05-28 16:16:56', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L07', NULL, 0, '', NULL, NULL, NULL, NULL),
(642, '2019-05-28 14:38:34', 'SH1905-0635', 1, 2069, 0, NULL, NULL, NULL, '2019-05-28 16:38:28', 5, '2019-05-28 16:38:32', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance cyclon 111', NULL, 0, '', NULL, NULL, NULL, NULL),
(643, '2019-05-28 14:51:03', 'SH1905-0636', 1, 2101, 0, NULL, NULL, NULL, '2019-05-28 16:50:54', 5, '2019-05-28 16:50:59', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance l18RS', NULL, 0, '', NULL, NULL, NULL, NULL),
(644, '2019-05-28 14:53:36', 'SH1905-0637', 1, 12848, 0, NULL, NULL, NULL, '2019-05-28 16:53:21', 5, '2019-05-28 16:53:25', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Pi&eacute;ces d&eacute;tach&eacute;es pour compresseur BELAIR VEIM 20-073-716 de 2007&nbsp;<br />\r\n<br />\r\nD&eacute;lai : 10 jours', NULL, 0, '', NULL, NULL, NULL, NULL),
(645, '2019-05-29 07:21:40', 'SH1905-0638', 1, 2161, 0, NULL, NULL, NULL, '2019-05-29 09:21:28', 5, '2019-05-29 09:21:36', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, 'sign&eacute; pour l&#39;ann&eacute;e 2019', 'Base contrat de maintenance 2019 :', NULL, 0, '', NULL, NULL, NULL, NULL),
(646, '2019-05-29 07:31:03', 'SH1905-0639', 1, 2177, 0, NULL, NULL, NULL, '2019-05-29 09:30:57', 5, '2019-05-29 09:31:01', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L07RS&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(647, '2019-05-29 07:35:27', 'SH1905-0640', 1, 2234, 0, NULL, NULL, NULL, '2019-05-29 09:35:13', 5, '2019-05-29 09:35:17', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L45RS N&deg;CD10005658001 &agrave; 6383 Hrs<br />\r\nRemplacement des cartouches des filtres reseaux et maintenance owamat 14 .<br />\r\n<br />\r\nBL N&deg;&nbsp; 02 du 24/05/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(648, '2019-05-29 07:53:40', 'SH1905-0641', 1, 2247, 0, NULL, NULL, NULL, '2019-05-29 09:53:33', 5, '2019-05-29 09:53:37', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L18rs N&deg; CD100018442001 &agrave; HRS( nouvelle carte )&nbsp;<br />\r\nMaintenance separateur de condensats OWAMT 11<br />\r\nRemplcament cartouche filtre reseau<br />\r\n<br />\r\n<br />\r\nBL N&deg; du&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(649, '2019-05-29 07:59:37', 'SH1905-0642', 1, 12890, 0, NULL, NULL, 'L29', '2019-05-29 09:59:27', 5, '2019-05-29 09:59:33', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Local air comprim&eacute; 29KW 7.5 Bars<br />\r\nD&eacute;saccouplage vieille cuve vers 845 reprise tuyauterie pose d&#39;un cyclonique 1 1/2 en sortie 845<br />\r\nModification en 42 sortie 845 inserer cyclonique<br />\r\nnouveau local ou il y a le V22 ( qu on reprend ) il n&#39;y a qu&#39;un bypass sur la cuve pas d&#39;autre<br />\r\nelectricit&eacute; et coffret par client', NULL, 0, '', NULL, NULL, NULL, NULL),
(650, '2020-10-16 12:17:12', 'SH1905-0643', 1, 2765, 0, NULL, NULL, NULL, '2019-05-29 15:06:54', 5, '2019-05-29 15:06:58', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(651, '2019-05-29 13:45:49', 'SH1905-0644', 1, 2318, 0, NULL, NULL, NULL, '2019-05-29 15:45:37', 5, '2019-05-29 15:45:46', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L45 + L15+ secheurpar adsotpion HL0080', NULL, 0, '', NULL, NULL, NULL, NULL),
(652, '2019-05-29 13:49:26', 'SH1905-0645', 1, 2399, 0, NULL, NULL, NULL, '2019-05-29 15:48:27', 5, '2019-05-29 15:49:24', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L11RS&nbsp;<br />\r\nRemplacement cartouche filtre reseau<br />\r\nMaintenance seprateur de condensats OWAMAT 10 :', NULL, 0, '', NULL, NULL, NULL, NULL),
(653, '2019-06-04 09:34:20', 'SH1906-0646', 1, 2127, 0, NULL, NULL, 'CDA-FCA1904724', '2019-06-04 11:34:13', 5, '2019-06-04 11:34:18', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '<p>R&eacute;&eacute;preuve de r&eacute;servoir d&rsquo;air comprim&eacute; ( Hors organisme agr&eacute;e ) de votre compresseur L75SR COMPAIR</p>\r\n\r\n<p>Notre offre comprend :</p>\r\n\r\n<ul>\r\n	<li>La vidange d&rsquo;huile du compresseur</li>\r\n	<li>D&eacute;pose des accessoires fixer sur la cuve ( flexible , &hellip; etc )</li>\r\n	<li>Bouchonnage des differents orifices</li>\r\n	<li>Remplissage du reservoir avec de l&rsquo;eau</li>\r\n	<li>Assistance eu verificateur de l&rsquo;organisme agr&eacute;e</li>\r\n	<li>Remontage et remise en service de la machine</li>\r\n	<li>Remise &agrave; niveau d&rsquo;huile du compresseur</li>\r\n	<li>Fourniture et Remplacement soupape de s&eacute;curit&eacute;</li>\r\n</ul>\r\n\r\n<p>R&eacute;&eacute;preuve de r&eacute;servoir d&rsquo;air comprim&eacute; 2000Litres( Hors organisme agr&eacute;e )</p>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<p>Notre offre comprend :</p>\r\n\r\n<ul>\r\n	<li>D&eacute;pose des accessoires fixer sur la cuve ( flexible , &hellip; etc )</li>\r\n	<li>Bouchonnage des differents orifices</li>\r\n	<li>Remplissage du reservoir avec de l&rsquo;eau</li>\r\n	<li>Assistance eu verificateur de l&rsquo;organisme agr&eacute;e</li>\r\n	<li>Remontage et remise en service de la machine</li>\r\n	<li>Fourniture et remplacement soupape de s&eacute;curit&eacute;</li>\r\n</ul>\r\n<br />\r\nOffre pour 1 journ&eacute;e &agrave; deux techniciens, pompe et groupe &eacute;lectrog&eacute;ne .', NULL, 0, '', NULL, NULL, NULL, NULL),
(654, '2019-06-05 07:30:12', 'SH1906-0647', 1, 2169, 0, NULL, NULL, 'reseau d\'air comprimé', '2019-06-05 09:30:03', 5, '2019-06-05 09:30:08', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Reseau inox serti en diamtre 28 envrion 135 metres<br />\r\n5 descentes<br />\r\n8 piquages<br />\r\nnacelle inclus', NULL, 0, '', NULL, NULL, NULL, NULL),
(655, '2019-06-05 12:37:59', 'SH1906-0648', 1, 2283, 0, NULL, NULL, NULL, '2019-06-05 14:37:12', 5, '2019-06-05 14:37:16', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'D&eacute;placement compresseur et s&eacute;cheur<br />\r\nmodification r&eacute;seau air comprim&eacute; en inox diametre 22&nbsp;<br />\r\ncreation d&#39;une descente suppl&eacute;mentaire en diametre 22&nbsp;<br />\r\npose d&#39;une vanne de sectionnement<br />\r\nMise en air de l&#39;ensemble&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(656, '2019-06-13 14:14:56', 'SH1906-0649', 1, 2355, 0, NULL, NULL, NULL, '2019-06-05 16:23:59', 5, '2019-06-05 16:24:03', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Compresseur &agrave; piston COMPAIR - GARANTIE TOTALE 2 ANS<br />\r\nD&eacute;bit 18 m3/h en 3Ch<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE ATELIER<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(657, '2019-06-06 13:13:55', 'SH1906-0650', 1, 2169, 0, NULL, NULL, NULL, '2019-06-06 15:13:38', 5, '2019-06-06 15:13:48', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(658, '2019-06-12 12:55:48', 'SH1906-0651', 1, 6086, 0, NULL, NULL, NULL, '2019-06-12 14:55:42', 5, '2019-06-12 14:55:46', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L55Rs', NULL, 0, '', NULL, NULL, NULL, NULL),
(659, '2019-06-12 13:47:33', 'SH1906-0652', 1, 1990, 0, NULL, NULL, NULL, '2019-06-12 15:47:22', 5, '2019-06-12 15:47:28', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenances de vos 3 compresseurs :<br />\r\n2 compresseurs sprint 30 et un compresseur L30 :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(660, '2019-09-19 12:27:54', 'SH1906-0653', 1, 2020, 0, NULL, NULL, NULL, '2019-06-12 15:54:17', 5, '2019-06-12 15:54:21', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance HV07 N&deg;V07-002671-0706&nbsp;<br />\r\nRemplacement cartouches des 2 filtres r&eacute;seaux Compair\r\n<p>Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la joun&eacute;e<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', NULL, 0, '', NULL, NULL, NULL, NULL),
(661, '2019-06-12 13:55:47', 'SH1906-0654', 1, 2072, 0, NULL, NULL, NULL, '2019-06-12 15:55:40', 5, '2019-06-12 15:55:44', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance compresseur L11 N&deg;100008027/0114', NULL, 0, '', NULL, NULL, NULL, NULL),
(662, '2019-06-12 13:59:48', 'SH1906-0655', 1, 2142, 0, NULL, NULL, NULL, '2019-06-12 15:59:41', 5, '2019-06-12 15:59:46', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L22SR N&deg;CD10003983002 &agrave;&nbsp; HRS<br />\r\nBL N&deg;&nbsp; du&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(663, '2019-06-13 07:47:29', 'SH1906-0656', 1, 2122, 0, NULL, NULL, NULL, '2019-06-13 09:47:21', 5, '2019-06-13 09:47:27', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'L75', NULL, 0, '', NULL, NULL, NULL, NULL),
(664, '2019-06-13 08:25:10', 'SH1906-0657', 1, 2206, 0, NULL, NULL, NULL, '2019-06-13 10:24:40', 5, '2019-06-13 10:24:46', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance HV05 :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(665, '2019-06-13 08:30:25', 'SH1906-0658', 1, 12683, 0, NULL, NULL, NULL, '2019-06-13 10:30:16', 5, '2019-06-13 10:30:22', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Modification cuves &agrave; votre demande.', NULL, 0, '', NULL, NULL, NULL, NULL),
(666, '2019-06-13 13:05:28', 'SH1906-0659', 1, 2054, 0, NULL, NULL, 'kaeser la cote st andre', '2019-06-13 15:05:04', 5, '2019-06-13 15:05:20', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Kaeser csd105 N&deg;2626 l&agrave; 9515 HRS<br />\r\n<br />\r\nBL N&deg;40 du 13/06/2019<br />\r\n<br />\r\nCommande N&deg; S972 1906 1008<br />\r\n<br />\r\nLivraison :<br />\r\nCOOPERATIVE LA DAUPHINOISE<br />\r\nStation Semences &quot; Les Olagni&eacute;res&quot;<br />\r\n2825 Chemin de la voie ferr&eacute;e<br />\r\nZI Le Rival<br />\r\n38260 LA COTE SAINT ANDRE', NULL, 0, '', NULL, NULL, NULL, NULL),
(667, '2019-06-20 07:40:08', 'SH1906-0660', 1, 12920, 0, NULL, NULL, NULL, '2019-06-20 09:39:55', 5, '2019-06-20 09:40:01', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance pour compresseur Silpac1210Y N&deg; 8171930AVo057 LOt 096146 de 1999 et remplacement pressostat', NULL, 0, '', NULL, NULL, NULL, NULL),
(668, '2019-06-24 06:47:21', 'SH1906-0661', 1, 12922, 0, NULL, NULL, NULL, '2019-06-24 08:47:16', 5, '2019-06-24 08:47:20', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Amortisseur de capot pour compresseur DLT0404 C30 ANNEE 2003<br>\r\n<br>\r\nDélai : 15/06/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(669, '2019-06-24 08:13:32', 'SH1906-0662', 1, 1988, 0, NULL, NULL, NULL, '2019-06-24 10:13:23', 5, '2019-06-24 10:13:29', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L55RS', NULL, 0, '', NULL, NULL, NULL, NULL),
(670, '2019-06-25 08:53:00', 'SH1906-0663', 1, 2123, 0, NULL, NULL, NULL, '2019-06-25 10:52:53', 5, '2019-06-25 10:52:57', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L29RS', NULL, 0, '', NULL, NULL, NULL, NULL),
(671, '2019-11-27 09:03:09', 'SH1906-0664', 1, 2396, 0, NULL, NULL, NULL, '2019-06-26 16:41:24', 5, '2019-06-26 16:41:27', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'tuyau cahoutchouc 19 interieur', NULL, 0, '', NULL, NULL, NULL, NULL),
(672, '2019-06-27 07:44:46', 'SH1906-0665', 1, 2054, 0, NULL, NULL, NULL, '2019-06-27 09:44:41', 5, '2019-06-27 09:44:44', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'L11 N&deg; BA35366001 &agrave; 3576 HRS - Maintenance seprateur de condensats Owamat 10 et remplcament cartouche filtre reseau<br />\r\nBL N&deg;44 du 24/06/2019<br />\r\n<br />\r\nCommande N&deg; S97219061018<br />\r\n<br />\r\nSite d&#39;intervention :<br />\r\nCOOPERATIVE LA DAUPHINOISE<br />\r\nSite de Semences Les Olagni&eacute;res<br />\r\n2825 Chemin de la voie f&eacute;r&eacute;e<br />\r\n38260 LA COTE ST ANDRE', NULL, 0, '', NULL, NULL, NULL, NULL),
(673, '2019-06-27 09:27:22', 'SH1906-0666', 1, 2157, 0, NULL, NULL, NULL, '2019-06-27 11:27:17', 5, '2019-06-27 11:27:21', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur&nbsp; RS PRO&nbsp; 7.5&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(674, '2019-06-28 09:13:01', 'SH1906-0667', 1, 10563, 0, NULL, NULL, NULL, '2019-06-28 11:12:49', 5, '2019-06-28 11:12:59', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance Compresseur Power System PS407 ( 8bars) n&deg; de s&eacute;rie 240&nbsp;407 ann&eacute;e 2004 remplacement filtre &agrave; air , filtre &agrave; huile et separateur , verifications et controle, remise &agrave; niveau d&#39;huile .\r\n<p>&nbsp;cuve de 1000 Litres : verification du bon fonctionnement de la purge</p>\r\n\r\n<p>ass&eacute;cheur Model LB 4.13 n&deg; de s&eacute;rie Q01C2059 ann&eacute;e 2004 : verification des connections et du bon fonctionnement</p>\r\n<br />\r\n- Contr&ocirc;les et v&eacute;rifications &nbsp;pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es&nbsp;<br />\r\n&nbsp;-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(675, '2019-07-01 13:11:56', 'SH1907-0668', 1, 2407, 0, NULL, NULL, NULL, '2019-07-01 15:11:52', 5, '2019-07-01 15:11:55', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L37 13 BARs de 2012 N&deg; CD10009047001 -&nbsp;<br />\r\nPrix pour 1 an sur l&#39;ann&eacute;e 2019 .<br />\r\n<br />\r\nCommande N&deg;911078719-0-10760<br />\r\n<br />\r\nLivraison :&nbsp;<br />\r\nSite Crouzet automatisme<br />\r\n10 rue du docteur Henri abel<br />\r\n26000 VALENCE', NULL, 0, '', NULL, NULL, NULL, NULL),
(676, '2019-07-03 08:25:32', 'SH1907-0669', 1, 6101, 0, NULL, NULL, NULL, '2019-07-03 10:25:21', 5, '2019-07-03 10:25:31', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Aspirateur ICA', 'rouget', 0, '', NULL, NULL, NULL, NULL),
(677, '2019-07-04 07:50:08', 'SH1907-0670', 1, 2053, 0, NULL, NULL, NULL, '2019-07-04 09:50:00', 5, '2019-07-04 09:50:05', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L11 N&deg; BA46497001 &agrave; 1885 HRS en huile alimentaire<br />\r\nMaintenance 3 cartouches filtres reseaux<br />\r\nMaintenance separateur de condensats- suivant contrat liss&eacute;<br />\r\n<br />\r\nBL N&deg; 8 du 27/06/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(678, '2019-07-04 07:59:41', 'SH1907-0671', 1, 6101, 0, NULL, NULL, NULL, '2019-07-04 09:59:35', 5, '2019-07-04 09:59:38', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur ABAC SMART 20 &agrave; 27527 HRS<br />\r\n<br />\r\nBL N&deg;7 du 27/06/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(679, '2019-07-04 08:57:12', 'SH1907-0672', 1, 2101, 0, NULL, NULL, NULL, '2019-07-04 10:57:07', 5, '2019-07-04 10:57:10', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Intervention sur reseau d&#39;air girair 40<br />\r\n<br />\r\nBL N&deg;6 du 26/06/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(680, '2019-07-04 12:56:51', 'SH1907-0673', 1, 2350, 0, NULL, NULL, NULL, '2019-07-04 14:56:43', 5, '2019-07-04 14:56:48', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance Compresseurs L45RS et filtres reseaux', NULL, 0, '', NULL, NULL, NULL, NULL),
(681, '2019-07-04 13:35:32', 'SH1907-0674', 1, 2354, 0, NULL, NULL, NULL, '2019-07-04 15:35:25', 5, '2019-07-04 15:35:29', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L15 N&deg;100014096-0169 &agrave; 21454 HRS &amp; separateur de condensats owamat 11<br />\r\n<br />\r\nBL N&deg;11 du 25/05/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(682, '2019-07-09 07:02:45', 'SH1907-0675', 1, 1940, 0, NULL, NULL, NULL, '2019-07-09 09:02:40', 5, '2019-07-09 09:02:44', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance de votre compresseur L45RS N&deg; CD10023839001 &agrave;&nbsp; HRS<br />\r\nRemplacement cartouches filtres r&eacute;seaux&nbsp;<br />\r\nMaintenance s&eacute;parateur de condensats owamat14<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(683, '2019-07-09 07:48:05', 'SH1907-0676', 1, 12590, 0, NULL, NULL, NULL, '2019-07-09 09:48:00', 5, '2019-07-09 09:48:03', 5, NULL, '2018-09-30 00:00:00', NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance compresseur et filtres reseaux&nbsp; :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(685, '2019-07-09 12:26:46', 'SH1907-0678', 1, 2407, 0, NULL, NULL, NULL, '2019-07-09 14:25:59', 5, '2019-07-09 14:26:23', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Piéces détachées pour sécheur :<br />\r\n<br />\r\n ', NULL, 0, '', NULL, NULL, 5, NULL),
(686, '2019-07-11 08:19:13', 'SH1907-0679', 1, 2127, 0, NULL, NULL, NULL, '2019-07-11 10:19:06', 5, '2019-07-11 10:19:11', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance du Compresseur L75SR&agrave; 60500 HRS<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(687, '2019-07-16 07:52:23', 'SH1907-0680', 1, 2032, 0, NULL, NULL, 'CF013001', '2019-07-16 09:52:15', 5, '2019-07-16 09:52:19', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '1 bidon d&rsquo;huile pour compresseur (25l) Unil Opal VR46', NULL, 0, '', NULL, NULL, NULL, NULL),
(688, '2019-08-28 08:40:48', 'SH1907-0681', 1, 2001, 0, NULL, NULL, NULL, '2019-07-17 15:12:22', 5, '2019-07-17 15:12:25', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '<p>KAESER SK19 19760-3&nbsp; N&deg; 01813383 de 1998&nbsp; :</p>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 2 nattes filtrantes&nbsp; 710 X 575&nbsp;&nbsp; ref BSA 6.1943.0</p>\r\n\r\n<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1 S&eacute;parateur&nbsp;&nbsp; ref AIP S1P503</p>\r\n\r\n<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 2 cartouches air&nbsp;&nbsp;&nbsp; ref AIP A1F155</p>\r\n\r\n<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1 cartouche huile&nbsp;&nbsp;&nbsp; ref AIP&nbsp; H1H112<br />\r\n<br />\r\nD&eacute;lai : 5 jours &agrave; reception de commande</p>\r\n', NULL, 0, '', NULL, NULL, NULL, NULL),
(689, '2019-07-24 13:41:14', 'SH1907-0682', 1, 7066, 0, NULL, NULL, NULL, '2019-07-24 15:41:05', 5, '2019-07-24 15:41:14', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Pieces de filtration maintenance de vos differents compresseurs :&nbsp;<br />\r\n<br />\r\nhuile VR46 pour compresseur L15 et compresseur ATLAS COPCO<br />\r\n<br />\r\nHuile sullube pour compresseur Maco Sullair ( disponible uniquement en 20 Litres )&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(690, '2019-07-29 08:59:36', 'SH1907-0683', 1, 11435, 0, NULL, NULL, NULL, '2019-07-29 10:59:25', 5, '2019-07-29 10:59:32', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L30RS N&deg;cd10013952002', NULL, 0, '', NULL, NULL, NULL, NULL),
(691, '2019-07-29 09:07:38', 'SH1907-0684', 1, 1981, 0, NULL, NULL, NULL, '2019-07-29 11:07:29', 5, '2019-07-29 11:07:33', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur RS PRO 7.5 N&deg;612032 &agrave; 5127 HRS<br />\r\n<br />\r\nBL N&deg;8 du 08/08/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(692, '2019-07-29 09:12:55', 'SH1907-0685', 1, 2004, 0, NULL, NULL, NULL, '2019-07-29 11:12:45', 5, '2019-07-29 11:12:53', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance SCROLL Compresseur SLi 3.7KW N&deg;5260008', NULL, 0, '', NULL, NULL, NULL, NULL),
(693, '2019-08-08 07:10:40', 'SH1907-0686', 1, 1940, 0, NULL, NULL, NULL, '2019-07-29 12:00:21', 5, '2019-07-29 12:00:24', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'DP-201907-0003', NULL, 0, '', NULL, NULL, NULL, NULL),
(694, '2019-07-29 12:16:37', 'SH1907-0687', 1, 2016, 0, NULL, NULL, NULL, '2019-07-29 14:16:31', 5, '2019-07-29 14:16:35', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance&nbsp; compresseur L05&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(695, '2019-07-29 12:43:40', 'SH1907-0688', 1, 2295, 0, NULL, NULL, NULL, '2019-07-29 14:43:32', 5, '2019-07-29 14:43:37', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L30 &agrave; 30500 HRS<br />\r\n<br />\r\nBL N&deg;12 du 28/06/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(696, '2019-07-29 13:14:18', 'SH1907-0689', 1, 2140, 0, NULL, NULL, 'l15rs', '2019-07-29 15:14:13', 5, '2019-07-29 15:14:17', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L15RS', NULL, 0, '', NULL, NULL, NULL, NULL),
(697, '2019-07-29 13:19:37', 'SH1907-0690', 1, 2101, 0, NULL, NULL, NULL, '2019-07-29 15:19:32', 5, '2019-07-29 15:19:35', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance RSDK PRO ECN 7.5 10BARS N&deg;640020&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(698, '2019-07-29 13:53:40', 'SH1907-0691', 1, 2162, 0, NULL, NULL, NULL, '2019-07-29 15:53:24', 5, '2019-07-29 15:53:28', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'contrat liss&eacute;<br />\r\nL37 N&deg;cd10030327001 &agrave; 4358 Heures<br />\r\net cartouches filtres reseaux', NULL, 0, '', NULL, NULL, NULL, NULL),
(699, '2019-07-31 08:01:01', 'SH1907-0692', 1, 2235, 0, NULL, NULL, NULL, '2019-07-31 10:00:56', 5, '2019-07-31 10:00:59', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L15VS :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(700, '2019-07-31 08:23:53', 'SH1907-0693', 1, 11452, 0, NULL, NULL, NULL, '2019-07-31 10:23:39', 5, '2019-07-31 10:23:44', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Pose dans cellule C2 de 1 FRL&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(701, '2019-07-31 08:36:19', 'SH1907-0694', 1, 2279, 0, NULL, NULL, NULL, '2019-07-31 10:36:16', 5, '2019-07-31 10:36:19', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'une purge electropilot&eacute;e&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(702, '2019-07-31 08:47:23', 'SH1907-0695', 1, 2279, 0, NULL, NULL, NULL, '2019-07-31 10:47:19', 5, '2019-07-31 10:47:22', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(703, '2019-07-31 09:12:19', 'SH1907-0696', 1, 2311, 0, NULL, NULL, NULL, '2019-07-31 11:12:15', 5, '2019-07-31 11:12:18', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance compresseur &agrave; piston CLC507 N&deg;221401565<br />\r\n<br />\r\net remplacement cartouche filtre reseau&nbsp;<br />\r\n<br />\r\nBL N&deg;42 du 17/07/2019&nbsp;<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(704, '2019-07-31 09:15:51', 'SH1907-0697', 1, 2311, 0, NULL, NULL, NULL, '2019-07-31 11:15:46', 5, '2019-07-31 11:15:49', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance screw 10 &agrave; 16858 HRS<br />\r\n<br />\r\nBL N&deg;44 du 17/07/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(705, '2019-07-31 09:28:20', 'SH1907-0698', 1, 2311, 0, NULL, NULL, NULL, '2019-07-31 11:28:16', 5, '2019-07-31 11:28:19', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance devillbiss STAR20 &agrave; 19798 hRS N&deg;1781220002<br />\r\n<br />\r\nBL N&deg;43 du 17/07/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(706, '2019-07-31 13:21:10', 'SH1907-0699', 1, 12584, 0, NULL, NULL, NULL, '2019-07-31 15:21:04', 5, '2019-07-31 15:21:07', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance RSF11', NULL, 0, '', NULL, NULL, NULL, NULL),
(707, '2019-08-01 12:46:17', 'SH1908-0700', 1, 2197, 0, NULL, NULL, NULL, '2019-08-01 14:46:11', 5, '2019-08-01 14:46:15', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '&nbsp;bloc vis compresseur L45RS<br />\r\n<br />\r\nGarantie 24 mois&nbsp;<br />\r\n<br />\r\nDossier LYON BISCUIT&nbsp; N&deg; 3169288', NULL, 0, '', NULL, NULL, NULL, NULL),
(708, '2019-08-01 14:10:33', 'SH1908-0701', 1, 2407, 0, NULL, NULL, 'filtre magnétique', '2019-08-01 16:10:21', 5, '2019-08-01 16:10:25', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Inversion entree et sortie connexion filtre magnetique', NULL, 0, '', NULL, NULL, NULL, NULL),
(709, '2019-08-08 07:31:22', 'SH1908-0702', 1, 1935, 0, NULL, NULL, NULL, '2019-08-05 09:19:18', 5, '2019-08-05 09:19:23', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Piéces detachées pour L11 - <br>\r\n<br>\r\nDélai : 3 jours', NULL, 0, '', NULL, NULL, NULL, NULL),
(710, '2019-08-08 07:26:23', 'SH1908-0703', 1, 7066, 0, NULL, NULL, NULL, '2019-08-08 09:24:39', 5, '2019-08-08 09:24:46', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Pieces de filtration maintenance de vos differents compresseurs :&nbsp;<br />\r\n<br />\r\nhuile VR46 pour compresseur L15 et compresseur ATLAS COPCO<br />\r\n<br />\r\nHuile sullube pour compresseur Maco Sullair ( disponible uniquement en 20 Litres )&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(711, '2019-08-08 08:08:11', 'SH1908-0704', 1, 2055, 0, NULL, NULL, NULL, '2019-08-08 10:08:07', 5, '2019-08-08 10:08:10', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L18 - en pi&eacute;ces adaptables&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(712, '2019-08-08 08:36:34', 'SH1908-0705', 1, 2178, 0, NULL, NULL, NULL, '2019-08-08 10:36:29', 5, '2019-08-08 10:36:33', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L55 N&deg; CD10008941001 &agrave;&nbsp; HRS +&nbsp; maintenance separateur de condensats<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(713, '2019-08-08 09:19:42', 'SH1908-0706', 1, 2239, 0, NULL, NULL, NULL, '2019-08-08 11:19:36', 5, '2019-08-08 11:19:40', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance COmpresseur LUCHARD COMPAIR 6020ELX07BE &agrave;&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(714, '2019-08-08 09:28:42', 'SH1908-0707', 1, 10144, 0, NULL, NULL, '4500106762', '2019-08-08 11:28:36', 5, '2019-08-08 11:28:39', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance 2000H rsf 22 10 bars n&deg;830076<br />\r\n<br />\r\nCommande N&deg;4500106762', NULL, 0, '', NULL, NULL, NULL, NULL),
(715, '2019-08-08 09:41:27', 'SH1908-0708', 1, 2358, 0, NULL, NULL, NULL, '2019-08-08 11:41:21', 5, '2019-08-08 11:41:25', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance GA90VSD N&deg; AII495069 &agrave; 35197 HRS<br />\r\nRemplacement cartouche filtre reseau<br />\r\nMaintenance GA30 N&deg;ABP716976 &agrave; 15024 HRS<br />\r\n<br />\r\nBL N&deg; 40 &amp; 39 du 08/08/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(716, '2019-08-09 09:13:05', 'SH1908-0709', 1, 2321, 0, NULL, NULL, NULL, '2019-08-09 11:13:01', 5, '2019-08-09 11:13:04', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, 'CONTRAT LISE', NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(717, '2019-08-12 08:34:25', 'SH1908-0710', 1, 2162, 0, NULL, NULL, NULL, '2019-08-12 10:34:21', 5, '2019-08-12 10:34:24', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement bekomat :<br />\r\n<strong><span style=\"font-size:11.0pt\"><span style=\"color:red\">Le BEKOMAT 21 n&rsquo;est plus commercialis&eacute; depuis plusieurs ann&eacute;es c&rsquo;est pourquoi nous vous proposons son rempla&ccedil;ant (fiche technique en P.J.)</span></span></strong>', NULL, 0, '', NULL, NULL, NULL, NULL);
INSERT INTO `llx_expedition` (`rowid`, `tms`, `ref`, `entity`, `fk_soc`, `fk_projet`, `ref_ext`, `ref_int`, `ref_customer`, `date_creation`, `fk_user_author`, `date_valid`, `fk_user_valid`, `date_expedition`, `date_delivery`, `fk_address`, `fk_shipping_method`, `tracking_number`, `fk_statut`, `billed`, `height`, `width`, `size_units`, `size`, `weight_units`, `weight`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_user_modif`, `last_main_doc`) VALUES
(718, '2019-08-12 12:26:54', 'SH1908-0711', 1, 2184, 0, NULL, NULL, NULL, '2019-08-12 14:26:48', 5, '2019-08-12 14:26:51', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L45RS ( 2018 ) N&deg; CD10034859001 en huile alimentaire &agrave; 10814 HRS<br />\r\n<br />\r\nRemplacement cartouches filtres r&eacute;seaux&nbsp;<br />\r\n<br />\r\nMaintenance seprateur de condensats OWAMAT 14<br />\r\n<br />\r\n<br />\r\n<br />\r\nCommande N&deg;7000868854<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(719, '2019-08-13 07:23:36', 'SH1908-0712', 1, 12608, 0, NULL, NULL, NULL, '2019-08-13 09:23:30', 5, '2019-08-13 09:23:34', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance RS PRO 7.5 N&deg; 713056 &agrave;&nbsp; HRS<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(720, '2019-08-13 07:48:34', 'SH1908-0713', 1, 2064, 0, NULL, NULL, 'l80', '2019-08-13 09:48:28', 5, '2019-08-13 09:48:32', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L80', NULL, 0, '', NULL, NULL, NULL, NULL),
(721, '2019-08-13 08:33:29', 'SH1908-0714', 1, 2300, 0, NULL, NULL, NULL, '2019-08-13 10:33:19', 5, '2019-08-13 10:33:24', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance l45 N&deg; cd10023286001 &agrave; 9126 HRS<br />\r\net filtres reseaux et owamat 14<br />\r\n<br />\r\nBL N&deg;22 du 12/08/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(722, '2019-08-14 07:04:51', 'SH1908-0715', 1, 12924, 0, NULL, NULL, NULL, '2019-08-14 09:04:42', 5, '2019-08-14 09:04:48', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Local air comprim&eacute;', NULL, 0, '', NULL, NULL, NULL, NULL),
(723, '2019-08-20 08:12:36', 'SH1908-0716', 1, 12819, 0, NULL, NULL, NULL, '2019-08-20 10:12:32', 5, '2019-08-20 10:12:36', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'pue tempo', NULL, 0, '', NULL, NULL, NULL, NULL),
(724, '2019-08-21 12:46:38', 'SH1908-0717', 1, 10056, 0, NULL, NULL, NULL, '2019-08-21 14:46:34', 5, '2019-08-21 14:46:37', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L07 COMPAIR', NULL, 0, '', NULL, NULL, NULL, NULL),
(725, '2019-08-21 13:00:30', 'SH1908-0718', 1, 2007, 0, NULL, NULL, NULL, '2019-08-21 15:00:27', 5, '2019-08-21 15:00:29', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance HV02 N&deg; 502 029339-1408', NULL, 0, '', NULL, NULL, NULL, NULL),
(726, '2019-08-21 13:15:06', 'SH1908-0719', 1, 2054, 0, NULL, NULL, 'ws15 lacote', '2019-08-21 15:14:57', 5, '2019-08-21 15:15:04', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance ws15', NULL, 0, '', NULL, NULL, NULL, NULL),
(727, '2019-08-21 14:15:11', 'SH1908-0720', 1, 2350, 0, NULL, NULL, NULL, '2019-08-21 16:15:06', 5, '2019-08-21 16:15:10', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Mise en place d&#39;un enrouleur 10x16_15 M. mise en place d&#39;une vanne de coupure d&#39;air R3/4', NULL, 0, '', NULL, NULL, NULL, NULL),
(728, '2019-08-21 14:38:18', 'SH1908-0721', 1, 2407, 0, NULL, NULL, NULL, '2019-08-21 16:38:14', 5, '2019-08-21 16:38:17', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'remplacement purgeur bekomat sous la cuve&nbsp;<br />\r\nSite d&#39;intervention CROUZET 26000 VALENCE', NULL, 0, '', NULL, NULL, NULL, NULL),
(729, '2019-08-22 07:41:12', 'SH1908-0722', 1, 11275, 0, NULL, NULL, NULL, '2019-08-22 09:41:07', 5, '2019-08-22 09:41:10', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement s&eacute;cheur Compair par nouveau secheur pour trait&eacute; sur d&eacute;bit du compresseur L22 7.5B de 2004 et coefficient de variation de temperature soit 220 m3/h en vue de l&#39;installation future du nouveau local . Raccordement par vos soins .<br />\r\nFourniture d&#39;un bidon de 25Litre d&#39;huile pour compresseur &agrave; vis', NULL, 0, '', NULL, NULL, NULL, NULL),
(730, '2019-08-29 08:08:34', 'SH1908-0723', 1, 2136, 0, NULL, NULL, NULL, '2019-08-29 10:08:29', 5, '2019-08-29 10:08:32', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance rsdk pro 5.5 N&deg;639018', NULL, 0, '', NULL, NULL, NULL, NULL),
(731, '2019-08-29 08:18:27', 'SH1908-0724', 1, 2370, 0, NULL, NULL, NULL, '2019-08-29 10:18:20', 5, '2019-08-29 10:18:24', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Modification reseaux en inox serti suivant sch&eacute;ma de principe , avec filtration 2 etages 0.1&micro; et 0.01&micro; en d&eacute;part nourrice murale avant les 3 departs munis de vanne 1/2&quot; ( dont 1 vers plasma )&nbsp;&nbsp;<br />\r\n<br />\r\nBL N&deg;21 du 26/08/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(732, '2019-08-29 09:31:02', 'SH1908-0725', 1, 2170, 0, NULL, NULL, NULL, '2019-08-29 11:30:58', 5, '2019-08-29 11:31:01', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(733, '2019-08-29 12:34:00', 'SH1908-0726', 1, 2247, 0, NULL, NULL, NULL, '2019-08-29 14:33:55', 5, '2019-08-29 14:33:59', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L18rs N&deg; CD100018442001 &agrave; 2411HRS( nouvelle carte )&nbsp;<br />\r\nMaintenance separateur de condensats OWAMT 11<br />\r\nRemplcament cartouche filtre reseau<br />\r\n<br />\r\n<br />\r\nBL N&deg; 35 du 25/01/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(734, '2019-08-29 13:08:55', 'SH1908-0727', 1, 2204, 0, NULL, NULL, NULL, '2019-08-29 15:08:49', 5, '2019-08-29 15:08:52', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Contrat Liss&eacute; L22 N&deg;CD10029439002 &agrave;&nbsp; HRS+ owamat11 + filtres reseaux ( RA,RB et CA )&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(735, '2019-08-30 08:06:44', 'SH1908-0728', 1, 2234, 0, NULL, NULL, NULL, '2019-08-30 10:06:37', 5, '2019-08-30 10:06:42', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L45RS N&deg;CD10005658001 &agrave; 8614Hrs<br />\r\nRemplcament des cartouches des filtres reseaux&nbsp;<br />\r\n<br />\r\nBL N&deg; 24 du 29/09/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(736, '2019-09-02 13:40:03', 'SH1909-0729', 1, 12596, 0, NULL, NULL, NULL, '2019-09-02 15:38:53', 5, '2019-09-02 15:38:57', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance RS PRO7.5 10 bars', NULL, 0, '', NULL, NULL, NULL, NULL),
(737, '2019-09-02 13:59:00', 'SH1909-0730', 1, 2153, 0, NULL, NULL, NULL, '2019-09-02 15:58:57', 5, '2019-09-02 15:59:00', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Filtre regulateur en remplcament de celui existant :<br />\r\n<br />\r\nLivraison par Mr BALAZARD&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(738, '2020-06-11 12:56:51', 'SH1909-0731', 1, 12745, 0, NULL, NULL, NULL, '2019-09-05 15:21:56', 5, '2019-09-05 15:21:59', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur rsdk pro 11 10 B N&deg;817041&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(739, '2019-09-06 08:28:35', 'SH1909-0732', 1, 2001, 0, NULL, NULL, NULL, '2019-09-06 10:28:29', 5, '2019-09-06 10:28:33', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(740, '2020-08-05 13:42:26', 'SH1909-0733', 1, 2011, 0, NULL, NULL, NULL, '2019-09-10 15:48:44', 5, '2019-09-10 15:50:44', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L18', NULL, 0, '', NULL, NULL, NULL, NULL),
(741, '2019-09-11 13:34:37', 'SH1909-0734', 1, 12945, 0, NULL, NULL, NULL, '2019-09-11 15:34:32', 5, '2019-09-11 15:34:35', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '&nbsp;filtres reseaux complets avec cartouches filtration RA RB&nbsp; CHARBON ACTIF :<br />\r\n<br />\r\nD&eacute;lai : 3 &agrave; 4 jours&nbsp;<br />\r\n<br />\r\n<strong>Grade RB :</strong><br />\r\n<br />\r\n&bull; 1 micron &ndash; 0,1 ppm<br />\r\n&bull; Extraction de l&rsquo;huile et filtration de l&rsquo;air comprim&eacute; pour usages g&eacute;n&eacute;raux :protection des s&eacute;cheurs frigorifiques contre les d&eacute;p&ocirc;ts et incrustations sur les tubes d&rsquo;&eacute;change.<br />\r\n&bull; Pr&eacute;filtre pour pompes &agrave; vide<br />\r\n&bull; Pr&eacute;filtre pour les grades RA et CA<br />\r\n<br />\r\n<strong>Grade RA :</strong><br />\r\n<br />\r\n&bull; 0,01 micron &ndash; 0,01 ppm<br />\r\n&bull; Extraction de pr&eacute;cision de l&rsquo;huile et filtration de l&rsquo;air comprim&eacute; :s&eacute;cheurs &agrave; adsorption appareils sophistiqu&eacute;s, industrie alimentaire, textile, &eacute;lectronique&hellip;Machines pour fa&ccedil;onnage, cabines de vernissage.<br />\r\n<br />\r\n<strong>Grade CA :</strong><br />\r\n<br />\r\n&bull; 0,003 micron &ndash; 0,01 ppm<br />\r\n&bull; Air comprim&eacute; exempt d&rsquo;huile et d&rsquo;odeur d&rsquo;huile.Il doit &ecirc;tre prot&eacute;g&eacute; par le grade RA<br />\r\n&bull; Air comprim&eacute; pour :industrie alimentaire, pharmaceutique, cosm&eacute;tique, air-respirable<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(742, '2019-09-12 14:14:15', 'SH1909-0735', 1, 2102, 0, NULL, NULL, NULL, '2019-09-12 16:14:09', 5, '2019-09-12 16:14:13', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'un devis pour un carton de n&eacute;ons led<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(743, '2019-09-16 12:48:42', 'SH1909-0736', 1, 2289, 0, NULL, NULL, NULL, '2019-09-16 14:48:37', 5, '2019-09-16 14:48:40', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'L11RS sous contrat liss&eacute;<br />\r\nN&deg; BA46470001 &agrave; 2699 HRS<br />\r\n<br />\r\nBL N&deg;30 du 11/09/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(744, '2019-09-17 09:31:21', 'SH1909-0737', 1, 2020, 0, NULL, NULL, NULL, '2019-09-17 11:31:17', 5, '2019-09-17 11:31:20', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement vanne thermostatique et 2 electrovannes sur compresseur HV07:<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(745, '2019-09-17 09:40:22', 'SH1909-0738', 1, 2042, 0, NULL, NULL, NULL, '2019-09-17 11:40:17', 5, '2019-09-17 11:40:21', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(746, '2019-09-18 07:56:34', 'SH1909-0739', 1, 2407, 0, NULL, NULL, 'L90 RS 2015 crouzet', '2019-09-18 09:56:30', 5, '2019-09-18 09:56:33', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L90RS 13BARS de 2015 N&deg; CD10030723001 &agrave; 11252 Heures<br />\r\n<br />\r\nBL N&deg;40 du 15/07/2019<br />\r\n<br />\r\nLIvraison : CROUZET AUTOMATISME 26000VALENCE', NULL, 0, '', NULL, NULL, NULL, NULL),
(747, '2019-09-18 12:46:23', 'SH1909-0740', 1, 1990, 0, NULL, NULL, NULL, '2019-09-18 14:46:17', 5, '2019-09-18 14:46:22', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'BRIDE PN16 suite &agrave; votre conversation avec Mr BALAZARD<br />\r\n<br />\r\nD&eacute;lai : DISPO USINE', NULL, 0, '', NULL, NULL, NULL, NULL),
(748, '2019-09-18 15:21:25', 'SH1909-0741', 1, 12944, 0, NULL, NULL, NULL, '2019-09-18 17:20:57', 5, '2019-09-18 17:21:00', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(749, '2019-09-19 07:30:07', 'SH1909-0742', 1, 2068, 0, NULL, NULL, NULL, '2019-09-19 09:30:03', 5, '2019-09-19 09:30:07', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Pressostat pour compresseur L05 COMPAIR :<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(750, '2019-09-25 14:11:47', 'SH1909-0743', 1, 12693, 0, NULL, NULL, NULL, '2019-09-25 16:11:43', 5, '2019-09-25 16:11:46', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L11 et remplacement 2 cartouches r&eacute;seaux&nbsp;<br />\r\n- Contr&ocirc;les et v&eacute;rifications &nbsp;pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es&nbsp;<br />\r\n&nbsp;-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(751, '2020-07-01 14:30:04', 'SH1909-0744', 1, 1948, 0, NULL, NULL, '1900815', '2019-09-25 16:19:06', 5, '2019-09-25 16:19:09', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(752, '2019-09-25 14:45:03', 'SH1909-0745', 1, 2029, 0, NULL, NULL, NULL, '2019-09-25 16:44:58', 5, '2019-09-25 16:45:01', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L11 &agrave; 29451 HRS - Mise en place d&#39;un clapet d&#39;aspiration d&#39;occasion provisoire .', NULL, 0, '', NULL, NULL, NULL, NULL),
(753, '2019-09-26 08:29:19', 'SH1909-0746', 1, 2059, 0, NULL, NULL, NULL, '2019-09-26 10:26:37', 5, '2019-09-26 10:26:45', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance d&#39;un compresseurs Sprint 15<br />\r\n&nbsp;num&eacute;ro de s&eacute;rie : 149783/249&nbsp;<br />\r\nMaintenance du separateur de condensats UltrasepSUper plus 15<br />\r\nRemplacement cartouche reseau&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(754, '2019-09-26 08:38:56', 'SH1909-0747', 1, 2060, 0, NULL, NULL, NULL, '2019-09-26 10:38:49', 5, '2019-09-26 10:38:54', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur SPRINT041 N&deg;149567/18 &agrave; 19167 Hrs<br />\r\nMaintenance seprateur de condensats<br />\r\nMaintenance filtres reseau<br />\r\n<br />\r\nBL N&deg;14 du 19/07/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(755, '2019-09-26 09:33:13', 'SH1909-0748', 1, 2071, 0, NULL, NULL, NULL, '2019-09-26 11:33:08', 5, '2019-09-26 11:33:11', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur&nbsp; V05 et boge\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV<br />\r\n&nbsp;</p>\r\n', NULL, 0, '', NULL, NULL, NULL, NULL),
(756, '2019-09-26 09:48:38', 'SH1909-0749', 1, 2054, 0, NULL, NULL, NULL, '2019-09-26 11:48:33', 5, '2019-09-26 11:48:36', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'R&eacute;paration carte du compresseur Sullair Wa3008 &agrave; 19152 Heures - remplacement des relais sur la carte .<br />\r\n<br />\r\nBL N&deg;28 du 20/09/2019<br />\r\n<br />\r\nRemplacement clapet du compresseur SUllair WA3008 &agrave; 19146 Heures<br />\r\n<br />\r\nBL N&deg;37 du 12/09/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(757, '2019-09-26 09:52:06', 'SH1909-0750', 1, 2076, 0, NULL, NULL, NULL, '2019-09-26 11:52:01', 5, '2019-09-26 11:52:04', 5, NULL, '2018-05-04 00:00:00', NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance HV07 et remplcament cartouche filtre reseau', NULL, 0, '', NULL, NULL, NULL, NULL),
(758, '2019-09-26 12:05:19', 'SH1909-0751', 1, 2168, 0, NULL, NULL, NULL, '2019-09-26 14:05:13', 5, '2019-09-26 14:05:17', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L11 N&deg;BA22910002 - owamat 10 et filtres reseaux', NULL, 0, '', NULL, NULL, NULL, NULL),
(759, '2019-09-26 12:41:12', 'SH1909-0752', 1, 2103, 0, NULL, NULL, NULL, '2019-09-26 14:41:05', 5, '2019-09-26 14:41:10', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L45RS N&deg; CD10015227001 &agrave; 18448 HRS&nbsp;<br />\r\nMaintenance seprateur de condensats&nbsp; owamat 14&nbsp;<br />\r\n<br />\r\nBL N&deg;2 du 15/03/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(760, '2019-09-26 13:01:26', 'SH1909-0753', 1, 2175, 0, NULL, NULL, NULL, '2019-09-26 15:01:20', 5, '2019-09-26 15:01:24', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance Sullair Trek 15HH &agrave; 10590 HRS&nbsp;<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(761, '2019-09-26 13:07:14', 'SH1909-0754', 1, 2175, 0, NULL, NULL, NULL, '2019-09-26 15:07:05', 5, '2019-09-26 15:07:10', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur GA115 :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(762, '2019-09-26 13:33:31', 'SH1909-0755', 1, 2169, 0, NULL, NULL, NULL, '2019-09-26 15:33:23', 5, '2019-09-26 15:33:29', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'bottarini', NULL, 0, '', NULL, NULL, NULL, NULL),
(764, '2019-09-27 08:50:37', 'SH1909-0756', 1, 2272, 0, NULL, NULL, NULL, '2019-09-27 10:50:31', 5, '2019-09-27 10:50:36', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'l05', NULL, 0, '', NULL, NULL, NULL, NULL),
(765, '2019-09-27 09:16:22', 'SH1909-0757', 1, 12777, 0, NULL, NULL, NULL, '2019-09-27 11:16:16', 5, '2019-09-27 11:16:21', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, 'verification du secheur pb de ventilo sur l&#39;un des secheurs', 'Remis en &eacute;tat et &agrave; niveau des 2 locaux de fabrication d&#39;air comprim&eacute; commpe suite &agrave; ma visite d&#39;hier :', NULL, 0, '', NULL, NULL, NULL, NULL),
(766, '2019-09-30 13:29:37', 'SH1909-0758', 1, 2371, 0, NULL, NULL, NULL, '2019-09-30 15:29:32', 5, '2019-09-30 15:29:36', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L22 N&deg; CD10002416007 &agrave; 28231HRS et filtre reseau et maintenance separateur de condensats OWAMAT 10<br />\r\n<br />\r\nBL N&deg;29 du 20/09/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(767, '2019-09-30 14:06:36', 'SH1909-0759', 1, 12667, 0, NULL, NULL, NULL, '2019-09-30 16:06:30', 5, '2019-09-30 16:06:34', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'GX7', NULL, 0, '', NULL, NULL, NULL, NULL),
(768, '2019-10-01 07:21:31', 'SH1910-0760', 1, 2070, 0, NULL, NULL, NULL, '2019-10-01 09:21:25', 5, '2019-10-01 09:21:29', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L11&nbsp;<br />\r\nmaintenance separateur de condensats owamat 10', NULL, 0, '', NULL, NULL, NULL, NULL),
(769, '2019-10-01 07:36:04', 'SH1910-0761', 1, 2341, 0, NULL, NULL, NULL, '2019-10-01 09:35:59', 5, '2019-10-01 09:36:02', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'L11<br />\r\nseparateur de condensats', NULL, 0, '', NULL, NULL, NULL, NULL),
(770, '2019-10-01 08:36:10', 'SH1910-0762', 1, 2379, 0, NULL, NULL, NULL, '2019-10-01 10:36:04', 5, '2019-10-01 10:36:07', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L15RS N&deg; CD10024800002 &agrave; HRS<br />\r\nMaintenance seprateur de condensats owamat 10<br />\r\nRemplacement des cartouches filtres r&eacute;seaux&nbsp;<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(771, '2019-10-01 08:57:45', 'SH1910-0763', 1, 2380, 0, NULL, NULL, NULL, '2019-10-01 10:57:22', 5, '2019-10-01 10:57:34', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur BOGE C9<br />\r\net remplcament cartouches filtres reseaux', NULL, 0, '', NULL, NULL, NULL, NULL),
(772, '2019-10-01 09:17:24', 'SH1910-0764', 1, 11440, 0, NULL, NULL, NULL, '2019-10-01 11:17:16', 5, '2019-10-01 11:17:20', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur RSDKB 4 -10bars RENNER N&deg; 710036', NULL, 0, '', NULL, NULL, NULL, NULL),
(773, '2019-10-01 12:14:06', 'SH1910-0765', 1, 12928, 0, NULL, NULL, 'comp reservoi secheur', '2019-10-01 14:13:53', 5, '2019-10-01 14:14:00', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Fourniture d&#39;un compresseur &agrave; vis 7.5 KW &agrave; 7.5 Bars ( pouvant fonctionner &agrave; 6 Bars )&nbsp; mont&eacute; sur reservoir 270L avec s&eacute;cheur par r&eacute;frigeration et filtration amont et aval , avec coffret d&#39;isolation phonique et kit silent blocs pour minimiser le niveau sonore &agrave; 60 dB(A).<br />\r\nLes travaux d&#39;alimentation electrique du compresseur et de ses accessoires reste a votre charge<br />\r\n&nbsp;\r\n<p><strong><em><u>Condition de vente</u></em></strong></p>\r\n\r\n<ul>\r\n	<li>Livraison&nbsp;: Franco</li>\r\n	<li>D&eacute;lai&nbsp;: Sous 2 semaines environ</li>\r\n	<li>Garantie&nbsp;: 2 ans Pi&egrave;ces / Mo&nbsp;: D&eacute;placement</li>\r\n	<li>Fabrication&nbsp;: Allemagne</li>\r\n</ul>\r\n', NULL, 0, '', NULL, NULL, NULL, NULL),
(774, '2019-10-01 12:25:04', 'SH1910-0766', 1, 2386, 0, NULL, NULL, NULL, '2019-10-01 14:24:58', 5, '2019-10-01 14:25:02', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L11&nbsp;<br />\r\nMaintenance BS61<br />\r\nremplacement cartouche filtre reseau KAESER :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(775, '2019-10-01 12:48:02', 'SH1910-0767', 1, 2406, 0, NULL, NULL, NULL, '2019-10-01 14:47:49', 5, '2019-10-01 14:47:53', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'mAINTENANCE COMPRESSEUR l18 N&deg; CD10009710001&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(776, '2019-10-01 12:58:01', 'SH1910-0768', 1, 12700, 0, NULL, NULL, NULL, '2019-10-01 14:57:54', 5, '2019-10-01 14:57:59', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'local air comprim&eacute; suivant devis du 26/06/2019 modifi&eacute; suite &agrave; notre entretien du 25/07/2019 :&nbsp;<br />\r\ninclus :<br />\r\nligne electrique ( 20 metres en 4g16 et un fusible de 63A dans chemin de cable existant ) nouvelle machine<br />\r\nkit entretien compresseur L23RS et huile pour premiere maintenance 4000 Heures<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(777, '2019-10-01 13:13:47', 'SH1910-0769', 1, 2077, 0, NULL, NULL, NULL, '2019-10-01 15:13:42', 5, '2019-10-01 15:13:45', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L22RS &agrave;&nbsp; HRS<br />\r\n<br />\r\nMaintenance seprateur de condensats Owamat 10<br />\r\nremplacement cartouche filtre reseau<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(778, '2019-10-02 13:42:52', 'SH1910-0770', 1, 2161, 0, NULL, NULL, NULL, '2019-10-02 15:42:47', 5, '2019-10-02 15:42:51', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'purge electropilot&eacute;e', NULL, 0, '', NULL, NULL, NULL, NULL),
(779, '2019-10-03 07:29:05', 'SH1910-0771', 1, 11209, 0, NULL, NULL, 'ABAC', '2019-10-03 09:29:00', 5, '2019-10-03 09:29:04', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur SCREW 4010 VT&nbsp; N&deg;244581001 &agrave; 11455 HRS et filtre reseau D510\r\n<p>BL N&deg;8 du 30/09/2019</p>\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(780, '2019-10-03 07:33:58', 'SH1910-0772', 1, 11209, 0, NULL, NULL, 'BELAIR', '2019-10-03 09:33:53', 5, '2019-10-03 09:33:56', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur BELAIR GS30\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la joun&eacute;e<br />\r\n- Audit GRATUIT , ... etc</p>\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(781, '2019-10-03 07:37:23', 'SH1910-0773', 1, 11209, 0, NULL, NULL, NULL, '2019-10-03 09:37:17', 5, '2019-10-03 09:37:20', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance s&eacute;parateur de condensats ECOTRON60 et ECOSEP S3 :&nbsp;<br />\r\n<br />\r\nA r&eacute;aliser avec une maintenance - d&eacute;placement non inclus dans cette offre', NULL, 0, '', NULL, NULL, NULL, NULL),
(782, '2019-10-03 09:34:20', 'SH1910-0774', 1, 12600, 0, NULL, NULL, NULL, '2019-10-03 11:34:15', 5, '2019-10-03 11:34:18', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L07RS et filtres reseaux&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(783, '2019-10-03 12:19:30', 'SH1910-0775', 1, 7060, 0, NULL, NULL, NULL, '2019-10-03 14:19:25', 5, '2019-10-03 14:19:28', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance Local technique : Maintenance compresseur SULLAIR TREK30HH et 2 filtres reseaux -<br />\r\nSoufflage et verification des connection du s&eacute;cheur &nbsp;ACT55 .', NULL, 0, '', NULL, NULL, NULL, NULL),
(784, '2019-10-03 12:40:39', 'SH1910-0776', 1, 2234, 0, NULL, NULL, NULL, '2019-10-03 14:40:14', 5, '2019-10-03 14:40:27', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'remplacement battery sur compresseur', NULL, 0, '', NULL, NULL, NULL, NULL),
(785, '2020-03-03 15:02:14', 'SH1910-0777', 1, 2347, 0, NULL, NULL, NULL, '2019-10-04 09:13:52', 5, '2019-10-04 09:13:56', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'kit 2000h compair', NULL, 0, '', NULL, NULL, NULL, NULL),
(786, '2019-10-08 07:48:53', 'SH1910-0778', 1, 2268, 0, NULL, NULL, NULL, '2019-10-08 09:41:37', 5, '2019-10-08 09:41:41', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur&nbsp; L75 RS N&deg; CD10003783001 avec huile alimentaire N&deg; 102220468 &agrave; HRS<br />\r\nMaintenance cartouches 3 filtres reseaux .<br />\r\n<br />\r\nBL N&deg;', NULL, 0, '', NULL, NULL, NULL, NULL),
(787, '2019-10-11 10:00:05', 'SH1910-0779', 1, 2153, 0, NULL, NULL, NULL, '2019-10-11 12:00:01', 5, '2019-10-11 12:00:04', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(788, '2019-10-15 07:14:36', 'SH1910-0780', 1, 2064, 0, NULL, NULL, NULL, '2019-10-15 09:14:31', 5, '2019-10-15 09:14:35', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '&nbsp;electrovanne pour compresseur L22S<br />\r\n<br />\r\nd&eacute;lai : 20/10/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(789, '2019-10-15 13:23:33', 'SH1910-0781', 1, 2032, 0, NULL, NULL, 'Cuve 900 Litres', '2019-10-15 15:23:22', 5, '2019-10-15 15:23:30', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement d&#39;une cuve 1000 Litres par une cuve 900 Litres pour &eacute;viter la d&eacute;claration en pr&eacute;fecture&nbsp;<br />\r\n2 Techniciens pour 1/2 Journ&eacute;e&nbsp;<br />\r\nFourniture de la cuve et Installation comprise&nbsp;<br />\r\n<br />\r\nCommande CF013084', NULL, 0, '', NULL, NULL, NULL, NULL),
(790, '2020-12-21 10:08:54', 'SH1910-0782', 1, 5741, 0, NULL, NULL, NULL, '2019-10-16 15:15:40', 5, '2019-10-16 15:15:44', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Piéces pour Compresseur : RA-086  n° de série : 349010/1092<br />\r\n<br />\r\n ', 'rouget', 0, '', NULL, NULL, 5, NULL),
(791, '2019-10-24 12:17:48', 'SH1910-0783', 1, 13018, 0, NULL, NULL, NULL, '2019-10-24 14:17:40', 5, '2019-10-24 14:17:45', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(792, '2019-10-24 13:16:06', 'SH1910-0784', 1, 2175, 0, NULL, NULL, NULL, '2019-10-24 15:15:59', 5, '2019-10-24 15:16:04', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Colle', NULL, 0, '', NULL, NULL, NULL, NULL),
(793, '2020-12-21 10:08:50', 'SH1910-0785', 1, 5741, 0, NULL, NULL, NULL, '2019-10-29 15:01:49', 5, '2019-10-29 15:01:53', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '<p>Commande 11804</p>\r\n', 'rouget', 0, '', NULL, NULL, 5, NULL),
(794, '2019-10-30 09:21:58', 'SH1910-0786', 1, 2062, 0, NULL, NULL, NULL, '2019-10-30 10:21:53', 5, '2019-10-30 10:21:57', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Fourniture secheur remplacement existant ED225 - MO offerte si r&eacute;alis&eacute; en m&ecirc;me tempsque la maintenance du compresseur vendredi 25 octobre matin&nbsp;<br />\r\n<br />\r\nCommande N&deg; 00025038<br />\r\n<br />\r\nBL N&deg;2 du 25/10/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(795, '2020-02-11 08:30:48', 'SH1910-0787', 1, 2407, 0, NULL, NULL, NULL, '2019-10-31 14:16:21', 5, '2019-10-31 14:16:25', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'huile COMPAIR pour compresseur', NULL, 0, '', NULL, NULL, NULL, NULL),
(796, '2019-11-04 09:00:41', 'SH1911-0788', 1, 2062, 0, NULL, NULL, NULL, '2019-11-04 10:00:33', 5, '2019-11-04 10:00:38', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance des 2 compresseurs L26RS&nbsp;<br />\r\nBatiment 1 et batiment 2&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(797, '2019-11-04 13:25:46', 'SH1911-0789', 1, 2155, 0, NULL, NULL, NULL, '2019-11-04 14:25:35', 5, '2019-11-04 14:25:39', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L04 N&deg; BA37888001&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(798, '2019-11-04 13:49:55', 'SH1911-0790', 1, 2161, 0, NULL, NULL, NULL, '2019-11-04 14:49:29', 5, '2019-11-04 14:49:34', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, 'sign&eacute; pour l&#39;ann&eacute;e 2019', 'Base contrat de maintenance 2019 :', NULL, 0, '', NULL, NULL, NULL, NULL),
(799, '2019-11-04 14:08:36', 'SH1911-0791', 1, 2204, 0, NULL, NULL, NULL, '2019-11-04 15:08:31', 5, '2019-11-04 15:08:34', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L15 de secours', NULL, 0, '', NULL, NULL, NULL, NULL),
(800, '2019-11-04 14:26:53', 'SH1911-0792', 1, 2324, 0, NULL, NULL, NULL, '2019-11-04 15:26:29', 5, '2019-11-04 15:26:49', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '&nbsp;Fournitures : Pi&eacute;ces d&eacute;tach&eacute;es compresseurs L18 COMPAIR<br />\r\n&nbsp;Cartouches filtres r&eacute;seaux + S&eacute;cheur &agrave; installer<br />\r\n&nbsp;Fourniture d&#39;un r&eacute;servoir galva 500Litres pose par nos soins ,&nbsp;<br />\r\n&nbsp;1 Technicien 1 journ&eacute;e pour l&#39;installation.', NULL, 0, '', NULL, NULL, NULL, NULL),
(801, '2019-11-04 14:37:19', 'SH1911-0793', 1, 10087, 0, NULL, NULL, 'MAINTENACE', '2019-11-04 15:37:12', 5, '2019-11-04 15:37:17', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance de votre local air comprim&eacute; :<br />\r\nMaintenance de vos deux compresseur &agrave; vis Rollair<br />\r\nVisite de&nbsp; controle de votre s&eacute;cheur DW46 de 2002 ( verification des connectiques et souflage )<br />\r\nRemplacement de vos 2 cartouches de filtres reseaux<br />\r\nVerification des differentes purges du local<br />\r\nMaintenance de votre separateur de condensats owamat 5R<br />\r\n&nbsp;\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la joun&eacute;e<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', NULL, 0, '', NULL, NULL, NULL, NULL),
(802, '2019-11-04 15:22:13', 'SH1911-0794', 1, 2149, 0, NULL, NULL, NULL, '2019-11-04 16:22:03', 5, '2019-11-04 16:22:11', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'R&eacute;paration grosse fuite dans l&#39;atelier entre midi et 14h , fournitures, main d&#39;oeuvre et d&eacute;placement inclus, comme vu ensemble dans vos ateliers<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(803, '2019-11-04 15:35:04', 'SH1911-0795', 1, 2276, 0, NULL, NULL, NULL, '2019-11-04 16:34:59', 5, '2019-11-04 16:35:02', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur Ingersollrand IRN18-10H &agrave;&nbsp; HRS<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(804, '2019-11-05 08:32:12', 'SH1911-0796', 1, 2285, 0, NULL, NULL, NULL, '2019-11-05 09:29:36', 5, '2019-11-05 09:29:46', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance de vos 2 compresseurs , votre secheur alumine et vos 2 surpresseurs :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(805, '2019-11-05 09:32:54', 'SH1911-0797', 1, 2285, 0, NULL, NULL, NULL, '2019-11-05 10:32:48', 5, '2019-11-05 10:32:52', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'remplacement flexible sur compresseur L15 en m&ecirc;me temps que sa maintenance .&nbsp;<br />\r\nCette offre n&#39;inclut pas le deplacement ni le temps de d&eacute;placement', NULL, 0, '', NULL, NULL, NULL, NULL),
(806, '2019-11-05 09:39:22', 'SH1911-0798', 1, 10407, 0, NULL, NULL, 'filtres reseaux mattei', '2019-11-05 10:39:10', 5, '2019-11-05 10:39:13', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement des 2 cartouches des filtres reseaux MATTEI en m&ecirc;me temps qu&#39;une maintenance compresseur :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(807, '2019-11-05 09:52:45', 'SH1911-0799', 1, 10407, 0, NULL, NULL, 'CYCLON 218', '2019-11-05 10:52:40', 5, '2019-11-05 10:52:44', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance cyclon 218 N&deg; F164-2519 ann&eacute;e 2000<br />\r\n&nbsp;\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la joun&eacute;e<br />\r\n- Audit GRATUIT , ... etc</p>\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(808, '2019-11-05 10:02:19', 'SH1911-0800', 1, 10407, 0, NULL, NULL, 'MAVR', '2019-11-05 11:02:14', 5, '2019-11-05 11:02:17', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur MAVRS150/10 N&deg;CAI343721&nbsp; ann&eacute;e 2008<br />\r\n&nbsp;\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la joun&eacute;e<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', NULL, 0, '', NULL, NULL, NULL, NULL),
(809, '2019-11-05 10:27:34', 'SH1911-0801', 1, 2352, 0, NULL, NULL, NULL, '2019-11-05 11:27:28', 5, '2019-11-05 11:27:32', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L37RS N&deg; CD10019189001 &agrave; 14260 HRS<br />\r\nRemplacement des 2 cartouches filtres reseaux<br />\r\n<br />\r\nBL N&deg; 47 du 18/10/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(810, '2019-11-05 10:37:12', 'SH1911-0802', 1, 2370, 0, NULL, NULL, NULL, '2019-11-05 11:37:07', 5, '2019-11-05 11:37:11', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance RStop 7.5 :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(811, '2019-11-06 09:46:49', 'SH1911-0803', 1, 2370, 0, NULL, NULL, NULL, '2019-11-06 10:46:44', 5, '2019-11-06 10:46:47', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur GE10&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(812, '2019-11-06 14:00:29', 'SH1911-0804', 1, 5741, 0, NULL, NULL, NULL, '2019-11-06 15:00:24', 5, '2019-11-06 15:00:28', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '<p><span style=\"font-size:12.0pt\"><span style=\"color:black\">1 s&eacute;parateur d&rsquo;huile ainsi que </span></span></p>\r\n\r\n<p><span style=\"font-size:12.0pt\"><span style=\"color:black\">1 filtre a air </span></span></p>\r\n\r\n<p><span style=\"font-size:12.0pt\"><span style=\"color:black\">&nbsp;Pour un compresseur REGATTA 141&nbsp;&nbsp; </span></span></p>\r\n', NULL, 0, '', NULL, NULL, NULL, NULL),
(813, '2019-11-07 09:31:56', 'SH1911-0805', 1, 12618, 0, NULL, NULL, 'Cartouche Réseau', '2019-11-07 10:31:51', 5, '2019-11-07 10:31:55', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement des 3 cartouches des filtres reseaux BEA -<br />\r\n<br />\r\nOffre hors deplacement -&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(814, '2019-11-07 10:06:47', 'SH1911-0806', 1, 12618, 0, NULL, NULL, NULL, '2019-11-07 11:06:42', 5, '2019-11-07 11:06:46', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '<br />\r\n<br />\r\nMaintenance compresseur Cyclon215 de 1999 : et 3 iltres reseaux', NULL, 0, '', NULL, NULL, NULL, NULL),
(815, '2019-11-18 13:54:15', 'SH1911-0807', 1, 2055, 0, NULL, NULL, 'Petit réseau pour vide', '2019-11-18 14:54:03', 5, '2019-11-18 14:54:11', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Petit reseau de vide', NULL, 0, '', NULL, NULL, NULL, NULL),
(816, '2019-11-20 08:53:47', 'SH1911-0808', 1, 11209, 0, NULL, NULL, NULL, '2019-11-20 09:53:27', 5, '2019-11-20 09:53:44', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Installation de 2 vannes au niveaux des filtres reseaux&nbsp;<br />\r\nRemplacement d&#39;un purgeur de condensats pour chacun des deux filtres r&eacute;seaux 1/2 entr&eacute;e dessus<br />\r\nRemplcament du purgeur sous la cuve en 1/2 avec prise au dessus et prise basse&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(817, '2019-11-28 14:49:21', 'SH1911-0809', 1, 2350, 0, NULL, NULL, NULL, '2019-11-28 15:49:17', 5, '2019-11-28 15:49:21', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'D&eacute;lai : DISPONIBLE USINE', NULL, 0, '', NULL, NULL, NULL, NULL),
(818, '2020-09-29 08:23:51', 'SH1911-0810', 1, 2351, 0, NULL, NULL, NULL, '2019-11-29 11:19:27', 5, '2019-11-29 11:19:30', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'kit de maintenance pour compresseur HV1122e', NULL, 0, '', NULL, NULL, NULL, NULL),
(819, '2019-11-29 11:01:10', 'SH1911-0811', 1, 1990, 0, NULL, NULL, NULL, '2019-11-29 12:01:00', 5, '2019-11-29 12:01:06', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'reseaux en inox serti', NULL, 0, '', NULL, NULL, NULL, NULL),
(820, '2019-11-29 14:53:32', 'SH1911-0812', 1, 2086, 0, NULL, NULL, NULL, '2019-11-29 15:53:26', 5, '2019-11-29 15:53:30', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L11RS N&deg; BA31759001 &agrave; 17686 HRS<br />\r\n<br />\r\nMaintenance seprateur de condensats OWAMAT 10<br />\r\n<br />\r\nBL N&deg;8 du 07/09/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(821, '2019-12-02 10:16:15', 'SH1912-0813', 1, 2122, 0, NULL, NULL, NULL, '2019-12-02 11:16:06', 5, '2019-12-02 11:16:13', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Filtre r&eacute;gulateur<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE USINE', NULL, 0, '', NULL, NULL, NULL, NULL),
(822, '2019-12-02 13:59:16', 'SH1912-0814', 1, 2162, 0, NULL, NULL, NULL, '2019-12-02 14:59:10', 5, '2019-12-02 14:59:14', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'R&eacute;seau en inox serti - ajout d&#39;une ligne en diamete 42 pour filtre&nbsp;<br />\r\nBL N&deg; 19 du07/11/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(823, '2019-12-02 14:17:17', 'SH1912-0815', 1, 2162, 0, NULL, NULL, NULL, '2019-12-02 15:17:04', 5, '2019-12-02 15:17:10', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Air comprim&eacute; - ajout deux lignes en diametre 28 et 22 - sectionnement du collecteur piston', NULL, 0, '', NULL, NULL, NULL, NULL),
(824, '2019-12-02 14:23:28', 'SH1912-0816', 1, 2184, 0, NULL, NULL, NULL, '2019-12-02 15:23:21', 5, '2019-12-02 15:23:26', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L45RS ( 2018 ) N&deg; CD10034859001 en huile alimentaire &agrave;12902 Hrs<br />\r\n<br />\r\nRemplacement cartouche filtre r&eacute;seau&nbsp;<br />\r\n<br />\r\nMaintenance seprateur de condensats OWAMAT 14<br />\r\n<br />\r\nBL N&deg;34 du 09/10/2019<br />\r\n<br />\r\nCommande N&deg;PO7100001002<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(825, '2019-12-02 14:47:25', 'SH1912-0817', 1, 2247, 0, NULL, NULL, NULL, '2019-12-02 15:47:19', 5, '2019-12-02 15:47:23', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L18rs N&deg; CD100018442001 &agrave; 2411HRS( nouvelle carte )&nbsp;<br />\r\nMaintenance separateur de condensats OWAMT 11<br />\r\nRemplcament cartouche filtre reseau<br />\r\n<br />\r\n<br />\r\nBL N&deg; 35 du 25/01/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(826, '2019-12-02 15:00:52', 'SH1912-0818', 1, 2218, 0, NULL, NULL, NULL, '2019-12-02 16:00:46', 5, '2019-12-02 16:00:50', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L07 en adaptable', NULL, 0, '', NULL, NULL, NULL, NULL),
(827, '2019-12-03 08:22:45', 'SH1912-0819', 1, 2284, 0, NULL, NULL, NULL, '2019-12-03 09:22:39', 5, '2019-12-03 09:22:43', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance l18RS N&deg; CD10009205002 &agrave;&nbsp;<br />\r\nRemplacement cartouche filtres reseau<br />\r\net Maintenance separateur de condensats<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(828, '2019-12-03 08:33:34', 'SH1912-0820', 1, 2032, 0, NULL, NULL, NULL, '2019-12-03 09:33:28', 5, '2019-12-03 09:33:31', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'remplacement electrovanne sur compresseur FINI', NULL, 0, '', NULL, NULL, NULL, NULL),
(829, '2019-12-03 09:48:49', 'SH1912-0821', 1, 2407, 0, NULL, NULL, NULL, '2019-12-03 10:48:42', 5, '2019-12-03 10:48:47', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L90RS 13BARS de 2015 N&deg; CD10030723001 &agrave;&nbsp;<br />\r\n<br />\r\nLIvraison : CROUZET AUTOMATISME 26000VALENCE', NULL, 0, '', NULL, NULL, NULL, NULL),
(830, '2019-12-20 09:04:50', 'SH1912-0822', 1, 12757, 0, NULL, NULL, NULL, '2019-12-04 14:34:42', 5, '2019-12-04 14:34:46', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(831, '2020-10-05 09:29:20', 'SH1912-0823', 1, 2161, 0, NULL, NULL, NULL, '2019-12-04 16:46:18', 5, '2019-12-04 16:46:24', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Raccord inox g1/4 femelle&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(832, '2020-10-29 09:06:37', 'SH1912-0824', 1, 1955, 0, NULL, NULL, NULL, '2019-12-12 11:10:05', 5, '2019-12-12 11:10:09', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Filtre regulateur lubrificateur en 1/2', NULL, 0, '', NULL, NULL, NULL, NULL),
(833, '2019-12-16 15:39:46', 'SH1912-0825', 1, 2234, 0, NULL, NULL, NULL, '2019-12-16 16:39:41', 5, '2019-12-16 16:39:44', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L45RS N&deg;CD10005658001 &agrave; 59539 Hrs&nbsp; et remplacement cartouche filtre reseau<br />\r\n<br />\r\nBL N&deg;37 du 16/12/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(834, '2019-12-17 13:37:26', 'SH1912-0826', 1, 12970, 0, NULL, NULL, NULL, '2019-12-17 14:37:20', 5, '2019-12-17 14:37:23', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Compresseur &agrave; vis avec secheur int&eacute;gr&eacute; mont&eacute; sur reservoir RENNER 7.5KW 7.5Bars', NULL, 0, '', NULL, NULL, NULL, NULL),
(835, '2019-12-18 09:18:24', 'SH1912-0827', 1, 2161, 0, NULL, NULL, NULL, '2019-12-18 10:18:17', 5, '2019-12-18 10:18:20', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Raccord inox g1/4 male', NULL, 0, '', NULL, NULL, NULL, NULL),
(836, '2019-12-18 09:21:56', 'SH1912-0828', 1, 1955, 0, NULL, NULL, NULL, '2019-12-18 10:21:41', 5, '2019-12-18 10:21:53', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L07 de 2009 N&deg; CD10000211002 &agrave;&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(837, '2019-12-18 10:24:40', 'SH1912-0829', 1, 1983, 0, NULL, NULL, NULL, '2019-12-18 11:24:36', 5, '2019-12-18 11:24:39', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L07RS N&deg; BA2765001 &agrave; 16561 HRS<br />\r\nRemplacement cartouche filtre reseau<br />\r\nRemplacement sonde de temperature<br />\r\n<br />\r\nBL N&deg;36 du 12/12/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(838, '2019-12-18 10:55:09', 'SH1912-0830', 1, 2055, 0, NULL, NULL, NULL, '2019-12-18 11:55:02', 5, '2019-12-18 11:55:07', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L18 - en pi&eacute;ces adaptables&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(839, '2019-12-19 10:07:20', 'SH1912-0831', 1, 2313, 0, NULL, NULL, NULL, '2019-12-19 11:07:14', 5, '2019-12-19 11:07:19', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L07RS N&deg; BA3562001 &agrave;&nbsp; 11414 HRS&nbsp; : en adaptable hors garantie', NULL, 0, '', NULL, NULL, NULL, NULL),
(840, '2019-12-19 10:30:06', 'SH1912-0832', 1, 2140, 0, NULL, NULL, NULL, '2019-12-19 11:30:01', 5, '2019-12-19 11:30:04', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L15', NULL, 0, '', NULL, NULL, NULL, NULL),
(841, '2019-12-19 15:31:22', 'SH1912-0833', 1, 2140, 0, NULL, NULL, NULL, '2019-12-19 16:31:16', 5, '2019-12-19 16:31:20', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L15RS', NULL, 0, '', NULL, NULL, NULL, NULL),
(842, '2019-12-20 08:32:49', 'SH1912-0834', 1, 2054, 0, NULL, NULL, 'sullair wa3008 voreppe', '2019-12-20 09:32:43', 5, '2019-12-20 09:32:47', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur Sullair WA3008 -<br />\r\n<br />\r\nSite de voreppe', NULL, 0, '', NULL, NULL, NULL, NULL),
(843, '2019-12-20 08:35:59', 'SH1912-0835', 1, 2054, 0, NULL, NULL, 'es8', '2019-12-20 09:35:34', 5, '2019-12-20 09:35:38', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur ES 8 - Saint jean de la porte', NULL, 0, '', NULL, NULL, NULL, NULL),
(844, '2019-12-20 13:13:48', 'SH1912-0836', 1, 11435, 0, NULL, NULL, NULL, '2019-12-20 14:13:41', 5, '2019-12-20 14:13:47', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L30RS N&deg;cd10013952002', NULL, 0, '', NULL, NULL, NULL, NULL),
(845, '2019-12-23 08:31:03', 'SH1912-0837', 1, 2162, 0, NULL, NULL, NULL, '2019-12-23 09:30:56', 5, '2019-12-23 09:31:00', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remis aux reseaux vannes pneumatique du compresseur &agrave; piston&nbsp;<br />\r\n<br />\r\nBL N&deg;35 du 10/12/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(847, '2019-12-23 13:06:12', 'SH1912-0838', 1, 2287, 0, NULL, NULL, NULL, '2019-12-23 14:06:06', 5, '2019-12-23 14:06:10', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance ROLLAIR N&deg; 339336', NULL, 0, '', NULL, NULL, NULL, NULL);
INSERT INTO `llx_expedition` (`rowid`, `tms`, `ref`, `entity`, `fk_soc`, `fk_projet`, `ref_ext`, `ref_int`, `ref_customer`, `date_creation`, `fk_user_author`, `date_valid`, `fk_user_valid`, `date_expedition`, `date_delivery`, `fk_address`, `fk_shipping_method`, `tracking_number`, `fk_statut`, `billed`, `height`, `width`, `size_units`, `size`, `weight_units`, `weight`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_user_modif`, `last_main_doc`) VALUES
(848, '2019-12-23 13:13:01', 'SH1912-0839', 1, 2286, 0, NULL, NULL, NULL, '2019-12-23 14:12:52', 5, '2019-12-23 14:12:57', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance compresseur L15RS N&deg; CD10016180001 &agrave;&nbsp;<br />\r\nRemplacement cartouche filtre r&eacute;seau<br />\r\n<br />\r\nBL N&deg;', NULL, 0, '', NULL, NULL, NULL, NULL),
(849, '2019-12-23 14:13:31', 'SH1912-0840', 1, 2370, 0, NULL, NULL, NULL, '2019-12-23 15:13:23', 5, '2019-12-23 15:13:29', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance s&eacute;cheur alumine HL0030 et remplcament cartouches filtres r&eacute;seaux :<br />\r\n<br />\r\nBL N&deg; 43 du 30/03/2018', NULL, 0, '', NULL, NULL, NULL, NULL),
(850, '2019-12-23 14:24:37', 'SH1912-0841', 1, 2350, 0, NULL, NULL, NULL, '2019-12-23 15:24:16', 5, '2019-12-23 15:24:21', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance Compresseurs L45RS N&deg; CD10015094001 &agrave; 30014Hrs et 2 cartouches filtres reseaux ainsi que la maintenance de votre separateur de condensats OWAMAT 14<br />\r\n<br />\r\nBL N&deg;22 du 04/12/2019<br />\r\n<br />\r\nCOMMANDE&nbsp;2372813-325-G9J-BKP', NULL, 0, '', NULL, NULL, NULL, NULL),
(851, '2020-08-12 10:06:35', 'SH2001-0842', 1, 2331, 0, NULL, NULL, NULL, '2020-01-06 09:48:45', 5, '2020-01-06 09:48:50', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Purge temporis&eacute;e', NULL, 0, '', NULL, NULL, NULL, NULL),
(852, '2020-01-15 10:31:19', 'SH2001-0843', 1, 2029, 0, NULL, NULL, NULL, '2020-01-15 11:30:45', 5, '2020-01-15 11:31:16', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L11 &agrave;&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(853, '2020-01-15 10:37:44', 'SH2001-0844', 1, 2054, 0, NULL, NULL, NULL, '2020-01-15 11:37:29', 5, '2020-01-15 11:37:33', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement electrovanne sur compresseur SULLAIR WA3008 -&nbsp;<br />\r\nSIte de VOREPPE<br />\r\n<br />\r\nD&eacute;lai : 4 semaines', NULL, 0, '', NULL, NULL, NULL, NULL),
(854, '2020-01-15 10:47:57', 'SH2001-0845', 1, 12666, 0, NULL, NULL, NULL, '2020-01-15 11:47:52', 5, '2020-01-15 11:47:55', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance UP5-15-8.5', NULL, 0, '', NULL, NULL, NULL, NULL),
(855, '2020-01-16 10:40:02', 'SH2001-0846', 1, 5741, 0, NULL, NULL, NULL, '2020-01-16 11:39:55', 5, '2020-01-16 11:39:59', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(856, '2020-01-20 13:33:27', 'SH2001-0847', 1, 2245, 0, NULL, NULL, NULL, '2020-01-20 14:33:09', 5, '2020-01-20 14:33:27', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '<span style=\"font-size:small\"><span style=\"font-family:Default Sans Serif,Verdana,Arial,Helvetica,sans-serif\">20 &eacute;lectrovannes CAMOZZI R&eacute;f.438.015.22<br />\r\n<br />\r\nD&eacute;lai : 21/01/</span></span>', NULL, 0, '', NULL, NULL, NULL, NULL),
(857, '2020-01-21 11:04:10', 'SH2001-0848', 1, 12995, 0, NULL, NULL, NULL, '2020-01-21 12:04:05', 5, '2020-01-21 12:04:08', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance des 2 compresseurs &agrave; piston ABAC<br />\r\n&nbsp;\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- resserrage connexions &eacute;lectriques par nos techniciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration </u><br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 50 CV ( hors manutention, transport &amp; raccordement)<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', NULL, 0, '', NULL, NULL, NULL, NULL),
(858, '2020-01-22 08:35:42', 'SH2001-0849', 1, 12581, 0, NULL, NULL, NULL, '2020-01-22 09:35:35', 5, '2020-01-22 09:35:39', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance GA15+FF &agrave;&nbsp; HRS<br />\r\n<br />\r\nCommande N&deg;&nbsp;<br />\r\nChantier Centrale enrob&eacute; N&deg; 82000<br />\r\nContact Fabien Laurent', NULL, 0, '', NULL, NULL, NULL, NULL),
(859, '2020-01-24 13:19:42', 'SH2001-0850', 1, 12581, 0, NULL, NULL, NULL, '2020-01-24 14:19:30', 5, '2020-01-24 14:19:37', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Filtres a air pour compresseur GA15', NULL, 0, '', NULL, NULL, NULL, NULL),
(860, '2020-01-28 14:37:41', 'SH2001-0851', 1, 2008, 0, NULL, NULL, NULL, '2020-01-28 15:37:36', 5, '2020-01-28 15:37:40', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur 6000 EL', NULL, 0, '', NULL, NULL, NULL, NULL),
(861, '2020-01-28 14:42:39', 'SH2001-0852', 1, 2033, 0, NULL, NULL, NULL, '2020-01-28 15:42:33', 5, '2020-01-28 15:42:36', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L15RS N&deg; CD10006364001 &agrave; 22000 hrs', NULL, 0, '', NULL, NULL, NULL, NULL),
(862, '2020-01-28 14:46:45', 'SH2001-0853', 1, 2073, 0, NULL, NULL, NULL, '2020-01-28 15:46:40', 5, '2020-01-28 15:46:43', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance Hv07 &agrave; 11978 HRS<br />\r\n<br />\r\nBL N&deg;13 du 21/01/2020', NULL, 0, '', NULL, NULL, NULL, NULL),
(863, '2020-01-28 14:52:11', 'SH2001-0854', 1, 2119, 0, NULL, NULL, NULL, '2020-01-28 15:52:05', 5, '2020-01-28 15:52:09', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L05 , owamat et filtres reseaux&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(864, '2020-01-28 15:10:27', 'SH2001-0855', 1, 2128, 0, NULL, NULL, NULL, '2020-01-28 16:01:37', 5, '2020-01-28 16:01:41', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L11RS N&deg; BA4491101 &agrave; 10596 HRS sous contrat liss&eacute;<br />\r\net remplacement de 2 cartouches filtres r&eacute;seaux<br />\r\net remplcament kit separateur de condensats<br />\r\net remplacement du purgeur du filtre d&#39;entr&eacute;e<br />\r\nBL N&deg; 45 du 03/01//2020', NULL, 0, '', NULL, NULL, NULL, NULL),
(865, '2020-01-29 16:07:30', 'SH2001-0856', 1, 2235, 0, NULL, NULL, NULL, '2020-01-29 17:07:23', 5, '2020-01-29 17:07:30', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Pour robot vu cette apres midi ensemble&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(866, '2020-01-31 15:28:54', 'SH2001-0857', 1, 2163, 0, NULL, NULL, NULL, '2020-01-31 16:28:43', 5, '2020-01-31 16:28:54', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Repose de votre compresseur Renner et de votre s&eacute;cheur d&eacute;j&agrave; en votre possession dans votre atelier provisoire &agrave; G&eacute;nissieux en raccordement souple .<br />\r\nLigne &eacute;l&eacute;ctrique et sectionneur de proximit&eacute; &agrave; votre charge', NULL, 0, '', NULL, NULL, NULL, NULL),
(867, '2020-02-03 14:33:34', 'SH2002-0858', 1, 2163, 0, NULL, NULL, NULL, '2020-02-03 15:33:26', 5, '2020-02-03 15:33:32', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Repose de votre compresseur Renner et de votre s&eacute;cheur d&eacute;j&agrave; en votre possession dans votre atelier provisoire &agrave; G&eacute;nissieux en raccordement souple .<br />\r\nLigne &eacute;l&eacute;ctrique et sectionneur de proximit&eacute; &agrave; votre charge', NULL, 0, '', NULL, NULL, NULL, NULL),
(868, '2020-02-03 14:52:30', 'SH2002-0859', 1, 2162, 0, NULL, NULL, NULL, '2020-02-03 15:52:25', 5, '2020-02-03 15:52:28', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Soupape surcuve intermediaire', NULL, 0, '', NULL, NULL, NULL, NULL),
(869, '2020-02-03 14:59:43', 'SH2002-0860', 1, 2163, 0, NULL, NULL, NULL, '2020-02-03 15:59:00', 5, '2020-02-03 15:59:06', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur START015&nbsp; et remplacement du pressostat', NULL, 0, '', NULL, NULL, NULL, NULL),
(870, '2020-10-06 12:02:11', 'SH2002-0861', 1, 2184, 0, NULL, NULL, NULL, '2020-02-03 16:22:09', 5, '2020-02-03 16:22:13', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L45RS ( 2018 ) N&deg; CD10034859001 en huile alimentaire &agrave; Hrs<br />\r\n<br />\r\nRemplacement cartouche filtre r&eacute;seau&nbsp;<br />\r\n<br />\r\nMaintenance seprateur de condensats OWAMAT 14<br />\r\n<br />\r\n<br />\r\n<br />\r\nCommande N&deg;<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(871, '2020-02-03 15:27:03', 'SH2002-0862', 1, 2177, 0, NULL, NULL, NULL, '2020-02-03 16:26:55', 5, '2020-02-03 16:26:59', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L07RS &agrave; 9346 HRS<br />\r\n<br />\r\nBL N&deg;7 du 09/01/2020', NULL, 0, '', NULL, NULL, NULL, NULL),
(872, '2020-02-03 15:42:37', 'SH2002-0863', 1, 2235, 0, NULL, NULL, NULL, '2020-02-03 16:42:32', 5, '2020-02-03 16:42:35', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Suite &agrave; votre demande aupr&eacute;s de Mr Balazard ce jour , un bidon d&#39;huile 20Litres pour votre compresseur L15VS<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE', NULL, 0, '', NULL, NULL, NULL, NULL),
(873, '2020-02-04 07:54:13', 'SH2002-0864', 1, 2235, 0, NULL, NULL, NULL, '2020-02-04 08:54:08', 5, '2020-02-04 08:54:12', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Pour robot vu cette apres midi ensemble&nbsp;<br />\r\n<br />\r\nCommande N&deg; MAI20GLB00050', NULL, 0, '', NULL, NULL, NULL, NULL),
(874, '2020-02-04 08:47:33', 'SH2002-0865', 1, 2268, 0, NULL, NULL, NULL, '2020-02-04 09:46:53', 5, '2020-02-04 09:47:31', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L15 N&deg; CD10006861001 &agrave; 48263 HRS<br />\r\n<br />\r\nBL N&deg;4 du 13/01/2020', NULL, 0, '', NULL, NULL, NULL, NULL),
(875, '2020-02-04 13:26:55', 'SH2002-0866', 1, 6663, 0, NULL, NULL, NULL, '2020-02-04 14:26:48', 5, '2020-02-04 14:26:52', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L18 N&deg;100011405/0154 &agrave; 17468HEURES<br />\r\nRemplacement cartouches filtres reseaux&nbsp;<br />\r\nMaintenance separateur de condensats OWAMAT 14<br />\r\n<br />\r\nBL N&deg;09 du 15/01/2020', NULL, 0, '', NULL, NULL, NULL, NULL),
(876, '2020-02-04 14:42:38', 'SH2002-0867', 1, 2347, 0, NULL, NULL, NULL, '2020-02-04 15:42:22', 5, '2020-02-04 15:42:30', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L15RS N&deg;CD10021874001 - 8000 HRS', NULL, 0, '', NULL, NULL, NULL, NULL),
(877, '2020-03-19 10:07:10', 'SH2002-0868', 1, 2350, 0, NULL, NULL, NULL, '2020-02-04 16:18:04', 5, '2020-02-04 16:18:14', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Compresseur &agrave; pistons &agrave; vitesse lente COMPAIR<br />\r\nGarantie 2 ans pi&eacute;ces et main d&#39;oeuvre*<br />\r\n<br />\r\nDimensions &agrave; v&eacute;rifier :( Lx l x H) 1970 x 590 x 1280<br />\r\n<br />\r\nD&eacute;bit 44 m3/h 5.5 kw 10bar<br />\r\nreservoir 500 Litres<br />\r\n260 kg<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(878, '2020-02-04 15:31:28', 'SH2002-0869', 1, 10293, 0, NULL, NULL, NULL, '2020-02-04 16:31:20', 5, '2020-02-04 16:31:25', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(879, '2020-02-05 08:47:02', 'SH2002-0870', 1, 12666, 0, NULL, NULL, NULL, '2020-02-05 09:46:57', 5, '2020-02-05 09:47:00', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur MAC 3 MSC18 &agrave; 13300HRS - site de ST julien Molin molette&nbsp;<br />\r\n<br />\r\nBL N&deg;47 du 31/01/2020', NULL, 0, '', NULL, NULL, NULL, NULL),
(880, '2020-02-05 08:52:54', 'SH2002-0871', 1, 2102, 0, NULL, NULL, NULL, '2020-02-05 09:52:08', 5, '2020-02-05 09:52:51', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(881, '2020-02-05 09:04:07', 'SH2002-0872', 1, 2162, 0, NULL, NULL, NULL, '2020-02-05 10:04:02', 5, '2020-02-05 10:04:06', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Creation d&#39;un bypass en inox sur votre cuve', NULL, 0, '', NULL, NULL, NULL, NULL),
(882, '2020-02-06 08:23:44', 'SH2002-0873', 1, 13053, 0, NULL, NULL, NULL, '2020-02-06 09:23:37', 5, '2020-02-06 09:23:42', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, 'sign&eacute; pour l&#39;ann&eacute;e 2019', 'Base contrat de maintenance 2019 :', NULL, 0, '', NULL, NULL, NULL, NULL),
(883, '2020-12-21 10:08:47', 'SH2002-0874', 1, 5741, 0, NULL, NULL, NULL, '2020-02-20 14:46:48', 5, '2020-02-20 14:46:53', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '<p>une offre pour 1 filtration de chaque</p>\r\n\r\n<p>1 X&nbsp;&nbsp;&nbsp; AIP CART BEA 1200 RB&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</p>\r\n\r\n<p>&nbsp;1 X&nbsp;&nbsp;&nbsp;&nbsp; AIP CART BEA 1200 RA&nbsp;&nbsp;&nbsp;</p>\r\n', NULL, 0, '', NULL, NULL, NULL, NULL),
(884, '2020-02-28 08:07:34', 'SH2002-0875', 1, 13036, 0, NULL, NULL, NULL, '2020-02-28 09:07:20', 5, '2020-02-28 09:07:23', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur RLR25V en pi&eacute;ces adaptables\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- resserrage connexions &eacute;lectriques par nos techniciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration </u><br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 50 CV ( hors manutention, transport &amp; raccordement)<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', NULL, 0, '', NULL, NULL, NULL, NULL),
(885, '2020-02-28 08:14:07', 'SH2002-0876', 1, 2064, 0, NULL, NULL, NULL, '2020-02-28 09:14:00', 5, '2020-02-28 09:14:04', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L80 &agrave; 38357 HRS<br />\r\nRemplacement des 3 cartouches reseaux<br />\r\n<br />\r\nBL N&deg;6 du 11/02/2020', NULL, 0, '', NULL, NULL, NULL, NULL),
(886, '2020-02-28 09:15:07', 'SH2002-0877', 1, 13036, 0, NULL, NULL, 'M.Delangue', '2020-02-28 10:14:59', 5, '2020-02-28 10:15:04', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Reseau d&#39;air comprim&eacute; nouveau batiment. Reseau en inox serti boucl&eacute; sous tunel D28 debit admissible &agrave; 10b_8m3/mn avec vanne sectionnement par zone. Ligne pour encollage / zone usinage / zone montage / sableuse en D35 debit admissible a 10B _14m3/mn. Depart en col de cygne en D22. Chaque descente sera termin&eacute;e par une vanne 1/2 + 1 Ygrec en 1/2 avec un coupleur et un bouchon pour utilisation future.<br />\r\nDelai: pose possible sous 10 jours &agrave; reception de commande', NULL, 0, '', NULL, NULL, NULL, NULL),
(887, '2020-02-28 09:59:06', 'SH2002-0878', 1, 2075, 0, NULL, NULL, NULL, '2020-02-28 10:59:01', 5, '2020-02-28 10:59:04', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L07 N&deg; CD10004996001 &agrave; HRS<br />\r\nMaintenance s&eacute;parateur de condensats Owamat 10<br />\r\n<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(888, '2020-02-28 10:49:35', 'SH2002-0879', 1, 12666, 0, NULL, NULL, NULL, '2020-02-28 11:49:30', 5, '2020-02-28 11:49:33', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Ensemble sites Delmonico DOREL', NULL, 0, '', NULL, NULL, NULL, NULL),
(889, '2020-02-28 14:15:12', 'SH2002-0880', 1, 2122, 0, NULL, NULL, NULL, '2020-02-28 15:15:02', 5, '2020-02-28 15:15:09', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'CARTOUCHE AKP&uml;04/20<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE USINE ( 24/48H )&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(890, '2020-02-28 14:46:09', 'SH2002-0881', 1, 2077, 0, NULL, NULL, NULL, '2020-02-28 15:46:04', 5, '2020-02-28 15:46:07', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L22RS', NULL, 0, '', NULL, NULL, NULL, NULL),
(891, '2020-03-02 08:29:55', 'SH2003-0882', 1, 2054, 0, NULL, NULL, NULL, '2020-03-02 09:25:37', 5, '2020-03-02 09:29:53', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance s&eacute;cheur HL1500 N&deg;14P024411 -<br />\r\nSite : Semence les Ollagnieres 2460 chemin de la voie ferr&eacute;e 38260 La cote Saint Andre<br />\r\n<br />\r\nBL N&deg;12 du 24/02/2020<br />\r\n<br />\r\nCommande N&deg; S97220021021', NULL, 0, '', NULL, NULL, NULL, NULL),
(892, '2020-03-02 09:39:41', 'SH2003-0883', 1, 13032, 0, NULL, NULL, NULL, '2020-03-02 10:39:35', 5, '2020-03-02 10:39:39', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Local air comprim&eacute;', NULL, 0, '', NULL, NULL, NULL, NULL),
(893, '2020-12-21 10:09:02', 'SH2003-0884', 1, 5741, 0, NULL, NULL, NULL, '2020-03-02 16:33:18', 5, '2020-03-02 16:33:21', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Purgeur pour filtre BEA<br />\r\n<br />\r\nFrais de port offert&nbsp;<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE USINE', NULL, 0, '', NULL, NULL, NULL, NULL),
(894, '2020-03-03 08:22:09', 'SH2003-0885', 1, 2162, 0, NULL, NULL, NULL, '2020-03-03 09:22:04', 5, '2020-03-03 09:22:08', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '<p>R&eacute;&eacute;preuve de r&eacute;servoir d&rsquo;air comprim&eacute; ( Hors organisme agr&eacute;e ) pour 3 cuves (&nbsp; 2 cuves simples et 1 cuve separateur compresseur )&nbsp;</p>\r\n\r\n<p>Notre offre comprend :</p>\r\n\r\n<ul>\r\n	<li>La vidange d&rsquo;huile du compresseur</li>\r\n	<li>D&eacute;pose des accessoires fixer sur la cuve ( flexible , &hellip; etc )</li>\r\n	<li>Bouchonnage des differents orifices</li>\r\n	<li>Remplissage du reservoir avec de l&rsquo;eau</li>\r\n	<li>Assistance eu verificateur de l&rsquo;organisme agr&eacute;e</li>\r\n	<li>Remontage et remise en service de la machine</li>\r\n	<li>Remise &agrave; niveau d&rsquo;huile du compresseur</li>\r\n</ul>\r\n<br />\r\nMerci de pr&eacute;voir un point d&#39;eau &agrave; proximit&eacute;', NULL, 0, '', NULL, NULL, NULL, NULL),
(895, '2020-03-03 08:35:06', '(PROV895)', 1, 2163, 0, NULL, NULL, NULL, '2020-03-03 09:35:06', 5, NULL, NULL, NULL, NULL, NULL, NULL, '', 0, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur RENNER RS TOP 11 N&deg; 438079 &agrave; 2513 HRS<br />\r\nBL N&deg;35 du 21/02/2020', NULL, 0, '', NULL, NULL, NULL, NULL),
(896, '2020-03-03 08:35:11', 'SH2003-0886', 1, 2163, 0, NULL, NULL, NULL, '2020-03-03 09:35:06', 5, '2020-03-03 09:35:09', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur RENNER RS TOP 11 N&deg; 438079 &agrave; 2513 HRS<br />\r\nBL N&deg;35 du 21/02/2020', NULL, 0, '', NULL, NULL, NULL, NULL),
(897, '2020-03-03 08:42:18', 'SH2003-0887', 1, 2157, 0, NULL, NULL, NULL, '2020-03-03 09:40:55', 5, '2020-03-03 09:42:15', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance du separateur de condensats OWAMAT 11 :&nbsp;<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE ATELIER', NULL, 0, '', NULL, NULL, NULL, NULL),
(898, '2020-03-03 10:49:46', 'SH2003-0888', 1, 2215, 0, NULL, NULL, NULL, '2020-03-03 11:49:29', 5, '2020-03-03 11:49:44', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L11RS&nbsp; N&deg;cd10001552001 &agrave; 27917 HRS<br />\r\nRemplacement cartouche reseau&nbsp;<br />\r\nMaintenance Separateur de condensats OWAMAT10<br />\r\n<br />\r\nBL 49 du 07/02/2020', NULL, 0, '', NULL, NULL, NULL, NULL),
(899, '2020-03-03 13:16:46', 'SH2003-0889', 1, 5773, 0, NULL, NULL, NULL, '2020-03-03 14:16:41', 5, '2020-03-03 14:16:44', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE USINE', NULL, 0, '', NULL, NULL, NULL, NULL),
(900, '2020-03-05 08:38:59', 'SH2003-0890', 1, 2038, 0, NULL, NULL, NULL, '2020-03-05 09:38:54', 5, '2020-03-05 09:38:58', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L07RS N&deg; BA28124001 &agrave; 18282 HRS<br />\r\nRemplacement cartouche filtre reseau BEA<br />\r\nMaintenance separateur de condensats Owamat 10<br />\r\n<br />\r\nBL N&deg;07 du 02/03/2020', NULL, 0, '', NULL, NULL, NULL, NULL),
(901, '2020-03-05 09:00:17', 'SH2003-0891', 1, 13036, 0, NULL, NULL, NULL, '2020-03-05 10:00:11', 5, '2020-03-05 10:00:15', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur RLR25V en pi&eacute;ces adaptables\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- resserrage connexions &eacute;lectriques par nos techniciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration </u><br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 50 CV ( hors manutention, transport &amp; raccordement)<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', NULL, 0, '', NULL, NULL, NULL, NULL),
(902, '2020-03-05 09:17:33', 'SH2003-0892', 1, 2033, 0, NULL, NULL, NULL, '2020-03-05 10:17:27', 5, '2020-03-05 10:17:31', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance du Compresseur L26rs &agrave; 28462 HRS<br />\r\nRemplcament cartouche filtre reseau<br />\r\n<br />\r\nBL N&deg;09 du 09/01/2020', NULL, 0, '', NULL, NULL, NULL, NULL),
(903, '2020-03-05 09:29:43', 'SH2003-0893', 1, 2085, 0, NULL, NULL, 'R.Burcet', '2020-03-05 10:29:35', 5, '2020-03-05 10:29:40', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Modification reseau pour passage de portail', NULL, 0, '', NULL, NULL, NULL, NULL),
(904, '2020-03-05 09:42:36', 'SH2003-0894', 1, 2054, 0, NULL, NULL, 'renner RS PRO 7.5', '2020-03-05 10:42:31', 5, '2020-03-05 10:42:35', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur RENNER RSPRO 7.5 N&deg;709122 &agrave; 1082 HRS<br />\r\nSite BLES 3<br />\r\n<br />\r\nBL N&deg;37 du 18/12/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(905, '2020-03-05 10:30:37', 'SH2003-0895', 1, 12590, 0, NULL, NULL, NULL, '2020-03-05 11:30:31', 5, '2020-03-05 11:30:36', 5, NULL, '2018-09-30 00:00:00', NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance compresseur et filtres reseaux&nbsp; :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(906, '2020-03-05 10:36:02', 'SH2003-0896', 1, 2201, 0, NULL, NULL, NULL, '2020-03-05 11:35:57', 5, '2020-03-05 11:36:00', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Divers travaux sur vide &amp; aspiration<br />\r\n<br />\r\nd&eacute;lai : 3 &agrave; 4 semaines', NULL, 0, '', NULL, NULL, NULL, NULL),
(907, '2020-03-05 11:00:46', 'SH2003-0897', 1, 9822, 0, NULL, NULL, NULL, '2020-03-05 12:00:40', 5, '2020-03-05 12:00:44', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L18RS &agrave; 17499 HRS<br />\r\nMaintenance seprateur de condensats Owamat 11<br />\r\nRemplacement cartouche filtre reseau<br />\r\n<br />\r\nBL N&deg;38 du 28/02/2020', NULL, 0, '', NULL, NULL, NULL, NULL),
(908, '2020-03-05 13:16:47', 'SH2003-0898', 1, 2265, 0, NULL, NULL, NULL, '2020-03-05 14:16:41', 5, '2020-03-05 14:16:46', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(909, '2020-03-06 09:09:01', 'SH2003-0899', 1, 2123, 0, NULL, NULL, NULL, '2020-03-06 10:08:56', 5, '2020-03-06 10:08:59', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L29RS N&deg; CD10032874001 &agrave; 12323 HRS<br />\r\nMaintenance separateur de condensats Owamat 12<br />\r\nremplacement des deux filtres reseaux BEA480<br />\r\n<br />\r\nBL N&deg;44 du 05/03/2020', NULL, 0, '', NULL, NULL, NULL, NULL),
(910, '2020-03-18 09:43:55', 'SH2003-0900', 1, 2009, 0, NULL, NULL, '16016', '2020-03-18 10:43:50', 5, '2020-03-18 10:43:53', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance rs top 7.5 10 b N&deg; 538095 &agrave; 652 HRS<br />\r\n<br />\r\nBL N&deg;50 du 12/03/2020<br />\r\n<br />\r\nCommande 16016<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(911, '2020-03-18 10:37:43', 'SH2003-0901', 1, 2064, 0, NULL, NULL, NULL, '2020-03-18 11:37:37', 5, '2020-03-18 11:37:41', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L802 et 2 L37', NULL, 0, '', NULL, NULL, NULL, NULL),
(912, '2020-03-18 10:48:34', 'SH2003-0902', 1, 2054, 0, NULL, NULL, 'sullair WA3008 blé 2', '2020-03-18 11:48:27', 5, '2020-03-18 11:48:31', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur Sullair WA3008 -<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(913, '2020-03-18 10:55:36', 'SH2003-0903', 1, 2103, 0, NULL, NULL, NULL, '2020-03-18 11:55:30', 5, '2020-03-18 11:55:34', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L45RS N&deg; CD10015227001 &agrave; 22190HRS&nbsp;<br />\r\nMaintenance seprateur de condensats&nbsp; owamat 14&nbsp;<br />\r\nRemplacement des deux cartouches filtres reseaux bea700<br />\r\n<br />\r\nBL N&deg;08 du 13/02/2020<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(914, '2020-03-18 10:58:53', 'SH2003-0904', 1, 2101, 0, NULL, NULL, NULL, '2020-03-18 11:58:38', 5, '2020-03-18 11:58:44', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance l18RS &agrave;&nbsp;<br />\r\nMaintenance owamat 10<br />\r\n<br />\r\nFaire clapet d&#39;aspi car derniere fois impossible a changer voir pour autre cle', NULL, 0, '', NULL, NULL, NULL, NULL),
(915, '2020-03-18 13:29:47', 'SH2003-0905', 1, 2122, 0, NULL, NULL, NULL, '2020-03-18 14:29:36', 5, '2020-03-18 14:29:40', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Mise en place deux filtres reseaux 700M3/h complets<br />\r\n<br />\r\nBL N&deg;43 du 03/03/2020<br />\r\n<br />\r\nCommande N&deg;42389', NULL, 0, '', NULL, NULL, NULL, NULL),
(916, '2020-03-18 13:40:41', 'SH2003-0906', 1, 12819, 0, NULL, NULL, NULL, '2020-03-18 14:40:33', 5, '2020-03-18 14:40:38', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur RS PRO 7.5 -10B<br />\r\nMaintenance separateur de condensats ROS<br />\r\nRemplacement des 2 cartouches filtres reseaux', NULL, 0, '', NULL, NULL, NULL, NULL),
(917, '2020-03-18 13:44:27', 'SH2003-0907', 1, 2234, 0, NULL, NULL, NULL, '2020-03-18 14:44:14', 5, '2020-03-18 14:44:23', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L45RS N&deg;CD10005658001 &agrave;&nbsp; 12964Hrs<br />\r\nMaintenance du separateur de condensats Owamat 14<br />\r\n<br />\r\nBL 46 N&deg;06/03/2020&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(918, '2020-03-18 13:46:49', 'SH2003-0908', 1, 2247, 0, NULL, NULL, NULL, '2020-03-18 14:45:48', 5, '2020-03-18 14:45:52', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L18rs N° CD100018442001 à 10978 HRS( nouvelle carte ) <br />\r\nMaintenance separateur de condensats OWAMAT 11<br />\r\nRemplcament cartouche filtre reseau<br />\r\n<br />\r\nBL N°11 du 05/03/2020<br />\r\n<br />\r\n<br />\r\n ', NULL, 0, '', NULL, NULL, 5, NULL),
(919, '2020-03-18 14:10:51', 'SH2003-0909', 1, 11209, 0, NULL, NULL, NULL, '2020-03-18 15:10:46', 5, '2020-03-18 15:10:50', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur BELAIR GS30\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la joun&eacute;e<br />\r\n- Audit GRATUIT , ... etc</p>\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(920, '2020-03-18 14:49:27', 'SH2003-0910', 1, 2092, 0, NULL, NULL, NULL, '2020-03-18 15:49:21', 5, '2020-03-18 15:49:25', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance RSDB 4', NULL, 0, '', NULL, NULL, NULL, NULL),
(921, '2020-03-18 14:58:15', 'SH2003-0911', 1, 2407, 0, NULL, NULL, NULL, '2020-03-18 15:58:09', 5, '2020-03-18 15:58:13', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur ALUP SCK101-08 10 bars comprenant :&nbsp;<br />\r\nVidange d&#39;huile&nbsp;<br />\r\nVerification de la regulation<br />\r\nRemplacement du filtre a air filtre a huile et filtre separateur<br />\r\n&nbsp;<br />\r\n- Contr&ocirc;les et v&eacute;rifications &nbsp;pr&eacute;conis&eacute;s par le constructeur<br />\r\n- resserrage connexions &eacute;lectriques par nos techniciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es&nbsp;<br />\r\n&nbsp;-<u> Garantie 6 mois sur pi&egrave;ces filtration </u><br />\r\n<br />\r\n<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(922, '2020-09-10 07:04:08', 'SH2003-0912', 1, 2347, 0, NULL, NULL, NULL, '2020-03-19 10:59:27', 5, '2020-03-19 10:59:30', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'kit pour compresseur L15RS', NULL, 0, '', NULL, NULL, NULL, NULL),
(923, '2020-03-20 14:41:49', 'SH2003-0913', 1, 2273, 0, NULL, NULL, NULL, '2020-03-20 15:41:36', 5, '2020-03-20 15:41:49', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance modulos 25 compresseur et filtres reseaux&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(924, '2020-03-20 14:42:50', 'SH2003-0914', 1, 2022, 0, NULL, NULL, NULL, '2020-03-20 15:42:34', 5, '2020-03-20 15:42:39', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '<p>&eacute;&eacute;preuve de r&eacute;servoir d&rsquo;air comprim&eacute; ( Hors organisme agr&eacute;e ) et maintenance ROLLAIR 1400</p>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<p>Notre offre comprend :</p>\r\n\r\n<ul>\r\n	<li>La vidange d&rsquo;huile du compresseur</li>\r\n	<li>D&eacute;pose des accessoires fixer sur la cuve ( flexible , &hellip; etc )</li>\r\n	<li>Bouchonnage des differents orifices</li>\r\n	<li>Remplissage du reservoir avec de l&rsquo;eau</li>\r\n	<li>Assistance eu verificateur de l&rsquo;organisme agr&eacute;e</li>\r\n	<li>Remontage et remise en service de la machine</li>\r\n	<li>Remise &agrave; niveau d&rsquo;huile du compresseur</li>\r\n</ul>\r\n<br />\r\nDate d&#39;intervention le&nbsp; 10/03/2020', NULL, 0, '', NULL, NULL, NULL, NULL),
(925, '2020-03-20 14:43:28', 'SH2003-0915', 1, 1967, 0, NULL, NULL, NULL, '2020-03-20 15:43:22', 5, '2020-03-20 15:43:26', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L11', NULL, 0, '', NULL, NULL, NULL, NULL),
(926, '2020-03-24 08:42:54', 'SH2003-0916', 1, 1988, 0, NULL, NULL, NULL, '2020-03-23 14:18:34', 5, '2020-03-23 14:19:49', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L55RS', NULL, 0, '', NULL, NULL, NULL, NULL),
(927, '2020-03-25 10:37:56', 'SH2003-0917', 1, 2122, 0, NULL, NULL, NULL, '2020-03-25 11:37:49', 5, '2020-03-25 11:37:54', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L75RS N&deg; CD10018699001 &agrave;&nbsp; HRS<br />\r\nMaintenance seprateur de condensats OWAMAT 15<br />\r\nRemplacement cartouche filtre r&eacute;seau<br />\r\n<br />\r\nBL N<br />\r\n<br />\r\nCommande N&deg;', NULL, 0, '', NULL, NULL, NULL, NULL),
(928, '2020-03-26 09:50:53', 'SH2003-0918', 1, 2407, 0, NULL, NULL, NULL, '2020-03-26 10:50:49', 5, '2020-03-26 10:50:53', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(929, '2020-06-11 12:56:02', 'SH2003-0919', 1, 12584, 0, NULL, NULL, NULL, '2020-03-26 16:49:54', 5, '2020-03-26 16:49:58', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'fourniture girair', NULL, 0, '', NULL, NULL, NULL, NULL),
(930, '2020-03-26 15:54:30', 'SH2003-0920', 1, 2252, 0, NULL, NULL, NULL, '2020-03-26 16:54:17', 5, '2020-03-26 16:54:30', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, 5, NULL),
(931, '2020-04-06 07:14:52', 'SH2004-0921', 1, 2279, 0, NULL, NULL, NULL, '2020-04-06 09:14:48', 5, '2020-04-06 09:14:51', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(932, '2020-04-06 07:21:13', 'SH2004-0922', 1, 2157, 0, NULL, NULL, NULL, '2020-04-06 09:21:07', 5, '2020-04-06 09:21:11', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur&nbsp; RS PRO&nbsp; 7.5&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(933, '2020-04-14 12:57:14', 'SH2004-0923', 1, 1990, 0, NULL, NULL, NULL, '2020-04-14 14:57:02', 5, '2020-04-14 14:57:06', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '&nbsp;un compresseur L30 &agrave; 39500 HRS<br />\r\n<br />\r\nBL N&deg;18 du 09/04/2020', NULL, 0, '', NULL, NULL, NULL, NULL),
(934, '2020-04-14 13:01:18', 'SH2004-0924', 1, 1990, 0, NULL, NULL, NULL, '2020-04-14 15:01:08', 5, '2020-04-14 15:01:13', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Reseau en inox serti', NULL, 0, '', NULL, NULL, NULL, NULL),
(935, '2020-08-14 07:33:34', 'SH2004-0925', 1, 2407, 0, NULL, NULL, NULL, '2020-04-15 15:33:18', 5, '2020-04-15 15:33:24', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'livraison :&nbsp;<br />\r\nSITE CROUZET<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(936, '2020-04-16 09:24:34', 'SH2004-0926', 1, 2054, 0, NULL, NULL, NULL, '2020-04-16 11:24:28', 5, '2020-04-16 11:24:32', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement Vanne thermostatique et nettoyage du radiateur sur compresseur WA3008V -<br />\r\nSIte de beaurepaire sces bl&eacute; 2 calibrage', NULL, 0, '', NULL, NULL, NULL, NULL),
(937, '2020-04-16 10:02:30', 'SH2004-0927', 1, 2153, 0, NULL, NULL, NULL, '2020-04-16 12:02:25', 5, '2020-04-16 12:02:28', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance COmpresseur LUCHARD COMPAIR 6020ELX07BE', NULL, 0, '', NULL, NULL, NULL, NULL),
(938, '2020-04-16 10:05:44', 'SH2004-0928', 1, 2153, 0, NULL, NULL, NULL, '2020-04-16 12:05:36', 5, '2020-04-16 12:05:42', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur RENNER RSDK PRO3 13 BARS N&deg;707076 &agrave;&nbsp;<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(939, '2020-04-16 12:40:51', 'SH2004-0929', 1, 12917, 0, NULL, NULL, NULL, '2020-04-16 14:40:44', 5, '2020-04-16 14:40:48', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'SCROLL compresseur sans huile et station de traitement', NULL, 0, '', NULL, NULL, NULL, NULL),
(940, '2020-04-17 07:31:36', 'SH2004-0930', 1, 2162, 0, NULL, NULL, NULL, '2020-04-17 09:31:29', 5, '2020-04-17 09:31:35', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'contrat liss&eacute;<br />\r\nL37 N&deg;cd10030327001 &agrave; 4358 Heures<br />\r\net cartouches filtres reseaux', NULL, 0, '', NULL, NULL, NULL, NULL),
(941, '2020-04-17 07:40:06', 'SH2004-0931', 1, 2162, 0, NULL, NULL, NULL, '2020-04-17 09:40:01', 5, '2020-04-17 09:40:04', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Suite &agrave; l&#39;&eacute;preuve du reservoir de votre compresseur &agrave; piston , veuillez trouver ci dessous notre offre pour le remplacement de la cuve 500 litres de votre compresseur &agrave; piston par une cuve 500Litres verticale d&eacute;port&eacute;e .<br />\r\n<br />\r\nD&eacute;lai : 3 jours<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(942, '2020-04-17 08:01:15', 'SH2004-0932', 1, 13077, 0, NULL, NULL, NULL, '2020-04-17 10:01:09', 5, '2020-04-17 10:01:12', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Mise en service et raccordement compresseur SUllair BDS11 N&deg; 68570004 &agrave; 40324 HRS - secheur Friulaire ACT40- Cuve 500L N&deg;82135 de 2014 en reseau souple .<br />\r\nMaintenance compresseur Sullair BDS 11.<br />\r\nRemplacement cartouche filtre reseau&nbsp;<br />\r\n<br />\r\nBL N&deg;35 du 16/05/2020', NULL, 0, '', NULL, NULL, NULL, NULL),
(943, '2020-04-17 08:06:03', 'SH2004-0933', 1, 11209, 0, NULL, NULL, NULL, '2020-04-17 10:05:57', 5, '2020-04-17 10:06:01', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'remplacement accouplement sur compresseur GS30 :&nbsp;<br />\r\n<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE USINE<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(944, '2020-08-11 09:24:24', 'SH2004-0934', 1, 12810, 0, NULL, NULL, NULL, '2020-04-21 13:51:39', 5, '2020-04-21 13:51:43', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '1 bidon 5L gel hydroalcoolique', NULL, 0, '', NULL, NULL, NULL, NULL),
(945, '2020-04-21 11:52:46', 'SH2004-0935', 1, 10625, 0, NULL, NULL, NULL, '2020-04-21 13:52:42', 5, '2020-04-21 13:52:46', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(946, '2020-04-21 11:54:37', 'SH2004-0936', 1, 10526, 0, NULL, NULL, NULL, '2020-04-21 13:54:32', 5, '2020-04-21 13:54:37', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(947, '2020-04-21 11:55:30', 'SH2004-0937', 1, 13076, 0, NULL, NULL, NULL, '2020-04-21 13:55:26', 5, '2020-04-21 13:55:30', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(948, '2020-04-21 11:56:57', 'SH2004-0938', 1, 5939, 0, NULL, NULL, NULL, '2020-04-21 13:56:53', 5, '2020-04-21 13:56:57', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(949, '2020-04-21 12:02:01', 'SH2004-0939', 1, 13075, 0, NULL, NULL, NULL, '2020-04-21 14:01:57', 5, '2020-04-21 14:02:01', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(950, '2020-04-21 12:03:06', 'SH2004-0940', 1, 10501, 0, NULL, NULL, NULL, '2020-04-21 14:03:02', 5, '2020-04-21 14:03:06', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Commande CF5-2004-00230', NULL, 0, '', NULL, NULL, NULL, NULL),
(951, '2020-04-24 12:24:04', 'SH2004-0941', 1, 13066, 0, NULL, NULL, NULL, '2020-04-21 14:03:59', 5, '2020-04-21 14:04:03', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '1 carton de 4 bouteilles au format 5Litre -<br />\r\n<br />\r\nLivraison :&nbsp; courant semaine 16<br />\r\n<br />\r\nAttention il n&#39;y a pas de poussoir fourni avec les bouteilles - bouchon classique &agrave; viser', NULL, 0, '', NULL, NULL, NULL, NULL),
(952, '2020-04-24 12:09:31', 'SH2004-0942', 1, 10598, 0, NULL, NULL, NULL, '2020-04-21 14:05:02', 5, '2020-04-21 14:05:16', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(953, '2020-04-22 12:24:47', 'SH2004-0943', 1, 13078, 0, NULL, NULL, NULL, '2020-04-21 14:39:27', 5, '2020-04-21 14:39:30', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Gel hydroalcoolique', NULL, 0, '', NULL, NULL, NULL, NULL),
(954, '2020-04-21 13:24:17', 'SH2004-0944', 1, 2327, 0, NULL, NULL, NULL, '2020-04-21 15:24:11', 5, '2020-04-21 15:24:15', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(955, '2020-04-21 13:38:03', 'SH2004-0945', 1, 13080, 0, NULL, NULL, NULL, '2020-04-21 15:37:50', 5, '2020-04-21 15:37:54', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(956, '2020-04-21 13:45:17', 'SH2004-0946', 1, 13081, 0, NULL, NULL, NULL, '2020-04-21 15:44:48', 5, '2020-04-21 15:44:51', 5, NULL, NULL, NULL, NULL, '', 2, 1, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(957, '2020-04-21 13:47:48', 'SH2004-0947', 1, 13082, 0, NULL, NULL, NULL, '2020-04-21 15:47:34', 5, '2020-04-21 15:47:37', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(958, '2020-04-22 09:21:32', 'SH2004-0948', 1, 2038, 0, NULL, NULL, NULL, '2020-04-22 11:21:27', 5, '2020-04-22 11:21:31', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement valve thermostatique sur compresseur L07RS', NULL, 0, '', NULL, NULL, NULL, NULL),
(959, '2020-04-23 09:20:34', 'SH2004-0949', 1, 13079, 0, NULL, NULL, NULL, '2020-04-23 11:20:09', 5, '2020-04-23 11:20:13', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(960, '2020-04-23 09:26:08', 'SH2004-0950', 1, 1955, 0, NULL, NULL, NULL, '2020-04-23 11:25:26', 5, '2020-04-23 11:25:53', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(961, '2020-04-24 12:30:29', 'SH2004-0951', 1, 13083, 0, NULL, NULL, NULL, '2020-04-24 14:30:08', 5, '2020-04-24 14:30:11', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Solution Hydroalcoolique', NULL, 0, '', NULL, NULL, NULL, NULL),
(962, '2020-04-27 08:40:04', 'SH2004-0952', 1, 1968, 0, NULL, NULL, NULL, '2020-04-27 10:39:51', 5, '2020-04-27 10:39:55', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur RSDBST3-8BARS et remplacement cartouche filtre r&eacute;seau&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(963, '2020-04-28 07:54:28', 'SH2004-0953', 1, 2276, 0, NULL, NULL, NULL, '2020-04-28 09:54:22', 5, '2020-04-28 09:54:26', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L29RS N&deg; CD10015163001&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(964, '2020-04-28 08:02:17', 'SH2004-0954', 1, 2261, 0, NULL, NULL, NULL, '2020-04-28 10:02:11', 5, '2020-04-28 10:02:15', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenances compresseur HV02 et maco trek5.5 &agrave; 24864 HRS :&nbsp;<br />\r\nmaintenance seprateur de condensats Owamat 10<br />\r\n<br />\r\nBL N&deg;42 du 01/02/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(965, '2020-09-11 14:14:52', 'SH2004-0955', 1, 12613, 0, NULL, NULL, NULL, '2020-04-28 10:09:01', 5, '2020-04-28 10:09:04', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'solution hydro-alcoolique', NULL, 0, '', NULL, NULL, NULL, NULL),
(966, '2020-04-28 08:52:05', 'SH2004-0956', 1, 2020, 0, NULL, NULL, NULL, '2020-04-28 10:51:56', 5, '2020-04-28 10:52:01', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Reseaux d&#39;air comprim&eacute; inox', NULL, 0, '', NULL, NULL, NULL, NULL),
(967, '2020-04-28 09:03:34', 'SH2004-0957', 1, 2127, 0, NULL, NULL, NULL, '2020-04-28 11:03:08', 5, '2020-04-28 11:03:11', 5, NULL, NULL, NULL, NULL, '', 2, 1, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance du Compresseur L75SR .<br />\r\n<br />\r\nBL N&deg;21 du 24/04/2020<br />\r\n<br />\r\nCOmmande N&deg;&nbsp;CDA-FCA2003666<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(968, '2020-04-28 09:54:39', 'SH2004-0958', 1, 2122, 0, NULL, NULL, NULL, '2020-04-28 11:54:33', 5, '2020-04-28 11:54:37', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Fourniture d&#39;un pressostat sur compresseur&nbsp; &agrave; piston :<br />\r\n<br />\r\nD&eacute;lai : 5 jours&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(969, '2020-04-28 09:55:53', 'SH2004-0959', 1, 2122, 0, NULL, NULL, NULL, '2020-04-28 11:55:39', 5, '2020-04-28 11:55:43', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'cartouche filtre&nbsp;SMFP04/20<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(970, '2020-04-28 12:10:01', 'SH2004-0960', 1, 9881, 0, NULL, NULL, NULL, '2020-04-28 14:09:36', 5, '2020-04-28 14:09:40', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'joint pour compresseur MAUGUIERE ME75-10 250H N°AIW081325 année 2000 : <br />\r\n<br />\r\n ', 'rouget', 0, '', NULL, NULL, 5, NULL),
(971, '2020-04-28 13:17:05', 'SH2004-0961', 1, 12584, 0, NULL, NULL, NULL, '2020-04-28 15:17:00', 5, '2020-04-28 15:17:03', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance rsf11<br />\r\nmaintenance separateur de condensats<br />\r\nremplacement cartouche filtre reseau', NULL, 0, '', NULL, NULL, NULL, NULL),
(972, '2020-04-28 13:44:44', 'SH2004-0962', 1, 2397, 0, NULL, NULL, NULL, '2020-04-28 15:44:34', 5, '2020-04-28 15:44:41', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Petit reseau air comprim&eacute; en &Oslash; 22 en inox serti.<br />\r\nMise a disposition manitou et chauffeur le vendredi A.M<br />\r\nOption Prix pour tuyau souple caoutchouc<br />\r\nprix enrouleur + pose', NULL, 0, '', NULL, NULL, NULL, NULL),
(973, '2020-04-29 07:29:22', 'SH2004-0963', 1, 2350, 0, NULL, NULL, NULL, '2020-04-29 09:29:13', 5, '2020-04-29 09:29:19', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance Compresseurs L45RS et filtres reseaux', NULL, 0, '', NULL, NULL, NULL, NULL),
(974, '2020-04-30 07:13:57', 'SH2004-0964', 1, 12592, 0, NULL, NULL, NULL, '2020-04-30 09:13:51', 5, '2020-04-30 09:13:55', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur&nbsp; RSDK PRO ECN 7.5 N', NULL, 0, '', NULL, NULL, NULL, NULL),
(975, '2020-04-30 13:12:47', 'SH2004-0965', 1, 1990, 0, NULL, NULL, NULL, '2020-04-30 15:12:00', 5, '2020-04-30 15:12:08', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Travaux air comprim&eacute;<br />\r\n<br />\r\nBL N&deg;40 du 30/04/2020', NULL, 0, '', NULL, NULL, NULL, NULL),
(977, '2020-05-28 12:06:49', 'SH2005-0966', 1, 2311, 0, NULL, NULL, NULL, '2020-05-28 14:06:43', 5, '2020-05-28 14:06:47', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'fournitures raccords GIRAIR', NULL, 0, '', NULL, NULL, NULL, NULL),
(978, '2020-05-29 11:58:16', 'SH2005-0967', 1, 13093, 0, NULL, NULL, NULL, '2020-05-29 13:58:00', 5, '2020-05-29 13:58:03', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(979, '2020-06-02 09:43:03', 'SH2006-0968', 1, 2268, 0, NULL, NULL, NULL, '2020-06-02 11:42:58', 5, '2020-06-02 11:43:02', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement des flexibles d&#39;huile sur compresseur L15&nbsp;<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(980, '2020-06-02 09:50:08', 'SH2006-0969', 1, 1980, 0, NULL, NULL, NULL, '2020-06-02 11:50:03', 5, '2020-06-02 11:50:07', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur RS pro 5.5 7.5B', NULL, 0, '', NULL, NULL, NULL, NULL),
(981, '2020-06-02 12:15:58', 'SH2006-0970', 1, 2043, 0, NULL, NULL, NULL, '2020-06-02 14:15:54', 5, '2020-06-02 14:15:57', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur Start036<br />\r\nremplacement AU cass&eacute;<br />\r\nremplacement cartouche BEA290RB', NULL, 0, '', NULL, NULL, NULL, NULL),
(982, '2020-06-02 12:21:07', 'SH2006-0971', 1, 12794, 0, NULL, NULL, NULL, '2020-06-02 14:20:57', 5, '2020-06-02 14:21:01', 5, NULL, '2020-05-12 00:00:00', NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'remplacement clapet d&#39;aspiration avec electrovanne sur compresseur devilbiss :', NULL, 0, '', NULL, NULL, NULL, NULL),
(983, '2020-06-02 12:22:55', 'SH2006-0972', 1, 2054, 0, NULL, NULL, NULL, '2020-06-02 14:22:50', 5, '2020-06-02 14:22:53', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L26RS N&deg;CD10029231001 &agrave;&nbsp;<br />\r\n<br />\r\nCommande N&deg;&nbsp;<br />\r\n<br />\r\nSite d&#39;intervention:<br />\r\nSces Bl&eacute; 1<br />\r\nChemin du Pouloux<br />\r\n38270 BEAUREPAIRE<br />\r\n<br />\r\nBL N', NULL, 0, '', NULL, NULL, NULL, NULL);
INSERT INTO `llx_expedition` (`rowid`, `tms`, `ref`, `entity`, `fk_soc`, `fk_projet`, `ref_ext`, `ref_int`, `ref_customer`, `date_creation`, `fk_user_author`, `date_valid`, `fk_user_valid`, `date_expedition`, `date_delivery`, `fk_address`, `fk_shipping_method`, `tracking_number`, `fk_statut`, `billed`, `height`, `width`, `size_units`, `size`, `weight_units`, `weight`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_user_modif`, `last_main_doc`) VALUES
(984, '2020-06-02 12:26:01', 'SH2006-0973', 1, 2072, 0, NULL, NULL, NULL, '2020-06-02 14:25:38', 5, '2020-06-02 14:25:59', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance compresseur L11 N&deg;100008027/0114 et remplacement pi&eacute;ce secheur defecteuse ( offerte )&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(985, '2020-06-03 06:54:22', 'SH2006-0974', 1, 2101, 0, NULL, NULL, NULL, '2020-06-03 08:54:18', 5, '2020-06-03 08:54:21', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement en lieu et place de votre secheur ED225', NULL, 0, '', NULL, NULL, NULL, NULL),
(986, '2020-06-03 07:55:19', 'SH2006-0975', 1, 2203, 0, NULL, NULL, NULL, '2020-06-03 09:55:14', 5, '2020-06-03 09:55:18', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L45RS avec bloc vis garantie 24 mois et huile alimenatire&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(987, '2020-06-03 08:04:34', 'SH2006-0976', 1, 2215, 0, NULL, NULL, NULL, '2020-06-03 10:01:13', 5, '2020-06-03 10:04:24', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L11RS&nbsp; N&deg;cd10001552001 &agrave; 27917 HRS<br />\r\nRemplacement cartouche reseau&nbsp;<br />\r\nMaintenance Separateur de condensats OWAMAT10<br />\r\n<br />\r\nBL 49 du 07/02/2020', NULL, 0, '', NULL, NULL, NULL, NULL),
(988, '2020-06-03 08:24:40', 'SH2006-0977', 1, 12794, 0, NULL, NULL, NULL, '2020-06-03 10:24:15', 5, '2020-06-03 10:24:33', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance genesis ge1510&nbsp;<br />\r\nsite beaurepaire', NULL, 0, '', NULL, NULL, NULL, NULL),
(989, '2020-06-03 09:30:06', 'SH2006-0978', 1, 10144, 0, NULL, NULL, NULL, '2020-06-03 11:29:59', 5, '2020-06-03 11:30:03', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance&nbsp; rsf 22 10 bars n&deg;830076 &agrave; 4184 HRS<br />\r\n<br />\r\nRemplacement kit separateur de condensats<br />\r\nRemplacement cartouche filtre BEA300RA<br />\r\n<br />\r\nBL N&deg;28 du 29/04/2020<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(990, '2020-06-03 09:48:11', 'SH2006-0979', 1, 2268, 0, NULL, NULL, NULL, '2020-06-03 11:48:03', 5, '2020-06-03 11:48:09', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur&nbsp; L75 RS N&deg; CD10003783001 avec huile alimentaire&nbsp; &agrave; HRS<br />\r\nMaintenance cartouches 3 filtres reseaux .<br />\r\n<br />\r\n<u><strong>Prevoir tuyau reaspiration + raccords + olives</strong></u>', NULL, 0, '', NULL, NULL, NULL, NULL),
(991, '2020-06-03 12:37:34', 'SH2006-0980', 1, 2407, 0, NULL, NULL, '911259845-0-10760', '2020-06-03 14:37:28', 5, '2020-06-03 14:37:32', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Sur compresseur ALUP SCK101-08 10 bars&nbsp;<br />\r\n&nbsp;Remplacement des flexibles d&eacute;faillants<br />\r\n<br />\r\nD&eacute;lai des flexibles : 2 &agrave; 3 semaines', NULL, 0, '', NULL, NULL, NULL, NULL),
(992, '2020-06-04 08:51:07', 'SH2006-0981', 1, 2396, 0, NULL, NULL, NULL, '2020-06-04 10:51:02', 5, '2020-06-04 10:51:06', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur Renner rs pro 2-11 et hydrovanne hv04&nbsp;<br />\r\nRemplacement des filtres reseaux<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(993, '2020-06-04 13:03:53', 'SH2006-0982', 1, 1965, 0, NULL, NULL, NULL, '2020-06-04 15:03:48', 5, '2020-06-04 15:03:51', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement electrovanne , boitier de regulation et kit clapet aspiration sur compresseur mod 2508 :&nbsp;<br />\r\nRemplacement deux cartouches filtres reseaux<br />\r\nRemplacement filtre a air et filtre a huile du compresseur&nbsp; Mod 2508<br />\r\n<br />\r\nD&eacute;lai : 8 jours', NULL, 0, '', NULL, NULL, NULL, NULL),
(994, '2020-10-12 14:39:59', 'SH2006-0983', 1, 2396, 0, NULL, NULL, NULL, '2020-06-12 10:48:41', 5, '2020-06-12 10:48:45', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(995, '2020-06-15 15:03:22', 'SH2006-0984', 1, 7066, 0, NULL, NULL, NULL, '2020-06-15 17:03:17', 5, '2020-06-15 17:03:22', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Pieces de filtration maintenance de vos differents compresseurs :&nbsp;<br />\r\n<br />\r\nhuile VR46 pour compresseur L15 et compresseur ATLAS COPCO<br />\r\n<br />\r\nHuile sullube pour compresseur Maco Sullair ( disponible uniquement en 20 Litres )&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(996, '2020-09-10 07:04:15', 'SH2006-0985', 1, 2347, 0, NULL, NULL, NULL, '2020-06-19 14:05:01', 5, '2020-06-19 14:05:08', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L15RS N&deg;CD10021874001 - 8000 HRS', NULL, 0, '', NULL, NULL, NULL, NULL),
(997, '2020-12-02 13:24:26', 'SH2006-0986', 1, 2260, 0, NULL, NULL, NULL, '2020-06-22 09:45:50', 5, '2020-06-22 09:45:54', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Pieces detach&eacute;es pour maintenance de vos compresseurs :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(998, '2020-06-25 07:27:56', 'SH2006-0987', 1, 5741, 0, NULL, NULL, NULL, '2020-06-25 09:27:51', 5, '2020-06-25 09:27:55', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement electrovanne sur Rallye 086 N&deg;349010/1092 &agrave; 61385 HRS', NULL, 0, '', NULL, NULL, NULL, NULL),
(999, '2020-06-25 07:33:55', 'SH2006-0988', 1, 1996, 0, NULL, NULL, NULL, '2020-06-25 09:33:49', 5, '2020-06-25 09:33:53', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement cartouches filtres reseaux su s&eacute;cheur f040 COMPAIR du compresseur L18 a r&eacute;aliser en meme temps qu une maintenance', NULL, 0, '', NULL, NULL, NULL, NULL),
(1000, '2020-06-25 07:38:28', 'SH2006-0989', 1, 1996, 0, NULL, NULL, NULL, '2020-06-25 09:38:24', 5, '2020-06-25 09:38:28', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L15 N&deg;100014099/0206 &agrave; 26651 HRS<br />\r\n<br />\r\nBL N&deg;34 du 16/06/2020<br />\r\n<br />\r\nFILTRES DE VOTRE FOUNITURE', NULL, 0, '', NULL, NULL, NULL, NULL),
(1001, '2020-06-25 13:58:48', 'SH2006-0990', 1, 1996, 0, NULL, NULL, NULL, '2020-06-25 15:58:42', 5, '2020-06-25 15:58:47', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L18 &agrave; 31600 HRS<br />\r\n<br />\r\nBL N&deg;35 du 16/06/2020<br />\r\n<br />\r\nFiltres fournis par vos soins', NULL, 0, '', NULL, NULL, NULL, NULL),
(1002, '2020-06-26 07:53:26', 'SH2006-0991', 1, 2054, 0, NULL, NULL, 'l11', '2020-06-26 09:53:19', 5, '2020-06-26 09:53:23', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L11<br />\r\n<br />\r\nCommande : S882 20 06 3441PM<br />\r\n<br />\r\nSce cesec<br />\r\nle rival<br />\r\n38260 la cote saint andre', NULL, 0, '', NULL, NULL, NULL, NULL),
(1003, '2020-06-26 07:55:57', 'SH2006-0992', 1, 2054, 0, NULL, NULL, 'WS1508+BEL AIR', '2020-06-26 09:55:51', 5, '2020-06-26 09:55:55', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance ws1508&nbsp;<br />\r\n<br />\r\nSITE LA COTE SILO 1<br />\r\nCHemin de la voie f&eacute;r&eacute;e<br />\r\n38260 LA COTE ST ANDRE', NULL, 0, '', NULL, NULL, NULL, NULL),
(1004, '2020-06-26 08:49:22', 'SH2006-0993', 1, 2062, 0, NULL, NULL, NULL, '2020-06-26 10:49:17', 5, '2020-06-26 10:49:20', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement purge tempo par purge capacitive plus silencieuse sur secheur BATIMENT 2 -&nbsp;<br />\r\n<br />\r\nCommande N&deg; 00027516', NULL, 0, '', NULL, NULL, NULL, NULL),
(1005, '2020-06-26 08:52:03', 'SH2006-0994', 1, 2062, 0, NULL, NULL, NULL, '2020-06-26 10:51:58', 5, '2020-06-26 10:52:01', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement purge tempo par purge capacitive plus silencieuse sur secheur BATIMENT 2', NULL, 0, '', NULL, NULL, NULL, NULL),
(1006, '2020-06-26 09:03:38', 'SH2006-0995', 1, 2070, 0, NULL, NULL, NULL, '2020-06-26 11:03:33', 5, '2020-06-26 11:03:37', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L11&nbsp;<br />\r\nmaintenance separateur de condensats owamat 10', NULL, 0, '', NULL, NULL, NULL, NULL),
(1007, '2020-06-26 10:06:16', 'SH2006-0996', 1, 12666, 0, NULL, NULL, 'MAC3 - DD CARRIERE', '2020-06-26 12:06:11', 5, '2020-06-26 12:06:15', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur MAC3 :&nbsp;<br />\r\n<br />\r\nReference de commande FS-SMI-1290601', NULL, 0, '', NULL, NULL, NULL, NULL),
(1008, '2020-06-26 12:16:50', 'SH2006-0997', 1, 2069, 0, NULL, NULL, NULL, '2020-06-26 14:16:46', 5, '2020-06-26 14:16:49', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance cyclon 111', NULL, 0, '', NULL, NULL, NULL, NULL),
(1009, '2020-06-26 12:25:38', 'SH2006-0998', 1, 2062, 0, NULL, NULL, NULL, '2020-06-26 14:25:31', 5, '2020-06-26 14:25:35', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance de compresseur L26RS&nbsp;<br />\r\nBatiment 1&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1010, '2020-09-10 08:24:53', 'SH2006-0999', 1, 2075, 0, NULL, NULL, NULL, '2020-06-26 15:32:03', 5, '2020-06-26 15:32:10', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Fourniture et installation d&#39;un s&eacute;cheur 108m3/h pour votre compresseur L07 COMPAIR .<br />\r\n<br />\r\nD&eacute;lai DISPONIBLE FOURNISSEUR Livraison 5 jours ouvr&eacute;s', NULL, 0, '', NULL, NULL, NULL, NULL),
(1011, '2020-07-06 13:57:54', 'SH2007-1031', 1, 2381, 0, NULL, NULL, NULL, '2020-06-26 15:55:24', 5, '2020-07-06 15:57:54', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance 2 compresseurs&nbsp;<br />\r\nKA10 &agrave;&nbsp;<br />\r\nGA11C&nbsp;<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1012, '2020-06-29 08:57:03', 'SH2006-1000', 1, 2101, 0, NULL, NULL, NULL, '2020-06-29 10:53:53', 5, '2020-06-29 10:53:57', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance RSDK PRO ECN 7.5 10BARS N&deg;640020&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1013, '2020-06-29 12:17:23', 'SH2006-1001', 1, 12792, 0, NULL, NULL, NULL, '2020-06-29 14:17:17', 5, '2020-06-29 14:17:21', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance rspro 4&nbsp;<br />\r\nRemplacement cartouche filtre reseau', NULL, 0, '', NULL, NULL, NULL, NULL),
(1014, '2020-06-29 12:33:32', 'SH2006-1002', 1, 2142, 0, NULL, NULL, NULL, '2020-06-29 14:32:41', 5, '2020-06-29 14:33:30', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L22SR N&deg;CD10003983002', NULL, 0, '', NULL, NULL, NULL, NULL),
(1015, '2020-06-30 06:52:12', 'SH2006-1003', 1, 2149, 0, NULL, NULL, NULL, '2020-06-30 08:52:07', 5, '2020-06-30 08:52:10', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L07 Compair', NULL, 0, '', NULL, NULL, NULL, NULL),
(1016, '2020-06-30 07:09:37', 'SH2006-1004', 1, 2162, 0, NULL, NULL, NULL, '2020-06-30 09:09:33', 5, '2020-06-30 09:09:36', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement purge electropilot&eacute;e', NULL, 0, '', NULL, NULL, NULL, NULL),
(1017, '2020-06-30 07:10:53', 'SH2006-1005', 1, 2162, 0, NULL, NULL, NULL, '2020-06-30 09:10:47', 5, '2020-06-30 09:10:51', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement du bloc vis sur votre compresseur L37RS .<br />\r\n<br />\r\nGarantie bloc vis&nbsp; 24 mois&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1018, '2020-06-30 07:41:25', 'SH2006-1006', 1, 13053, 0, NULL, NULL, NULL, '2020-06-30 09:41:20', 5, '2020-06-30 09:41:24', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Assistance &agrave; l&#39;organisme d&#39;&eacute;preuve -&nbsp;<br />\r\nR&eacute;&eacute;preuve reservoir 900Litres\r\n<p>Notre offre comprend :</p>\r\n&nbsp;\r\n\r\n<ul>\r\n	<li>D&eacute;pose des accessoires fixer sur la cuve ( flexible , &hellip; etc )</li>\r\n	<li>Bouchonnage des differents orifices</li>\r\n	<li>Remplissage du reservoir avec de l&rsquo;eau</li>\r\n	<li>Assistance eu verificateur de l&rsquo;organisme agr&eacute;e</li>\r\n	<li>Remontage et remise en service de la machine</li>\r\n</ul>\r\n', NULL, 0, '', NULL, NULL, NULL, NULL),
(1019, '2020-06-30 07:48:33', 'SH2006-1007', 1, 2178, 0, NULL, NULL, NULL, '2020-06-30 09:48:28', 5, '2020-06-30 09:48:32', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L55 N&deg; CD10008941001 &agrave;&nbsp; HRS +&nbsp; maintenance separateur de condensats<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1020, '2020-06-30 07:59:32', 'SH2006-1008', 1, 2184, 0, NULL, NULL, NULL, '2020-06-30 09:59:27', 5, '2020-06-30 09:59:31', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L45RS ( 2018 ) N&deg; CD10034859001 en huile alimentaire &agrave; 17626H<br />\r\n<br />\r\nRemplacement cartouche filtre r&eacute;seau&nbsp;<br />\r\n<br />\r\nMaintenance seprateur de condensats OWAMAT 14<br />\r\n<br />\r\nCommande N&deg;7100097566<br />\r\n<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1021, '2020-06-30 08:18:43', 'SH2006-1009', 1, 2221, 0, NULL, NULL, NULL, '2020-06-30 10:18:39', 5, '2020-06-30 10:18:42', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur RS PRO 7.5 13 BARS', NULL, 0, '', NULL, NULL, NULL, NULL),
(1022, '2020-06-30 09:23:55', 'SH2006-1010', 1, 2204, 0, NULL, NULL, NULL, '2020-06-30 11:23:49', 5, '2020-06-30 11:23:53', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Contrat Liss&eacute; L22 N&deg;CD10029439002 &agrave;&nbsp; HRS+ owamat11 + filtres reseaux ( RA,RB et CA )&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1023, '2020-06-30 09:30:07', 'SH2006-1011', 1, 2141, 0, NULL, NULL, NULL, '2020-06-30 11:30:02', 5, '2020-06-30 11:30:06', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(1024, '2020-06-30 12:55:13', 'SH2006-1012', 1, 2300, 0, NULL, NULL, NULL, '2020-06-30 14:55:10', 5, '2020-06-30 14:55:13', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance l45 N&deg; cd10023286001 &agrave;&nbsp; 11324 HRS<br />\r\net filtres reseaux et owamat 14<br />\r\n<br />\r\nBL N&deg;26 du 08/06/2020<br />\r\n<br />\r\n<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1025, '2020-06-30 13:03:35', 'SH2006-1013', 1, 2054, 0, NULL, NULL, NULL, '2020-06-30 15:03:22', 5, '2020-06-30 15:03:30', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Dauphinoise SITE DE VOREPPE : WA3008<br />\r\n<br />\r\nRemplacement de la vanne de pression minimum et de la vanne de mise &agrave; vide , suite &agrave; notre derniere intervention notre technicien &agrave; not&eacute; une d&eacute;faillance au niveau de ses pi&eacute;ces .<br />\r\n<br />\r\nBL N&deg;27 du 08/06/2020', NULL, 0, '', NULL, NULL, NULL, NULL),
(1026, '2020-06-30 14:03:13', 'SH2006-1014', 1, 2341, 0, NULL, NULL, NULL, '2020-06-30 16:03:08', 5, '2020-06-30 16:03:12', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'L11<br />\r\nseparateur de condensats', NULL, 0, '', NULL, NULL, NULL, NULL),
(1027, '2020-07-01 07:16:56', 'SH2007-1015', 1, 2054, 0, NULL, NULL, 'l26rs+WS3008V', '2020-07-01 09:16:48', 5, '2020-07-01 09:16:53', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Site beaurepaire&nbsp;<br />\r\nSces bl&eacute; 2 - calibrage&nbsp;<br />\r\nchemin du pouloux<br />\r\n38270 BEAUREPAIRE<br />\r\n<br />\r\nMaintenances 2 compresseurs :<br />\r\nWS3008V&nbsp; &agrave; 33791 HRS BL N&deg;40 du 18/06/2020<br />\r\n<br />\r\net<br />\r\n<br />\r\nL26RS &agrave; 5777HRS BL N&deg;39 du 18/06/2020', NULL, 0, '', NULL, NULL, NULL, NULL),
(1028, '2020-07-01 08:28:34', 'SH2007-1016', 1, 12924, 0, NULL, NULL, NULL, '2020-07-01 10:28:27', 5, '2020-07-01 10:28:31', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'contrat liss&eacute; rsdk pro7.5', NULL, 0, '', NULL, NULL, NULL, NULL),
(1029, '2020-07-01 08:33:49', 'SH2007-1017', 1, 12608, 0, NULL, NULL, NULL, '2020-07-01 10:33:44', 5, '2020-07-01 10:33:47', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance RS PRO 7.5 N&deg; 713056 &agrave;&nbsp; HRS<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1030, '2020-07-01 08:55:53', 'SH2007-1018', 1, 12667, 0, NULL, NULL, NULL, '2020-07-01 10:55:48', 5, '2020-07-01 10:55:51', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'GX7', NULL, 0, '', NULL, NULL, NULL, NULL),
(1031, '2020-07-01 09:19:01', 'SH2007-1019', 1, 2350, 0, NULL, NULL, NULL, '2020-07-01 11:18:57', 5, '2020-07-01 11:19:00', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement accouplement sur compresseur L45RS N&deg; CD10015094001 &agrave; 32149 HRS<br />\r\n<br />\r\nBL N&deg; 41 du 04/05/2020', NULL, 0, '', NULL, NULL, NULL, NULL),
(1032, '2020-07-01 09:32:33', 'SH2007-1020', 1, 2407, 0, NULL, NULL, NULL, '2020-07-01 11:32:28', 5, '2020-07-01 11:32:31', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'CONTRAT LOCAL AC - SITE CROUZET 2020', NULL, 0, '', NULL, NULL, NULL, NULL),
(1033, '2020-07-01 09:46:00', 'SH2007-1021', 1, 2399, 0, NULL, NULL, NULL, '2020-07-01 11:45:55', 5, '2020-07-01 11:45:59', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L11RS&nbsp;<br />\r\nRemplacement cartouche filtre reseau<br />\r\nMaintenance seprateur de condensats OWAMAT 10 :', NULL, 0, '', NULL, NULL, NULL, NULL),
(1034, '2021-02-17 08:50:50', 'SH2007-1022', 1, 2397, 0, NULL, NULL, NULL, '2020-07-01 11:54:56', 5, '2020-07-01 11:54:59', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Fourniture et raccordement d&#39;un s&eacute;cheur frigorifique pour votre compresseur &agrave; piston - Local BRUN -<br />\r\n<br />\r\nPrix PROMOTION ETE 2020 -<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1035, '2020-07-02 07:46:02', 'SH2007-1023', 1, 12928, 0, NULL, NULL, NULL, '2020-07-02 09:45:52', 5, '2020-07-02 09:45:58', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Raccordement machine ROTOLINI BL41 du 16/06', NULL, 0, '', NULL, NULL, NULL, NULL),
(1036, '2020-07-02 08:35:29', 'SH2007-1024', 1, 2055, 0, NULL, NULL, NULL, '2020-07-02 10:35:19', 5, '2020-07-02 10:35:23', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L18 - en pi&eacute;ces adaptables&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1037, '2020-07-02 08:43:41', 'SH2007-1025', 1, 2140, 0, NULL, NULL, NULL, '2020-07-02 10:43:36', 5, '2020-07-02 10:43:40', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L15RS', NULL, 0, '', NULL, NULL, NULL, NULL),
(1038, '2020-07-02 09:01:52', 'SH2007-1026', 1, 2234, 0, NULL, NULL, NULL, '2020-07-02 11:01:10', 5, '2020-07-02 11:01:50', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L45RS N&deg;CD10005658001 &agrave;&nbsp; 15621 HRS<br />\r\nMaintenance du separateur de condensats Owamat 14<br />\r\nRemplacement cartouche filtre reseau<br />\r\n<br />\r\nBL N&deg;10 du 29/06/2020<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1039, '2020-07-02 09:18:34', 'SH2007-1027', 1, 12890, 0, NULL, NULL, NULL, '2020-07-02 11:18:29', 5, '2020-07-02 11:18:33', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L29RS et owamat 12 - CONTRAT LISSE', NULL, 0, '', NULL, NULL, NULL, NULL),
(1040, '2020-07-02 13:32:11', 'SH2007-1028', 1, 2128, 0, NULL, NULL, NULL, '2020-07-02 15:32:05', 5, '2020-07-02 15:32:09', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L11RS N&deg; BA4491101&nbsp; sous contrat liss&eacute;<br />\r\net remplacement kit separateur de condensats<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1041, '2020-07-03 12:47:54', 'SH2007-1029', 1, 2124, 0, NULL, NULL, NULL, '2020-07-03 14:47:49', 5, '2020-07-03 14:47:53', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L11<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1042, '2020-07-06 13:52:39', 'SH2007-1030', 1, 13092, 0, NULL, NULL, NULL, '2020-07-06 15:52:34', 5, '2020-07-06 15:52:38', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur HV07ACE10-4035S400 N&deg;V07-00425-1002', NULL, 0, '', NULL, NULL, NULL, NULL),
(1043, '2020-07-07 07:39:10', 'SH2007-1032', 1, 5767, 0, NULL, NULL, NULL, '2020-07-07 09:39:05', 5, '2020-07-07 09:39:09', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Centrale d&#39;air comprim&eacute; 5.5 kw 10 bars mont&eacute; sur cuve 270Litres avec pr&eacute; filtration et secheur', NULL, 0, '', NULL, NULL, NULL, NULL),
(1044, '2020-10-01 13:33:28', 'SH2007-1033', 1, 13091, 0, NULL, NULL, NULL, '2020-07-07 15:48:58', 5, '2020-07-07 15:49:02', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '+ value', NULL, 0, '', NULL, NULL, NULL, NULL),
(1045, '2020-09-21 13:33:22', 'SH2007-1034', 1, 5741, 0, NULL, NULL, NULL, '2020-07-15 10:45:33', 5, '2020-07-15 10:46:09', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(1046, '2020-12-10 09:21:13', 'SH2007-1035', 1, 5315, 0, NULL, NULL, NULL, '2020-07-20 15:25:42', 5, '2020-07-20 15:25:52', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Cher client,<br />\r\nSuite &agrave; votre demande et apr&egrave;s examen en nos ateliers de votre appareil, nous vous communiquons ci dessous le<br />\r\nd&eacute;tail de sa remise en &eacute;tat.<br />\r\nNous vous remercions de nous retourner le coupon r&eacute;ponse. En cas d&#39;acceptation ce devis<br />\r\nne sera pas factur&eacute;.<br />\r\nEn cas de refus, il vous sera factur&eacute; 50 &euro; TTC (+ 26.40 &euro;TTC frais de port/Logistic supplementaire en cas de demande de r&eacute;stitution de l&#39;appareil ) .<br />\r\nDur&eacute;e de validit&eacute; du devis : 1 mois.<br />\r\nNous vous remercions de nous apporter r&eacute;ponse au plus vite, et au plus tard sous 4 semaines.', NULL, 0, '', NULL, NULL, NULL, NULL),
(1047, '2020-07-21 09:01:02', 'SH2007-1036', 1, 2053, 0, NULL, NULL, NULL, '2020-07-21 11:00:53', 5, '2020-07-21 11:00:59', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(1048, '2020-07-21 09:03:24', 'SH2007-1037', 1, 2276, 0, NULL, NULL, 'L29FIXE', '2020-07-21 11:03:17', 5, '2020-07-21 11:03:21', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Local avec compresseur L29 7.5 Bar avec un secheur frigorifique avec pr&eacute; filtration et un separateur de condensats Owamat 12<br />\r\n<br />\r\nHors ligne electrique 4G25 .<br />\r\n<br />\r\nCondition de R&eacute;glement :&nbsp;<br />\r\n30 % &agrave; la commande<br />\r\nSolde &agrave; la livraison', NULL, 0, '', NULL, NULL, NULL, NULL),
(1049, '2020-07-21 09:04:14', 'SH2007-1038', 1, 12746, 0, NULL, NULL, NULL, '2020-07-21 11:04:09', 5, '2020-07-21 11:04:13', 5, NULL, '2020-05-06 00:00:00', NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'embrayage pour&nbsp;COMPAIR C50G DLT 040', NULL, 0, '', NULL, NULL, NULL, NULL),
(1050, '2020-07-21 09:12:53', 'SH2007-1039', 1, 2020, 0, NULL, NULL, NULL, '2020-07-21 11:12:45', 5, '2020-07-21 11:12:50', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'prolongement reseau et 5 descentes', NULL, 0, '', NULL, NULL, NULL, NULL),
(1051, '2020-07-21 09:16:04', 'SH2007-1040', 1, 10293, 0, NULL, NULL, NULL, '2020-07-21 11:15:57', 5, '2020-07-21 11:16:02', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Cr&eacute;ation de deux descentes supplementaires dans la partie nettoyage :&nbsp;<br />\r\n<br />\r\nD&eacute;lai : 10 jours', NULL, 0, '', NULL, NULL, NULL, NULL),
(1052, '2020-07-21 09:20:38', 'SH2007-1041', 1, 1981, 0, NULL, NULL, NULL, '2020-07-21 11:20:34', 5, '2020-07-21 11:20:37', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur RS PRO 7.5 N&deg;612032 suivant contrat de maintenance', NULL, 0, '', NULL, NULL, NULL, NULL),
(1053, '2020-07-21 09:26:36', 'SH2007-1042', 1, 13089, 0, NULL, NULL, NULL, '2020-07-21 11:26:28', 5, '2020-07-21 11:26:33', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Reseau air comprim&eacute; 50 m &Oslash;28 + 5 descentes &Oslash;22 inox serti. 2 jours de travail a deux environ', NULL, 0, '', NULL, NULL, NULL, NULL),
(1054, '2020-07-21 09:30:32', 'SH2007-1043', 1, 2235, 0, NULL, NULL, NULL, '2020-07-21 11:30:20', 5, '2020-07-21 11:30:25', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'local air comprim&eacute; : Un compresseur &agrave; vitesse varaible 30KW modele L29RS COMPAIR avec un secheur par refrigeration ED660 et un reservoir galva de 900Litres , deux filtres reseaux .<br />\r\nRaccordement de l&#39;ensemble en inox serti', NULL, 0, '', NULL, NULL, NULL, NULL),
(1055, '2020-10-27 13:44:51', 'SH2007-1044', 1, 2117, 0, NULL, NULL, NULL, '2020-07-21 14:06:23', 5, '2020-07-21 14:06:27', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(1056, '2020-08-10 07:44:51', 'SH2007-1045', 1, 2001, 0, NULL, NULL, NULL, '2020-07-22 10:06:10', 5, '2020-07-22 10:06:28', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '<p>KAESER SK19 19760-3&nbsp; N&deg; 01813383 de 1998&nbsp; :</p>\r\n\r\n<p>&nbsp;</p>\r\n\r\n<p>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;1&nbsp;S&eacute;parateur&nbsp;&nbsp; ref AIP S1P503</p>\r\n\r\n<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 2 cartouches air&nbsp;&nbsp;&nbsp; ref AIP A1F155</p>\r\n\r\n<p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1 cartouche huile&nbsp;&nbsp;&nbsp; ref AIP&nbsp; H1H112<br />\r\n<br />\r\nD&eacute;lai : 5 jours ouvr&eacute;s&nbsp;&agrave; reception de commande</p>\r\n', NULL, 0, '', NULL, NULL, NULL, NULL),
(1057, '2020-08-04 13:03:10', 'SH2007-1046', 1, 2351, 0, NULL, NULL, NULL, '2020-07-23 09:10:04', 5, '2020-07-23 09:10:08', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Fourniture d&#39;un s&eacute;cheur par r&eacute;frigeration pouvant traiter le d&eacute;bit d&#39;un compresseur L15-10A compair ( 135.60m3/h ) .<br />\r\n<br />\r\nD&eacute;lai : EN STOCK', NULL, 0, '', NULL, NULL, NULL, NULL),
(1058, '2020-07-28 12:28:12', 'SH2007-1047', 1, 2397, 0, NULL, NULL, NULL, '2020-07-28 14:28:07', 5, '2020-07-28 14:28:10', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Fourniture et installation d&#39;un enrouleur suite &agrave; votre conversation avec notre technicien&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1059, '2020-07-28 12:55:13', 'SH2007-1048', 1, 11435, 0, NULL, NULL, NULL, '2020-07-28 14:55:07', 5, '2020-07-28 14:55:11', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L30RS et accessoires suivant contrat de maintenance de 2013', NULL, 0, '', NULL, NULL, NULL, NULL),
(1060, '2020-07-28 13:02:59', 'SH2007-1049', 1, 1988, 0, NULL, NULL, NULL, '2020-07-28 15:02:53', 5, '2020-07-28 15:02:57', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L22 -', NULL, 0, '', NULL, NULL, NULL, NULL),
(1061, '2020-12-16 09:06:33', 'SH2007-1050', 1, 1988, 0, NULL, NULL, NULL, '2020-07-28 15:22:49', 5, '2020-07-28 15:22:53', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L55RS SUivant contrat de maintenance', NULL, 0, '', NULL, NULL, NULL, NULL),
(1062, '2020-12-01 09:58:38', 'SH2007-1051', 1, 9565, 0, NULL, NULL, NULL, '2020-07-29 09:18:08', 5, '2020-07-29 09:18:12', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance BDS 7.5 et UP5-7-10 et separateur de condensats ENVIRO\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- resserrage connexions &eacute;lectriques par nos techniciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration </u><br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 50 CV ( hors manutention, transport &amp; raccordement)<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', NULL, 0, '', NULL, NULL, NULL, NULL),
(1063, '2020-07-29 13:20:36', 'SH2007-1052', 1, 2352, 0, NULL, NULL, NULL, '2020-07-29 15:20:31', 5, '2020-07-29 15:20:34', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L37RS et filtres reseaux suivant contrat de maintenance', NULL, 0, '', NULL, NULL, NULL, NULL),
(1064, '2020-07-29 13:21:55', 'SH2007-1053', 1, 2029, 0, NULL, NULL, NULL, '2020-07-29 15:21:50', 5, '2020-07-29 15:21:53', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L11 &agrave;&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1065, '2020-07-29 13:34:48', 'SH2007-1054', 1, 12585, 0, NULL, NULL, NULL, '2020-07-29 15:34:36', 5, '2020-07-29 15:34:44', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur HV02 N&deg; 502-032334-1708 et remplcament des 2 cartouches de vos filtres reseaux :', NULL, 0, '', NULL, NULL, NULL, NULL),
(1066, '2020-07-29 14:17:03', 'SH2007-1055', 1, 12581, 0, NULL, NULL, NULL, '2020-07-29 16:16:58', 5, '2020-07-29 16:17:02', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance GA15+FF &agrave;&nbsp; HRS<br />\r\n<br />\r\nCommande N&deg;&nbsp;<br />\r\nChantier Centrale enrob&eacute; N&deg; 82000<br />\r\nContact Fabien Laurent', NULL, 0, '', NULL, NULL, NULL, NULL),
(1067, '2020-07-29 14:18:28', 'SH2007-1056', 1, 2076, 0, NULL, NULL, NULL, '2020-07-29 16:18:23', 5, '2020-07-29 16:18:27', 5, NULL, '2018-05-04 00:00:00', NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance HV07 et remplcament cartouche filtre reseau', NULL, 0, '', NULL, NULL, NULL, NULL),
(1068, '2020-07-30 08:30:03', 'SH2007-1057', 1, 2136, 0, NULL, NULL, NULL, '2020-07-30 10:29:56', 5, '2020-07-30 10:30:00', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance rsdk pro 5.5 N&deg;639018', NULL, 0, '', NULL, NULL, NULL, NULL),
(1069, '2020-07-30 08:33:46', 'SH2007-1058', 1, 2239, 0, NULL, NULL, NULL, '2020-07-30 10:33:33', 5, '2020-07-30 10:33:43', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance COmpresseur LUCHARD COMPAIR 6020ELX07BE&nbsp; et filtres reseaux<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1070, '2020-07-30 08:48:43', 'SH2007-1059', 1, 2102, 0, NULL, NULL, NULL, '2020-07-30 10:48:33', 5, '2020-07-30 10:48:38', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L07RS N&deg; BA33915001&nbsp;<br />\r\n<br />\r\n<span style=\"font-size:24px\"><u><strong>Reglage horloge de programmation</strong></u></span>', NULL, 0, '', NULL, NULL, NULL, NULL),
(1071, '2020-08-17 13:26:12', 'SH2007-1060', 1, 2311, 0, NULL, NULL, NULL, '2020-07-31 14:35:39', 5, '2020-07-31 14:35:45', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'girair commande telephonique du 31/07/2020', NULL, 0, '', NULL, NULL, NULL, NULL),
(1072, '2020-07-31 14:27:20', 'SH2007-1061', 1, 9822, 0, NULL, NULL, NULL, '2020-07-31 16:27:17', 5, '2020-07-31 16:27:20', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Commande N&deg;3227', NULL, 0, '', NULL, NULL, NULL, NULL),
(1073, '2020-07-31 14:33:38', 'SH2007-1062', 1, 2327, 0, NULL, NULL, NULL, '2020-07-31 16:33:24', 5, '2020-07-31 16:33:38', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(1074, '2020-08-03 07:41:08', 'SH2008-1063', 1, 2004, 0, NULL, NULL, NULL, '2020-08-03 09:41:12', 5, '2020-08-03 09:41:16', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance SCROLL Compresseur SLi 3.7KW N&deg;5260008', NULL, 0, '', NULL, NULL, NULL, NULL),
(1075, '2020-08-03 12:15:42', 'SH2008-1064', 1, 2076, 0, NULL, NULL, NULL, '2020-08-03 14:15:47', 5, '2020-08-03 14:15:52', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Modification reseau air comprim&eacute; local - bouclage r&eacute;seau inox en diametre 28&nbsp;<br />\r\n<br />\r\nBL N&deg;36 du 09/07/2020', NULL, 0, '', NULL, NULL, NULL, NULL),
(1076, '2020-08-04 07:07:50', 'SH2008-1065', 1, 13092, 0, NULL, NULL, NULL, '2020-08-04 09:07:45', 5, '2020-08-04 09:07:49', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Changement amperage compresseur et remplacement purge sur la cuve<br />\r\n<br />\r\nBL N&deg;7 du 01/07/20', NULL, 0, '', NULL, NULL, NULL, NULL),
(1077, '2020-08-04 07:40:26', 'SH2008-1066', 1, 2206, 0, NULL, NULL, NULL, '2020-08-04 09:40:21', 5, '2020-08-04 09:40:25', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance HV05 :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1078, '2020-08-04 08:05:18', 'SH2008-1067', 1, 2247, 0, NULL, NULL, NULL, '2020-08-04 10:05:11', 5, '2020-08-04 10:05:15', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L18rs N&deg; CD100018442001 , filtres reseaux et separateur de condensats OWAMAT 11<br />\r\nSuivant contrat de 2015', NULL, 0, '', NULL, NULL, NULL, NULL),
(1079, '2020-08-04 08:36:56', 'SH2008-1068', 1, 9820, 0, NULL, NULL, NULL, '2020-08-04 10:36:48', 5, '2020-08-04 10:36:53', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Cr&eacute;ation d&#39;une ligne inox serti&nbsp; de 24 metres de longeur diametre 42 avec 5 piquages avec vanne .<br />\r\nrepiquage du reseau existant en galva&nbsp;<br />\r\nNacelle non inclus<br />\r\n<br />\r\nD&eacute;lai disponible usine', NULL, 0, '', NULL, NULL, NULL, NULL),
(1080, '2020-08-04 12:30:02', 'SH2008-1069', 1, 2284, 0, NULL, NULL, NULL, '2020-08-04 14:29:57', 5, '2020-08-04 14:30:01', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance l18RS N&deg; CD10009205002 &agrave;&nbsp;<br />\r\nRemplacement cartouche filtres reseau<br />\r\net Maintenance separateur de condensats<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1081, '2020-08-04 12:54:42', 'SH2008-1070', 1, 10268, 0, NULL, NULL, NULL, '2020-08-04 14:54:23', 5, '2020-08-04 14:54:29', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur GA7 N&deg;AII124221 de 1999<br />\r\n<br />\r\n&nbsp;\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la joun&eacute;e<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', NULL, 0, '', NULL, NULL, NULL, NULL),
(1082, '2020-08-04 13:14:04', 'SH2008-1071', 1, 2354, 0, NULL, NULL, 'BC N° 7813', '2020-08-04 15:13:58', 5, '2020-08-04 15:14:02', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L15 &amp; filtres reseaux &amp; separateur de condensats en adaptable', NULL, 0, '', NULL, NULL, NULL, NULL),
(1083, '2020-08-04 13:51:05', 'SH2008-1072', 1, 12877, 0, NULL, NULL, NULL, '2020-08-04 15:50:59', 5, '2020-08-04 15:51:03', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur rs pro 11 N&deg; 913099 de 2019 suivant contrat liss&eacute; N&deg;2019080201 de 2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(1084, '2020-08-04 14:08:26', 'SH2008-1073', 1, 12877, 0, NULL, NULL, NULL, '2020-08-04 16:08:19', 5, '2020-08-04 16:08:23', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur rs pro 11 N&deg; 930064 de 2019 suivant contrat liss&eacute; N&deg;201910041519 de 2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(1085, '2020-08-05 12:46:47', 'SH2008-1074', 1, 11435, 0, NULL, NULL, NULL, '2020-08-05 14:46:40', 5, '2020-08-05 14:46:45', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement bague &agrave; levres du compresseur L30RS -&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1086, '2020-08-05 13:02:48', 'SH2008-1075', 1, 5741, 0, NULL, NULL, NULL, '2020-08-05 15:02:41', 5, '2020-08-05 15:02:45', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance rallye 086 de 1997', NULL, 0, '', NULL, NULL, NULL, NULL),
(1087, '2020-08-05 13:07:00', 'SH2008-1076', 1, 5741, 0, NULL, NULL, NULL, '2020-08-05 15:06:55', 5, '2020-08-05 15:06:58', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L75 N&deg; CD10005618002&nbsp; -2000Hrs', NULL, 0, '', NULL, NULL, NULL, NULL),
(1088, '2020-08-06 07:51:30', 'SH2008-1077', 1, 2231, 0, NULL, NULL, NULL, '2020-08-06 09:51:20', 5, '2020-08-06 09:51:25', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L15 .<br />\r\n<br />\r\nNous avons une porssibilit&eacute; d&#39;intervention ce vendredi 26 Juin apres midi si nous avons votre retour dans la journ&eacute;e .', NULL, 0, '', NULL, NULL, NULL, NULL),
(1089, '2020-08-06 08:16:02', 'SH2008-1078', 1, 2263, 0, NULL, NULL, NULL, '2020-08-06 10:15:56', 5, '2020-08-06 10:15:59', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L11 :', NULL, 0, '', NULL, NULL, NULL, NULL),
(1090, '2020-08-06 08:37:24', 'SH2008-1079', 1, 10087, 0, NULL, NULL, NULL, '2020-08-06 10:37:15', 5, '2020-08-06 10:37:21', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance de votre local air comprim&eacute; :<br />\r\nMaintenance de vos deux compresseur &agrave; vis Rollair<br />\r\nVisite de&nbsp; controle de votre s&eacute;cheur DW46 de 2002 ( verification des connectiques et souflage )<br />\r\nRemplacement de vos 2 cartouches de filtres reseaux<br />\r\nVerification des differentes purges du local<br />\r\nMaintenance de votre separateur de condensats owamat 5R<br />\r\n&nbsp;\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la joun&eacute;e<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', NULL, 0, '', NULL, NULL, NULL, NULL),
(1091, '2020-08-06 08:48:43', 'SH2008-1080', 1, 2355, 0, NULL, NULL, NULL, '2020-08-06 10:48:37', 5, '2020-08-06 10:48:41', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance COmpresseur RSDK RENNER&nbsp;<br />\r\nSuivant contrat liss&eacute; N&deg;2019071501', NULL, 0, '', NULL, NULL, NULL, NULL),
(1092, '2020-08-12 08:00:38', 'SH2008-1081', 1, 1940, 0, NULL, NULL, NULL, '2020-08-12 10:00:31', 5, '2020-08-12 10:00:35', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance de votre compresseur L45RS N&deg; CD10023839001 &agrave;&nbsp; HRS<br />\r\nRemplacement cartouches filtres r&eacute;seaux&nbsp;<br />\r\nMaintenance s&eacute;parateur de condensats owamat14<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1093, '2020-08-12 08:06:34', 'SH2008-1082', 1, 2049, 0, NULL, NULL, NULL, '2020-08-12 10:06:29', 5, '2020-08-12 10:06:32', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance cyclon 222 N&deg;F165/2079', NULL, 0, '', NULL, NULL, NULL, NULL),
(1094, '2020-08-12 08:13:58', 'SH2008-1083', 1, 2056, 0, NULL, NULL, NULL, '2020-08-12 10:13:53', 5, '2020-08-12 10:13:56', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur COMPAIR L11&nbsp; N&deg;&nbsp;BA36466001<br />\r\ndate de mise en service :&nbsp;05/02/2015<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1095, '2020-08-12 08:21:42', 'SH2008-1084', 1, 2150, 0, NULL, NULL, NULL, '2020-08-12 10:21:31', 5, '2020-08-12 10:21:34', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L04 N&deg; ba35401001', NULL, 0, '', NULL, NULL, NULL, NULL),
(1096, '2020-08-12 08:26:26', 'SH2008-1085', 1, 10189, 0, NULL, NULL, NULL, '2020-08-12 10:26:21', 5, '2020-08-12 10:26:25', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L15 N&deg;349015/7611 de 2007<br />\r\n<br />\r\n&nbsp;\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la joun&eacute;e<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', NULL, 0, '', NULL, NULL, NULL, NULL),
(1097, '2020-08-12 08:43:06', 'SH2008-1086', 1, 2286, 0, NULL, NULL, NULL, '2020-08-12 10:43:01', 5, '2020-08-12 10:43:04', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance', NULL, 0, '', NULL, NULL, NULL, NULL),
(1098, '2020-08-12 08:50:21', 'SH2008-1087', 1, 2311, 0, NULL, NULL, NULL, '2020-08-12 10:50:15', 5, '2020-08-12 10:50:19', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenances des trois compresseurs sur deux sites differents r&eacute;alis&eacute;s le m&ecirc;me jour en une demi journ&eacute;e .<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1099, '2020-08-12 09:40:01', 'SH2008-1088', 1, 2358, 0, NULL, NULL, NULL, '2020-08-12 11:39:56', 5, '2020-08-12 11:39:59', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance GA90VSD N&deg; AII495069 &agrave;&nbsp;<br />\r\nRemplacement cartouche filtre reseau<br />\r\nMaintenance GA30 N&deg;ABP716976 &agrave;&nbsp;<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1100, '2020-08-12 10:06:03', 'SH2008-1089', 1, 2331, 0, NULL, NULL, NULL, '2020-08-12 12:03:16', 5, '2020-08-12 12:06:00', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance GA22 N&deg;AII256273', NULL, 0, '', NULL, NULL, NULL, NULL),
(1101, '2020-08-12 12:14:41', 'SH2008-1090', 1, 13130, 0, NULL, NULL, NULL, '2020-08-12 14:14:35', 5, '2020-08-12 14:14:39', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(1102, '2020-08-12 12:27:43', 'SH2008-1091', 1, 2379, 0, NULL, NULL, NULL, '2020-08-12 14:27:37', 5, '2020-08-12 14:27:41', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L15RS N&deg; CD10024800002 &agrave;&nbsp;<br />\r\nMaintenance seprateur de condensats owamat 10<br />\r\nRemplacement des cartouches filtres r&eacute;seaux&nbsp;<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1103, '2020-08-13 08:25:48', 'SH2008-1092', 1, 2321, 0, NULL, NULL, NULL, '2020-08-13 10:17:30', 5, '2020-08-13 10:18:08', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, 'CONTRAT LISE', NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(1104, '2020-08-13 13:50:01', 'SH2008-1093', 1, 2022, 0, NULL, NULL, NULL, '2020-08-13 15:49:36', 5, '2020-08-13 15:49:46', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement en lieu et place de votre s&eacute;cheur MPF140 par un s&eacute;cheur par r&eacute;frigeration &eacute;quivalent&nbsp;<br />\r\n<br />\r\nCommande :&nbsp;940518295', NULL, 0, '', NULL, NULL, NULL, NULL),
(1105, '2020-08-14 06:59:25', 'SH2008-1094', 1, 2184, 0, NULL, NULL, NULL, '2020-08-14 08:59:18', 5, '2020-08-14 08:59:23', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L45RS N&deg; CD10015552001 en huile alimentaire &agrave; 36965H<br />\r\n<br />\r\nBL N&deg;5 du 13/08/2020<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1106, '2020-08-17 08:20:27', 'SH2008-1095', 1, 2338, 0, NULL, NULL, NULL, '2020-08-17 10:20:19', 5, '2020-08-17 10:20:23', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L07RS en FULL SERVICE et MAINTENACE ROLLAIR', NULL, 0, '', NULL, NULL, NULL, NULL),
(1107, '2020-08-17 12:30:41', 'SH2008-1096', 1, 2007, 0, NULL, NULL, NULL, '2020-08-17 14:30:35', 5, '2020-08-17 14:30:39', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance HV02 N&deg; 502 029339-1408', NULL, 0, '', NULL, NULL, NULL, NULL),
(1108, '2020-08-19 12:48:50', 'SH2008-1097', 1, 2103, 0, NULL, NULL, NULL, '2020-08-19 14:48:45', 5, '2020-08-19 14:48:49', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(1109, '2020-08-26 08:07:43', 'SH2008-1098', 1, 11209, 0, NULL, NULL, NULL, '2020-08-26 10:07:34', 5, '2020-08-26 10:07:40', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur BELAIR GS30 N&deg;MMJS040020 de 2014 &agrave;&nbsp;\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la joun&eacute;e<br />\r\n- Audit GRATUIT , ... etc</p>\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1110, '2020-12-17 14:58:11', 'SH2009-1099', 1, 2261, 0, NULL, NULL, NULL, '2020-09-07 09:46:32', 5, '2020-09-07 09:46:37', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(1111, '2020-09-07 07:49:22', 'SH2009-1100', 1, 13140, 0, NULL, NULL, NULL, '2020-09-07 09:49:18', 5, '2020-09-07 09:49:22', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(1112, '2020-09-25 13:27:12', 'SH2009-1101', 1, 2021, 0, NULL, NULL, NULL, '2020-09-07 09:51:13', 5, '2020-09-07 09:51:16', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(1113, '2020-09-25 13:27:03', 'SH2009-1102', 1, 2021, 0, NULL, NULL, NULL, '2020-09-07 09:52:11', 5, '2020-09-07 09:52:15', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Enrouleurs<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1114, '2020-09-08 08:48:27', 'SH2009-1103', 1, 13139, 0, NULL, NULL, NULL, '2020-09-08 10:48:23', 5, '2020-09-08 10:48:27', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Fluid force pour hydrovanne<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE<br />\r\n<br />\r\nR&eacute;glement &agrave; la commande', NULL, 0, '', NULL, NULL, NULL, NULL);
INSERT INTO `llx_expedition` (`rowid`, `tms`, `ref`, `entity`, `fk_soc`, `fk_projet`, `ref_ext`, `ref_int`, `ref_customer`, `date_creation`, `fk_user_author`, `date_valid`, `fk_user_valid`, `date_expedition`, `date_delivery`, `fk_address`, `fk_shipping_method`, `tracking_number`, `fk_statut`, `billed`, `height`, `width`, `size_units`, `size`, `weight_units`, `weight`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_user_modif`, `last_main_doc`) VALUES
(1115, '2020-09-08 14:08:42', 'SH2009-1104', 1, 2064, 0, NULL, NULL, 'kaeser', '2020-09-08 16:08:34', 5, '2020-09-08 16:08:40', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur Kaeser', NULL, 0, '', NULL, NULL, NULL, NULL),
(1116, '2020-09-29 08:33:46', 'SH2009-1105', 1, 2347, 0, NULL, NULL, NULL, '2020-09-10 09:04:56', 5, '2020-09-10 09:05:00', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(1117, '2020-09-17 09:46:42', 'SH2009-1106', 1, 2351, 0, NULL, NULL, NULL, '2020-09-17 11:23:03', 5, '2020-09-17 11:23:07', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Delai :&nbsp; 23/09/2020', NULL, 0, '', NULL, NULL, NULL, NULL),
(1118, '2020-09-24 07:22:58', 'SH2009-1107', 1, 2032, 0, NULL, NULL, NULL, '2020-09-24 09:22:53', 5, '2020-09-24 09:22:56', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'remplcament carte sur compresseur FINI KMAX :<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE USINE', NULL, 0, '', NULL, NULL, NULL, NULL),
(1119, '2020-09-25 07:41:05', 'SH2009-1108', 1, 12613, 0, NULL, NULL, NULL, '2020-09-25 09:40:48', 5, '2020-09-25 09:41:03', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(1120, '2020-09-25 08:38:13', 'SH2009-1109', 1, 2020, 0, NULL, NULL, NULL, '2020-09-25 10:38:08', 5, '2020-09-25 10:38:11', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L22', NULL, 0, '', NULL, NULL, NULL, NULL),
(1121, '2020-09-25 08:55:24', 'SH2009-1110', 1, 1990, 0, NULL, NULL, NULL, '2020-09-25 10:55:16', 5, '2020-09-25 10:55:20', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Reseau en inox serti&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1122, '2020-09-25 09:15:46', 'SH2009-1111', 1, 2016, 0, NULL, NULL, NULL, '2020-09-25 11:12:22', 5, '2020-09-25 11:12:26', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement des flexibles sur le compresseur L05 :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1123, '2020-09-25 12:43:24', 'SH2009-1112', 1, 13145, 0, NULL, NULL, NULL, '2020-09-25 14:41:29', 5, '2020-09-25 14:41:49', 5, NULL, NULL, NULL, 2, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Pour compresseur RLR3000AE6 n&deg;416939 : 2 filtres a huile ref H8D012 2 filtre s&eacute;parateur ref S5D002 Pour le compresseur RLR40 B7 YD N&deg;WCF251016 : 2 filtres &agrave; huile ref H8D012 2 filtres &agrave; air ref A1F642 2 filtres s&eacute;parateur ref S5D009', NULL, 0, '', NULL, NULL, NULL, NULL),
(1124, '2020-09-28 08:13:13', 'SH2009-1113', 1, 2116, 0, NULL, NULL, NULL, '2020-09-28 10:13:08', 5, '2020-09-28 10:13:11', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1125, '2020-09-28 08:33:14', 'SH2009-1114', 1, 2276, 0, NULL, NULL, NULL, '2020-09-28 10:33:08', 5, '2020-09-28 10:33:12', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L29RS N&deg; CD10015163001&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1126, '2020-09-28 08:49:45', 'SH2009-1115', 1, 10087, 0, NULL, NULL, NULL, '2020-09-28 10:49:37', 5, '2020-09-28 10:49:43', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Suite &agrave; la maintenance de vos compresseurs , notre technicen a not&eacute; differents disfonctionnements sur votre compresseur ROLLAIR 40 .<br />\r\nVeuillez trouver ci dessous les travaux &agrave; effectuer :<br />\r\n<br />\r\nD&eacute;lai : 2 semaines &agrave; r&eacute;c&eacute;ption de commande', NULL, 0, '', NULL, NULL, NULL, NULL),
(1127, '2020-09-28 12:45:02', 'SH2009-1116', 1, 13140, 0, NULL, NULL, NULL, '2020-09-28 14:43:47', 5, '2020-09-28 14:43:52', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Local air comprim&eacute;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1128, '2020-09-28 12:59:23', 'SH2009-1117', 1, 13140, 0, NULL, NULL, NULL, '2020-09-28 14:59:18', 5, '2020-09-28 14:59:22', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Suite &agrave; votre demande aupres de notre technicien :', NULL, 0, '', NULL, NULL, NULL, NULL),
(1129, '2020-09-28 13:11:00', 'SH2009-1118', 1, 2318, 0, NULL, NULL, NULL, '2020-09-28 15:10:24', 5, '2020-09-28 15:10:41', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L45 + L15+ secheurpar adsotpion HL0080', NULL, 0, '', NULL, NULL, NULL, NULL),
(1130, '2020-10-02 14:09:25', 'SH2009-1119', 1, 5741, 0, NULL, NULL, NULL, '2020-09-29 09:00:40', 5, '2020-09-29 09:00:45', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'd&eacute;lai : DISPONIBLE USINE&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1131, '2020-09-29 08:18:37', 'SH2009-1120', 1, 2370, 0, NULL, NULL, NULL, '2020-09-29 10:18:18', 5, '2020-09-29 10:18:22', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance RStop 7.5 :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1132, '2020-09-29 12:38:56', 'SH2009-1121', 1, 2297, 0, NULL, NULL, NULL, '2020-09-29 14:38:49', 5, '2020-09-29 14:38:53', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L11&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1133, '2020-09-29 12:54:24', 'SH2009-1122', 1, 11251, 0, NULL, NULL, NULL, '2020-09-29 14:54:18', 5, '2020-09-29 14:54:22', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '<strong>Maintenance compresseur RLR900 et remplacement des deux cartouches filtres reseaux deltech</strong><br />\r\n<br />\r\n<span style=\"font-size:11pt\"><span style=\"font-family:Calibri,sans-serif\">- Contr&ocirc;les et v&eacute;rifications &nbsp;pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- resserrage connexions &eacute;lectriques par nos techniciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es&nbsp;<br />\r\n&nbsp;-<u> Garantie 6 mois sur pi&egrave;ces filtration </u><br />\r\n&nbsp;- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 50 CV ( hors manutention, transport &amp; raccordement)<br />\r\n&nbsp;- Audit GRATUIT , ... etc</span></span><br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1134, '2020-10-01 13:39:11', 'SH2010-1123', 1, 2313, 0, NULL, NULL, NULL, '2020-10-01 15:39:05', 5, '2020-10-01 15:39:09', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L07RS N&deg; BA3562001&nbsp; en adaptable hors garantie', NULL, 0, '', NULL, NULL, NULL, NULL),
(1135, '2020-10-02 08:17:42', 'SH2010-1124', 1, 2064, 0, NULL, NULL, NULL, '2020-10-02 10:17:37', 5, '2020-10-02 10:17:41', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L80 - Faire le separateur &agrave; chaque fois car poussiereux', NULL, 0, '', NULL, NULL, NULL, NULL),
(1136, '2020-10-02 08:23:39', 'SH2010-1125', 1, 2077, 0, NULL, NULL, NULL, '2020-10-02 10:23:33', 5, '2020-10-02 10:23:37', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L22RS &agrave;&nbsp; HRS<br />\r\n<br />\r\nMaintenance seprateur de condensats Owamat 10<br />\r\nremplacement cartouche filtre reseau<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1137, '2020-10-02 08:36:15', 'SH2010-1126', 1, 2168, 0, NULL, NULL, NULL, '2020-10-02 10:36:09', 5, '2020-10-02 10:36:13', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L11 N&deg;BA22910002 - owamat 10 et filtres reseaux', NULL, 0, '', NULL, NULL, NULL, NULL),
(1138, '2020-10-02 08:52:13', 'SH2010-1127', 1, 6259, 0, NULL, NULL, NULL, '2020-10-02 10:52:08', 5, '2020-10-02 10:52:12', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L30 + L11', NULL, 0, '', NULL, NULL, NULL, NULL),
(1139, '2020-10-02 09:00:35', 'SH2010-1128', 1, 2103, 0, NULL, NULL, NULL, '2020-10-02 11:00:29', 5, '2020-10-02 11:00:33', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L45RS N&deg; CD10015227001&nbsp;<br />\r\nMaintenance seprateur de condensats&nbsp; owamat 14&nbsp;<br />\r\nRemplacement des deux cartouches filtres reseaux bea700<br />\r\n<br />\r\n<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1140, '2020-10-02 09:10:07', 'SH2010-1129', 1, 2122, 0, NULL, NULL, NULL, '2020-10-02 11:10:02', 5, '2020-10-02 11:10:06', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L75RS N&deg; CD10018699001 &agrave;&nbsp; HRS<br />\r\nMaintenance seprateur de condensats OWAMAT 15<br />\r\nRemplacement cartouche filtre r&eacute;seau<br />\r\n<br />\r\nBL N<br />\r\n<br />\r\nCommande N&deg;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1141, '2020-10-02 09:13:11', 'SH2010-1130', 1, 2122, 0, NULL, NULL, NULL, '2020-10-02 11:13:01', 5, '2020-10-02 11:13:05', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Intervention sur purge electropilot&eacute;e sur cuve 900Litres<br />\r\n<br />\r\nBL N&deg;45 du 02/09/2020', NULL, 0, '', NULL, NULL, NULL, NULL),
(1142, '2020-10-02 09:44:44', 'SH2010-1131', 1, 2169, 0, NULL, NULL, NULL, '2020-10-02 11:44:20', 5, '2020-10-02 11:44:29', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'bottarini', NULL, 0, '', NULL, NULL, NULL, NULL),
(1143, '2020-10-02 10:05:15', 'SH2010-1132', 1, 12596, 0, NULL, NULL, NULL, '2020-10-02 12:05:11', 5, '2020-10-02 12:05:14', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance RS PRO7.5 10 bars', NULL, 0, '', NULL, NULL, NULL, NULL),
(1144, '2020-10-02 12:18:35', 'SH2010-1133', 1, 2285, 0, NULL, NULL, NULL, '2020-10-02 14:18:29', 5, '2020-10-02 14:18:33', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance l15 + owamt 10', NULL, 0, '', NULL, NULL, NULL, NULL),
(1145, '2020-10-02 12:52:23', 'SH2010-1134', 1, 2350, 0, NULL, NULL, NULL, '2020-10-02 14:51:31', 5, '2020-10-02 14:51:35', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance Compresseurs L45RS&nbsp; &agrave;&nbsp;&nbsp;<br />\r\nRemplacement cartouche filtre reseau<br />\r\nMaintenance separateur de condensats OWAMAT 14<br />\r\n<br />\r\nVidange compresseur &agrave; piston laverie<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1146, '2020-10-02 13:02:28', 'SH2010-1135', 1, 2380, 0, NULL, NULL, NULL, '2020-10-02 15:02:22', 5, '2020-10-02 15:02:26', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur BOGE C9<br />\r\net remplcament cartouches filtres reseaux', NULL, 0, '', NULL, NULL, NULL, NULL),
(1147, '2020-10-02 13:17:33', 'SH2010-1136', 1, 12594, 0, NULL, NULL, NULL, '2020-10-02 15:17:27', 5, '2020-10-02 15:17:31', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'MAINTENANCE COMPRESSEUR sullair ws1100 et filtres reseaux', NULL, 0, '', NULL, NULL, NULL, NULL),
(1148, '2020-10-02 13:29:20', 'SH2010-1137', 1, 2386, 0, NULL, NULL, NULL, '2020-10-02 15:29:15', 5, '2020-10-02 15:29:19', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L11&nbsp;<br />\r\nMaintenance BS61<br />\r\nremplacement cartouche filtre reseau KAESER :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1149, '2020-10-02 13:36:31', 'SH2010-1138', 1, 13130, 0, NULL, NULL, NULL, '2020-10-02 15:36:25', 5, '2020-10-02 15:36:30', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement moteur de lubrification sur compresseur L110RS COMPAIR N&deg;CD10017043001<br />\r\n<br />\r\nSite : Les olagnieres 38 LA COTE ST ANDRE', NULL, 0, '', NULL, NULL, NULL, NULL),
(1150, '2020-10-02 13:58:41', 'SH2010-1139', 1, 2391, 0, NULL, NULL, NULL, '2020-10-02 15:58:04', 5, '2020-10-02 15:58:39', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance l29RS contrat liss&eacute;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1151, '2020-10-05 07:36:22', 'SH2010-1140', 1, 13148, 0, NULL, NULL, NULL, '2020-10-05 09:36:16', 5, '2020-10-05 09:36:19', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Pressostat&nbsp; pour compresseur Compair START0070-97 N&deg;349003/0392<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE ATELIER', NULL, 0, '', NULL, NULL, NULL, NULL),
(1152, '2020-10-05 08:49:04', 'SH2010-1141', 1, 2215, 0, NULL, NULL, NULL, '2020-10-05 10:48:59', 5, '2020-10-05 10:49:03', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L11RS&nbsp; N&deg;cd10001552001&nbsp;<br />\r\nRemplacement cartouche reseau&nbsp;<br />\r\nMaintenance Separateur de condensats OWAMAT10<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1153, '2020-10-05 08:54:37', 'SH2010-1142', 1, 10563, 0, NULL, NULL, NULL, '2020-10-05 10:54:33', 5, '2020-10-05 10:54:36', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance Compresseur Power System PS407 ( 8bars) n&deg; de s&eacute;rie 240&nbsp;407 ann&eacute;e 2004 remplacement filtre &agrave; air , filtre &agrave; huile et separateur , verifications et controle, remise &agrave; niveau d&#39;huile .\r\n<p>&nbsp;cuve de 1000 Litres : verification du bon fonctionnement de la purge</p>\r\n\r\n<p>ass&eacute;cheur Model LB 4.13 n&deg; de s&eacute;rie Q01C2059 ann&eacute;e 2004 : verification des connections et du bon fonctionnement</p>\r\n<br />\r\n- Contr&ocirc;les et v&eacute;rifications &nbsp;pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es&nbsp;<br />\r\n&nbsp;-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1154, '2020-10-05 09:06:07', 'SH2010-1143', 1, 2091, 0, NULL, NULL, NULL, '2020-10-05 11:06:01', 5, '2020-10-05 11:06:05', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenanxce compresseur L18 N&deg;CD10030115002&nbsp; suivant contrat liss&eacute;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1155, '2020-10-05 09:32:03', 'SH2010-1144', 1, 2161, 0, NULL, NULL, NULL, '2020-10-05 11:31:55', 5, '2020-10-05 11:32:00', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, 'sign&eacute; pour l&#39;ann&eacute;e 2019', 'Base contrat de maintenance 2020 :', NULL, 0, '', NULL, NULL, NULL, NULL),
(1156, '2020-10-19 07:46:14', 'SH2010-1145', 1, 2064, 0, NULL, NULL, NULL, '2020-10-06 16:01:07', 5, '2020-10-06 16:01:22', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(1157, '2020-10-08 09:02:19', 'SH2010-1146', 1, 10268, 0, NULL, NULL, NULL, '2020-10-08 11:02:14', 5, '2020-10-08 11:02:17', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement secheur frigorifique par un s&eacute;cheur frigorifique &eacute;quivalent .<br />\r\nRaccordement en souple<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE', NULL, 0, '', NULL, NULL, NULL, NULL),
(1158, '2020-10-15 08:58:08', 'SH2010-1147', 1, 2069, 0, NULL, NULL, NULL, '2020-10-15 10:56:01', 5, '2020-10-15 10:57:32', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Reseau en inox serti :<br />\r\nLongeur du reseau : 100ml en diametre 28 inox serti<br />\r\nNombre de descentes : 7<br />\r\nNombre de piquages : 3<br />\r\nFin de descentes : Vanne 1/4 de tour<br />\r\nSuivant sch&eacute;ma de principe<br />\r\nNacelle incluse', NULL, 0, '', NULL, NULL, NULL, NULL),
(1159, '2020-10-19 07:27:44', 'SH2010-1148', 1, 2011, 0, NULL, NULL, NULL, '2020-10-19 09:27:06', 5, '2020-10-19 09:27:10', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L18', NULL, 0, '', NULL, NULL, NULL, NULL),
(1160, '2020-10-19 07:52:30', 'SH2010-1149', 1, 2064, 0, NULL, NULL, NULL, '2020-10-19 09:52:25', 5, '2020-10-19 09:52:29', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L37 N&deg; CD1008491001<br />\r\nflitres reseau', NULL, 0, '', NULL, NULL, NULL, NULL),
(1161, '2020-10-19 09:34:50', 'SH2010-1150', 1, 2033, 0, NULL, NULL, NULL, '2020-10-19 11:34:43', 5, '2020-10-19 11:34:47', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance du Compresseur L26rs &agrave;&nbsp;<br />\r\nRemplcament cartouche filtre reseau<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1162, '2020-10-19 09:47:20', 'SH2010-1151', 1, 2033, 0, NULL, NULL, NULL, '2020-10-19 11:45:12', 5, '2020-10-19 11:45:17', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'L15rs', NULL, 0, '', NULL, NULL, NULL, NULL),
(1163, '2020-10-19 09:55:08', 'SH2010-1152', 1, 2295, 0, NULL, NULL, NULL, '2020-10-19 11:55:02', 5, '2020-10-19 11:55:05', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L30&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1164, '2020-10-19 12:04:12', 'SH2010-1153', 1, 2170, 0, NULL, NULL, NULL, '2020-10-19 14:04:06', 5, '2020-10-19 14:04:10', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(1165, '2020-10-22 07:34:19', 'SH2010-1154', 1, 10010, 0, NULL, NULL, NULL, '2020-10-22 09:34:13', 5, '2020-10-22 09:34:17', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '<span style=\"font-size:12px\"><span style=\"font-family:Arial,Helvetica,sans-serif\">Proposition de remplacement de compresseur SULLAIR BDS 22Kw par Compresseur COMPAIR L37 RS vitesse variable&nbsp;<strong>mise en place d&#39;un syst&egrave;me de variation &eacute;lectronique de vitesse (VEV) un moteur asynchrone </strong>et&nbsp;<strong>mise en place d&#39;un syst&egrave;me de r&eacute;cup&eacute;ration de chaleur sur compresseur d&#39;air d&#39;une puissance de 37 kW</strong>&quot; .<br />\r\nFourniture et pose d&#39;un filtre cyclonique SA0095<br />\r\nFourniture et pose d&#39;un secheur avec filtration amont et aval<br />\r\nFourniture et pose d&#39;un separateur de condensats Owamat 12&nbsp;</span></span><br />\r\n<br />\r\n<br />\r\n<span style=\"font-size:12pt\"><span style=\"font-size:12px\"><span style=\"font-family:Arial,Helvetica,sans-serif\"><strong>Adresse des travaux</strong>&nbsp;: BIOUSSE MECELEC Rue Ernest Rutherford - ZI Marcerolles&nbsp; 26500 Bourg-l&egrave;s-Valence &ndash; France - Tel. 04.75.83.15.01 - Du lundi au vendredi de 8h &agrave; 12h et de 13h &agrave; 16h45</span></span></span><br />\r\n<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1167, '2020-10-23 07:01:55', 'SH2010-1155', 1, 2765, 0, NULL, NULL, NULL, '2020-10-23 09:01:19', 5, '2020-10-23 09:01:28', 5, NULL, '2020-10-19 00:00:00', NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'membrane beko', NULL, 0, '', NULL, NULL, NULL, NULL),
(1168, '2020-10-27 13:45:50', 'SH2010-1156', 1, 2117, 0, NULL, NULL, NULL, '2020-10-27 14:45:46', 5, '2020-10-27 14:45:50', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'filtre a air L04', NULL, 0, '', NULL, NULL, NULL, NULL),
(1169, '2020-10-29 09:29:25', 'SH2010-1157', 1, 2042, 0, NULL, NULL, NULL, '2020-10-29 10:29:20', 5, '2020-10-29 10:29:24', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(1170, '2020-10-29 09:40:06', 'SH2010-1158', 1, 12623, 0, NULL, NULL, NULL, '2020-10-29 10:40:01', 5, '2020-10-29 10:40:05', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur RENNER RSDK PRO ECN 11 -10bar&nbsp;<br />\r\nremplacement cartouche filtre reseau BEA105<br />\r\n&nbsp;\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- resserrage connexions &eacute;lectriques par nos techniciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration </u><br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 50 CV ( hors manutention, transport &amp; raccordement)<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', NULL, 0, '', NULL, NULL, NULL, NULL),
(1171, '2020-10-29 10:10:14', 'SH2010-1159', 1, 2157, 0, NULL, NULL, NULL, '2020-10-29 11:10:09', 5, '2020-10-29 11:10:12', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintennace compresseur L15 &agrave; 23354 HRS<br />\r\n<br />\r\nBL N&deg;50 du 14/10/2020', NULL, 0, '', NULL, NULL, NULL, NULL),
(1172, '2020-10-29 10:33:32', 'SH2010-1160', 1, 10087, 0, NULL, NULL, NULL, '2020-10-29 11:33:27', 5, '2020-10-29 11:33:31', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement flexible sur compresseur RLR40 N&deg; WCF151422', NULL, 0, '', NULL, NULL, NULL, NULL),
(1173, '2020-10-29 13:26:40', 'SH2010-1161', 1, 2407, 0, NULL, NULL, NULL, '2020-10-29 14:26:34', 5, '2020-10-29 14:26:38', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L90RS&nbsp;&nbsp;VFDA_CROU_0001<br />\r\nBon de Pr&eacute;ventif num&eacute;ro 196738<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1174, '2020-10-29 13:41:14', 'SH2010-1162', 1, 2407, 0, NULL, NULL, NULL, '2020-10-29 14:41:07', 5, '2020-10-29 14:41:12', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Soupape avec certificat&nbsp;<br />\r\nG 1 &quot; 15Bar', NULL, 0, '', NULL, NULL, NULL, NULL),
(1175, '2020-11-03 08:55:00', 'SH2011-1163', 1, 13160, 0, NULL, NULL, NULL, '2020-11-03 09:54:56', 5, '2020-11-03 09:55:00', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Pieces pour maintenance compresseur L04 Compair', NULL, 0, '', NULL, NULL, NULL, NULL),
(1176, '2020-11-03 09:08:36', 'SH2011-1164', 1, 2184, 0, NULL, NULL, NULL, '2020-11-03 10:08:29', 5, '2020-11-03 10:08:34', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L45RS ( 2018 ) N&deg; CD10034859001 en huile alimentaire &agrave; 19570H<br />\r\n<br />\r\nRemplacement cartouche filtre r&eacute;seau&nbsp;<br />\r\n<br />\r\nMaintenance seprateur de condensats OWAMAT 14<br />\r\n<br />\r\nCommande N<br />\r\n<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1177, '2020-11-24 14:23:17', 'SH2011-1165', 1, 2036, 0, NULL, NULL, NULL, '2020-11-03 14:19:13', 5, '2020-11-03 14:19:17', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance rs pro 4 ,&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1178, '2020-11-03 14:22:36', 'SH2011-1166', 1, 2178, 0, NULL, NULL, NULL, '2020-11-03 15:22:32', 5, '2020-11-03 15:22:36', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Kit de reparation suite &agrave; votre demande<br />\r\n<br />\r\nD&eacute;lai : DISPONIBLE USINE ( 4 jours de transport )', NULL, 0, '', NULL, NULL, NULL, NULL),
(1179, '2020-11-16 09:06:56', 'SH2011-1167', 1, 2234, 0, NULL, NULL, NULL, '2020-11-16 10:06:34', 5, '2020-11-16 10:06:38', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L45RS N&deg;CD10005658001 &agrave;&nbsp; 18334 HRS<br />\r\nMaintenance du separateur de condensats Owamat 14<br />\r\nRemplacement cartouche filtre reseau<br />\r\n<br />\r\nBL N&deg;4 du 28/10/2020<br />\r\n<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1180, '2020-11-16 15:30:06', 'SH2011-1168', 1, 12950, 0, NULL, NULL, NULL, '2020-11-16 16:30:00', 5, '2020-11-16 16:30:06', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Purge temporis&eacute;e', NULL, 0, '', NULL, NULL, NULL, NULL),
(1181, '2020-11-27 13:12:51', 'SH2011-1169', 1, 5741, 0, NULL, NULL, NULL, '2020-11-16 16:35:05', 5, '2020-11-16 16:35:08', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'offre de prix :<br />\r\nles deux kits 4000 h et 8000h sur notre compresseur<br />\r\nReference L75 N&deg;10005618002<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1182, '2020-11-27 13:12:43', 'SH2011-1170', 1, 5741, 0, NULL, NULL, NULL, '2020-11-16 16:42:02', 5, '2020-11-16 16:42:05', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Kit Separateur de condensats :', NULL, 0, '', NULL, NULL, NULL, NULL),
(1183, '2020-11-18 13:30:21', 'SH2011-1171', 1, 2086, 0, NULL, NULL, NULL, '2020-11-18 14:30:14', 5, '2020-11-18 14:30:18', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Commande du 16/11/2020', NULL, 0, '', NULL, NULL, NULL, NULL),
(1184, '2020-11-19 13:32:01', 'SH2011-1172', 1, 2283, 0, NULL, NULL, NULL, '2020-11-19 14:31:53', 5, '2020-11-19 14:31:58', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Compresseur &agrave; vis RENNER', NULL, 0, '', NULL, NULL, NULL, NULL),
(1185, '2020-11-24 09:31:56', 'SH2011-1173', 1, 2286, 0, NULL, NULL, NULL, '2020-11-24 10:31:49', 5, '2020-11-24 10:31:53', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(1186, '2020-11-24 10:11:21', 'SH2011-1174', 1, 13101, 0, NULL, NULL, NULL, '2020-11-24 11:06:25', 5, '2020-11-24 11:06:29', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(1187, '2020-11-24 14:31:38', 'SH2011-1175', 1, 2064, 0, NULL, NULL, NULL, '2020-11-24 15:31:33', 5, '2020-11-24 15:31:37', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'remplacement acouplement sur compresseur L37 de 2012 N&deg;CD001<br />\r\nRemplacement separateur sur compresseur L37 N&deg; CD0002&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1188, '2020-11-24 15:52:30', 'SH2011-1176', 1, 12590, 0, NULL, NULL, NULL, '2020-11-24 16:50:52', 5, '2020-11-24 16:52:30', 5, NULL, '2018-09-30 00:00:00', NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance compresseur et filtres reseaux&nbsp; :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1189, '2020-11-25 08:53:59', 'SH2011-1177', 1, 11452, 0, NULL, NULL, NULL, '2020-11-25 09:53:52', 5, '2020-11-25 09:53:56', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(1190, '2020-11-25 13:52:36', 'SH2011-1178', 1, 2268, 0, NULL, NULL, NULL, '2020-11-25 14:52:31', 5, '2020-11-25 14:52:35', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance local air comprim&eacute;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1191, '2020-11-26 14:53:01', 'SH2011-1179', 1, 2350, 0, NULL, NULL, NULL, '2020-11-26 15:52:55', 5, '2020-11-26 15:52:58', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(1192, '2020-11-26 15:55:29', 'SH2011-1180', 1, 12700, 0, NULL, NULL, NULL, '2020-11-26 16:55:22', 5, '2020-11-26 16:55:27', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance', NULL, 0, '', NULL, NULL, NULL, NULL),
(1193, '2020-11-27 08:57:23', 'SH2011-1181', 1, 2376, 0, NULL, NULL, NULL, '2020-11-27 09:57:13', 5, '2020-11-27 09:57:17', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement s&eacute;cheur&nbsp; MPF140 Hors service par un s&eacute;cheur &eacute;quivalent - modification du bypass en inox et raccordement', NULL, 0, '', NULL, NULL, NULL, NULL),
(1194, '2020-11-30 10:56:38', 'SH2011-1182', 1, 6259, 0, NULL, NULL, NULL, '2020-11-30 11:56:34', 5, '2020-11-30 11:56:38', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(1195, '2020-12-01 08:05:54', 'SH2012-1183', 1, 2407, 0, NULL, NULL, NULL, '2020-12-01 09:05:49', 5, '2020-12-01 09:05:53', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '<span style=\"font-size:11pt\"><span style=\"font-family:Calibri,sans-serif\">R&eacute;&eacute;preuve de r&eacute;servoir d&rsquo;air comprim&eacute; ( Hors organisme agr&eacute;e )</span></span><br />\r\n<br />\r\n<span style=\"font-size:11pt\"><span style=\"font-family:Calibri,sans-serif\">Notre offre comprend&nbsp;:</span></span>\r\n<ul>\r\n	<li><span style=\"font-size:11pt\"><span style=\"font-family:Calibri,sans-serif\">La vidange d&rsquo;huile du compresseur</span></span></li>\r\n	<li><span style=\"font-size:11pt\"><span style=\"font-family:Calibri,sans-serif\">D&eacute;pose des accessoires fixer sur la cuve ( flexible , &hellip; etc )</span></span></li>\r\n	<li><span style=\"font-size:11pt\"><span style=\"font-family:Calibri,sans-serif\">Bouchonnage des differents orifices</span></span></li>\r\n	<li><span style=\"font-size:11pt\"><span style=\"font-family:Calibri,sans-serif\">Remplissage du reservoir avec de l&rsquo;eau</span></span></li>\r\n	<li><span style=\"font-size:11pt\"><span style=\"font-family:Calibri,sans-serif\">Assistance eu verificateur de l&rsquo;organisme agr&eacute;e</span></span></li>\r\n	<li><span style=\"font-size:11pt\"><span style=\"font-family:Calibri,sans-serif\">Remontage et remise en service de la machine</span></span></li>\r\n	<li><span style=\"font-size:11pt\"><span style=\"font-family:Calibri,sans-serif\">Remise &agrave; niveau d&rsquo;huile du compresseur</span></span></li>\r\n</ul>\r\n<span style=\"font-size:11pt\"><span style=\"font-family:Calibri,sans-serif\">BL N&deg;25 du05/06/2020</span></span>', NULL, 0, '', NULL, NULL, NULL, NULL),
(1196, '2020-12-01 09:25:04', 'SH2012-1184', 1, 1990, 0, NULL, NULL, NULL, '2020-12-01 10:24:58', 5, '2020-12-01 10:25:01', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Raccordement chauffe eau et melangeur suivant votre demande&nbsp;<br />\r\n<br />\r\nBL N&deg;39 du 26/10/2020', NULL, 0, '', NULL, NULL, NULL, NULL),
(1197, '2020-12-01 10:51:55', 'SH2012-1185', 1, 2279, 0, NULL, NULL, NULL, '2020-12-01 11:51:50', 5, '2020-12-01 11:51:53', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(1198, '2020-12-01 10:54:48', 'SH2012-1186', 1, 2279, 0, NULL, NULL, NULL, '2020-12-01 11:54:43', 5, '2020-12-01 11:54:46', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement de votre reservoir 1000Litres par un reservoir 900Litres.Intervention pr&eacute;vu en m&ecirc;me temps que la maintenance du compresseur L50 .<br />\r\nD&eacute;placement non inclus dans l&#39;offre ( inclus dans le forfait maintenance compresseur L50 .&nbsp;<br />\r\nComme vu avec Mr Balzard ce jour .&nbsp;<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1199, '2020-12-01 11:03:41', 'SH2012-1187', 1, 2223, 0, NULL, NULL, NULL, '2020-12-01 12:03:36', 5, '2020-12-01 12:03:40', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur&nbsp; RSDK PRO ECN 7.5 7 .5 bars et remplacement cartouche filtre reseau&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1200, '2020-12-14 09:08:12', 'SH2012-1188', 1, 11452, 0, NULL, NULL, NULL, '2020-12-02 10:18:07', 5, '2020-12-02 10:18:10', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '5 Coupleurs&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1201, '2020-12-03 10:04:42', 'SH2012-1189', 1, 2283, 0, NULL, NULL, NULL, '2020-12-03 11:04:36', 5, '2020-12-03 11:04:40', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Prolongation reseaux inox diametre 22 et pose enrouleur ( en votre possession )&nbsp;<br />\r\n<br />\r\nBL N&deg;46 du 04/11/2020', NULL, 0, '', NULL, NULL, NULL, NULL),
(1202, '2020-12-03 10:30:45', 'SH2012-1190', 1, 13053, 0, NULL, NULL, NULL, '2020-12-03 11:30:39', 5, '2020-12-03 11:30:43', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, 'sign&eacute; pour l&#39;ann&eacute;e 2019', 'Base contrat de maintenance 2019 :', NULL, 0, '', NULL, NULL, NULL, NULL),
(1203, '2020-12-03 10:44:56', 'SH2012-1191', 1, 13053, 0, NULL, NULL, NULL, '2020-12-03 11:44:48', 5, '2020-12-03 11:44:52', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'secheur alumine parker&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1204, '2020-12-04 08:09:06', 'SH2012-1192', 1, 13188, 0, NULL, NULL, NULL, '2020-12-04 09:08:59', 5, '2020-12-04 09:09:03', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '<pre>\r\nle joint num&eacute;ro 13/102 r&eacute;f&eacute;rence du sch&eacute;ma\r\n\r\n\r\n</pre>\r\n\r\n<pre>\r\nD&eacute;lai estim&eacute; &agrave; : 2-3 jours	</pre>\r\n', NULL, 0, '', NULL, NULL, NULL, NULL),
(1205, '2020-12-07 14:19:22', 'SH2012-1193', 1, 2020, 0, NULL, NULL, NULL, '2020-12-07 15:19:01', 5, '2020-12-07 15:19:07', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Deplacement compresseur L22 &agrave; la place u L07 avec son secheur .<br />\r\nRaccordement et essai&nbsp;<br />\r\n<br />\r\nBL N&deg;17 du 30/11/2020', NULL, 0, '', NULL, NULL, NULL, NULL),
(1206, '2020-12-21 10:09:17', 'SH2012-1194', 1, 5741, 0, NULL, NULL, NULL, '2020-12-14 10:02:56', 5, '2020-12-14 10:03:01', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Caisse a outils:<br />\r\n<br />\r\nDISPONIBLE USINE', NULL, 0, '', NULL, NULL, NULL, NULL),
(1207, '2020-12-17 13:28:43', 'SH2012-1195', 1, 13145, 0, NULL, NULL, NULL, '2020-12-14 10:03:35', 5, '2020-12-14 10:03:39', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Purgeur avec adpatateur&nbsp;<br />\r\n<br />\r\nD&eacute;lai : 15 jours &agrave; reception de commande', NULL, 0, '', NULL, NULL, NULL, NULL),
(1208, '2021-01-22 14:41:51', 'SH2012-1196', 1, 11452, 0, NULL, NULL, NULL, '2020-12-14 10:10:07', 5, '2020-12-14 10:10:32', 5, NULL, NULL, NULL, 1, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '5 Coupleurs - &eacute;change', NULL, 0, '', NULL, NULL, NULL, NULL),
(1210, '2020-12-16 14:16:46', 'SH2012-1197', 1, 2331, 0, NULL, NULL, NULL, '2020-12-16 15:16:42', 5, '2020-12-16 15:16:46', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(1211, '2020-12-17 13:07:13', 'SH2012-1198', 1, 1988, 0, NULL, NULL, NULL, '2020-12-17 14:07:07', 5, '2020-12-17 14:07:11', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L55RS SUivant contrat de maintenance', NULL, 0, '', NULL, NULL, NULL, NULL),
(1212, '2020-12-17 13:24:08', 'SH2012-1199', 1, 2033, 0, NULL, NULL, NULL, '2020-12-17 14:24:03', 5, '2020-12-17 14:24:07', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur GA30C N&deg; AII278463 de 2004 :', NULL, 0, '', NULL, NULL, NULL, NULL),
(1213, '2020-12-17 13:38:41', 'SH2012-1200', 1, 2075, 0, NULL, NULL, NULL, '2020-12-17 14:38:26', 5, '2020-12-17 14:38:31', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L07 N&deg; CD10004696001', NULL, 0, '', NULL, NULL, NULL, NULL),
(1214, '2020-12-17 14:16:19', 'SH2012-1201', 1, 2177, 0, NULL, NULL, NULL, '2020-12-17 15:16:12', 5, '2020-12-17 15:16:17', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L07RS &agrave;&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1215, '2020-12-18 08:59:56', 'SH2012-1202', 1, 2347, 0, NULL, NULL, NULL, '2020-12-18 09:59:51', 5, '2020-12-18 09:59:54', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L15RS N&deg;CD10021874001 - 8000 HRS', NULL, 0, '', NULL, NULL, NULL, NULL),
(1216, '2020-12-18 14:28:24', 'SH2012-1203', 1, 2001, 0, NULL, NULL, NULL, '2020-12-18 15:28:10', 5, '2020-12-18 15:28:13', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, '<p style=\"margin-left:70.5pt\">Pieces d&eacute;tach&eacute;es pour compresseur SK22&nbsp;&nbsp;&nbsp;&nbsp; N&deg;101952.0&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; N&deg;SERIE&nbsp;: 1902</p>\r\n\r\n<p style=\"margin-left:70.5pt\">Ann&eacute;e 2014&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Puissance 11 KW</p>\r\n\r\n<p style=\"margin-left:70.5pt\">Vitesse moteur 2960 tr/min&nbsp;&nbsp; 8 bars pression</p>\r\n\r\n<p style=\"margin-left:35.4pt; text-align:justify\">&nbsp;</p>\r\n\r\n<ul>\r\n	<li style=\"text-align:justify\"><span style=\"font-size:12.0pt\">1 filtre &agrave; huile KAESER&nbsp;&nbsp;&nbsp; REF 1200</span></li>\r\n	<li style=\"text-align:justify\"><span style=\"font-size:12.0pt\">2 filtres &agrave; air&nbsp; KAESER&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; REF 1250</span></li>\r\n	<li style=\"text-align:justify\"><span style=\"font-size:12.0pt\">1 cartouche s&eacute;paratrice d&rsquo;huile&nbsp; KAESER&nbsp;&nbsp; REF 1450</span></li>\r\n</ul>\r\n', NULL, 0, '', NULL, NULL, NULL, NULL),
(1217, '2020-12-18 14:28:48', 'SH2012-1204', 1, 2122, 0, NULL, NULL, NULL, '2020-12-18 15:28:43', 5, '2020-12-18 15:28:47', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Meuleuse droite gauche-envers<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1218, '2020-12-21 10:09:14', 'SH2012-1205', 1, 5741, 0, NULL, NULL, NULL, '2020-12-18 15:29:21', 5, '2020-12-18 15:29:24', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Kit Separateur de condensats :', NULL, 0, '', NULL, NULL, NULL, NULL),
(1219, '2020-12-18 15:17:07', 'SH2012-1206', 1, 5741, 0, NULL, NULL, NULL, '2020-12-18 16:16:46', 5, '2020-12-18 16:16:51', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(1220, '2020-12-21 11:20:38', 'SH2012-1207', 1, 12869, 0, NULL, NULL, NULL, '2020-12-21 12:20:25', 5, '2020-12-21 12:20:36', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Fourniture d&#39;un Compresseur &agrave; vis RS PRO 7.5 10 Bars , r&eacute;servoir 500L , purge temporis&eacute;e et accessoires de raccordement', NULL, 0, '', NULL, NULL, NULL, NULL),
(1221, '2020-12-22 08:07:03', 'SH2012-1208', 1, 2054, 0, NULL, NULL, NULL, '2020-12-22 09:06:57', 5, '2020-12-22 09:07:01', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur Sullair WA3008&nbsp; &agrave; 36058 HRS<br />\r\nBL N&deg;9 du 16/12/2020<br />\r\n<br />\r\net deux interventions de d&eacute;pannages :&nbsp;<br />\r\n07/09/2020 BL N&deg; 22<br />\r\n04/12/2020 BL N&deg; 21 pas de frais de d&eacute;placement car intervention de maintenance du L26RS STATION MAIS<br />\r\n<br />\r\nSite de livraision :&nbsp;<br />\r\nCooperative OXYANE<br />\r\nSTATION MAIS<br />\r\n361 Chemin du Pouloux,<br />\r\n38270 Beaurepaire<br />\r\n<br />\r\nCommande S981 20 12 3511PM<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1222, '2020-12-22 08:20:15', 'SH2012-1209', 1, 2054, 0, NULL, NULL, NULL, '2020-12-22 09:20:05', 5, '2020-12-22 09:20:12', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance l26rs&nbsp;cd10036911001 &agrave; 9887 HRS<br />\r\nBL N&deg;21 du 04/12/2020', NULL, 0, '', NULL, NULL, NULL, NULL),
(1223, '2020-12-24 08:52:26', 'SH2012-1210', 1, 11209, 0, NULL, NULL, NULL, '2020-12-24 09:52:21', 5, '2020-12-24 09:52:25', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur BELAIR GS30\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- Tous contr&ocirc;les &eacute;lectriques ( contacteurs , tous organes &eacute;lectriques identifi&eacute;s lors de la maintenance ) par nos &eacute;lectriciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration et maintenance</u> effectu&eacute;e<br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 100 CV dans la joun&eacute;e<br />\r\n- Audit GRATUIT , ... etc</p>\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1224, '2020-12-24 09:47:55', 'SH2012-1211', 1, 2352, 0, NULL, NULL, NULL, '2020-12-24 10:47:49', 5, '2020-12-24 10:47:53', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L37RS', NULL, 0, '', NULL, NULL, NULL, NULL),
(1225, '2021-01-06 09:23:15', 'SH2101-1212', 1, 7066, 0, NULL, NULL, NULL, '2021-01-06 10:23:12', 5, '2021-01-06 10:23:15', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Demande du 09/12/2020', NULL, 0, '', NULL, NULL, NULL, NULL),
(1226, '2021-01-07 10:15:35', 'SH2101-1213', 1, 10189, 0, NULL, NULL, NULL, '2021-01-07 11:15:31', 5, '2021-01-07 11:15:35', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Filtre pour aspirateur&nbsp;RTM &agrave; poussi&egrave;res: D150h700 -AR4891<br />\r\n<br />\r\n<br />\r\nD&eacute;lai : 8 semaines &agrave; date de commande', NULL, 0, '', NULL, NULL, NULL, NULL),
(1227, '2021-01-08 08:22:28', 'SH2101-1214', 1, 2021, 0, NULL, NULL, NULL, '2021-01-08 09:22:15', 5, '2021-01-08 09:22:19', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Fournitures :', NULL, 0, '', NULL, NULL, NULL, NULL),
(1228, '2021-01-20 08:45:10', 'SH2101-1215', 1, 1940, 0, NULL, NULL, NULL, '2021-01-20 09:45:05', 5, '2021-01-20 09:45:08', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance de votre compresseur L45RS N&deg; CD10023839001 &agrave;&nbsp; HRS<br />\r\nRemplacement cartouches filtres r&eacute;seaux&nbsp;<br />\r\nMaintenance s&eacute;parateur de condensats owamat14<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1229, '2021-01-20 08:51:39', 'SH2101-1216', 1, 1940, 0, NULL, NULL, NULL, '2021-01-20 09:51:34', 5, '2021-01-20 09:51:38', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Entretien Compresseurs UH<br />\r\n<br />\r\nD&eacute;lai : 5 jours ouvr&eacute;s<br />\r\n<br />\r\n<span style=\"font-size:11pt\"><span style=\"font-family:Calibri,sans-serif\">- Contr&ocirc;les et v&eacute;rifications &nbsp;pr&eacute;conis&eacute;s par le constructeur<br />\r\n- resserrage connexions &eacute;lectriques par nos techniciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es&nbsp;<br />\r\n&nbsp;-<u> Garantie 6 mois sur pi&egrave;ces filtration </u><br />\r\n&nbsp;- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 50 CV ( hors manutention, transport &amp; raccordement)<br />\r\n&nbsp;- Audit GRATUIT , ... etc</span></span><br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1230, '2021-01-21 10:37:34', 'SH2101-1217', 1, 13036, 0, NULL, NULL, NULL, '2021-01-21 11:37:28', 5, '2021-01-21 11:37:32', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur RLR25V en pi&eacute;ces adaptables\r\n<p>- Contr&ocirc;les et v&eacute;rifications pr&eacute;conis&eacute;s par le constructeur<br />\r\n- V&eacute;rification s&eacute;cheur et purge<br />\r\n- resserrage connexions &eacute;lectriques par nos techniciens dans le local technique<br />\r\n- Hors autres pi&egrave;ces d&eacute;fectueuses pouvant &ecirc;tre trouv&eacute;es<br />\r\n-<u> Garantie 6 mois sur pi&egrave;ces filtration </u><br />\r\n- <u>Pr&ecirc;t GRATUIT </u>d&#39;un compresseur de 0 &agrave; 50 CV ( hors manutention, transport &amp; raccordement)<br />\r\n- Audit GRATUIT , ... etc</p>\r\n', NULL, 0, '', NULL, NULL, NULL, NULL),
(1231, '2021-01-21 10:43:24', 'SH2101-1218', 1, 2016, 0, NULL, NULL, NULL, '2021-01-21 11:43:19', 5, '2021-01-21 11:43:22', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance l05', NULL, 0, '', NULL, NULL, NULL, NULL),
(1232, '2021-01-21 10:53:33', 'SH2101-1219', 1, 12666, 0, NULL, NULL, NULL, '2021-01-21 11:52:39', 5, '2021-01-21 11:52:43', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance UP5-15-8.5', NULL, 0, '', NULL, NULL, NULL, NULL),
(1233, '2021-01-21 14:00:56', 'SH2101-1220', 1, 2073, 0, NULL, NULL, NULL, '2021-01-21 14:52:32', 5, '2021-01-21 15:00:53', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance Hv07 &agrave;&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1234, '2021-01-21 14:19:02', 'SH2101-1221', 1, 2408, 0, NULL, NULL, NULL, '2021-01-21 15:18:57', 5, '2021-01-21 15:19:00', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur l07 en pi&eacute;ces adaptable&nbsp;&nbsp;<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1235, '2021-01-21 14:39:19', 'SH2101-1222', 1, 2408, 0, NULL, NULL, NULL, '2021-01-21 15:39:14', 5, '2021-01-21 15:39:18', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L11&nbsp; &agrave; 13380 HRS en adaptable et separateur de condensats OWAMAT 11<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1236, '2021-01-25 13:11:46', 'SH2101-1223', 1, 10144, 0, NULL, NULL, NULL, '2021-01-25 14:11:36', 5, '2021-01-25 14:11:43', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance&nbsp; rsf 22 10 bars n&deg;830076 &agrave; HRS<br />\r\n<br />\r\nRemplacement kit separateur de condensats<br />\r\nRemplacement cartouche filtre BEA300RA<br />\r\n<br />\r\n<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1237, '2021-01-28 14:38:34', 'SH2101-1224', 1, 2350, 0, NULL, NULL, NULL, '2021-01-28 15:38:29', 5, '2021-01-28 15:38:33', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(1238, '2021-01-28 15:10:28', 'SH2101-1225', 1, 2407, 0, NULL, NULL, NULL, '2021-01-28 16:07:32', 5, '2021-01-28 16:07:55', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Huile pour compresseur l90RS Compair<br />\r\n<br />\r\nN&deg;908665316-0-10760', 'rouget', 0, '', NULL, NULL, NULL, NULL),
(1239, '2021-01-29 09:03:50', 'SH2101-1226', 1, 1983, 0, NULL, NULL, NULL, '2021-01-29 10:03:45', 5, '2021-01-29 10:03:48', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L07RS N&deg; BA2765001 &agrave;<br />\r\nRemplcament cartouche filtre reseau<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1240, '2021-01-29 10:13:12', 'SH2101-1227', 1, 2378, 0, NULL, NULL, NULL, '2021-01-29 11:12:53', 5, '2021-01-29 11:13:00', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L45RS&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1241, '2021-01-29 10:18:51', 'SH2101-1228', 1, 2055, 0, NULL, NULL, NULL, '2021-01-29 11:18:45', 5, '2021-01-29 11:18:49', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L18 - en pi&eacute;ces adaptables&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1242, '2021-01-29 10:56:37', 'SH2101-1229', 1, 2060, 0, NULL, NULL, NULL, '2021-01-29 11:56:30', 5, '2021-01-29 11:56:34', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance de votre compresseur Sprint 051 N&deg; 149802/38<br />\r\nMaintenance Sprint 051 N&deg; 149802/37<br />\r\nMaintenance&nbsp; Sprint 041 N&deg;149567/18<br />\r\nMaintenance separateur de condensats SUPERSPLUS30<br />\r\nRemplacement cartouche filtre r&eacute;seau', NULL, 0, '', NULL, NULL, NULL, NULL),
(1243, '2021-01-29 13:12:22', 'SH2101-1230', 1, 2008, 0, NULL, NULL, NULL, '2021-01-29 14:12:16', 5, '2021-01-29 14:12:20', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur 6000 EL', NULL, 0, '', NULL, NULL, NULL, NULL),
(1244, '2021-01-29 14:14:51', 'SH2101-1231', 1, 2086, 0, NULL, NULL, NULL, '2021-01-29 15:14:46', 5, '2021-01-29 15:14:49', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L11RS N&deg; BA31759001<br />\r\nMaintenance seprateur de condensats OWAMAT 10<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1245, '2021-01-29 14:24:28', 'SH2101-1232', 1, 2123, 0, NULL, NULL, NULL, '2021-01-29 15:24:22', 5, '2021-01-29 15:24:26', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L29RS N&deg;CD10032874001 &agrave; 16341 HRS<br />\r\nMaintenance separateur de condensats OWamat 12<br />\r\nRemplacement cartouches filtres reseaux BEA480RA &amp; RB<br />\r\n<br />\r\nBL N&deg; 32 du 04/01/2021', NULL, 0, '', NULL, NULL, NULL, NULL);
INSERT INTO `llx_expedition` (`rowid`, `tms`, `ref`, `entity`, `fk_soc`, `fk_projet`, `ref_ext`, `ref_int`, `ref_customer`, `date_creation`, `fk_user_author`, `date_valid`, `fk_user_valid`, `date_expedition`, `date_delivery`, `fk_address`, `fk_shipping_method`, `tracking_number`, `fk_statut`, `billed`, `height`, `width`, `size_units`, `size`, `weight_units`, `weight`, `note_private`, `note_public`, `model_pdf`, `fk_incoterms`, `location_incoterms`, `import_key`, `extraparams`, `fk_user_modif`, `last_main_doc`) VALUES
(1246, '2021-01-29 14:36:11', 'SH2101-1233', 1, 2102, 0, NULL, NULL, NULL, '2021-01-29 15:36:04', 5, '2021-01-29 15:36:09', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Modification reseau pneumatique: fourniture et pose d&#39;un piquage en &Oslash; 28 avec vanne 1&quot; interieur et exterieur. Raccordement sur reseau &Oslash;28/ 1&quot; dans atelier 1 &amp; atelier 2.<br />\r\nMateriel disponible, les travaux peuvent etre engag&eacute;s sous 48h.<br />\r\n<strong><u>Attention:</u></strong> prevoir coupure du reseau d&#39;air (environ 1/2 par atelier) peut etre faite pendant le temps de pose en accord avec la production des ateliers', NULL, 0, '', NULL, NULL, NULL, NULL),
(1247, '2021-01-29 14:51:40', 'SH2101-1234', 1, 2103, 0, NULL, NULL, NULL, '2021-01-29 15:51:35', 5, '2021-01-29 15:51:39', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L22 suivant contrat liss&eacute;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1248, '2021-01-29 14:59:40', 'SH2101-1235', 1, 2101, 0, NULL, NULL, NULL, '2021-01-29 15:59:36', 5, '2021-01-29 15:59:39', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance l18RS &agrave;&nbsp; HRS<br />\r\nMaintenance owamat 10<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1249, '2021-02-01 09:13:01', 'SH2102-1236', 1, 2122, 0, NULL, NULL, NULL, '2021-02-01 10:12:57', 5, '2021-02-01 10:13:01', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'DISPONIBLE USINE', NULL, 0, '', NULL, NULL, NULL, NULL),
(1250, '2021-02-01 09:21:17', 'SH2102-1237', 1, 2102, 0, NULL, NULL, NULL, '2021-02-01 10:16:45', 5, '2021-02-01 10:16:49', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(1251, '2021-02-01 09:28:03', '(PROV1251)', 1, 12746, 0, NULL, NULL, NULL, '2021-02-01 10:28:03', 5, NULL, NULL, NULL, NULL, NULL, NULL, '', 0, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Huile pour lubrificateur&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1252, '2021-02-01 09:28:10', 'SH2102-1238', 1, 12746, 0, NULL, NULL, NULL, '2021-02-01 10:28:03', 5, '2021-02-01 10:28:07', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Huile pour lubrificateur&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1253, '2021-02-01 10:44:57', 'SH2102-1239', 1, 2062, 0, NULL, NULL, NULL, '2021-02-01 11:44:52', 5, '2021-02-01 11:44:55', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance de compresseur L26RS&nbsp;<br />\r\nBatiment 1&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1254, '2021-02-01 10:56:31', 'SH2102-1240', 1, 2122, 0, NULL, NULL, NULL, '2021-02-01 11:56:25', 5, '2021-02-01 11:56:30', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L75RS N&deg; CD10018699001 &agrave; 29143 HRS<br />\r\nMaintenance separateur de condensats OWAMAT 15<br />\r\nMaintenance separateur de condensats SUPER PLUS 30<br />\r\n<br />\r\nRemplacement cartouches filtres r&eacute;seaux<br />\r\n<br />\r\nBL N22 du 27/01/2020<br />\r\n<br />\r\nCommande N&deg;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1255, '2021-02-01 11:01:45', 'SH2102-1241', 1, 2203, 0, NULL, NULL, NULL, '2021-02-01 12:01:36', 5, '2021-02-01 12:01:40', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L45RS avec bloc vis garantie 24 mois et huile alimenatire&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1256, '2021-02-01 13:25:35', 'SH2102-1242', 1, 12920, 0, NULL, NULL, NULL, '2021-02-01 14:25:29', 5, '2021-02-01 14:25:32', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance pour compresseur Silpac1210Y N&deg; 8171930AVo057 LOt 096146 de 1999 .', NULL, 0, '', NULL, NULL, NULL, NULL),
(1257, '2021-02-01 14:04:12', 'SH2102-1243', 1, 6663, 0, NULL, NULL, NULL, '2021-02-01 15:04:04', 5, '2021-02-01 15:04:09', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L37RS N&deg; CD100248873001 &agrave;&nbsp;7211HRS<br />\r\nMaintenance seprateur de condensats Owamat 14<br />\r\nRemplacement cartouches filtres reseaux<br />\r\n<br />\r\nBL N&deg;5 du 28/01/2021<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1258, '2021-02-01 14:14:48', 'SH2102-1244', 1, 6663, 0, NULL, NULL, NULL, '2021-02-01 15:14:43', 5, '2021-02-01 15:14:47', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L18 N&deg;100011405/0154 &agrave;&nbsp; HEURES<br />\r\nRemplacement cartouches filtres reseaux&nbsp;<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1259, '2021-02-01 14:31:38', 'SH2102-1245', 1, 2289, 0, NULL, NULL, NULL, '2021-02-01 15:31:32', 5, '2021-02-01 15:31:37', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'L11RS sous contrat liss&eacute;<br />\r\nN&deg; BA46470001 &agrave; 2699 HRS<br />\r\n<br />\r\nBL N&deg;30 du 11/09/2019', NULL, 0, '', NULL, NULL, NULL, NULL),
(1260, '2021-02-01 15:40:11', 'SH2102-1246', 1, 2338, 0, NULL, NULL, NULL, '2021-02-01 16:40:05', 5, '2021-02-01 16:40:09', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L07RS en FULL SERVICE et MAINTENACE ROLLAIR', NULL, 0, '', NULL, NULL, NULL, NULL),
(1261, '2021-02-02 10:19:05', 'SH2102-1247', 1, 2371, 0, NULL, NULL, NULL, '2021-02-02 11:19:00', 5, '2021-02-02 11:19:03', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L22 et filtres reseaux', NULL, 0, '', NULL, NULL, NULL, NULL),
(1262, '2021-02-02 13:44:17', 'SH2102-1248', 1, 5741, 0, NULL, NULL, NULL, '2021-02-02 14:43:54', 5, '2021-02-02 14:44:11', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Intervention du 09/12/2020<br />\r\net reparation &agrave; prevoir sur compresseur Regatta 141', NULL, 0, '', NULL, NULL, NULL, NULL),
(1263, '2021-02-02 14:13:42', 'SH2102-1249', 1, 12618, 0, NULL, NULL, NULL, '2021-02-02 15:13:08', 5, '2021-02-02 15:13:24', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur Cyclon ainsi que le remplacement des cartouches des 2 filtres reseaux compair', NULL, 0, '', NULL, NULL, NULL, NULL),
(1264, '2021-02-02 14:22:43', 'SH2102-1250', 1, 10293, 0, NULL, NULL, NULL, '2021-02-02 15:22:20', 5, '2021-02-02 15:22:26', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(1265, '2021-02-03 09:45:30', 'SH2102-1251', 1, 2140, 0, NULL, NULL, NULL, '2021-02-03 10:45:23', 5, '2021-02-03 10:45:28', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L15RS', NULL, 0, '', NULL, NULL, NULL, NULL),
(1266, '2021-02-05 08:45:45', 'SH2102-1252', 1, 5741, 0, NULL, NULL, NULL, '2021-02-05 09:45:41', 5, '2021-02-05 09:45:45', 5, NULL, NULL, NULL, NULL, '', 1, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(1267, '2021-02-12 09:20:36', 'SH2102-1253', 1, 11435, 0, NULL, NULL, NULL, '2021-02-12 10:20:31', 5, '2021-02-12 10:20:34', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur L30RS et accessoires suivant contrat de maintenance de 2013', NULL, 0, '', NULL, NULL, NULL, NULL),
(1268, '2021-02-12 10:08:23', 'SH2102-1254', 1, 2218, 0, NULL, NULL, NULL, '2021-02-12 11:08:18', 5, '2021-02-12 11:08:21', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L07 en adaptable', NULL, 0, '', NULL, NULL, NULL, NULL),
(1269, '2021-02-12 13:16:43', 'SH2102-1255', 1, 2215, 0, NULL, NULL, NULL, '2021-02-12 14:16:38', 5, '2021-02-12 14:16:41', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L11RS&nbsp;<br />\r\nRemplcament cartouche reseau&nbsp;<br />\r\nMaintenance Separateur de condensats OWAMAT10', NULL, 0, '', NULL, NULL, NULL, NULL),
(1270, '2021-02-12 13:23:25', 'SH2102-1256', 1, 2215, 0, NULL, NULL, NULL, '2021-02-12 14:23:20', 5, '2021-02-12 14:23:23', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenances de vos 2 compresseurs :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1271, '2021-02-12 13:44:02', 'SH2102-1257', 1, 2247, 0, NULL, NULL, NULL, '2021-02-12 14:43:57', 5, '2021-02-12 14:44:01', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L18rs N&deg; CD100018442001 , filtres reseaux et separateur de condensats OWAMAT 11<br />\r\nSuivant contrat de 2015', NULL, 0, '', NULL, NULL, NULL, NULL),
(1272, '2021-02-12 14:18:43', 'SH2102-1258', 1, 2276, 0, NULL, NULL, NULL, '2021-02-12 15:18:39', 5, '2021-02-12 15:18:42', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance L29RS N&deg; CD10015163001&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1273, '2021-02-12 14:27:24', 'SH2102-1259', 1, 12584, 0, NULL, NULL, NULL, '2021-02-12 15:27:19', 5, '2021-02-12 15:27:22', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'maintenance rsf11<br />\r\nmaintenance separateur de condensats<br />\r\nremplacement cartouche filtre reseau', NULL, 0, '', NULL, NULL, NULL, NULL),
(1274, '2021-02-15 09:51:58', 'SH2102-1260', 1, 11251, 0, NULL, NULL, NULL, '2021-02-15 10:51:51', 5, '2021-02-15 10:51:55', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Local air comprim&eacute;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1275, '2021-02-16 09:30:44', 'SH2102-1261', 1, 2038, 0, NULL, NULL, NULL, '2021-02-16 10:30:38', 5, '2021-02-16 10:30:42', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L07RS', NULL, 0, '', NULL, NULL, NULL, NULL),
(1276, '2021-02-16 09:40:42', 'SH2102-1262', 1, 2175, 0, NULL, NULL, NULL, '2021-02-16 10:40:36', 5, '2021-02-16 10:40:41', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance compresseur GA115 :&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1277, '2021-02-16 09:46:32', 'SH2102-1263', 1, 2175, 0, NULL, NULL, NULL, '2021-02-16 10:46:27', 5, '2021-02-16 10:46:31', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance Sullair Trek 15HH : si r&eacute;alisation des 2 maintenances le m&ecirc;me jour une remise de -100 &euro;&nbsp; ( frais de d&eacute;placement ) vous sera accord&eacute;e .', NULL, 0, '', NULL, NULL, NULL, NULL),
(1278, '2021-02-16 09:57:06', 'SH2102-1264', 1, 11452, 0, NULL, NULL, NULL, '2021-02-16 10:56:59', 5, '2021-02-16 10:57:03', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Modification des emplacements des enrouleurs.', NULL, 0, '', NULL, NULL, NULL, NULL),
(1279, '2021-02-16 10:10:16', 'SH2102-1265', 1, 5315, 0, NULL, NULL, NULL, '2021-02-16 11:10:10', 5, '2021-02-16 11:10:13', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'BOL pour proset XT2&nbsp;<br />\r\n<br />\r\nD&eacute;lai :10 semaines &agrave; r&eacute;ception de commande sauf vente entre temps (HORS CONGES)', NULL, 0, '', NULL, NULL, NULL, NULL),
(1280, '2021-02-16 13:36:37', 'SH2102-1266', 1, 2265, 0, NULL, NULL, NULL, '2021-02-16 14:36:32', 5, '2021-02-16 14:36:35', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(1281, '2021-02-16 14:13:57', 'SH2102-1267', 1, 2311, 0, NULL, NULL, NULL, '2021-02-16 15:13:51', 5, '2021-02-16 15:13:55', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(1282, '2021-02-16 14:44:35', 'SH2102-1268', 1, 12618, 0, NULL, NULL, NULL, '2021-02-16 15:44:30', 5, '2021-02-16 15:44:34', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Remplacement joint sur bloc vis compresseur Cyclon.', NULL, 0, '', NULL, NULL, NULL, NULL),
(1283, '2021-02-17 09:14:16', 'SH2102-1269', 1, 2397, 0, NULL, NULL, NULL, '2021-02-17 10:14:12', 5, '2021-02-17 10:14:15', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, NULL, NULL, 0, '', NULL, NULL, NULL, NULL),
(1284, '2021-02-19 10:23:56', 'SH2102-1270', 1, 2350, 0, NULL, NULL, NULL, '2021-02-19 11:23:51', 5, '2021-02-19 11:23:55', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance Compresseurs L45RS&nbsp; &agrave;&nbsp; HRS&nbsp;<br />\r\nRemplacement cartouche filtre reseau<br />\r\nMaintenance separateur de condensats OWAMAT 14<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1285, '2021-02-19 10:31:25', 'SH2102-1271', 1, 2234, 0, NULL, NULL, NULL, '2021-02-19 11:31:20', 5, '2021-02-19 11:31:23', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Maintenance L45RS N&deg;CD10005658001 &agrave; 20574 HRS<br />\r\nRemplacement des cartouches des filtres reseaux&nbsp;<br />\r\nMaintenance separateur de condensats Owamat 14<br />\r\n<br />\r\n&nbsp;', NULL, 0, '', NULL, NULL, NULL, NULL),
(1286, '2021-02-23 09:16:10', 'SH2102-1272', 1, 1940, 0, NULL, NULL, NULL, '2021-02-23 10:16:04', 5, '2021-02-23 10:16:08', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'DP-202102-0008', NULL, 0, '', NULL, NULL, NULL, NULL),
(1287, '2021-02-23 10:20:14', 'SH2102-1273', 1, 12613, 0, NULL, NULL, NULL, '2021-02-23 11:20:08', 5, '2021-02-23 11:20:11', 5, NULL, NULL, NULL, NULL, '', 2, 0, NULL, NULL, 0, NULL, 0, NULL, NULL, 'Plus value<br />\r\n<br />\r\nBL N&deg;39 du 19/02/2021', NULL, 0, '', NULL, NULL, NULL, NULL);
