
-- --------------------------------------------------------

--
-- Structure de la table `llx_facture_fourn`
--

CREATE TABLE `llx_facture_fourn` (
  `rowid` int(11) NOT NULL,
  `ref` varchar(255) NOT NULL,
  `ref_supplier` varchar(255) NOT NULL,
  `entity` int(11) NOT NULL DEFAULT '1',
  `ref_ext` varchar(255) DEFAULT NULL,
  `type` smallint(6) NOT NULL DEFAULT '0',
  `fk_soc` int(11) NOT NULL,
  `datec` datetime DEFAULT NULL,
  `datef` date DEFAULT NULL,
  `tms` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `libelle` varchar(255) DEFAULT NULL,
  `paye` smallint(6) NOT NULL DEFAULT '0',
  `amount` double(24,8) NOT NULL DEFAULT '0.00000000',
  `remise` double(24,8) DEFAULT '0.00000000',
  `close_code` varchar(16) DEFAULT NULL,
  `close_note` varchar(128) DEFAULT NULL,
  `tva` double(24,8) DEFAULT '0.00000000',
  `localtax1` double(24,8) DEFAULT '0.00000000',
  `localtax2` double(24,8) DEFAULT '0.00000000',
  `total_ht` double(24,8) DEFAULT '0.00000000',
  `total_tva` double(24,8) DEFAULT '0.00000000',
  `total_ttc` double(24,8) DEFAULT '0.00000000',
  `fk_statut` smallint(6) NOT NULL DEFAULT '0',
  `fk_user_author` int(11) DEFAULT NULL,
  `fk_user_modif` int(11) DEFAULT NULL,
  `fk_user_valid` int(11) DEFAULT NULL,
  `fk_facture_source` int(11) DEFAULT NULL,
  `fk_projet` int(11) DEFAULT NULL,
  `fk_account` int(11) DEFAULT NULL,
  `fk_cond_reglement` int(11) DEFAULT NULL,
  `fk_mode_reglement` int(11) DEFAULT NULL,
  `date_lim_reglement` date DEFAULT NULL,
  `note_private` text,
  `note_public` text,
  `fk_incoterms` int(11) DEFAULT NULL,
  `location_incoterms` varchar(255) DEFAULT NULL,
  `model_pdf` varchar(255) DEFAULT NULL,
  `import_key` varchar(14) DEFAULT NULL,
  `extraparams` varchar(255) DEFAULT NULL,
  `fk_multicurrency` int(11) DEFAULT NULL,
  `multicurrency_code` varchar(255) DEFAULT NULL,
  `multicurrency_tx` double(24,8) DEFAULT '1.00000000',
  `multicurrency_total_ht` double(24,8) DEFAULT '0.00000000',
  `multicurrency_total_tva` double(24,8) DEFAULT '0.00000000',
  `multicurrency_total_ttc` double(24,8) DEFAULT '0.00000000',
  `last_main_doc` varchar(255) DEFAULT NULL,
  `date_pointoftax` date DEFAULT NULL,
  `date_valid` date DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Déchargement des données de la table `llx_facture_fourn`
--

INSERT INTO `llx_facture_fourn` (`rowid`, `ref`, `ref_supplier`, `entity`, `ref_ext`, `type`, `fk_soc`, `datec`, `datef`, `tms`, `libelle`, `paye`, `amount`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_tva`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `fk_incoterms`, `location_incoterms`, `model_pdf`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `date_pointoftax`, `date_valid`) VALUES
(3, '17/08/0002', 'cros', 1, NULL, 0, 2114, '2017-08-23 11:46:13', '2017-08-23', '2017-09-26 06:58:43', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1691.00000000, 338.19000000, 2029.19000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-08-24', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1691.00000000, 338.19000000, 2029.19000000, NULL, NULL, NULL),
(4, '17/08/0003', 'sfacs mensualité', 1, NULL, 0, 2114, '2017-08-23 12:02:14', '2017-08-23', '2017-09-26 06:58:43', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 2, 0, '2017-09-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, NULL),
(6, '17/08/0004', 'dauphinoise l55rs', 1, NULL, 0, 2114, '2017-08-23 14:36:10', '2017-08-23', '2017-09-26 06:58:43', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1200.00000000, 240.00000000, 1440.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-08-24', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1200.00000000, 240.00000000, 1440.00000000, NULL, NULL, NULL),
(8, '17/08/0005', 'dauph l26rs', 1, NULL, 0, 2114, '2017-08-23 15:50:53', '2017-08-23', '2017-10-03 08:00:44', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-08-24', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, NULL),
(9, '17/08/0006', 'dauphinoise wa3008v', 1, NULL, 0, 2114, '2017-08-23 16:20:10', '2017-08-23', '2017-10-03 08:00:44', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-08-24', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(10, '17/08/0007', 'eurovia dala', 1, NULL, 0, 2114, '2017-08-24 10:52:18', '2017-08-24', '2017-10-03 08:00:44', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 3226.24000000, 645.24000000, 3871.48000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-08-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3226.24000000, 645.24000000, 3871.48000000, NULL, NULL, NULL),
(11, '17/08/0008', 'idec maintenance rs top11', 1, NULL, 0, 2114, '2017-08-24 11:33:23', '2017-08-24', '2017-10-03 07:56:08', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.23000000, 58.05000000, 348.28000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-08-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.23000000, 58.05000000, 348.28000000, NULL, NULL, NULL),
(12, '17/08/0009', 'MOLETNI ELECTROLUX 6020ELX', 1, NULL, 0, 2114, '2017-08-24 15:09:21', '2017-08-24', '2017-10-03 07:56:08', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-08-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(13, '17/08/0010', 'mcr L45 & accouplement', 1, NULL, 0, 2114, '2017-08-24 16:06:04', '2017-08-24', '2017-10-03 07:56:08', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 424.38000000, 84.88000000, 509.26000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-08-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 424.38000000, 84.88000000, 509.26000000, NULL, NULL, NULL),
(14, '17/08/0011', 'peillet carte delcos', 1, NULL, 0, 2114, '2017-08-24 16:45:58', '2017-08-24', '2017-10-03 07:56:08', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 250.00000000, 50.00000000, 300.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-08-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 250.00000000, 50.00000000, 300.00000000, NULL, NULL, NULL),
(15, '17/08/0012', 'rcr hv04', 1, NULL, 0, 2114, '2017-08-25 10:21:19', '2017-08-25', '2017-10-03 07:56:08', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, 0, '2017-09-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, NULL),
(16, '17/08/0013', 'celta', 1, NULL, 0, 2114, '2017-08-25 10:42:45', '2017-08-25', '2017-10-03 07:56:08', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 320.12000000, 64.02000000, 384.14000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-08-26', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 320.12000000, 64.02000000, 384.14000000, NULL, NULL, NULL),
(17, '17/08/0014', 'rcr l15', 1, NULL, 0, 2114, '2017-08-25 11:04:29', '2017-08-25', '2017-10-03 07:56:08', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-08-26', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, NULL),
(18, '17/08/0015', 'rcr surpresseur', 1, NULL, 0, 2114, '2017-08-25 11:52:04', '2017-08-25', '2017-10-03 07:56:08', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-08-26', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(19, '17/08/0016', 'harmonyl2 cuve', 1, NULL, 0, 2114, '2017-08-28 09:50:27', '2017-08-28', '2017-10-03 07:56:08', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 357.80000000, 71.56000000, 429.36000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-08-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 357.80000000, 71.56000000, 429.36000000, NULL, NULL, NULL),
(20, '17/08/0017', 'epidaure flotteur', 1, NULL, 0, 2114, '2017-08-28 11:27:03', '2017-08-28', '2017-10-03 07:56:08', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 48.00000000, 9.60000000, 57.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, 0, '2017-09-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 48.00000000, 9.60000000, 57.60000000, NULL, NULL, NULL),
(21, '17/08/0018', 'innodec', 1, NULL, 0, 2114, '2017-08-28 14:08:58', '2017-08-28', '2017-10-03 07:56:08', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 316.50000000, 63.30000000, 379.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-08-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 316.50000000, 63.30000000, 379.80000000, NULL, NULL, NULL),
(22, '17/08/0019', 'harmonyl2 MAINTENANCE', 1, NULL, 0, 2114, '2017-08-28 15:02:13', '2017-08-28', '2017-10-03 07:56:08', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 490.20000000, 98.04000000, 588.24000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, 0, '2017-09-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 490.20000000, 98.04000000, 588.24000000, NULL, NULL, NULL),
(23, '17/08/0020', 'sebm 69', 1, NULL, 0, 2114, '2017-08-29 09:55:30', '2017-08-29', '2017-10-03 07:56:08', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 563.91000000, 112.78000000, 676.69000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2017-09-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 563.91000000, 112.78000000, 676.69000000, NULL, NULL, NULL),
(24, '17/08/0021', 'tsr travaux elec', 1, NULL, 0, 2114, '2017-08-29 10:49:49', '2017-08-29', '2017-10-03 07:59:28', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1058.28000000, 211.65000000, 1269.93000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-09-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1058.28000000, 211.65000000, 1269.93000000, NULL, NULL, NULL),
(25, '17/08/0022', 'telenco l15rs', 1, NULL, 0, 2114, '2017-08-29 11:15:22', '2017-08-29', '2017-10-03 07:59:28', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-09-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, NULL),
(26, '17/08/0023', 'coval', 1, NULL, 0, 2114, '2017-08-29 11:19:45', '2017-08-29', '2017-10-03 07:59:28', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 575.52000000, 115.10000000, 690.62000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-09-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 575.52000000, 115.10000000, 690.62000000, NULL, NULL, NULL),
(27, '17/08/0024', 'mcr', 1, NULL, 0, 2114, '2017-08-30 14:44:28', '2017-08-30', '2017-10-03 07:59:28', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-09-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, NULL),
(30, '17/08/0025', 'cros membrane', 1, NULL, 0, 2114, '2017-08-30 15:37:49', '2017-08-30', '2017-10-03 07:59:28', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 325.50000000, 65.10000000, 390.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, 0, '2017-09-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 325.50000000, 65.10000000, 390.60000000, NULL, NULL, NULL),
(31, '17/08/0026', 'delphinoix', 1, NULL, 0, 2114, '2017-08-30 16:42:48', '2017-08-30', '2017-10-03 07:58:13', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 428.40000000, 85.68000000, 514.08000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-08-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 428.40000000, 85.68000000, 514.08000000, NULL, NULL, NULL),
(32, '17/08/0027', 'tsr 3', 1, NULL, 0, 2114, '2017-08-31 09:07:40', '2017-08-31', '2017-10-03 07:58:13', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 237.99000000, 47.60000000, 285.59000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, 0, '2017-08-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 237.99000000, 47.60000000, 285.59000000, NULL, NULL, NULL),
(34, '17/09-0001', 'pachot', 1, NULL, 0, 2114, '2017-09-05 09:08:46', '2017-09-05', '2017-10-16 07:08:11', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-09-06', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, NULL),
(35, '17/09-0002', 'autopiece vallet distribution', 1, NULL, 0, 2114, '2017-09-07 15:59:18', '2017-09-07', '2017-10-16 07:08:11', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 782.58000000, 156.52000000, 939.10000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, 0, '2017-10-31', '', 'Pris ene charge garantie auto piece 26 par SFACS -&nbsp;', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 782.58000000, 156.52000000, 939.10000000, NULL, NULL, NULL),
(36, '17/09-0003', 'st pierre', 1, NULL, 0, 2114, '2017-09-08 11:16:34', '2017-09-08', '2017-10-16 07:08:11', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1000.00000000, 200.00000000, 1200.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-09-09', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1000.00000000, 200.00000000, 1200.00000000, NULL, NULL, NULL),
(37, '17/09-0004', 'sfacs', 1, NULL, 0, 2114, '2017-09-08 16:36:24', '2017-09-08', '2017-10-16 07:08:11', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 3000.00000000, 600.00000000, 3600.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2017-09-09', '', 'mai juin juillet septembre', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3000.00000000, 600.00000000, 3600.00000000, NULL, NULL, NULL),
(38, '17/09-0005', 'giraud delay', 1, NULL, 0, 2114, '2017-09-11 12:19:12', '2017-09-11', '2017-10-16 07:16:42', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 534.00000000, 106.80000000, 640.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-09-12', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 534.00000000, 106.80000000, 640.80000000, NULL, NULL, NULL),
(39, '17/09-0006', 'ebg compo', 1, NULL, 0, 2114, '2017-09-11 14:17:53', '2017-09-11', '2017-10-16 07:16:42', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 428.40000000, 85.68000000, 514.08000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, 0, '2017-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 428.40000000, 85.68000000, 514.08000000, NULL, NULL, NULL),
(40, '17/09-0007', 'kerry', 1, NULL, 0, 2114, '2017-09-12 09:40:02', '2017-09-12', '2017-10-16 07:16:42', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 139.80000000, 27.96000000, 167.76000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-09-13', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 139.80000000, 27.96000000, 167.76000000, NULL, NULL, NULL),
(41, '17/09-0008', 'lucehydro', 1, NULL, 0, 2114, '2017-09-12 14:03:43', '2017-09-12', '2017-10-16 07:16:42', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-09-13', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(42, '17/09-0009', 'procyl', 1, NULL, 0, 2114, '2017-09-15 10:14:57', '2017-09-15', '2017-10-16 07:16:42', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-09-16', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, NULL),
(43, '17/09-0010', 'lam cuve', 1, NULL, 0, 2114, '2017-09-15 10:29:32', '2017-09-15', '2017-10-16 07:16:42', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, 0, '2017-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, NULL),
(44, '17/09-0011', 'lam comp', 1, NULL, 0, 2114, '2017-09-15 10:35:16', '2017-09-15', '2017-10-16 07:16:42', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, 0, '2017-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, NULL),
(45, '17/09-0012', 'modelage', 1, NULL, 0, 2114, '2017-09-15 11:30:24', '2017-09-15', '2017-10-16 07:16:42', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1643.10000000, 328.62000000, 1971.72000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-09-16', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1643.10000000, 328.62000000, 1971.72000000, NULL, NULL, NULL),
(46, '17/09-0013', 'brilla', 1, NULL, 0, 2114, '2017-09-19 09:26:55', '2017-09-19', '2017-10-16 07:16:42', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-09-20', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(47, '17/09-0014', 'bontoutl15', 1, NULL, 0, 2114, '2017-09-19 10:28:27', '2017-09-19', '2017-10-16 07:16:42', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 488.39000000, 97.68000000, 586.07000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-09-20', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 488.39000000, 97.68000000, 586.07000000, NULL, NULL, NULL),
(49, '17/09-0015', 'kerryl45rs', 1, NULL, 0, 2114, '2017-09-19 14:40:23', '2017-09-19', '2017-11-09 12:38:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, NULL),
(50, '17/09-0016', 'sebm', 1, NULL, 0, 2114, '2017-09-20 10:00:47', '2017-09-20', '2017-11-09 12:38:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 504.90000000, 100.98000000, 605.88000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, 0, '2017-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 504.90000000, 100.98000000, 605.88000000, NULL, NULL, NULL),
(51, '17/09-0017', 'courbissil', 1, NULL, 0, 2114, '2017-09-20 10:38:49', '2017-09-20', '2017-11-09 12:38:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 48.00000000, 9.60000000, 57.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 48.00000000, 9.60000000, 57.60000000, NULL, NULL, NULL),
(52, '17/09-0018', 'transalpkaeser', 1, NULL, 0, 2114, '2017-09-20 16:14:27', '2017-09-20', '2017-11-09 12:38:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 1436.16000000, 287.23000000, 1723.39000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1436.16000000, 287.23000000, 1723.39000000, NULL, NULL, NULL),
(53, '17/09-0019', 'crosl22', 1, NULL, 0, 2114, '2017-09-29 14:47:59', '2017-09-29', '2017-11-09 12:38:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 325.50000000, 65.10000000, 390.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 325.50000000, 65.10000000, 390.60000000, NULL, NULL, NULL),
(54, '17/09-0020', 'capag2l07', 1, NULL, 0, 2114, '2017-09-29 14:55:01', '2017-09-29', '2017-11-09 12:38:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 428.40000000, 85.68000000, 514.08000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 428.40000000, 85.68000000, 514.08000000, NULL, NULL, NULL),
(55, '17/09-0021', 'dumg', 1, NULL, 0, 2114, '2017-09-29 15:13:36', '2017-09-29', '2017-11-09 12:38:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(56, '17/09-0022', 'fcaaccoupl', 1, NULL, 0, 2114, '2017-09-29 15:54:38', '2017-09-29', '2017-11-09 12:38:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 187.80000000, 37.56000000, 225.36000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 187.80000000, 37.56000000, 225.36000000, NULL, NULL, NULL),
(57, '17/09-0023', 'fromalp', 1, NULL, 0, 2114, '2017-09-29 16:21:48', '2017-09-29', '2017-11-09 12:38:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(58, '17/09-0024', 'insoft trav', 1, NULL, 0, 2114, '2017-09-29 17:01:51', '2017-09-29', '2017-11-09 12:38:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 4084.32000000, 816.86000000, 4901.18000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 4084.32000000, 816.86000000, 4901.18000000, NULL, NULL, NULL),
(59, '17/10-0025', 'huileriecham37rs', 1, NULL, 0, 2114, '2017-10-02 09:30:50', '2017-09-29', '2017-11-09 12:36:00', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 1000.00000000, 200.00000000, 1200.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, 0, '2017-11-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1000.00000000, 200.00000000, 1200.00000000, NULL, NULL, NULL),
(60, '17/09-0026', 'mecaindu', 1, NULL, 0, 2114, '2017-10-02 12:05:19', '2017-09-29', '2017-11-09 12:36:00', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 504.90000000, 100.98000000, 605.88000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 504.90000000, 100.98000000, 605.88000000, NULL, NULL, NULL),
(61, '17/09-0027', 'peillet', 1, NULL, 0, 2114, '2017-10-02 12:11:12', '2017-09-29', '2017-11-09 12:36:00', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 132.50000000, 26.50000000, 159.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 132.50000000, 26.50000000, 159.00000000, NULL, NULL, NULL),
(62, '17/09-0028', 'poncin', 1, NULL, 0, 2114, '2017-10-02 12:27:02', '2017-09-22', '2017-11-09 12:36:00', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 280.24000000, 56.05000000, 336.29000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-11-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 280.24000000, 56.05000000, 336.29000000, NULL, NULL, NULL),
(63, '17/09-0029', 'air pn', 1, NULL, 0, 2114, '2017-10-02 15:11:58', '2017-09-29', '2017-11-13 09:52:23', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 279.60000000, 55.92000000, 335.52000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, 0, '2017-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 279.60000000, 55.92000000, 335.52000000, NULL, NULL, NULL),
(64, '17/08-0030', 'sorhofroid', 1, NULL, 0, 2114, '2017-10-02 15:42:54', '2017-08-31', '2017-10-04 07:24:31', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 570.24000000, 114.04000000, 684.28000000, 2, 5, NULL, 5, NULL, NULL, NULL, 2, 0, '2017-09-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 570.24000000, 114.04000000, 684.28000000, NULL, NULL, NULL),
(65, '17/09-0031', 'tgcp', 1, NULL, 0, 2114, '2017-10-02 16:17:17', '2017-09-28', '2017-11-13 09:52:23', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 677.33000000, 135.47000000, 812.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, 0, '2017-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 677.33000000, 135.47000000, 812.80000000, NULL, NULL, NULL),
(66, '17/09-0032', 'combalot', 1, NULL, 0, 2114, '2017-10-03 11:48:03', '2017-09-29', '2017-11-13 09:52:23', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 119.36000000, 23.87000000, 143.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-09-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 119.36000000, 23.87000000, 143.23000000, NULL, NULL, NULL),
(67, '17/09-0033', 'fca75', 1, NULL, 0, 2114, '2017-10-03 12:09:28', '2017-09-29', '2017-11-13 09:54:16', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, NULL),
(68, '17/09-0034', 'valsoleil', 1, NULL, 0, 2114, '2017-10-03 14:18:04', '2017-09-29', '2017-11-13 09:54:16', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, 0, '2017-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, NULL),
(69, '17/10-0035', 'udt', 1, NULL, 0, 2114, '2017-10-03 15:37:40', '2017-10-03', '2017-12-04 16:35:27', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 249.20000000, 49.84000000, 299.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, 0, '2017-11-30', '', '', 0, '', 'canelle', NULL, NULL, 0, 'EUR', 1.00000000, 249.20000000, 49.84000000, 299.04000000, NULL, NULL, NULL),
(70, '17/09-0036', 'figuet', 1, NULL, 0, 2114, '2017-10-04 09:12:58', '2017-09-29', '2017-11-13 09:54:16', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-10-31', '', '', 0, '', 'canelle', NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(71, '1710-0001', 'Perte', 1, NULL, 0, 2114, '2017-10-12 10:58:40', '2017-10-12', '2017-11-23 15:46:25', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 2, 0, '2017-11-01', '', 'Mensualite SFACS Perte&nbsp;', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, NULL),
(74, '1710-0002', 'boisst tp', 1, NULL, 0, 2114, '2017-10-12 15:23:24', '2017-10-12', '2017-11-23 15:46:25', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 534.00000000, 106.80000000, 640.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, 0, '2017-11-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 534.00000000, 106.80000000, 640.80000000, NULL, NULL, NULL),
(75, '1710-0003', 'barbier', 1, NULL, 0, 2114, '2017-10-13 09:12:24', '2017-10-13', '2017-11-23 15:48:15', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, NULL),
(76, '1710-0004', 'crosl80', 1, NULL, 0, 2114, '2017-10-13 09:31:23', '2017-10-13', '2017-11-23 15:48:15', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(77, '1710-0005', 'crosl37vieux', 1, NULL, 0, 2114, '2017-10-13 09:39:17', '2017-10-13', '2017-11-23 15:48:15', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(78, '1710-0006', 'cms', 1, NULL, 0, 2114, '2017-10-13 09:57:00', '2017-10-13', '2017-11-23 15:48:15', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(79, '1710-0007', 'cibox26rs', 1, NULL, 0, 2114, '2017-10-13 10:11:58', '2017-10-13', '2017-11-23 15:48:15', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(80, '1710-0008', 'ciram', 1, NULL, 0, 2114, '2017-10-13 10:20:07', '2017-10-13', '2017-11-23 15:48:15', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(81, '1710-0009', 'desgrangehv07', 1, NULL, 0, 2114, '2017-10-13 10:35:02', '2017-10-13', '2017-12-04 16:32:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 2, 0, '2017-11-12', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(82, '1710-0010', 'fuma', 1, NULL, 0, 2114, '2017-10-13 10:44:44', '2017-10-13', '2017-12-04 16:32:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 2, 0, '2017-11-12', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(83, '1710-0011', 'harmonyl rep', 1, NULL, 0, 2114, '2017-10-13 11:08:31', '2017-10-13', '2017-12-04 16:32:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 139.80000000, 27.96000000, 167.76000000, 2, 5, NULL, 5, NULL, NULL, NULL, 2, 0, '2017-11-12', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 139.80000000, 27.96000000, 167.76000000, NULL, NULL, NULL),
(84, '1710-0012', 'podis', 1, NULL, 0, 2114, '2017-10-13 14:29:44', '2017-10-13', '2017-12-04 16:32:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(85, '1710-0013', 'amr', 1, NULL, 0, 2114, '2017-10-19 09:40:22', '2017-10-19', '2017-12-04 16:32:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(86, '1710-0014', 'dauph st jean', 1, NULL, 0, 2114, '2017-10-19 10:20:50', '2017-10-19', '2017-12-04 16:32:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 327.38000000, 65.48000000, 392.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, 0, '2017-11-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 327.38000000, 65.48000000, 392.86000000, NULL, NULL, NULL),
(87, '1710-0015', 'insoft raccmach', 1, NULL, 0, 2114, '2017-10-19 11:33:51', '2017-10-19', '2017-12-04 16:32:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 213.26000000, 42.65000000, 255.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 213.26000000, 42.65000000, 255.91000000, NULL, NULL, NULL),
(88, '1710-0016', 'buys', 1, NULL, 0, 2114, '2017-10-20 14:59:55', '2017-10-20', '2017-12-04 16:32:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 2, 0, '2017-11-19', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(89, '1710-0017', 'dabtp', 1, NULL, 0, 2114, '2017-10-20 15:48:14', '2017-10-20', '2017-12-04 16:32:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 869.88000000, 173.98000000, 1043.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 869.88000000, 173.98000000, 1043.86000000, NULL, NULL, NULL),
(90, '1710-0018', 'delmonicostjulien', 1, NULL, 0, 2114, '2017-10-24 09:37:15', '2017-10-24', '2017-12-04 16:32:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-10-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(91, '1710-0019', 'mmdl15vs', 1, NULL, 0, 2114, '2017-10-24 10:32:26', '2017-10-24', '2017-12-04 16:32:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 12, 0, '2017-10-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, NULL),
(92, '1710-0020', 'mpg', 1, NULL, 0, 2114, '2017-10-24 10:39:46', '2017-10-24', '2017-12-04 16:32:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-10-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(93, '1710-0021', 'prisme', 1, NULL, 0, 2114, '2017-10-24 10:46:25', '2017-10-24', '2017-12-04 16:32:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 2, 0, '2017-11-23', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(95, '1710-0022', 'poncinbis', 1, NULL, 0, 2114, '2017-10-24 10:58:55', '2017-10-24', '2017-12-04 16:32:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 104.12000000, 20.82000000, 124.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, 2, 0, '2017-11-23', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 104.12000000, 20.82000000, 124.94000000, NULL, NULL, NULL),
(96, '1710-0023', 'vddga22', 1, NULL, 0, 2114, '2017-10-24 11:24:26', '2017-10-24', '2017-12-04 16:35:27', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-10-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(97, '1710-0024', 'isa', 1, NULL, 0, 2114, '2017-10-24 11:37:48', '2017-10-24', '2017-12-04 16:35:27', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 386.63000000, 77.33000000, 463.96000000, 2, 5, NULL, 5, NULL, NULL, NULL, 2, 0, '2017-11-23', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 386.63000000, 77.33000000, 463.96000000, NULL, NULL, NULL),
(98, '1710-0025', 'sfpaseche', 1, NULL, 0, 2114, '2017-10-24 12:18:33', '2017-10-24', '2017-12-04 16:35:27', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 118.00000000, 23.60000000, 141.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-10-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 118.00000000, 23.60000000, 141.60000000, NULL, NULL, NULL),
(99, '1710-0026', 'smsmoteurfourpoudre', 1, NULL, 0, 2114, '2017-10-24 14:19:47', '2017-10-24', '2017-12-04 16:35:27', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 907.00000000, 181.40000000, 1088.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, 12, 0, '2017-10-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 907.00000000, 181.40000000, 1088.40000000, NULL, NULL, NULL),
(100, '1710-0027', 'tsrrampeelect', 1, NULL, 0, 2114, '2017-10-24 14:32:25', '2017-10-24', '2017-12-04 16:35:27', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 192.18000000, 38.44000000, 230.62000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, 0, '2017-11-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 192.18000000, 38.44000000, 230.62000000, NULL, NULL, NULL),
(101, '1710-0028', 'tsrcable', 1, NULL, 0, 2114, '2017-10-24 14:41:52', '2017-10-24', '2017-12-04 16:35:27', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 354.26000000, 70.86000000, 425.12000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, 0, '2017-11-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 354.26000000, 70.86000000, 425.12000000, NULL, NULL, NULL),
(102, '1710-0029', 'dromepneupoints', 1, NULL, 0, 2114, '2017-10-26 15:35:51', '2017-10-26', '2017-12-04 16:35:27', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 650.00000000, 130.00000000, 780.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 2, 0, '2017-11-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 650.00000000, 130.00000000, 780.00000000, NULL, NULL, NULL),
(104, '1710-0030', 'covaljoint', 1, NULL, 0, 2114, '2017-10-31 10:18:06', '2017-10-31', '2017-12-04 16:35:27', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 205.32000000, 41.06000000, 246.38000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, 0, '2017-11-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 205.32000000, 41.06000000, 246.38000000, NULL, NULL, NULL),
(105, '1710-0031', 'exstol75rs', 1, NULL, 0, 2114, '2017-10-31 10:27:21', '2017-10-31', '2017-12-04 16:35:27', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 370.00000000, 74.00000000, 444.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, 0, '2017-11-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 370.00000000, 74.00000000, 444.00000000, NULL, NULL, NULL),
(106, '1710-0032', 'insoft trv', 1, NULL, 0, 2114, '2017-10-31 14:57:12', '2017-10-31', '2017-12-04 16:35:27', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 228.50000000, 45.70000000, 274.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, 2, 0, '2017-11-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 228.50000000, 45.70000000, 274.20000000, NULL, NULL, NULL),
(108, '1710-0033', 'peilletl11', 1, NULL, 0, 2114, '2017-10-31 16:08:51', '2017-10-31', '2017-12-04 16:35:27', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, 0, '2017-11-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(109, '1710-0034', 'romanstruick11', 1, NULL, 0, 2114, '2017-10-31 16:18:16', '2017-10-31', '2017-12-04 16:35:27', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, NULL),
(110, '1711-0001', 'acierie', 1, NULL, 0, 2114, '2017-11-06 10:28:43', '2017-11-06', '2017-12-14 12:41:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-11-07', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(111, '1711-0002', 'sms', 1, NULL, 0, 2114, '2017-11-06 11:36:04', '2017-11-06', '2017-12-14 12:41:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 289.00000000, 57.80000000, 346.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-11-07', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 289.00000000, 57.80000000, 346.80000000, NULL, NULL, NULL),
(112, '1711-0003', 'cop aspi comp AC', 1, NULL, 0, 2114, '2017-11-13 10:06:14', '2017-11-13', '2017-12-14 12:41:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1294.86000000, 258.97000000, 1553.83000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-11-14', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1294.86000000, 258.97000000, 1553.83000000, NULL, NULL, NULL),
(113, '1711-0004', 'copvidangemotoreducteur', 1, NULL, 0, 2114, '2017-11-13 11:01:38', '2017-11-13', '2018-01-09 09:01:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 55.00000000, 11.00000000, 66.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-11-14', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 55.00000000, 11.00000000, 66.00000000, NULL, NULL, NULL),
(114, '1711-0005', 'daupbelair', 1, NULL, 0, 2114, '2017-11-13 12:01:20', '2017-11-13', '2018-01-09 09:01:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-11-14', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(115, '1711-0006', 'dauphsull', 1, NULL, 0, 2114, '2017-11-13 12:13:34', '2017-11-13', '2018-01-09 09:01:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-11-14', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(116, '1711-0007', 'euroviafuite', 1, NULL, 0, 2114, '2017-11-13 12:22:50', '2017-11-13', '2018-01-09 09:01:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 461.74000000, 92.35000000, 554.09000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-11-14', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 461.74000000, 92.35000000, 554.09000000, NULL, NULL, NULL),
(117, '1711-0008', 'renner euroviaruoms', 1, NULL, 0, 2114, '2017-11-13 14:42:10', '2017-11-13', '2018-01-09 09:01:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1181.36000000, 236.28000000, 1417.64000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-11-14', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1181.36000000, 236.28000000, 1417.64000000, NULL, NULL, NULL),
(118, '1711-0009', 'guichroda', 1, NULL, 0, 2114, '2017-11-13 15:24:35', '2017-11-13', '2018-01-09 09:01:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-11-14', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, NULL),
(119, '1711-0010', 'pestrin', 1, NULL, 0, 2114, '2017-11-14 09:52:00', '2017-11-14', '2018-01-09 09:01:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 635.80000000, 127.16000000, 762.96000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-11-15', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 635.80000000, 127.16000000, 762.96000000, NULL, NULL, NULL),
(121, '1711-0011', 'crosl372', 1, NULL, 0, 2114, '2017-11-20 11:51:13', '2017-11-20', '2018-01-09 09:01:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-11-21', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(122, '1711-0012', 'copmotoreducteur', 1, NULL, 0, 2114, '2017-11-20 13:59:43', '2017-11-20', '2018-01-09 09:01:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 115.80000000, 23.16000000, 138.96000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-11-21', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 115.80000000, 23.16000000, 138.96000000, NULL, NULL, NULL),
(123, '1711-0013', 'innodecmaintka7+', 1, NULL, 0, 2114, '2017-11-20 14:49:15', '2017-11-20', '2018-01-09 09:01:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2017-11-21', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(125, '1711-0014', 'innodecka7+gar', 1, NULL, 0, 2114, '2017-11-20 16:12:15', '2017-11-20', '2018-01-09 09:01:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 347.40000000, 69.48000000, 416.88000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-11-21', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 347.40000000, 69.48000000, 416.88000000, NULL, NULL, NULL),
(126, '1711-0015', 'sibelcol45rs', 1, NULL, 0, 2114, '2017-11-21 09:30:55', '2017-11-21', '2018-01-09 09:01:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-11-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(127, '1711-0016', 'reborntec', 1, NULL, 0, 2114, '2017-11-21 09:46:27', '2017-11-21', '2018-01-09 09:01:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 284.89000000, 56.98000000, 341.87000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-11-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 284.89000000, 56.98000000, 341.87000000, NULL, NULL, NULL),
(129, '1711-0017', 'smcika7', 1, NULL, 0, 2114, '2017-11-21 10:33:05', '2017-11-21', '2018-01-09 09:01:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-11-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(130, '1711-0018', 'tsrsuiteincendie', 1, NULL, 0, 2114, '2017-11-21 10:38:38', '2017-11-21', '2018-01-03 08:31:53', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 7049.12000000, 1409.83000000, 8458.95000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-11-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 7049.12000000, 1409.83000000, 8458.95000000, NULL, NULL, NULL),
(131, '1711-0019', 'cop4821112017', 1, NULL, 0, 2114, '2017-11-22 09:17:29', '2017-11-22', '2018-01-09 09:01:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 235.80000000, 47.16000000, 282.96000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-11-23', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 235.80000000, 47.16000000, 282.96000000, NULL, NULL, NULL),
(132, '1711-0020', 'rci3621112017', 1, NULL, 0, 2114, '2017-11-22 09:39:41', '2017-11-22', '2018-01-09 09:01:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 2, 0, '2017-12-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, NULL),
(133, '1711-0021', 'psi3521112017', 1, NULL, 0, 2114, '2017-11-22 10:17:30', '2017-11-22', '2018-01-09 09:01:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-11-23', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(134, '1711-0022', 'deval3421112017', 1, NULL, 0, 2114, '2017-11-22 10:27:13', '2017-11-22', '2018-01-09 09:01:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-11-23', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, NULL),
(135, '1711-0023', 'jtlaser', 1, NULL, 0, 2114, '2017-11-23 16:05:17', '2017-11-23', '2017-12-14 12:41:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 7102.00000000, 1420.40000000, 8522.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-11-24', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 7102.00000000, 1420.40000000, 8522.40000000, NULL, NULL, NULL),
(136, '1711-0024', 'autopi263722112017', 1, NULL, 0, 2114, '2017-11-24 11:46:31', '2017-11-24', '2018-01-09 09:01:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2017-11-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, NULL),
(137, '1711-0025', 'puillet3822112017', 1, NULL, 0, 2114, '2017-11-24 14:11:22', '2017-11-24', '2018-01-09 09:01:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2017-11-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, NULL),
(138, '1711-0026', '2222112017', 1, NULL, 0, 2114, '2017-11-24 14:55:04', '2017-11-24', '2018-01-09 09:01:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 369.12000000, 73.82000000, 442.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-11-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 369.12000000, 73.82000000, 442.94000000, NULL, NULL, NULL),
(139, '1711-0027', 'chaussy4924112017', 1, NULL, 0, 2114, '2017-11-27 14:23:13', '2017-11-27', '2018-01-09 09:01:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 330.70000000, 66.14000000, 396.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-11-28', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 330.70000000, 66.14000000, 396.84000000, NULL, NULL, NULL),
(140, '1711-0028', 'detfi2323112017', 1, NULL, 0, 2114, '2017-11-27 14:55:31', '2017-11-27', '2018-01-09 09:01:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1656.00000000, 331.20000000, 1987.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-11-28', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1656.00000000, 331.20000000, 1987.20000000, NULL, NULL, NULL);
INSERT INTO `llx_facture_fourn` (`rowid`, `ref`, `ref_supplier`, `entity`, `ref_ext`, `type`, `fk_soc`, `datec`, `datef`, `tms`, `libelle`, `paye`, `amount`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_tva`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `fk_incoterms`, `location_incoterms`, `model_pdf`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `date_pointoftax`, `date_valid`) VALUES
(141, '1711-0029', 'baxter5027112017', 1, NULL, 0, 2114, '2017-11-27 15:39:09', '2017-11-27', '2018-01-09 09:01:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-11-28', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, NULL),
(142, '1711-0030', 'echinardfaure', 1, NULL, 0, 2114, '2017-11-27 16:06:33', '2017-11-27', '2018-01-03 08:31:53', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 7370.10000000, 1474.02000000, 8844.12000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-11-28', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 7370.10000000, 1474.02000000, 8844.12000000, NULL, NULL, NULL),
(143, '1711-0031', 'epidaure01207112017', 1, NULL, 0, 2114, '2017-11-28 16:10:17', '2017-11-28', '2018-01-09 09:01:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-11-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, NULL),
(144, '1712-0001', 'cop291120172', 1, NULL, 0, 2114, '2017-12-05 09:56:48', '2017-12-05', '2018-02-05 09:11:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-12-06', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(145, '1712-0002', 'eurobroche29111743', 1, NULL, 0, 2114, '2017-12-05 10:18:25', '2017-12-05', '2018-02-05 09:11:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-12-06', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(146, '1712-0003', 'isra291120173', 1, NULL, 0, 2114, '2017-12-05 10:29:28', '2017-12-05', '2018-02-05 09:11:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-12-06', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(147, '1711-0032', 'sfacs mensualité 1', 1, NULL, 0, 2114, '2017-12-05 10:43:02', '2017-11-30', '2018-01-09 09:01:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2017-12-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, NULL),
(148, '1712-0004', 'sfacs mensualité 2', 1, NULL, 0, 2114, '2017-12-05 10:44:45', '2017-12-05', '2018-02-05 09:11:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2017-12-06', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, NULL),
(149, '1712-0005', 'prismemeca 29111744', 1, NULL, 0, 2114, '2017-12-05 14:28:12', '2017-12-05', '2018-02-05 09:11:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 421.68000000, 84.34000000, 506.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-12-06', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 421.68000000, 84.34000000, 506.02000000, NULL, NULL, NULL),
(150, '1712-0006', 'rci28111740', 1, NULL, 0, 2114, '2017-12-05 14:51:46', '2017-12-05', '2018-02-05 09:11:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 108.50000000, 21.70000000, 130.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-12-06', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 108.50000000, 21.70000000, 130.20000000, NULL, NULL, NULL),
(151, '1712-0007', 'desmet0412176', 1, NULL, 0, 2114, '2017-12-07 09:47:03', '2017-12-07', '2018-02-05 09:11:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-12-08', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(152, '1712-0008', 'deves28111741', 1, NULL, 0, 2114, '2017-12-07 09:55:48', '2017-12-07', '2018-02-05 09:11:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-12-08', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(153, '1712-0009', 'hdn2811201742', 1, NULL, 0, 2114, '2017-12-07 10:45:02', '2017-12-07', '2018-02-05 09:11:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-12-08', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(154, '1712-0010', 'sebmsud3011201746', 1, NULL, 0, 2114, '2017-12-07 15:41:29', '2017-12-07', '2018-02-05 09:11:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 326.92000000, 65.38000000, 392.30000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2017-12-08', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 326.92000000, 65.38000000, 392.30000000, NULL, NULL, NULL),
(155, '1712-0011', 'fmr061220177', 1, NULL, 0, 2114, '2017-12-08 09:53:41', '2017-12-08', '2018-02-05 09:11:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-12-09', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(156, '1712-0012', 'bourbon131220176', 1, NULL, 0, 2114, '2017-12-20 10:07:20', '2017-12-20', '2018-02-05 09:11:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-12-21', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, NULL),
(157, '1712-0013', 'bontout07122017', 1, NULL, 0, 2114, '2017-12-20 10:50:04', '2017-12-20', '2018-02-05 09:11:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 2, 0, '2018-01-19', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(158, '1712-0014', 'fonderiebot0511201748', 1, NULL, 0, 2114, '2017-12-20 11:49:37', '2017-12-20', '2018-02-05 09:11:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 321.76000000, 64.35000000, 386.11000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-12-21', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 321.76000000, 64.35000000, 386.11000000, NULL, NULL, NULL),
(159, '1712-0015', 'dauph0612201701', 1, NULL, 0, 2114, '2017-12-21 09:57:55', '2017-12-21', '2018-02-05 09:11:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 300.00000000, 60.00000000, 360.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-12-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 300.00000000, 60.00000000, 360.00000000, NULL, NULL, NULL),
(160, '1712-0016', 'francacahoutchouc 08/12/2017 1', 1, NULL, 0, 2114, '2017-12-21 10:32:16', '2017-12-21', '2018-02-05 09:11:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2017-12-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(161, '1712-0017', 'hdn0411201705', 1, NULL, 0, 2114, '2017-12-21 11:26:36', '2017-12-21', '2018-02-05 09:11:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 180.50000000, 36.10000000, 216.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2017-12-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 180.50000000, 36.10000000, 216.60000000, NULL, NULL, NULL),
(162, '1712-0018', 'carrierscopic08120201725', 1, NULL, 0, 2114, '2017-12-22 09:23:28', '2017-12-22', '2018-02-05 09:11:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 262.20000000, 52.44000000, 314.64000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-12-23', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 262.20000000, 52.44000000, 314.64000000, NULL, NULL, NULL),
(163, '1712-0019', 'echinard&faure1512201708', 1, NULL, 0, 2114, '2017-12-22 09:51:05', '2017-12-22', '2018-02-05 09:11:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 312.00000000, 62.40000000, 374.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-12-23', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 312.00000000, 62.40000000, 374.40000000, NULL, NULL, NULL),
(164, '1712-0020', 'payen15121712', 1, NULL, 0, 2114, '2017-12-22 11:24:15', '2017-12-22', '2018-02-05 09:11:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 504.90000000, 100.98000000, 605.88000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-12-23', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 504.90000000, 100.98000000, 605.88000000, NULL, NULL, NULL),
(165, '1712-0021', 'payen1512201711', 1, NULL, 0, 2114, '2017-12-22 11:38:46', '2017-12-22', '2018-02-05 09:11:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 534.00000000, 106.80000000, 640.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-12-23', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 534.00000000, 106.80000000, 640.80000000, NULL, NULL, NULL),
(166, '1712-0022', 'prismemeca812201708', 1, NULL, 0, 2114, '2017-12-22 12:06:37', '2017-12-22', '2018-02-05 09:11:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 643.70000000, 128.74000000, 772.44000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-12-23', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 643.70000000, 128.74000000, 772.44000000, NULL, NULL, NULL),
(167, '1712-0023', 'pestrin121220175', 1, NULL, 0, 2114, '2017-12-22 15:34:57', '2017-12-22', '2018-02-05 09:11:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 576.72000000, 115.34000000, 692.06000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-12-23', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 576.72000000, 115.34000000, 692.06000000, NULL, NULL, NULL),
(168, '1712-0024', 'mcrgainage1420122017', 1, NULL, 0, 2114, '2017-12-26 10:06:34', '2017-12-26', '2018-02-07 12:45:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1325.00000000, 265.00000000, 1590.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2017-12-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1325.00000000, 265.00000000, 1590.00000000, NULL, NULL, NULL),
(169, '1712-0025', 'sarrazin1612201709', 1, NULL, 0, 2114, '2017-12-26 10:44:15', '2017-12-26', '2018-02-07 12:45:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 283.12000000, 56.62000000, 339.74000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-12-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 283.12000000, 56.62000000, 339.74000000, NULL, NULL, NULL),
(170, '1712-0026', 'sms14/12201707', 1, NULL, 0, 2114, '2017-12-26 10:56:13', '2017-12-26', '2018-02-07 12:45:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1058.50000000, 211.70000000, 1270.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-12-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1058.50000000, 211.70000000, 1270.20000000, NULL, NULL, NULL),
(172, '1712-0027', 'hdn', 1, NULL, 0, 2114, '2017-12-27 10:45:39', '2017-12-27', '2018-02-07 12:45:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-12-28', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, NULL),
(173, '1712-0028', 'drageedevalence', 1, NULL, 0, 2114, '2017-12-27 10:54:41', '2017-12-27', '2018-02-07 12:45:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 2185.23000000, 437.05000000, 2622.28000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2017-12-28', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2185.23000000, 437.05000000, 2622.28000000, NULL, NULL, NULL),
(174, '1712-0029', 'epidaurebc201711137', 1, NULL, 0, 2114, '2017-12-27 11:41:25', '2017-12-27', '2018-01-22 09:35:36', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 11485.67000000, 2297.13000000, 13782.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, 2, 0, '2018-01-26', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 11485.67000000, 2297.13000000, 13782.80000000, NULL, NULL, NULL),
(175, '1712-0030', 'perollier0412201704', 1, NULL, 0, 2114, '2017-12-27 14:12:57', '2017-12-27', '2018-02-07 12:45:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-12-28', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(176, '1712-0031', 'rtsi2212201716', 1, NULL, 0, 2114, '2017-12-27 14:48:07', '2017-12-27', '2018-02-07 12:45:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-12-28', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(177, '1712-0032', 'sorhofroid22122017', 1, NULL, 0, 2114, '2017-12-27 15:09:11', '2017-12-27', '2018-02-07 12:45:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 262.62000000, 52.52000000, 315.14000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-12-28', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 262.62000000, 52.52000000, 315.14000000, NULL, NULL, NULL),
(178, '1712-0033', 'sical22/12/201715', 1, NULL, 0, 2114, '2017-12-27 15:25:27', '2017-12-27', '2018-02-07 12:45:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-12-28', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(179, '1712-0034', 'deves2712201713', 1, NULL, 0, 2114, '2017-12-28 10:05:30', '2017-12-28', '2018-02-07 12:45:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 413.56000000, 82.71000000, 496.27000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-12-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 413.56000000, 82.71000000, 496.27000000, NULL, NULL, NULL),
(180, '1712-0035', 'mgp27/12/201712', 1, NULL, 0, 2114, '2017-12-28 10:18:54', '2017-12-28', '2018-02-07 12:45:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2017-12-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, NULL),
(181, '1801-0001', 'unidecor2710012018', 1, NULL, 0, 2114, '2018-01-19 11:12:09', '2018-01-19', '2018-03-14 09:48:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-01-20', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(182, '1801-0002', 'bourbon2610/01/2018', 1, NULL, 0, 2114, '2018-01-19 12:03:18', '2018-01-19', '2018-03-14 09:48:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 221.20000000, 44.24000000, 265.44000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-01-20', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 221.20000000, 44.24000000, 265.44000000, NULL, NULL, NULL),
(183, '1801-0003', 'capag 31 16012018', 1, NULL, 0, 2114, '2018-01-19 14:26:52', '2018-01-19', '2018-03-14 09:48:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 301.32000000, 60.26000000, 361.58000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-01-20', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 301.32000000, 60.26000000, 361.58000000, NULL, NULL, NULL),
(184, '1801-0004', 'debionne2105/01/2018', 1, NULL, 0, 2114, '2018-01-19 15:29:13', '2018-01-19', '2018-03-14 09:48:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-01-20', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(185, '1801-0005', 'epoxy30 12012018', 1, NULL, 0, 2114, '2018-01-22 09:48:05', '2018-01-22', '2018-03-14 09:48:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-01-23', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(186, '1801-0006', 'perollier 24 08012018', 1, NULL, 0, 2114, '2018-01-22 10:21:13', '2018-01-22', '2018-03-14 09:48:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 84.50000000, 16.90000000, 101.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-01-23', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 84.50000000, 16.90000000, 101.40000000, NULL, NULL, NULL),
(187, '1801-0007', 'hdn 15 28122017', 1, NULL, 0, 2114, '2018-01-22 10:37:01', '2018-01-22', '2018-03-14 09:48:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 167.45000000, 33.49000000, 200.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-01-23', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 167.45000000, 33.49000000, 200.94000000, NULL, NULL, NULL),
(188, '1801-0008', 'michal prefa 33 17012018', 1, NULL, 0, 2114, '2018-01-22 11:43:52', '2018-01-22', '2018-03-14 09:48:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 250.00000000, 50.00000000, 300.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-01-23', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 250.00000000, 50.00000000, 300.00000000, NULL, NULL, NULL),
(189, '1801-0009', 'michel clement 25 08012018', 1, NULL, 0, 2114, '2018-01-22 12:10:26', '2018-01-22', '2018-03-14 09:48:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 107.82000000, 21.56000000, 129.38000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-01-23', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 107.82000000, 21.56000000, 129.38000000, NULL, NULL, NULL),
(190, '1801-0010', '38 22012018modelage', 1, NULL, 0, 2114, '2018-01-24 10:30:25', '2018-01-24', '2018-03-14 09:36:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 805.70000000, 161.14000000, 966.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-01-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 805.70000000, 161.14000000, 966.84000000, NULL, NULL, NULL),
(191, '1801-0011', '34payen17012018', 1, NULL, 0, 2114, '2018-01-24 12:01:11', '2018-01-24', '2018-03-14 09:36:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 324.24000000, 64.85000000, 389.09000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-01-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 324.24000000, 64.85000000, 389.09000000, NULL, NULL, NULL),
(192, '1801-0012', 'courbis 35 17/01/2018', 1, NULL, 0, 2114, '2018-01-24 14:08:39', '2018-01-24', '2018-03-14 09:34:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 156.50000000, 31.30000000, 187.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-01-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 156.50000000, 31.30000000, 187.80000000, NULL, NULL, NULL),
(193, '1801-0013', '20&19paraboot05012018', 1, NULL, 0, 2114, '2018-01-24 16:35:24', '2018-01-24', '2018-03-14 09:34:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 428.40000000, 85.68000000, 514.08000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-01-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 428.40000000, 85.68000000, 514.08000000, NULL, NULL, NULL),
(194, '1801-0014', '17navya24/01/2018', 1, NULL, 0, 2114, '2018-01-25 10:38:14', '2018-01-25', '2018-03-14 09:48:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 4661.00000000, 932.20000000, 5593.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-01-26', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 4661.00000000, 932.20000000, 5593.20000000, NULL, NULL, NULL),
(195, '1801-0015', '37reyfreres190118', 1, NULL, 0, 2114, '2018-01-26 10:30:24', '2018-01-26', '2018-03-14 09:34:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-01-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(196, '1801-0016', '28rousset040118', 1, NULL, 0, 2114, '2018-01-26 11:55:17', '2018-01-26', '2018-03-14 09:34:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-01-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(197, '1801-0017', '26sms03012018', 1, NULL, 0, 2114, '2018-01-26 14:39:15', '2018-01-26', '2018-03-14 09:48:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 997.51000000, 199.50000000, 1197.01000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-01-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 997.51000000, 199.50000000, 1197.01000000, NULL, NULL, NULL),
(199, '1801-0018', '26sms030118', 1, NULL, 0, 2114, '2018-01-26 14:52:22', '2018-01-26', '2018-03-14 09:34:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 144.00000000, 28.80000000, 172.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-01-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 144.00000000, 28.80000000, 172.80000000, NULL, NULL, NULL),
(200, '1801-0019', '18sms030118', 1, NULL, 0, 2114, '2018-01-26 15:07:35', '2018-01-26', '2018-03-14 09:34:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 708.50000000, 141.70000000, 850.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-01-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 708.50000000, 141.70000000, 850.20000000, NULL, NULL, NULL),
(201, '1801-0020', '16trucks28/12/2017', 1, NULL, 0, 2114, '2018-01-26 15:24:40', '2018-01-26', '2018-03-14 09:34:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 220.56000000, 44.11000000, 264.67000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-01-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 220.56000000, 44.11000000, 264.67000000, NULL, NULL, NULL),
(202, '1801-0021', '36aka19012018', 1, NULL, 0, 2114, '2018-01-26 15:44:31', '2018-01-26', '2018-03-14 09:34:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 168.50000000, 33.70000000, 202.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-01-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 168.50000000, 33.70000000, 202.20000000, NULL, NULL, NULL),
(203, '1801-0022', '41desgranges250118', 1, NULL, 0, 2114, '2018-01-31 14:23:56', '2018-01-31', '2018-03-14 09:34:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 147.10000000, 29.42000000, 176.52000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-02-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 147.10000000, 29.42000000, 176.52000000, NULL, NULL, NULL),
(204, '1801-0023', '19delmonico300118', 1, NULL, 0, 2114, '2018-01-31 14:34:12', '2018-01-31', '2018-03-14 09:38:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 450.00000000, 90.00000000, 540.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-02-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 450.00000000, 90.00000000, 540.00000000, NULL, NULL, NULL),
(205, '1801-0024', '42epidaure26118', 1, NULL, 0, 2114, '2018-01-31 15:27:49', '2018-01-31', '2018-03-14 09:38:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-02-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(206, '1801-0025', '18hdn290118', 1, NULL, 0, 2114, '2018-01-31 15:46:29', '2018-01-31', '2018-03-14 09:38:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 196.56000000, 39.31000000, 235.87000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-02-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 196.56000000, 39.31000000, 235.87000000, NULL, NULL, NULL),
(207, '1801-0026', '44mecaindus290118', 1, NULL, 0, 2114, '2018-01-31 15:58:25', '2018-01-31', '2018-03-14 09:38:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-02-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(208, '1801-0027', '45m22300118', 1, NULL, 0, 2114, '2018-01-31 16:06:20', '2018-01-31', '2018-03-14 09:38:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-02-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, NULL),
(209, '1801-0028', '30tsr300118', 1, NULL, 0, 2114, '2018-01-31 16:56:09', '2018-01-31', '2018-03-14 09:48:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1242.45000000, 248.49000000, 1490.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-02-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1242.45000000, 248.49000000, 1490.94000000, NULL, NULL, NULL),
(210, '1802-0001', '40vigne250118', 1, NULL, 0, 2114, '2018-02-01 10:11:20', '2018-02-01', '2018-04-03 14:37:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 180.50000000, 36.10000000, 216.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-02-02', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 180.50000000, 36.10000000, 216.60000000, NULL, NULL, NULL),
(211, '1802-0002', '43vigne26012018', 1, NULL, 0, 2114, '2018-02-01 10:32:49', '2018-02-01', '2018-04-03 14:37:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-02-02', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(212, '1801-0029', '20exsto310118', 1, NULL, 0, 2114, '2018-02-01 11:08:16', '2018-01-31', '2018-03-14 09:48:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 2750.00000000, 550.00000000, 3300.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-02-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2750.00000000, 550.00000000, 3300.00000000, NULL, NULL, NULL),
(213, '1802-0003', 'sfacsedr', 1, NULL, 0, 2114, '2018-02-05 11:22:25', '2018-01-31', '2018-04-03 14:37:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-02-06', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, NULL),
(214, '1802-0004', '28kerry10012018', 1, NULL, 0, 2114, '2018-02-05 15:16:17', '2018-02-05', '2018-04-03 14:37:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 163.80000000, 32.76000000, 196.56000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-02-06', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 163.80000000, 32.76000000, 196.56000000, NULL, NULL, NULL),
(216, '1801-0030', 'sfacsjanv', 1, NULL, 0, 2114, '2018-02-06 16:16:11', '2018-01-31', '2018-03-14 09:38:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-02-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, NULL),
(217, '1802-0005', 'bontout25-070218', 1, NULL, 0, 2114, '2018-02-14 10:47:23', '2018-02-14', '2018-04-03 14:37:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 292.56000000, 58.51000000, 351.07000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-02-15', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 292.56000000, 58.51000000, 351.07000000, NULL, NULL, NULL),
(218, '1802-0006', '26dauph120218', 1, NULL, 0, 2114, '2018-02-14 11:22:13', '2018-02-14', '2018-04-03 14:37:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 466.53000000, 93.30000000, 559.83000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-02-15', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 466.53000000, 93.30000000, 559.83000000, NULL, NULL, NULL),
(219, '1802-0007', '21exsto31/01/2018', 1, NULL, 0, 2114, '2018-02-14 14:55:41', '2018-02-14', '2018-04-03 14:37:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-02-15', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(220, '1802-0008', '24insoft05022018', 1, NULL, 0, 2114, '2018-02-14 15:13:12', '2018-02-14', '2018-04-03 14:37:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-02-15', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(221, '1802-0009', '47ivars010218', 1, NULL, 0, 2114, '2018-02-14 15:36:21', '2018-02-14', '2018-04-03 14:37:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-02-15', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(222, '1802-0010', '48ivars010218', 1, NULL, 0, 2114, '2018-02-14 15:38:28', '2018-02-14', '2018-04-03 14:37:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-02-15', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(223, '1802-0011', '49jambon020218', 1, NULL, 0, 2114, '2018-02-14 16:02:45', '2018-02-14', '2018-04-03 14:37:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-02-15', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(224, '1802-0012', '13mcr201217', 1, NULL, 0, 2114, '2018-02-14 16:18:41', '2018-02-14', '2018-04-03 14:37:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-02-15', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(225, '1802-0013', '4poncin090218', 1, NULL, 0, 2114, '2018-02-14 16:48:12', '2018-02-14', '2018-04-03 14:37:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-02-15', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(226, '1802-0014', '50soralep020218', 1, NULL, 0, 2114, '2018-02-15 14:11:45', '2018-02-15', '2018-04-05 11:52:39', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-02-16', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(227, '1802-0015', '27truck120218', 1, NULL, 0, 2114, '2018-02-15 14:23:22', '2018-02-15', '2018-04-05 11:52:39', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 454.10000000, 90.82000000, 544.92000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-02-16', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 454.10000000, 90.82000000, 544.92000000, NULL, NULL, NULL),
(228, '1802-0016', '22exsto01022018', 1, NULL, 0, 2114, '2018-02-20 09:56:04', '2018-02-20', '2018-04-05 11:52:39', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 276.50000000, 55.30000000, 331.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-02-21', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 276.50000000, 55.30000000, 331.80000000, NULL, NULL, NULL),
(229, '1802-0017', '46fca31012018', 1, NULL, 0, 2114, '2018-02-20 10:02:03', '2018-02-20', '2018-04-05 11:52:39', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 8, 0, '2018-02-21', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(230, '1802-0018', '07brassvaldrome150218', 1, NULL, 0, 2114, '2018-02-20 10:14:43', '2018-02-20', '2018-04-05 11:52:39', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, 0, '2018-03-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(231, '1802-0019', '12cintralp190218', 1, NULL, 0, 2114, '2018-02-20 10:30:18', '2018-02-20', '2018-04-05 11:54:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 7, 0, '2018-02-21', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(232, '1802-0020', '13cros160218', 1, NULL, 0, 2114, '2018-02-20 10:55:36', '2018-02-20', '2018-04-05 11:54:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 300.04000000, 60.01000000, 360.05000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-02-21', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 300.04000000, 60.01000000, 360.05000000, NULL, NULL, NULL),
(233, '1802-0021', '9ctdmontelimar150218', 1, NULL, 0, 2114, '2018-02-20 11:22:42', '2018-02-20', '2018-04-05 11:54:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-02-21', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(234, '1802-0022', '34capag140218', 1, NULL, 0, 2114, '2018-02-20 16:14:36', '2018-02-20', '2018-04-05 11:54:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-02-21', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(235, '1802-0023', '36fuma150218', 1, NULL, 0, 2114, '2018-02-20 16:35:59', '2018-02-20', '2018-04-05 11:54:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 288.35000000, 57.67000000, 346.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-02-21', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 288.35000000, 57.67000000, 346.02000000, NULL, NULL, NULL),
(236, '1802-0024', '28hdn140218', 1, NULL, 0, 2114, '2018-02-21 09:37:27', '2018-02-21', '2018-04-05 11:54:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-02-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(237, '1802-0025', '03modelageconcept090218', 1, NULL, 0, 2114, '2018-02-21 09:49:48', '2018-02-21', '2018-04-05 11:54:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-02-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(238, '1802-0026', '02modelage090218', 1, NULL, 0, 2114, '2018-02-21 10:03:13', '2018-02-21', '2018-04-05 11:54:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-02-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(239, '1802-0027', '17kerry29122017', 1, NULL, 0, 2114, '2018-02-21 10:11:56', '2018-02-21', '2018-04-05 11:54:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-02-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(240, '1802-0028', '23mpg050218', 1, NULL, 0, 2114, '2018-02-21 10:28:02', '2018-02-21', '2018-04-05 11:54:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-02-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(241, '1802-0029', '37podis19022018', 1, NULL, 0, 2114, '2018-02-21 11:13:15', '2018-02-21', '2018-04-05 11:54:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-02-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(242, '1802-0030', '10figuet160218', 1, NULL, 0, 2114, '2018-02-21 12:01:08', '2018-02-21', '2018-04-11 14:35:58', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1150.00000000, 230.00000000, 1380.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-02-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1150.00000000, 230.00000000, 1380.00000000, NULL, NULL, NULL),
(243, '1802-0031', '15avenir200218', 1, NULL, 0, 2114, '2018-02-22 10:31:25', '2018-02-22', '2018-04-11 14:35:58', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-02-23', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(244, '1802-0032', '29guichardrodage210218', 1, NULL, 0, 2114, '2018-02-22 10:45:47', '2018-02-22', '2018-04-11 14:35:58', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 109.96000000, 21.99000000, 131.95000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-02-23', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 109.96000000, 21.99000000, 131.95000000, NULL, NULL, NULL),
(245, '1802-0033', '14esat200218', 1, NULL, 0, 2114, '2018-02-22 10:54:21', '2018-02-22', '2018-04-11 14:35:58', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-02-23', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(246, '1802-0034', '38brd200218', 1, NULL, 0, 2114, '2018-02-22 11:10:29', '2018-02-22', '2018-04-11 14:37:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-02-23', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(247, '1802-0035', '39dumg210218', 1, NULL, 0, 2114, '2018-02-22 11:21:53', '2018-02-22', '2018-04-11 14:37:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-02-23', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(248, '1802-0036', '40mairieromans220218', 1, NULL, 0, 2114, '2018-02-23 10:27:03', '2018-02-23', '2018-04-11 14:37:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1534.61000000, 306.92000000, 1841.53000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-02-24', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1534.61000000, 306.92000000, 1841.53000000, NULL, NULL, NULL),
(249, '1802-0037', '17renebois220218', 1, NULL, 0, 2114, '2018-02-23 10:40:27', '2018-02-23', '2018-04-11 14:37:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-02-24', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(250, '1802-0038', '19baxter260218', 1, NULL, 0, 2114, '2018-02-27 11:31:22', '2018-02-27', '2018-04-11 14:37:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 213.26000000, 42.65000000, 255.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-02-28', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 213.26000000, 42.65000000, 255.91000000, NULL, NULL, NULL),
(251, '1802-0039', '31courbis22022018', 1, NULL, 0, 2114, '2018-03-01 15:52:50', '2018-02-28', '2018-04-11 14:37:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 410.69000000, 82.14000000, 492.83000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-03-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 410.69000000, 82.14000000, 492.83000000, NULL, NULL, NULL),
(252, '1802-0040', '30courbis22022018', 1, NULL, 0, 2114, '2018-03-01 16:00:48', '2018-02-28', '2018-04-11 14:37:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-03-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(253, '1802-0041', '11dai19022018', 1, NULL, 0, 2114, '2018-03-01 16:16:52', '2018-02-28', '2018-04-11 14:37:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 225.76000000, 45.15000000, 270.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-03-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 225.76000000, 45.15000000, 270.91000000, NULL, NULL, NULL),
(254, '1802-0042', '21fromageriealpine260218', 1, NULL, 0, 2114, '2018-03-01 16:26:57', '2018-02-27', '2018-04-26 06:11:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-02-28', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(255, '1802-0043', '20fromageriealpine260218', 1, NULL, 0, 2114, '2018-03-01 16:30:16', '2018-02-27', '2018-04-26 06:11:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-02-28', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(256, '1802-0044', '41esat230218', 1, NULL, 0, 2114, '2018-03-02 11:44:10', '2018-02-27', '2018-04-26 06:11:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, 0, '2018-03-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(257, '1802-0045', '32eurovia23022018', 1, NULL, 0, 2114, '2018-03-02 13:33:27', '2018-02-28', '2018-04-26 06:11:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, 0, '2018-03-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(258, '1802-0046', 'coval khg', 1, NULL, 0, 2114, '2018-03-02 14:34:15', '2018-02-28', '2018-04-26 06:11:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 490.41000000, 98.08000000, 588.49000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-03-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 490.41000000, 98.08000000, 588.49000000, NULL, NULL, NULL),
(259, '1802-0047', '16dauphinoise22022018', 1, NULL, 0, 2114, '2018-03-02 15:04:08', '2018-02-28', '2018-04-26 06:11:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-03-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(260, '1802-0048', '13esat200218', 1, NULL, 0, 2114, '2018-03-02 15:21:01', '2018-02-28', '2018-04-26 06:11:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 60.00000000, 12.00000000, 72.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-03-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 60.00000000, 12.00000000, 72.00000000, NULL, NULL, NULL),
(261, '1802-0049', '06ebg130218', 1, NULL, 0, 2114, '2018-03-02 15:38:21', '2018-02-28', '2018-04-26 06:11:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 206.78000000, 41.36000000, 248.14000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-03-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 206.78000000, 41.36000000, 248.14000000, NULL, NULL, NULL),
(262, '1802-0050', '33pestrin', 1, NULL, 0, 2114, '2018-03-02 15:57:36', '2018-02-28', '2018-05-07 07:48:43', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1641.00000000, 328.20000000, 1969.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-03-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1641.00000000, 328.20000000, 1969.20000000, NULL, NULL, NULL),
(263, '1802-0051', '18ville23/0218', 1, NULL, 0, 2114, '2018-03-02 16:17:53', '2018-02-28', '2018-04-26 06:11:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-03-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(264, '1802-0052', '34bontout270218', 1, NULL, 0, 2114, '2018-03-02 16:47:34', '2018-02-28', '2018-04-26 06:13:09', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 178.40000000, 35.68000000, 214.08000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-02-28', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 178.40000000, 35.68000000, 214.08000000, NULL, NULL, NULL),
(265, '1802-0053', '43cegelec280218', 1, NULL, 0, 2114, '2018-03-02 16:53:39', '2018-02-28', '2018-04-26 06:13:09', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-03-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL);
INSERT INTO `llx_facture_fourn` (`rowid`, `ref`, `ref_supplier`, `entity`, `ref_ext`, `type`, `fk_soc`, `datec`, `datef`, `tms`, `libelle`, `paye`, `amount`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_tva`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `fk_incoterms`, `location_incoterms`, `model_pdf`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `date_pointoftax`, `date_valid`) VALUES
(266, '1803-0001', '24girauddelay270218', 1, NULL, 0, 2114, '2018-03-02 16:57:08', '2018-02-28', '2018-05-03 11:55:23', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, 0, NULL, NULL, 9, 0, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(267, '1802-0054', '23giraud elay27021818', 1, NULL, 0, 2114, '2018-03-02 17:01:25', '2018-02-28', '2018-04-26 06:13:09', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, 0, NULL, NULL, 9, 0, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(268, '1802-0055', '22pheby270218', 1, NULL, 0, 2114, '2018-03-02 17:07:16', '2018-02-28', '2018-04-26 06:13:09', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, 0, NULL, NULL, 9, 0, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(269, '1803-0002', 'coval090318', 1, NULL, 0, 2114, '2018-03-12 11:10:42', '2018-03-12', '2018-05-03 11:55:23', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 982.14000000, 196.43000000, 1178.57000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-03-13', '', '3 compresseurs', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 982.14000000, 196.43000000, 1178.57000000, NULL, NULL, NULL),
(270, '1803-0003', '33bontout130318', 1, NULL, 0, 2114, '2018-03-23 15:32:51', '2018-03-23', '2018-05-03 11:55:23', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 178.40000000, 35.68000000, 214.08000000, 2, 5, NULL, 5, NULL, NULL, NULL, 2, 0, '2018-04-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 178.40000000, 35.68000000, 214.08000000, NULL, NULL, NULL),
(271, '1803-0004', '02combalot210318', 1, NULL, 0, 2114, '2018-03-23 15:52:47', '2018-03-23', '2018-05-03 11:55:23', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 747.00000000, 149.40000000, 896.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, 0, '2018-04-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 747.00000000, 149.40000000, 896.40000000, NULL, NULL, NULL),
(272, '1803-0005', '44gdserre 010318', 1, NULL, 0, 2114, '2018-03-23 16:29:53', '2018-03-23', '2018-05-03 11:55:23', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-03-24', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(273, '1803-0006', '39pestrinmars2018', 1, NULL, 0, 2114, '2018-03-26 11:32:46', '2018-03-26', '2018-05-03 11:53:33', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 4423.44000000, 884.69000000, 5308.13000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-03-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 4423.44000000, 884.69000000, 5308.13000000, NULL, NULL, NULL),
(274, '1803-0007', '41pestrin200318', 1, NULL, 0, 2114, '2018-03-26 12:05:30', '2018-03-26', '2018-05-03 11:53:33', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1394.28000000, 278.86000000, 1673.14000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-03-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1394.28000000, 278.86000000, 1673.14000000, NULL, NULL, NULL),
(275, '1803-0008', '03coval220318', 1, NULL, 0, 2114, '2018-03-29 10:13:35', '2018-03-29', '2018-05-03 11:55:23', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 202.40000000, 40.48000000, 242.88000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-03-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 202.40000000, 40.48000000, 242.88000000, NULL, NULL, NULL),
(276, '1803-0009', '49figuet12032018', 1, NULL, 0, 2114, '2018-03-29 14:28:06', '2018-03-29', '2018-05-03 11:55:23', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 104.12000000, 20.82000000, 124.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-03-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 104.12000000, 20.82000000, 124.94000000, NULL, NULL, NULL),
(277, '1803-0010', '38molteni16032018', 1, NULL, 0, 2114, '2018-03-29 14:43:16', '2018-03-29', '2018-05-03 11:55:23', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 614.00000000, 122.80000000, 736.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-03-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 614.00000000, 122.80000000, 736.80000000, NULL, NULL, NULL),
(278, '1803-0011', '36hdn080318', 1, NULL, 0, 2114, '2018-03-29 15:42:51', '2018-03-29', '2018-05-03 11:55:23', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 244.56000000, 48.91000000, 293.47000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-03-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 244.56000000, 48.91000000, 293.47000000, NULL, NULL, NULL),
(279, '1803-0012', '25ebg010318', 1, NULL, 0, 2114, '2018-03-29 15:52:26', '2018-03-29', '2018-05-03 11:55:23', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 280.24000000, 56.05000000, 336.29000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-03-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 280.24000000, 56.05000000, 336.29000000, NULL, NULL, NULL),
(280, '1803-0013', '45jtlaser05032018', 1, NULL, 0, 2114, '2018-03-29 16:06:32', '2018-03-29', '2018-05-03 11:55:23', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 455.00000000, 91.00000000, 546.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-03-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 455.00000000, 91.00000000, 546.00000000, NULL, NULL, NULL),
(281, '1803-0014', '40melapro280318', 1, NULL, 0, 2114, '2018-03-29 16:24:42', '2018-03-29', '2018-05-07 07:48:43', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1379.73000000, 275.95000000, 1655.68000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-03-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1379.73000000, 275.95000000, 1655.68000000, NULL, NULL, NULL),
(282, '1803-0015', '50poncin16032018', 1, NULL, 0, 2114, '2018-03-30 15:37:11', '2018-03-30', '2018-05-07 07:48:43', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 499.00000000, 99.80000000, 598.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-03-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 499.00000000, 99.80000000, 598.80000000, NULL, NULL, NULL),
(283, '1804-0001', '44avenir30032018', 1, NULL, 0, 2114, '2018-04-09 10:51:56', '2018-04-09', '2018-06-05 09:40:12', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-04-10', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(284, '1804-0002', '4546jars060418', 1, NULL, 0, 2114, '2018-04-09 12:21:08', '2018-04-09', '2018-06-05 09:40:12', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 738.57000000, 147.71000000, 886.28000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-04-10', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 738.57000000, 147.71000000, 886.28000000, NULL, NULL, NULL),
(285, '1804-0003', '43baxter03042018', 1, NULL, 0, 2114, '2018-04-10 09:18:02', '2018-04-10', '2018-06-05 09:40:12', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-04-11', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(286, '1804-0004', '5mpg26032018', 1, NULL, 0, 2114, '2018-04-10 09:19:27', '2018-04-10', '2018-06-05 09:40:12', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 161.61000000, 32.32000000, 193.93000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-04-11', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 161.61000000, 32.32000000, 193.93000000, NULL, NULL, NULL),
(287, '1804-0005', '42debionne290318', 1, NULL, 0, 2114, '2018-04-10 09:20:52', '2018-04-10', '2018-06-05 09:40:12', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 173.20000000, 34.64000000, 207.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-04-11', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 173.20000000, 34.64000000, 207.84000000, NULL, NULL, NULL),
(288, '1804-0006', '06carriescopic16042018', 1, NULL, 0, 2114, '2018-04-17 11:00:10', '2018-04-17', '2018-06-05 09:40:12', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 132.50000000, 26.50000000, 159.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-04-18', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 132.50000000, 26.50000000, 159.00000000, NULL, NULL, NULL),
(289, '1804-0007', '1combelanotte100418', 1, NULL, 0, 2114, '2018-04-17 11:03:36', '2018-04-17', '2018-06-05 09:40:12', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-04-18', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(290, '1804-0008', '04cibox130418', 1, NULL, 0, 2114, '2018-04-17 11:17:03', '2018-04-17', '2018-06-05 09:40:12', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-04-18', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(291, '1804-0009', '45cop11042018', 1, NULL, 0, 2114, '2018-04-17 12:06:03', '2018-04-17', '2018-06-05 09:40:12', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-04-18', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(292, '1804-0010', '44m2211042018', 1, NULL, 0, 2114, '2018-04-17 14:26:39', '2018-04-17', '2018-06-05 09:40:12', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-04-18', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(293, '1804-0011', '5pavailler13042018', 1, NULL, 0, 2114, '2018-04-17 14:35:37', '2018-04-17', '2018-06-05 09:40:12', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 273.76000000, 54.75000000, 328.51000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-04-18', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 273.76000000, 54.75000000, 328.51000000, NULL, NULL, NULL),
(294, '1804-0012', '3rignol100418', 1, NULL, 0, 2114, '2018-04-17 15:33:05', '2018-04-17', '2018-06-05 09:40:12', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 690.57000000, 138.11000000, 828.68000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-04-18', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 690.57000000, 138.11000000, 828.68000000, NULL, NULL, NULL),
(295, '1804-0013', '02sarrazin11042018', 1, NULL, 0, 2114, '2018-04-17 16:05:16', '2018-04-17', '2018-06-05 09:40:12', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 72.00000000, 14.40000000, 86.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-04-18', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 72.00000000, 14.40000000, 86.40000000, NULL, NULL, NULL),
(296, '1804-0014', '6mcr26032018', 1, NULL, 0, 2114, '2018-04-18 15:09:38', '2018-04-18', '2018-06-05 09:40:12', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-04-19', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(297, '1804-0015', '09avenir180418', 1, NULL, 0, 2114, '2018-04-19 09:41:11', '2018-04-19', '2018-06-05 09:42:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 612.43000000, 122.49000000, 734.92000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-04-20', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 612.43000000, 122.49000000, 734.92000000, NULL, NULL, NULL),
(298, '1804-0016', '08ruet170418', 1, NULL, 0, 2114, '2018-04-19 10:22:14', '2018-04-19', '2018-06-05 09:42:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 558.00000000, 111.60000000, 669.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-04-20', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 558.00000000, 111.60000000, 669.60000000, NULL, NULL, NULL),
(299, '1804-0017', '10fromageriealpine190418', 1, NULL, 0, 2114, '2018-04-19 14:41:57', '2018-04-19', '2018-06-05 09:42:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 132.50000000, 26.50000000, 159.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-04-20', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 132.50000000, 26.50000000, 159.00000000, NULL, NULL, NULL),
(300, '1804-0018', '46hdn170418', 1, NULL, 0, 2114, '2018-04-23 10:49:49', '2018-04-23', '2018-06-05 09:42:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 194.00000000, 38.80000000, 232.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, 0, '2018-05-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 194.00000000, 38.80000000, 232.80000000, NULL, NULL, NULL),
(301, '1804-0019', '47sibelco090418', 1, NULL, 0, 2114, '2018-04-23 11:51:11', '2018-04-23', '2018-06-05 09:42:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 493.19000000, 98.64000000, 591.83000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-04-24', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 493.19000000, 98.64000000, 591.83000000, NULL, NULL, NULL),
(302, '1804-0020', '43soralep300318', 1, NULL, 0, 2114, '2018-04-23 11:57:29', '2018-04-23', '2018-06-05 09:42:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-04-24', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(304, '1804-0021', 'PERTEavril', 1, NULL, 0, 2114, '2018-04-24 16:27:24', '2018-04-24', '2018-06-05 09:42:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-04-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, NULL),
(305, '1804-0022', 'pertemars', 1, NULL, 0, 2114, '2018-04-25 14:34:31', '2018-04-25', '2018-06-06 08:16:07', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-04-26', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, NULL),
(306, '1804-0023', 'sfpa260418', 1, NULL, 0, 2114, '2018-04-26 14:47:32', '2018-04-26', '2018-06-06 08:16:07', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 467.60000000, 93.52000000, 561.12000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-04-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 467.60000000, 93.52000000, 561.12000000, NULL, NULL, NULL),
(307, '1804-0024', '47coval25042018', 1, NULL, 0, 2114, '2018-04-27 11:31:13', '2018-04-27', '2018-06-06 08:16:07', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 292.69000000, 58.54000000, 351.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-04-28', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 292.69000000, 58.54000000, 351.23000000, NULL, NULL, NULL),
(308, '1804-0025', '9coval20/04/2018', 1, NULL, 0, 2114, '2018-04-27 12:05:45', '2018-04-27', '2018-06-06 08:16:07', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 250.40000000, 50.08000000, 300.48000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-04-28', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 250.40000000, 50.08000000, 300.48000000, NULL, NULL, NULL),
(309, '1804-0026', '08coval190418', 1, NULL, 0, 2114, '2018-04-27 12:16:28', '2018-04-27', '2018-06-06 08:16:07', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 202.40000000, 40.48000000, 242.88000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-04-28', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 202.40000000, 40.48000000, 242.88000000, NULL, NULL, NULL),
(310, '1805-0001', '02acieries07052018', 1, NULL, 0, 2114, '2018-05-15 09:59:38', '2018-05-15', '2018-07-03 12:02:42', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, 13, 0, '2018-05-16', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(311, '1805-0002', '14chaussy27042018', 1, NULL, 0, 2114, '2018-05-15 10:13:43', '2018-05-15', '2018-07-03 12:02:42', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, 13, 0, '2018-05-16', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(312, '1805-0003', '17detfi04052018', 1, NULL, 0, 2114, '2018-05-15 10:42:53', '2018-05-15', '2018-07-03 12:02:42', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, 13, 0, '2018-05-16', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(313, '1805-0008', '48svvi030518', 1, NULL, 0, 2114, '2018-05-15 10:58:57', '2018-05-15', '2018-07-03 12:02:42', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 13, 0, '2018-05-16', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(314, '1805-0004', '3esal090518', 1, NULL, 0, 2114, '2018-05-15 13:51:03', '2018-05-15', '2018-07-03 12:02:42', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 13, 0, '2018-05-16', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(315, '1805-0005', '1sorofroid03052018', 1, NULL, 0, 2114, '2018-05-15 14:29:01', '2018-05-15', '2018-07-03 12:02:42', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 505.58000000, 101.12000000, 606.70000000, 2, 5, NULL, 5, NULL, NULL, NULL, 13, 0, '2018-05-16', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 505.58000000, 101.12000000, 606.70000000, NULL, NULL, NULL),
(316, '1805-0006', '15michalprefa020518', 1, NULL, 0, 2114, '2018-05-15 14:54:30', '2018-05-15', '2018-07-03 12:05:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, 13, 0, '2018-05-16', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(317, '1805-0007', '16primemeca02052018', 1, NULL, 0, 2114, '2018-05-15 15:14:08', '2018-05-15', '2018-07-03 12:05:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 13, 0, '2018-05-16', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(318, '1805-0009', '05jtlaser140518', 1, NULL, 0, 2114, '2018-05-17 11:10:47', '2018-05-17', '2018-07-03 12:05:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 541.68000000, 108.34000000, 650.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 13, 0, '2018-05-18', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 541.68000000, 108.34000000, 650.02000000, NULL, NULL, NULL),
(320, '1805-0010', 'iwata', 1, NULL, 0, 2114, '2018-05-17 15:00:55', '2018-05-17', '2018-07-03 12:05:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 106.95000000, 21.39000000, 128.34000000, 2, 5, NULL, 5, NULL, NULL, NULL, 13, 0, '2018-05-18', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 106.95000000, 21.39000000, 128.34000000, NULL, NULL, NULL),
(321, '1805-0011', '07fromagerie alpine170518', 1, NULL, 0, 2114, '2018-05-18 09:49:01', '2018-05-18', '2018-07-03 12:05:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 398.35000000, 79.67000000, 478.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 13, 0, '2018-05-19', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 398.35000000, 79.67000000, 478.02000000, NULL, NULL, NULL),
(322, '1805-0012', 'atelier4collines 29', 1, NULL, 0, 2114, '2018-06-04 12:01:02', '2018-05-31', '2018-07-03 12:05:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(323, '1805-0013', '300518coopenoix3132', 1, NULL, 0, 2114, '2018-06-04 13:54:14', '2018-05-31', '2018-07-03 12:05:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 702.70000000, 140.54000000, 843.24000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 702.70000000, 140.54000000, 843.24000000, NULL, NULL, NULL),
(324, '1805-0014', '21DAE180518', 1, NULL, 0, 2114, '2018-06-04 14:08:01', '2018-05-31', '2018-07-03 12:05:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 215.22000000, 43.04000000, 258.26000000, 2, 5, NULL, 5, NULL, NULL, NULL, 2, 0, '2018-06-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 215.22000000, 43.04000000, 258.26000000, NULL, NULL, NULL),
(325, '1805-0015', '26detfi230518', 1, NULL, 0, 2114, '2018-06-04 16:36:33', '2018-05-31', '2018-07-03 12:05:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 480.00000000, 96.00000000, 576.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 480.00000000, 96.00000000, 576.00000000, NULL, NULL, NULL),
(326, '1805-0016', '20harmonyl180518', 1, NULL, 0, 2114, '2018-06-04 16:52:22', '2018-05-31', '2018-07-03 12:05:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 403.98000000, 80.80000000, 484.78000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 403.98000000, 80.80000000, 484.78000000, NULL, NULL, NULL),
(327, '1805-0017', '12lucehydro280520218', 1, NULL, 0, 2114, '2018-06-04 17:08:06', '2018-05-31', '2018-07-03 12:05:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 336.00000000, 67.20000000, 403.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 336.00000000, 67.20000000, 403.20000000, NULL, NULL, NULL),
(330, '1806-0001', 'sfacsedrjuin2018', 1, NULL, 0, 2114, '2018-06-05 11:58:47', '2018-06-05', '2018-07-24 15:04:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-06', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, NULL),
(331, '1805-0018', 'sfacsedrmai2018', 1, NULL, 0, 2114, '2018-06-05 13:52:31', '2018-05-31', '2018-07-03 12:05:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, NULL),
(332, '1805-0019', '14mpg300518', 1, NULL, 0, 2114, '2018-06-05 14:18:07', '2018-05-24', '2018-07-03 12:05:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-05-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(333, '1805-0020', '23magicfeet180518', 1, NULL, 0, 2114, '2018-06-05 14:24:43', '2018-05-31', '2018-07-03 12:05:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 284.89000000, 56.98000000, 341.87000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 284.89000000, 56.98000000, 341.87000000, NULL, NULL, NULL),
(334, '1805-0021', '28richard pontvert250518', 1, NULL, 0, 2114, '2018-06-05 15:05:18', '2018-05-31', '2018-07-03 12:05:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 221.38000000, 44.28000000, 265.66000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 221.38000000, 44.28000000, 265.66000000, NULL, NULL, NULL),
(335, '1805-0022', '11simga25052018', 1, NULL, 0, 2114, '2018-06-05 15:27:57', '2018-05-31', '2018-07-03 12:05:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(336, '1805-0023', '22soralep180518', 1, NULL, 0, 2114, '2018-06-05 15:45:20', '2018-05-31', '2018-07-03 12:05:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 284.89000000, 56.98000000, 341.87000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 284.89000000, 56.98000000, 341.87000000, NULL, NULL, NULL),
(337, '1805-0024', '12sibelco27042018', 1, NULL, 0, 2114, '2018-06-05 15:57:26', '2018-05-31', '2018-07-03 12:05:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 521.06000000, 104.21000000, 625.27000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 521.06000000, 104.21000000, 625.27000000, NULL, NULL, NULL),
(338, '1805-0025', 'valformes180518', 1, NULL, 0, 2114, '2018-06-06 10:36:44', '2018-05-31', '2018-07-03 12:05:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 895.05000000, 179.01000000, 1074.06000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 895.05000000, 179.01000000, 1074.06000000, NULL, NULL, NULL),
(339, '1805-0026', '13tsr290518', 1, NULL, 0, 2114, '2018-06-06 14:30:32', '2018-05-31', '2018-07-03 12:05:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 237.26000000, 47.45000000, 284.71000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 237.26000000, 47.45000000, 284.71000000, NULL, NULL, NULL),
(340, '1806-0002', '35pavailler060618', 1, NULL, 0, 2114, '2018-06-07 08:39:41', '2018-06-07', '2018-07-24 15:04:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 272.00000000, 54.40000000, 326.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-08', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 272.00000000, 54.40000000, 326.40000000, NULL, NULL, NULL),
(341, '1806-0003', '33celta010618', 1, NULL, 0, 2114, '2018-06-07 08:47:57', '2018-06-07', '2018-07-24 15:04:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 320.00000000, 64.00000000, 384.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-08', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 320.00000000, 64.00000000, 384.00000000, NULL, NULL, NULL),
(342, '1806-0004', '34cop050618', 1, NULL, 0, 2114, '2018-06-07 08:54:28', '2018-06-07', '2018-07-24 15:04:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 163.80000000, 32.76000000, 196.56000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-08', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 163.80000000, 32.76000000, 196.56000000, NULL, NULL, NULL),
(343, '1806-0005', '30carriescopic29/05/2018', 1, NULL, 0, 2114, '2018-06-07 09:19:55', '2018-06-07', '2018-07-24 15:04:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 132.50000000, 26.50000000, 159.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-08', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 132.50000000, 26.50000000, 159.00000000, NULL, NULL, NULL),
(344, '1806-0006', '25jars230518', 1, NULL, 0, 2114, '2018-06-07 09:49:19', '2018-06-07', '2018-07-24 15:04:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 250.00000000, 50.00000000, 300.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-08', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 250.00000000, 50.00000000, 300.00000000, NULL, NULL, NULL),
(345, '1806-0007', '110618cros1213', 1, NULL, 0, 2114, '2018-06-14 09:59:31', '2018-06-14', '2018-07-24 15:04:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 533.54000000, 106.71000000, 640.25000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-15', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 533.54000000, 106.71000000, 640.25000000, NULL, NULL, NULL),
(346, '1806-0008', '43dromepach110618', 1, NULL, 0, 2114, '2018-06-14 11:04:15', '2018-06-14', '2018-07-24 15:04:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-15', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(347, '1806-0009', '14hdn12062018', 1, NULL, 0, 2114, '2018-06-14 11:49:24', '2018-06-14', '2018-07-24 15:09:15', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-15', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(348, '1806-0010', '15hdn120618', 1, NULL, 0, 2114, '2018-06-14 13:35:11', '2018-06-14', '2018-07-24 15:09:15', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-15', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(349, '1806-0011', '44mecaindustrie110618', 1, NULL, 0, 2114, '2018-06-14 14:05:32', '2018-06-14', '2018-07-24 15:09:16', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-15', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(350, '1806-0012', '16truck120618', 1, NULL, 0, 2114, '2018-06-14 15:02:56', '2018-06-14', '2018-07-24 15:09:16', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 243.92000000, 48.78000000, 292.70000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-15', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 243.92000000, 48.78000000, 292.70000000, NULL, NULL, NULL),
(351, '1806-0013', '47tenabutty120618', 1, NULL, 0, 2114, '2018-06-14 15:21:28', '2018-06-14', '2018-07-24 15:09:16', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-15', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(352, '1806-0014', '1821guichardrodage13140618', 1, NULL, 0, 2114, '2018-06-15 15:26:31', '2018-06-15', '2018-07-24 15:09:16', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 249.76000000, 49.95000000, 299.71000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-16', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 249.76000000, 49.95000000, 299.71000000, NULL, NULL, NULL),
(353, '1806-0015', '06derouxplant150618', 1, NULL, 0, 2114, '2018-06-19 14:53:41', '2018-06-19', '2018-07-24 15:09:16', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-20', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(354, '1806-0016', '48mgp130618', 1, NULL, 0, 2114, '2018-06-20 09:59:47', '2018-06-20', '2018-07-24 15:09:16', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 300.86000000, 60.17000000, 361.03000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-21', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 300.86000000, 60.17000000, 361.03000000, NULL, NULL, NULL),
(355, '1806-0017', '19terre d horizon13062018', 1, NULL, 0, 2114, '2018-06-20 10:20:45', '2018-06-20', '2018-07-24 15:09:16', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-21', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(356, '1806-0018', '39tgcp070618', 1, NULL, 0, 2114, '2018-06-20 11:37:33', '2018-06-20', '2018-07-24 15:09:16', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 139.80000000, 27.96000000, 167.76000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-21', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 139.80000000, 27.96000000, 167.76000000, NULL, NULL, NULL),
(357, '1806-0019', '49vivier14062018', 1, NULL, 0, 2114, '2018-06-20 12:04:23', '2018-06-20', '2018-07-24 15:09:16', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-21', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(358, '1806-0020', '50vivier140618', 1, NULL, 0, 2114, '2018-06-20 14:31:23', '2018-06-20', '2018-07-24 15:09:16', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-21', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(359, '1806-0021', '46valformes12062018', 1, NULL, 0, 2114, '2018-06-20 14:44:52', '2018-06-20', '2018-08-08 08:51:33', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 386.68000000, 77.34000000, 464.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-21', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 386.68000000, 77.34000000, 464.02000000, NULL, NULL, NULL),
(360, '1806-0022', '17jtlaser180618', 1, NULL, 0, 2114, '2018-06-20 16:58:41', '2018-06-20', '2018-08-08 08:51:33', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 323.30000000, 64.66000000, 387.96000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-21', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 323.30000000, 64.66000000, 387.96000000, NULL, NULL, NULL),
(361, '1806-0023', '18pestrin15juin', 1, NULL, 0, 2114, '2018-06-28 11:57:08', '2018-06-28', '2018-08-08 08:51:33', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 9934.00000000, 1986.80000000, 11920.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 9934.00000000, 1986.80000000, 11920.80000000, NULL, NULL, NULL),
(362, '1806-0024', '22bontuout26062018', 1, NULL, 0, 2114, '2018-06-29 10:20:54', '2018-06-29', '2018-08-08 08:51:33', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 274.00000000, 54.80000000, 328.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 274.00000000, 54.80000000, 328.80000000, NULL, NULL, NULL),
(363, '1806-0025', '23bontout26/06/2018', 1, NULL, 0, 2114, '2018-06-29 10:28:18', '2018-06-29', '2018-08-08 08:51:33', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 96.00000000, 19.20000000, 115.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 96.00000000, 19.20000000, 115.20000000, NULL, NULL, NULL),
(364, '1806-0026', '25ctdloriol28/0618', 1, NULL, 0, 2114, '2018-06-29 11:13:16', '2018-06-29', '2018-08-08 08:51:33', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 229.50000000, 45.90000000, 275.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 229.50000000, 45.90000000, 275.40000000, NULL, NULL, NULL),
(365, '1806-0027', 'hdc2018', 1, NULL, 0, 2114, '2018-07-03 09:13:24', '2018-06-30', '2018-08-08 08:51:33', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1979.90000000, 395.98000000, 2375.88000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-07-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1979.90000000, 395.98000000, 2375.88000000, NULL, NULL, NULL),
(366, '1806-0028', '290618kerry08', 1, NULL, 0, 2114, '2018-07-03 09:41:00', '2018-06-29', '2018-08-08 08:51:33', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(367, '1806-0029', '27carriescoîc22/06/2018', 1, NULL, 0, 2114, '2018-07-03 09:51:19', '2018-06-29', '2018-08-08 08:51:33', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(368, '1806-0030', '20dauphinoise24062018', 1, NULL, 0, 2114, '2018-07-03 10:07:17', '2018-06-29', '2018-08-08 08:51:33', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 652.00000000, 130.40000000, 782.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 652.00000000, 130.40000000, 782.40000000, NULL, NULL, NULL),
(369, '1806-0031', '38fca07/06/2018', 1, NULL, 0, 2114, '2018-07-03 10:28:38', '2018-06-29', '2018-08-08 08:51:33', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(370, '1806-0032', '20harmonyl25062018', 1, NULL, 0, 2114, '2018-07-03 10:38:05', '2018-06-29', '2018-08-08 08:51:33', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 189.26000000, 37.85000000, 227.11000000, 2, 5, NULL, 5, NULL, NULL, NULL, 6, 0, '2018-06-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 189.26000000, 37.85000000, 227.11000000, NULL, NULL, NULL),
(372, '1806-0033', 'podisl75', 1, NULL, 0, 2114, '2018-07-03 10:59:48', '2018-06-29', '2018-08-08 08:51:33', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 3178.00000000, 635.60000000, 3813.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3178.00000000, 635.60000000, 3813.60000000, NULL, NULL, NULL),
(373, '1806-0034', '26mmd220618', 1, NULL, 0, 2114, '2018-07-03 14:28:36', '2018-06-29', '2018-08-08 08:51:33', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 180.50000000, 36.10000000, 216.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 180.50000000, 36.10000000, 216.60000000, NULL, NULL, NULL),
(374, '1806-0035', '21valsoleil250618', 1, NULL, 0, 2114, '2018-07-03 14:44:27', '2018-06-29', '2018-08-08 08:51:33', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-06-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(375, '1807-0001', '29sebm02072018', 1, NULL, 0, 2114, '2018-07-05 15:18:46', '2018-07-05', '2018-09-05 06:58:20', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 525.62000000, 105.12000000, 630.74000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-07-06', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 525.62000000, 105.12000000, 630.74000000, NULL, NULL, NULL),
(376, '1807-0002', '2322huileriechambarand210618', 1, NULL, 0, 2114, '2018-07-12 16:11:11', '2018-07-12', '2018-09-05 06:58:20', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 495.35000000, 99.07000000, 594.42000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-07-13', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 495.35000000, 99.07000000, 594.42000000, NULL, NULL, NULL),
(377, '1807-0003', '17coopnoix120718', 1, NULL, 0, 2114, '2018-07-16 11:34:55', '2018-07-16', '2018-09-05 06:58:20', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 189.99000000, 38.00000000, 227.99000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-07-17', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 189.99000000, 38.00000000, 227.99000000, NULL, NULL, NULL),
(378, '1807-0004', '16dromepack100718', 1, NULL, 0, 2114, '2018-07-16 11:44:36', '2018-07-16', '2018-09-05 06:58:20', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-07-17', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, NULL),
(379, '1807-0005', '15deves090718', 1, NULL, 0, 2114, '2018-07-16 11:58:42', '2018-07-16', '2018-09-05 06:58:20', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 415.02000000, 83.00000000, 498.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-07-17', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 415.02000000, 83.00000000, 498.02000000, NULL, NULL, NULL),
(380, '1807-0006', '120718fromageriealpine18', 1, NULL, 0, 2114, '2018-07-16 14:16:45', '2018-07-16', '2018-09-05 06:58:20', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-07-17', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(381, '1807-0007', '06072018entreprisefuma28', 1, NULL, 0, 2114, '2018-07-16 14:24:06', '2018-07-16', '2018-09-05 06:58:20', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-07-17', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(382, '1807-0008', '10072018hdn33', 1, NULL, 0, 2114, '2018-07-16 14:38:10', '2018-07-16', '2018-09-05 06:58:20', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-07-17', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(383, '1807-0009', '10072018HDN34', 1, NULL, 0, 2114, '2018-07-16 14:41:54', '2018-07-16', '2018-09-05 06:58:20', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-07-17', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(384, '1807-0010', '13072018MMD19', 1, NULL, 0, 2114, '2018-07-16 14:48:19', '2018-07-16', '2018-09-05 06:58:20', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-07-17', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(385, '1807-0011', '05072018', 1, NULL, 0, 2114, '2018-07-16 14:53:20', '2018-07-16', '2018-09-05 06:58:20', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 48.00000000, 9.60000000, 57.60000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-07-17', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 48.00000000, 9.60000000, 57.60000000, NULL, NULL, NULL),
(386, '1807-0042', '05062018MCR19', 1, NULL, 0, 2114, '2018-07-16 15:00:17', '2018-07-16', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 12, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-07-17', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(387, '1807-0012', '10072018PODIS31', 1, NULL, 0, 2114, '2018-07-16 15:06:28', '2018-07-16', '2018-09-05 06:58:20', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-07-17', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(388, '1807-0013', '13072018clergerie20', 1, NULL, 0, 2114, '2018-07-16 15:11:25', '2018-07-16', '2018-09-05 06:58:20', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-07-17', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(389, '1807-0014', '16072018paraboot36', 1, NULL, 0, 2114, '2018-07-16 15:36:14', '2018-07-16', '2018-09-05 06:58:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 469.84000000, 93.97000000, 563.81000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-07-17', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 469.84000000, 93.97000000, 563.81000000, NULL, NULL, NULL),
(390, '1807-0015', '26062018savy28', 1, NULL, 0, 2114, '2018-07-18 09:55:22', '2018-07-18', '2018-09-05 06:58:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 275.40000000, 55.08000000, 330.48000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-07-19', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 275.40000000, 55.08000000, 330.48000000, NULL, NULL, NULL),
(391, '1807-0016', '17072018SERKOL23', 1, NULL, 0, 2114, '2018-07-18 09:59:16', '2018-07-18', '2018-09-05 06:58:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-07-19', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(392, '1807-0017', '17072018delpack22', 1, NULL, 0, 2114, '2018-07-18 10:02:20', '2018-07-18', '2018-09-05 06:58:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-07-19', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL);
INSERT INTO `llx_facture_fourn` (`rowid`, `ref`, `ref_supplier`, `entity`, `ref_ext`, `type`, `fk_soc`, `datec`, `datef`, `tms`, `libelle`, `paye`, `amount`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_tva`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `fk_incoterms`, `location_incoterms`, `model_pdf`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `date_pointoftax`, `date_valid`) VALUES
(393, '1807-0018', '17072018ladauphinoise38', 1, NULL, 0, 2114, '2018-07-18 10:04:27', '2018-07-18', '2018-09-05 06:58:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-07-19', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(394, '1807-0019', '17072018beillard37', 1, NULL, 0, 2114, '2018-07-18 10:07:26', '2018-07-18', '2018-09-05 06:58:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-07-19', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(395, '1807-0020', '18072018Coopenoix24', 1, NULL, 0, 2114, '2018-07-19 09:33:18', '2018-07-19', '2018-09-05 06:58:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 189.99000000, 38.00000000, 227.99000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-07-20', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 189.99000000, 38.00000000, 227.99000000, NULL, NULL, NULL),
(396, '1807-0021', '18072018unidecor25', 1, NULL, 0, 2114, '2018-07-19 09:37:08', '2018-07-19', '2018-09-05 06:58:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 303.35000000, 60.67000000, 364.02000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-07-20', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(397, '1807-0022', '18072018Costecharayre40', 1, NULL, 0, 2114, '2018-07-19 09:40:01', '2018-07-19', '2018-09-05 06:58:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-07-20', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(398, '1807-0023', '18072018BRD39', 1, NULL, 0, 2114, '2018-07-19 09:41:28', '2018-07-19', '2018-09-05 06:58:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-07-20', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(399, '1807-0024', '41capag19072018', 1, NULL, 0, 2114, '2018-07-20 11:17:55', '2018-07-20', '2018-09-05 06:58:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-07-21', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(400, '1807-0025', '26comap19072018', 1, NULL, 0, 2114, '2018-07-20 11:19:20', '2018-07-20', '2018-09-05 06:58:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 183.51000000, 36.70000000, 220.21000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-07-21', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 183.51000000, 36.70000000, 220.21000000, NULL, NULL, NULL),
(401, '1807-0026', '43ebgcomposite19072018', 1, NULL, 0, 2114, '2018-07-20 11:20:42', '2018-07-20', '2018-09-05 06:58:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-07-21', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(402, '1807-0027', '42rochegude19072018', 1, NULL, 0, 2114, '2018-07-20 11:22:07', '2018-07-20', '2018-09-05 06:58:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-07-21', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(403, '1807-0028', '46ifth23072018', 1, NULL, 0, 2114, '2018-07-27 09:47:47', '2018-07-27', '2018-09-05 06:58:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 534.00000000, 106.80000000, 640.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-07-28', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 534.00000000, 106.80000000, 640.80000000, NULL, NULL, NULL),
(404, '1807-0029', '38dauphinoise180718', 1, NULL, 0, 2114, '2018-07-27 10:04:10', '2018-07-27', '2018-09-05 06:58:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-07-28', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(405, '1807-0030', '45epoxy20072018', 1, NULL, 0, 2114, '2018-07-27 10:10:24', '2018-07-27', '2018-09-05 06:58:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-07-28', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(406, '1807-0031', '30huileriechambarand2307158', 1, NULL, 0, 2114, '2018-07-27 11:19:38', '2018-07-27', '2018-09-05 06:58:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-07-28', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(407, '1807-0032', '30deval13072018', 1, NULL, 0, 2114, '2018-07-30 10:59:12', '2018-07-30', '2018-09-05 06:58:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 132.50000000, 26.50000000, 159.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-07-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 132.50000000, 26.50000000, 159.00000000, NULL, NULL, NULL),
(408, '1807-0033', '48debionne23072048', 1, NULL, 0, 2114, '2018-07-30 11:12:18', '2018-07-30', '2018-09-05 06:58:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 75.74000000, 15.15000000, 90.89000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-07-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 75.74000000, 15.15000000, 90.89000000, NULL, NULL, NULL),
(409, '1807-0034', '33harmonyl27072018', 1, NULL, 0, 2114, '2018-07-30 11:34:48', '2018-07-30', '2018-09-05 06:58:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 469.59000000, 93.92000000, 563.51000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-07-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 469.59000000, 93.92000000, 563.51000000, NULL, NULL, NULL),
(410, '1807-0035', '32michal26072018', 1, NULL, 0, 2114, '2018-07-30 12:02:54', '2018-07-30', '2018-09-05 06:58:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 387.21000000, 77.44000000, 464.65000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-07-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 387.21000000, 77.44000000, 464.65000000, NULL, NULL, NULL),
(411, '1807-0036', 'rcr placeo', 1, NULL, 0, 2114, '2018-07-30 14:34:31', '2018-07-30', '2018-09-05 06:58:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1140.24000000, 228.05000000, 1368.29000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-07-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1140.24000000, 228.05000000, 1368.29000000, NULL, NULL, NULL),
(412, '1807-0037', '44sira20072018', 1, NULL, 0, 2114, '2018-07-30 15:36:24', '2018-07-30', '2018-09-05 06:58:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-07-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(413, '1807-0038', '49vallet27072018', 1, NULL, 0, 2114, '2018-07-30 16:01:18', '2018-07-30', '2018-09-05 06:58:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-07-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(414, '1807-0039', '37ceramcad31072018', 1, NULL, 0, 2114, '2018-08-06 10:33:47', '2018-07-31', '2018-09-05 06:58:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.00000000, 46.00000000, 276.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.00000000, 46.00000000, 276.00000000, NULL, NULL, NULL),
(415, '1807-0040', '50molteni300718', 1, NULL, 0, 2114, '2018-08-06 11:00:14', '2018-07-31', '2018-09-05 06:58:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(416, '1808-0001', '42sebm16082018', 1, NULL, 0, 2114, '2018-08-17 10:00:12', '2018-08-17', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-08-18', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(417, '1808-0002', '23082018dauphinoise37', 1, NULL, 0, 2114, '2018-08-24 11:10:06', '2018-08-24', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-08-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(418, '1808-0003', '08082018bagalu8', 1, NULL, 0, 2114, '2018-08-24 11:18:09', '2018-08-24', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-08-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(419, '1808-0004', '04082018ciram1', 1, NULL, 0, 2114, '2018-08-24 11:19:57', '2018-08-24', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-08-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(420, '1808-0005', '07082018deves38', 1, NULL, 0, 2114, '2018-08-24 11:22:16', '2018-08-24', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 540.00000000, 108.00000000, 648.00000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-08-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 540.00000000, 108.00000000, 648.00000000, NULL, NULL, NULL),
(421, '1808-0006', '06082018delphinoix4', 1, NULL, 0, 2114, '2018-08-24 11:24:24', '2018-08-24', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-08-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(422, '1808-0007', '22082018coopnoix44', 1, NULL, 0, 2114, '2018-08-24 11:25:59', '2018-08-24', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1000.00000000, 200.00000000, 1200.00000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-08-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1000.00000000, 200.00000000, 1200.00000000, NULL, NULL, NULL),
(423, '1808-0008', '03082018debionne2', 1, NULL, 0, 2114, '2018-08-24 11:27:53', '2018-08-24', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-08-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(424, '1808-0009', '13082018exto11', 1, NULL, 0, 2114, '2018-08-24 11:29:27', '2018-08-24', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 370.00000000, 74.00000000, 444.00000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-08-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 370.00000000, 74.00000000, 444.00000000, NULL, NULL, NULL),
(425, '1808-0010', '06082018innodec5', 1, NULL, 0, 2114, '2018-08-24 11:31:10', '2018-08-24', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-08-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(426, '1808-0011', '10082018sebm10', 1, NULL, 0, 2114, '2018-08-24 11:34:01', '2018-08-24', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-08-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(427, '1808-0012', '08082018sms39', 1, NULL, 0, 2114, '2018-08-24 11:36:12', '2018-08-24', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 533.54000000, 106.71000000, 640.25000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-08-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 533.54000000, 106.71000000, 640.25000000, NULL, NULL, NULL),
(428, '1808-0013', '07082018telenco6', 1, NULL, 0, 2114, '2018-08-24 11:37:51', '2018-08-24', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-08-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(429, '1808-0014', '23082018dauphinoise16', 1, NULL, 0, 2114, '2018-08-24 11:39:46', '2018-08-24', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-08-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(430, '1808-0015', '23082018dauphinoise15', 1, NULL, 0, 2114, '2018-08-24 11:41:04', '2018-08-24', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 384.20000000, 76.84000000, 461.04000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-08-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 384.20000000, 76.84000000, 461.04000000, NULL, NULL, NULL),
(431, '1808-0016', '09082018dumg41', 1, NULL, 0, 2114, '2018-08-24 11:42:41', '2018-08-24', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 334.29000000, 66.86000000, 401.15000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-08-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 334.29000000, 66.86000000, 401.15000000, NULL, NULL, NULL),
(432, '1808-0017', '08082018girauddelay7', 1, NULL, 0, 2114, '2018-08-24 11:44:57', '2018-08-24', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 562.28000000, 112.46000000, 674.74000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-08-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 562.28000000, 112.46000000, 674.74000000, NULL, NULL, NULL),
(433, '1808-0018', '03082018michalprefa3', 1, NULL, 0, 2114, '2018-08-24 11:51:29', '2018-08-24', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 174.66000000, 34.93000000, 209.59000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-08-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 174.66000000, 34.93000000, 209.59000000, NULL, NULL, NULL),
(434, '1808-0019', '31072018kerry36', 1, NULL, 0, 2114, '2018-08-24 11:54:28', '2018-08-24', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 163.80000000, 32.76000000, 196.56000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-08-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 163.80000000, 32.76000000, 196.56000000, NULL, NULL, NULL),
(435, '1808-0020', '08082018epoxy9', 1, NULL, 0, 2114, '2018-08-24 11:57:06', '2018-08-24', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 211.16000000, 42.23000000, 253.39000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-08-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 211.16000000, 42.23000000, 253.39000000, NULL, NULL, NULL),
(436, '1808-0021', '29032018dauphinoise41', 1, NULL, 0, 2114, '2018-08-24 12:00:27', '2018-08-24', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 698.64000000, 139.73000000, 838.37000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-08-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 698.64000000, 139.73000000, 838.37000000, NULL, NULL, NULL),
(437, '1808-0022', '01082018dumg34', 1, NULL, 0, 2114, '2018-08-24 12:03:27', '2018-08-24', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 152.85000000, 30.57000000, 183.42000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-08-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 152.85000000, 30.57000000, 183.42000000, NULL, NULL, NULL),
(438, '1808-0023', '01082018cdental33', 1, NULL, 0, 2114, '2018-08-24 12:08:00', '2018-08-24', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 132.50000000, 26.50000000, 159.00000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-08-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 132.50000000, 26.50000000, 159.00000000, NULL, NULL, NULL),
(439, '1808-0024', '22082018harmonyl49', 1, NULL, 0, 2114, '2018-08-24 14:09:53', '2018-08-24', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 180.50000000, 36.10000000, 216.60000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-08-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 180.50000000, 36.10000000, 216.60000000, NULL, NULL, NULL),
(440, '1808-0025', '03082018capag35', 1, NULL, 0, 2114, '2018-08-24 14:14:33', '2018-08-24', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 175.39000000, 35.08000000, 210.47000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-08-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 175.39000000, 35.08000000, 210.47000000, NULL, NULL, NULL),
(441, '1808-0026', '24082018MCR17', 1, NULL, 0, 2114, '2018-08-27 11:05:01', '2018-08-27', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1010.00000000, 202.00000000, 1212.00000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-08-28', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1010.00000000, 202.00000000, 1212.00000000, NULL, NULL, NULL),
(442, '1808-0027', 'mensualité', 1, NULL, 0, 2114, '2018-08-28 11:44:47', '2018-08-28', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-08-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, NULL),
(444, '1807-0041', 'sfacs072018', 1, NULL, 0, 2114, '2018-08-29 09:26:15', '2018-07-05', '2018-09-05 06:59:25', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 750.00000000, 150.00000000, 900.00000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-07-06', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, NULL),
(445, '1808-0028', '28082018SMS40', 1, NULL, 0, 2114, '2018-08-29 09:58:50', '2018-08-29', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 242.50000000, 48.50000000, 291.00000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-08-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 242.50000000, 48.50000000, 291.00000000, NULL, NULL, NULL),
(446, '1808-0029', '27082018BTC18', 1, NULL, 0, 2114, '2018-08-29 10:32:57', '2018-08-29', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 353.00000000, 70.60000000, 423.60000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-08-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 353.00000000, 70.60000000, 423.60000000, NULL, NULL, NULL),
(447, '1808-0030', '28082018HDN20', 1, NULL, 0, 2114, '2018-08-29 10:53:22', '2018-08-29', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 260.00000000, 52.00000000, 312.00000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-08-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 260.00000000, 52.00000000, 312.00000000, NULL, NULL, NULL),
(448, '1808-0031', '28082018menuiseriefroment38', 1, NULL, 0, 2114, '2018-08-29 10:58:14', '2018-08-29', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 200.85000000, 40.17000000, 241.02000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-08-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 200.85000000, 40.17000000, 241.02000000, NULL, NULL, NULL),
(449, '1808-0032', '28082018PSI19', 1, NULL, 0, 2114, '2018-08-29 11:13:44', '2018-08-29', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-08-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(450, '1808-0033', '28082018sms39', 1, NULL, 0, 2114, '2018-08-29 14:34:44', '2018-08-29', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 66.00000000, 13.20000000, 79.20000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-08-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 66.00000000, 13.20000000, 79.20000000, NULL, NULL, NULL),
(451, '1808-0034', '29082018delorme41', 1, NULL, 0, 2114, '2018-08-29 14:40:01', '2018-08-29', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-08-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(452, '1808-0035', '29082018dauphinoise21', 1, NULL, 0, 2114, '2018-08-31 11:30:22', '2018-08-31', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-09-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(453, '1808-0036', '29082018dauphinoise23', 1, NULL, 0, 2114, '2018-08-31 11:31:43', '2018-08-31', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-09-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(454, '1808-0037', '29082018dauphinoise22', 1, NULL, 0, 2114, '2018-08-31 11:33:04', '2018-08-31', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-09-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(456, '1809-0001', '31082018transalp2425', 1, NULL, 0, 2114, '2018-09-03 15:28:15', '2018-09-03', '2018-11-06 07:49:31', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 533.54000000, 106.71000000, 640.25000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-09-04', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 533.54000000, 106.71000000, 640.25000000, NULL, NULL, NULL),
(457, '1808-0038', 'cmpacompte', 1, NULL, 0, 2114, '2018-09-04 09:35:36', '2018-08-31', '2018-10-05 16:18:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 7000.00000000, 1400.00000000, 8400.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-09-01', '', '1er acompte 50%', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 7000.00000000, 1400.00000000, 8400.00000000, NULL, NULL, NULL),
(458, '1809-0002', '1292018m2213', 1, NULL, 0, 2114, '2018-09-13 09:10:33', '2018-09-13', '2018-11-06 07:49:31', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 139.80000000, 27.96000000, 167.76000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-09-14', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 139.80000000, 27.96000000, 167.76000000, NULL, NULL, NULL),
(459, '1809-0003', '120918dauphinoise18', 1, NULL, 0, 2114, '2018-09-13 09:17:56', '2018-09-13', '2018-11-06 07:49:31', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 3951.00000000, 790.20000000, 4741.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-09-14', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3951.00000000, 790.20000000, 4741.20000000, NULL, NULL, NULL),
(460, '1809-0004', '26cop31082018', 1, NULL, 0, 2114, '2018-09-14 14:48:28', '2018-09-14', '2018-11-06 07:49:31', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, 0, '2018-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(461, '1809-0005', '42ardeche enrobes17092018', 1, NULL, 0, 2114, '2018-09-24 15:51:34', '2018-09-24', '2018-11-06 07:49:31', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-09-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(462, '1809-0006', '34bontout14092018', 1, NULL, 0, 2114, '2018-09-24 15:56:15', '2018-09-24', '2018-11-06 07:49:31', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-09-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(463, '1809-0007', '10baxter10092018', 1, NULL, 0, 2114, '2018-09-24 15:58:06', '2018-09-24', '2018-11-06 07:49:31', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 337.78000000, 67.56000000, 405.34000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-09-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 337.78000000, 67.56000000, 405.34000000, NULL, NULL, NULL),
(464, '1809-0008', '11coval100918', 1, NULL, 0, 2114, '2018-09-24 16:01:35', '2018-09-24', '2018-11-06 07:49:31', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 340.54000000, 68.11000000, 408.65000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-09-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 340.54000000, 68.11000000, 408.65000000, NULL, NULL, NULL),
(465, '1809-0009', '17dauphl110rs210918', 1, NULL, 0, 2114, '2018-09-24 16:05:05', '2018-09-24', '2018-11-06 07:49:31', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 482.63000000, 96.53000000, 579.16000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-09-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 482.63000000, 96.53000000, 579.16000000, NULL, NULL, NULL),
(466, '1809-0010', '33dauph120918', 1, NULL, 0, 2114, '2018-09-24 16:08:37', '2018-09-24', '2018-11-06 07:49:31', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 912.98000000, 182.60000000, 1095.58000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-09-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 912.98000000, 182.60000000, 1095.58000000, NULL, NULL, NULL),
(467, '1809-0011', '08dumg07092018', 1, NULL, 0, 2114, '2018-09-24 16:11:30', '2018-09-24', '2018-11-06 07:49:31', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-09-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(468, '1809-0012', '06desmet06092018', 1, NULL, 0, 2114, '2018-09-24 16:21:59', '2018-09-24', '2018-11-06 07:53:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 241.87000000, 48.37000000, 290.24000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-09-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 241.87000000, 48.37000000, 290.24000000, NULL, NULL, NULL),
(469, '1809-0013', '41dumg09082018', 1, NULL, 0, 2114, '2018-09-24 16:34:34', '2018-09-24', '2018-11-06 07:53:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 334.29000000, 66.86000000, 401.15000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-09-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 334.29000000, 66.86000000, 401.15000000, NULL, NULL, NULL),
(470, '1809-0014', '14ebg140918', 1, NULL, 0, 2114, '2018-09-25 09:22:17', '2018-09-25', '2018-11-06 07:53:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-09-26', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(471, '1809-0015', '12exsto12092018', 1, NULL, 0, 2114, '2018-09-25 09:26:03', '2018-09-25', '2018-11-06 07:53:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-09-26', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(472, '1809-0016', '35hdn140918', 1, NULL, 0, 2114, '2018-09-25 09:40:08', '2018-09-25', '2018-11-06 07:53:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 133.96000000, 26.79000000, 160.75000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-09-26', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 133.96000000, 26.79000000, 160.75000000, NULL, NULL, NULL),
(473, '1809-0017', '16hdn17092018', 1, NULL, 0, 2114, '2018-09-25 09:45:57', '2018-09-25', '2018-11-06 07:53:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 534.00000000, 106.80000000, 640.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-09-26', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 534.00000000, 106.80000000, 640.80000000, NULL, NULL, NULL),
(474, '1809-0018', '43mpg190918', 1, NULL, 0, 2114, '2018-09-25 09:55:08', '2018-09-25', '2018-11-06 07:53:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 250.00000000, 50.00000000, 300.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-09-26', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 250.00000000, 50.00000000, 300.00000000, NULL, NULL, NULL),
(475, '1809-0019', '31modelageconcept110920218', 1, NULL, 0, 2114, '2018-09-25 10:00:35', '2018-09-25', '2018-11-06 07:53:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 122.28000000, 24.46000000, 146.74000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, 0, '2018-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 122.28000000, 24.46000000, 146.74000000, NULL, NULL, NULL),
(476, '1809-0020', '30modelageconcept07092018', 1, NULL, 0, 2114, '2018-09-25 10:02:09', '2018-09-25', '2018-11-06 07:53:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 98.28000000, 19.66000000, 117.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-09-26', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 98.28000000, 19.66000000, 117.94000000, NULL, NULL, NULL),
(477, '1809-0021', '07moulinagedauberives060918', 1, NULL, 0, 2114, '2018-09-25 10:28:12', '2018-09-25', '2018-11-06 07:53:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 250.00000000, 50.00000000, 300.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, 0, '2018-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 250.00000000, 50.00000000, 300.00000000, NULL, NULL, NULL),
(478, '1809-0022', '18prisme meca 210918', 1, NULL, 0, 2114, '2018-09-26 14:43:59', '2018-09-26', '2018-11-06 07:53:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, 0, '2018-09-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(479, '1809-0023', '29procyl06092018', 1, NULL, 0, 2114, '2018-09-26 15:00:21', '2018-09-26', '2018-11-06 07:53:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-09-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(480, '1809-0024', '27dpi03092018', 1, NULL, 0, 2114, '2018-09-26 15:48:18', '2018-09-26', '2018-11-06 07:53:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-09-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(481, '1809-0025', '15reyfreres26092018', 1, NULL, 0, 2114, '2018-09-26 15:53:34', '2018-09-26', '2018-11-06 07:53:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-09-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(483, '1809-0026', '04sfpa050918', 1, NULL, 0, 2114, '2018-09-26 16:17:59', '2018-09-26', '2018-11-06 07:53:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-09-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(484, '1809-0027', '01sibelco04092018', 1, NULL, 0, 2114, '2018-09-27 09:21:41', '2018-09-27', '2018-11-06 07:53:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-09-28', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(485, '1809-0028', '02sibelco04092018', 1, NULL, 0, 2114, '2018-09-27 09:23:59', '2018-09-27', '2018-11-06 07:53:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, 0, NULL, NULL, 15, 0, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(486, '1809-0029', '03sibelco040918', 1, NULL, 0, 2114, '2018-09-27 09:28:15', '2018-09-27', '2018-11-06 07:53:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 377.54000000, 75.51000000, 453.05000000, 2, 5, NULL, 5, 0, NULL, NULL, 15, 0, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 377.54000000, 75.51000000, 453.05000000, NULL, NULL, NULL),
(487, '1809-0030', '28sebmgriny030918', 1, NULL, 0, 2114, '2018-09-27 09:33:52', '2018-09-27', '2018-11-06 07:53:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, 0, NULL, NULL, 15, 0, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(488, '1809-0031', '45sondeo240818', 1, NULL, 0, 2114, '2018-09-27 10:15:45', '2018-09-27', '2018-11-06 07:53:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, 0, NULL, NULL, 15, 0, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(489, '1809-0032', '44tsr190918', 1, NULL, 0, 2114, '2018-09-27 10:20:00', '2018-09-27', '2018-11-06 07:53:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 2406.46000000, 481.29000000, 2887.75000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-09-28', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2406.46000000, 481.29000000, 2887.75000000, NULL, NULL, NULL),
(490, '1809-0033', '5tiron060918', 1, NULL, 0, 2114, '2018-09-27 10:24:05', '2018-09-27', '2018-11-06 07:55:26', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-09-28', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(491, '1809-0034', '36epidaure20082018', 1, NULL, 0, 2114, '2018-10-02 10:24:55', '2018-09-28', '2018-11-06 07:55:26', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 255.36000000, 51.07000000, 306.43000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-09-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 255.36000000, 51.07000000, 306.43000000, NULL, NULL, NULL),
(492, '1809-0038', '1920sorhofroid26092018', 1, NULL, 0, 2114, '2018-10-02 10:34:52', '2018-09-28', '2018-11-06 07:55:26', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 606.70000000, 121.34000000, 728.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-09-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 606.70000000, 121.34000000, 728.04000000, NULL, NULL, NULL),
(495, '1809-0035', '46chaussy29092018', 1, NULL, 0, 2114, '2018-10-02 10:40:24', '2018-09-28', '2018-11-06 07:55:26', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-09-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(496, '1809-0036', 'cmpacompte2', 1, NULL, 0, 2114, '2018-10-02 10:42:54', '2018-09-28', '2018-10-17 07:04:58', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 6000.00000000, 1200.00000000, 7200.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-09-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 6000.00000000, 1200.00000000, 7200.00000000, NULL, NULL, NULL),
(497, '1809-0037', '21espacs260918', 1, NULL, 0, 2114, '2018-10-02 11:06:29', '2018-09-28', '2018-11-06 07:55:26', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 302.00000000, 60.40000000, 362.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-09-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 302.00000000, 60.40000000, 362.40000000, NULL, NULL, NULL),
(498, '1809-0039', 'mensualitéseptembre', 1, NULL, 0, 2114, '2018-10-03 10:25:15', '2018-09-28', '2018-11-06 07:56:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-09-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, NULL),
(499, '1810-0001', '311018MichalPrefa36', 1, NULL, 0, 2114, '2018-10-31 14:49:55', '2018-10-31', '2018-12-05 08:04:25', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(500, '1810-0002', '081018DAIBTP29', 1, NULL, 0, 2114, '2018-10-31 14:52:49', '2018-10-31', '2018-12-05 08:04:25', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(501, '1810-0003', '291018FCA', 1, NULL, 0, 2114, '2018-10-31 14:54:18', '2018-10-31', '2018-12-05 08:04:25', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(502, '1810-0004', '231018REYFRERES11', 1, NULL, 0, 2114, '2018-10-31 14:55:29', '2018-10-31', '2018-12-05 08:04:25', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1050.00000000, 210.00000000, 1260.00000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1050.00000000, 210.00000000, 1260.00000000, NULL, NULL, NULL),
(503, '1810-0005', '181018DELPHINOIX6', 1, NULL, 0, 2114, '2018-10-31 14:57:24', '2018-10-31', '2018-12-05 08:04:25', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 379.80000000, 75.96000000, 455.76000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 379.80000000, 75.96000000, 455.76000000, NULL, NULL, NULL),
(504, '1810-0006', '171018SMS5', 1, NULL, 0, 2114, '2018-10-31 15:01:58', '2018-10-31', '2018-12-05 08:04:25', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 180.50000000, 36.10000000, 216.60000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 180.50000000, 36.10000000, 216.60000000, NULL, NULL, NULL),
(505, '1810-0007', '251018miellerie12', 1, NULL, 0, 2114, '2018-10-31 15:04:38', '2018-10-31', '2018-12-05 08:04:25', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 128.12000000, 25.62000000, 153.74000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 128.12000000, 25.62000000, 153.74000000, NULL, NULL, NULL),
(506, '1810-0008', '261018CELTA34', 1, NULL, 0, 2114, '2018-10-31 15:07:47', '2018-10-31', '2018-12-05 08:04:25', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(507, '1810-0009', '201018BONPERTUIS45', 1, NULL, 0, 2114, '2018-10-31 15:09:21', '2018-10-31', '2018-12-05 08:04:25', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 385.17000000, 77.03000000, 462.20000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 385.17000000, 77.03000000, 462.20000000, NULL, NULL, NULL),
(508, '1810-0010', '1910218REYFRERES8', 1, NULL, 0, 2114, '2018-10-31 15:12:29', '2018-10-31', '2018-12-05 08:04:25', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 241.00000000, 48.20000000, 289.20000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 241.00000000, 48.20000000, 289.20000000, NULL, NULL, NULL),
(509, '1810-0011', '191018figuet10', 1, NULL, 0, 2114, '2018-10-31 15:16:00', '2018-10-31', '2018-12-05 08:06:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(510, '1810-0012', '191018socam9', 1, NULL, 0, 2114, '2018-10-31 15:17:11', '2018-10-31', '2018-12-05 08:06:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(511, '1810-0013', '181018sibelco42', 1, NULL, 0, 2114, '2018-10-31 15:18:29', '2018-10-31', '2018-11-28 08:33:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 5619.00000000, 1123.80000000, 6742.80000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 5619.00000000, 1123.80000000, 6742.80000000, NULL, NULL, NULL),
(512, '1810-0014', '181018sibelco43', 1, NULL, 0, 2114, '2018-10-31 15:20:06', '2018-10-31', '2018-12-05 08:06:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(513, '1810-0015', '191018ivars44', 1, NULL, 0, 2114, '2018-10-31 15:21:54', '2018-10-31', '2018-12-05 08:06:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(514, '1810-0016', '151018eiffage32', 1, NULL, 0, 2114, '2018-10-31 15:22:44', '2018-10-31', '2018-12-05 08:06:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 660.00000000, 132.00000000, 792.00000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 660.00000000, 132.00000000, 792.00000000, NULL, NULL, NULL),
(515, '1810-0017', '151018sms4', 1, NULL, 0, 2114, '2018-10-31 15:25:47', '2018-10-31', '2018-12-05 08:06:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 72.00000000, 14.40000000, 86.40000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 72.00000000, 14.40000000, 86.40000000, NULL, NULL, NULL),
(516, '1810-0018', '151018SMS3', 1, NULL, 0, 2114, '2018-10-31 15:29:11', '2018-10-31', '2018-12-05 08:06:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 320.00000000, 64.00000000, 384.00000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 320.00000000, 64.00000000, 384.00000000, NULL, NULL, NULL),
(517, '1810-0019', '121018FranceCaoutchouc31', 1, NULL, 0, 2114, '2018-10-31 15:30:45', '2018-10-31', '2018-12-05 08:06:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(518, '1810-0020', '121018mpg2', 1, NULL, 0, 2114, '2018-10-31 15:32:54', '2018-10-31', '2018-12-05 08:06:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 186.34000000, 37.27000000, 223.61000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 186.34000000, 37.27000000, 223.61000000, NULL, NULL, NULL);
INSERT INTO `llx_facture_fourn` (`rowid`, `ref`, `ref_supplier`, `entity`, `ref_ext`, `type`, `fk_soc`, `datec`, `datef`, `tms`, `libelle`, `paye`, `amount`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_tva`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `fk_incoterms`, `location_incoterms`, `model_pdf`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `date_pointoftax`, `date_valid`) VALUES
(519, '1810-0021', '121018TSR1', 1, NULL, 0, 2114, '2018-10-31 15:34:56', '2018-10-31', '2018-12-05 08:06:31', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 427.80000000, 85.56000000, 513.36000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 427.80000000, 85.56000000, 513.36000000, NULL, NULL, NULL),
(520, '1810-0022', '280918SMCI36', 1, NULL, 0, 2114, '2018-10-31 15:37:16', '2018-10-31', '2018-12-05 08:06:31', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 132.50000000, 26.50000000, 159.00000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 132.50000000, 26.50000000, 159.00000000, NULL, NULL, NULL),
(521, '1810-0023', '011018MPG23', 1, NULL, 0, 2114, '2018-10-31 15:39:20', '2018-10-31', '2018-12-05 08:06:31', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(522, '1810-0024', '011018KERRY22', 1, NULL, 0, 2114, '2018-10-31 15:40:40', '2018-10-31', '2018-12-05 08:06:31', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 370.00000000, 74.00000000, 444.00000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 370.00000000, 74.00000000, 444.00000000, NULL, NULL, NULL),
(523, '1810-0025', '051018EcoSaule\'ution26', 1, NULL, 0, 2114, '2018-10-31 15:42:33', '2018-10-31', '2018-12-05 08:06:31', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(524, '1810-0026', '081018DAIBTP30', 1, NULL, 0, 2114, '2018-10-31 15:43:42', '2018-10-31', '2018-12-05 08:06:31', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(525, '1810-0027', '051018Cofatee28', 1, NULL, 0, 2114, '2018-10-31 15:46:08', '2018-10-31', '2018-12-05 08:06:31', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(526, '1810-0028', '051018CIMS27', 1, NULL, 0, 2114, '2018-10-31 15:47:00', '2018-10-31', '2018-12-05 08:06:31', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(527, '1810-0029', '081018COP40', 1, NULL, 0, 2114, '2018-10-31 15:48:26', '2018-10-31', '2018-12-05 08:06:31', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 268.00000000, 53.60000000, 321.60000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 268.00000000, 53.60000000, 321.60000000, NULL, NULL, NULL),
(528, '1810-0030', '081018COP39', 1, NULL, 0, 2114, '2018-10-31 15:51:25', '2018-10-31', '2018-12-05 08:06:31', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(529, '1810-0031', '101018BARBIER50', 1, NULL, 0, 2114, '2018-10-31 15:52:35', '2018-10-31', '2018-12-05 08:02:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(530, '1810-0032', '031018SMCI25', 1, NULL, 0, 2114, '2018-10-31 15:54:11', '2018-10-31', '2018-12-05 08:02:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 142.72000000, 28.54000000, 171.26000000, 2, 12, NULL, 12, NULL, NULL, NULL, 15, 0, '2018-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 142.72000000, 28.54000000, 171.26000000, NULL, NULL, NULL),
(531, '1810-0033', 'sfacs061118', 1, NULL, 0, 2114, '2018-11-06 11:22:15', '2018-10-31', '2018-12-05 08:02:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, 0, NULL, NULL, 15, 0, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, NULL),
(532, '1811-0001', '46cros06112018', 1, NULL, 0, 2114, '2018-11-13 10:01:11', '2018-11-13', '2018-12-21 10:00:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 242.50000000, 48.50000000, 291.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-11-14', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 242.50000000, 48.50000000, 291.00000000, NULL, NULL, NULL),
(533, '1811-0002', '47cros06112018', 1, NULL, 0, 2114, '2018-11-13 10:02:51', '2018-11-13', '2018-12-21 10:00:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 72.00000000, 14.40000000, 86.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-11-14', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 72.00000000, 14.40000000, 86.40000000, NULL, NULL, NULL),
(534, '1811-0003', '42coopenoix09112018', 1, NULL, 0, 2114, '2018-11-13 10:04:36', '2018-11-13', '2018-12-21 10:00:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 399.35000000, 79.87000000, 479.22000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-11-14', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 399.35000000, 79.87000000, 479.22000000, NULL, NULL, NULL),
(535, '1811-0004', '14insoft08112018', 1, NULL, 0, 2114, '2018-11-13 10:09:06', '2018-11-13', '2018-12-21 10:00:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 176.12000000, 35.22000000, 211.34000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-11-14', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 176.12000000, 35.22000000, 211.34000000, NULL, NULL, NULL),
(536, '1811-0005', 'sfacs13112018', 1, NULL, 0, 2114, '2018-11-13 10:10:04', '2018-11-13', '2018-12-21 10:00:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-11-14', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, NULL),
(537, '1811-0006', '23mpg011018', 1, NULL, 0, 2114, '2018-11-13 10:14:41', '2018-11-13', '2018-12-21 10:00:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 244.56000000, 48.91000000, 293.47000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-11-14', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 244.56000000, 48.91000000, 293.47000000, NULL, NULL, NULL),
(538, '1811-0007', '40prismemeca10112018', 1, NULL, 0, 2114, '2018-11-13 10:23:05', '2018-11-13', '2018-12-21 10:00:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 346.91000000, 69.38000000, 416.29000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-11-14', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 346.91000000, 69.38000000, 416.29000000, NULL, NULL, NULL),
(539, '1811-0008', '15sarrazin081118', 1, NULL, 0, 2114, '2018-11-13 10:54:52', '2018-11-13', '2018-12-21 10:00:18', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 399.12000000, 79.82000000, 478.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-11-14', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 399.12000000, 79.82000000, 478.94000000, NULL, NULL, NULL),
(540, '1811-0009', '01tsr12/10/2018', 1, NULL, 0, 2114, '2018-11-13 10:58:54', '2018-11-13', '2018-12-21 10:01:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 491.30000000, 98.26000000, 589.56000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-11-14', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 491.30000000, 98.26000000, 589.56000000, NULL, NULL, NULL),
(541, '1811-0010', '01navya131118', 1, NULL, 0, 2114, '2018-11-15 10:13:26', '2018-11-15', '2018-12-21 10:01:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 385.00000000, 77.00000000, 462.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 2, 0, '2018-12-15', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 385.00000000, 77.00000000, 462.00000000, NULL, NULL, NULL),
(542, '1811-0011', '16eiffage141118', 1, NULL, 0, 2114, '2018-11-15 15:04:23', '2018-11-15', '2018-12-21 10:01:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 397.05000000, 79.41000000, 476.46000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-11-16', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 397.05000000, 79.41000000, 476.46000000, NULL, NULL, NULL),
(543, '1811-0012', '0304pavailler141118', 1, NULL, 0, 2114, '2018-11-15 15:21:26', '2018-11-15', '2018-12-21 10:01:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 460.38000000, 92.08000000, 552.46000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-11-16', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 460.38000000, 92.08000000, 552.46000000, NULL, NULL, NULL),
(544, '1811-0013', '02vincithales141118', 1, NULL, 0, 2114, '2018-11-15 15:25:03', '2018-11-15', '2018-12-21 10:01:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 233.70000000, 46.74000000, 280.44000000, 2, 5, NULL, 5, NULL, NULL, NULL, 2, 0, '2018-12-15', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 233.70000000, 46.74000000, 280.44000000, NULL, NULL, NULL),
(545, '1811-0014', '17trucks141118', 1, NULL, 0, 2114, '2018-11-15 15:35:09', '2018-11-15', '2018-12-21 10:01:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 148.56000000, 29.71000000, 178.27000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-11-16', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 148.56000000, 29.71000000, 178.27000000, NULL, NULL, NULL),
(546, '1811-0015', '01tsr121018', 1, NULL, 0, 2114, '2018-11-15 15:46:11', '2018-11-15', '2018-12-21 10:01:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 491.30000000, 98.26000000, 589.56000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-11-16', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 491.30000000, 98.26000000, 589.56000000, NULL, NULL, NULL),
(547, '1811-0016', '18buys151118', 1, NULL, 0, 2114, '2018-11-19 14:32:12', '2018-11-19', '2019-01-07 08:34:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1156.00000000, 231.20000000, 1387.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-11-20', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1156.00000000, 231.20000000, 1387.20000000, NULL, NULL, NULL),
(548, '1811-0017', '08ivars15112018', 1, NULL, 0, 2114, '2018-11-19 15:23:52', '2018-11-19', '2019-01-07 08:34:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 174.66000000, 34.93000000, 209.59000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-11-20', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 174.66000000, 34.93000000, 209.59000000, NULL, NULL, NULL),
(549, '1811-0018', '43isra16112018', 1, NULL, 0, 2114, '2018-11-19 15:29:20', '2018-11-19', '2019-01-07 08:34:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 339.98000000, 68.00000000, 407.98000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-11-20', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 339.98000000, 68.00000000, 407.98000000, NULL, NULL, NULL),
(550, '1811-0019', '45mmd161118', 1, NULL, 0, 2114, '2018-11-19 16:02:35', '2018-11-19', '2019-01-07 08:34:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 161.50000000, 32.30000000, 193.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-11-20', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 161.50000000, 32.30000000, 193.80000000, NULL, NULL, NULL),
(551, '1811-0020', '44mgp16112018', 1, NULL, 0, 2114, '2018-11-20 09:07:34', '2018-11-20', '2019-01-07 08:34:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 443.35000000, 88.67000000, 532.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-11-21', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 443.35000000, 88.67000000, 532.02000000, NULL, NULL, NULL),
(552, '1811-0021', '48podis13112018', 1, NULL, 0, 2114, '2018-11-20 09:16:46', '2018-11-20', '2019-01-07 08:34:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 294.99000000, 59.00000000, 353.99000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-11-21', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 294.99000000, 59.00000000, 353.99000000, NULL, NULL, NULL),
(553, '1811-0022', '01tsr12102018', 1, NULL, 0, 2114, '2018-11-20 09:22:39', '2018-11-20', '2019-01-07 08:34:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 336.00000000, 67.20000000, 403.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-11-21', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 336.00000000, 67.20000000, 403.20000000, NULL, NULL, NULL),
(555, '1811-0023', '05capag201120218', 1, NULL, 0, 2114, '2018-11-21 09:38:13', '2018-11-21', '2019-01-07 08:34:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1650.00000000, 330.00000000, 1980.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-11-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1650.00000000, 330.00000000, 1980.00000000, NULL, NULL, NULL),
(556, '1811-0024', '49mmd151118', 1, NULL, 0, 2114, '2018-11-21 10:56:51', '2018-11-21', '2019-01-07 08:33:11', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 132.50000000, 26.50000000, 159.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-11-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 132.50000000, 26.50000000, 159.00000000, NULL, NULL, NULL),
(557, '1811-0025', '05rousset20112018', 1, NULL, 0, 2114, '2018-11-22 10:25:11', '2018-11-22', '2019-01-07 08:33:11', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 132.50000000, 26.50000000, 159.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-11-23', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 132.50000000, 26.50000000, 159.00000000, NULL, NULL, NULL),
(558, '1811-0026', '07dauphinoise20112018', 1, NULL, 0, 2114, '2018-11-23 14:11:30', '2018-11-23', '2019-01-07 08:33:11', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 255.60000000, 51.12000000, 306.72000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-11-24', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 255.60000000, 51.12000000, 306.72000000, NULL, NULL, NULL),
(559, '1811-0027', '09mmd22112018', 1, NULL, 0, 2114, '2018-11-23 15:27:24', '2018-11-23', '2019-01-07 08:33:11', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 515.00000000, 103.00000000, 618.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-11-24', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 515.00000000, 103.00000000, 618.00000000, NULL, NULL, NULL),
(560, '1811-0028', '20tsr21112018', 1, NULL, 0, 2114, '2018-11-23 16:13:32', '2018-11-23', '2019-01-07 08:33:11', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 813.26000000, 162.65000000, 975.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-11-24', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 813.26000000, 162.65000000, 975.91000000, NULL, NULL, NULL),
(561, '1811-0029', '48coopenoix231118', 1, NULL, 0, 2114, '2018-11-26 11:39:53', '2018-11-26', '2019-01-07 08:33:11', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 250.00000000, 50.00000000, 300.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-11-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 250.00000000, 50.00000000, 300.00000000, NULL, NULL, NULL),
(562, '1811-0030', '38cop08102018', 1, NULL, 0, 2114, '2018-11-26 11:42:03', '2018-11-26', '2019-01-07 08:33:11', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-11-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(563, '1811-0031', '47vigne23112018', 1, NULL, 0, 2114, '2018-11-26 11:51:02', '2018-11-26', '2019-01-07 08:33:11', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-11-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(564, '1811-0032', '49soralep23112018', 1, NULL, 0, 2114, '2018-11-26 14:57:58', '2018-11-26', '2019-01-07 08:33:11', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-11-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(565, '1811-0033', 'solde cmp', 1, NULL, 0, 2114, '2018-11-26 15:09:34', '2018-11-26', '2019-01-07 08:33:11', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1000.00000000, 200.00000000, 1200.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-11-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1000.00000000, 200.00000000, 1200.00000000, NULL, NULL, NULL),
(566, '1811-0034', '11detfi27112018', 1, NULL, 0, 2114, '2018-11-30 09:26:04', '2018-11-30', '2019-01-08 10:59:12', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 2924.09000000, 584.82000000, 3508.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-12-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2924.09000000, 584.82000000, 3508.91000000, NULL, NULL, NULL),
(567, '1811-0035', '11detfi27112018b', 1, NULL, 0, 2114, '2018-11-30 09:34:30', '2018-11-30', '2019-01-08 11:00:24', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 619.54000000, 123.91000000, 743.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2018-12-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 619.54000000, 123.91000000, 743.45000000, NULL, NULL, NULL),
(568, '1811-0036', '12detfi27112018', 1, NULL, 0, 2114, '2018-11-30 10:09:29', '2018-11-30', '2019-01-08 11:00:24', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 185.50000000, 37.10000000, 222.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-12-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 185.50000000, 37.10000000, 222.60000000, NULL, NULL, NULL),
(569, '1811-0037', '50mcr15112018', 1, NULL, 0, 2114, '2018-11-30 10:37:10', '2018-11-30', '2019-01-08 11:00:24', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-12-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, NULL),
(570, '1811-0038', '39idea07112018', 1, NULL, 0, 2114, '2018-11-30 11:00:32', '2018-11-30', '2019-01-08 11:00:24', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-12-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(571, '1812-0001', '02mecaindustrie30112018', 1, NULL, 0, 2114, '2018-12-03 10:17:52', '2018-12-03', '2019-02-12 07:51:53', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-12-04', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(572, '1811-0039', '03rtsi30112018', 1, NULL, 0, 2114, '2018-12-03 10:34:11', '2018-11-30', '2019-01-08 11:00:24', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.27000000, 46.85000000, 281.12000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-12-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.27000000, 46.85000000, 281.12000000, NULL, NULL, NULL),
(573, '1812-0002', '04ctdloriol03122018', 1, NULL, 0, 2114, '2018-12-04 15:17:01', '2018-12-04', '2019-02-12 07:51:53', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 400.00000000, 80.00000000, 480.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-12-05', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 400.00000000, 80.00000000, 480.00000000, NULL, NULL, NULL),
(574, '1812-0003', '21sms03122018', 1, NULL, 0, 2114, '2018-12-04 15:54:09', '2018-12-04', '2019-02-12 07:51:53', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 403.50000000, 80.70000000, 484.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-12-05', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 403.50000000, 80.70000000, 484.20000000, NULL, NULL, NULL),
(575, '1812-0004', '19tsr19112018', 1, NULL, 0, 2114, '2018-12-04 16:14:52', '2018-12-04', '2019-02-12 07:51:53', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1780.04000000, 356.01000000, 2136.05000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-12-05', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1780.04000000, 356.01000000, 2136.05000000, NULL, NULL, NULL),
(576, '1812-0005', '06exsto05122018', 1, NULL, 0, 2114, '2018-12-05 16:34:24', '2018-12-05', '2019-02-12 07:51:53', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 231.60000000, 46.32000000, 277.92000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-12-06', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 231.60000000, 46.32000000, 277.92000000, NULL, NULL, NULL),
(577, '1812-0006', '05miellerie05122018', 1, NULL, 0, 2114, '2018-12-05 16:48:53', '2018-12-05', '2019-02-12 07:51:53', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 132.50000000, 26.50000000, 159.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-12-06', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 132.50000000, 26.50000000, 159.00000000, NULL, NULL, NULL),
(578, '1812-0007', '07122018sorea08', 1, NULL, 0, 2114, '2018-12-10 10:37:50', '2018-12-10', '2019-02-12 07:51:53', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-12-11', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(579, '1812-0008', '08102018modelage49', 1, NULL, 0, 2114, '2018-12-10 11:41:19', '2018-12-10', '2019-02-12 07:51:53', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 120.00000000, 24.00000000, 144.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-12-11', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 120.00000000, 24.00000000, 144.00000000, NULL, NULL, NULL),
(580, '1812-0009', '01102018tsr47', 1, NULL, 0, 2114, '2018-12-10 14:40:51', '2018-12-10', '2019-02-12 07:51:53', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 192.00000000, 38.40000000, 230.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-12-11', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 192.00000000, 38.40000000, 230.40000000, NULL, NULL, NULL),
(581, '1812-0010', '13preciamolen10122018', 1, NULL, 0, 2114, '2018-12-11 15:29:16', '2018-12-11', '2019-02-12 07:51:53', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1070.00000000, 214.00000000, 1284.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-12-12', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1070.00000000, 214.00000000, 1284.00000000, NULL, NULL, NULL),
(582, '1812-0011', 'maintenance informatique', 1, NULL, 0, 2114, '2018-12-11 16:44:19', '2018-12-11', '2019-02-12 07:51:53', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 222.14000000, 44.43000000, 266.57000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-12-12', '', 'Maintenance informatique annuelle', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 222.14000000, 44.43000000, 266.57000000, NULL, NULL, NULL),
(583, '1812-0012', '11bouchard12122018', 1, NULL, 0, 2114, '2018-12-14 10:47:28', '2018-12-14', '2019-02-12 07:51:53', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 125.20000000, 25.04000000, 150.24000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-12-15', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 125.20000000, 25.04000000, 150.24000000, NULL, NULL, NULL),
(584, '1812-0013', '09debionne12122018', 1, NULL, 0, 2114, '2018-12-14 11:01:32', '2018-12-14', '2019-02-12 07:51:53', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 125.20000000, 25.04000000, 150.24000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-12-15', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 125.20000000, 25.04000000, 150.24000000, NULL, NULL, NULL),
(585, '1812-0014', '08debionne21112018', 1, NULL, 0, 2114, '2018-12-14 14:26:28', '2018-12-14', '2019-02-12 07:51:53', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 125.20000000, 25.04000000, 150.24000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-12-15', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 125.20000000, 25.04000000, 150.24000000, NULL, NULL, NULL),
(586, '1812-0015', '14trucksolution13122018', 1, NULL, 0, 2114, '2018-12-17 09:54:41', '2018-12-17', '2019-02-12 07:51:53', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 3658.12000000, 731.62000000, 4389.74000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-12-18', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3658.12000000, 731.62000000, 4389.74000000, NULL, NULL, NULL),
(587, '1812-0016', '12udtmeca14122018', 1, NULL, 0, 2114, '2018-12-17 10:22:22', '2018-12-17', '2019-02-12 07:51:53', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-12-18', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(588, '1812-0017', '10epoxy300012122018', 1, NULL, 0, 2114, '2018-12-17 10:47:05', '2018-12-17', '2019-02-12 07:51:53', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 249.20000000, 49.84000000, 299.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-12-18', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 249.20000000, 49.84000000, 299.04000000, NULL, NULL, NULL),
(589, '1812-0018', '36harmonyl13122018', 1, NULL, 0, 2114, '2018-12-17 11:06:01', '2018-12-17', '2019-02-12 07:51:53', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 139.80000000, 27.96000000, 167.76000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-12-18', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 139.80000000, 27.96000000, 167.76000000, NULL, NULL, NULL),
(590, '1812-0019', '15desmet17122018', 1, NULL, 0, 2114, '2018-12-21 10:53:33', '2018-12-21', '2019-02-12 07:51:53', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 115.80000000, 23.16000000, 138.96000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-12-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 115.80000000, 23.16000000, 138.96000000, NULL, NULL, NULL),
(591, '1812-0020', '16delmonico19122018', 1, NULL, 0, 2114, '2018-12-21 10:56:06', '2018-12-21', '2019-02-12 07:51:53', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, 0, '2019-01-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(592, '1812-0021', '18jtlaser20122018', 1, NULL, 0, 2114, '2018-12-21 11:46:21', '2018-12-21', '2019-02-12 07:51:53', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 323.37000000, 64.67000000, 388.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-12-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 323.37000000, 64.67000000, 388.04000000, NULL, NULL, NULL),
(593, '1812-0022', '23insoft20122018', 1, NULL, 0, 2114, '2018-12-26 09:41:32', '2018-12-26', '2019-02-12 07:51:53', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 4175.74000000, 835.15000000, 5010.89000000, 2, 5, 5, 5, NULL, NULL, NULL, 15, 0, '2018-12-27', '25x2=50x073=36.50x7.5=273.75<br />\r\n48x8x7.5=2880<br />\r\ntotal 3153.74<br />\r\n-1694.11 = 1459.63 de plue value', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 4175.74000000, 835.15000000, 5010.89000000, NULL, NULL, NULL),
(594, '1812-0023', '17valformes19122018', 1, NULL, 0, 2114, '2018-12-26 10:29:49', '2018-12-26', '2019-02-12 07:51:53', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 386.68000000, 77.34000000, 464.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2018-12-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 386.68000000, 77.34000000, 464.02000000, NULL, NULL, NULL),
(595, '1812-0024', '19mdmodelage28122019', 1, NULL, 0, 2114, '2019-01-02 09:29:54', '2018-12-31', '2019-02-12 07:51:53', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1392.01000000, 278.40000000, 1670.41000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2019-01-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1392.01000000, 278.40000000, 1670.41000000, NULL, NULL, NULL),
(596, '1812-0025', 'sfacsdec2018', 1, NULL, 0, 2114, '2019-01-02 10:18:00', '2018-12-31', '2019-02-12 07:51:53', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, 0, NULL, NULL, 15, 0, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, NULL),
(597, '1901-0001', 'sfacs janvier 2019', 1, NULL, 0, 2114, '2019-01-02 10:18:55', '2019-01-02', '2019-03-05 08:01:37', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, 0, NULL, NULL, 15, 0, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, NULL),
(598, '1901-0002', '21exsto03012019', 1, NULL, 0, 2114, '2019-01-03 16:01:30', '2019-01-03', '2019-03-05 08:01:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 239.04000000, 47.81000000, 286.85000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, 0, '2019-02-28', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 239.04000000, 47.81000000, 286.85000000, NULL, NULL, NULL),
(599, '1901-0003', '20amr03012019', 1, NULL, 0, 2114, '2019-01-03 16:08:48', '2019-01-03', '2019-03-05 08:01:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.69000000, 58.14000000, 348.83000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2019-01-04', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.69000000, 58.14000000, 348.83000000, NULL, NULL, NULL),
(600, '1901-0004', 'sms122018', 1, NULL, 0, 2114, '2019-01-03 16:16:07', '2019-01-03', '2019-03-05 08:01:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 5136.37000000, 1027.27000000, 6163.64000000, 2, 5, NULL, 5, NULL, NULL, NULL, 6, 0, '2019-01-04', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 5136.37000000, 1027.27000000, 6163.64000000, NULL, NULL, NULL),
(601, '1901-0005', '13cmp02012019', 1, NULL, 0, 2114, '2019-01-04 09:59:44', '2019-01-04', '2019-03-05 08:01:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 296.51000000, 59.30000000, 355.81000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2019-01-05', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 296.51000000, 59.30000000, 355.81000000, NULL, NULL, NULL),
(602, '1901-0006', '15m2204012019', 1, NULL, 0, 2114, '2019-01-04 16:52:37', '2019-01-04', '2019-03-05 08:01:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2019-01-05', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(603, '1901-0007', '14smci04012019', 1, NULL, 0, 2114, '2019-01-07 11:21:01', '2019-01-07', '2019-03-05 08:01:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 12, 0, '2019-01-12', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(604, '1901-0008', '18fmr08012019', 1, NULL, 0, 2114, '2019-01-09 10:57:55', '2019-01-09', '2019-03-05 08:01:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2019-01-10', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, NULL),
(605, '1901-0009', '19dauphinoise08012019', 1, NULL, 0, 2114, '2019-01-09 14:25:10', '2019-01-09', '2019-03-05 08:01:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 333.18000000, 66.64000000, 399.82000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2019-01-10', '', 'l26rs 2017', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 333.18000000, 66.64000000, 399.82000000, NULL, NULL, NULL),
(606, '1901-0010', '16brd07012019', 1, NULL, 0, 2114, '2019-01-09 14:57:25', '2019-01-09', '2019-03-05 08:01:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 258.85000000, 51.77000000, 310.62000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2019-01-10', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 258.85000000, 51.77000000, 310.62000000, NULL, NULL, NULL),
(607, '1901-0011', '17tsr07012019', 1, NULL, 0, 2114, '2019-01-11 11:33:20', '2019-01-11', '2019-03-05 08:01:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 592.81000000, 118.56000000, 711.37000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2019-01-12', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 592.81000000, 118.56000000, 711.37000000, NULL, NULL, NULL),
(608, '1901-0012', '35hdn14092018', 1, NULL, 0, 2114, '2019-01-14 11:09:25', '2019-01-14', '2019-03-05 08:01:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 133.96000000, 26.79000000, 160.75000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2019-01-15', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 133.96000000, 26.79000000, 160.75000000, NULL, NULL, NULL),
(609, '1901-0013', '22ardecheenrobe14012019', 1, NULL, 0, 2114, '2019-01-14 16:33:37', '2019-01-14', '2019-03-07 12:46:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 611.29000000, 122.26000000, 733.55000000, 2, 5, NULL, 5, NULL, NULL, NULL, 2, 0, '2019-02-13', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 611.29000000, 122.26000000, 733.55000000, NULL, NULL, NULL),
(610, '1901-0014', '22desgranges14012019', 1, NULL, 0, 2114, '2019-01-15 14:22:22', '2019-01-15', '2019-03-07 12:46:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2019-01-16', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, NULL),
(611, '1901-0015', '21delmonicodorel11012019', 1, NULL, 0, 2114, '2019-01-15 15:18:15', '2019-01-15', '2019-03-07 12:46:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 587.21000000, 117.44000000, 704.65000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2019-01-16', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 587.21000000, 117.44000000, 704.65000000, NULL, NULL, NULL),
(612, '1901-0016', '24margaron11012018', 1, NULL, 0, 2114, '2019-01-15 15:37:26', '2019-01-15', '2019-03-07 12:46:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 137.52000000, 27.50000000, 165.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2019-01-16', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 137.52000000, 27.50000000, 165.02000000, NULL, NULL, NULL),
(613, '1901-0017', '25fromagerie alpine15012019', 1, NULL, 0, 2114, '2019-01-16 10:49:04', '2019-01-16', '2019-03-07 12:46:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2019-01-17', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, NULL),
(614, '1901-0018', '26fromageriealpine15012019', 1, NULL, 0, 2114, '2019-01-16 11:04:20', '2019-01-16', '2019-03-07 12:46:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2019-01-17', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, NULL),
(615, '1901-0019', '2423tgcp15012019', 1, NULL, 0, 2114, '2019-01-16 11:43:16', '2019-01-16', '2019-03-07 12:46:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 517.76000000, 103.55000000, 621.31000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2019-01-17', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 517.76000000, 103.55000000, 621.31000000, NULL, NULL, NULL),
(616, '1901-0020', '27ifth16012019', 1, NULL, 0, 2114, '2019-01-17 10:08:32', '2019-01-17', '2019-03-07 12:46:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2019-01-18', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, NULL),
(617, '1901-0021', '29payen17012019', 1, NULL, 0, 2114, '2019-01-18 09:25:22', '2019-01-18', '2019-03-07 12:46:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 128.12000000, 25.62000000, 153.74000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2019-01-19', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 128.12000000, 25.62000000, 153.74000000, NULL, NULL, NULL),
(618, '1901-0022', '31baxter21012019', 1, NULL, 0, 2114, '2019-01-23 10:37:12', '2019-01-23', '2019-03-07 12:46:20', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 390.70000000, 78.14000000, 468.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2019-01-24', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 390.70000000, 78.14000000, 468.84000000, NULL, NULL, NULL),
(619, '1901-0023', '25kerry18012019', 1, NULL, 0, 2114, '2019-01-23 10:38:26', '2019-01-23', '2019-03-07 12:46:20', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 144.00000000, 28.80000000, 172.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2019-01-24', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 144.00000000, 28.80000000, 172.80000000, NULL, NULL, NULL),
(620, '1901-0024', '30ribeaud18012019', 1, NULL, 0, 2114, '2019-01-23 11:30:34', '2019-01-23', '2019-03-07 12:46:20', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 554.00000000, 110.80000000, 664.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2019-01-24', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 554.00000000, 110.80000000, 664.80000000, NULL, NULL, NULL),
(621, '1901-0025', '33psi22012019', 1, NULL, 0, 2114, '2019-01-23 11:47:04', '2019-01-23', '2019-03-07 12:46:20', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 405.76000000, 81.15000000, 486.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2019-01-24', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 405.76000000, 81.15000000, 486.91000000, NULL, NULL, NULL),
(622, '1901-0026', '32perollier21012019', 1, NULL, 0, 2114, '2019-01-23 12:00:18', '2019-01-23', '2019-03-07 12:46:20', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.22000000, 58.04000000, 348.26000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2019-01-24', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.22000000, 58.04000000, 348.26000000, NULL, NULL, NULL),
(623, '1901-0027', '38buys15012019', 1, NULL, 0, 2114, '2019-01-28 16:38:08', '2019-01-28', '2019-03-07 12:46:20', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 96.00000000, 19.20000000, 115.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2019-01-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 96.00000000, 19.20000000, 115.20000000, NULL, NULL, NULL),
(624, '1901-0028', '34beillardtube23012019', 1, NULL, 0, 2114, '2019-01-29 15:31:19', '2019-01-29', '2019-03-07 12:46:20', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 360.36000000, 72.07000000, 432.43000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2019-01-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 360.36000000, 72.07000000, 432.43000000, NULL, NULL, NULL),
(625, '1901-0029', '35mpg25012019', 1, NULL, 0, 2114, '2019-01-29 16:58:11', '2019-01-29', '2019-03-07 12:46:20', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2019-01-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, NULL),
(626, '1901-0030', '25meca industrie24012019', 1, NULL, 0, 2114, '2019-01-30 09:38:39', '2019-01-30', '2019-03-07 12:46:20', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 305.24000000, 61.05000000, 366.29000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, 0, '2019-01-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 305.24000000, 61.05000000, 366.29000000, NULL, NULL, NULL),
(627, '1901-0031', '23crouzet23012019', 1, NULL, 0, 2114, '2019-01-30 14:14:57', '2019-01-30', '2019-03-07 12:46:20', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2019-01-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, NULL),
(628, '1901-0032', '26richartpontvert24012019', 1, NULL, 0, 2114, '2019-01-30 14:41:58', '2019-01-30', '2019-03-07 12:46:20', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2019-01-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, NULL),
(629, '1902-0001', 'sfacs fevrier 2019', 1, NULL, 0, 2114, '2019-02-04 14:43:30', '2019-02-04', '2019-04-02 07:45:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, 0, NULL, NULL, 15, 0, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, NULL),
(630, '1902-0002', '26kerry18012019', 1, NULL, 0, 2114, '2019-02-05 09:07:36', '2019-02-05', '2019-04-02 07:45:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2019-02-06', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, NULL),
(631, '1902-0003', '27bourbon31012019', 1, NULL, 0, 2114, '2019-02-05 11:23:56', '2019-02-05', '2019-04-02 07:45:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 241.87000000, 48.37000000, 290.24000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2019-02-06', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 241.87000000, 48.37000000, 290.24000000, NULL, NULL, NULL),
(632, '1902-0004', '36redalum25012019', 1, NULL, 0, 2114, '2019-02-06 16:20:17', '2019-02-06', '2019-04-02 07:45:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2019-02-07', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, NULL),
(633, '1902-0005', '40stpierre29012019', 1, NULL, 0, 2114, '2019-02-06 16:27:59', '2019-02-06', '2019-04-02 07:45:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, 0, '2019-02-07', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, NULL),
(634, '1902-0006', '34cibox11022019', 1, NULL, 0, 2114, '2019-02-20 14:15:10', '2019-02-20', '2019-04-02 07:45:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 307.69000000, 61.54000000, 369.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, 0, '2019-03-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 307.69000000, 61.54000000, 369.23000000, NULL, NULL, NULL),
(635, '1902-0007', '33chaussygomez08022019', 1, NULL, 0, 2114, '2019-02-20 14:22:50', '2019-02-20', '2019-04-02 07:45:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, 0, '2019-03-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, NULL),
(636, '1902-0008', '30combelanotte04022019', 1, NULL, 0, 2114, '2019-02-20 14:23:51', '2019-02-20', '2019-04-02 07:45:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, 0, '2019-03-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(637, '1902-0009', '30detfi06022019', 1, NULL, 0, 2114, '2019-02-20 14:24:46', '2019-02-20', '2019-04-02 07:45:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 512.00000000, 102.40000000, 614.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, 0, '2019-03-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 512.00000000, 102.40000000, 614.40000000, NULL, NULL, NULL),
(638, '1902-0010', '28girauddelay04022019', 1, NULL, 0, 2114, '2019-02-20 14:25:53', '2019-02-20', '2019-04-02 07:45:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, 0, '2019-03-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, NULL),
(639, '1902-0011', '29girauddelay04022019', 1, NULL, 0, 2114, '2019-02-20 14:26:43', '2019-02-20', '2019-04-02 07:45:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, 0, '2019-03-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, NULL),
(640, '1902-0012', '43jars04022019', 1, NULL, 0, 2114, '2019-02-20 14:27:33', '2019-02-20', '2019-04-02 07:45:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, 0, '2019-03-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL);
INSERT INTO `llx_facture_fourn` (`rowid`, `ref`, `ref_supplier`, `entity`, `ref_ext`, `type`, `fk_soc`, `datec`, `datef`, `tms`, `libelle`, `paye`, `amount`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_tva`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `fk_incoterms`, `location_incoterms`, `model_pdf`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `date_pointoftax`, `date_valid`) VALUES
(641, '1902-0013', '40payen01022019', 1, NULL, 0, 2114, '2019-02-20 14:28:27', '2019-02-20', '2019-04-02 07:45:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 192.00000000, 38.40000000, 230.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, 0, '2019-03-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 192.00000000, 38.40000000, 230.40000000, NULL, NULL, NULL),
(642, '1902-0014', '37jullien28012019', 1, NULL, 0, 2114, '2019-02-20 14:29:57', '2019-02-20', '2019-04-02 07:48:03', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 150.00000000, 30.00000000, 180.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, 0, '2019-03-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 150.00000000, 30.00000000, 180.00000000, NULL, NULL, NULL),
(643, '1902-0015', '31epidaure07022019', 1, NULL, 0, 2114, '2019-02-20 14:30:54', '2019-02-20', '2019-04-02 07:48:04', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, 0, '2019-03-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, NULL),
(644, '1902-0016', '29podis01022019', 1, NULL, 0, 2114, '2019-02-20 14:31:46', '2019-02-20', '2019-04-02 07:48:04', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, 0, '2019-03-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, NULL),
(645, '1902-0017', '27richardpontvert01022019', 1, NULL, 0, 2114, '2019-02-20 14:33:10', '2019-02-20', '2019-04-02 07:48:04', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 302.55000000, 60.51000000, 363.06000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, 0, '2019-03-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 302.55000000, 60.51000000, 363.06000000, NULL, NULL, NULL),
(646, '1902-0018', '28podis01022019', 1, NULL, 0, 2114, '2019-02-20 14:34:41', '2019-02-20', '2019-04-02 07:48:04', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 342.72000000, 68.54000000, 411.26000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, 0, '2019-03-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 342.72000000, 68.54000000, 411.26000000, NULL, NULL, NULL),
(647, '1902-0019', 'tras rene', 1, NULL, 0, 2114, '2019-02-20 14:45:12', '2019-02-20', '2019-04-02 07:48:04', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 96.00000000, 19.20000000, 115.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, 0, '2019-03-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 96.00000000, 19.20000000, 115.20000000, NULL, NULL, NULL),
(648, '1902-0020', 'smsrene', 1, NULL, 0, 2114, '2019-03-05 11:05:07', '2019-02-28', '2019-04-02 07:48:04', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 683.00000000, 136.60000000, 819.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-03-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 683.00000000, 136.60000000, 819.60000000, NULL, NULL, '2019-03-05'),
(649, '1902-0021', '32sibelco08012019', 1, NULL, 0, 2114, '2019-03-05 11:07:05', '2019-02-28', '2019-04-02 07:48:04', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-03-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, '2019-03-05'),
(650, '1902-0022', '39fauretourisme26022019', 1, NULL, 0, 2114, '2019-03-05 11:08:25', '2019-02-28', '2019-04-02 07:48:04', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 228.68000000, 45.74000000, 274.42000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-03-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 228.68000000, 45.74000000, 274.42000000, NULL, NULL, '2019-03-05'),
(651, '1902-0023', '36mcr22022019', 1, NULL, 0, 2114, '2019-03-05 14:22:50', '2019-02-28', '2019-04-03 07:55:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 302.55000000, 60.51000000, 363.06000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-03-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 302.55000000, 60.51000000, 363.06000000, NULL, NULL, '2019-03-05'),
(652, '1902-0024', '42payen01/02/2019', 1, NULL, 0, 2114, '2019-03-05 14:27:59', '2019-02-28', '2019-04-03 07:55:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 504.90000000, 100.98000000, 605.88000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, NULL, '2019-03-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 504.90000000, 100.98000000, 605.88000000, NULL, NULL, '2019-03-05'),
(653, '1902-0025', '37redalum22022019', 1, NULL, 0, 2114, '2019-03-05 15:37:50', '2019-02-28', '2019-04-03 07:55:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 336.35000000, 67.27000000, 403.62000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-03-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 336.35000000, 67.27000000, 403.62000000, NULL, NULL, '2019-03-05'),
(654, '1902-0026', '40pm27022019', 1, NULL, 0, 2114, '2019-03-05 15:39:41', '2019-02-28', '2019-04-03 07:55:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-03-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, '2019-03-05'),
(655, '1902-0027', '31mgen26022019', 1, NULL, 0, 2114, '2019-03-05 15:40:50', '2019-02-28', '2019-04-03 07:55:04', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 910.00000000, 182.00000000, 1092.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-03-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 910.00000000, 182.00000000, 1092.00000000, NULL, NULL, '2019-03-05'),
(656, '1902-0028', '38udep26022019', 1, NULL, 0, 2114, '2019-03-05 15:43:24', '2019-02-28', '2019-04-03 07:55:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 219.83000000, 43.97000000, 263.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 219.83000000, 43.97000000, 263.80000000, NULL, NULL, '2019-03-05'),
(657, '1903-0001', 'sfacs mars2019', 1, NULL, 0, 2114, '2019-03-06 11:42:56', '2019-03-06', '2019-04-25 09:42:48', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-07', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, '2019-03-06'),
(658, '1903-0002', '28sical14032019', 1, NULL, 0, 2114, '2019-03-26 15:23:18', '2019-03-26', '2019-04-25 09:42:48', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 2856.00000000, 571.20000000, 3427.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2856.00000000, 571.20000000, 3427.20000000, NULL, NULL, '2019-03-26'),
(659, '1903-0003', '44esat01032019', 1, NULL, 0, 2114, '2019-03-26 15:25:21', '2019-03-26', '2019-04-25 09:42:48', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 77.20000000, 15.44000000, 92.64000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 77.20000000, 15.44000000, 92.64000000, NULL, NULL, '2019-03-26'),
(660, '1903-0004', '43modelageconcept04032019', 1, NULL, 0, 2114, '2019-03-26 15:27:21', '2019-03-26', '2019-04-25 09:42:48', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1385.20000000, 277.04000000, 1662.24000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1385.20000000, 277.04000000, 1662.24000000, NULL, NULL, '2019-03-26'),
(661, '1903-0005', '45mdmodelage01032019', 1, NULL, 0, 2114, '2019-03-26 15:28:48', '2019-03-26', '2019-05-03 07:52:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 229.58000000, 45.92000000, 275.50000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 229.58000000, 45.92000000, 275.50000000, NULL, NULL, '2019-03-26'),
(662, '1903-0006', '49bard05032019', 1, NULL, 0, 2114, '2019-03-26 15:32:30', '2019-03-26', '2019-05-03 07:52:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, '2019-03-26'),
(663, '1903-0007', '46pheby05032019', 1, NULL, 0, 2114, '2019-03-26 15:53:50', '2019-03-26', '2019-05-03 07:52:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, '2019-03-26'),
(664, '1903-0008', '44puillet05032019', 1, NULL, 0, 2114, '2019-03-26 16:06:00', '2019-03-26', '2019-05-03 07:52:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, '2019-03-26'),
(665, '1903-0009', '45valformes05032019', 1, NULL, 0, 2114, '2019-03-26 16:16:16', '2019-03-26', '2019-05-03 07:52:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 386.68000000, 77.34000000, 464.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 386.68000000, 77.34000000, 464.02000000, NULL, NULL, '2019-03-26'),
(666, '1903-0010', '47renaulttruck04032019', 1, NULL, 0, 2114, '2019-03-26 16:19:15', '2019-03-26', '2019-05-03 07:52:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, '2019-03-26'),
(667, '1903-0011', '48coval04032019', 1, NULL, 0, 2114, '2019-03-26 16:25:15', '2019-03-26', '2019-05-03 07:52:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 202.40000000, 40.48000000, 242.88000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 202.40000000, 40.48000000, 242.88000000, NULL, NULL, '2019-03-26'),
(668, '1903-0012', 'coval 4sites', 1, NULL, 0, 2114, '2019-03-26 16:39:45', '2019-03-26', '2019-05-03 07:52:58', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1334.64000000, 266.93000000, 1601.57000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1334.64000000, 266.92000000, 1601.56000000, NULL, NULL, '2019-03-26'),
(669, '1903-0013', '21melapro11032019', 1, NULL, 0, 2114, '2019-03-26 16:44:37', '2019-03-26', '2019-05-03 07:52:58', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, '2019-03-26'),
(670, '1903-0014', '48tras06032019', 1, NULL, 0, 2114, '2019-03-26 16:52:24', '2019-03-26', '2019-05-03 07:52:58', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 302.55000000, 60.51000000, 363.06000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 302.55000000, 60.51000000, 363.06000000, NULL, NULL, '2019-03-26'),
(671, '1903-0015', '26avenir carrosserie13032019', 1, NULL, 0, 2114, '2019-03-26 16:55:42', '2019-03-26', '2019-05-03 07:52:58', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, '2019-03-26'),
(672, '1903-0016', '49cibox12032019', 1, NULL, 0, 2114, '2019-03-28 14:42:04', '2019-03-28', '2019-05-03 07:52:58', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 259.16000000, 51.83000000, 310.99000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 259.16000000, 51.83000000, 310.99000000, NULL, NULL, '2019-03-28'),
(673, '1903-0017', '24cintralp12032019', 1, NULL, 0, 2114, '2019-03-28 14:43:30', '2019-03-28', '2019-05-03 07:52:58', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, '2019-03-28'),
(674, '1903-0018', '23prismemeca12072019', 1, NULL, 0, 2114, '2019-03-28 15:25:59', '2019-03-28', '2019-05-03 07:52:58', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.78000000, 46.16000000, 276.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.78000000, 46.16000000, 276.94000000, NULL, NULL, '2019-03-28'),
(675, '1903-0019', '34scieriedelavallee12032019', 1, NULL, 0, 2114, '2019-03-28 16:02:04', '2019-03-28', '2019-05-03 07:52:58', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, '2019-03-28'),
(676, '1903-0020', '25avenir13032019', 1, NULL, 0, 2114, '2019-03-28 16:56:22', '2019-03-28', '2019-05-03 07:52:58', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, '2019-03-28'),
(677, '1903-0021', '38epidaure27032019', 1, NULL, 0, 2114, '2019-03-29 09:09:15', '2019-03-29', '2019-05-03 07:52:58', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 57.30000000, 11.46000000, 68.76000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 57.30000000, 11.46000000, 68.76000000, NULL, NULL, '2019-03-29'),
(678, '1903-0022', '27jars13032019', 1, NULL, 0, 2114, '2019-03-29 09:36:44', '2019-03-29', '2019-05-03 07:52:58', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 428.60000000, 85.72000000, 514.32000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 428.60000000, 85.72000000, 514.32000000, NULL, NULL, '2019-03-29'),
(679, '1903-0023', '50valformes14032019', 1, NULL, 0, 2114, '2019-03-29 09:42:30', '2019-03-29', '2019-05-03 07:52:58', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 432.72000000, 86.54000000, 519.26000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 432.72000000, 86.54000000, 519.26000000, NULL, NULL, '2019-03-29'),
(680, '1903-0024', '36acieriesbonpertuis16032019', 1, NULL, 0, 2114, '2019-03-29 09:45:21', '2019-03-29', '2019-05-03 07:52:58', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 243.91000000, 48.78000000, 292.69000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 243.91000000, 48.78000000, 292.69000000, NULL, NULL, '2019-03-29'),
(681, '1903-0025', '02epoxy15032019', 1, NULL, 0, 2114, '2019-03-29 14:13:18', '2019-03-29', '2019-05-06 07:54:05', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 306.67000000, 61.33000000, 368.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 306.67000000, 61.33000000, 368.00000000, NULL, NULL, '2019-03-29'),
(682, '1903-0026', '01fca15032019', 1, NULL, 0, 2114, '2019-03-29 14:39:33', '2019-03-29', '2019-05-06 07:54:05', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, '2019-03-29'),
(683, '1903-0027', '29rci15032019', 1, NULL, 0, 2114, '2019-03-29 14:45:55', '2019-03-29', '2019-05-06 07:54:05', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, '2019-03-29'),
(684, '1903-0028', 'SEBMgrigny032019', 1, NULL, 0, 2114, '2019-03-29 14:53:03', '2019-03-29', '2019-05-06 07:54:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1567.64000000, 313.53000000, 1881.17000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-30', '', '3interventions', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1567.64000000, 313.53000000, 1881.17000000, NULL, NULL, '2019-03-29'),
(685, '1903-0029', '06cros23032019', 1, NULL, 0, 2114, '2019-04-02 10:28:30', '2019-03-29', '2019-05-06 07:54:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 375.93000000, 75.19000000, 451.12000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 375.93000000, 75.19000000, 451.12000000, NULL, NULL, '2019-04-02'),
(686, '1903-0030', '05coopenoix22032019', 1, NULL, 0, 2114, '2019-04-02 10:29:45', '2019-03-29', '2019-05-06 07:54:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 250.00000000, 50.00000000, 300.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 250.00000000, 50.00000000, 300.00000000, NULL, NULL, '2019-04-02'),
(687, '1903-0031', '04coopenoix22032019', 1, NULL, 0, 2114, '2019-04-02 10:31:20', '2019-03-29', '2019-05-06 07:54:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 250.00000000, 50.00000000, 300.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 250.00000000, 50.00000000, 300.00000000, NULL, NULL, '2019-04-02'),
(688, '1903-0032', '03modelageconcept20032019', 1, NULL, 0, 2114, '2019-04-02 10:37:11', '2019-03-29', '2019-05-06 07:54:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 122.28000000, 24.46000000, 146.74000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 122.28000000, 24.46000000, 146.74000000, NULL, NULL, '2019-04-02'),
(689, '1903-0033', '37poncin22032019', 1, NULL, 0, 2114, '2019-04-02 10:41:03', '2019-03-29', '2019-05-06 07:54:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, '2019-04-02'),
(692, '1903-0034', '31capag27032019', 1, NULL, 0, 2114, '2019-04-02 10:52:33', '2019-03-29', '2019-05-06 07:54:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 239.04000000, 47.81000000, 286.85000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 239.04000000, 47.81000000, 286.85000000, NULL, NULL, '2019-04-02'),
(693, '1903-0035', '30capag27032019', 1, NULL, 0, 2114, '2019-04-02 10:56:24', '2019-03-29', '2019-05-06 07:54:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 239.04000000, 47.81000000, 286.85000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 239.04000000, 47.81000000, 286.85000000, NULL, NULL, '2019-04-02'),
(694, '1903-0036', '07sebm26032019', 1, NULL, 0, 2114, '2019-04-02 11:05:34', '2019-03-29', '2019-05-06 07:54:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, '2019-04-02'),
(695, '1904-0001', '08sebm26032019', 1, NULL, 0, 2114, '2019-04-02 11:07:12', '2019-03-29', '2019-06-03 07:56:47', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, 0, NULL, NULL, 9, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, '2019-04-02'),
(696, '1903-0037', '32sarrazin29032019', 1, NULL, 0, 2114, '2019-04-02 11:08:41', '2019-03-29', '2019-05-06 07:54:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 160.00000000, 32.00000000, 192.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 160.00000000, 32.00000000, 192.00000000, NULL, NULL, '2019-04-02'),
(697, '1903-0038', '33dumg29032019', 1, NULL, 0, 2114, '2019-04-02 11:12:03', '2019-03-29', '2019-05-06 07:54:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, '2019-04-02'),
(698, '1903-0039', '34eurobroches29032019', 1, NULL, 0, 2114, '2019-04-02 11:13:18', '2019-03-29', '2019-05-06 07:54:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 199.50000000, 39.90000000, 239.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-03-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 199.50000000, 39.90000000, 239.40000000, NULL, NULL, '2019-04-02'),
(699, '1904-0002', '39sms270320419', 1, NULL, 0, 2114, '2019-04-08 14:48:47', '2019-04-08', '2019-06-03 07:56:47', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 707.58000000, 141.52000000, 849.10000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-04-09', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 707.58000000, 141.52000000, 849.10000000, NULL, NULL, '2019-04-08'),
(700, '1904-0003', '11preciamolen09042019', 1, NULL, 0, 2114, '2019-04-11 09:30:33', '2019-04-11', '2019-06-03 07:56:47', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 401.24000000, 80.25000000, 481.49000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-05-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 401.24000000, 80.25000000, 481.49000000, NULL, NULL, '2019-04-11'),
(701, '1904-0004', '41sms11042019', 1, NULL, 0, 2114, '2019-04-12 14:14:39', '2019-04-12', '2019-06-03 07:56:48', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.50000000, 61.90000000, 371.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-04-13', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.50000000, 61.90000000, 371.40000000, NULL, NULL, '2019-04-12'),
(702, '1904-0005', '10detfi03042019', 1, NULL, 0, 2114, '2019-04-12 15:25:23', '2019-04-12', '2019-06-03 07:56:48', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1320.00000000, 264.00000000, 1584.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-05-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1320.00000000, 264.00000000, 1584.00000000, NULL, NULL, '2019-04-12'),
(703, '1904-0006', '36coopenoix10042019', 1, NULL, 0, 2114, '2019-04-16 10:35:24', '2019-04-16', '2019-06-03 07:56:48', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 166.72000000, 33.34000000, 200.06000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-04-17', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 166.72000000, 33.34000000, 200.06000000, NULL, NULL, '2019-04-16'),
(704, '1904-0007', '37esat12042019', 1, NULL, 0, 2114, '2019-04-16 10:56:27', '2019-04-16', '2019-06-03 07:56:48', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 370.00000000, 74.00000000, 444.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-05-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 370.00000000, 74.00000000, 444.00000000, NULL, NULL, '2019-04-16'),
(705, '1904-0008', '16bontout16042019', 1, NULL, 0, 2114, '2019-04-23 10:06:02', '2019-04-23', '2019-06-03 07:56:48', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-04-24', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, '2019-04-23'),
(706, '1904-0009', '15bontout16042019', 1, NULL, 0, 2114, '2019-04-23 10:48:14', '2019-04-23', '2019-06-03 07:56:48', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, 0, NULL, NULL, 9, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, '2019-04-23'),
(707, '1904-0010', '14kerry15042019', 1, NULL, 0, 2114, '2019-04-23 11:06:27', '2019-04-23', '2019-06-03 08:02:49', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 302.55000000, 60.51000000, 363.06000000, 2, 5, NULL, 5, 0, NULL, NULL, 9, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 302.55000000, 60.51000000, 363.06000000, NULL, NULL, '2019-04-23'),
(708, '1904-0011', '38mmd15042019', 1, NULL, 0, 2114, '2019-04-23 11:19:36', '2019-04-23', '2019-06-03 08:02:49', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 180.50000000, 36.10000000, 216.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-04-24', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 180.50000000, 36.10000000, 216.60000000, NULL, NULL, '2019-04-23'),
(709, '1904-0012', '13chambaran12042019', 1, NULL, 0, 2114, '2019-04-23 14:46:23', '2019-04-23', '2019-06-03 08:02:49', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 350.00000000, 70.00000000, 420.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-04-24', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 350.00000000, 70.00000000, 420.00000000, NULL, NULL, '2019-04-23'),
(710, '1904-0013', '12sebmgrigny11042019', 1, NULL, 0, 2114, '2019-04-23 15:12:48', '2019-04-23', '2019-06-03 08:02:49', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 260.80000000, 52.16000000, 312.96000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-04-24', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 260.80000000, 52.16000000, 312.96000000, NULL, NULL, '2019-04-23'),
(711, '1904-0014', '18cibox25042019', 1, NULL, 0, 2114, '2019-04-29 10:17:15', '2019-04-29', '2019-06-03 08:02:49', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-05-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, '2019-04-29'),
(712, '1904-0015', '43debionne24042019', 1, NULL, 0, 2114, '2019-04-29 10:37:25', '2019-04-29', '2019-06-03 08:02:49', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.70000000, 42.94000000, 257.64000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-05-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.70000000, 42.94000000, 257.64000000, NULL, NULL, '2019-04-29'),
(713, '1904-0016', 'epidaure M7', 1, NULL, 0, 2114, '2019-04-29 11:03:44', '2019-04-29', '2019-06-03 07:59:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 10123.75000000, 2024.75000000, 12148.50000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-05-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 10123.75000000, 2024.75000000, 12148.50000000, NULL, NULL, '2019-04-29'),
(714, '1905-0001', 'sfacs avril2019', 1, NULL, 0, 2114, '2019-05-14 11:20:11', '2019-05-14', '2019-07-10 09:35:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, 0, NULL, NULL, 9, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, '2019-05-14'),
(715, '1905-0002', 'be2biz', 1, NULL, 0, 2114, '2019-05-17 11:14:05', '2019-05-17', '2019-07-02 14:46:14', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 3455.00000000, 691.00000000, 4146.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-05-18', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3455.00000000, 691.00000000, 4146.00000000, NULL, NULL, '2019-05-17'),
(716, '1905-0003', '47epidaure25052019', 1, NULL, 0, 2114, '2019-05-28 16:46:18', '2019-05-28', '2019-07-02 14:48:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 393.90000000, 78.78000000, 472.68000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-06-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 393.90000000, 78.78000000, 472.68000000, NULL, NULL, '2019-05-28'),
(718, '1906-0001', '28bontout27052019', 1, NULL, 0, 2114, '2019-06-03 15:09:41', '2019-06-03', '2019-09-04 06:58:39', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 277.66000000, 55.53000000, 333.19000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-04', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 277.66000000, 55.53000000, 333.19000000, NULL, NULL, '2019-06-03'),
(719, '1905-0004', '26ciram23052019', 1, NULL, 0, 2114, '2019-06-03 15:29:30', '2019-05-31', '2019-07-02 14:48:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, '2019-06-03'),
(720, '1905-0005', '43cheval13052019', 1, NULL, 0, 2114, '2019-06-04 10:06:13', '2019-05-30', '2019-07-02 14:48:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-05-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, '2019-06-04'),
(721, '1905-0006', '27desmet23052019', 1, NULL, 0, 2114, '2019-06-04 10:41:19', '2019-05-31', '2019-07-02 14:48:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, '2019-06-04'),
(722, '1905-0007', '44delormebattandier14052019', 1, NULL, 0, 2114, '2019-06-04 11:29:24', '2019-05-31', '2019-07-02 14:48:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 303.35000000, 60.67000000, 364.02000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 303.35000000, 60.67000000, 364.02000000, NULL, NULL, '2019-06-04'),
(723, '1905-0008', '31fca31052019', 1, NULL, 0, 2114, '2019-06-04 11:45:05', '2019-05-31', '2019-07-02 14:48:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1190.00000000, 238.00000000, 1428.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1190.00000000, 238.00000000, 1428.00000000, NULL, NULL, '2019-06-04'),
(725, '1905-0009', '23hdn21052019', 1, NULL, 0, 2114, '2019-06-04 16:47:59', '2019-05-31', '2019-07-02 14:48:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 682.92000000, 136.59000000, 819.51000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 682.92000000, 136.59000000, 819.51000000, NULL, NULL, '2019-06-04'),
(726, '1905-0010', '42innodec11042019', 1, NULL, 0, 2114, '2019-06-04 16:57:17', '2019-05-31', '2019-07-02 14:48:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 96.00000000, 19.20000000, 115.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 96.00000000, 19.20000000, 115.20000000, NULL, NULL, '2019-06-04'),
(727, '1905-0011', 'innodec44037', 1, NULL, 0, 2114, '2019-06-05 09:14:50', '2019-05-31', '2019-07-12 07:17:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 34883.26000000, 6976.66000000, 41859.92000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 34883.26000000, 6976.66000000, 41859.92000000, NULL, NULL, '2019-06-05'),
(728, '1905-0012', 'innodec AC', 1, NULL, 0, 2114, '2019-06-05 09:35:07', '2019-05-31', '2019-07-02 14:46:14', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 2654.00000000, 530.80000000, 3184.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-06-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2654.00000000, 530.80000000, 3184.80000000, NULL, NULL, '2019-06-05'),
(729, '1905-0013', '2019jambon03052019', 1, NULL, 0, 2114, '2019-06-05 09:59:41', '2019-05-31', '2019-07-10 09:35:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 388.70000000, 77.74000000, 466.44000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-06-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 388.70000000, 77.74000000, 466.44000000, NULL, NULL, '2019-06-05'),
(730, '1905-0014', '02mcr24052019', 1, NULL, 0, 2114, '2019-06-05 10:36:28', '2019-05-31', '2019-07-10 09:35:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-06-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, '2019-06-05'),
(731, '1905-0015', '42mpg13052019', 1, NULL, 0, 2114, '2019-06-05 14:18:42', '2019-05-31', '2019-07-10 09:35:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-06-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, '2019-06-05'),
(732, '1905-0016', '46raviole15052019', 1, NULL, 0, 2114, '2019-06-05 14:34:43', '2019-05-31', '2019-07-02 14:47:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 2764.85000000, 552.97000000, 3317.82000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2764.85000000, 552.97000000, 3317.82000000, NULL, NULL, '2019-06-05'),
(734, '1906-0002', 'pestrinjuin2019', 1, NULL, 0, 2114, '2019-06-13 10:33:27', '2019-06-13', '2019-08-05 08:25:11', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 3000.00000000, 600.00000000, 3600.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-14', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3000.00000000, 600.00000000, 3600.00000000, NULL, NULL, '2019-06-13'),
(735, '1906-0003', '25thales22/05/2019', 1, NULL, 0, 2114, '2019-06-13 14:38:25', '2019-06-13', '2019-09-04 06:58:39', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 302.55000000, 60.51000000, 363.06000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-07-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 302.55000000, 60.51000000, 363.06000000, NULL, NULL, '2019-06-13'),
(736, '1906-0004', 'beillard', 1, NULL, 0, 2114, '2019-06-14 11:27:34', '2019-06-14', '2019-09-04 06:58:39', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 642.60000000, 128.52000000, 771.12000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-15', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 642.60000000, 128.52000000, 771.12000000, NULL, NULL, '2019-06-14'),
(737, '1906-0005', '40dauphinoise13062019', 1, NULL, 0, 2114, '2019-06-14 11:30:45', '2019-06-14', '2019-09-04 06:58:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 302.55000000, 60.51000000, 363.06000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-15', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 302.55000000, 60.51000000, 363.06000000, NULL, NULL, '2019-06-14'),
(738, '1906-0006', '03deroux07072019', 1, NULL, 0, 2114, '2019-06-14 11:34:12', '2019-06-14', '2019-09-04 06:58:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 302.55000000, 60.51000000, 363.06000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-15', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 302.55000000, 60.51000000, 363.06000000, NULL, NULL, '2019-06-14'),
(739, '1906-0007', '49dauphinoise20052019', 1, NULL, 0, 2114, '2019-06-14 11:37:21', '2019-06-14', '2019-09-04 06:58:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 333.18000000, 66.64000000, 399.82000000, 2, 5, NULL, 5, 0, NULL, NULL, 9, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 333.18000000, 66.64000000, 399.82000000, NULL, NULL, '2019-06-14'),
(740, '1906-0008', '37fumas07062019', 1, NULL, 0, 2114, '2019-06-14 14:28:02', '2019-06-14', '2019-09-04 06:58:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-15', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, '2019-06-14'),
(741, '1906-0009', 'SFACS MAI JUIN 2019', 1, NULL, 0, 2114, '2019-06-19 09:01:20', '2019-06-19', '2019-08-05 08:25:11', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1500.00000000, 300.00000000, 1800.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-20', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1500.00000000, 300.00000000, 1800.00000000, NULL, NULL, '2019-06-19'),
(742, '1906-0010', '06sep18062019', 1, NULL, 0, 2114, '2019-06-20 09:54:36', '2019-06-20', '2019-09-04 06:58:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.20000000, 42.84000000, 257.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-21', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.20000000, 42.84000000, 257.04000000, NULL, NULL, '2019-06-20'),
(743, '1906-0011', '36exsto06062019', 1, NULL, 0, 2114, '2019-06-25 10:44:15', '2019-06-25', '2019-09-04 06:58:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.90000000, 58.18000000, 349.08000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-26', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.90000000, 58.18000000, 349.08000000, NULL, NULL, '2019-06-25'),
(744, '1906-0012', '35exsto06062019', 1, NULL, 0, 2114, '2019-06-25 11:07:54', '2019-06-25', '2019-09-04 06:58:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 370.00000000, 74.00000000, 444.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-26', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 370.00000000, 74.00000000, 444.00000000, NULL, NULL, '2019-06-25'),
(745, '1906-0013', '48esat17052019', 1, NULL, 0, 2114, '2019-06-26 12:02:38', '2019-06-26', '2019-09-04 06:58:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, '2019-06-26'),
(746, '1906-0014', '09dai21062019', 1, NULL, 0, 2114, '2019-06-26 14:27:06', '2019-06-26', '2019-09-04 06:58:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 548.44000000, 109.69000000, 658.13000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 548.44000000, 109.69000000, 658.13000000, NULL, NULL, '2019-06-26'),
(747, '1906-0015', '43dauphinoise24/06/2019', 1, NULL, 0, 2114, '2019-06-27 09:30:11', '2019-06-27', '2019-09-04 06:58:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 317.70000000, 63.54000000, 381.24000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-28', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 317.70000000, 63.54000000, 381.24000000, NULL, NULL, '2019-06-27'),
(748, '1906-0016', '44dauphinoise24062019', 1, NULL, 0, 2114, '2019-06-27 09:49:46', '2019-06-27', '2019-09-04 06:58:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-28', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, '2019-06-27'),
(749, '1906-0017', '10hdclamotte21062019', 1, NULL, 0, 2114, '2019-06-27 11:29:48', '2019-06-27', '2019-09-04 06:58:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-28', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, '2019-06-27'),
(750, '1906-0018', '49innodec29052019', 1, NULL, 0, 2114, '2019-06-28 10:02:30', '2019-06-28', '2019-09-04 06:58:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 635.95000000, 127.19000000, 763.14000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 635.95000000, 127.19000000, 763.14000000, NULL, NULL, '2019-06-28'),
(751, '1906-0019', 'innodec 28062019', 1, NULL, 0, 2114, '2019-06-28 11:01:18', '2019-06-28', '2019-09-04 06:58:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 648.00000000, 129.60000000, 777.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 648.00000000, 129.60000000, 777.60000000, NULL, NULL, '2019-06-28'),
(752, '1906-0020', '07jef3818062019', 1, NULL, 0, 2114, '2019-06-28 14:34:21', '2019-06-28', '2019-09-04 06:58:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, '2019-06-28'),
(753, '1906-0021', '02magicfeet07072019', 1, NULL, 0, 2114, '2019-06-28 14:56:38', '2019-06-28', '2019-09-04 06:58:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.19000000, 46.04000000, 276.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-07-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.19000000, 46.04000000, 276.23000000, NULL, NULL, '2019-06-28'),
(754, '1906-0022', '01mecaindustrie06062019', 1, NULL, 0, 2114, '2019-07-01 10:31:34', '2019-06-28', '2019-09-04 06:58:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-07-01'),
(755, '1907-0001', '29rtsi28052019', 1, NULL, 0, 2114, '2019-07-01 11:12:48', '2019-07-01', '2019-09-04 07:01:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 287.72000000, 57.54000000, 345.26000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-07-02', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 287.72000000, 57.54000000, 345.26000000, NULL, NULL, '2019-07-01'),
(756, '1906-0023', 'sarrazin 062019', 1, NULL, 0, 2114, '2019-07-01 14:17:08', '2019-06-28', '2019-09-04 06:58:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 928.62000000, 185.72000000, 1114.34000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 928.62000000, 185.72000000, 1114.34000000, NULL, NULL, '2019-07-01'),
(757, '1906-0024', '45valsoleil23052019', 1, NULL, 0, 2114, '2019-07-01 15:44:44', '2019-06-28', '2019-09-04 06:58:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-07-01'),
(758, '1907-0002', '05cegelec17062019', 1, NULL, 0, 2114, '2019-07-02 16:08:56', '2019-07-02', '2019-09-04 07:01:35', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 200.00000000, 40.00000000, 240.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-07-03', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 200.00000000, 40.00000000, 240.00000000, NULL, NULL, '2019-07-02'),
(759, '1906-0025', '41vigne14062019', 1, NULL, 0, 2114, '2019-07-03 09:32:58', '2019-06-29', '2019-09-04 06:58:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 180.50000000, 36.10000000, 216.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 180.50000000, 36.10000000, 216.60000000, NULL, NULL, '2019-07-03'),
(760, '1906-0026', '47udtmeca17052019', 1, NULL, 0, 2114, '2019-07-03 09:48:00', '2019-06-28', '2019-09-04 06:58:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 209.70000000, 41.94000000, 251.64000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 209.70000000, 41.94000000, 251.64000000, NULL, NULL, '2019-07-03'),
(761, '1907-0003', '21udtmeca22052019', 1, NULL, 0, 2114, '2019-07-03 10:00:35', '2019-07-03', '2019-09-04 07:01:35', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 305.70000000, 61.14000000, 366.84000000, 2, 5, NULL, 5, 0, NULL, NULL, 9, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 305.70000000, 61.14000000, 366.84000000, NULL, NULL, '2019-07-03'),
(762, '1906-0027', '08c coopenoix27062019', 1, NULL, 0, 2114, '2019-07-04 09:52:48', '2019-06-28', '2019-09-04 06:58:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 250.00000000, 50.00000000, 300.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 250.00000000, 50.00000000, 300.00000000, NULL, NULL, '2019-07-04'),
(763, '1906-0028', '07colladello27062019', 1, NULL, 0, 2114, '2019-07-04 10:08:21', '2019-06-28', '2019-09-04 06:58:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 302.55000000, 60.51000000, 363.06000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 302.55000000, 60.51000000, 363.06000000, NULL, NULL, '2019-07-04');
INSERT INTO `llx_facture_fourn` (`rowid`, `ref`, `ref_supplier`, `entity`, `ref_ext`, `type`, `fk_soc`, `datec`, `datef`, `tms`, `libelle`, `paye`, `amount`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_tva`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `fk_incoterms`, `location_incoterms`, `model_pdf`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `date_pointoftax`, `date_valid`) VALUES
(764, '1906-0029', '05epoxy300026062019', 1, NULL, 0, 2114, '2019-07-04 10:17:53', '2019-06-28', '2019-09-04 06:58:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 255.00000000, 51.00000000, 306.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 255.00000000, 51.00000000, 306.00000000, NULL, NULL, '2019-07-04'),
(765, '1906-0030', '06esat26062019', 1, NULL, 0, 2114, '2019-07-04 10:58:49', '2019-06-28', '2019-09-04 06:58:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 179.22000000, 35.84000000, 215.06000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 179.22000000, 35.84000000, 215.06000000, NULL, NULL, '2019-07-04'),
(766, '1906-0031', '09peillet27062019', 1, NULL, 0, 2114, '2019-07-04 14:47:01', '2019-06-28', '2019-09-04 06:58:40', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 231.50000000, 46.30000000, 277.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 231.50000000, 46.30000000, 277.80000000, NULL, NULL, '2019-07-04'),
(767, '1906-0032', '11sibelco28062019', 1, NULL, 0, 2114, '2019-07-04 15:01:43', '2019-06-28', '2019-09-04 06:58:41', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-06-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-07-04'),
(768, '1907-0004', '47simga03072019', 1, NULL, 0, 2114, '2019-07-04 15:40:38', '2019-07-04', '2019-09-04 07:01:35', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-07-05', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2019-07-04'),
(769, '1907-0005', '46mecaindustrie02072019', 1, NULL, 0, 2114, '2019-07-04 15:49:14', '2019-07-04', '2019-09-04 07:01:35', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 330.70000000, 66.14000000, 396.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-07-05', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 330.70000000, 66.14000000, 396.84000000, NULL, NULL, '2019-07-04'),
(770, '1907-0006', '48sarrazin03072019', 1, NULL, 0, 2114, '2019-07-04 15:57:11', '2019-07-04', '2019-09-04 07:01:35', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 128.12000000, 25.62000000, 153.74000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-07-05', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 128.12000000, 25.62000000, 153.74000000, NULL, NULL, '2019-07-04'),
(771, '1907-0007', '45dauphinoise27062019', 1, NULL, 0, 2114, '2019-07-08 10:17:05', '2019-07-08', '2019-09-04 07:01:35', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 327.60000000, 65.52000000, 393.12000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-07-09', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 327.60000000, 65.52000000, 393.12000000, NULL, NULL, '2019-07-08'),
(772, '1907-0008', '13epidaure28062019', 1, NULL, 0, 2114, '2019-07-08 14:13:35', '2019-07-08', '2019-09-04 07:01:35', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1500.30000000, 300.06000000, 1800.36000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-07-09', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1500.30000000, 300.06000000, 1800.36000000, NULL, NULL, '2019-07-08'),
(773, '1907-0009', '17acierie06072019', 1, NULL, 0, 2114, '2019-07-09 09:06:25', '2019-07-09', '2019-09-04 07:01:35', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 385.17000000, 77.03000000, 462.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-07-10', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 385.17000000, 77.03000000, 462.20000000, NULL, NULL, '2019-07-09'),
(774, '1907-0010', '14jtlaser03072019', 1, NULL, 0, 2114, '2019-07-09 10:05:08', '2019-07-09', '2019-09-04 07:01:35', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-07-10', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-07-09'),
(775, '1907-0011', 'sfacsedrjuillet 2019', 1, NULL, 0, 2114, '2019-07-10 16:24:57', '2019-07-10', '2019-09-04 07:01:35', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, 0, NULL, NULL, 15, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, '2019-07-10'),
(776, '1907-0012', '21brd25072019', 1, NULL, 0, 2114, '2019-07-29 11:04:24', '2019-07-29', '2019-09-04 07:01:35', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-07-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-07-29'),
(777, '1907-0013', '49bagalu24072019', 1, NULL, 0, 2114, '2019-07-29 11:09:52', '2019-07-29', '2019-09-04 07:01:35', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-07-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-07-29'),
(778, '1907-0014', '22brasserie plaien lune25072019', 1, NULL, 0, 2114, '2019-07-29 11:16:18', '2019-07-29', '2019-09-04 07:01:35', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-07-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, '2019-07-29'),
(779, '1907-0015', '50carriescopic24072019', 1, NULL, 0, 2114, '2019-07-29 14:21:57', '2019-07-29', '2019-09-04 07:01:35', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-07-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, '2019-07-29'),
(780, '1907-0016', '12clergerie28062019', 1, NULL, 0, 2114, '2019-07-29 14:46:08', '2019-07-29', '2019-09-04 07:01:35', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-07-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-07-29'),
(781, '1907-0017', '15fromageriealpine19072019', 1, NULL, 0, 2114, '2019-07-29 15:16:25', '2019-07-29', '2019-09-05 12:07:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-07-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-07-29'),
(782, '1907-0018', '50fca10072019', 1, NULL, 0, 2114, '2019-07-29 15:33:44', '2019-07-29', '2019-09-05 12:07:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-07-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-07-29'),
(783, '1907-0019', '37mmd11072019', 1, NULL, 0, 2114, '2019-07-31 10:06:45', '2019-07-31', '2019-09-05 12:07:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-07-31'),
(784, '1907-0020', '36navya11072019', 1, NULL, 0, 2114, '2019-07-31 10:32:10', '2019-07-31', '2019-09-05 12:07:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 400.00000000, 80.00000000, 480.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 400.00000000, 80.00000000, 480.00000000, NULL, NULL, '2019-07-31'),
(785, '1907-0021', '39psi15072019', 1, NULL, 0, 2114, '2019-07-31 10:49:11', '2019-07-31', '2019-09-05 12:07:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2019-07-31'),
(786, '1907-0022', '10pavailler28062019', 1, NULL, 0, 2114, '2019-07-31 10:55:04', '2019-07-31', '2019-09-05 12:07:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 200.00000000, 40.00000000, 240.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 200.00000000, 40.00000000, 240.00000000, NULL, NULL, '2019-07-31'),
(787, '1907-0023', 'rignol17072019', 1, NULL, 0, 2114, '2019-07-31 11:29:38', '2019-07-31', '2019-09-05 12:07:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 704.64000000, 140.93000000, 845.57000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 704.64000000, 140.93000000, 845.57000000, NULL, NULL, '2019-07-31'),
(788, '1907-0024', '49rotomod04072019', 1, NULL, 0, 2114, '2019-08-01 15:17:06', '2019-07-31', '2019-09-05 12:07:21', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2019-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-08-01'),
(789, '1908-0001', 'sfacs aout 2019', 1, NULL, 0, 2114, '2019-08-08 09:07:13', '2019-08-08', '2019-10-02 07:48:00', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-09-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, '2019-08-08'),
(790, '1908-0002', '19aciries02082019', 1, NULL, 0, 2114, '2019-08-08 09:46:08', '2019-08-08', '2019-10-02 07:48:01', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 292.00000000, 58.40000000, 350.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-08-09', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 292.00000000, 58.40000000, 350.40000000, NULL, NULL, '2019-08-08'),
(791, '1908-0003', '02cop31072019', 1, NULL, 0, 2114, '2019-08-08 10:11:03', '2019-08-08', '2019-10-02 07:48:01', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-08-09', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, '2019-08-08'),
(792, '1908-0004', '03jars01082019', 1, NULL, 0, 2114, '2019-08-08 10:39:14', '2019-08-08', '2019-10-02 07:48:01', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, NULL, '2019-08-09', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-08-08'),
(793, '1908-0005', '05molteni06082019', 1, NULL, 0, 2114, '2019-08-08 11:22:01', '2019-08-08', '2019-10-02 07:48:01', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-09-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, '2019-08-08'),
(794, '1908-0006', '04preciamolen08082019', 1, NULL, 0, 2114, '2019-08-08 11:31:40', '2019-08-08', '2019-10-02 07:48:01', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, NULL, '2019-08-09', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2019-08-08'),
(795, '1908-0007', 'sms082019', 1, NULL, 0, 2114, '2019-08-08 11:44:08', '2019-08-08', '2019-10-02 07:48:01', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 544.42000000, 108.89000000, 653.31000000, 2, 5, NULL, 5, NULL, NULL, NULL, 15, NULL, '2019-08-09', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 544.42000000, 108.89000000, 653.31000000, NULL, NULL, '2019-08-08'),
(796, '1908-0008', '11epidaure28062019', 1, NULL, 0, 2114, '2019-08-09 11:03:42', '2019-08-09', '2019-10-02 07:48:01', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 267.00000000, 53.40000000, 320.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-09-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 267.00000000, 53.40000000, 320.40000000, NULL, NULL, '2019-08-09'),
(797, '1908-0009', '07procyl08082019', 1, NULL, 0, 2114, '2019-08-09 11:10:21', '2019-08-09', '2019-10-02 07:48:01', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, 0, NULL, NULL, 15, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2019-08-09'),
(798, '1908-0010', '08huilerie09082019', 1, NULL, 0, 2114, '2019-08-12 10:37:01', '2019-08-12', '2019-10-02 07:48:01', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 65.52000000, 13.10000000, 78.62000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-09-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 65.52000000, 13.10000000, 78.62000000, NULL, NULL, '2019-08-12'),
(799, '1908-0011', '38kerry12072019', 1, NULL, 0, 2114, '2019-08-12 14:31:06', '2019-08-12', '2019-10-02 07:48:01', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-08-13', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-08-12'),
(800, '1908-0012', '09sebmgenas12082019', 1, NULL, 0, 2114, '2019-08-13 09:38:40', '2019-08-13', '2019-10-02 07:48:01', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-09-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-08-13'),
(801, '1908-0013', '06cros08082019', 1, NULL, 0, 2114, '2019-08-13 10:17:38', '2019-08-13', '2019-10-02 07:48:01', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-09-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-08-13'),
(802, '1908-0014', '22rtsi12082019', 1, NULL, 0, 2114, '2019-08-13 10:43:10', '2019-08-13', '2019-10-02 07:48:01', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-09-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-08-13'),
(803, '1908-0015', '23autopiece13082019', 1, NULL, 0, 2114, '2019-08-21 14:50:01', '2019-08-21', '2019-10-02 07:48:01', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-08-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-08-21'),
(804, '1908-0016', '15peillet20082019', 1, NULL, 0, 2114, '2019-08-21 14:56:58', '2019-08-21', '2019-10-02 07:48:01', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 191.41000000, 38.28000000, 229.69000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-08-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 191.41000000, 38.28000000, 229.69000000, NULL, NULL, '2019-08-21'),
(805, '1908-0017', '14cdental20082019', 1, NULL, 0, 2114, '2019-08-21 15:06:34', '2019-08-21', '2019-10-02 07:48:01', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-08-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-08-21'),
(806, '1908-0018', '11sibelco14082019', 1, NULL, 0, 2114, '2019-08-21 16:27:09', '2019-08-21', '2019-10-02 07:48:01', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 560.00000000, 112.00000000, 672.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-08-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 560.00000000, 112.00000000, 672.00000000, NULL, NULL, '2019-08-21'),
(807, '1908-0019', '18dauphinoise29072019', 1, NULL, 0, 2114, '2019-08-22 09:16:14', '2019-08-22', '2019-10-02 07:49:14', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-08-23', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-08-22'),
(808, '1908-0020', '22francecaoutchouc280282019', 1, NULL, 0, 2114, '2019-08-29 10:10:42', '2019-08-29', '2019-10-02 07:49:14', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-08-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-08-29'),
(809, '1908-0021', '21soralep26082019', 1, NULL, 0, 2114, '2019-08-29 10:13:32', '2019-08-29', '2019-10-02 07:49:14', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1000.00000000, 200.00000000, 1200.00000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1000.00000000, 200.00000000, 1200.00000000, NULL, NULL, '2019-08-29'),
(810, '1908-0022', '18cintralp22082019', 1, NULL, 0, 2114, '2019-08-29 11:24:19', '2019-08-29', '2019-10-02 07:49:14', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 115.80000000, 23.16000000, 138.96000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-08-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 115.80000000, 23.16000000, 138.96000000, NULL, NULL, '2019-08-29'),
(811, '1908-0023', '20insoft22082019', 1, NULL, 0, 2114, '2019-08-29 11:36:55', '2019-08-29', '2019-10-02 07:50:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-09-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-08-29'),
(812, '1908-0024', '23mpg28082019', 1, NULL, 0, 2114, '2019-08-29 14:31:17', '2019-08-29', '2019-10-02 07:50:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-08-29'),
(813, '1908-0025', '19m2222082019', 1, NULL, 0, 2114, '2019-08-29 15:11:40', '2019-08-29', '2019-10-02 07:50:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-08-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2019-08-29'),
(814, '1908-0026', '24scierie de chambaran28082019', 1, NULL, 0, 2114, '2019-08-30 14:23:50', '2019-08-30', '2019-10-02 07:50:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 250.00000000, 50.00000000, 300.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-09-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 250.00000000, 50.00000000, 300.00000000, NULL, NULL, '2019-08-30'),
(815, '1909-0001', 'sfacs septembre 2019', 1, NULL, 0, 2114, '2019-09-05 15:42:48', '2019-09-05', '2019-10-28 10:09:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, '2019-09-05'),
(816, '1909-0002', '50baxter30/08/2019', 1, NULL, 0, 2114, '2019-09-06 11:07:16', '2019-09-06', '2019-10-28 10:09:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 285.26000000, 57.05000000, 342.31000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-09-07', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 285.26000000, 57.05000000, 342.31000000, NULL, NULL, '2019-09-06'),
(817, '1909-0003', '28brasseriepleinelune04092019', 1, NULL, 0, 2114, '2019-09-13 16:31:28', '2019-09-13', '2019-10-28 10:09:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 192.00000000, 38.40000000, 230.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-09-14', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 192.00000000, 38.40000000, 230.40000000, NULL, NULL, '2019-09-13'),
(818, '1909-0004', '34couix10092019', 1, NULL, 0, 2114, '2019-09-16 10:32:11', '2019-09-16', '2019-10-28 10:09:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-09-17', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-09-16'),
(819, '1909-0005', '27capag06092019', 1, NULL, 0, 2114, '2019-09-16 11:07:32', '2019-09-16', '2019-10-28 10:09:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-09-16'),
(820, '1909-0006', '30reyfreres11092019', 1, NULL, 0, 2114, '2019-09-16 14:50:21', '2019-09-16', '2019-10-28 10:09:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-09-17', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2019-09-16'),
(821, '1909-0007', '21sarrazin00092019', 1, NULL, 0, 2114, '2019-09-16 15:42:02', '2019-09-16', '2019-10-28 10:09:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 152.12000000, 30.42000000, 182.54000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-09-17', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 152.12000000, 30.42000000, 182.54000000, NULL, NULL, '2019-09-16'),
(822, '1909-0008', '38cms12092019', 1, NULL, 0, 2114, '2019-09-17 11:43:22', '2019-09-17', '2019-10-28 10:09:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2019-09-17'),
(823, '1909-0009', '41bulleverte16092019', 1, NULL, 0, 2114, '2019-09-19 14:55:00', '2019-09-19', '2019-10-28 10:09:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 859.62000000, 171.92000000, 1031.54000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-09-20', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 859.62000000, 171.92000000, 1031.54000000, NULL, NULL, '2019-09-19'),
(824, '1909-0010', '35cop11092019', 1, NULL, 0, 2114, '2019-09-19 15:33:41', '2019-09-19', '2019-10-28 10:09:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 250.40000000, 50.08000000, 300.48000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-09-20', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 250.40000000, 50.08000000, 300.48000000, NULL, NULL, '2019-09-19'),
(825, '1909-0011', '33akcentreauto18092019', 1, NULL, 0, 2114, '2019-09-25 16:13:42', '2019-09-25', '2019-10-28 10:09:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-09-26', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-09-25'),
(826, '1909-0012', '02combalot24092019', 1, NULL, 0, 2114, '2019-09-25 16:42:47', '2019-09-25', '2019-10-28 10:09:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 107.36000000, 21.47000000, 128.83000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-09-26', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 107.36000000, 21.47000000, 128.83000000, NULL, NULL, '2019-09-25'),
(827, '1909-0013', '35chaussy20092019', 1, NULL, 0, 2114, '2019-09-25 16:51:28', '2019-09-25', '2019-11-05 10:29:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-09-26', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-09-25'),
(828, '1909-0014', '29cibox05092019', 1, NULL, 0, 2114, '2019-09-26 10:08:12', '2019-09-26', '2019-11-05 10:29:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 257.70000000, 51.54000000, 309.24000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 257.70000000, 51.54000000, 309.24000000, NULL, NULL, '2019-09-26'),
(829, '1909-0015', '36cibox11092019', 1, NULL, 0, 2114, '2019-09-26 10:20:51', '2019-09-26', '2019-11-05 10:29:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 257.70000000, 51.54000000, 309.24000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 257.70000000, 51.54000000, 309.24000000, NULL, NULL, '2019-09-26'),
(830, '1909-0016', '13courbis19072019', 1, NULL, 0, 2114, '2019-09-26 10:36:03', '2019-09-26', '2019-11-05 10:29:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, 0, NULL, NULL, 15, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2019-09-26'),
(831, '1909-0017', '14courbis19072019', 1, NULL, 0, 2114, '2019-09-26 10:40:26', '2019-09-26', '2019-11-05 10:29:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, 0, NULL, NULL, 15, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2019-09-26'),
(832, '1909-0018', '4243delphinox19072019', 1, NULL, 0, 2114, '2019-09-26 11:39:59', '2019-09-26', '2019-11-05 10:29:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 469.76000000, 93.95000000, 563.71000000, 2, 5, NULL, 5, 0, NULL, NULL, 15, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 469.76000000, 93.95000000, 563.71000000, NULL, NULL, '2019-09-26'),
(833, '1909-0019', '24detfi02092019', 1, NULL, 0, 2114, '2019-09-26 11:55:19', '2019-09-26', '2019-11-05 10:29:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, 0, NULL, NULL, 15, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2019-09-26'),
(834, '1909-0020', '25deval02092019', 1, NULL, 0, 2114, '2019-09-26 14:07:54', '2019-09-26', '2019-11-05 10:29:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, 0, NULL, NULL, 15, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2019-09-26'),
(835, '1909-0021', '30epoxy300005092019', 1, NULL, 0, 2114, '2019-09-26 14:46:43', '2019-09-26', '2019-11-05 10:29:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 357.54000000, 71.51000000, 429.05000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', 'canelle', NULL, NULL, 0, 'EUR', 1.00000000, 357.54000000, 71.51000000, 429.05000000, NULL, NULL, '2019-09-26'),
(836, '1909-0022', '31ivars13092019', 1, NULL, 0, 2114, '2019-09-26 15:04:10', '2019-09-26', '2019-11-05 10:29:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-09-26'),
(837, '1909-0023', '32ivars13092019', 1, NULL, 0, 2114, '2019-09-26 15:09:32', '2019-09-26', '2019-11-05 10:29:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-09-26'),
(838, '1909-0024', '33isra10092019', 1, NULL, 0, 2114, '2019-09-26 15:20:46', '2019-09-26', '2019-11-05 10:29:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 320.00000000, 64.00000000, 384.00000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 320.00000000, 64.00000000, 384.00000000, NULL, NULL, '2019-09-26'),
(839, '1909-0025', '26innodec05092019', 1, NULL, 0, 2114, '2019-09-26 15:36:55', '2019-09-26', '2019-11-05 10:30:00', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 320.00000000, 64.00000000, 384.00000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 320.00000000, 64.00000000, 384.00000000, NULL, NULL, '2019-09-26'),
(840, '1909-0026', '26lucehydro02092019', 1, NULL, 0, 2114, '2019-09-26 15:54:52', '2019-09-26', '2019-11-05 10:30:00', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-09-26'),
(841, '1909-0027', '24mcr29082019', 1, NULL, 0, 2114, '2019-09-26 16:40:37', '2019-09-26', '2019-11-05 10:30:00', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-09-26'),
(842, '1909-0028', '27modelageconcept12092019', 1, NULL, 0, 2114, '2019-09-26 16:55:00', '2019-09-26', '2019-11-05 10:30:00', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 122.28000000, 24.46000000, 146.74000000, 2, 5, NULL, 5, NULL, NULL, NULL, 1, NULL, '2019-09-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 122.28000000, 24.46000000, 146.74000000, NULL, NULL, '2019-09-26'),
(843, '1909-0029', '2837dauph20092019', 1, NULL, 0, 2114, '2019-09-27 09:45:30', '2019-09-27', '2019-11-05 10:30:00', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 580.28000000, 116.06000000, 696.34000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 580.28000000, 116.06000000, 696.34000000, NULL, NULL, '2019-09-27'),
(844, '1909-0030', '26rochegude06092019', 1, NULL, 0, 2114, '2019-09-27 10:04:01', '2019-09-27', '2019-11-05 10:30:00', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-09-27'),
(845, '1909-0031', '29mafe09092018', 1, NULL, 0, 2114, '2019-09-27 10:41:43', '2019-09-27', '2019-11-05 10:30:00', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 249.20000000, 49.84000000, 299.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 249.20000000, 49.84000000, 299.04000000, NULL, NULL, '2019-09-27'),
(846, '1909-0032', '30pollien23092019', 1, NULL, 0, 2114, '2019-09-27 10:55:08', '2019-09-27', '2019-11-05 10:30:00', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, 0, NULL, NULL, 15, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2019-09-27'),
(847, '1909-0033', '28dpi06092019', 1, NULL, 0, 2114, '2019-09-27 11:36:53', '2019-09-27', '2019-11-05 10:30:00', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-09-27'),
(848, '1909-0034', '23rignol26072019', 1, NULL, 0, 2114, '2019-09-27 11:49:33', '2019-09-27', '2019-11-05 10:30:00', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 136.88000000, 27.38000000, 164.26000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-09-28', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 136.88000000, 27.38000000, 164.26000000, NULL, NULL, '2019-09-27'),
(849, '1909-0035', '29sorea20092019', 1, NULL, 0, 2114, '2019-09-30 15:31:22', '2019-09-30', '2019-11-05 10:30:00', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2019-09-30'),
(850, '1909-0036', '44sebmsud18092019', 1, NULL, 0, 2114, '2019-09-30 16:15:03', '2019-09-30', '2019-11-05 10:30:00', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-09-30'),
(851, '1910-0001', '40delpack12092019', 1, NULL, 0, 2114, '2019-10-01 09:24:15', '2019-10-01', '2019-11-25 11:22:22', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2019-10-01'),
(852, '1910-0002', 'octobre 2019', 1, NULL, 0, 2114, '2019-10-01 09:33:44', '2019-10-01', '2019-11-25 11:22:22', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, '2019-10-01'),
(853, '1909-0037', '39serkol12092019', 1, NULL, 0, 2114, '2019-10-01 09:38:36', '2019-09-30', '2019-11-05 10:30:00', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2019-10-01'),
(854, '1909-0038', '10sebm13082019', 1, NULL, 0, 2114, '2019-10-01 10:05:29', '2019-09-30', '2019-11-05 10:32:03', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1200.00000000, 240.00000000, 1440.00000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1200.00000000, 240.00000000, 1440.00000000, NULL, NULL, '2019-10-01'),
(855, '1909-0039', '03telenco25092019', 1, NULL, 0, 2114, '2019-10-01 10:40:02', '2019-09-30', '2019-11-05 10:32:03', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2019-10-01'),
(856, '1909-0040', '04tgcp25092019', 1, NULL, 0, 2114, '2019-10-01 10:48:01', '2019-09-30', '2019-11-05 10:32:03', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 136.88000000, 27.38000000, 164.26000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 136.88000000, 27.38000000, 164.26000000, NULL, NULL, '2019-10-01'),
(857, '1909-0041', '01tenabutty23092019', 1, NULL, 0, 2114, '2019-10-01 11:06:00', '2019-09-30', '2019-11-05 10:32:03', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-10-01'),
(858, '1909-0042', '47tiba23092019', 1, NULL, 0, 2114, '2019-10-01 11:13:58', '2019-09-30', '2019-11-05 10:32:03', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 257.70000000, 51.54000000, 309.24000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 257.70000000, 51.54000000, 309.24000000, NULL, NULL, '2019-10-01'),
(859, '1909-0043', '32terredhorizon23092019', 1, NULL, 0, 2114, '2019-10-01 11:19:47', '2019-09-30', '2019-11-05 10:32:03', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-10-01'),
(860, '1909-0044', '45thxmedical18092019', 1, NULL, 0, 2114, '2019-10-01 14:18:54', '2019-09-30', '2019-11-05 10:32:03', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 648.00000000, 129.60000000, 777.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 648.00000000, 129.60000000, 777.60000000, NULL, NULL, '2019-10-01'),
(861, '1910-0003', 'transalp06092019', 1, NULL, 0, 2114, '2019-10-01 14:29:48', '2019-10-01', '2019-11-25 11:22:22', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 544.42000000, 108.89000000, 653.31000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 544.42000000, 108.89000000, 653.31000000, NULL, NULL, '2019-10-01'),
(862, '1909-0045', '25vigne28082019', 1, NULL, 0, 2114, '2019-10-01 14:54:10', '2019-09-30', '2019-11-05 10:32:03', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-10-01'),
(863, '1909-0046', '06deves092019', 1, NULL, 0, 2114, '2019-10-01 15:31:42', '2019-09-30', '2019-11-05 10:32:03', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-10-01'),
(864, '1910-0004', '36sira25092019', 1, NULL, 0, 2114, '2019-10-02 14:09:21', '2019-10-02', '2019-11-25 11:22:22', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 250.40000000, 50.08000000, 300.48000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-10-03', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 250.40000000, 50.08000000, 300.48000000, NULL, NULL, '2019-10-02'),
(865, '1909-0047', '08tiba30092019', 1, NULL, 0, 2114, '2019-10-03 09:31:08', '2019-09-30', '2019-11-05 10:32:03', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2019-10-03'),
(866, '1909-0048', '07tiba30092019', 1, NULL, 0, 2114, '2019-10-03 09:36:11', '2019-09-30', '2019-11-05 10:32:04', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2019-10-03'),
(867, '1909-0049', 'tiba30092019', 1, NULL, 0, 2114, '2019-10-03 09:38:51', '2019-09-30', '2019-11-05 10:32:04', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 96.00000000, 19.20000000, 115.20000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 96.00000000, 19.20000000, 115.20000000, NULL, NULL, '2019-10-03'),
(868, '1910-0005', '38bontout02102019', 1, NULL, 0, 2114, '2019-10-03 11:41:07', '2019-10-03', '2019-11-25 11:22:22', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2019-10-03'),
(869, '1909-0050', '37harmonyl27092019', 1, NULL, 0, 2114, '2019-10-03 14:24:20', '2019-09-30', '2019-11-06 08:24:29', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-10-03'),
(870, '1909-0051', '5mcr27092019', 1, NULL, 0, 2114, '2019-10-03 14:42:30', '2019-09-30', '2019-11-06 08:24:29', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 249.20000000, 49.84000000, 299.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-10-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 249.20000000, 49.84000000, 299.04000000, NULL, NULL, '2019-10-03'),
(871, '1910-0006', '04baxter28102019', 1, NULL, 0, 2114, '2019-10-30 09:44:05', '2019-10-30', '2019-11-25 11:22:22', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 390.70000000, 78.14000000, 468.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-11-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 390.70000000, 78.14000000, 468.84000000, NULL, NULL, '2019-10-30'),
(872, '1910-0007', '04beillardtube10102019', 1, NULL, 0, 2114, '2019-10-30 10:03:28', '2019-10-30', '2019-11-25 11:22:22', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 650.00000000, 130.00000000, 780.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 650.00000000, 130.00000000, 780.00000000, NULL, NULL, '2019-10-30'),
(873, '1910-0008', '13cms2310209', 1, NULL, 0, 2114, '2019-10-30 10:30:37', '2019-10-30', '2019-11-25 11:17:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 151.48000000, 30.30000000, 181.78000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-10-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 151.48000000, 30.30000000, 181.78000000, NULL, NULL, '2019-10-30'),
(874, '1910-0009', 'coval25102019', 1, NULL, 0, 2114, '2019-11-04 10:04:17', '2019-10-31', '2019-11-25 11:17:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 690.00000000, 138.00000000, 828.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 690.00000000, 138.00000000, 828.00000000, NULL, NULL, '2019-11-04'),
(875, '1911-0001', '12combalot18102019', 1, NULL, 0, 2114, '2019-11-04 10:16:46', '2019-11-04', '2019-12-03 09:35:39', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 202.11000000, 40.42000000, 242.53000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 202.11000000, 40.42000000, 242.53000000, NULL, NULL, '2019-11-04'),
(876, '1911-0002', '15bourbon30102019', 1, NULL, 0, 2114, '2019-11-04 11:02:53', '2019-11-04', '2019-12-03 09:35:39', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 390.70000000, 78.14000000, 468.84000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 390.70000000, 78.14000000, 468.84000000, NULL, NULL, '2019-11-04'),
(877, '1910-0010', '36epidaure14102019', 1, NULL, 0, 2114, '2019-11-04 12:26:00', '2019-10-31', '2019-11-25 11:17:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 905.88000000, 181.18000000, 1087.06000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 905.88000000, 181.18000000, 1087.06000000, NULL, NULL, '2019-11-04'),
(878, '1911-0003', '03guichardrodage25102019', 1, NULL, 0, 2114, '2019-11-04 14:29:05', '2019-11-04', '2019-12-03 09:35:39', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2019-11-04'),
(879, '1910-0011', 'sfacs octobre2019', 1, NULL, 0, 2114, '2019-11-04 14:30:23', '2019-10-31', '2019-11-25 11:17:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, '2019-11-04'),
(880, '1910-0012', 'hdn2019', 1, NULL, 0, 2114, '2019-11-04 14:54:10', '2019-10-31', '2019-11-25 11:17:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 619.08000000, 123.82000000, 742.90000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 619.08000000, 123.82000000, 742.90000000, NULL, NULL, '2019-11-04'),
(881, '1911-0004', '50m2223102019', 1, NULL, 0, 2114, '2019-11-04 15:10:34', '2019-11-04', '2019-12-03 09:35:39', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 390.70000000, 78.14000000, 468.84000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 390.70000000, 78.14000000, 468.84000000, NULL, NULL, '2019-11-04'),
(882, '1911-0005', '38marion18102019', 1, NULL, 0, 2114, '2019-11-04 15:29:41', '2019-11-04', '2019-12-03 09:35:39', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 534.00000000, 106.80000000, 640.80000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 534.00000000, 106.80000000, 640.80000000, NULL, NULL, '2019-11-04'),
(883, '1910-0013', 'plateforme38102019', 1, NULL, 0, 2114, '2019-11-04 15:48:28', '2019-10-31', '2019-12-03 09:38:36', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 691.08000000, 138.22000000, 829.30000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 691.08000000, 138.22000000, 829.30000000, NULL, NULL, '2019-11-04');
INSERT INTO `llx_facture_fourn` (`rowid`, `ref`, `ref_supplier`, `entity`, `ref_ext`, `type`, `fk_soc`, `datec`, `datef`, `tms`, `libelle`, `paye`, `amount`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_tva`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `fk_incoterms`, `location_incoterms`, `model_pdf`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `date_pointoftax`, `date_valid`) VALUES
(884, '1910-0014', '37perrolier17102019', 1, NULL, 0, 2114, '2019-11-04 16:27:44', '2019-10-31', '2019-12-03 09:38:36', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 220.00000000, 44.00000000, 264.00000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 220.00000000, 44.00000000, 264.00000000, NULL, NULL, '2019-11-04'),
(885, '1910-0015', '45primse 11102019', 1, NULL, 0, 2114, '2019-11-04 16:38:32', '2019-10-31', '2019-12-03 09:38:36', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-11-04'),
(886, '1910-0016', '41podis07102019', 1, NULL, 0, 2114, '2019-11-05 09:13:23', '2019-10-31', '2019-12-03 09:38:36', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 390.70000000, 78.14000000, 468.84000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 390.70000000, 78.14000000, 468.84000000, NULL, NULL, '2019-11-05'),
(887, '1911-0006', 'placeo11102019', 1, NULL, 0, 2114, '2019-11-05 09:35:35', '2019-11-05', '2019-12-03 09:35:39', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1016.28000000, 203.26000000, 1219.54000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1016.28000000, 203.26000000, 1219.54000000, NULL, NULL, '2019-11-05'),
(888, '1911-0007', '05rotom15102019', 1, NULL, 0, 2114, '2019-11-05 11:01:17', '2019-11-05', '2019-12-03 09:39:44', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2019-11-05'),
(889, '1911-0008', '06rotom15102019', 1, NULL, 0, 2114, '2019-11-05 11:09:44', '2019-11-05', '2019-12-03 09:39:44', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2019-11-05'),
(890, '1911-0009', '47celta18102019', 1, NULL, 0, 2114, '2019-11-05 11:29:57', '2019-11-05', '2019-12-03 09:39:44', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 390.70000000, 78.14000000, 468.84000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 390.70000000, 78.14000000, 468.84000000, NULL, NULL, '2019-11-05'),
(891, '1910-0017', '49soralep18102019', 1, NULL, 0, 2114, '2019-11-06 10:38:01', '2019-10-31', '2019-12-03 09:38:36', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-11-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2019-11-06'),
(892, '1910-0018', '48soralep18102019', 1, NULL, 0, 2114, '2019-11-06 11:09:23', '2019-10-31', '2019-12-03 09:38:36', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-11-06'),
(893, '1910-0019', '40thx22102019', 1, NULL, 0, 2114, '2019-11-06 11:46:17', '2019-10-31', '2019-12-03 09:38:36', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 712.76000000, 142.55000000, 855.31000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 712.76000000, 142.55000000, 855.31000000, NULL, NULL, '2019-11-06'),
(894, '1910-0020', '03valgourmet08102019', 1, NULL, 0, 2114, '2019-11-06 14:55:57', '2019-10-31', '2019-12-03 09:38:36', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 233.70000000, 46.74000000, 280.44000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 233.70000000, 46.74000000, 280.44000000, NULL, NULL, '2019-11-06'),
(895, '1910-0021', '33sms08102019', 1, NULL, 0, 2114, '2019-11-06 15:21:51', '2019-10-31', '2019-12-03 09:35:39', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 433.50000000, 86.70000000, 520.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 433.50000000, 86.70000000, 520.20000000, NULL, NULL, '2019-11-06'),
(896, '1911-0010', '41innodec23102019', 1, NULL, 0, 2114, '2019-11-06 15:38:10', '2019-11-06', '2019-12-03 09:39:44', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 314.70000000, 62.94000000, 377.64000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 314.70000000, 62.94000000, 377.64000000, NULL, NULL, '2019-11-06'),
(897, '1910-0022', '39huilerie21102019', 1, NULL, 0, 2114, '2019-11-06 16:04:12', '2019-10-31', '2019-12-03 09:35:39', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 112.06000000, 22.41000000, 134.47000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-11-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 112.06000000, 22.41000000, 134.47000000, NULL, NULL, '2019-11-06'),
(898, '1911-0011', '44ville04112019', 1, NULL, 0, 2114, '2019-11-07 11:10:46', '2019-11-07', '2020-01-03 09:03:25', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 405.54000000, 81.11000000, 486.65000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-11-08', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 405.54000000, 81.11000000, 486.65000000, NULL, NULL, '2019-11-07'),
(899, '1911-0012', '20baxter12112019', 1, NULL, 0, 2114, '2019-11-29 11:52:42', '2019-11-29', '2020-01-03 09:03:25', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 534.00000000, 106.80000000, 640.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-11-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 534.00000000, 106.80000000, 640.80000000, NULL, NULL, '2019-11-29'),
(900, '1911-0013', 'beillardtubeschantier', 1, NULL, 0, 2114, '2019-11-29 14:06:20', '2019-11-29', '2020-01-03 09:03:25', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 3037.00000000, 607.40000000, 3644.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-12-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3037.00000000, 607.40000000, 3644.40000000, NULL, NULL, '2019-11-29'),
(901, '1911-0014', '13coval18112019', 1, NULL, 0, 2114, '2019-11-29 14:29:03', '2019-11-29', '2020-01-03 09:07:44', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 182.05000000, 36.41000000, 218.46000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-11-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 182.05000000, 36.41000000, 218.46000000, NULL, NULL, '2019-11-29'),
(902, '1911-0015', '07cop04112019', 1, NULL, 0, 2114, '2019-11-29 15:30:49', '2019-11-29', '2020-01-03 09:07:44', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 480.00000000, 96.00000000, 576.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-11-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 480.00000000, 96.00000000, 576.00000000, NULL, NULL, '2019-11-29'),
(903, '1911-0016', '29detfi27112019', 1, NULL, 0, 2114, '2019-11-29 15:45:03', '2019-11-29', '2020-01-03 09:07:44', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 108.50000000, 21.70000000, 130.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-12-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 108.50000000, 21.70000000, 130.20000000, NULL, NULL, '2019-11-29'),
(904, '1911-0017', '24dumg13112019', 1, NULL, 0, 2114, '2019-11-29 16:49:25', '2019-11-29', '2020-01-03 09:07:44', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2019-12-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, '2019-11-29'),
(905, '1911-0018', '47thx13112019', 1, NULL, 0, 2114, '2019-12-02 09:41:18', '2019-11-29', '2020-01-03 09:07:44', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 909.50000000, 181.90000000, 1091.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-11-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 909.50000000, 181.90000000, 1091.40000000, NULL, NULL, '2019-12-02'),
(906, '1911-0019', '21cef12112019', 1, NULL, 0, 2114, '2019-12-02 09:57:43', '2019-11-29', '2020-01-03 09:07:44', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 357.35000000, 71.47000000, 428.82000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-11-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 357.35000000, 71.47000000, 428.82000000, NULL, NULL, '2019-12-02'),
(907, '1911-0020', '48detfi14112019', 1, NULL, 0, 2114, '2019-12-02 10:06:07', '2019-11-30', '2020-01-03 09:07:44', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 308.50000000, 61.70000000, 370.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-12-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 308.50000000, 61.70000000, 370.20000000, NULL, NULL, '2019-12-02'),
(908, '1911-0021', '02deves08102019', 1, NULL, 0, 2114, '2019-12-02 10:30:23', '2019-11-29', '2020-01-03 09:07:44', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 331.02000000, 66.20000000, 397.22000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-11-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 331.02000000, 66.20000000, 397.22000000, NULL, NULL, '2019-12-02'),
(910, '1911-0022', '49epidaure28112019', 1, NULL, 0, 2114, '2019-12-02 10:47:26', '2019-11-28', '2020-01-03 09:07:44', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 181.96000000, 36.39000000, 218.35000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-11-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 181.96000000, 36.39000000, 218.35000000, NULL, NULL, '2019-12-02'),
(911, '1911-0023', '26idea21112019', 1, NULL, 0, 2114, '2019-12-02 14:26:13', '2019-11-29', '2020-01-03 09:07:44', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 122.28000000, 24.46000000, 146.74000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-11-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 122.28000000, 24.46000000, 146.74000000, NULL, NULL, '2019-12-02'),
(912, '1911-0024', '19huilerie07112019', 1, NULL, 0, 2114, '2019-12-02 15:01:41', '2019-11-29', '2020-01-03 09:07:44', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 185.52000000, 37.10000000, 222.62000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-11-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 185.52000000, 37.10000000, 222.62000000, NULL, NULL, '2019-12-02'),
(913, '1912-0001', '18huilerie05112019', 1, NULL, 0, 2114, '2019-12-02 15:03:25', '2019-12-02', '2020-01-21 08:23:33', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 233.52000000, 46.70000000, 280.22000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 233.52000000, 46.70000000, 280.22000000, NULL, NULL, '2019-12-02'),
(914, '1911-0025', '34kerry09102019', 1, NULL, 0, 2114, '2019-12-02 15:25:49', '2019-11-29', '2020-01-03 09:07:44', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-11-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-12-02'),
(915, '1911-0026', 'sfacs novembre2019', 1, NULL, 0, 2114, '2019-12-02 15:26:46', '2019-11-29', '2020-01-03 09:07:45', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, '2019-12-02'),
(916, '1911-0027', '20mpg112019', 1, NULL, 0, 2114, '2019-12-02 15:50:18', '2019-11-29', '2020-01-03 09:07:45', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 290.70000000, 58.14000000, 348.84000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.70000000, 58.14000000, 348.84000000, NULL, NULL, '2019-12-02'),
(917, '1911-0028', '17mgp22112019', 1, NULL, 0, 2114, '2019-12-02 16:13:21', '2019-11-29', '2020-01-03 09:07:45', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-12-02'),
(918, '1911-0029', '10modelage13112019', 1, NULL, 0, 2114, '2019-12-02 16:22:52', '2019-11-29', '2020-01-09 16:13:29', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 307.00000000, 61.40000000, 368.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-11-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 307.00000000, 61.40000000, 368.40000000, NULL, NULL, '2019-12-02'),
(919, '1912-0002', '2827plateforme25112019', 1, NULL, 0, 2114, '2019-12-02 16:48:08', '2019-12-02', '2020-01-21 08:23:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 420.00000000, 84.00000000, 504.00000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 420.00000000, 84.00000000, 504.00000000, NULL, NULL, '2019-12-02'),
(920, '1911-0030', '09prisme08112019', 1, NULL, 0, 2114, '2019-12-03 08:54:58', '2019-11-29', '2020-01-09 16:13:29', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-12-03'),
(921, '1911-0031', '50rci18112019', 1, NULL, 0, 2114, '2019-12-03 09:28:46', '2019-11-29', '2020-01-09 16:13:29', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-12-03'),
(922, '1911-0032', '45smci08112019', 1, NULL, 0, 2114, '2019-12-03 09:38:02', '2019-11-29', '2020-01-09 16:13:29', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 132.50000000, 26.50000000, 159.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-11-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 132.50000000, 26.50000000, 159.00000000, NULL, NULL, '2019-12-03'),
(923, '1911-0033', '43soralep31102019', 1, NULL, 0, 2114, '2019-12-03 09:48:18', '2019-11-29', '2020-01-09 16:13:29', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 132.50000000, 26.50000000, 159.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-11-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 132.50000000, 26.50000000, 159.00000000, NULL, NULL, '2019-12-03'),
(924, '1911-0034', '23tiba13112019', 1, NULL, 0, 2114, '2019-12-03 10:05:59', '2019-11-29', '2020-01-09 16:13:29', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 499.00000000, 99.80000000, 598.80000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 499.00000000, 99.80000000, 598.80000000, NULL, NULL, '2019-12-03'),
(925, '1909-0052', 'cmp', 1, NULL, 0, 2114, '2019-12-03 10:15:03', '2019-09-27', '2019-12-23 09:15:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 16089.64000000, 3217.93000000, 19307.57000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-09-28', '', 'CMP', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 16089.64000000, 3217.93000000, 19307.57000000, NULL, NULL, '2019-12-03'),
(926, '1912-0003', 'edrlogiciel', 1, NULL, 0, 2114, '2019-12-06 14:11:03', '2019-12-06', '2020-01-21 08:23:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 226.00000000, 45.20000000, 271.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-12-07', '', '<p>pour la prise en charge &agrave; 50%</p>\r\n\r\n<p>de &quot;l&#39;h&eacute;bergement EWINFIC&quot; p&eacute;riode du 01 01 2020 au 31 12 2020</p>\r\n', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 226.00000000, 45.20000000, 271.20000000, NULL, NULL, '2019-12-06'),
(927, '1912-0004', '23sup06122019', 1, NULL, 0, 2114, '2019-12-17 14:45:36', '2019-12-17', '2020-01-21 08:23:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 290.00000000, 58.00000000, 348.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-12-18', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 290.00000000, 58.00000000, 348.00000000, NULL, NULL, '2019-12-17'),
(928, '1912-0005', '34amr05122019', 1, NULL, 0, 2114, '2019-12-18 10:32:27', '2019-12-18', '2020-01-21 08:23:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-12-19', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-12-18'),
(930, '1912-0006', '29cop11122019', 1, NULL, 0, 2114, '2019-12-19 10:18:37', '2019-12-19', '2020-01-21 08:23:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-12-20', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-12-19'),
(931, '1912-0007', 'belair2019', 1, NULL, 0, 2114, '2019-12-19 10:21:25', '2019-12-19', '2020-01-21 08:23:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 219.83000000, 43.97000000, 263.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-12-20', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 219.83000000, 43.97000000, 263.80000000, NULL, NULL, '2019-12-19'),
(932, '1912-0008', '36barbier12122019', 1, NULL, 0, 2114, '2019-12-19 10:25:26', '2019-12-19', '2020-01-21 08:23:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-12-20', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2019-12-19'),
(933, '1912-0009', '26combelanotte09122019', 1, NULL, 0, 2114, '2019-12-19 11:12:10', '2019-12-19', '2020-01-21 08:23:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-12-19'),
(934, '1912-0010', '38fromageriealpine18122019', 1, NULL, 0, 2114, '2019-12-19 11:32:03', '2019-12-19', '2020-01-21 08:23:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-12-19'),
(935, '1912-0011', '21fca02122019', 1, NULL, 0, 2114, '2019-12-20 10:16:09', '2019-12-20', '2020-01-21 08:23:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2019-12-20'),
(936, '1912-0012', '33mpg05122019', 1, NULL, 0, 2114, '2019-12-20 16:37:00', '2019-12-20', '2020-01-21 08:23:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 114.34000000, 22.87000000, 137.21000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-12-21', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 114.34000000, 22.87000000, 137.21000000, NULL, NULL, '2019-12-20'),
(937, '1912-0013', '35huilerrieschambaran10122019', 1, NULL, 0, 2114, '2019-12-23 09:33:15', '2019-12-23', '2020-01-21 08:23:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 356.00000000, 71.20000000, 427.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-12-24', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 356.00000000, 71.20000000, 427.20000000, NULL, NULL, '2019-12-23'),
(938, '1912-0014', '28pollien11/12/2019', 1, NULL, 0, 2114, '2019-12-23 10:42:21', '2019-12-23', '2020-01-21 08:23:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 166.24000000, 33.25000000, 199.49000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-12-24', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 166.24000000, 33.25000000, 199.49000000, NULL, NULL, '2019-12-23'),
(939, '1912-0015', '03reborn05122019', 1, NULL, 0, 2114, '2019-12-23 14:24:52', '2019-12-23', '2020-02-10 10:30:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-12-23'),
(940, '1912-0016', '06SMS18122019', 1, NULL, 0, 2114, '2019-12-23 15:06:13', '2019-12-23', '2020-02-10 10:30:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 525.52000000, 105.10000000, 630.62000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 525.52000000, 105.10000000, 630.62000000, NULL, NULL, '2019-12-23'),
(941, '1912-0017', '35SORALEP13122019', 1, NULL, 0, 2114, '2019-12-23 15:15:46', '2019-12-23', '2020-02-10 10:30:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2019-12-23'),
(942, '1912-0018', '22SIBELCO04122019', 1, NULL, 0, 2114, '2019-12-23 15:28:47', '2019-12-23', '2020-02-10 10:30:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-12-23'),
(943, '1912-0019', '01SMS28112019', 1, NULL, 0, 2114, '2019-12-23 15:37:08', '2019-12-23', '2020-02-10 10:30:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 985.00000000, 197.00000000, 1182.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-12-24', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 985.00000000, 197.00000000, 1182.00000000, NULL, NULL, '2019-12-23'),
(944, '1912-0020', '43acieries23122019', 1, NULL, 0, 2114, '2019-12-24 09:08:28', '2019-12-24', '2020-02-10 10:30:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2019-12-24'),
(945, '1912-0021', '42brd20122019', 1, NULL, 0, 2114, '2019-12-24 09:18:18', '2019-12-24', '2020-02-10 10:30:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2019-12-24'),
(946, '1912-0022', '24cef06122019', 1, NULL, 0, 2114, '2019-12-24 09:26:08', '2019-12-24', '2020-02-10 10:30:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 280.10000000, 56.02000000, 336.12000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-12-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 280.10000000, 56.02000000, 336.12000000, NULL, NULL, '2019-12-24'),
(947, '1912-0023', '25cop09122019', 1, NULL, 0, 2114, '2019-12-24 10:22:56', '2019-12-24', '2020-02-10 10:33:59', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 256.40000000, 51.28000000, 307.68000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 256.40000000, 51.28000000, 307.68000000, NULL, NULL, '2019-12-24'),
(948, '1912-0024', '44renebois23122019', 1, NULL, 0, 2114, '2019-12-24 10:50:54', '2019-12-24', '2020-02-10 10:34:00', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2019-12-24'),
(949, '1912-0025', '31idec13122019', 1, NULL, 0, 2114, '2019-12-26 09:27:56', '2019-12-26', '2020-02-10 10:34:00', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 125.20000000, 25.04000000, 150.24000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-12-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 125.20000000, 25.04000000, 150.24000000, NULL, NULL, '2019-12-26'),
(950, '1912-0026', '30idec11122019', 1, NULL, 0, 2114, '2019-12-26 09:29:06', '2019-12-26', '2020-02-10 10:34:00', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 173.20000000, 34.64000000, 207.84000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 173.20000000, 34.64000000, 207.84000000, NULL, NULL, '2019-12-26'),
(951, '1912-0027', '04guichard06122019', 1, NULL, 0, 2114, '2019-12-26 09:48:41', '2019-12-26', '2020-02-10 10:34:00', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 388.71000000, 77.74000000, 466.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 388.71000000, 77.74000000, 466.45000000, NULL, NULL, '2019-12-26'),
(952, '1912-0028', 'udt meca', 1, NULL, 0, 2114, '2019-12-26 16:05:16', '2019-12-26', '2020-01-21 08:24:23', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 5000.00000000, 1000.00000000, 6000.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2019-12-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 5000.00000000, 1000.00000000, 6000.00000000, NULL, NULL, '2019-12-26'),
(953, '1912-0029', '07exsto16102019', 1, NULL, 0, 2114, '2020-01-02 10:06:20', '2019-12-31', '2020-02-10 10:34:00', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-01-02'),
(954, '2001-0001', '39exsto30122019', 1, NULL, 0, 2114, '2020-01-02 10:34:00', '2020-01-02', '2020-02-21 08:56:03', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 484.00000000, 96.80000000, 580.80000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 484.00000000, 96.80000000, 580.80000000, NULL, NULL, '2020-01-02'),
(955, '1912-0030', 'sfacs decembre2019', 1, NULL, 0, 2114, '2020-01-02 10:35:18', '2019-12-31', '2020-02-10 10:34:00', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, '2020-01-02'),
(956, '2001-0002', 'sfacs janvier2020', 1, NULL, 0, 2114, '2020-01-02 10:35:52', '2020-01-02', '2020-02-21 08:56:04', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, '2020-01-02'),
(957, '2001-0003', '46chaussygomez03012020', 1, NULL, 0, 2114, '2020-01-15 11:33:58', '2020-01-15', '2020-02-21 08:56:04', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-01-15'),
(958, '2001-0004', '02daupohinoise10012020', 1, NULL, 0, 2114, '2020-01-15 11:39:25', '2020-01-15', '2020-02-21 08:56:04', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 275.22000000, 55.04000000, 330.26000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-01-16', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 275.22000000, 55.04000000, 330.26000000, NULL, NULL, '2020-01-15'),
(959, '2001-0005', '07delmonico14012020', 1, NULL, 0, 2114, '2020-01-15 11:51:07', '2020-01-15', '2020-02-21 08:56:04', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-01-15'),
(960, '2001-0006', '08aspi08112019', 1, NULL, 0, 2114, '2020-01-16 16:25:44', '2020-01-16', '2020-02-21 08:56:04', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-01-16'),
(961, '2001-0007', '11chaussygomez17012020', 1, NULL, 0, 2114, '2020-01-22 09:24:10', '2020-01-22', '2020-02-21 08:56:04', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 368.30000000, 73.66000000, 441.96000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2020-02-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 368.30000000, 73.66000000, 441.96000000, NULL, NULL, '2020-01-22'),
(962, '2001-0008', '01dromeardeche08012020', 1, NULL, 0, 2114, '2020-01-22 09:47:25', '2020-01-22', '2020-02-21 08:56:04', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-01-22'),
(963, '2001-0009', '14amr23012020', 1, NULL, 0, 2114, '2020-01-28 15:35:46', '2020-01-28', '2020-02-21 08:56:04', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 250.00000000, 50.00000000, 300.00000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 250.00000000, 50.00000000, 300.00000000, NULL, NULL, '2020-01-28'),
(964, '2001-0010', '16cims24012020', 1, NULL, 0, 2114, '2020-01-29 15:24:31', '2020-01-29', '2020-02-21 08:56:04', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-01-29'),
(965, '2001-0011', '17cibox24012020', 1, NULL, 0, 2114, '2020-01-31 11:02:12', '2020-01-31', '2020-02-21 08:56:04', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-01-31'),
(966, '2001-0012', '13desgranges21012020', 1, NULL, 0, 2114, '2020-01-31 11:11:08', '2020-01-31', '2020-02-21 08:56:04', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-01-31'),
(967, '2001-0013', '41dauphinose18122020', 1, NULL, 0, 2114, '2020-01-31 11:15:09', '2020-01-31', '2020-02-21 08:58:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-01-31'),
(968, '2001-0014', '18eurovia27012020', 1, NULL, 0, 2114, '2020-01-31 11:47:57', '2020-01-31', '2020-02-21 08:58:39', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-01-31'),
(969, '2001-0015', '45figuet03012020', 1, NULL, 0, 2114, '2020-01-31 14:46:38', '2020-01-31', '2020-02-21 08:58:39', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-01-31'),
(970, '2001-0016', '3epoxy10012020', 1, NULL, 0, 2114, '2020-01-31 15:18:59', '2020-01-31', '2020-02-21 08:58:39', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 249.20000000, 49.84000000, 299.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 249.20000000, 49.84000000, 299.04000000, NULL, NULL, '2020-01-31'),
(971, '2001-0017', '49electrolux07012020', 1, NULL, 0, 2114, '2020-01-31 15:28:03', '2020-01-31', '2020-02-21 08:58:39', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 147.83000000, 29.57000000, 177.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 147.83000000, 29.57000000, 177.40000000, NULL, NULL, '2020-01-31'),
(972, '2001-0018', '05innodec13012020', 1, NULL, 0, 2114, '2020-02-03 15:43:30', '2020-01-31', '2020-02-21 08:58:39', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 180.50000000, 36.10000000, 216.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 180.50000000, 36.10000000, 216.60000000, NULL, NULL, '2020-02-03'),
(973, '2001-0019', '43huileriechambaran09012020', 1, NULL, 0, 2114, '2020-02-03 15:54:56', '2020-01-31', '2020-02-21 08:58:39', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 48.00000000, 9.60000000, 57.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 48.00000000, 9.60000000, 57.60000000, NULL, NULL, '2020-02-03'),
(974, '2001-0020', '48idec07012020', 1, NULL, 0, 2114, '2020-02-03 16:18:50', '2020-01-31', '2020-02-21 08:58:39', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-02-03'),
(975, '2002-0001', '07jambon09012020', 1, NULL, 0, 2114, '2020-02-03 16:34:06', '2020-02-03', '2020-03-25 08:37:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-02-03'),
(976, '2001-0021', '40orppa02012020', 1, NULL, 0, 2114, '2020-02-04 09:01:42', '2020-01-31', '2020-02-21 08:58:39', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-02-04'),
(977, '2001-0022', '04podis13012020', 1, NULL, 0, 2114, '2020-02-04 10:10:12', '2020-01-31', '2020-02-21 08:58:39', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-02-04'),
(978, '2001-0023', '01richard27012020', 1, NULL, 0, 2114, '2020-02-04 11:24:59', '2020-01-31', '2020-02-21 08:58:39', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 221.38000000, 44.28000000, 265.66000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2020-03-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 221.38000000, 44.28000000, 265.66000000, NULL, NULL, '2020-02-04'),
(979, '2001-0024', '0910paraboot15012020', 1, NULL, 0, 2114, '2020-02-04 14:30:50', '2020-01-31', '2020-02-21 08:58:39', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 469.76000000, 93.95000000, 563.71000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 469.76000000, 93.95000000, 563.71000000, NULL, NULL, '2020-02-04'),
(980, '2001-0025', '06smci13012020', 1, NULL, 0, 2114, '2020-02-04 14:44:40', '2020-01-31', '2020-02-21 08:58:39', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 132.50000000, 26.50000000, 159.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 132.50000000, 26.50000000, 159.00000000, NULL, NULL, '2020-02-04'),
(981, '2001-0026', '50sfpa08012020', 1, NULL, 0, 2114, '2020-02-04 15:56:03', '2020-01-31', '2020-03-05 12:49:36', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-02-04'),
(982, '2001-0027', '47delmonico31012020', 1, NULL, 0, 2114, '2020-02-05 09:48:56', '2020-01-31', '2020-03-05 12:49:36', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-02-05'),
(983, '2001-0028', '21 epidaure31012020', 1, NULL, 0, 2114, '2020-02-05 09:57:11', '2020-01-31', '2020-03-05 12:49:36', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-02-05'),
(984, '2001-0029', '20idec30012020', 1, NULL, 0, 2114, '2020-02-05 10:01:13', '2020-01-31', '2020-03-05 12:48:16', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 338.00000000, 67.60000000, 405.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 338.00000000, 67.60000000, 405.60000000, NULL, NULL, '2020-02-05'),
(985, '2002-0002', '04huilerie04022020', 1, NULL, 0, 2114, '2020-02-05 10:05:50', '2020-02-05', '2020-03-25 08:37:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 434.00000000, 86.80000000, 520.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-06', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 434.00000000, 86.80000000, 520.80000000, NULL, NULL, '2020-02-05'),
(986, '2001-0030', '46kerry21012020', 1, NULL, 0, 2114, '2020-02-05 10:09:59', '2020-01-31', '2020-03-05 12:48:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-02-05'),
(987, '2002-0003', '27carriescopic11022020', 1, NULL, 0, 2114, '2020-02-27 11:32:33', '2020-02-27', '2020-03-25 08:37:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 132.50000000, 26.50000000, 159.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-28', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 132.50000000, 26.50000000, 159.00000000, NULL, NULL, '2020-02-27'),
(988, '2002-0004', '06cros11022020', 1, NULL, 0, 2114, '2020-02-28 09:15:34', '2020-02-28', '2020-03-25 08:37:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-02-28'),
(989, '2002-0005', '48cibox06022020', 1, NULL, 0, 2114, '2020-02-28 09:43:28', '2020-02-28', '2020-03-25 08:37:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 209.70000000, 41.94000000, 251.64000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 209.70000000, 41.94000000, 251.64000000, NULL, NULL, '2020-02-28'),
(990, '2002-0006', 'cefpolymere', 1, NULL, 0, 2114, '2020-02-28 10:19:40', '2020-02-28', '2020-03-25 08:37:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 2380.00000000, 476.00000000, 2856.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2380.00000000, 476.00000000, 2856.00000000, NULL, NULL, '2020-02-28'),
(991, '2002-0007', '03desmet13022020', 1, NULL, 0, 2114, '2020-02-28 11:01:43', '2020-02-28', '2020-03-25 08:37:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-02-28'),
(992, '2002-0008', '28dumg12022020', 1, NULL, 0, 2114, '2020-02-28 11:15:51', '2020-02-28', '2020-04-02 07:58:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 279.51000000, 55.90000000, 335.41000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 279.51000000, 55.90000000, 335.41000000, NULL, NULL, '2020-02-28'),
(993, '2002-0009', 'delmonicodorel2020', 1, NULL, 0, 2114, '2020-02-28 11:56:29', '2020-02-28', '2020-04-02 07:58:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 619.08000000, 123.82000000, 742.90000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 619.08000000, 123.82000000, 742.90000000, NULL, NULL, '2020-02-28'),
(994, '2002-0010', '36deves24022020', 1, NULL, 0, 2114, '2020-02-28 16:00:50', '2020-02-28', '2020-04-02 07:58:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-02-28'),
(995, '2002-0011', '12dauphinoise24022020', 1, NULL, 0, 2114, '2020-03-02 09:32:31', '2020-02-28', '2020-04-02 07:58:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-03-02'),
(996, '2002-0012', '11dauphinoise24022020', 1, NULL, 0, 2114, '2020-03-02 10:03:50', '2020-02-28', '2020-04-02 07:58:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-03-02'),
(997, '2002-0013', '33ebs2618022020', 1, NULL, 0, 2114, '2020-03-02 10:42:27', '2020-02-28', '2020-04-02 07:58:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 500.00000000, 100.00000000, 600.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 500.00000000, 100.00000000, 600.00000000, NULL, NULL, '2020-03-02'),
(998, '2002-0014', '31faravelon14022020', 1, NULL, 0, 2114, '2020-03-02 11:03:50', '2020-02-28', '2020-04-02 07:58:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 534.00000000, 106.80000000, 640.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 534.00000000, 106.80000000, 640.80000000, NULL, NULL, '2020-03-02'),
(999, '2002-0015', '08huilerie17022020', 1, NULL, 0, 2114, '2020-03-03 09:27:17', '2020-02-28', '2020-04-02 07:58:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 868.00000000, 173.60000000, 1041.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 868.00000000, 173.60000000, 1041.60000000, NULL, NULL, '2020-03-03'),
(1000, '2002-0016', '35idec21022020', 1, NULL, 0, 2114, '2020-03-03 09:45:49', '2020-02-28', '2020-04-02 07:58:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-03-03'),
(1001, '2002-0017', '02hdc11022020', 1, NULL, 0, 2114, '2020-03-03 09:51:26', '2020-02-28', '2020-04-02 07:58:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 106.31000000, 21.26000000, 127.57000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 106.31000000, 21.26000000, 127.57000000, NULL, NULL, '2020-03-03'),
(1002, '2002-0018', '03hdn03022020', 1, NULL, 0, 2114, '2020-03-03 10:05:34', '2020-02-28', '2020-04-02 07:58:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-03-03'),
(1003, '2002-0019', '13michal25022020', 1, NULL, 0, 2114, '2020-03-03 10:41:13', '2020-02-28', '2020-04-02 07:58:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 174.66000000, 34.93000000, 209.59000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 174.66000000, 34.93000000, 209.59000000, NULL, NULL, '2020-03-03'),
(1004, '2002-0020', '37mcr16122019', 1, NULL, 0, 2114, '2020-03-03 11:34:25', '2020-02-28', '2020-04-02 07:58:34', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-03-03'),
(1005, '2002-0021', '32mcr04122019', 1, NULL, 0, 2114, '2020-03-03 11:36:48', '2020-02-28', '2020-04-02 08:00:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-03-03');
INSERT INTO `llx_facture_fourn` (`rowid`, `ref`, `ref_supplier`, `entity`, `ref_ext`, `type`, `fk_soc`, `datec`, `datef`, `tms`, `libelle`, `paye`, `amount`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_tva`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `fk_incoterms`, `location_incoterms`, `model_pdf`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `date_pointoftax`, `date_valid`) VALUES
(1006, '2002-0022', '49mecaindustrie07022020', 1, NULL, 0, 2114, '2020-03-03 14:53:15', '2020-02-28', '2020-04-02 08:00:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-03-03'),
(1007, '2002-0023', '23m2204022020', 1, NULL, 0, 2114, '2020-03-03 15:09:47', '2020-02-28', '2020-04-02 08:00:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 213.26000000, 42.65000000, 255.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 213.26000000, 42.65000000, 255.91000000, NULL, NULL, '2020-03-03'),
(1008, '2002-0024', '22mmd03022020', 1, NULL, 0, 2114, '2020-03-03 15:28:39', '2020-02-28', '2020-04-02 08:00:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.00000000, 46.00000000, 276.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.00000000, 46.00000000, 276.00000000, NULL, NULL, '2020-03-03'),
(1009, '2002-0025', '10orppa21022020', 1, NULL, 0, 2114, '2020-03-03 15:50:03', '2020-02-28', '2020-04-02 08:00:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.00000000, 46.00000000, 276.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2020-03-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.00000000, 46.00000000, 276.00000000, NULL, NULL, '2020-03-03'),
(1010, '2002-0026', '32sms14022020', 1, NULL, 0, 2114, '2020-03-05 09:15:42', '2020-02-28', '2020-04-02 08:00:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 108.50000000, 21.70000000, 130.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 108.50000000, 21.70000000, 130.20000000, NULL, NULL, '2020-03-05'),
(1011, '2003-0001', '07ciram02032020', 1, NULL, 0, 2114, '2020-03-05 09:43:49', '2020-03-05', '2020-04-28 07:30:45', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-03-06', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-03-05'),
(1012, '2002-0027', '37colladello27022020', 1, NULL, 0, 2114, '2020-03-05 09:50:52', '2020-02-28', '2020-04-02 08:00:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 134.69000000, 26.94000000, 161.63000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 134.69000000, 26.94000000, 161.63000000, NULL, NULL, '2020-03-05'),
(1015, '2002-0028', '09cibox09012020', 1, NULL, 0, 2114, '2020-03-05 10:20:24', '2020-02-28', '2020-04-02 08:00:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-03-05'),
(1016, '2003-0002', '41dromepack03032020', 1, NULL, 0, 2114, '2020-03-05 10:34:10', '2020-03-05', '2020-04-28 07:30:45', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 350.00000000, 70.00000000, 420.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-03-06', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 350.00000000, 70.00000000, 420.00000000, NULL, NULL, '2020-03-05'),
(1017, '2002-0029', '37dauphinoise18122019', 1, NULL, 0, 2114, '2020-03-05 10:52:35', '2020-02-28', '2020-04-02 08:00:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-03-05'),
(1018, '2003-0003', '40eiffage02032020', 1, NULL, 0, 2114, '2020-03-05 11:04:31', '2020-03-05', '2020-04-28 07:30:45', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 350.00000000, 70.00000000, 420.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-03-06', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 350.00000000, 70.00000000, 420.00000000, NULL, NULL, '2020-03-05'),
(1019, '2003-0004', '44guichardrodage15012020', 1, NULL, 0, 2114, '2020-03-05 11:18:59', '2020-03-05', '2020-04-28 07:30:45', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 249.76000000, 49.95000000, 299.71000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-03-06', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 249.76000000, 49.95000000, 299.71000000, NULL, NULL, '2020-03-05'),
(1020, '2003-0005', '05jtlaser05022020', 1, NULL, 0, 2114, '2020-03-05 11:33:26', '2020-03-05', '2020-04-28 07:30:45', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 514.64000000, 102.93000000, 617.57000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-03-06', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 514.64000000, 102.93000000, 617.57000000, NULL, NULL, '2020-03-05'),
(1021, '2002-0030', '16lubrilog27022020', 1, NULL, 0, 2114, '2020-03-05 11:38:31', '2020-02-28', '2020-04-02 08:00:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 993.00000000, 198.60000000, 1191.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 993.00000000, 198.60000000, 1191.60000000, NULL, NULL, '2020-03-05'),
(1022, '2002-0031', '38modelageconcept28022020', 1, NULL, 0, 2114, '2020-03-05 12:06:00', '2020-02-28', '2020-04-02 08:00:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-03-05'),
(1023, '2002-0032', '10puillet10012020', 1, NULL, 0, 2114, '2020-03-05 14:23:05', '2020-02-28', '2020-04-02 08:00:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-02-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-03-05'),
(1024, '2003-0006', 'fevrier2020', 1, NULL, 0, 2114, '2020-03-06 09:24:23', '2020-03-06', '2020-04-28 07:30:45', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, '2020-03-06'),
(1025, '2003-0007', 'Mars2020', 1, NULL, 0, 2114, '2020-03-06 09:24:42', '2020-03-06', '2020-05-05 07:58:01', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, '2020-03-06'),
(1026, '2003-0008', '18coval04022020', 1, NULL, 0, 2114, '2020-03-10 10:11:46', '2020-03-10', '2020-05-05 07:58:01', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 484.00000000, 96.80000000, 580.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-03-11', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 484.00000000, 96.80000000, 580.80000000, NULL, NULL, '2020-03-10'),
(1027, '2003-0009', '25ast17032020', 1, NULL, 0, 2114, '2020-03-24 09:38:09', '2020-03-24', '2020-05-05 07:58:01', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-03-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-03-24'),
(1028, '2003-0010', '11baxter23032020', 1, NULL, 0, 2114, '2020-03-24 09:52:48', '2020-03-24', '2020-05-05 07:58:01', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-03-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-03-24'),
(1029, '2003-0011', '26cegelec19032020', 1, NULL, 0, 2114, '2020-03-24 09:59:01', '2020-03-24', '2020-05-05 07:58:02', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 346.15000000, 69.23000000, 415.38000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-03-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 346.15000000, 69.23000000, 415.38000000, NULL, NULL, '2020-03-24'),
(1030, '2003-0012', '50ctd12032020', 1, NULL, 0, 2114, '2020-03-24 10:16:22', '2020-03-24', '2020-05-05 07:58:02', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-03-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-03-24'),
(1031, '2003-0013', '48capag10032020', 1, NULL, 0, 2114, '2020-03-24 10:23:56', '2020-03-24', '2020-05-05 07:58:02', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-03-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-03-24'),
(1032, '2003-0014', 'cros05022020', 1, NULL, 0, 2114, '2020-03-24 10:35:30', '2020-03-24', '2020-05-05 07:58:02', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 469.76000000, 93.95000000, 563.71000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-03-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 469.76000000, 93.95000000, 563.71000000, NULL, NULL, '2020-03-24'),
(1033, '2003-0015', '47dauphinoise09032020', 1, NULL, 0, 2114, '2020-03-24 10:55:56', '2020-03-24', '2020-05-05 07:56:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-03-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-03-24'),
(1034, '2003-0016', '15ciram09032020', 1, NULL, 0, 2114, '2020-03-24 11:11:20', '2020-03-24', '2020-05-05 07:56:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 211.16000000, 42.23000000, 253.39000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-03-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 211.16000000, 42.23000000, 253.39000000, NULL, NULL, '2020-03-24'),
(1035, '2003-0017', '08epoxy13032020', 1, NULL, 0, 2114, '2020-03-24 14:35:52', '2020-03-24', '2020-05-05 07:56:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-03-24'),
(1036, '2003-0018', '12eovi05032020', 1, NULL, 0, 2114, '2020-03-25 09:06:52', '2020-03-25', '2020-05-05 07:56:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-03-26', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-03-25'),
(1037, '2003-0019', '44exstothermo05032020', 1, NULL, 0, 2114, '2020-03-25 09:13:02', '2020-03-25', '2020-05-05 07:56:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-03-25'),
(1038, '2003-0020', '43exsto03032020', 1, NULL, 0, 2114, '2020-03-25 09:35:10', '2020-03-25', '2020-05-05 07:56:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 192.00000000, 38.40000000, 230.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-03-26', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 192.00000000, 38.40000000, 230.40000000, NULL, NULL, '2020-03-25'),
(1039, '2003-0021', '13mgen06032020', 1, NULL, 0, 2114, '2020-03-25 10:26:24', '2020-03-25', '2020-05-05 07:56:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-03-25'),
(1040, '2003-0022', '11mpg05032020', 1, NULL, 0, 2114, '2020-03-25 10:38:25', '2020-03-25', '2020-05-05 07:56:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-03-26', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-03-25'),
(1041, '2003-0023', '24negometal13032020', 1, NULL, 0, 2114, '2020-03-25 10:43:50', '2020-03-25', '2020-05-05 07:56:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 108.50000000, 21.70000000, 130.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-03-26', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 108.50000000, 21.70000000, 130.20000000, NULL, NULL, '2020-03-25'),
(1042, '2003-0024', '10poncin20032020', 1, NULL, 0, 2114, '2020-03-25 11:09:05', '2020-03-25', '2020-05-05 07:56:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-03-26', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-03-25'),
(1043, '2003-0025', '42exsto03032020', 1, NULL, 0, 2114, '2020-03-25 11:40:19', '2020-03-25', '2020-05-05 07:56:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-03-26', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-03-25'),
(1044, '2003-0026', '21tiba10032020', 1, NULL, 0, 2114, '2020-03-25 14:20:09', '2020-03-25', '2020-05-05 07:56:52', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2020-04-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-03-25'),
(1045, '2003-0027', '14tiron09032020', 1, NULL, 0, 2114, '2020-03-26 15:42:07', '2020-03-26', '2020-05-05 07:53:37', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2020-04-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-03-26'),
(1046, '2003-0028', '45transalp05032020', 1, NULL, 0, 2114, '2020-03-26 15:45:27', '2020-03-26', '2020-05-05 07:53:37', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 171.10000000, 34.22000000, 205.32000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-03-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 171.10000000, 34.22000000, 205.32000000, NULL, NULL, '2020-03-26'),
(1049, '2004-0001', '17ageron31032020', 1, NULL, 0, 2114, '2020-04-01 09:16:09', '2020-04-01', '2020-06-02 14:15:16', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 104.76000000, 20.95000000, 125.71000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-04-02', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 104.76000000, 20.95000000, 125.71000000, NULL, NULL, '2020-04-01'),
(1050, '2002-0033', 'sfacsfevrier2020', 1, NULL, 0, 2114, '2020-04-01 09:25:09', '2020-02-28', '2020-04-08 06:58:35', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, '2020-04-01'),
(1052, '2004-0002', 'sfacsavril2020', 1, NULL, 0, 2114, '2020-04-01 09:26:28', '2020-04-01', '2020-06-02 14:15:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, 0, NULL, NULL, 3, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, '2020-04-01'),
(1053, '2004-0003', '28psi03042020', 1, NULL, 0, 2114, '2020-04-06 09:17:23', '2020-04-06', '2020-06-02 14:15:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-04-07', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-04-06'),
(1054, '2004-0004', '27hdc03042020', 1, NULL, 0, 2114, '2020-04-06 09:22:58', '2020-04-06', '2020-06-02 14:15:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-04-06'),
(1055, '2004-0005', '46mcr06032020', 1, NULL, 0, 2114, '2020-04-07 10:18:57', '2020-04-07', '2020-06-02 14:15:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-04-08', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-04-07'),
(1056, '2004-0006', '12reborn26032020', 1, NULL, 0, 2114, '2020-04-07 10:19:39', '2020-04-07', '2020-06-02 14:15:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 285.44000000, 57.09000000, 342.53000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-04-08', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 285.44000000, 57.09000000, 342.53000000, NULL, NULL, '2020-04-07'),
(1057, '2004-0007', 'sfacs mars 2020', 1, NULL, 0, 2114, '2020-04-07 10:20:36', '2020-04-07', '2020-06-02 14:15:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-04-08', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, '2020-04-07'),
(1058, '2004-0008', '18beillard09042020', 1, NULL, 0, 2114, '2020-04-14 14:59:21', '2020-04-14', '2020-06-02 14:15:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-04-15', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-04-14'),
(1059, '2004-0009', '19beillard09042020', 1, NULL, 0, 2114, '2020-04-14 15:26:13', '2020-04-14', '2020-05-14 12:01:11', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 5000.00000000, 1000.00000000, 6000.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-04-15', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 5000.00000000, 1000.00000000, 6000.00000000, NULL, NULL, '2020-04-14'),
(1060, '2004-0010', '19beillard09042020bis', 1, NULL, 0, 2114, '2020-04-15 15:42:12', '2020-04-15', '2020-06-02 14:15:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 288.00000000, 57.60000000, 345.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-04-16', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 288.00000000, 57.60000000, 345.60000000, NULL, NULL, '2020-04-15'),
(1061, '2004-0011', '17dauphinoise06042020', 1, NULL, 0, 2114, '2020-04-16 11:19:34', '2020-04-16', '2020-06-03 07:09:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 280.00000000, 56.00000000, 336.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-04-17', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 280.00000000, 56.00000000, 336.00000000, NULL, NULL, '2020-04-16'),
(1062, '2004-0012', '33dauphinoise14042020', 1, NULL, 0, 2114, '2020-04-16 11:26:05', '2020-04-16', '2020-06-03 07:09:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 484.00000000, 96.80000000, 580.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-04-17', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 484.00000000, 96.80000000, 580.80000000, NULL, NULL, '2020-04-16'),
(1063, '2004-0013', '21locaverre17042020', 1, NULL, 0, 2114, '2020-04-16 14:44:33', '2020-04-16', '2020-06-03 07:09:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 500.00000000, 100.00000000, 600.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-04-17', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 500.00000000, 100.00000000, 600.00000000, NULL, NULL, '2020-04-16'),
(1064, '2004-0014', '29huilerie06042020', 1, NULL, 0, 2114, '2020-04-17 09:36:24', '2020-04-17', '2020-06-03 07:09:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-04-18', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-04-17'),
(1065, '2004-0015', '30huilerie06042020', 1, NULL, 0, 2114, '2020-04-17 09:42:04', '2020-04-17', '2020-06-03 07:09:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 250.00000000, 50.00000000, 300.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-04-18', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 250.00000000, 50.00000000, 300.00000000, NULL, NULL, '2020-04-17'),
(1066, '2004-0016', '35menuiseriemarion16042020', 1, NULL, 0, 2114, '2020-04-17 10:03:20', '2020-04-17', '2020-06-03 07:09:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 310.00000000, 62.00000000, 372.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-04-18', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 310.00000000, 62.00000000, 372.00000000, NULL, NULL, '2020-04-17'),
(1067, '2004-0017', '31tiba08042020', 1, NULL, 0, 2114, '2020-04-17 10:09:28', '2020-04-17', '2020-06-03 07:09:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 484.00000000, 96.80000000, 580.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-04-18', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 484.00000000, 96.80000000, 580.80000000, NULL, NULL, '2020-04-17'),
(1068, '2004-0018', '23vinci alup 12032020', 1, NULL, 0, 2114, '2020-04-17 10:20:23', '2020-04-17', '2020-06-03 07:09:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-04-18', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-04-17'),
(1069, '2004-0019', '25prismemeca27042020', 1, NULL, 0, 2114, '2020-04-28 09:56:22', '2020-04-28', '2020-06-03 07:09:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-04-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-04-28'),
(1070, '2004-0020', '20payen22042020', 1, NULL, 0, 2114, '2020-04-28 10:11:19', '2020-04-28', '2020-06-03 07:10:26', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 469.76000000, 93.95000000, 563.71000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-04-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 469.76000000, 93.95000000, 563.71000000, NULL, NULL, '2020-04-28'),
(1071, '2004-0021', '23atelier24042020', 1, NULL, 0, 2114, '2020-04-28 10:43:40', '2020-04-28', '2020-06-03 07:10:26', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-04-28'),
(1072, '2004-0022', '37bulleverte22042020', 1, NULL, 0, 2114, '2020-04-28 10:55:11', '2020-04-28', '2020-06-02 14:13:45', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 5008.00000000, 1001.60000000, 6009.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-04-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 5008.00000000, 1001.60000000, 6009.60000000, NULL, NULL, '2020-04-28'),
(1073, '2004-0023', '21fca24042020', 1, NULL, 0, 2114, '2020-04-28 11:05:32', '2020-04-28', '2020-06-03 07:10:27', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-04-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-04-28'),
(1074, '2004-0024', '36huilerie17042020', 1, NULL, 0, 2114, '2020-04-28 11:26:22', '2020-04-28', '2020-06-03 07:10:27', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 88.06000000, 17.61000000, 105.67000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2020-05-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 88.06000000, 17.61000000, 105.67000000, NULL, NULL, '2020-04-29'),
(1075, '2004-0025', '38rotomod23042020', 1, NULL, 0, 2114, '2020-04-28 15:21:35', '2020-04-28', '2020-06-03 07:10:27', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2020-05-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-04-28'),
(1076, '2004-0026', '24vallet24042020', 1, NULL, 0, 2114, '2020-04-28 16:05:22', '2020-04-28', '2020-06-03 07:10:27', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 250.00000000, 50.00000000, 300.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-04-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 250.00000000, 50.00000000, 300.00000000, NULL, NULL, '2020-04-28'),
(1077, '2004-0027', '39melapro29042020', 1, NULL, 0, 2114, '2020-04-30 09:30:18', '2020-04-30', '2020-06-03 07:10:27', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2020-05-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-04-30'),
(1078, '2004-0028', '40beillard30042020', 1, NULL, 0, 2114, '2020-04-30 15:23:09', '2020-04-30', '2020-06-03 07:10:27', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.00000000, 46.00000000, 276.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2020-05-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.00000000, 46.00000000, 276.00000000, NULL, NULL, '2020-04-30'),
(1079, '2005-0001', '35podis15052020', 1, NULL, 0, 2114, '2020-06-02 11:46:03', '2020-05-29', '2020-07-02 11:30:23', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 180.50000000, 36.10000000, 216.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-05-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 180.50000000, 36.10000000, 216.60000000, NULL, NULL, '2020-06-02'),
(1080, '2005-0002', '44avenircarrosserie05052020', 1, NULL, 0, 2114, '2020-06-02 11:52:07', '2020-05-29', '2020-07-02 11:30:23', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-05-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-06-02'),
(1081, '2005-0003', '36cofatec15052020', 1, NULL, 0, 2114, '2020-06-02 14:18:00', '2020-05-29', '2020-07-02 11:30:23', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-05-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-06-02'),
(1082, '2005-0004', '12deroux26052020', 1, NULL, 0, 2114, '2020-06-02 14:28:45', '2020-05-29', '2020-07-02 11:30:23', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-05-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-06-02'),
(1083, '2005-0005', '10esalmai2020', 1, NULL, 0, 2114, '2020-06-03 09:57:45', '2020-05-22', '2020-07-02 11:30:23', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-05-23', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-06-03'),
(1084, '2005-0006', '11mecaindustriemai2020', 1, NULL, 0, 2114, '2020-06-03 09:59:01', '2020-05-29', '2020-07-02 11:30:23', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-06-03'),
(1085, '2005-0007', '32michel14052020', 1, NULL, 0, 2114, '2020-06-03 10:44:22', '2020-05-29', '2020-07-02 11:30:24', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-06-03'),
(1086, '2005-0008', '28preciamolen29042020', 1, NULL, 0, 2114, '2020-06-03 11:33:55', '2020-05-29', '2020-07-02 11:30:24', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-06-03'),
(1087, '2005-0009', '27podis28042020', 1, NULL, 0, 2114, '2020-06-03 11:53:40', '2020-05-29', '2020-07-02 11:32:23', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-05-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-06-03'),
(1088, '2005-0010', '26sibelco28042020', 1, NULL, 0, 2114, '2020-06-03 12:03:22', '2020-05-29', '2020-07-02 11:32:23', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-06-03'),
(1089, '2005-0011', '37tiba27052020', 1, NULL, 0, 2114, '2020-06-03 14:17:10', '2020-05-29', '2020-07-02 11:32:23', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 211.16000000, 42.23000000, 253.39000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-05-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 211.16000000, 42.23000000, 253.39000000, NULL, NULL, '2020-06-03'),
(1090, '2005-0012', '09vinci12052020', 1, NULL, 0, 2114, '2020-06-03 14:39:54', '2020-05-29', '2020-07-02 11:32:23', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.00000000, 46.00000000, 276.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2020-06-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.00000000, 46.00000000, 276.00000000, NULL, NULL, '2020-06-03'),
(1091, '2005-0013', '14valformes28052020', 1, NULL, 0, 2114, '2020-06-04 10:59:40', '2020-05-29', '2020-07-02 11:32:23', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-05-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-06-04'),
(1092, '2005-0014', '13valformes28052020', 1, NULL, 0, 2114, '2020-06-04 11:00:14', '2020-05-29', '2020-07-02 11:32:23', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-06-04'),
(1093, '2006-0001', '23vigne03062020', 1, NULL, 0, 2114, '2020-06-04 11:14:55', '2020-06-04', '2020-08-11 14:55:22', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-06-04'),
(1094, '2005-0015', '42aspi29052020', 1, NULL, 0, 2114, '2020-06-04 15:05:42', '2020-05-29', '2020-07-02 11:32:24', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-05-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-06-04'),
(1095, '2006-0002', '4423unidecor1722062020', 1, NULL, 0, 2114, '2020-06-25 09:31:42', '2020-06-25', '2020-08-11 14:55:22', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 327.40000000, 65.48000000, 392.88000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-06-26', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 327.40000000, 65.48000000, 392.88000000, NULL, NULL, '2020-06-25'),
(1096, '2006-0003', '34bontout160620', 1, NULL, 0, 2114, '2020-06-25 09:40:30', '2020-06-25', '2020-08-11 14:55:22', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-06-26', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-06-25'),
(1097, '2006-0004', '35bontout160620', 1, NULL, 0, 2114, '2020-06-25 16:01:01', '2020-06-25', '2020-08-11 14:55:22', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-06-25'),
(1098, '2006-0005', '16courbis02062020', 1, NULL, 0, 2114, '2020-06-26 10:43:16', '2020-06-26', '2020-08-11 14:55:22', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 108.50000000, 21.70000000, 130.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-06-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 108.50000000, 21.70000000, 130.20000000, NULL, NULL, '2020-06-26'),
(1099, '2006-0006', '03coval22062020', 1, NULL, 0, 2114, '2020-06-26 10:56:36', '2020-06-26', '2020-08-11 14:55:22', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 460.00000000, 92.00000000, 552.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-06-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 460.00000000, 92.00000000, 552.00000000, NULL, NULL, '2020-06-26'),
(1100, '2006-0007', '37delpack17062020', 1, NULL, 0, 2114, '2020-06-26 11:23:35', '2020-06-26', '2020-08-11 14:55:22', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-06-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-06-26'),
(1101, '2006-0008', '50ddmaintenance19062020', 1, NULL, 0, 2114, '2020-06-26 14:14:59', '2020-06-26', '2020-08-11 14:55:22', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-06-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-06-26'),
(1102, '2006-0009', '41delormebattandier19062020', 1, NULL, 0, 2114, '2020-06-26 14:19:04', '2020-06-26', '2020-08-11 14:55:22', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2020-07-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-06-26'),
(1103, '2006-0010', '02coval22062020', 1, NULL, 0, 2114, '2020-06-26 14:38:53', '2020-06-26', '2020-08-11 14:55:22', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-06-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-06-26'),
(1104, '2006-0011', '01desmet26062020', 1, NULL, 0, 2114, '2020-06-26 15:34:32', '2020-06-26', '2020-08-11 14:55:22', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 250.00000000, 50.00000000, 300.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-06-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 250.00000000, 50.00000000, 300.00000000, NULL, NULL, '2020-06-26'),
(1105, '2006-0012', '31dd15062020', 1, NULL, 0, 2114, '2020-06-26 16:08:38', '2020-06-26', '2020-08-11 14:55:22', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.00000000, 46.00000000, 276.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2020-07-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.00000000, 46.00000000, 276.00000000, NULL, NULL, '2020-06-26'),
(1106, '2006-0013', '30dauphinoise050520', 1, NULL, 0, 2114, '2020-06-26 16:54:29', '2020-06-26', '2020-08-11 14:55:22', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-06-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-06-26'),
(1107, '2006-0014', 'detfi2020', 1, NULL, 0, 2114, '2020-06-29 09:04:22', '2020-06-29', '2020-07-09 11:52:28', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 7352.61000000, 1470.52000000, 8823.13000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-06-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 7352.61000000, 1470.52000000, 8823.13000000, NULL, NULL, '2020-06-29'),
(1108, '2006-0015', '45detfi06052020', 1, NULL, 0, 2114, '2020-06-29 09:34:33', '2020-06-29', '2020-08-11 14:55:22', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 132.50000000, 26.50000000, 159.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-06-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 132.50000000, 26.50000000, 159.00000000, NULL, NULL, '2020-06-29'),
(1109, '2006-0016', '33eovi16062020', 1, NULL, 0, 2114, '2020-06-29 11:03:33', '2020-06-29', '2020-08-11 14:55:22', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-06-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-06-29'),
(1110, '2006-0017', '36eiffage17062020', 1, NULL, 0, 2114, '2020-06-29 14:21:49', '2020-06-29', '2020-08-11 14:56:48', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-06-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-06-29'),
(1111, '2006-0018', '18fumas08062020', 1, NULL, 0, 2114, '2020-06-29 14:47:15', '2020-06-29', '2020-08-11 14:56:48', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-06-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-06-29'),
(1112, '2006-0019', 'sms012020', 1, NULL, 0, 2114, '2020-06-29 15:16:29', '2020-06-29', '2020-08-11 14:56:48', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 2435.18000000, 487.04000000, 2922.22000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-06-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2435.18000000, 487.04000000, 2922.22000000, NULL, NULL, '2020-06-29'),
(1113, '2006-0020', '47perolier11062020', 1, NULL, 0, 2114, '2020-06-30 09:02:32', '2020-06-30', '2020-08-11 14:56:48', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-06-30'),
(1114, '2006-0021', '28huileriedechambarand10062020', 1, NULL, 0, 2114, '2020-06-30 09:13:19', '2020-06-30', '2020-08-11 14:58:04', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1000.00000000, 200.00000000, 1200.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1000.00000000, 200.00000000, 1200.00000000, NULL, NULL, '2020-06-30'),
(1115, '2006-0022', '46hdn07052020', 1, NULL, 0, 2114, '2020-06-30 09:45:19', '2020-06-30', '2020-08-11 14:58:05', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 300.00000000, 60.00000000, 360.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 300.00000000, 60.00000000, 360.00000000, NULL, NULL, '2020-06-30'),
(1116, '2006-0023', '4342jars19062020', 1, NULL, 0, 2114, '2020-06-30 09:53:22', '2020-06-30', '2020-08-11 14:58:05', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 469.76000000, 93.95000000, 563.71000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 469.76000000, 93.95000000, 563.71000000, NULL, NULL, '2020-06-30'),
(1117, '2006-0024', '43kerry05052020', 1, NULL, 0, 2114, '2020-06-30 10:03:46', '2020-06-30', '2020-08-11 14:58:05', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-06-30'),
(1118, '2006-0025', '06bard24062020', 1, NULL, 0, 2114, '2020-06-30 10:20:31', '2020-06-30', '2020-08-11 14:58:05', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-06-30'),
(1119, '2006-0026', '46m2211062020', 1, NULL, 0, 2114, '2020-06-30 11:27:40', '2020-06-30', '2020-08-11 14:58:05', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-06-30'),
(1121, '2006-0027', 'iwata2020', 1, NULL, 0, 2114, '2020-06-30 11:48:52', '2020-06-30', '2020-08-11 14:50:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 222.84000000, 44.57000000, 267.41000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 222.84000000, 44.57000000, 267.41000000, NULL, NULL, '2020-06-30'),
(1122, '2006-0028', '45renebois22062020', 1, NULL, 0, 2114, '2020-06-30 12:00:06', '2020-06-30', '2020-08-11 14:50:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 172.74000000, 34.55000000, 207.29000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 172.74000000, 34.55000000, 207.29000000, NULL, NULL, '2020-06-30'),
(1123, '2006-0029', '01reyfreres22062020', 1, NULL, 0, 2114, '2020-06-30 12:09:26', '2020-06-30', '2020-08-11 14:50:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2020-07-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-06-30'),
(1124, '2006-0030', '26rtsi08062020', 1, NULL, 0, 2114, '2020-06-30 14:58:32', '2020-06-30', '2020-08-11 14:50:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-06-30'),
(1125, '2006-0031', '04scierie de chambaran24062020', 1, NULL, 0, 2114, '2020-06-30 15:12:18', '2020-06-30', '2020-08-11 14:50:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 167.36000000, 33.47000000, 200.83000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 167.36000000, 33.47000000, 200.83000000, NULL, NULL, '2020-06-30'),
(1126, '2006-0032', '38serkol17062020', 1, NULL, 0, 2114, '2020-06-30 16:06:59', '2020-06-30', '2020-08-11 14:50:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-06-30'),
(1127, '2007-0001', '39dauphinoise18062020', 1, NULL, 0, 2114, '2020-07-01 09:20:46', '2020-07-01', '2020-09-02 11:30:09', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-02', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-07-01'),
(1128, '2006-0033', '40dauphinoise18062020', 1, NULL, 0, 2114, '2020-07-01 09:21:49', '2020-06-30', '2020-08-11 14:50:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-07-01'),
(1129, '2006-0034', '27dauphinoise06062020', 1, NULL, 0, 2114, '2020-07-01 09:29:15', '2020-06-30', '2020-08-11 14:50:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 300.00000000, 60.00000000, 360.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 300.00000000, 60.00000000, 360.00000000, NULL, NULL, '2020-07-01');
INSERT INTO `llx_facture_fourn` (`rowid`, `ref`, `ref_supplier`, `entity`, `ref_ext`, `type`, `fk_soc`, `datec`, `datef`, `tms`, `libelle`, `paye`, `amount`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_tva`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `fk_incoterms`, `location_incoterms`, `model_pdf`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `date_pointoftax`, `date_valid`) VALUES
(1130, '2006-0035', '41sarrazin29052020', 1, NULL, 0, 2114, '2020-07-01 09:36:38', '2020-06-30', '2020-08-11 14:50:33', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 126.66000000, 25.33000000, 151.99000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 126.66000000, 25.33000000, 151.99000000, NULL, NULL, '2020-07-01'),
(1131, '2006-0036', '21sebm10062020', 1, NULL, 0, 2114, '2020-07-01 10:30:47', '2020-06-30', '2020-08-11 14:50:33', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-07-01'),
(1132, '2006-0037', '22sebm10062020', 1, NULL, 0, 2114, '2020-07-01 10:37:18', '2020-06-30', '2020-08-11 14:50:33', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-07-01'),
(1133, '2006-0038', '41sibelco04052020', 1, NULL, 0, 2114, '2020-07-01 11:21:05', '2020-06-30', '2020-08-11 14:50:33', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 235.80000000, 47.16000000, 282.96000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 235.80000000, 47.16000000, 282.96000000, NULL, NULL, '2020-07-01'),
(1134, '2006-0039', '24vinci05062020', 1, NULL, 0, 2114, '2020-07-01 11:37:28', '2020-06-30', '2020-08-11 14:52:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-07-01'),
(1135, '2006-0040', '17valsoleil02062020', 1, NULL, 0, 2114, '2020-07-01 11:50:32', '2020-06-30', '2020-08-11 14:52:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2020-07-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-07-01'),
(1136, '2006-0041', '30vallet12062020', 1, NULL, 0, 2114, '2020-07-01 11:56:27', '2020-06-30', '2020-08-11 14:52:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 250.00000000, 50.00000000, 300.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 250.00000000, 50.00000000, 300.00000000, NULL, NULL, '2020-07-01'),
(1137, '2006-0042', '29vallet12062020', 1, NULL, 0, 2114, '2020-07-01 15:55:02', '2020-06-30', '2020-08-11 14:52:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-07-01'),
(1139, '2006-0043', 'sfacsjuin2020', 1, NULL, 0, 2114, '2020-07-01 16:18:16', '2020-06-30', '2020-08-11 14:52:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, '2020-07-01'),
(1140, '2006-0044', 'sfacsmai2020', 1, NULL, 0, 2114, '2020-07-01 16:19:02', '2020-06-30', '2020-08-11 14:52:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, '2020-07-01'),
(1141, '2006-0045', '49thx16062020', 1, NULL, 0, 2114, '2020-07-02 09:49:08', '2020-06-30', '2020-08-11 14:52:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 610.76000000, 122.15000000, 732.91000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 610.76000000, 122.15000000, 732.91000000, NULL, NULL, '2020-07-02'),
(1142, '2006-0046', '05cop30062020', 1, NULL, 0, 2114, '2020-07-02 10:38:06', '2020-06-30', '2020-08-11 14:52:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-07-02'),
(1143, '2006-0047', '12fromagerie29062020', 1, NULL, 0, 2114, '2020-07-02 10:46:42', '2020-06-30', '2020-08-11 14:52:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-07-02'),
(1144, '2006-0048', '09mafe27062020', 1, NULL, 0, 2114, '2020-07-02 11:20:21', '2020-06-30', '2020-08-11 14:52:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-07-02'),
(1145, '2006-0049', '04figuet29092020', 1, NULL, 0, 2114, '2020-07-02 15:37:05', '2020-06-30', '2020-08-11 14:52:19', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-07-02'),
(1146, '2006-0050', '02podis26062020', 1, NULL, 0, 2114, '2020-07-03 14:27:18', '2020-06-30', '2020-08-11 14:52:20', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 133.96000000, 26.79000000, 160.75000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 133.96000000, 26.79000000, 160.75000000, NULL, NULL, '2020-07-03'),
(1147, '2006-0051', '49fmr25062020', 1, NULL, 0, 2114, '2020-07-03 15:04:13', '2020-06-30', '2020-08-11 14:52:20', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-07-03'),
(1148, '2007-0002', '46jmbe24062020', 1, NULL, 0, 2114, '2020-07-06 15:54:21', '2020-07-06', '2020-09-02 11:30:09', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2020-08-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-07-06'),
(1149, '2006-0052', '4748tgcp25062020', 1, NULL, 0, 2114, '2020-07-06 16:04:36', '2020-06-30', '2020-08-11 14:52:20', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 469.76000000, 93.95000000, 563.71000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 469.76000000, 93.95000000, 563.71000000, NULL, NULL, '2020-07-06'),
(1150, '2007-0003', '13atem09072020', 1, NULL, 0, 2114, '2020-07-17 10:56:20', '2020-07-17', '2020-09-02 11:30:09', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1536.00000000, 307.20000000, 1843.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2020-08-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1536.00000000, 307.20000000, 1843.20000000, NULL, NULL, '2020-07-17'),
(1151, '2007-0004', '31aspi300007072020', 1, NULL, 0, 2114, '2020-07-17 11:00:06', '2020-07-17', '2020-09-02 11:30:09', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 262.00000000, 52.40000000, 314.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-18', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 262.00000000, 52.40000000, 314.40000000, NULL, NULL, '2020-07-17'),
(1152, '2007-0005', '24vallet23072020', 1, NULL, 0, 2114, '2020-07-28 14:30:38', '2020-07-28', '2020-09-02 11:30:09', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 119.36000000, 23.87000000, 143.23000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 119.36000000, 23.87000000, 143.23000000, NULL, NULL, '2020-07-28'),
(1153, '2007-0006', '30cef07072020', 1, NULL, 0, 2114, '2020-07-29 15:38:56', '2020-07-29', '2020-09-02 11:30:09', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 217.00000000, 43.40000000, 260.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 217.00000000, 43.40000000, 260.40000000, NULL, NULL, '2020-07-29'),
(1154, '2007-0007', '2118dauphinoise20072020', 1, NULL, 0, 2114, '2020-07-29 15:46:44', '2020-07-29', '2020-09-02 11:30:09', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 619.08000000, 123.82000000, 742.90000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 619.08000000, 123.82000000, 742.90000000, NULL, NULL, '2020-07-29'),
(1155, '2007-0008', '28isra06072020', 1, NULL, 0, 2114, '2020-07-30 11:20:15', '2020-07-30', '2020-09-02 11:30:09', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-07-30'),
(1156, '2007-0009', '10mcr29062020', 1, NULL, 0, 2114, '2020-07-30 15:32:00', '2020-07-30', '2020-09-02 11:30:09', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-07-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-07-30'),
(1157, '2007-0010', '12prismemeca06072020', 1, NULL, 0, 2114, '2020-07-31 10:22:21', '2020-07-31', '2020-08-21 09:58:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 3600.00000000, 720.00000000, 4320.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3600.00000000, 720.00000000, 4320.00000000, NULL, NULL, '2020-07-31'),
(1158, '2007-0011', '07brd25062020', 1, NULL, 0, 2114, '2020-08-03 09:23:12', '2020-07-31', '2020-09-02 11:30:09', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-08-03'),
(1159, '2008-0001', '17baxter13072020', 1, NULL, 0, 2114, '2020-08-03 09:32:24', '2020-08-03', '2020-10-05 08:03:05', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-04', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-08-03'),
(1160, '2007-0012', '16baxter13072020', 1, NULL, 0, 2114, '2020-08-03 09:37:18', '2020-07-31', '2020-09-02 11:30:09', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-08-03'),
(1161, '2007-0013', '11brasseriepleinelune04072020', 1, NULL, 0, 2114, '2020-08-03 09:44:55', '2020-07-31', '2020-09-02 11:30:09', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-08-03'),
(1162, '2007-0014', '06bagalu01072020', 1, NULL, 0, 2114, '2020-08-03 09:54:32', '2020-07-31', '2020-09-02 11:30:09', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-08-03'),
(1163, '2007-0015', '27celta24072020', 1, NULL, 0, 2114, '2020-08-03 10:10:24', '2020-07-31', '2020-09-02 11:30:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-08-03'),
(1164, '2007-0016', '21chaussygomez17072020', 1, NULL, 0, 2114, '2020-08-03 10:30:07', '2020-07-31', '2020-09-02 11:31:55', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 501.54000000, 100.31000000, 601.85000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 501.54000000, 100.31000000, 601.85000000, NULL, NULL, '2020-08-03'),
(1165, '2007-0017', 'cdsbulleverte', 1, NULL, 0, 2114, '2020-08-03 10:40:45', '2020-07-31', '2020-09-02 11:31:55', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1200.00000000, 240.00000000, 1440.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1200.00000000, 240.00000000, 1440.00000000, NULL, NULL, '2020-08-03'),
(1166, '2007-0018', '20ceramcad07072020', 1, NULL, 0, 2114, '2020-08-03 10:45:19', '2020-07-31', '2020-09-02 11:31:55', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-08-03'),
(1167, '2007-0019', 'coppenoix02072020', 1, NULL, 0, 2114, '2020-08-03 11:07:12', '2020-07-31', '2020-09-02 11:31:55', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 928.62000000, 185.72000000, 1114.34000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 928.62000000, 185.72000000, 1114.34000000, NULL, NULL, '2020-08-03'),
(1168, '2007-0020', '32dai28072020', 1, NULL, 0, 2114, '2020-08-03 11:16:03', '2020-07-31', '2020-09-02 11:31:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2020-08-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-08-03'),
(1169, '2007-0021', '19detfi15072020', 1, NULL, 0, 2114, '2020-08-03 11:50:17', '2020-07-31', '2020-09-02 11:31:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-08-03'),
(1170, '2007-0022', '36detfi09072020', 1, NULL, 0, 2114, '2020-08-03 14:27:13', '2020-07-31', '2020-09-02 11:31:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 540.00000000, 108.00000000, 648.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2020-08-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 540.00000000, 108.00000000, 648.00000000, NULL, NULL, '2020-08-03'),
(1171, '2007-0023', '28francecaoutchou24072020', 1, NULL, 0, 2114, '2020-08-03 14:51:42', '2020-07-31', '2020-09-02 11:31:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-08-03'),
(1173, '2007-0024', '15electrolux03072020', 1, NULL, 0, 2114, '2020-08-03 15:18:59', '2020-07-31', '2020-09-02 11:31:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-08-03'),
(1174, '2007-0025', '11epidaure290062020', 1, NULL, 0, 2114, '2020-08-03 15:27:26', '2020-07-31', '2020-09-02 11:31:56', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-08-03'),
(1175, '2007-0026', '07jmbe01072020', 1, NULL, 0, 2114, '2020-08-04 09:21:47', '2020-07-31', '2020-09-03 10:54:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 327.78000000, 65.56000000, 393.34000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2020-08-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 327.78000000, 65.56000000, 393.34000000, NULL, NULL, '2020-08-04'),
(1176, '2007-0027', '3130lorifruit28072020', 1, NULL, 0, 2114, '2020-08-04 09:29:11', '2020-07-31', '2020-09-03 10:54:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 469.76000000, 93.95000000, 563.71000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 469.76000000, 93.95000000, 563.71000000, NULL, NULL, '2020-08-04'),
(1177, '2007-0028', '26magicfeet24072020', 1, NULL, 0, 2114, '2020-08-04 09:42:26', '2020-07-31', '2020-09-03 10:54:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-08-04'),
(1178, '2007-0029', '19mpg07072020', 1, NULL, 0, 2114, '2020-08-04 10:08:43', '2020-07-31', '2020-09-03 10:54:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-08-04'),
(1179, '2007-0030', '14mobidecor02072020', 1, NULL, 0, 2114, '2020-08-04 10:40:30', '2020-07-31', '2020-09-03 10:54:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 484.00000000, 96.80000000, 580.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 484.00000000, 96.80000000, 580.80000000, NULL, NULL, '2020-08-04'),
(1180, '2007-0031', '15rci10072020', 1, NULL, 0, 2114, '2020-08-04 14:39:52', '2020-07-31', '2020-09-03 10:54:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2020-08-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-08-04'),
(1181, '2007-0032', '47redalum01072020', 1, NULL, 0, 2114, '2020-08-04 14:58:51', '2020-07-31', '2020-09-03 10:54:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-08-04'),
(1182, '2007-0033', '18simga15072020', 1, NULL, 0, 2114, '2020-08-04 15:19:53', '2020-07-31', '2020-09-03 10:54:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-08-04'),
(1183, '2007-0034', '16scierie chambaran06072020', 1, NULL, 0, 2114, '2020-08-04 15:55:26', '2020-07-31', '2020-09-03 10:54:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-08-04'),
(1184, '2007-0035', '17scierie chambaran06072020', 1, NULL, 0, 2114, '2020-08-04 16:07:15', '2020-07-31', '2020-09-03 10:54:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-08-04'),
(1185, '2007-0036', '29truck06072020', 1, NULL, 0, 2114, '2020-08-05 09:39:42', '2020-07-31', '2020-09-03 10:54:57', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 500.00000000, 100.00000000, 600.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 500.00000000, 100.00000000, 600.00000000, NULL, NULL, '2020-08-05'),
(1186, '2007-0037', '37brd29072020', 1, NULL, 0, 2114, '2020-08-05 14:59:44', '2020-07-31', '2020-09-03 10:15:48', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 400.00000000, 80.00000000, 480.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 400.00000000, 80.00000000, 480.00000000, NULL, NULL, '2020-08-05'),
(1187, '2008-0002', '46bourbon05082020', 1, NULL, 0, 2114, '2020-08-05 15:05:08', '2020-08-05', '2020-10-05 08:03:05', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-06', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-08-05'),
(1188, '2008-0003', '45bourbon05082020', 1, NULL, 0, 2114, '2020-08-05 15:06:00', '2020-08-05', '2020-10-05 08:03:05', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-08-05'),
(1189, '2007-0038', '13capag30062020', 1, NULL, 0, 2114, '2020-08-05 16:04:55', '2020-07-31', '2020-09-03 10:15:49', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 310.72000000, 62.14000000, 372.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 310.72000000, 62.14000000, 372.86000000, NULL, NULL, '2020-08-05'),
(1190, '2007-0039', '29dumg27072020', 1, NULL, 0, 2114, '2020-08-05 16:19:39', '2020-07-31', '2020-09-03 10:15:49', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-08-05'),
(1191, '2007-0040', '40earllesvarilles30072020', 1, NULL, 0, 2114, '2020-08-06 09:15:35', '2020-07-31', '2020-09-03 10:16:47', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 48.00000000, 9.60000000, 57.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 48.00000000, 9.60000000, 57.60000000, NULL, NULL, '2020-08-06'),
(1192, '2007-0041', '33epoxy29072020', 1, NULL, 0, 2114, '2020-08-06 09:34:17', '2020-07-31', '2020-09-03 10:16:48', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 249.20000000, 49.84000000, 299.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 249.20000000, 49.84000000, 299.04000000, NULL, NULL, '2020-08-06'),
(1193, '2007-0042', '39michal30072020', 1, NULL, 0, 2114, '2020-08-06 09:54:58', '2020-07-31', '2020-09-03 10:16:48', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-08-06'),
(1194, '2007-0043', '38peillet29072020', 1, NULL, 0, 2114, '2020-08-06 10:31:47', '2020-07-31', '2020-09-03 10:16:48', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-08-06'),
(1195, '2007-0044', '3536plateforme30072020', 1, NULL, 0, 2114, '2020-08-06 10:41:25', '2020-07-31', '2020-09-03 10:16:48', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 715.08000000, 143.02000000, 858.10000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 715.08000000, 143.02000000, 858.10000000, NULL, NULL, '2020-08-06'),
(1196, '2007-0045', '34sira29072020', 1, NULL, 0, 2114, '2020-08-06 10:51:51', '2020-07-31', '2020-09-03 10:16:48', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2020-08-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-08-06'),
(1197, '2007-0046', 'sfacsjuillet2020', 1, NULL, 0, 2114, '2020-08-12 08:56:35', '2020-07-31', '2020-09-03 10:14:47', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, '2020-08-12'),
(1198, '2008-0004', 'sfacsaout2020', 1, NULL, 0, 2114, '2020-08-12 08:57:32', '2020-08-12', '2020-10-05 08:03:05', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, '2020-08-12'),
(1199, '2008-0005', '02acieries11082020', 1, NULL, 0, 2114, '2020-08-12 10:03:27', '2020-08-12', '2020-10-05 08:04:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-13', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-08-12'),
(1200, '2008-0006', '40commune dugrandserre05082020', 1, NULL, 0, 2114, '2020-08-12 10:09:00', '2020-08-12', '2020-10-05 08:04:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-13', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-08-12'),
(1201, '2008-0007', '41costecharayre08082020', 1, NULL, 0, 2114, '2020-08-12 10:16:18', '2020-08-12', '2020-10-05 08:04:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2020-09-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-08-12'),
(1202, '2008-0008', '49pheby11082020', 1, NULL, 0, 2114, '2020-08-12 10:23:29', '2020-08-12', '2020-10-05 08:04:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-13', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-08-12'),
(1203, '2008-0009', '01prse10082020', 1, NULL, 0, 2114, '2020-08-12 10:33:32', '2020-08-12', '2020-10-05 08:04:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1401.54000000, 280.31000000, 1681.85000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-13', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1401.54000000, 280.31000000, 1681.85000000, NULL, NULL, '2020-08-12'),
(1204, '2008-0010', '44reborn04082020', 1, NULL, 0, 2114, '2020-08-12 10:44:55', '2020-08-12', '2020-10-05 08:04:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-13', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-08-12'),
(1205, '2008-0011', 'rignol082020', 1, NULL, 0, 2114, '2020-08-12 10:55:05', '2020-08-12', '2020-10-05 08:04:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 500.00000000, 100.00000000, 600.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-13', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 500.00000000, 100.00000000, 600.00000000, NULL, NULL, '2020-08-12'),
(1206, '2008-0012', '4748sms026082020', 1, NULL, 0, 2114, '2020-08-12 11:56:26', '2020-08-12', '2020-10-05 08:04:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 544.42000000, 108.89000000, 653.31000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-13', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 544.42000000, 108.89000000, 653.31000000, NULL, NULL, '2020-08-12'),
(1207, '2008-0013', '42scierie de la vallée du doux08082020', 1, NULL, 0, 2114, '2020-08-12 12:08:40', '2020-08-12', '2020-10-05 08:04:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-13', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-08-12'),
(1208, '2008-0014', '43dauphinoise07082020', 1, NULL, 0, 2114, '2020-08-12 14:21:04', '2020-08-12', '2020-10-05 08:04:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 115.80000000, 23.16000000, 138.96000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-13', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 115.80000000, 23.16000000, 138.96000000, NULL, NULL, '2020-08-12'),
(1209, '2008-0015', '42telenco03082020', 1, NULL, 0, 2114, '2020-08-12 14:33:47', '2020-08-12', '2020-10-05 08:04:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-13', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-08-12'),
(1210, '2008-0016', '50procyl12082020', 1, NULL, 0, 2114, '2020-08-13 10:38:43', '2020-08-13', '2020-10-05 08:04:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-14', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-08-13'),
(1211, '2008-0017', '03fromagerie12082020', 1, NULL, 0, 2114, '2020-08-13 11:41:23', '2020-08-13', '2020-10-05 08:04:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 400.00000000, 80.00000000, 480.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-14', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 400.00000000, 80.00000000, 480.00000000, NULL, NULL, '2020-08-13'),
(1212, '2008-0018', '04cegelec13082020', 1, NULL, 0, 2114, '2020-08-13 15:58:49', '2020-08-13', '2020-10-05 08:04:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 534.00000000, 106.80000000, 640.80000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-14', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 534.00000000, 106.80000000, 640.80000000, NULL, NULL, '2020-08-13'),
(1213, '2008-0019', '05kerry13082020', 1, NULL, 0, 2114, '2020-08-14 09:04:13', '2020-08-14', '2020-10-05 08:02:00', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-15', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-08-14'),
(1214, '2008-0020', '07sebm14082020', 1, NULL, 0, 2114, '2020-08-17 10:28:05', '2020-08-17', '2020-10-05 08:02:00', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 619.08000000, 123.82000000, 742.90000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 619.08000000, 123.82000000, 742.90000000, NULL, NULL, '2020-08-17'),
(1215, '2008-0021', '09cdental17082020', 1, NULL, 0, 2114, '2020-08-17 14:33:25', '2020-08-17', '2020-10-05 08:02:00', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 16, NULL, '2020-08-18', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-08-17'),
(1216, '2008-0022', '10epoxy300018082020', 1, NULL, 0, 2114, '2020-08-19 14:37:46', '2020-08-19', '2020-10-05 08:02:00', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 3124.45000000, 624.89000000, 3749.34000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-08-20', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3124.45000000, 624.89000000, 3749.34000000, NULL, NULL, '2020-08-19'),
(1217, '2008-0023', '10brasseriedescuves03072020', 1, NULL, 0, 2114, '2020-08-24 11:10:06', '2020-08-24', '2020-10-05 08:02:00', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 300.00000000, 60.00000000, 360.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-08-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 300.00000000, 60.00000000, 360.00000000, NULL, NULL, '2020-08-24'),
(1218, '2008-0024', '14tiba25082020', 1, NULL, 0, 2114, '2020-08-26 10:10:12', '2020-08-26', '2020-10-05 08:02:00', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-08-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-08-26'),
(1219, '2008-0025', '12innodec20082020', 1, NULL, 0, 2114, '2020-08-26 10:47:33', '2020-08-26', '2020-10-05 08:00:33', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1032.58000000, 206.52000000, 1239.10000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-08-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1032.58000000, 206.52000000, 1239.10000000, NULL, NULL, '2020-08-26'),
(1220, '2009-0001', '02berardtp23092020', 1, NULL, 0, 2114, '2020-09-25 09:44:53', '2020-09-25', '2020-11-03 08:17:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 414.88000000, 82.98000000, 497.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-09-26', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 414.88000000, 82.98000000, 497.86000000, NULL, NULL, '2020-09-25'),
(1221, '2009-0002', '39beillard21092020', 1, NULL, 0, 2114, '2020-09-25 10:04:28', '2020-09-25', '2020-11-03 08:17:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 265.38000000, 53.08000000, 318.46000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-09-26', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 265.38000000, 53.08000000, 318.46000000, NULL, NULL, '2020-09-25'),
(1222, '2009-0003', '50bulleverte14092020', 1, NULL, 0, 2114, '2020-09-25 10:53:11', '2020-09-25', '2020-11-03 08:17:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-09-26', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-09-25'),
(1223, '2009-0004', '17beillard11092020', 1, NULL, 0, 2114, '2020-09-25 11:00:12', '2020-09-25', '2020-11-03 08:17:38', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 5061.00000000, 1012.20000000, 6073.20000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-09-26', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 5061.00000000, 1012.20000000, 6073.20000000, NULL, NULL, '2020-09-25'),
(1224, '2009-0005', '32carriescopic16092020', 1, NULL, 0, 2114, '2020-09-25 11:36:17', '2020-09-25', '2020-11-03 08:18:49', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 230.00000000, 46.00000000, 276.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-09-26', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 230.00000000, 46.00000000, 276.00000000, NULL, NULL, '2020-09-25'),
(1225, '2009-0006', '37giraudturbine21092020', 1, NULL, 0, 2114, '2020-09-28 10:15:46', '2020-09-28', '2020-11-03 08:18:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-09-28'),
(1226, '2009-0007', '11mmd29062020', 1, NULL, 0, 2114, '2020-09-28 10:25:35', '2020-09-28', '2020-11-03 08:18:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 3850.00000000, 770.00000000, 4620.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-09-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3850.00000000, 770.00000000, 4620.00000000, NULL, NULL, '2020-09-28'),
(1227, '2009-0008', '29primsemeca14092020', 1, NULL, 0, 2114, '2020-09-28 10:35:47', '2020-09-28', '2020-11-03 08:18:50', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-09-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-09-28'),
(1228, '2009-0009', '26plateforme3809092020', 1, NULL, 0, 2114, '2020-09-28 11:15:46', '2020-09-28', '2020-11-05 10:34:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 249.20000000, 49.84000000, 299.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-09-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 249.20000000, 49.84000000, 299.04000000, NULL, NULL, '2020-09-28'),
(1229, '2009-0010', '01truck solutionstvallier17092020', 1, NULL, 0, 2114, '2020-09-28 11:58:45', '2020-09-28', '2020-11-05 10:34:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 220.56000000, 44.11000000, 264.67000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-09-29', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 220.56000000, 44.11000000, 264.67000000, NULL, NULL, '2020-09-28'),
(1230, '2009-0011', '15sarrazin04092020', 1, NULL, 0, 2114, '2020-09-29 09:01:59', '2020-09-29', '2020-11-05 10:34:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-09-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-09-29'),
(1231, '2009-0012', '14sarrazin04092020', 1, NULL, 0, 2114, '2020-09-29 09:12:50', '2020-09-29', '2020-11-05 10:34:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-09-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-09-29'),
(1232, '2009-0013', '13sarrazin04092020', 1, NULL, 0, 2114, '2020-09-29 09:13:45', '2020-09-29', '2020-11-05 10:34:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-09-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-09-29'),
(1233, '2009-0014', '36soralep18092020', 1, NULL, 0, 2114, '2020-09-29 10:20:53', '2020-09-29', '2020-11-05 10:34:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-09-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-09-29'),
(1234, '2009-0015', '35truckromans18092020', 1, NULL, 0, 2114, '2020-09-29 14:42:01', '2020-09-29', '2020-11-05 10:34:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-09-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-09-29'),
(1235, '2009-0016', '28transfoplast11092020', 1, NULL, 0, 2114, '2020-09-29 14:56:38', '2020-09-29', '2020-11-05 10:34:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-09-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-09-29'),
(1236, '2009-0017', '08combelanotte29092020', 1, NULL, 0, 2114, '2020-10-01 15:43:16', '2020-09-30', '2020-11-05 10:34:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-10-01'),
(1237, '2009-0018', '41courbis28092020', 1, NULL, 0, 2114, '2020-10-01 16:00:37', '2020-09-30', '2020-11-05 10:34:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 132.50000000, 26.50000000, 159.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 132.50000000, 26.50000000, 159.00000000, NULL, NULL, '2020-10-01'),
(1238, '2009-0019', '24cros07092020', 1, NULL, 0, 2114, '2020-10-01 16:08:45', '2020-09-30', '2020-11-05 10:35:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-10-01'),
(1239, '2009-0020', '23cros07092020', 1, NULL, 0, 2114, '2020-10-02 10:19:37', '2020-09-30', '2020-11-05 10:35:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-10-02'),
(1240, '2009-0021', '23deves25092020', 1, NULL, 0, 2114, '2020-10-02 10:27:39', '2020-09-30', '2020-11-05 10:35:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-10-02'),
(1241, '2009-0022', '22deval25092020', 1, NULL, 0, 2114, '2020-10-02 10:41:25', '2020-09-30', '2020-11-05 10:35:32', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-10-02'),
(1242, '2009-0023', '3130debionne14092020', 1, NULL, 0, 2114, '2020-10-02 10:57:42', '2020-09-30', '2020-11-06 08:15:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 544.42000000, 108.89000000, 653.31000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 544.42000000, 108.89000000, 653.31000000, NULL, NULL, '2020-10-02'),
(1243, '2009-0024', '42epoxy300028092020', 1, NULL, 0, 2114, '2020-10-02 11:04:53', '2020-09-30', '2020-11-06 08:15:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-10-02'),
(1244, '2009-0025', '43exsto31082020', 1, NULL, 0, 2114, '2020-10-02 11:12:18', '2020-09-30', '2020-11-06 08:15:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-10-02'),
(1245, '2009-0026', '45exsto02092020', 1, NULL, 0, 2114, '2020-10-02 11:14:39', '2020-09-30', '2020-11-06 08:15:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 132.50000000, 26.50000000, 159.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 132.50000000, 26.50000000, 159.00000000, NULL, NULL, '2020-10-02'),
(1246, '2009-0027', '38epoxy210520209', 1, NULL, 0, 2114, '2020-10-02 11:21:46', '2020-09-30', '2020-11-06 08:15:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 214.08000000, 42.82000000, 256.90000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 214.08000000, 42.82000000, 256.90000000, NULL, NULL, '2020-10-02'),
(1247, '2009-0028', '34fromageriealpine16092020', 1, NULL, 0, 2114, '2020-10-02 11:28:25', '2020-09-30', '2020-11-06 08:15:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-10-02'),
(1248, '2009-0029', '07innodec29092020', 1, NULL, 0, 2114, '2020-10-02 11:53:33', '2020-09-30', '2020-11-06 08:15:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-10-02'),
(1249, '2009-0030', '29huileriedechambaran29092020', 1, NULL, 0, 2114, '2020-10-02 11:58:23', '2020-09-30', '2020-11-06 08:15:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-10-02');
INSERT INTO `llx_facture_fourn` (`rowid`, `ref`, `ref_supplier`, `entity`, `ref_ext`, `type`, `fk_soc`, `datec`, `datef`, `tms`, `libelle`, `paye`, `amount`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_tva`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `fk_incoterms`, `location_incoterms`, `model_pdf`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `date_pointoftax`, `date_valid`) VALUES
(1251, '2009-0031', 'sfacssptembre2020', 1, NULL, 0, 2114, '2020-10-02 12:03:32', '2020-09-30', '2020-11-06 08:15:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, '2020-10-02'),
(1252, '2009-0032', '27lucehydro28092020', 1, NULL, 0, 2114, '2020-10-02 12:10:30', '2020-09-30', '2020-11-06 08:15:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-10-02'),
(1253, '2009-0033', '05mpg28092020', 1, NULL, 0, 2114, '2020-10-02 14:13:15', '2020-09-30', '2020-11-06 08:15:10', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 114.34000000, 22.87000000, 137.21000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 114.34000000, 22.87000000, 137.21000000, NULL, NULL, '2020-10-02'),
(1254, '2009-0034', '26rcr28092020', 1, NULL, 0, 2114, '2020-10-02 14:43:07', '2020-09-30', '2020-11-06 08:15:11', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-10-02'),
(1255, '2009-0035', '18sibelco15092020', 1, NULL, 0, 2114, '2020-10-02 14:55:52', '2020-09-30', '2020-11-06 08:16:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-10-02'),
(1256, '2009-0036', '04tenabutty25092020', 1, NULL, 0, 2114, '2020-10-02 15:13:56', '2020-09-30', '2020-11-06 08:16:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-10-02'),
(1257, '2009-0037', '06transport tras28092020', 1, NULL, 0, 2114, '2020-10-02 15:20:10', '2020-09-30', '2020-11-06 08:16:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-10-02'),
(1258, '2009-0038', '2524transalp28092020', 1, NULL, 0, 2114, '2020-10-02 15:31:51', '2020-09-30', '2020-11-06 08:16:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 544.42000000, 108.89000000, 653.31000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 544.42000000, 108.89000000, 653.31000000, NULL, NULL, '2020-10-02'),
(1259, '2009-0039', '33dauphinoise16092020', 1, NULL, 0, 2114, '2020-10-02 15:43:44', '2020-09-30', '2020-11-06 08:16:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 249.20000000, 49.84000000, 299.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 249.20000000, 49.84000000, 299.04000000, NULL, NULL, '2020-10-02'),
(1260, '2009-0040', '43udtmeca28092020', 1, NULL, 0, 2114, '2020-10-02 16:03:58', '2020-09-30', '2020-11-06 08:16:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-10-02'),
(1261, '2009-0041', '10mecaindustrie30092020', 1, NULL, 0, 2114, '2020-10-05 10:52:41', '2020-09-30', '2020-11-06 08:16:30', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-10-05'),
(1262, '2009-0042', '09jef3830092020', 1, NULL, 0, 2114, '2020-10-05 10:57:03', '2020-09-30', '2020-11-06 08:16:31', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 9, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-10-05'),
(1263, '2009-0043', '44earlstpierre30092020', 1, NULL, 0, 2114, '2020-10-05 11:08:29', '2020-09-30', '2020-11-06 08:16:31', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-10-05'),
(1264, '2009-0044', '45svvi30092020', 1, NULL, 0, 2114, '2020-10-05 11:14:54', '2020-09-30', '2020-11-06 08:16:31', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-10-05'),
(1265, '2009-0045', '3130hdn30092020', 1, NULL, 0, 2114, '2020-10-05 11:53:34', '2020-09-30', '2020-11-06 08:16:31', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 619.08000000, 123.82000000, 742.90000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 619.08000000, 123.82000000, 742.90000000, NULL, NULL, '2020-10-05'),
(1266, '2010-0001', '11redalum02102020', 1, NULL, 0, 2114, '2020-10-15 10:26:24', '2020-10-15', '2020-12-07 10:58:24', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 169.50000000, 33.90000000, 203.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-16', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 169.50000000, 33.90000000, 203.40000000, NULL, NULL, '2020-10-15'),
(1267, '2010-0002', '34delomebattandier08102020', 1, NULL, 0, 2114, '2020-10-15 11:02:10', '2020-10-15', '2020-12-07 10:58:24', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 2794.20000000, 558.84000000, 3353.04000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-16', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 2794.20000000, 558.84000000, 3353.04000000, NULL, NULL, '2020-10-15'),
(1268, '2010-0003', '14capag16102020', 1, NULL, 0, 2114, '2020-10-19 09:30:27', '2020-10-19', '2020-12-07 10:58:24', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-20', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-10-19'),
(1269, '2010-0004', '38cros14102020', 1, NULL, 0, 2114, '2020-10-19 09:55:37', '2020-10-19', '2020-12-07 10:58:24', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 631.66000000, 126.33000000, 757.99000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-20', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 631.66000000, 126.33000000, 757.99000000, NULL, NULL, '2020-10-19'),
(1270, '2010-0005', '47cibox02102020', 1, NULL, 0, 2114, '2020-10-19 11:39:20', '2020-10-19', '2020-12-07 10:58:24', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-20', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-10-19'),
(1271, '2010-0006', '48cibox02102020', 1, NULL, 0, 2114, '2020-10-19 11:49:35', '2020-10-19', '2020-12-07 10:57:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 9, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-10-19'),
(1272, '2010-0007', '13clerhgerie09102020', 1, NULL, 0, 2114, '2020-10-19 12:00:44', '2020-10-19', '2020-12-07 10:57:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-20', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-10-19'),
(1273, '2010-0008', '15mecelec19102020', 1, NULL, 0, 2114, '2020-10-22 09:49:35', '2020-10-22', '2020-12-07 10:57:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1800.00000000, 360.00000000, 2160.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-23', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1800.00000000, 360.00000000, 2160.00000000, NULL, NULL, '2020-10-22'),
(1274, '2010-0009', '02amr21102020', 1, NULL, 0, 2114, '2020-10-29 10:11:28', '2020-10-29', '2020-12-07 10:57:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 125.20000000, 25.04000000, 150.24000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 125.20000000, 25.04000000, 150.24000000, NULL, NULL, '2020-10-29'),
(1275, '2010-0010', '03cms23102020', 1, NULL, 0, 2114, '2020-10-29 10:31:40', '2020-10-29', '2020-12-07 10:56:28', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-10-29'),
(1276, '2010-0011', '37insoft12102020', 1, NULL, 0, 2114, '2020-10-29 10:36:47', '2020-10-29', '2020-12-07 10:56:28', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-10-29'),
(1277, '2010-0012', '46investsolutios02102020', 1, NULL, 0, 2114, '2020-10-29 10:43:30', '2020-10-29', '2020-12-07 10:56:28', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-10-29'),
(1278, '2010-0013', '50hdclamotte14102020', 1, NULL, 0, 2114, '2020-10-29 11:14:17', '2020-10-29', '2020-12-07 10:56:28', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, 0, NULL, NULL, 9, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-10-29'),
(1279, '2010-0014', '01plateforme3816102020', 1, NULL, 0, 2114, '2020-10-29 11:36:03', '2020-10-29', '2020-12-07 10:56:28', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 165.26000000, 33.05000000, 198.31000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 165.26000000, 33.05000000, 198.31000000, NULL, NULL, '2020-10-29'),
(1280, '2010-0015', '40vinci27102020', 1, NULL, 0, 2114, '2020-10-29 14:35:54', '2020-10-29', '2020-12-07 10:56:28', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-10-29'),
(1281, '2010-0016', 'vincisoupape29102020', 1, NULL, 0, 2114, '2020-10-29 14:43:05', '2020-10-29', '2020-12-07 10:56:28', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 163.89000000, 32.78000000, 196.67000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-10-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 163.89000000, 32.78000000, 196.67000000, NULL, NULL, '2020-10-29'),
(1282, '2011-0001', '13rcr23112020', 1, NULL, 0, 2114, '2020-11-24 10:18:01', '2020-11-24', '2021-01-05 11:08:28', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 4650.00000000, 930.00000000, 5580.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-11-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 4650.00000000, 930.00000000, 5580.00000000, NULL, NULL, '2020-11-24'),
(1283, '2011-0002', '05reborn20112020', 1, NULL, 0, 2114, '2020-11-24 10:45:54', '2020-11-24', '2021-01-05 11:08:28', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1600.00000000, 320.00000000, 1920.00000000, 2, 5, NULL, 5, 0, NULL, NULL, 9, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1600.00000000, 320.00000000, 1920.00000000, NULL, NULL, '2020-11-24'),
(1284, '2011-0003', '08asp03112020', 1, NULL, 0, 2114, '2020-11-24 14:44:46', '2020-11-24', '2021-01-05 11:08:28', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 274.50000000, 54.90000000, 329.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-11-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 274.50000000, 54.90000000, 329.40000000, NULL, NULL, '2020-11-24'),
(1285, '2011-0004', '03cros12112020', 1, NULL, 0, 2114, '2020-11-24 14:53:45', '2020-11-24', '2021-01-05 11:08:28', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1100.00000000, 220.00000000, 1320.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-11-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1100.00000000, 220.00000000, 1320.00000000, NULL, NULL, '2020-11-24'),
(1286, '2011-0005', '06courbis02112020', 1, NULL, 0, 2114, '2020-11-24 15:12:57', '2020-11-24', '2021-01-05 11:10:16', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 180.50000000, 36.10000000, 216.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-11-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 180.50000000, 36.10000000, 216.60000000, NULL, NULL, '2020-11-24'),
(1287, '2011-0006', '01cros12112020', 1, NULL, 0, 2114, '2020-11-24 15:39:38', '2020-11-24', '2021-01-05 11:10:16', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-11-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-11-24'),
(1288, '2011-0007', '47deves05112020', 1, NULL, 0, 2114, '2020-11-24 16:09:31', '2020-11-24', '2021-01-05 11:10:16', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 271.02000000, 54.20000000, 325.22000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-11-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 271.02000000, 54.20000000, 325.22000000, NULL, NULL, '2020-11-24'),
(1289, '2011-0008', '17hdc09112020', 1, NULL, 0, 2114, '2020-11-24 16:19:21', '2020-11-24', '2021-01-05 11:10:16', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 106.31000000, 21.26000000, 127.57000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 106.31000000, 21.26000000, 127.57000000, NULL, NULL, '2020-11-24'),
(1290, '2011-0009', '09innodec13112020', 1, NULL, 0, 2114, '2020-11-24 16:29:47', '2020-11-24', '2021-01-05 11:10:16', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 180.50000000, 36.10000000, 216.60000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 180.50000000, 36.10000000, 216.60000000, NULL, NULL, '2020-11-24'),
(1291, '2011-0010', '07innodec02112020', 1, NULL, 0, 2114, '2020-11-24 16:33:14', '2020-11-24', '2021-01-05 11:10:16', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 180.50000000, 36.10000000, 216.60000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 180.50000000, 36.10000000, 216.60000000, NULL, NULL, '2020-11-24'),
(1292, '2011-0011', '43jtlaser03112020', 1, NULL, 0, 2114, '2020-11-24 16:56:13', '2020-11-24', '2021-01-05 11:10:16', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 323.37000000, 64.67000000, 388.04000000, 2, 5, NULL, 5, 0, NULL, NULL, 15, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 323.37000000, 64.67000000, 388.04000000, NULL, NULL, '2020-11-24'),
(1293, '2011-0012', '44navya07112020', 1, NULL, 0, 2114, '2020-11-25 09:59:15', '2020-11-25', '2021-01-05 11:10:16', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 420.00000000, 84.00000000, 504.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-11-26', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 420.00000000, 84.00000000, 504.00000000, NULL, NULL, '2020-11-25'),
(1294, '2011-0013', '04poncin19112020', 1, NULL, 0, 2114, '2020-11-26 09:55:38', '2020-11-26', '2021-01-05 11:10:16', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 128.12000000, 25.62000000, 153.74000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-11-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 128.12000000, 25.62000000, 153.74000000, NULL, NULL, '2020-11-26'),
(1295, '2011-0014', '21podis23092020', 1, NULL, 0, 2114, '2020-11-26 14:59:43', '2020-11-26', '2021-01-05 11:10:16', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 483.23000000, 96.65000000, 579.88000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-11-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 483.23000000, 96.65000000, 579.88000000, NULL, NULL, '2020-11-26'),
(1296, '2011-0015', '49soralep06112020', 1, NULL, 0, 2114, '2020-11-26 15:49:07', '2020-11-26', '2021-01-05 11:10:16', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 600.00000000, 120.00000000, 720.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-11-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 600.00000000, 120.00000000, 720.00000000, NULL, NULL, '2020-11-26'),
(1297, '2011-0016', '4142slcd29102020', 1, NULL, 0, 2114, '2020-11-26 16:59:27', '2020-11-26', '2021-01-05 11:10:16', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 619.08000000, 123.82000000, 742.90000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-11-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 619.08000000, 123.82000000, 742.90000000, NULL, NULL, '2020-11-26'),
(1298, '2011-0017', '10svvi16112020', 1, NULL, 0, 2114, '2020-11-27 10:53:27', '2020-11-27', '2021-01-05 11:10:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 320.00000000, 64.00000000, 384.00000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-11-28', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 320.00000000, 64.00000000, 384.00000000, NULL, NULL, '2020-11-27'),
(1299, '2011-0018', '39beillard26102020', 1, NULL, 0, 2114, '2020-12-01 10:28:30', '2020-11-30', '2021-01-05 11:10:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 780.64000000, 156.13000000, 936.77000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-12-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 780.64000000, 156.13000000, 936.77000000, NULL, NULL, '2020-12-01'),
(1300, '2011-0019', '50perollier10112020', 1, NULL, 0, 2114, '2020-12-01 10:47:13', '2020-11-30', '2021-01-05 11:10:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 104.12000000, 20.82000000, 124.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-12-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 104.12000000, 20.82000000, 124.94000000, NULL, NULL, '2020-12-01'),
(1301, '2011-0020', '16psi27112020', 1, NULL, 0, 2114, '2020-12-01 11:53:47', '2020-11-30', '2021-01-05 11:10:17', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-12-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-12-01'),
(1302, '2011-0021', '16psibis27112020', 1, NULL, 0, 2114, '2020-12-01 11:56:28', '2020-11-30', '2021-01-06 08:39:48', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 288.00000000, 57.60000000, 345.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-12-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 288.00000000, 57.60000000, 345.60000000, NULL, NULL, '2020-12-01'),
(1303, '2011-0022', '19rochegue26112020', 1, NULL, 0, 2114, '2020-12-01 12:06:48', '2020-11-30', '2021-01-06 08:39:48', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-12-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-12-01'),
(1304, '2011-0023', '04mcr28102020', 1, NULL, 0, 2114, '2020-12-02 15:06:07', '2020-11-30', '2021-01-06 08:39:49', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-12-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-12-02'),
(1305, '2011-0024', '46ravioledudauphin04112020', 1, NULL, 0, 2114, '2020-12-03 11:07:41', '2020-11-30', '2021-01-06 08:39:49', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 702.20000000, 140.44000000, 842.64000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-12-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 702.20000000, 140.44000000, 842.64000000, NULL, NULL, '2020-12-03'),
(1306, '2011-0025', '46bisravioledudauphin04112020', 1, NULL, 0, 2114, '2020-12-03 11:12:45', '2020-11-30', '2021-01-06 08:39:49', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, 0, NULL, NULL, 9, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, '2020-12-03'),
(1307, '2011-0026', 'gcsrnd23112020', 1, NULL, 0, 2114, '2020-12-03 11:41:55', '2020-11-30', '2021-01-06 08:39:49', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 667.08000000, 133.42000000, 800.50000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-12-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 667.08000000, 133.42000000, 800.50000000, NULL, NULL, '2020-12-03'),
(1308, '2011-0027', 'sfacs octobre et novembre 2020', 1, NULL, 0, 2114, '2020-12-07 13:59:33', '2020-11-30', '2021-01-06 08:39:49', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 1500.00000000, 300.00000000, 1800.00000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1500.00000000, 300.00000000, 1800.00000000, NULL, NULL, '2020-12-07'),
(1310, '2012-0001', 'EWINFIC', 1, NULL, 0, 2114, '2020-12-09 11:27:57', '2020-12-09', '2021-02-02 15:00:05', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 232.78000000, 46.56000000, 279.34000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-12-10', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 232.78000000, 46.56000000, 279.34000000, NULL, NULL, '2020-12-09'),
(1311, '2012-0002', '23thales10122020', 1, NULL, 0, 2114, '2020-12-17 11:31:21', '2020-12-17', '2021-02-02 15:00:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-12-18', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-12-17'),
(1312, '2012-0003', '27baxter14122020', 1, NULL, 0, 2114, '2020-12-17 14:10:20', '2020-12-17', '2021-02-02 15:00:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-12-18', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-12-17'),
(1313, '2012-0004', '26cibox11122020', 1, NULL, 0, 2114, '2020-12-17 14:27:05', '2020-12-17', '2021-02-02 15:00:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-12-18', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-12-17'),
(1314, '2012-0005', '20desmet02122020', 1, NULL, 0, 2114, '2020-12-17 14:51:46', '2020-12-17', '2021-02-02 15:00:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-12-18', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-12-17'),
(1315, '2012-0006', '18jambon02122020', 1, NULL, 0, 2114, '2020-12-17 15:20:22', '2020-12-17', '2021-02-02 15:00:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-12-18', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-12-17'),
(1316, '2012-0007', '19pavailler02122020', 1, NULL, 0, 2114, '2020-12-17 15:47:14', '2020-12-17', '2021-02-02 15:00:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 272.00000000, 54.40000000, 326.40000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-12-18', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 272.00000000, 54.40000000, 326.40000000, NULL, NULL, '2020-12-17'),
(1317, '2012-0008', '21payen27112020', 1, NULL, 0, 2114, '2020-12-18 09:36:23', '2020-12-18', '2021-02-02 15:00:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 104.12000000, 20.82000000, 124.94000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-12-19', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 104.12000000, 20.82000000, 124.94000000, NULL, NULL, '2020-12-18'),
(1318, '2012-0009', '24sfpa09122020', 1, NULL, 0, 2114, '2020-12-18 10:04:20', '2020-12-18', '2021-02-02 15:00:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-12-19', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-12-18'),
(1319, '2012-0010', 'sfacs decembre 2020', 1, NULL, 0, 2114, '2020-12-18 10:06:43', '2020-12-18', '2021-02-02 15:00:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 750.00000000, 150.00000000, 900.00000000, 2, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, '2020-12-18'),
(1320, '2012-0011', '08vtd03122020', 1, NULL, 0, 2114, '2020-12-18 16:31:12', '2020-12-18', '2021-02-02 15:00:06', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 4592.30000000, 918.46000000, 5510.76000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-12-19', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 4592.30000000, 918.46000000, 5510.76000000, NULL, NULL, '2020-12-18'),
(1321, '2012-0012', '22ravioledudauphin08122020', 1, NULL, 0, 2114, '2020-12-21 10:11:48', '2020-12-21', '2021-02-01 10:58:47', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 139.80000000, 27.96000000, 167.76000000, 2, 5, NULL, 5, NULL, NULL, NULL, 3, NULL, '2021-01-31', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 139.80000000, 27.96000000, 167.76000000, NULL, NULL, '2020-12-21'),
(1322, '2012-0013', '22tgcp04122020', 1, NULL, 0, 2114, '2020-12-21 10:58:46', '2020-12-21', '2021-02-01 10:58:47', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 136.88000000, 27.38000000, 164.26000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-12-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 136.88000000, 27.38000000, 164.26000000, NULL, NULL, '2020-12-21'),
(1323, '2012-0014', '09oxyane16122020', 1, NULL, 0, 2114, '2020-12-22 09:10:28', '2020-12-22', '2021-02-01 10:58:47', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 485.66000000, 97.13000000, 582.79000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-12-23', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 485.66000000, 97.13000000, 582.79000000, NULL, NULL, '2020-12-22'),
(1324, '2012-0015', '21oxyane4122020', 1, NULL, 0, 2114, '2020-12-22 09:41:50', '2020-12-22', '2021-02-01 10:58:47', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-12-23', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-12-22'),
(1325, '2012-0016', '03tsr16112020', 1, NULL, 0, 2114, '2020-12-24 09:36:36', '2020-12-24', '2021-02-01 10:58:47', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1566.97000000, 313.39000000, 1880.36000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-12-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1566.97000000, 313.39000000, 1880.36000000, NULL, NULL, '2020-12-24'),
(1326, '2012-0017', '10tiba16122020', 1, NULL, 0, 2114, '2020-12-24 09:56:30', '2020-12-24', '2021-02-01 10:58:47', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-12-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2020-12-24'),
(1327, '2012-0018', '28vigne18122020', 1, NULL, 0, 2114, '2020-12-24 10:05:24', '2020-12-24', '2021-02-01 10:58:47', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 180.50000000, 36.10000000, 216.60000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-12-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 180.50000000, 36.10000000, 216.60000000, NULL, NULL, '2020-12-24'),
(1328, '2012-0019', '29celta18122020', 1, NULL, 0, 2114, '2020-12-24 10:50:15', '2020-12-24', '2021-02-01 10:58:47', '', 1, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 2, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2020-12-25', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2020-12-24'),
(1329, '2101-0001', 'sfacs Janvier 2021', 1, NULL, 0, 2114, '2021-01-19 10:24:08', '2021-01-19', '2021-01-19 09:24:33', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, NULL, NULL, 750.00000000, 150.00000000, 900.00000000, 1, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, '2021-01-19'),
(1330, '2101-0002', 'acieries122020', 1, NULL, 0, 2114, '2021-01-20 11:04:24', '2021-01-20', '2021-01-20 10:09:53', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 853.96000000, 170.80000000, 1024.76000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-01-21', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 853.96000000, 170.80000000, 1024.76000000, NULL, NULL, '2021-01-20'),
(1331, '2101-0003', '39cef13012021', 1, NULL, 0, 2114, '2021-01-21 11:39:43', '2021-01-21', '2021-01-21 10:39:56', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-01-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2021-01-21'),
(1332, '2101-0004', '33carriescopic04012021', 1, NULL, 0, 2114, '2021-01-21 11:46:48', '2021-01-21', '2021-01-21 10:46:59', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-01-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2021-01-21'),
(1333, '2101-0005', '38delmonicodorel11012021', 1, NULL, 0, 2114, '2021-01-21 14:15:56', '2021-01-21', '2021-01-21 13:16:18', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-01-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2021-01-21'),
(1334, '2101-0006', '42desgranges18012021', 1, NULL, 0, 2114, '2021-01-21 15:14:21', '2021-01-21', '2021-01-21 14:14:33', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-01-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2021-01-21'),
(1335, '2101-0007', '12detec04012021', 1, NULL, 0, 2114, '2021-01-21 15:21:45', '2021-01-21', '2021-01-21 14:22:20', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-01-22', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2021-01-21'),
(1336, '2101-0008', '13detec04012021', 1, NULL, 0, 2114, '2021-01-21 15:44:59', '2021-01-21', '2021-01-21 14:45:03', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 1, 5, NULL, 5, 0, NULL, NULL, 9, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2021-01-21'),
(1337, '2101-0009', '35fmr06012021', 1, NULL, 0, 2114, '2021-01-22 14:50:22', '2021-01-22', '2021-01-22 13:52:09', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 498.00000000, 99.60000000, 597.60000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-01-23', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 498.00000000, 99.60000000, 597.60000000, NULL, NULL, '2021-01-22'),
(1338, '2101-0010', '24sms12012021', 1, NULL, 0, 2114, '2021-01-25 10:13:29', '2021-01-25', '2021-01-25 09:14:08', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 384.00000000, 76.80000000, 460.80000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-01-26', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 384.00000000, 76.80000000, 460.80000000, NULL, NULL, '2021-01-25'),
(1339, '2101-0011', '37preciamolen11012021', 1, NULL, 0, 2114, '2021-01-25 14:17:33', '2021-01-25', '2021-01-25 13:18:17', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-01-26', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2021-01-25'),
(1340, '2101-0012', '40soralep15012021', 1, NULL, 0, 2114, '2021-01-25 15:18:49', '2021-01-25', '2021-01-25 14:19:10', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-01-26', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2021-01-25'),
(1341, '2101-0013', '35kerry12102020', 1, NULL, 0, 2114, '2021-01-29 09:52:25', '2021-01-29', '2021-01-29 08:52:45', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-01-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2021-01-29'),
(1342, '2101-0014', '45barbier19012021', 1, NULL, 0, 2114, '2021-01-29 10:08:13', '2021-01-29', '2021-01-29 09:08:24', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-01-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2021-01-29'),
(1343, '2101-0015', '44cop19012021', 1, NULL, 0, 2114, '2021-01-29 11:23:41', '2021-01-29', '2021-01-29 10:24:06', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-01-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2021-01-29'),
(1344, '2101-0016', '03courbis22012021', 1, NULL, 0, 2114, '2021-01-29 14:07:54', '2021-01-29', '2021-01-29 13:09:00', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 469.76000000, 93.95000000, 563.71000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-01-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 469.76000000, 93.95000000, 563.71000000, NULL, NULL, '2021-01-29'),
(1345, '2101-0017', '47cims20012021', 1, NULL, 0, 2114, '2021-01-29 14:16:24', '2021-01-29', '2021-01-29 13:16:34', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-01-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2021-01-29'),
(1346, '2101-0018', '50dumg21012021', 1, NULL, 0, 2114, '2021-01-29 15:19:22', '2021-01-29', '2021-01-29 14:19:33', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-01-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2021-01-29'),
(1347, '2101-0019', '32exstothermo04012021', 1, NULL, 0, 2114, '2021-01-29 15:26:32', '2021-01-29', '2021-01-29 14:26:54', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-01-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2021-01-29'),
(1348, '2101-0020', '19epidaure20012021', 1, NULL, 0, 2114, '2021-01-29 15:38:46', '2021-01-29', '2021-01-29 14:39:12', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 300.00000000, 60.00000000, 360.00000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-01-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 300.00000000, 60.00000000, 360.00000000, NULL, NULL, '2021-01-29'),
(1349, '2101-0021', '01epoxy22012021', 1, NULL, 0, 2114, '2021-01-29 15:54:48', '2021-01-29', '2021-01-29 14:55:00', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-01-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2021-01-29'),
(1350, '2101-0022', '25esat19012021', 1, NULL, 0, 2114, '2021-01-29 16:15:07', '2021-01-29', '2021-01-29 15:15:39', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-01-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2021-01-29'),
(1351, '2101-0023', '08coval29012021', 1, NULL, 0, 2114, '2021-02-01 11:49:08', '2021-01-26', '2021-02-01 10:49:19', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-01-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2021-02-01'),
(1352, '2101-0024', '20lyonbiscuit26012021', 1, NULL, 0, 2114, '2021-02-01 12:05:17', '2021-01-29', '2021-02-01 11:05:28', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-01-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2021-02-01'),
(1353, '2101-0025', '31sep29012021', 1, NULL, 0, 2114, '2021-02-01 14:44:41', '2021-01-31', '2021-02-01 13:45:04', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-02-01', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2021-02-01'),
(1354, '2101-0026', '05richardpontvert28012021', 1, NULL, 0, 2114, '2021-02-01 15:11:44', '2021-01-29', '2021-02-01 14:12:09', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-01-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2021-02-01'),
(1355, '2101-0027', '06richardpontvert28012021', 1, NULL, 0, 2114, '2021-02-01 15:13:37', '2021-01-29', '2021-02-01 14:13:42', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 1, 5, NULL, 5, 0, NULL, NULL, 9, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2021-02-01'),
(1356, '2101-0028', '48rey21012021', 1, NULL, 0, 2114, '2021-02-01 15:36:56', '2021-01-29', '2021-02-01 14:37:29', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-01-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2021-02-01'),
(1357, '2101-0029', '2627sebù27012021', 1, NULL, 0, 2114, '2021-02-02 11:09:29', '2021-01-26', '2021-02-02 10:09:51', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 619.08000000, 123.82000000, 742.90000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-01-27', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 619.08000000, 123.82000000, 742.90000000, NULL, NULL, '2021-02-02'),
(1358, '2101-0030', '04sorea27012021', 1, NULL, 0, 2114, '2021-02-02 11:22:52', '2021-01-29', '2021-02-02 10:24:57', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-01-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2021-02-02'),
(1359, '2101-0031', '15bourbon15012021', 1, NULL, 0, 2114, '2021-02-02 14:49:24', '2021-01-29', '2021-02-02 13:50:20', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 418.40000000, 83.68000000, 502.08000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-01-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 418.40000000, 83.68000000, 502.08000000, NULL, NULL, '2021-02-02'),
(1360, '2101-0032', '36ville08012021', 1, NULL, 0, 2114, '2021-02-02 15:15:50', '2021-01-29', '2021-02-02 14:16:01', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-01-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2021-02-02'),
(1361, '2101-0033', '28truck28012021', 1, NULL, 0, 2114, '2021-02-02 15:26:57', '2021-01-29', '2021-02-02 14:27:13', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 469.76000000, 93.95000000, 563.71000000, 1, 5, NULL, 5, NULL, NULL, NULL, 15, NULL, '2021-01-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 469.76000000, 93.95000000, 563.71000000, NULL, NULL, '2021-02-02'),
(1362, '2101-0034', '02cef22012021', 1, NULL, 0, 2114, '2021-02-02 15:50:46', '2021-01-29', '2021-02-02 14:51:38', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 534.00000000, 106.80000000, 640.80000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-01-30', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 534.00000000, 106.80000000, 640.80000000, NULL, NULL, '2021-02-02'),
(1363, '2102-0001', '32froamgerie01022021', 1, NULL, 0, 2114, '2021-02-03 10:49:11', '2021-02-03', '2021-02-03 09:49:25', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-02-04', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2021-02-03'),
(1364, '2102-0002', '28brd03022021', 1, NULL, 0, 2114, '2021-02-12 10:23:38', '2021-02-12', '2021-02-12 09:24:09', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 234.88000000, 46.98000000, 281.86000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-02-13', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 234.88000000, 46.98000000, 281.86000000, NULL, NULL, '2021-02-12'),
(1365, '2102-0003', '14mgp05022021', 1, NULL, 0, 2114, '2021-02-12 11:17:12', '2021-02-12', '2021-02-12 10:17:26', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-02-13', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2021-02-12'),
(1366, '2102-0004', '12mecaindustrie04022021', 1, NULL, 0, 2114, '2021-02-12 14:19:14', '2021-02-12', '2021-02-12 13:19:25', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 309.54000000, 61.91000000, 371.45000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-02-13', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 309.54000000, 61.91000000, 371.45000000, NULL, NULL, '2021-02-12'),
(1367, '2102-0005', '13mecaindustrie04022021', 1, NULL, 0, 2114, '2021-02-12 14:27:15', '2021-02-12', '2021-02-12 13:27:27', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 239.57000000, 47.91000000, 287.48000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-02-13', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 239.57000000, 47.91000000, 287.48000000, NULL, NULL, '2021-02-12'),
(1368, '2102-0006', '16mpg08022021', 1, NULL, 0, 2114, '2021-02-12 14:51:59', '2021-02-12', '2021-02-12 13:52:13', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 239.57000000, 47.91000000, 287.48000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-02-13', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 239.57000000, 47.91000000, 287.48000000, NULL, NULL, '2021-02-12'),
(1369, '2102-0007', '10prisme meca03022021', 1, NULL, 0, 2114, '2021-02-12 15:21:54', '2021-02-12', '2021-02-12 14:22:17', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 315.73000000, 63.15000000, 378.88000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-02-13', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 315.73000000, 63.15000000, 378.88000000, NULL, NULL, '2021-02-12');
INSERT INTO `llx_facture_fourn` (`rowid`, `ref`, `ref_supplier`, `entity`, `ref_ext`, `type`, `fk_soc`, `datec`, `datef`, `tms`, `libelle`, `paye`, `amount`, `remise`, `close_code`, `close_note`, `tva`, `localtax1`, `localtax2`, `total_ht`, `total_tva`, `total_ttc`, `fk_statut`, `fk_user_author`, `fk_user_modif`, `fk_user_valid`, `fk_facture_source`, `fk_projet`, `fk_account`, `fk_cond_reglement`, `fk_mode_reglement`, `date_lim_reglement`, `note_private`, `note_public`, `fk_incoterms`, `location_incoterms`, `model_pdf`, `import_key`, `extraparams`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_tx`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`, `last_main_doc`, `date_pointoftax`, `date_valid`) VALUES
(1370, '2102-0008', '15rotomod05022021', 1, NULL, 0, 2114, '2021-02-12 15:30:35', '2021-02-12', '2021-02-12 14:30:57', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 315.73000000, 63.15000000, 378.88000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-02-13', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 315.73000000, 63.15000000, 378.88000000, NULL, NULL, '2021-02-12'),
(1371, '2102-0009', '34sibelco05012021', 1, NULL, 0, 2114, '2021-02-12 15:37:43', '2021-02-12', '2021-02-12 14:38:06', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 315.73000000, 63.15000000, 378.88000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-02-13', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 315.73000000, 63.15000000, 378.88000000, NULL, NULL, '2021-02-12'),
(1372, '2102-0010', '34sms04022021', 1, NULL, 0, 2114, '2021-02-12 15:56:07', '2021-02-12', '2021-02-12 14:57:12', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 1012.00000000, 202.40000000, 1214.40000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-02-13', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 1012.00000000, 202.40000000, 1214.40000000, NULL, NULL, '2021-02-12'),
(1373, '2102-0011', '18transfoplast18012021', 1, NULL, 0, 2114, '2021-02-15 11:10:26', '2021-02-15', '2021-02-15 10:10:41', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 3350.00000000, 670.00000000, 4020.00000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-02-16', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 3350.00000000, 670.00000000, 4020.00000000, NULL, NULL, '2021-02-15'),
(1374, '2102-0012', '22exsto27012021', 1, NULL, 0, 2114, '2021-02-16 10:18:38', '2021-02-16', '2021-02-16 09:19:00', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 315.73000000, 63.15000000, 378.88000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-02-17', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 315.73000000, 63.15000000, 378.88000000, NULL, NULL, '2021-02-16'),
(1375, '2102-0013', '18ciram08022021', 1, NULL, 0, 2114, '2021-02-16 10:34:51', '2021-02-16', '2021-02-16 09:34:57', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 315.73000000, 63.15000000, 378.88000000, 1, 5, NULL, 5, 0, NULL, NULL, 9, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 315.73000000, 63.15000000, 378.88000000, NULL, NULL, '2021-02-16'),
(1376, '2102-0014', '36ivars11022021', 1, NULL, 0, 2114, '2021-02-16 10:43:20', '2021-02-16', '2021-02-16 09:43:30', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 315.73000000, 63.15000000, 378.88000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-02-17', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 315.73000000, 63.15000000, 378.88000000, NULL, NULL, '2021-02-16'),
(1377, '2102-0015', '37ivars11022021', 1, NULL, 0, 2114, '2021-02-16 10:44:29', '2021-02-16', '2021-02-16 09:44:33', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 315.73000000, 63.15000000, 378.88000000, 1, 5, NULL, 5, 0, NULL, NULL, 9, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 315.73000000, 63.15000000, 378.88000000, NULL, NULL, '2021-02-16'),
(1378, '2102-0016', '30navya08022021', 1, NULL, 0, 2114, '2021-02-16 10:59:46', '2021-02-16', '2021-02-16 10:00:02', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 605.92000000, 121.18000000, 727.10000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-02-17', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 605.92000000, 121.18000000, 727.10000000, NULL, NULL, '2021-02-16'),
(1379, '2102-0017', '19puillet09022021', 1, NULL, 0, 2114, '2021-02-16 14:58:27', '2021-02-16', '2021-02-16 13:59:13', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 315.73000000, 63.15000000, 378.88000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-02-17', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 315.73000000, 63.15000000, 378.88000000, NULL, NULL, '2021-02-16'),
(1380, '2102-0018', '31ville09022021', 1, NULL, 0, 2114, '2021-02-17 09:46:51', '2021-02-17', '2021-02-17 08:47:22', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 249.20000000, 49.84000000, 299.04000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-02-18', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 249.20000000, 49.84000000, 299.04000000, NULL, NULL, '2021-02-17'),
(1381, '2102-0019', '21vallet12022021', 1, NULL, 0, 2114, '2021-02-17 10:17:11', '2021-02-17', '2021-02-17 09:17:31', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 329.50000000, 65.90000000, 395.40000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-02-18', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 329.50000000, 65.90000000, 395.40000000, NULL, NULL, '2021-02-17'),
(1382, '2102-0020', 'sfacs fevrier 2021', 1, NULL, 0, 2114, '2021-02-19 10:42:11', '2021-02-19', '2021-02-19 09:42:16', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 750.00000000, 150.00000000, 900.00000000, 1, 5, NULL, 5, 0, NULL, NULL, 16, NULL, NULL, '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 750.00000000, 150.00000000, 900.00000000, NULL, NULL, '2021-02-19'),
(1383, '2102-0021', '26sibelco02022021', 1, NULL, 0, 2114, '2021-02-19 11:27:31', '2021-02-19', '2021-02-19 10:27:52', '', 0, 0.00000000, 0.00000000, NULL, NULL, 0.00000000, 0.00000000, 0.00000000, 315.73000000, 63.15000000, 378.88000000, 1, 5, NULL, 5, NULL, NULL, NULL, 9, NULL, '2021-02-20', '', '', 0, '', NULL, NULL, NULL, 0, 'EUR', 1.00000000, 315.73000000, 63.15000000, 378.88000000, NULL, NULL, '2021-02-19');
