
-- --------------------------------------------------------

--
-- Structure de la table `llx_facture_fourn_det`
--

CREATE TABLE `llx_facture_fourn_det` (
  `rowid` int(11) NOT NULL,
  `fk_facture_fourn` int(11) NOT NULL,
  `fk_parent_line` int(11) DEFAULT NULL,
  `fk_product` int(11) DEFAULT NULL,
  `ref` varchar(50) DEFAULT NULL,
  `label` varchar(255) DEFAULT NULL,
  `description` text,
  `pu_ht` double(24,8) DEFAULT NULL,
  `pu_ttc` double(24,8) DEFAULT NULL,
  `qty` double DEFAULT NULL,
  `remise_percent` double DEFAULT '0',
  `tva_tx` double(6,3) DEFAULT NULL,
  `vat_src_code` varchar(10) DEFAULT '',
  `localtax1_tx` double(6,3) DEFAULT '0.000',
  `localtax1_type` varchar(10) DEFAULT NULL,
  `localtax2_tx` double(6,3) DEFAULT '0.000',
  `localtax2_type` varchar(10) DEFAULT NULL,
  `total_ht` double(24,8) DEFAULT NULL,
  `tva` double(24,8) DEFAULT NULL,
  `total_localtax1` double(24,8) DEFAULT '0.00000000',
  `total_localtax2` double(24,8) DEFAULT '0.00000000',
  `total_ttc` double(24,8) DEFAULT NULL,
  `product_type` int(11) DEFAULT '0',
  `date_start` datetime DEFAULT NULL,
  `date_end` datetime DEFAULT NULL,
  `info_bits` int(11) DEFAULT '0',
  `fk_code_ventilation` int(11) NOT NULL DEFAULT '0',
  `special_code` int(11) DEFAULT '0',
  `rang` int(11) DEFAULT '0',
  `import_key` varchar(14) DEFAULT NULL,
  `fk_unit` int(11) DEFAULT NULL,
  `fk_multicurrency` int(11) DEFAULT NULL,
  `multicurrency_code` varchar(255) DEFAULT NULL,
  `multicurrency_subprice` double(24,8) DEFAULT '0.00000000',
  `multicurrency_total_ht` double(24,8) DEFAULT '0.00000000',
  `multicurrency_total_tva` double(24,8) DEFAULT '0.00000000',
  `multicurrency_total_ttc` double(24,8) DEFAULT '0.00000000'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Déchargement des données de la table `llx_facture_fourn_det`
--

INSERT INTO `llx_facture_fourn_det` (`rowid`, `fk_facture_fourn`, `fk_parent_line`, `fk_product`, `ref`, `label`, `description`, `pu_ht`, `pu_ttc`, `qty`, `remise_percent`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `total_ht`, `tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `fk_code_ventilation`, `special_code`, `rang`, `import_key`, `fk_unit`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(17, 3, NULL, 1222643, NULL, NULL, 'forfait chantier', 915.20000000, 1098.24000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 915.20000000, 183.04000000, 0.00000000, 0.00000000, 1098.24000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 915.20000000, 915.20000000, 183.04000000, 1098.24000000),
(18, 3, NULL, 1223317, NULL, NULL, 'MANCHON UNION GALV 340FF 50X60', 26.81000000, 32.17000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 53.62000000, 10.72000000, 0.00000000, 0.00000000, 64.34000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 26.81000000, 53.62000000, 10.72000000, 64.34000000),
(19, 3, NULL, 1223297, NULL, NULL, 'MAMELON GALVA N280 50X60', 8.11000000, 9.73000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 16.22000000, 3.24000000, 0.00000000, 0.00000000, 19.46000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 8.11000000, 16.22000000, 3.24000000, 19.46000000),
(20, 3, NULL, 1223365, NULL, NULL, 'MAMELON RED GALV N241 MF 50X40', 5.80000000, 6.96000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 11.60000000, 2.32000000, 0.00000000, 0.00000000, 13.92000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 5.80000000, 11.60000000, 2.32000000, 13.92000000),
(21, 3, NULL, 1223273, NULL, NULL, 'COUDE PR GALV N 92 MF 50X60', 12.36000000, 14.83000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 12.36000000, 2.47000000, 0.00000000, 0.00000000, 14.83000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 12.36000000, 12.36000000, 2.47000000, 14.83000000),
(22, 3, NULL, 1071273, NULL, NULL, 'BOITE DERIVATION 310X240', 111.57000000, 133.88000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 111.57000000, 22.31000000, 0.00000000, 0.00000000, 133.88000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 111.57000000, 111.57000000, 22.31000000, 133.88000000),
(23, 3, NULL, 1223497, NULL, NULL, 'cable ro2v4g35', 21.31000000, 25.57200000, 25, 0, 20.000, '', 0.000, '0', 0.000, '0', 532.75000000, 106.55000000, 0.00000000, 0.00000000, 639.30000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 21.31000000, 532.75000000, 106.55000000, 639.30000000),
(24, 3, NULL, 1223498, NULL, NULL, 'cosse a sertir diam 35 trou de 8', 0.97000000, 1.16400000, 5, 0, 20.000, '', 0.000, '0', 0.000, '0', 4.85000000, 0.97000000, 0.00000000, 0.00000000, 5.82000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.97000000, 4.85000000, 0.97000000, 5.82000000),
(25, 3, NULL, 1069843, NULL, NULL, '2P+T 2PH GRIS SAIL PLEXO CPT', 22.04000000, 26.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 22.04000000, 4.41000000, 0.00000000, 0.00000000, 26.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 22.04000000, 22.04000000, 4.41000000, 26.45000000),
(26, 3, NULL, 1069811, NULL, NULL, '2P+T F/B GRIS SAILLIE', 10.79000000, 12.95000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 10.79000000, 2.16000000, 0.00000000, 0.00000000, 12.95000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 10.79000000, 10.79000000, 2.16000000, 12.95000000),
(27, 4, NULL, NULL, NULL, NULL, 'commande ouverte travaux divers', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 1, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(29, 6, NULL, 1222643, NULL, NULL, 'forfait chantier', 1200.00000000, 1440.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 1200.00000000, 240.00000000, 0.00000000, 0.00000000, 1440.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 1200.00000000, 1200.00000000, 240.00000000, 1440.00000000),
(36, 8, NULL, 1222643, NULL, NULL, 'forfait chantier', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(37, 9, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(38, 10, NULL, 1061860, NULL, NULL, 'COFFRET METALLIQUE H600', 285.94000000, 343.12666667, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 857.82000000, 171.56000000, 0.00000000, 0.00000000, 1029.38000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 285.94000000, 857.82000000, 171.56000000, 1029.38000000),
(39, 10, NULL, 1222643, NULL, NULL, 'forfait chantier', 2368.42000000, 2842.10000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 2368.42000000, 473.68000000, 0.00000000, 0.00000000, 2842.10000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 2368.42000000, 2368.42000000, 473.68000000, 2842.10000000),
(40, 11, NULL, 1190364, NULL, NULL, 'Maintenance compresseur', 290.23000000, 348.28000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.23000000, 58.05000000, 0.00000000, 0.00000000, 348.28000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.23000000, 290.23000000, 58.05000000, 348.28000000),
(41, 12, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(42, 13, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(43, 13, NULL, 1190334, NULL, NULL, 'frais km', 0.97000000, 1.16402778, 72, 0, 20.000, '', 0.000, '0', 0.000, '0', 69.84000000, 13.97000000, 0.00000000, 0.00000000, 83.81000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.97000000, 69.84000000, 13.97000000, 83.81000000),
(44, 13, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 63.84000000, 76.61000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 63.84000000, 12.77000000, 0.00000000, 0.00000000, 76.61000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 63.84000000, 63.84000000, 12.77000000, 76.61000000),
(45, 14, NULL, 1223572, NULL, NULL, 'réparation carte DELCOS', 250.00000000, 300.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(46, 15, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(47, 16, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87590909, 22, 0, 20.000, '', 0.000, '0', 0.000, '0', 16.06000000, 3.21000000, 0.00000000, 0.00000000, 19.27000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 16.06000000, 3.21000000, 19.27000000),
(48, 16, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87590909, 22, 0, 20.000, '', 0.000, '0', 0.000, '0', 16.06000000, 3.21000000, 0.00000000, 0.00000000, 19.27000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 16.06000000, 3.21000000, 19.27000000),
(49, 16, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 6, 0, 20.000, '', 0.000, '0', 0.000, '0', 288.00000000, 57.60000000, 0.00000000, 0.00000000, 345.60000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 288.00000000, 57.60000000, 345.60000000),
(50, 17, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(51, 18, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(52, 19, NULL, 1190523, NULL, NULL, 'petites fournitures', 50.00000000, 60.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 50.00000000, 10.00000000, 0.00000000, 0.00000000, 60.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 50.00000000, 50.00000000, 10.00000000, 60.00000000),
(53, 19, NULL, 1222643, NULL, NULL, 'forfait chantier', 307.80000000, 369.36000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 307.80000000, 61.56000000, 0.00000000, 0.00000000, 369.36000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 307.80000000, 307.80000000, 61.56000000, 369.36000000),
(54, 20, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 48.00000000, 9.60000000, 0.00000000, 0.00000000, 57.60000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 48.00000000, 9.60000000, 57.60000000),
(55, 21, NULL, 1190376, NULL, NULL, 'Forfait intervention ZONE B', 279.00000000, 334.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 279.00000000, 55.80000000, 0.00000000, 0.00000000, 334.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 279.00000000, 279.00000000, 55.80000000, 334.80000000),
(56, 21, NULL, 1190523, NULL, NULL, 'petites fournitures', 37.50000000, 45.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 37.50000000, 7.50000000, 0.00000000, 0.00000000, 45.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 37.50000000, 37.50000000, 7.50000000, 45.00000000),
(57, 22, NULL, 1190374, NULL, NULL, 'Forfait intervention ZONE A', 199.50000000, 239.40000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 199.50000000, 39.90000000, 0.00000000, 0.00000000, 239.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 199.50000000, 199.50000000, 39.90000000, 239.40000000),
(58, 22, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(59, 23, NULL, 1190354, NULL, NULL, '', 563.91000000, 676.69000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 563.91000000, 112.78000000, 0.00000000, 0.00000000, 676.69000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 563.91000000, 563.91000000, 112.78000000, 676.69000000),
(60, 24, NULL, 1222643, NULL, NULL, 'forfait chantier', 534.00000000, 640.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 534.00000000, 106.80000000, 0.00000000, 0.00000000, 640.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 534.00000000, 534.00000000, 106.80000000, 640.80000000),
(61, 24, NULL, 1190554, NULL, NULL, 'R2V CU 5G1,5 C100M', 1.28000000, 1.53600000, 5, 0, 20.000, '', 0.000, '0', 0.000, '0', 6.40000000, 1.28000000, 0.00000000, 0.00000000, 7.68000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 1.28000000, 6.40000000, 1.28000000, 7.68000000),
(62, 24, NULL, 1190650, NULL, NULL, 'R2V CU 3G1,5 C50M', 0.80000000, 0.96000000, 5, 0, 20.000, '', 0.000, '0', 0.000, '0', 4.00000000, 0.80000000, 0.00000000, 0.00000000, 4.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.80000000, 4.00000000, 0.80000000, 4.80000000),
(63, 24, NULL, 1190696, NULL, NULL, 'boite derivation 100x100 plexo', 7.36000000, 8.83166667, 6, 0, 20.000, '', 0.000, '0', 0.000, '0', 44.16000000, 8.83000000, 0.00000000, 0.00000000, 52.99000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 7.36000000, 44.16000000, 8.83000000, 52.99000000),
(64, 24, NULL, 1223593, NULL, NULL, 'cable ro2v 3g6', 4.13000000, 4.95615385, 13, 0, 20.000, '', 0.000, '0', 0.000, '0', 53.69000000, 10.74000000, 0.00000000, 0.00000000, 64.43000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 4.13000000, 53.69000000, 10.74000000, 64.43000000),
(65, 24, NULL, 1223592, NULL, NULL, 'cable ro2v 4g25mm²', 18.37000000, 22.04384615, 13, 0, 20.000, '', 0.000, '0', 0.000, '0', 238.81000000, 47.76000000, 0.00000000, 0.00000000, 286.57000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 18.37000000, 238.81000000, 47.76000000, 286.57000000),
(66, 24, NULL, 1223594, NULL, NULL, 'h07 rnf 4g2.5 tgl', 2.74000000, 3.28750000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 10.96000000, 2.19000000, 0.00000000, 0.00000000, 13.15000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 2.74000000, 10.96000000, 2.19000000, 13.15000000),
(67, 24, NULL, 1223595, NULL, NULL, 'boite derivation 360x270', 157.74000000, 189.29000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 157.74000000, 31.55000000, 0.00000000, 0.00000000, 189.29000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 157.74000000, 157.74000000, 31.55000000, 189.29000000),
(68, 24, NULL, 1223596, NULL, NULL, 'cosse sertir xct25/8', 0.71000000, 0.85166667, 12, 0, 20.000, '', 0.000, '0', 0.000, '0', 8.52000000, 1.70000000, 0.00000000, 0.00000000, 10.22000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.71000000, 8.52000000, 1.70000000, 10.22000000),
(69, 25, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(70, 26, NULL, 1222643, NULL, NULL, 'forfait chantier', 534.00000000, 640.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 534.00000000, 106.80000000, 0.00000000, 0.00000000, 640.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 534.00000000, 534.00000000, 106.80000000, 640.80000000),
(71, 26, NULL, 1223284, NULL, NULL, 'COUDE PR GALV N 90 FF 26X34', 2.59000000, 3.10750000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 10.36000000, 2.07000000, 0.00000000, 0.00000000, 12.43000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 2.59000000, 10.36000000, 2.07000000, 12.43000000),
(72, 26, NULL, 1223453, NULL, NULL, 'COUDE UNION GALV N 96 FF 26X34', 13.76000000, 16.51000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 13.76000000, 2.75000000, 0.00000000, 0.00000000, 16.51000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 13.76000000, 13.76000000, 2.75000000, 16.51000000),
(73, 26, NULL, 1223365, NULL, NULL, 'MAMELON RED GALV N241 MF 50X40', 5.80000000, 6.96000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 17.40000000, 3.48000000, 0.00000000, 0.00000000, 20.88000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 5.80000000, 17.40000000, 3.48000000, 20.88000000),
(74, 27, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(75, 30, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 4.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 216.00000000, 43.20000000, 0.00000000, 0.00000000, 259.20000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 216.00000000, 43.20000000, 259.20000000),
(76, 30, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87600000, 150, 0, 20.000, '', 0.000, '0', 0.000, '0', 109.50000000, 21.90000000, 0.00000000, 0.00000000, 131.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 109.50000000, 21.90000000, 131.40000000),
(77, 31, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(78, 31, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(79, 32, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.88000000, 63, 0, 20.000, '', 0.000, '0', 0.000, '0', 45.99000000, 9.20000000, 0.00000000, 0.00000000, 55.19000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 45.99000000, 9.20000000, 55.19000000),
(80, 32, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(82, 34, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(83, 35, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 12, 0, 20.000, '', 0.000, '0', 0.000, '0', 576.00000000, 115.20000000, 0.00000000, 0.00000000, 691.20000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 576.00000000, 115.20000000, 691.20000000),
(84, 35, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87602564, 156, 0, 20.000, '', 0.000, '0', 0.000, '0', 113.88000000, 22.78000000, 0.00000000, 0.00000000, 136.66000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 113.88000000, 22.78000000, 136.66000000),
(85, 35, NULL, 1190337, NULL, NULL, 'frais repas', 30.90000000, 37.08000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 92.70000000, 18.54000000, 0.00000000, 0.00000000, 111.24000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 30.90000000, 92.70000000, 18.54000000, 111.24000000),
(86, 36, NULL, 1222643, NULL, NULL, 'forfait chantier', 1000.00000000, 1200.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 1000.00000000, 200.00000000, 0.00000000, 0.00000000, 1200.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 1000.00000000, 1000.00000000, 200.00000000, 1200.00000000),
(87, 37, NULL, 1190354, NULL, NULL, '', 3000.00000000, 3600.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 3000.00000000, 600.00000000, 0.00000000, 0.00000000, 3600.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 3000.00000000, 3000.00000000, 600.00000000, 3600.00000000),
(88, 38, NULL, 1222643, NULL, NULL, 'forfait chantier', 534.00000000, 640.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 534.00000000, 106.80000000, 0.00000000, 0.00000000, 640.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 534.00000000, 534.00000000, 106.80000000, 640.80000000),
(89, 39, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(90, 39, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(91, 40, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(92, 40, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87600000, 60, 0, 20.000, '', 0.000, '0', 0.000, '0', 43.80000000, 8.76000000, 0.00000000, 0.00000000, 52.56000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 43.80000000, 8.76000000, 52.56000000),
(93, 41, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(94, 42, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(95, 43, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(96, 44, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(97, 45, NULL, 1222643, NULL, NULL, 'forfait chantier', 534.00000000, 640.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 534.00000000, 106.80000000, 0.00000000, 0.00000000, 640.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 534.00000000, 534.00000000, 106.80000000, 640.80000000),
(98, 45, NULL, 1223702, NULL, NULL, 'fournitures diverses', 450.00000000, 540.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 450.00000000, 90.00000000, 0.00000000, 0.00000000, 540.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 450.00000000, 450.00000000, 90.00000000, 540.00000000),
(99, 45, NULL, 1223702, NULL, NULL, 'fournitures diverses', 450.00000000, 540.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 450.00000000, 90.00000000, 0.00000000, 0.00000000, 540.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 450.00000000, 450.00000000, 90.00000000, 540.00000000),
(100, 45, NULL, 1223702, NULL, NULL, 'fournitures diverses', 209.10000000, 250.92000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 209.10000000, 41.82000000, 0.00000000, 0.00000000, 250.92000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 209.10000000, 209.10000000, 41.82000000, 250.92000000),
(101, 46, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(102, 47, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 8, 0, 20.000, '', 0.000, '0', 0.000, '0', 384.00000000, 76.80000000, 0.00000000, 0.00000000, 460.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 384.00000000, 76.80000000, 460.80000000),
(103, 47, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87601399, 143, 0, 20.000, '', 0.000, '0', 0.000, '0', 104.39000000, 20.88000000, 0.00000000, 0.00000000, 125.27000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 104.39000000, 20.88000000, 125.27000000),
(104, 49, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(105, 50, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(106, 50, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(107, 51, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 48.00000000, 9.60000000, 0.00000000, 0.00000000, 57.60000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 48.00000000, 9.60000000, 57.60000000),
(108, 52, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87598958, 192, 0, 20.000, '', 0.000, '0', 0.000, '0', 140.16000000, 28.03000000, 0.00000000, 0.00000000, 168.19000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 140.16000000, 28.03000000, 168.19000000),
(109, 52, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 27, 0, 20.000, '', 0.000, '0', 0.000, '0', 1296.00000000, 259.20000000, 0.00000000, 0.00000000, 1555.20000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 1296.00000000, 259.20000000, 1555.20000000),
(110, 53, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 4.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 216.00000000, 43.20000000, 0.00000000, 0.00000000, 259.20000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 216.00000000, 43.20000000, 259.20000000),
(111, 53, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87600000, 150, 0, 20.000, '', 0.000, '0', 0.000, '0', 109.50000000, 21.90000000, 0.00000000, 0.00000000, 131.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 109.50000000, 21.90000000, 131.40000000),
(112, 54, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(113, 54, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(114, 55, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(115, 56, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(116, 56, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87600000, 60, 0, 20.000, '', 0.000, '0', 0.000, '0', 43.80000000, 8.76000000, 0.00000000, 0.00000000, 52.56000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 43.80000000, 8.76000000, 52.56000000),
(117, 57, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(118, 58, NULL, 1222643, NULL, NULL, 'forfait chantier', 1500.00000000, 1800.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 1500.00000000, 300.00000000, 0.00000000, 0.00000000, 1800.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 1500.00000000, 1500.00000000, 300.00000000, 1800.00000000),
(119, 58, NULL, 1190725, NULL, NULL, 'ELEMENT DROIT 40 A 02', 383.67000000, 460.40000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 383.67000000, 76.73000000, 0.00000000, 0.00000000, 460.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 383.67000000, 383.67000000, 76.73000000, 460.40000000),
(120, 58, NULL, 1190455, NULL, NULL, 'boite d alimentation 63', 129.64000000, 155.57000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 129.64000000, 25.93000000, 0.00000000, 0.00000000, 155.57000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 129.64000000, 129.64000000, 25.93000000, 155.57000000),
(121, 58, NULL, 1190452, NULL, NULL, 'fixations pour kn 40 a 1', 10.19000000, 12.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 10.19000000, 2.04000000, 0.00000000, 0.00000000, 12.23000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 10.19000000, 10.19000000, 2.04000000, 12.23000000),
(122, 58, NULL, 1190391, NULL, NULL, 'connecteur 16a l n pe', 240.99000000, 289.19000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 240.99000000, 48.20000000, 0.00000000, 0.00000000, 289.19000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 240.99000000, 240.99000000, 48.20000000, 289.19000000),
(123, 58, NULL, 1190572, NULL, NULL, 'fournitures diverses', 154.50000000, 185.40000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 154.50000000, 30.90000000, 0.00000000, 0.00000000, 185.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 154.50000000, 154.50000000, 30.90000000, 185.40000000),
(124, 58, NULL, 1222643, NULL, NULL, 'forfait chantier', 915.60000000, 1098.72000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 915.60000000, 183.12000000, 0.00000000, 0.00000000, 1098.72000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 915.60000000, 915.60000000, 183.12000000, 1098.72000000),
(125, 58, NULL, 1190597, NULL, NULL, 'H07 RNF 4G1,5 TGL', 82.60000000, 99.12000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 82.60000000, 16.52000000, 0.00000000, 0.00000000, 99.12000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 82.60000000, 82.60000000, 16.52000000, 99.12000000),
(126, 58, NULL, 1190598, NULL, NULL, 'H07 RNF 3G1,5 TGL', 29.97000000, 35.96000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 29.97000000, 5.99000000, 0.00000000, 0.00000000, 35.96000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 29.97000000, 29.97000000, 5.99000000, 35.96000000),
(127, 58, NULL, 1223594, NULL, NULL, 'h07 rnf 4g2.5 tgl', 2.74000000, 3.28800000, 20, 0, 20.000, '', 0.000, '0', 0.000, '0', 54.80000000, 10.96000000, 0.00000000, 0.00000000, 65.76000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 2.74000000, 54.80000000, 10.96000000, 65.76000000),
(128, 58, NULL, 1223702, NULL, NULL, 'fournitures diverses', 390.36000000, 468.43000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 390.36000000, 78.07000000, 0.00000000, 0.00000000, 468.43000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 390.36000000, 390.36000000, 78.07000000, 468.43000000),
(129, 58, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(130, 59, NULL, 1222643, NULL, NULL, 'forfait chantier', 1000.00000000, 1200.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 1000.00000000, 200.00000000, 0.00000000, 0.00000000, 1200.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 1000.00000000, 1000.00000000, 200.00000000, 1200.00000000),
(131, 60, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(132, 60, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(133, 61, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(134, 61, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(135, 62, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 4.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 216.00000000, 43.20000000, 0.00000000, 0.00000000, 259.20000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 216.00000000, 43.20000000, 259.20000000),
(136, 62, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87602273, 88, 0, 20.000, '', 0.000, '0', 0.000, '0', 64.24000000, 12.85000000, 0.00000000, 0.00000000, 77.09000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 64.24000000, 12.85000000, 77.09000000),
(137, 63, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(138, 63, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87600000, 60, 0, 20.000, '', 0.000, '0', 0.000, '0', 43.80000000, 8.76000000, 0.00000000, 0.00000000, 52.56000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 43.80000000, 8.76000000, 52.56000000),
(139, 63, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(140, 63, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87600000, 60, 0, 20.000, '', 0.000, '0', 0.000, '0', 43.80000000, 8.76000000, 0.00000000, 0.00000000, 52.56000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 43.80000000, 8.76000000, 52.56000000),
(141, 64, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 4.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 216.00000000, 43.20000000, 0.00000000, 0.00000000, 259.20000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 216.00000000, 43.20000000, 259.20000000),
(142, 64, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87597222, 144, 0, 20.000, '', 0.000, '0', 0.000, '0', 105.12000000, 21.02000000, 0.00000000, 0.00000000, 126.14000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 105.12000000, 21.02000000, 126.14000000),
(143, 64, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(144, 64, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87597222, 144, 0, 20.000, '', 0.000, '0', 0.000, '0', 105.12000000, 21.02000000, 0.00000000, 0.00000000, 126.14000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 105.12000000, 21.02000000, 126.14000000),
(145, 65, NULL, 1190364, NULL, NULL, 'Maintenance compresseur', 386.63000000, 463.96000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(146, 65, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(147, 66, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87593750, 32, 0, 20.000, '', 0.000, '0', 0.000, '0', 23.36000000, 4.67000000, 0.00000000, 0.00000000, 28.03000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 23.36000000, 4.67000000, 28.03000000),
(148, 66, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(149, 67, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(150, 68, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(151, 69, NULL, 1190376, NULL, NULL, '', 249.20000000, 299.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 249.20000000, 49.84000000, 0.00000000, 0.00000000, 299.04000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 249.20000000, 249.20000000, 49.84000000, 299.04000000),
(152, 70, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(153, 71, NULL, 1190354, NULL, NULL, '', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(155, 74, NULL, 1222643, NULL, NULL, 'forfait chantier', 534.00000000, 640.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 534.00000000, 106.80000000, 0.00000000, 0.00000000, 640.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 534.00000000, 534.00000000, 106.80000000, 640.80000000),
(156, 75, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(157, 76, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(158, 77, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(159, 78, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(160, 79, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(161, 80, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(162, 81, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(163, 82, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(164, 83, NULL, 1190535, NULL, NULL, 'main d&#39;oeuvre &amp; tp de deplacement', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(165, 83, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.88000000, 60, 0, 20.000, '', 0.000, '0', 0.000, '0', 43.80000000, 8.76000000, 0.00000000, 0.00000000, 52.56000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 43.80000000, 8.76000000, 52.56000000),
(166, 84, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(167, 85, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(168, 86, NULL, 1190361, NULL, NULL, 'Maintenance Compresseur', 327.38000000, 392.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 327.38000000, 65.48000000, 0.00000000, 0.00000000, 392.86000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 327.38000000, 327.38000000, 65.48000000, 392.86000000),
(169, 87, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87596774, 62, 0, 20.000, '', 0.000, '0', 0.000, '0', 45.26000000, 9.05000000, 0.00000000, 0.00000000, 54.31000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 45.26000000, 9.05000000, 54.31000000),
(170, 87, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 3.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 168.00000000, 33.60000000, 0.00000000, 0.00000000, 201.60000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 168.00000000, 33.60000000, 201.60000000),
(171, 88, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(172, 89, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 10, 0, 20.000, '', 0.000, '0', 0.000, '0', 480.00000000, 96.00000000, 0.00000000, 0.00000000, 576.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 480.00000000, 96.00000000, 576.00000000),
(173, 89, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87601124, 356, 0, 20.000, '', 0.000, '0', 0.000, '0', 259.88000000, 51.98000000, 0.00000000, 0.00000000, 311.86000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 259.88000000, 51.98000000, 311.86000000),
(174, 89, NULL, 1223702, NULL, NULL, 'fournitures diverses', 130.00000000, 156.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 130.00000000, 26.00000000, 0.00000000, 0.00000000, 156.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 130.00000000, 130.00000000, 26.00000000, 156.00000000),
(175, 90, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(176, 91, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(177, 92, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(178, 93, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(180, 95, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87590909, 44, 0, 20.000, '', 0.000, '0', 0.000, '0', 32.12000000, 6.42000000, 0.00000000, 0.00000000, 38.54000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 32.12000000, 6.42000000, 38.54000000),
(181, 95, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 1.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 72.00000000, 14.40000000, 0.00000000, 0.00000000, 86.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 72.00000000, 14.40000000, 86.40000000),
(182, 96, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(183, 97, NULL, 1190364, NULL, NULL, 'Maintenance compresseur', 386.63000000, 463.96000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 386.63000000, 77.33000000, 0.00000000, 0.00000000, 463.96000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 386.63000000, 386.63000000, 77.33000000, 463.96000000),
(184, 98, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(185, 98, NULL, 1223702, NULL, NULL, 'fournitures diverses', 22.00000000, 26.40000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 22.00000000, 4.40000000, 0.00000000, 0.00000000, 26.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 22.00000000, 22.00000000, 4.40000000, 26.40000000),
(186, 99, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 3.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 168.00000000, 33.60000000, 0.00000000, 0.00000000, 201.60000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 168.00000000, 33.60000000, 201.60000000),
(187, 99, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(188, 99, NULL, 1230661, NULL, NULL, 'moteur four poudre 5.5 kw', 546.00000000, 655.20000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 546.00000000, 109.20000000, 0.00000000, 0.00000000, 655.20000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 546.00000000, 546.00000000, 109.20000000, 655.20000000),
(189, 99, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 2.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 120.00000000, 24.00000000, 144.00000000),
(190, 99, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(191, 100, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(192, 100, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87606061, 66, 0, 20.000, '', 0.000, '0', 0.000, '0', 48.18000000, 9.64000000, 0.00000000, 0.00000000, 57.82000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 48.18000000, 9.64000000, 57.82000000);
INSERT INTO `llx_facture_fourn_det` (`rowid`, `fk_facture_fourn`, `fk_parent_line`, `fk_product`, `ref`, `label`, `description`, `pu_ht`, `pu_ttc`, `qty`, `remise_percent`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `total_ht`, `tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `fk_code_ventilation`, `special_code`, `rang`, `import_key`, `fk_unit`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(193, 101, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(194, 101, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87606061, 66, 0, 20.000, '', 0.000, '0', 0.000, '0', 48.18000000, 9.64000000, 0.00000000, 0.00000000, 57.82000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 48.18000000, 9.64000000, 57.82000000),
(195, 101, NULL, 1190527, NULL, NULL, 'R2V CU 5G6 TGL', 7.13000000, 8.55625000, 16, 0, 20.000, '', 0.000, '0', 0.000, '0', 114.08000000, 22.82000000, 0.00000000, 0.00000000, 136.90000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 7.13000000, 114.08000000, 22.82000000, 136.90000000),
(196, 102, NULL, 1222643, NULL, NULL, 'forfait chantier', 650.00000000, 780.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 650.00000000, 130.00000000, 0.00000000, 0.00000000, 780.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 650.00000000, 650.00000000, 130.00000000, 780.00000000),
(197, 104, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(198, 104, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87595238, 84, 0, 20.000, '', 0.000, '0', 0.000, '0', 61.32000000, 12.26000000, 0.00000000, 0.00000000, 73.58000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 61.32000000, 12.26000000, 73.58000000),
(199, 105, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 370.00000000, 444.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 370.00000000, 74.00000000, 0.00000000, 0.00000000, 444.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 370.00000000, 370.00000000, 74.00000000, 444.00000000),
(200, 106, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(201, 106, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(202, 108, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(203, 109, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(204, 110, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(205, 111, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(206, 111, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(207, 111, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(208, 111, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 2.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 120.00000000, 24.00000000, 144.00000000),
(209, 112, NULL, 1190747, NULL, NULL, 'fournitures electriques(cosses,embouts,fils, ecrous,passe fil etc)', 60.15000000, 72.18000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 60.15000000, 12.03000000, 0.00000000, 0.00000000, 72.18000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 60.15000000, 60.15000000, 12.03000000, 72.18000000),
(210, 112, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(211, 112, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 12, 0, 20.000, '', 0.000, '0', 0.000, '0', 576.00000000, 115.20000000, 0.00000000, 0.00000000, 691.20000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 576.00000000, 115.20000000, 691.20000000),
(212, 112, NULL, 1190572, NULL, NULL, 'fournitures diverses', 82.71000000, 99.25000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 82.71000000, 16.54000000, 0.00000000, 0.00000000, 99.25000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 82.71000000, 82.71000000, 16.54000000, 99.25000000),
(213, 112, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 8, 0, 20.000, '', 0.000, '0', 0.000, '0', 384.00000000, 76.80000000, 0.00000000, 0.00000000, 460.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 384.00000000, 76.80000000, 460.80000000),
(214, 113, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 48.00000000, 9.60000000, 0.00000000, 0.00000000, 57.60000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 48.00000000, 9.60000000, 57.60000000),
(215, 113, NULL, 1223702, NULL, NULL, 'fournitures diverses', 7.00000000, 8.40000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 7.00000000, 1.40000000, 0.00000000, 0.00000000, 8.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 7.00000000, 7.00000000, 1.40000000, 8.40000000),
(216, 114, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(217, 115, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(218, 116, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87600840, 238, 0, 20.000, '', 0.000, '0', 0.000, '0', 173.74000000, 34.75000000, 0.00000000, 0.00000000, 208.49000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 173.74000000, 34.75000000, 208.49000000),
(219, 116, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 6, 0, 20.000, '', 0.000, '0', 0.000, '0', 288.00000000, 57.60000000, 0.00000000, 0.00000000, 345.60000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 288.00000000, 57.60000000, 345.60000000),
(220, 117, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 5, 0, 20.000, '', 0.000, '0', 0.000, '0', 240.00000000, 48.00000000, 0.00000000, 0.00000000, 288.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 240.00000000, 48.00000000, 288.00000000),
(221, 117, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87601266, 316, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.68000000, 46.14000000, 0.00000000, 0.00000000, 276.82000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 230.68000000, 46.14000000, 276.82000000),
(222, 117, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 1.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 72.00000000, 14.40000000, 0.00000000, 0.00000000, 86.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 72.00000000, 14.40000000, 86.40000000),
(223, 117, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 1.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 72.00000000, 14.40000000, 0.00000000, 0.00000000, 86.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 72.00000000, 14.40000000, 86.40000000),
(224, 117, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 7, 0, 20.000, '', 0.000, '0', 0.000, '0', 336.00000000, 67.20000000, 0.00000000, 0.00000000, 403.20000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 336.00000000, 67.20000000, 403.20000000),
(225, 117, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87601266, 316, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.68000000, 46.14000000, 0.00000000, 0.00000000, 276.82000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 230.68000000, 46.14000000, 276.82000000),
(226, 118, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(227, 119, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87600000, 270, 0, 20.000, '', 0.000, '0', 0.000, '0', 197.10000000, 39.42000000, 0.00000000, 0.00000000, 236.52000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 197.10000000, 39.42000000, 236.52000000),
(228, 119, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 9, 0, 20.000, '', 0.000, '0', 0.000, '0', 432.00000000, 86.40000000, 0.00000000, 0.00000000, 518.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 432.00000000, 86.40000000, 518.40000000),
(229, 119, NULL, 1190341, NULL, NULL, 'frais d\'autoroute', 6.70000000, 8.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 6.70000000, 1.34000000, 0.00000000, 0.00000000, 8.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 6.70000000, 6.70000000, 1.34000000, 8.04000000),
(230, 121, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(231, 122, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 1.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 72.00000000, 14.40000000, 0.00000000, 0.00000000, 86.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 72.00000000, 14.40000000, 86.40000000),
(232, 122, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87600000, 60, 0, 20.000, '', 0.000, '0', 0.000, '0', 43.80000000, 8.76000000, 0.00000000, 0.00000000, 52.56000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 43.80000000, 8.76000000, 52.56000000),
(233, 123, NULL, 1222641, NULL, NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(234, 125, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(235, 125, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(236, 125, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(237, 125, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(238, 125, NULL, 1190716, NULL, NULL, 'monture à niveau compresseur', 82.40000000, 98.88000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 82.40000000, 16.48000000, 0.00000000, 0.00000000, 98.88000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 82.40000000, 82.40000000, 16.48000000, 98.88000000),
(239, 126, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(240, 127, NULL, 1190359, NULL, NULL, 'forfait maintenance', 284.89000000, 341.87000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(242, 129, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(243, 130, NULL, 1115231, NULL, NULL, 'El. de dist. 100A 3P+N 3m 3dériv.', 163.03000000, 195.63600000, 15, 0, 20.000, '', 0.000, '0', 0.000, '0', 2445.45000000, 489.09000000, 0.00000000, 0.00000000, 2934.54000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 163.03000000, 2445.45000000, 489.09000000, 2934.54000000),
(244, 130, NULL, 1115225, NULL, NULL, 'Boite d\'alim. KN 100A', 119.25000000, 143.10000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 119.25000000, 23.85000000, 0.00000000, 0.00000000, 143.10000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 119.25000000, 119.25000000, 23.85000000, 143.10000000),
(245, 130, NULL, 1115256, NULL, NULL, 'Fixation universelle 40-160A', 3.06000000, 3.67200000, 20, 0, 20.000, '', 0.000, '0', 0.000, '0', 61.20000000, 12.24000000, 0.00000000, 0.00000000, 73.44000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 3.06000000, 61.20000000, 12.24000000, 73.44000000),
(246, 130, NULL, 1115269, NULL, NULL, 'Con. de dér. 25A 3P+N prot.fus. NF', 50.10000000, 60.12000000, 5, 0, 20.000, '', 0.000, '0', 0.000, '0', 250.50000000, 50.10000000, 0.00000000, 0.00000000, 300.60000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 50.10000000, 250.50000000, 50.10000000, 300.60000000),
(247, 130, NULL, 1114954, NULL, NULL, 'Elem.distr.25A P+N 3m 3dériv.blanc', 31.26000000, 37.51200000, 15, 0, 20.000, '', 0.000, '0', 0.000, '0', 468.90000000, 93.78000000, 0.00000000, 0.00000000, 562.68000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 31.26000000, 468.90000000, 93.78000000, 562.68000000),
(248, 130, NULL, 1190798, NULL, NULL, 'alimentation( livrée avec embout de fermeture', 15.21000000, 18.25214286, 14, 0, 20.000, '', 0.000, '0', 0.000, '0', 212.94000000, 42.59000000, 0.00000000, 0.00000000, 255.53000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 15.21000000, 212.94000000, 42.59000000, 255.53000000),
(249, 130, NULL, 1114994, NULL, NULL, 'Etrier universel blanche', 1.77000000, 2.12400000, 20, 0, 20.000, '', 0.000, '0', 0.000, '0', 35.40000000, 7.08000000, 0.00000000, 0.00000000, 42.48000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 1.77000000, 35.40000000, 7.08000000, 42.48000000),
(250, 130, NULL, 1223604, NULL, NULL, '2 x 58w etanche oleveon', 39.00000000, 46.80000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 78.00000000, 15.60000000, 0.00000000, 0.00000000, 93.60000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 39.00000000, 78.00000000, 15.60000000, 93.60000000),
(251, 130, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 27, 0, 20.000, '', 0.000, '0', 0.000, '0', 1296.00000000, 259.20000000, 0.00000000, 0.00000000, 1555.20000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 1296.00000000, 259.20000000, 1555.20000000),
(252, 130, NULL, 1190776, NULL, NULL, 'nombre de kilometres', 0.95000000, 1.14000000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 47.50000000, 9.50000000, 0.00000000, 0.00000000, 57.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.95000000, 47.50000000, 9.50000000, 57.00000000),
(253, 130, NULL, 1190724, NULL, NULL, 'CONNECTEUR 25A POUR FUS 10,3x38', 150.38000000, 180.45600000, 5, 0, 20.000, '', 0.000, '0', 0.000, '0', 751.90000000, 150.38000000, 0.00000000, 0.00000000, 902.28000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 150.38000000, 751.90000000, 150.38000000, 902.28000000),
(254, 130, NULL, 1223608, NULL, NULL, '4 paires Catégorie 6 U/FTP LSOH', 0.76000000, 0.91200000, 60, 0, 20.000, '', 0.000, '0', 0.000, '0', 45.60000000, 9.12000000, 0.00000000, 0.00000000, 54.72000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.76000000, 45.60000000, 9.12000000, 54.72000000),
(255, 130, NULL, 1223609, NULL, NULL, 'RJ45 MODULAR 8P8C 3 parties STP, blindé C6', 1.20000000, 1.44000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 4.80000000, 0.96000000, 0.00000000, 0.00000000, 5.76000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 1.20000000, 4.80000000, 0.96000000, 5.76000000),
(256, 130, NULL, 1223610, NULL, NULL, 'Mureva TubeGT 3321 - PVC - tulipé - D=40 mm - long 3 m - Gris', 3.04000000, 3.64809524, 42, 0, 20.000, '', 0.000, '0', 0.000, '0', 127.68000000, 25.54000000, 0.00000000, 0.00000000, 153.22000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 3.04000000, 127.68000000, 25.54000000, 153.22000000),
(257, 130, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 23, 0, 20.000, '', 0.000, '0', 0.000, '0', 1104.00000000, 220.80000000, 0.00000000, 0.00000000, 1324.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 1104.00000000, 220.80000000, 1324.80000000),
(258, 131, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(259, 131, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87600000, 60, 0, 20.000, '', 0.000, '0', 0.000, '0', 43.80000000, 8.76000000, 0.00000000, 0.00000000, 52.56000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 43.80000000, 8.76000000, 52.56000000),
(260, 132, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(261, 133, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(262, 134, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(263, 135, NULL, 1222643, NULL, NULL, 'forfait chantier', 7102.00000000, 8522.40000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 7102.00000000, 1420.40000000, 0.00000000, 0.00000000, 8522.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 7102.00000000, 7102.00000000, 1420.40000000, 8522.40000000),
(264, 136, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(265, 137, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(266, 138, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 5.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 264.00000000, 52.80000000, 0.00000000, 0.00000000, 316.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 264.00000000, 52.80000000, 316.80000000),
(267, 138, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87597222, 144, 0, 20.000, '', 0.000, '0', 0.000, '0', 105.12000000, 21.02000000, 0.00000000, 0.00000000, 126.14000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 105.12000000, 21.02000000, 126.14000000),
(268, 139, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(269, 139, NULL, 1190716, NULL, NULL, 'monture à niveau compresseur', 40.00000000, 48.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 40.00000000, 8.00000000, 0.00000000, 0.00000000, 48.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 40.00000000, 40.00000000, 8.00000000, 48.00000000),
(270, 140, NULL, 1190387, NULL, NULL, 'location nacelle', 216.00000000, 259.20000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 216.00000000, 43.20000000, 0.00000000, 0.00000000, 259.20000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 216.00000000, 216.00000000, 43.20000000, 259.20000000),
(271, 140, NULL, 1222643, NULL, NULL, 'forfait chantier', 1440.00000000, 1728.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 1440.00000000, 288.00000000, 0.00000000, 0.00000000, 1728.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 1440.00000000, 1440.00000000, 288.00000000, 1728.00000000),
(272, 141, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(273, 142, NULL, 1222643, NULL, NULL, 'forfait chantier', 7161.00000000, 8593.20000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 7161.00000000, 1432.20000000, 0.00000000, 0.00000000, 8593.20000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 7161.00000000, 7161.00000000, 1432.20000000, 8593.20000000),
(274, 142, NULL, 1223702, NULL, NULL, 'fournitures diverses', 209.10000000, 250.92000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 209.10000000, 41.82000000, 0.00000000, 0.00000000, 250.92000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 209.10000000, 209.10000000, 41.82000000, 250.92000000),
(275, 143, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(276, 144, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(277, 145, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(278, 146, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(279, 147, NULL, 1190354, NULL, NULL, '', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(280, 148, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(281, 149, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 5.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 264.00000000, 52.80000000, 0.00000000, 0.00000000, 316.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 264.00000000, 52.80000000, 316.80000000),
(282, 149, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87601852, 216, 0, 20.000, '', 0.000, '0', 0.000, '0', 157.68000000, 31.54000000, 0.00000000, 0.00000000, 189.22000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 157.68000000, 31.54000000, 189.22000000),
(283, 150, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 1.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 72.00000000, 14.40000000, 0.00000000, 0.00000000, 86.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 72.00000000, 14.40000000, 86.40000000),
(284, 150, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(285, 151, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(286, 152, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(287, 153, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(288, 154, NULL, 1190651, NULL, NULL, 'forfait chantier', 326.92000000, 392.30000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 326.92000000, 65.38000000, 0.00000000, 0.00000000, 392.30000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 326.92000000, 326.92000000, 65.38000000, 392.30000000),
(289, 155, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(290, 156, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(291, 157, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(292, 158, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87598214, 112, 0, 20.000, '', 0.000, '0', 0.000, '0', 81.76000000, 16.35000000, 0.00000000, 0.00000000, 98.11000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 81.76000000, 16.35000000, 98.11000000),
(293, 158, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 5, 0, 20.000, '', 0.000, '0', 0.000, '0', 240.00000000, 48.00000000, 0.00000000, 0.00000000, 288.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 240.00000000, 48.00000000, 288.00000000),
(294, 159, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 300.00000000, 360.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 300.00000000, 60.00000000, 0.00000000, 0.00000000, 360.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 300.00000000, 300.00000000, 60.00000000, 360.00000000),
(295, 160, NULL, 1222641, NULL, NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(296, 161, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(297, 161, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.88000000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(298, 162, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(299, 162, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 48.00000000, 9.60000000, 0.00000000, 0.00000000, 57.60000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 48.00000000, 9.60000000, 57.60000000),
(300, 163, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 6.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 312.00000000, 62.40000000, 0.00000000, 0.00000000, 374.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 312.00000000, 62.40000000, 374.40000000),
(301, 164, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(302, 164, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(303, 165, NULL, 1222643, NULL, NULL, 'forfait chantier', 534.00000000, 640.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 534.00000000, 106.80000000, 0.00000000, 0.00000000, 640.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 534.00000000, 534.00000000, 106.80000000, 640.80000000),
(304, 166, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 8.25, 0, 20.000, '', 0.000, '0', 0.000, '0', 396.00000000, 79.20000000, 0.00000000, 0.00000000, 475.20000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 396.00000000, 79.20000000, 475.20000000),
(305, 166, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87601449, 138, 0, 20.000, '', 0.000, '0', 0.000, '0', 100.74000000, 20.15000000, 0.00000000, 0.00000000, 120.89000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 100.74000000, 20.15000000, 120.89000000),
(306, 166, NULL, NULL, NULL, NULL, 'flexible refoulement air ', 146.96000000, 176.35000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 146.96000000, 29.39000000, 0.00000000, 0.00000000, 176.35000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 146.96000000, 146.96000000, 29.39000000, 176.35000000),
(307, 167, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 8, 0, 20.000, '', 0.000, '0', 0.000, '0', 384.00000000, 76.80000000, 0.00000000, 0.00000000, 460.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 384.00000000, 76.80000000, 460.80000000),
(308, 167, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87598485, 264, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.72000000, 38.54000000, 0.00000000, 0.00000000, 231.26000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 192.72000000, 38.54000000, 231.26000000),
(309, 168, NULL, 1190354, NULL, NULL, '', 1325.00000000, 1590.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 1325.00000000, 265.00000000, 0.00000000, 0.00000000, 1590.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 1325.00000000, 1325.00000000, 265.00000000, 1590.00000000),
(310, 169, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(311, 169, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87590909, 44, 0, 20.000, '', 0.000, '0', 0.000, '0', 32.12000000, 6.42000000, 0.00000000, 0.00000000, 38.54000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 32.12000000, 6.42000000, 38.54000000),
(312, 169, NULL, NULL, NULL, NULL, 'relai 25a bobine 220v', 59.00000000, 70.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 59.00000000, 11.80000000, 0.00000000, 0.00000000, 70.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 59.00000000, 59.00000000, 11.80000000, 70.80000000),
(313, 170, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 7, 0, 20.000, '', 0.000, '0', 0.000, '0', 336.00000000, 67.20000000, 0.00000000, 0.00000000, 403.20000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 336.00000000, 67.20000000, 403.20000000),
(314, 170, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(315, 170, NULL, NULL, NULL, NULL, 'regulateur Gefran', 343.00000000, 411.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 686.00000000, 137.20000000, 0.00000000, 0.00000000, 823.20000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 343.00000000, 686.00000000, 137.20000000, 823.20000000),
(316, 172, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(317, 173, NULL, NULL, NULL, NULL, 'forfait chantier', 2185.23000000, 2622.28000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 2185.23000000, 437.05000000, 0.00000000, 0.00000000, 2622.28000000, 1, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 2185.23000000, 2185.23000000, 437.05000000, 2622.28000000),
(318, 174, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 30.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 1464.00000000, 292.80000000, 0.00000000, 0.00000000, 1756.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 1464.00000000, 292.80000000, 1756.80000000),
(319, 174, NULL, 1190387, NULL, NULL, 'location nacelle', 444.96000000, 533.95000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 889.92000000, 177.98000000, 0.00000000, 0.00000000, 1067.90000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 444.96000000, 889.92000000, 177.98000000, 1067.90000000),
(320, 174, NULL, 1190572, NULL, NULL, 'fournitures diverses', 154.50000000, 185.40000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 154.50000000, 30.90000000, 0.00000000, 0.00000000, 185.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 154.50000000, 154.50000000, 30.90000000, 185.40000000),
(321, 174, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 60.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 2904.00000000, 580.80000000, 0.00000000, 0.00000000, 3484.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 2904.00000000, 580.80000000, 3484.80000000),
(322, 174, NULL, 1222633, NULL, NULL, 'Vigi TG60 bloc différentiel 4P 40A 300mA instantané type AC 230-415V', 121.00000000, 145.20000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 363.00000000, 72.60000000, 0.00000000, 0.00000000, 435.60000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 121.00000000, 363.00000000, 72.60000000, 435.60000000),
(323, 174, NULL, 1222632, NULL, NULL, 'Prodis, DT60N disjoncteur 4P 40A 10kAcourbe C', 95.00000000, 114.00000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 285.00000000, 57.00000000, 0.00000000, 0.00000000, 342.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 95.00000000, 285.00000000, 57.00000000, 342.00000000),
(324, 174, NULL, 1190724, NULL, NULL, 'CONNECTEUR 25A POUR FUS 10,3x38', 73.00000000, 87.60000000, 10, 0, 20.000, '', 0.000, '0', 0.000, '0', 730.00000000, 146.00000000, 0.00000000, 0.00000000, 876.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 73.00000000, 730.00000000, 146.00000000, 876.00000000),
(325, 174, NULL, 1190725, NULL, NULL, 'ELEMENT DROIT 40 A 02', 186.25000000, 223.50000000, 10, 0, 20.000, '', 0.000, '0', 0.000, '0', 1862.50000000, 372.50000000, 0.00000000, 0.00000000, 2235.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 186.25000000, 1862.50000000, 372.50000000, 2235.00000000),
(326, 174, NULL, 1190577, NULL, NULL, 'chainette', 1.69000000, 2.02800000, 30, 0, 20.000, '', 0.000, '0', 0.000, '0', 50.70000000, 10.14000000, 0.00000000, 0.00000000, 60.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 1.69000000, 50.70000000, 10.14000000, 60.84000000),
(327, 174, NULL, 1152302, NULL, NULL, 'PRAGMA 3R 24 SAILLIE', 184.00000000, 220.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 184.00000000, 36.80000000, 0.00000000, 0.00000000, 220.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 184.00000000, 184.00000000, 36.80000000, 220.80000000),
(328, 174, NULL, 1152295, NULL, NULL, 'PRAGMA INTERFACE 18 3 R', 20.13000000, 24.16000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 20.13000000, 4.03000000, 0.00000000, 0.00000000, 24.16000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 20.13000000, 20.13000000, 4.03000000, 24.16000000),
(329, 174, NULL, 1190722, NULL, NULL, 'r2v cu 5g10 tgl', 8.05000000, 9.66000000, 30, 0, 20.000, '', 0.000, '0', 0.000, '0', 241.50000000, 48.30000000, 0.00000000, 0.00000000, 289.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 8.05000000, 241.50000000, 48.30000000, 289.80000000),
(330, 174, NULL, 1190455, NULL, NULL, 'boite d alimentation 63', 129.64000000, 155.56666667, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 388.92000000, 77.78000000, 0.00000000, 0.00000000, 466.70000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 129.64000000, 388.92000000, 77.78000000, 466.70000000),
(331, 174, NULL, 1222635, NULL, NULL, 'mas led tube hf 1500mm ho 20w865 t8', 43.75000000, 52.50000000, 38, 0, 20.000, '', 0.000, '0', 0.000, '0', 1662.50000000, 332.50000000, 0.00000000, 0.00000000, 1995.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 43.75000000, 1662.50000000, 332.50000000, 1995.00000000),
(332, 174, NULL, 1071251, NULL, NULL, 'BOITE DERIVATION 80X80 PLEXO', 4.62000000, 5.54400000, 20, 0, 20.000, '', 0.000, '0', 0.000, '0', 92.40000000, 18.48000000, 0.00000000, 0.00000000, 110.88000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 4.62000000, 92.40000000, 18.48000000, 110.88000000),
(333, 174, NULL, 1190578, NULL, NULL, 'kna10za1 fixation universelle', 2.94000000, 3.52800000, 40, 0, 20.000, '', 0.000, '0', 0.000, '0', 117.60000000, 23.52000000, 0.00000000, 0.00000000, 141.12000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 2.94000000, 117.60000000, 23.52000000, 141.12000000),
(334, 174, NULL, 1190572, NULL, NULL, 'fournitures diverses', 75.00000000, 90.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 75.00000000, 15.00000000, 0.00000000, 0.00000000, 90.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 75.00000000, 75.00000000, 15.00000000, 90.00000000),
(335, 175, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(336, 176, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(337, 177, NULL, 1222643, NULL, NULL, 'forfait chantier', 262.62000000, 315.14000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 262.62000000, 52.52000000, 0.00000000, 0.00000000, 315.14000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 262.62000000, 262.62000000, 52.52000000, 315.14000000),
(338, 178, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(339, 179, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 6, 0, 20.000, '', 0.000, '0', 0.000, '0', 288.00000000, 57.60000000, 0.00000000, 0.00000000, 345.60000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 288.00000000, 57.60000000, 345.60000000),
(340, 179, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87598837, 172, 0, 20.000, '', 0.000, '0', 0.000, '0', 125.56000000, 25.11000000, 0.00000000, 0.00000000, 150.67000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 125.56000000, 25.11000000, 150.67000000),
(341, 180, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(342, 181, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(343, 182, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(344, 182, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87600000, 40, 0, 20.000, '', 0.000, '0', 0.000, '0', 29.20000000, 5.84000000, 0.00000000, 0.00000000, 35.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 29.20000000, 5.84000000, 35.04000000),
(345, 183, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87595238, 42, 0, 20.000, '', 0.000, '0', 0.000, '0', 30.66000000, 6.13000000, 0.00000000, 0.00000000, 36.79000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 30.66000000, 6.13000000, 36.79000000),
(346, 183, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(347, 183, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(348, 183, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87595238, 42, 0, 20.000, '', 0.000, '0', 0.000, '0', 30.66000000, 6.13000000, 0.00000000, 0.00000000, 36.79000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 30.66000000, 6.13000000, 36.79000000),
(349, 184, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(350, 185, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(351, 186, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 48.00000000, 9.60000000, 0.00000000, 0.00000000, 57.60000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 48.00000000, 9.60000000, 57.60000000),
(352, 186, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(353, 187, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 2.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 120.00000000, 24.00000000, 144.00000000),
(354, 187, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87600000, 65, 0, 20.000, '', 0.000, '0', 0.000, '0', 47.45000000, 9.49000000, 0.00000000, 0.00000000, 56.94000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 47.45000000, 9.49000000, 56.94000000),
(355, 188, NULL, 1190357, NULL, NULL, 'Forfait Dépannage 1/2 journée', 250.00000000, 300.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(356, 189, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 1.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 72.00000000, 14.40000000, 0.00000000, 0.00000000, 86.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 72.00000000, 14.40000000, 86.40000000),
(357, 189, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87590909, 44, 0, 20.000, '', 0.000, '0', 0.000, '0', 32.12000000, 6.42000000, 0.00000000, 0.00000000, 38.54000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 32.12000000, 6.42000000, 38.54000000);
INSERT INTO `llx_facture_fourn_det` (`rowid`, `fk_facture_fourn`, `fk_parent_line`, `fk_product`, `ref`, `label`, `description`, `pu_ht`, `pu_ttc`, `qty`, `remise_percent`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `total_ht`, `tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `fk_code_ventilation`, `special_code`, `rang`, `import_key`, `fk_unit`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(358, 189, NULL, 1190523, NULL, NULL, 'petites fournitures', 3.70000000, 4.44000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 3.70000000, 0.74000000, 0.00000000, 0.00000000, 4.44000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 3.70000000, 3.70000000, 0.74000000, 4.44000000),
(359, 190, NULL, 1230688, NULL, NULL, 'Variateur de fréquence Siemens SINAMICS V20 4kw tri', 500.00000000, 600.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 500.00000000, 100.00000000, 0.00000000, 0.00000000, 600.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 500.00000000, 500.00000000, 100.00000000, 600.00000000),
(360, 190, NULL, 1190580, NULL, NULL, 'armoire 600 x 400', 162.00000000, 194.40000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 162.00000000, 32.40000000, 0.00000000, 0.00000000, 194.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 162.00000000, 162.00000000, 32.40000000, 194.40000000),
(361, 190, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 48.00000000, 9.60000000, 0.00000000, 0.00000000, 57.60000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 48.00000000, 9.60000000, 57.60000000),
(362, 190, NULL, 1156211, NULL, NULL, 'Bouton-poussoir, noir, métall., 1NO', 11.10000000, 13.32000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 11.10000000, 2.22000000, 0.00000000, 0.00000000, 13.32000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 11.10000000, 11.10000000, 2.22000000, 13.32000000),
(363, 190, NULL, 1156217, NULL, NULL, 'BOUTON POUSSOIR RG 1O', 11.10000000, 13.32000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 11.10000000, 2.22000000, 0.00000000, 0.00000000, 13.32000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 11.10000000, 11.10000000, 2.22000000, 13.32000000),
(364, 190, NULL, 1154431, NULL, NULL, 'VARIO 32A RO/JA 1 VERT CADEN', 26.26000000, 31.51000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 26.26000000, 5.25000000, 0.00000000, 0.00000000, 31.51000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 26.26000000, 26.26000000, 5.25000000, 31.51000000),
(365, 190, NULL, 1071747, NULL, NULL, 'PRESSE ETOUPE ISO 20', 2.09000000, 2.50750000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 8.36000000, 1.67000000, 0.00000000, 0.00000000, 10.03000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 2.09000000, 8.36000000, 1.67000000, 10.03000000),
(366, 190, NULL, 1116295, NULL, NULL, 'CONT 12A 1NO+1NC 400V BIF RES', 38.88000000, 46.66000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 38.88000000, 7.78000000, 0.00000000, 0.00000000, 46.66000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 38.88000000, 38.88000000, 7.78000000, 46.66000000),
(367, 191, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 3.75, 0, 20.000, '', 0.000, '0', 0.000, '0', 180.00000000, 36.00000000, 0.00000000, 0.00000000, 216.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 180.00000000, 36.00000000, 216.00000000),
(368, 191, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87602273, 88, 0, 20.000, '', 0.000, '0', 0.000, '0', 64.24000000, 12.85000000, 0.00000000, 0.00000000, 77.09000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 64.24000000, 12.85000000, 77.09000000),
(369, 191, NULL, 1223702, NULL, NULL, 'fournitures diverses', 80.00000000, 96.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 80.00000000, 16.00000000, 0.00000000, 0.00000000, 96.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 80.00000000, 80.00000000, 16.00000000, 96.00000000),
(370, 192, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 2.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 120.00000000, 24.00000000, 144.00000000),
(371, 192, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(372, 193, NULL, 1222640, NULL, NULL, '', 214.20000000, 257.04000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 428.40000000, 85.68000000, 0.00000000, 0.00000000, 514.08000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 214.20000000, 428.40000000, 85.68000000, 514.08000000),
(373, 194, NULL, 1190354, NULL, NULL, 'Forfait Chantier', 4661.00000000, 5593.20000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 4661.00000000, 932.20000000, 0.00000000, 0.00000000, 5593.20000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 4661.00000000, 4661.00000000, 932.20000000, 5593.20000000),
(374, 195, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(375, 196, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(376, 197, NULL, 1230701, NULL, NULL, 'KIT saillie pour LED PANEL', 45.00000000, 54.00000000, 5, 0, 20.000, '', 0.000, '0', 0.000, '0', 225.00000000, 45.00000000, 0.00000000, 0.00000000, 270.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 45.00000000, 225.00000000, 45.00000000, 270.00000000),
(377, 197, NULL, 1230700, NULL, NULL, 'encastré 600x600 LED Panel 3400 lumens', 66.25000000, 79.50000000, 5, 0, 20.000, '', 0.000, '0', 0.000, '0', 331.25000000, 66.25000000, 0.00000000, 0.00000000, 397.50000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 66.25000000, 331.25000000, 66.25000000, 397.50000000),
(378, 197, NULL, 1190663, NULL, NULL, 'R2V CU 3G2,5 C100M', 1.23000000, 1.47600000, 10, 0, 20.000, '', 0.000, '0', 0.000, '0', 12.30000000, 2.46000000, 0.00000000, 0.00000000, 14.76000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 1.23000000, 12.30000000, 2.46000000, 14.76000000),
(379, 197, NULL, 1070179, NULL, NULL, 'PRMOSAIC 2X2P+T F/B 45', 15.38000000, 18.45666667, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 46.14000000, 9.23000000, 0.00000000, 0.00000000, 55.37000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 15.38000000, 46.14000000, 9.23000000, 55.37000000),
(380, 197, NULL, 1070030, NULL, NULL, 'RJ45 C6 STP MOSAIC 2 M', 17.16000000, 20.59000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 34.32000000, 6.86000000, 0.00000000, 0.00000000, 41.18000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 17.16000000, 34.32000000, 6.86000000, 41.18000000),
(381, 197, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(382, 197, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 6.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 312.00000000, 62.40000000, 0.00000000, 0.00000000, 374.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 312.00000000, 62.40000000, 374.40000000),
(383, 199, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(384, 200, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 14, 0, 20.000, '', 0.000, '0', 0.000, '0', 672.00000000, 134.40000000, 0.00000000, 0.00000000, 806.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 672.00000000, 134.40000000, 806.40000000),
(385, 200, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(386, 201, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 3.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 168.00000000, 33.60000000, 0.00000000, 0.00000000, 201.60000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 168.00000000, 33.60000000, 201.60000000),
(387, 201, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87597222, 72, 0, 20.000, '', 0.000, '0', 0.000, '0', 52.56000000, 10.51000000, 0.00000000, 0.00000000, 63.07000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 52.56000000, 10.51000000, 63.07000000),
(388, 202, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 2.75, 0, 20.000, '', 0.000, '0', 0.000, '0', 132.00000000, 26.40000000, 0.00000000, 0.00000000, 158.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 132.00000000, 26.40000000, 158.40000000),
(389, 202, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(390, 203, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(391, 203, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87600000, 70, 0, 20.000, '', 0.000, '0', 0.000, '0', 51.10000000, 10.22000000, 0.00000000, 0.00000000, 61.32000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 51.10000000, 10.22000000, 61.32000000),
(392, 204, NULL, 1222643, NULL, NULL, 'forfait chantier', 450.00000000, 540.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 450.00000000, 90.00000000, 0.00000000, 0.00000000, 540.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 450.00000000, 450.00000000, 90.00000000, 540.00000000),
(393, 205, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(394, 206, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(395, 206, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87597222, 72, 0, 20.000, '', 0.000, '0', 0.000, '0', 52.56000000, 10.51000000, 0.00000000, 0.00000000, 63.07000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 52.56000000, 10.51000000, 63.07000000),
(396, 207, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(397, 208, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(398, 209, NULL, 1071473, NULL, NULL, 'BOITE DERIVATION 80X80 PLEXO', 3.72000000, 4.46400000, 5, 0, 20.000, '', 0.000, '0', 0.000, '0', 18.60000000, 3.72000000, 0.00000000, 0.00000000, 22.32000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 3.72000000, 18.60000000, 3.72000000, 22.32000000),
(399, 209, NULL, 1223604, NULL, NULL, '2 x 58w etanche oleveon', 39.00000000, 46.80000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 78.00000000, 15.60000000, 0.00000000, 0.00000000, 93.60000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 39.00000000, 78.00000000, 15.60000000, 93.60000000),
(400, 209, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 19, 0, 20.000, '', 0.000, '0', 0.000, '0', 912.00000000, 182.40000000, 0.00000000, 0.00000000, 1094.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 912.00000000, 182.40000000, 1094.40000000),
(401, 209, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87601562, 128, 0, 20.000, '', 0.000, '0', 0.000, '0', 93.44000000, 18.69000000, 0.00000000, 0.00000000, 112.13000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 93.44000000, 18.69000000, 112.13000000),
(402, 209, NULL, 1071273, NULL, NULL, 'BOITE DERIVATION 310X240', 111.57000000, 133.88000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 111.57000000, 22.31000000, 0.00000000, 0.00000000, 133.88000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 111.57000000, 111.57000000, 22.31000000, 133.88000000),
(403, 209, NULL, 1190446, NULL, NULL, 'tube neon 58w/865', 7.21000000, 8.65250000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 28.84000000, 5.77000000, 0.00000000, 0.00000000, 34.61000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 7.21000000, 28.84000000, 5.77000000, 34.61000000),
(404, 210, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(405, 210, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(406, 211, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(407, 212, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 2750.00000000, 3300.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 2750.00000000, 550.00000000, 0.00000000, 0.00000000, 3300.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 2750.00000000, 2750.00000000, 550.00000000, 3300.00000000),
(408, 213, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(409, 214, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87600000, 60, 0, 20.000, '', 0.000, '0', 0.000, '0', 43.80000000, 8.76000000, 0.00000000, 0.00000000, 52.56000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 43.80000000, 8.76000000, 52.56000000),
(410, 214, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 2.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 120.00000000, 24.00000000, 144.00000000),
(411, 216, NULL, NULL, NULL, NULL, 'forfait chantier', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(412, 217, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 5, 0, 20.000, '', 0.000, '0', 0.000, '0', 240.00000000, 48.00000000, 0.00000000, 0.00000000, 288.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 240.00000000, 48.00000000, 288.00000000),
(413, 217, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87597222, 72, 0, 20.000, '', 0.000, '0', 0.000, '0', 52.56000000, 10.51000000, 0.00000000, 0.00000000, 63.07000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 52.56000000, 10.51000000, 63.07000000),
(414, 218, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(415, 218, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87590909, 44, 0, 20.000, '', 0.000, '0', 0.000, '0', 32.12000000, 6.42000000, 0.00000000, 0.00000000, 38.54000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 32.12000000, 6.42000000, 38.54000000),
(416, 218, NULL, 1190522, NULL, NULL, 'kit hors gel', 290.41000000, 348.49000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.41000000, 58.08000000, 0.00000000, 0.00000000, 348.49000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.41000000, 290.41000000, 58.08000000, 348.49000000),
(417, 219, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(418, 220, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(419, 221, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(420, 222, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(421, 223, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(422, 224, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(423, 225, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(424, 226, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(425, 227, NULL, 1223702, NULL, NULL, 'fournitures diverses', 209.10000000, 250.92000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 209.10000000, 41.82000000, 0.00000000, 0.00000000, 250.92000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 209.10000000, 209.10000000, 41.82000000, 250.92000000),
(426, 227, NULL, 1222643, NULL, NULL, 'forfait chantier', 245.00000000, 294.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 245.00000000, 49.00000000, 0.00000000, 0.00000000, 294.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 245.00000000, 245.00000000, 49.00000000, 294.00000000),
(427, 228, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 5, 0, 20.000, '', 0.000, '0', 0.000, '0', 240.00000000, 48.00000000, 0.00000000, 0.00000000, 288.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 240.00000000, 48.00000000, 288.00000000),
(428, 228, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(429, 229, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(430, 230, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(431, 231, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(432, 232, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87601351, 148, 0, 20.000, '', 0.000, '0', 0.000, '0', 108.04000000, 21.61000000, 0.00000000, 0.00000000, 129.65000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 108.04000000, 21.61000000, 129.65000000),
(433, 232, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(434, 233, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(435, 234, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(436, 235, NULL, 1222643, NULL, NULL, 'forfait chantier', 288.35000000, 346.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 288.35000000, 57.67000000, 0.00000000, 0.00000000, 346.02000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 288.35000000, 288.35000000, 57.67000000, 346.02000000),
(437, 236, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(438, 237, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(439, 238, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(440, 239, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(441, 240, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(442, 241, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(443, 242, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 1150.00000000, 1380.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 1150.00000000, 230.00000000, 0.00000000, 0.00000000, 1380.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 1150.00000000, 1150.00000000, 230.00000000, 1380.00000000),
(444, 243, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(445, 244, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87596154, 52, 0, 20.000, '', 0.000, '0', 0.000, '0', 37.96000000, 7.59000000, 0.00000000, 0.00000000, 45.55000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 37.96000000, 7.59000000, 45.55000000),
(446, 244, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 1.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 72.00000000, 14.40000000, 0.00000000, 0.00000000, 86.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 72.00000000, 14.40000000, 86.40000000),
(447, 245, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(448, 246, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(449, 247, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(450, 248, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 1534.61000000, 1841.53000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 1534.61000000, 306.92000000, 0.00000000, 0.00000000, 1841.53000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 1534.61000000, 1534.61000000, 306.92000000, 1841.53000000),
(451, 249, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(452, 250, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 3.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 168.00000000, 33.60000000, 0.00000000, 0.00000000, 201.60000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 168.00000000, 33.60000000, 201.60000000),
(453, 250, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87596774, 62, 0, 20.000, '', 0.000, '0', 0.000, '0', 45.26000000, 9.05000000, 0.00000000, 0.00000000, 54.31000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 45.26000000, 9.05000000, 54.31000000),
(454, 251, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(455, 251, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(456, 251, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(457, 252, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(458, 253, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87598214, 112, 0, 20.000, '', 0.000, '0', 0.000, '0', 81.76000000, 16.35000000, 0.00000000, 0.00000000, 98.11000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 81.76000000, 16.35000000, 98.11000000),
(459, 253, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(460, 254, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(461, 255, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(462, 256, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(463, 257, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(464, 258, NULL, 1190522, NULL, NULL, 'kit hors gel', 290.41000000, 348.49000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.41000000, 58.08000000, 0.00000000, 0.00000000, 348.49000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 290.41000000, 290.41000000, 58.08000000, 348.49000000),
(465, 258, NULL, 1222643, NULL, NULL, 'forfait chantier', 200.00000000, 240.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 200.00000000, 40.00000000, 0.00000000, 0.00000000, 240.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 200.00000000, 200.00000000, 40.00000000, 240.00000000),
(466, 259, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(467, 260, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 1.25, 0, 20.000, '', 0.000, '0', 0.000, '0', 60.00000000, 12.00000000, 0.00000000, 0.00000000, 72.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 60.00000000, 12.00000000, 72.00000000),
(468, 261, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(469, 261, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87604651, 86, 0, 20.000, '', 0.000, '0', 0.000, '0', 62.78000000, 12.56000000, 0.00000000, 0.00000000, 75.34000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 62.78000000, 12.56000000, 75.34000000),
(470, 262, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 1641.00000000, 1969.20000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 1641.00000000, 328.20000000, 0.00000000, 0.00000000, 1969.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 1641.00000000, 1641.00000000, 328.20000000, 1969.20000000),
(471, 263, NULL, 1222641, NULL, NULL, 'FORFAIT MAINTENANCE', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(472, 264, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 2.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 120.00000000, 24.00000000, 144.00000000),
(473, 264, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87600000, 80, 0, 20.000, '', 0.000, '0', 0.000, '0', 58.40000000, 11.68000000, 0.00000000, 0.00000000, 70.08000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 58.40000000, 11.68000000, 70.08000000),
(474, 265, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(475, 266, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(476, 267, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(477, 268, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(478, 269, NULL, 1190361, NULL, NULL, '', 327.38000000, 392.85666667, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 982.14000000, 196.43000000, 0.00000000, 0.00000000, 1178.57000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 327.38000000, 982.14000000, 196.43000000, 1178.57000000),
(479, 270, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 2.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 120.00000000, 24.00000000, 144.00000000),
(480, 270, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87600000, 80, 0, 20.000, '', 0.000, '0', 0.000, '0', 58.40000000, 11.68000000, 0.00000000, 0.00000000, 70.08000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 58.40000000, 11.68000000, 70.08000000),
(481, 271, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 747.00000000, 896.40000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 747.00000000, 149.40000000, 0.00000000, 0.00000000, 896.40000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 747.00000000, 747.00000000, 149.40000000, 896.40000000),
(482, 272, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(483, 273, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 4423.44000000, 5308.13000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 4423.44000000, 884.69000000, 0.00000000, 0.00000000, 5308.13000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 4423.44000000, 4423.44000000, 884.69000000, 5308.13000000),
(484, 274, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 1394.28000000, 1673.14000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 1394.28000000, 278.86000000, 0.00000000, 0.00000000, 1673.14000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 1394.28000000, 1394.28000000, 278.86000000, 1673.14000000),
(485, 275, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(486, 275, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 80, 0, 20.000, '', 0.000, '0', 0.000, '0', 58.40000000, 11.68000000, 0.00000000, 0.00000000, 70.08000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 58.40000000, 11.68000000, 70.08000000),
(487, 276, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 1.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 72.00000000, 14.40000000, 0.00000000, 0.00000000, 86.40000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 72.00000000, 14.40000000, 86.40000000),
(488, 276, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87590909, 44, 0, 20.000, '', 0.000, '0', 0.000, '0', 32.12000000, 6.42000000, 0.00000000, 0.00000000, 38.54000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 32.12000000, 6.42000000, 38.54000000),
(489, 277, NULL, 1190354, NULL, NULL, '', 514.00000000, 616.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 514.00000000, 102.80000000, 0.00000000, 0.00000000, 616.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 514.00000000, 514.00000000, 102.80000000, 616.80000000),
(490, 277, NULL, 1190653, NULL, NULL, '', 100.00000000, 120.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 100.00000000, 20.00000000, 0.00000000, 0.00000000, 120.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 100.00000000, 100.00000000, 20.00000000, 120.00000000),
(491, 278, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(492, 278, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87597222, 72, 0, 20.000, '', 0.000, '0', 0.000, '0', 52.56000000, 10.51000000, 0.00000000, 0.00000000, 63.07000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 52.56000000, 10.51000000, 63.07000000),
(493, 279, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 4.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 216.00000000, 43.20000000, 0.00000000, 0.00000000, 259.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 216.00000000, 43.20000000, 259.20000000),
(494, 279, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87602273, 88, 0, 20.000, '', 0.000, '0', 0.000, '0', 64.24000000, 12.85000000, 0.00000000, 0.00000000, 77.09000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 64.24000000, 12.85000000, 77.09000000),
(495, 280, NULL, NULL, NULL, NULL, 'contrat liss&eacute;', 455.00000000, 546.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 455.00000000, 91.00000000, 0.00000000, 0.00000000, 546.00000000, 1, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 455.00000000, 455.00000000, 91.00000000, 546.00000000),
(496, 281, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 1379.73000000, 1655.68000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 1379.73000000, 275.95000000, 0.00000000, 0.00000000, 1655.68000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 1379.73000000, 1379.73000000, 275.95000000, 1655.68000000),
(497, 282, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 499.00000000, 598.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 499.00000000, 99.80000000, 0.00000000, 0.00000000, 598.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 499.00000000, 499.00000000, 99.80000000, 598.80000000),
(498, 283, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(499, 284, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.22666667, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 690.57000000, 138.11000000, 0.00000000, 0.00000000, 828.68000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 690.57000000, 138.11000000, 828.68000000),
(500, 284, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 48.00000000, 9.60000000, 0.00000000, 0.00000000, 57.60000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 48.00000000, 9.60000000, 57.60000000),
(501, 285, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(502, 286, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 120.00000000, 24.00000000, 144.00000000),
(503, 286, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87596491, 57, 0, 20.000, '', 0.000, '0', 0.000, '0', 41.61000000, 8.32000000, 0.00000000, 0.00000000, 49.93000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 41.61000000, 8.32000000, 49.93000000),
(504, 287, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(505, 287, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 40, 0, 20.000, '', 0.000, '0', 0.000, '0', 29.20000000, 5.84000000, 0.00000000, 0.00000000, 35.04000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 29.20000000, 5.84000000, 35.04000000),
(506, 288, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(507, 288, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(508, 289, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(509, 290, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(510, 291, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(511, 292, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(512, 293, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(513, 293, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87598214, 112, 0, 20.000, '', 0.000, '0', 0.000, '0', 81.76000000, 16.35000000, 0.00000000, 0.00000000, 98.11000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 81.76000000, 16.35000000, 98.11000000),
(514, 294, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.22666667, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 690.57000000, 138.11000000, 0.00000000, 0.00000000, 828.68000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 690.57000000, 138.11000000, 828.68000000),
(515, 295, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 1.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 72.00000000, 14.40000000, 0.00000000, 0.00000000, 86.40000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 72.00000000, 14.40000000, 86.40000000),
(516, 296, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(517, 297, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 403.33000000, 484.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 403.33000000, 80.67000000, 0.00000000, 0.00000000, 484.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 403.33000000, 403.33000000, 80.67000000, 484.00000000),
(518, 297, NULL, 1223702, NULL, NULL, '', 209.10000000, 250.92000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 209.10000000, 41.82000000, 0.00000000, 0.00000000, 250.92000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 209.10000000, 209.10000000, 41.82000000, 250.92000000),
(519, 298, NULL, 1190361, NULL, NULL, '', 558.00000000, 669.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 558.00000000, 111.60000000, 0.00000000, 0.00000000, 669.60000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 558.00000000, 558.00000000, 111.60000000, 669.60000000),
(520, 299, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(521, 299, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(522, 300, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 194.00000000, 232.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 194.00000000, 38.80000000, 0.00000000, 0.00000000, 232.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 194.00000000, 194.00000000, 38.80000000, 232.80000000),
(523, 301, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 263.00000000, 315.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 263.00000000, 52.60000000, 0.00000000, 0.00000000, 315.60000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 263.00000000, 263.00000000, 52.60000000, 315.60000000),
(524, 301, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(525, 302, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(526, 304, NULL, NULL, NULL, NULL, 'perte', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 1, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 750.00000000, 750.00000000, 150.00000000, 900.00000000);
INSERT INTO `llx_facture_fourn_det` (`rowid`, `fk_facture_fourn`, `fk_parent_line`, `fk_product`, `ref`, `label`, `description`, `pu_ht`, `pu_ttc`, `qty`, `remise_percent`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `total_ht`, `tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `fk_code_ventilation`, `special_code`, `rang`, `import_key`, `fk_unit`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(527, 305, NULL, NULL, NULL, NULL, 'main d&#39;oeuvre', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 1, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(528, 306, NULL, 1231772, NULL, NULL, 'Électrodistributeur 3 voies avec clapet à commande directe Corps: T (Montage en ligne )', 46.76000000, 56.11200000, 10, 0, 20.000, '', 0.000, '0', 0.000, '0', 467.60000000, 93.52000000, 0.00000000, 0.00000000, 561.12000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 46.76000000, 467.60000000, 93.52000000, 561.12000000),
(529, 307, NULL, 1223702, NULL, NULL, '', 42.29000000, 50.75000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 42.29000000, 8.46000000, 0.00000000, 0.00000000, 50.75000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 42.29000000, 42.29000000, 8.46000000, 50.75000000),
(530, 307, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 80, 0, 20.000, '', 0.000, '0', 0.000, '0', 58.40000000, 11.68000000, 0.00000000, 0.00000000, 70.08000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 58.40000000, 11.68000000, 70.08000000),
(531, 307, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(532, 308, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 80, 0, 20.000, '', 0.000, '0', 0.000, '0', 58.40000000, 11.68000000, 0.00000000, 0.00000000, 70.08000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 58.40000000, 11.68000000, 70.08000000),
(533, 308, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(534, 309, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(535, 309, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 80, 0, 20.000, '', 0.000, '0', 0.000, '0', 58.40000000, 11.68000000, 0.00000000, 0.00000000, 70.08000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 58.40000000, 11.68000000, 70.08000000),
(536, 310, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(537, 311, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(538, 312, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(539, 314, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(540, 315, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 505.58000000, 606.70000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 505.58000000, 101.12000000, 0.00000000, 0.00000000, 606.70000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 505.58000000, 505.58000000, 101.12000000, 606.70000000),
(541, 316, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(542, 317, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(543, 313, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(544, 318, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 8, 0, 20.000, '', 0.000, '0', 0.000, '0', 384.00000000, 76.80000000, 0.00000000, 0.00000000, 460.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 384.00000000, 76.80000000, 460.80000000),
(545, 318, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87601852, 216, 0, 20.000, '', 0.000, '0', 0.000, '0', 157.68000000, 31.54000000, 0.00000000, 0.00000000, 189.22000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 157.68000000, 31.54000000, 189.22000000),
(548, 320, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(549, 320, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 15, 0, 20.000, '', 0.000, '0', 0.000, '0', 10.95000000, 2.19000000, 0.00000000, 0.00000000, 13.14000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 10.95000000, 2.19000000, 13.14000000),
(550, 321, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(551, 321, NULL, NULL, NULL, NULL, 'coffret + sectionneur', 95.00000000, 114.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 95.00000000, 19.00000000, 0.00000000, 0.00000000, 114.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 95.00000000, 95.00000000, 19.00000000, 114.00000000),
(552, 322, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(553, 323, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 606.70000000, 121.34000000, 0.00000000, 0.00000000, 728.04000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 606.70000000, 121.34000000, 728.04000000),
(554, 323, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(555, 324, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 2.75, 0, 20.000, '', 0.000, '0', 0.000, '0', 132.00000000, 26.40000000, 0.00000000, 0.00000000, 158.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 132.00000000, 26.40000000, 158.40000000),
(556, 324, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87596491, 114, 0, 20.000, '', 0.000, '0', 0.000, '0', 83.22000000, 16.64000000, 0.00000000, 0.00000000, 99.86000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 83.22000000, 16.64000000, 99.86000000),
(557, 325, NULL, 1190354, NULL, NULL, '', 480.00000000, 576.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 480.00000000, 96.00000000, 0.00000000, 0.00000000, 576.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 480.00000000, 480.00000000, 96.00000000, 576.00000000),
(558, 326, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 6.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 312.00000000, 62.40000000, 0.00000000, 0.00000000, 374.40000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 312.00000000, 62.40000000, 374.40000000),
(559, 326, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87603175, 126, 0, 20.000, '', 0.000, '0', 0.000, '0', 91.98000000, 18.40000000, 0.00000000, 0.00000000, 110.38000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 91.98000000, 18.40000000, 110.38000000),
(560, 327, NULL, 1190354, NULL, NULL, '', 336.00000000, 403.20000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 336.00000000, 67.20000000, 0.00000000, 0.00000000, 403.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 336.00000000, 336.00000000, 67.20000000, 403.20000000),
(561, 330, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(562, 331, NULL, 1190354, NULL, NULL, '', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(563, 332, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(564, 333, NULL, 1190359, NULL, NULL, '', 284.89000000, 341.87000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(565, 334, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(566, 334, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87603774, 106, 0, 20.000, '', 0.000, '0', 0.000, '0', 77.38000000, 15.48000000, 0.00000000, 0.00000000, 92.86000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 77.38000000, 15.48000000, 92.86000000),
(567, 335, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(568, 336, NULL, 1190359, NULL, NULL, '', 284.89000000, 341.87000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 284.89000000, 56.98000000, 0.00000000, 0.00000000, 341.87000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 284.89000000, 284.89000000, 56.98000000, 341.87000000),
(569, 337, NULL, 1190354, NULL, NULL, '', 521.06000000, 625.27000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 521.06000000, 104.21000000, 0.00000000, 0.00000000, 625.27000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 521.06000000, 521.06000000, 104.21000000, 625.27000000),
(570, 338, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 606.70000000, 121.34000000, 0.00000000, 0.00000000, 728.04000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 606.70000000, 121.34000000, 728.04000000),
(571, 338, NULL, 1190354, NULL, NULL, '', 288.35000000, 346.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 288.35000000, 57.67000000, 0.00000000, 0.00000000, 346.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 288.35000000, 288.35000000, 57.67000000, 346.02000000),
(572, 339, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(573, 339, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87596774, 62, 0, 20.000, '', 0.000, '0', 0.000, '0', 45.26000000, 9.05000000, 0.00000000, 0.00000000, 54.31000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 45.26000000, 9.05000000, 54.31000000),
(574, 340, NULL, 1190357, NULL, NULL, '', 272.00000000, 326.40000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 272.00000000, 54.40000000, 0.00000000, 0.00000000, 326.40000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 272.00000000, 272.00000000, 54.40000000, 326.40000000),
(575, 341, NULL, 1190506, NULL, NULL, '', 320.00000000, 384.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 320.00000000, 64.00000000, 0.00000000, 0.00000000, 384.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 320.00000000, 320.00000000, 64.00000000, 384.00000000),
(576, 342, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 120.00000000, 24.00000000, 144.00000000),
(577, 342, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 60, 0, 20.000, '', 0.000, '0', 0.000, '0', 43.80000000, 8.76000000, 0.00000000, 0.00000000, 52.56000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 43.80000000, 8.76000000, 52.56000000),
(578, 343, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(579, 343, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(580, 344, NULL, 1190357, NULL, NULL, '', 250.00000000, 300.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(581, 345, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(582, 345, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(583, 346, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(584, 347, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(585, 348, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(586, 349, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(587, 350, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87596154, 104, 0, 20.000, '', 0.000, '0', 0.000, '0', 75.92000000, 15.18000000, 0.00000000, 0.00000000, 91.10000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 75.92000000, 15.18000000, 91.10000000),
(588, 350, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 3.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 168.00000000, 33.60000000, 0.00000000, 0.00000000, 201.60000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 168.00000000, 33.60000000, 201.60000000),
(589, 351, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(590, 352, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87598214, 112, 0, 20.000, '', 0.000, '0', 0.000, '0', 81.76000000, 16.35000000, 0.00000000, 0.00000000, 98.11000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 81.76000000, 16.35000000, 98.11000000),
(591, 352, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 3.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 168.00000000, 33.60000000, 0.00000000, 0.00000000, 201.60000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 168.00000000, 33.60000000, 201.60000000),
(592, 353, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(593, 354, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 3.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 168.00000000, 33.60000000, 0.00000000, 0.00000000, 201.60000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 168.00000000, 33.60000000, 201.60000000),
(594, 354, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87598901, 182, 0, 20.000, '', 0.000, '0', 0.000, '0', 132.86000000, 26.57000000, 0.00000000, 0.00000000, 159.43000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 132.86000000, 26.57000000, 159.43000000),
(595, 355, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(596, 356, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(597, 356, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 60, 0, 20.000, '', 0.000, '0', 0.000, '0', 43.80000000, 8.76000000, 0.00000000, 0.00000000, 52.56000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 43.80000000, 8.76000000, 52.56000000),
(598, 357, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(599, 358, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(600, 359, NULL, 1190357, NULL, NULL, '', 386.68000000, 464.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 386.68000000, 77.34000000, 0.00000000, 0.00000000, 464.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 386.68000000, 386.68000000, 77.34000000, 464.02000000),
(601, 360, NULL, 1190506, NULL, NULL, '', 323.30000000, 387.96000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 323.30000000, 64.66000000, 0.00000000, 0.00000000, 387.96000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 323.30000000, 323.30000000, 64.66000000, 387.96000000),
(602, 361, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 9934.00000000, 11920.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 9934.00000000, 1986.80000000, 0.00000000, 0.00000000, 11920.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 9934.00000000, 9934.00000000, 1986.80000000, 11920.80000000),
(603, 362, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 274.00000000, 328.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 274.00000000, 54.80000000, 0.00000000, 0.00000000, 328.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 274.00000000, 274.00000000, 54.80000000, 328.80000000),
(604, 363, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(605, 364, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 120.00000000, 24.00000000, 144.00000000),
(606, 364, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 150, 0, 20.000, '', 0.000, '0', 0.000, '0', 109.50000000, 21.90000000, 0.00000000, 0.00000000, 131.40000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 109.50000000, 21.90000000, 131.40000000),
(607, 365, NULL, NULL, NULL, NULL, 'boitier deport&eacute;', 408.40000000, 490.08000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 408.40000000, 81.68000000, 0.00000000, 0.00000000, 490.08000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 408.40000000, 408.40000000, 81.68000000, 490.08000000),
(608, 365, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 964.00000000, 1156.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 964.00000000, 192.80000000, 0.00000000, 0.00000000, 1156.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 964.00000000, 964.00000000, 192.80000000, 1156.80000000),
(609, 365, NULL, 1223702, NULL, NULL, '', 607.50000000, 729.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 607.50000000, 121.50000000, 0.00000000, 0.00000000, 729.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 607.50000000, 607.50000000, 121.50000000, 729.00000000),
(610, 366, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(611, 367, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(612, 368, NULL, 1190354, NULL, NULL, '', 652.00000000, 782.40000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 652.00000000, 130.40000000, 0.00000000, 0.00000000, 782.40000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 652.00000000, 652.00000000, 130.40000000, 782.40000000),
(613, 369, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(614, 370, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(615, 370, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87596774, 62, 0, 20.000, '', 0.000, '0', 0.000, '0', 45.26000000, 9.05000000, 0.00000000, 0.00000000, 54.31000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 45.26000000, 9.05000000, 54.31000000),
(616, 372, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 3178.00000000, 3813.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 3178.00000000, 635.60000000, 0.00000000, 0.00000000, 3813.60000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 3178.00000000, 3178.00000000, 635.60000000, 3813.60000000),
(617, 373, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(618, 373, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(619, 374, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(620, 375, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87597938, 194, 0, 20.000, '', 0.000, '0', 0.000, '0', 141.62000000, 28.32000000, 0.00000000, 0.00000000, 169.94000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 141.62000000, 28.32000000, 169.94000000),
(621, 375, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 8, 0, 20.000, '', 0.000, '0', 0.000, '0', 384.00000000, 76.80000000, 0.00000000, 0.00000000, 460.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 384.00000000, 76.80000000, 460.80000000),
(622, 376, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(623, 376, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(624, 377, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(625, 377, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87603175, 63, 0, 20.000, '', 0.000, '0', 0.000, '0', 45.99000000, 9.20000000, 0.00000000, 0.00000000, 55.19000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 45.99000000, 9.20000000, 55.19000000),
(626, 378, NULL, 1190382, NULL, NULL, '', 65.00000000, 78.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 65.00000000, 13.00000000, 0.00000000, 0.00000000, 78.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 65.00000000, 65.00000000, 13.00000000, 78.00000000),
(627, 378, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 120.00000000, 24.00000000, 144.00000000),
(628, 378, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 40, 0, 20.000, '', 0.000, '0', 0.000, '0', 29.20000000, 5.84000000, 0.00000000, 0.00000000, 35.04000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 29.20000000, 5.84000000, 35.04000000),
(629, 379, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 6, 0, 20.000, '', 0.000, '0', 0.000, '0', 288.00000000, 57.60000000, 0.00000000, 0.00000000, 345.60000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 288.00000000, 57.60000000, 345.60000000),
(630, 379, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87597701, 174, 0, 20.000, '', 0.000, '0', 0.000, '0', 127.02000000, 25.40000000, 0.00000000, 0.00000000, 152.42000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 127.02000000, 25.40000000, 152.42000000),
(631, 380, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(632, 381, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(633, 382, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(634, 383, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(635, 384, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(636, 385, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 48.00000000, 9.60000000, 0.00000000, 0.00000000, 57.60000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 48.00000000, 9.60000000, 57.60000000),
(637, 386, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(638, 387, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(639, 388, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(640, 389, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 48.00000000, 9.60000000, 0.00000000, 0.00000000, 57.60000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 48.00000000, 9.60000000, 57.60000000),
(641, 389, NULL, 1164147, NULL, NULL, 'SOCLE DE FIXATION NOIR POUR COLONNE XVU', 23.89000000, 28.67000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 47.78000000, 9.56000000, 0.00000000, 0.00000000, 57.34000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 23.89000000, 47.78000000, 9.56000000, 57.34000000),
(642, 389, NULL, 1164126, NULL, NULL, 'ETAGE VERT A DEL POUR COLONNE XVU 24V AC', 57.87000000, 69.44500000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 115.74000000, 23.15000000, 0.00000000, 0.00000000, 138.89000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 57.87000000, 115.74000000, 23.15000000, 138.89000000),
(643, 389, NULL, 1243830, NULL, NULL, 'LIYCY DIN47100 7X1 BLINDE', 3.27000000, 3.92400000, 60, 0, 20.000, '', 0.000, '0', 0.000, '0', 196.20000000, 39.24000000, 0.00000000, 0.00000000, 235.44000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 3.27000000, 196.20000000, 39.24000000, 235.44000000),
(644, 389, NULL, 1155943, NULL, NULL, 'BOITE 1 BOUTON TOURNANT', 25.45000000, 30.54000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 50.90000000, 10.18000000, 0.00000000, 0.00000000, 61.08000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 25.45000000, 50.90000000, 10.18000000, 61.08000000),
(645, 389, NULL, 1071755, NULL, NULL, 'PRESSE ETOUPE PG 11', 1.48000000, 1.77500000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 5.92000000, 1.18000000, 0.00000000, 0.00000000, 7.10000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 1.48000000, 5.92000000, 1.18000000, 7.10000000),
(646, 389, NULL, 1190484, NULL, NULL, 'tube iro diam 20', 0.53000000, 0.63600000, 10, 0, 20.000, '', 0.000, '0', 0.000, '0', 5.30000000, 1.06000000, 0.00000000, 0.00000000, 6.36000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.53000000, 5.30000000, 1.06000000, 6.36000000),
(647, 390, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 275.40000000, 330.48000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 275.40000000, 55.08000000, 0.00000000, 0.00000000, 330.48000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 275.40000000, 275.40000000, 55.08000000, 330.48000000),
(648, 391, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(649, 392, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(650, 393, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(651, 394, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(652, 395, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(653, 395, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87603175, 63, 0, 20.000, '', 0.000, '0', 0.000, '0', 45.99000000, 9.20000000, 0.00000000, 0.00000000, 55.19000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 45.99000000, 9.20000000, 55.19000000),
(654, 396, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(655, 397, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(656, 398, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(657, 399, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(658, 400, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 120.00000000, 24.00000000, 144.00000000),
(659, 400, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87597701, 87, 0, 20.000, '', 0.000, '0', 0.000, '0', 63.51000000, 12.70000000, 0.00000000, 0.00000000, 76.21000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 63.51000000, 12.70000000, 76.21000000),
(660, 401, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(661, 402, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(662, 403, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 534.00000000, 640.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 534.00000000, 106.80000000, 0.00000000, 0.00000000, 640.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 534.00000000, 534.00000000, 106.80000000, 640.80000000),
(663, 404, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(664, 405, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(665, 406, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(666, 407, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(667, 407, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(668, 408, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 48.00000000, 9.60000000, 0.00000000, 0.00000000, 57.60000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 48.00000000, 9.60000000, 57.60000000),
(669, 408, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87605263, 38, 0, 20.000, '', 0.000, '0', 0.000, '0', 27.74000000, 5.55000000, 0.00000000, 0.00000000, 33.29000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 27.74000000, 5.55000000, 33.29000000),
(670, 409, NULL, 1190374, NULL, NULL, '', 166.24000000, 199.49000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 166.24000000, 33.25000000, 0.00000000, 0.00000000, 199.49000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 166.24000000, 166.24000000, 33.25000000, 199.49000000),
(671, 409, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(672, 410, NULL, 1190357, NULL, NULL, '', 387.21000000, 464.65000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 387.21000000, 77.44000000, 0.00000000, 0.00000000, 464.65000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 387.21000000, 387.21000000, 77.44000000, 464.65000000),
(673, 411, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 910.05000000, 182.01000000, 0.00000000, 0.00000000, 1092.06000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 910.05000000, 182.01000000, 1092.06000000),
(674, 411, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(675, 412, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(676, 413, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(677, 414, NULL, 1190357, NULL, NULL, '', 230.00000000, 276.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.00000000, 46.00000000, 0.00000000, 0.00000000, 276.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.00000000, 230.00000000, 46.00000000, 276.00000000),
(678, 415, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(679, 416, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(680, 417, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(681, 418, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(682, 419, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(683, 420, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 540.00000000, 648.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 540.00000000, 108.00000000, 0.00000000, 0.00000000, 648.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 540.00000000, 540.00000000, 108.00000000, 648.00000000),
(684, 421, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(685, 422, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 1000.00000000, 1200.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 1000.00000000, 200.00000000, 0.00000000, 0.00000000, 1200.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 1000.00000000, 1000.00000000, 200.00000000, 1200.00000000),
(686, 423, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(687, 424, NULL, 1222641, NULL, NULL, '', 370.00000000, 444.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 370.00000000, 74.00000000, 0.00000000, 0.00000000, 444.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 370.00000000, 370.00000000, 74.00000000, 444.00000000),
(688, 425, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(689, 426, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(690, 427, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(691, 427, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(692, 428, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(693, 429, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(694, 430, NULL, 1222641, NULL, NULL, '', 384.20000000, 461.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 384.20000000, 76.84000000, 0.00000000, 0.00000000, 461.04000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 384.20000000, 384.20000000, 76.84000000, 461.04000000),
(695, 431, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 334.29000000, 401.15000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 334.29000000, 66.86000000, 0.00000000, 0.00000000, 401.15000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 334.29000000, 334.29000000, 66.86000000, 401.15000000),
(696, 432, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 6.3, 0, 20.000, '', 0.000, '0', 0.000, '0', 302.40000000, 60.48000000, 0.00000000, 0.00000000, 362.88000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 302.40000000, 60.48000000, 362.88000000),
(697, 432, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87601124, 356, 0, 20.000, '', 0.000, '0', 0.000, '0', 259.88000000, 51.98000000, 0.00000000, 0.00000000, 311.86000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 259.88000000, 51.98000000, 311.86000000),
(698, 433, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(699, 433, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87595238, 42, 0, 20.000, '', 0.000, '0', 0.000, '0', 30.66000000, 6.13000000, 0.00000000, 0.00000000, 36.79000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 30.66000000, 6.13000000, 36.79000000),
(700, 434, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 120.00000000, 24.00000000, 144.00000000),
(701, 434, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 60, 0, 20.000, '', 0.000, '0', 0.000, '0', 43.80000000, 8.76000000, 0.00000000, 0.00000000, 52.56000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 43.80000000, 8.76000000, 52.56000000),
(702, 435, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000);
INSERT INTO `llx_facture_fourn_det` (`rowid`, `fk_facture_fourn`, `fk_parent_line`, `fk_product`, `ref`, `label`, `description`, `pu_ht`, `pu_ttc`, `qty`, `remise_percent`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `total_ht`, `tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `fk_code_ventilation`, `special_code`, `rang`, `import_key`, `fk_unit`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(703, 435, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87597826, 92, 0, 20.000, '', 0.000, '0', 0.000, '0', 67.16000000, 13.43000000, 0.00000000, 0.00000000, 80.59000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 67.16000000, 13.43000000, 80.59000000),
(704, 436, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 12, 0, 20.000, '', 0.000, '0', 0.000, '0', 576.00000000, 115.20000000, 0.00000000, 0.00000000, 691.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 576.00000000, 115.20000000, 691.20000000),
(705, 436, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87601190, 168, 0, 20.000, '', 0.000, '0', 0.000, '0', 122.64000000, 24.53000000, 0.00000000, 0.00000000, 147.17000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 122.64000000, 24.53000000, 147.17000000),
(706, 437, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 120.00000000, 24.00000000, 144.00000000),
(707, 437, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 45, 0, 20.000, '', 0.000, '0', 0.000, '0', 32.85000000, 6.57000000, 0.00000000, 0.00000000, 39.42000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 32.85000000, 6.57000000, 39.42000000),
(708, 438, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(709, 438, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(710, 439, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(711, 439, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(712, 440, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(713, 440, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87604651, 43, 0, 20.000, '', 0.000, '0', 0.000, '0', 31.39000000, 6.28000000, 0.00000000, 0.00000000, 37.67000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 31.39000000, 6.28000000, 37.67000000),
(714, 441, NULL, 1223702, NULL, NULL, '', 90.00000000, 108.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 90.00000000, 18.00000000, 0.00000000, 0.00000000, 108.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 90.00000000, 90.00000000, 18.00000000, 108.00000000),
(715, 441, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 920.00000000, 1104.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 920.00000000, 184.00000000, 0.00000000, 0.00000000, 1104.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 920.00000000, 920.00000000, 184.00000000, 1104.00000000),
(716, 442, NULL, NULL, NULL, NULL, 'mensualit&eacute;', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 1, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(717, 444, NULL, NULL, NULL, NULL, 'mensualit&eacute;', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 1, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(718, 445, NULL, NULL, NULL, NULL, 'Soul&eacute; PM20 Compact', 110.00000000, 132.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 110.00000000, 22.00000000, 0.00000000, 0.00000000, 132.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 110.00000000, 110.00000000, 22.00000000, 132.00000000),
(719, 445, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(720, 445, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(721, 446, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 353.00000000, 423.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 353.00000000, 70.60000000, 0.00000000, 0.00000000, 423.60000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 353.00000000, 353.00000000, 70.60000000, 423.60000000),
(722, 447, NULL, NULL, NULL, NULL, 'forfait maintenance', 260.00000000, 312.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 260.00000000, 52.00000000, 0.00000000, 0.00000000, 312.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 260.00000000, 260.00000000, 52.00000000, 312.00000000),
(723, 448, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 3.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 168.00000000, 33.60000000, 0.00000000, 0.00000000, 201.60000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 168.00000000, 33.60000000, 201.60000000),
(724, 448, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 45, 0, 20.000, '', 0.000, '0', 0.000, '0', 32.85000000, 6.57000000, 0.00000000, 0.00000000, 39.42000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 32.85000000, 6.57000000, 39.42000000),
(725, 449, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(726, 450, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 48.00000000, 9.60000000, 0.00000000, 0.00000000, 57.60000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 48.00000000, 9.60000000, 57.60000000),
(727, 450, NULL, NULL, NULL, NULL, 'contact additionnel', 18.00000000, 21.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 18.00000000, 3.60000000, 0.00000000, 0.00000000, 21.60000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 18.00000000, 18.00000000, 3.60000000, 21.60000000),
(728, 451, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(729, 452, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(730, 453, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(731, 454, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(732, 456, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(733, 456, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(734, 457, NULL, NULL, NULL, NULL, 'main d&#39;oeuvre et deplacement', 7000.00000000, 8400.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 7000.00000000, 1400.00000000, 0.00000000, 0.00000000, 8400.00000000, 1, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 7000.00000000, 7000.00000000, 1400.00000000, 8400.00000000),
(735, 458, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 60, 0, 20.000, '', 0.000, '0', 0.000, '0', 43.80000000, 8.76000000, 0.00000000, 0.00000000, 52.56000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 43.80000000, 8.76000000, 52.56000000),
(736, 458, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(737, 459, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 3951.00000000, 4741.20000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 3951.00000000, 790.20000000, 0.00000000, 0.00000000, 4741.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 3951.00000000, 3951.00000000, 790.20000000, 4741.20000000),
(738, 460, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(739, 461, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(740, 462, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(741, 463, NULL, 1222640, NULL, NULL, '', 337.78000000, 405.34000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 337.78000000, 67.56000000, 0.00000000, 0.00000000, 405.34000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 337.78000000, 337.78000000, 67.56000000, 405.34000000),
(742, 464, NULL, 1222641, NULL, NULL, '', 340.54000000, 408.65000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 340.54000000, 68.11000000, 0.00000000, 0.00000000, 408.65000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 340.54000000, 340.54000000, 68.11000000, 408.65000000),
(743, 465, NULL, 1222641, NULL, NULL, '', 482.63000000, 579.16000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 482.63000000, 96.53000000, 0.00000000, 0.00000000, 579.16000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 482.63000000, 482.63000000, 96.53000000, 579.16000000),
(744, 466, NULL, 1222641, NULL, NULL, '', 912.98000000, 1095.58000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 912.98000000, 182.60000000, 0.00000000, 0.00000000, 1095.58000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 912.98000000, 912.98000000, 182.60000000, 1095.58000000),
(745, 467, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(746, 468, NULL, 1222640, NULL, NULL, '', 241.87000000, 290.24000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 241.87000000, 48.37000000, 0.00000000, 0.00000000, 290.24000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 241.87000000, 241.87000000, 48.37000000, 290.24000000),
(747, 469, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 334.29000000, 401.15000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 334.29000000, 66.86000000, 0.00000000, 0.00000000, 401.15000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 334.29000000, 334.29000000, 66.86000000, 401.15000000),
(748, 470, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(749, 471, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(750, 472, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(751, 472, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87596154, 52, 0, 20.000, '', 0.000, '0', 0.000, '0', 37.96000000, 7.59000000, 0.00000000, 0.00000000, 45.55000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 37.96000000, 7.59000000, 45.55000000),
(752, 473, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 534.00000000, 640.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 534.00000000, 106.80000000, 0.00000000, 0.00000000, 640.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 534.00000000, 534.00000000, 106.80000000, 640.80000000),
(753, 474, NULL, 1190357, NULL, NULL, '', 250.00000000, 300.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(754, 475, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(755, 475, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87611111, 36, 0, 20.000, '', 0.000, '0', 0.000, '0', 26.28000000, 5.26000000, 0.00000000, 0.00000000, 31.54000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 26.28000000, 5.26000000, 31.54000000),
(756, 476, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 1.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 72.00000000, 14.40000000, 0.00000000, 0.00000000, 86.40000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 72.00000000, 14.40000000, 86.40000000),
(757, 476, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87611111, 36, 0, 20.000, '', 0.000, '0', 0.000, '0', 26.28000000, 5.26000000, 0.00000000, 0.00000000, 31.54000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 26.28000000, 5.26000000, 31.54000000),
(758, 477, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 250.00000000, 300.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(759, 478, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(760, 479, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(761, 480, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(762, 481, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(763, 483, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(764, 484, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(765, 485, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(766, 486, NULL, 1222641, NULL, NULL, '', 377.54000000, 453.05000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 377.54000000, 75.51000000, 0.00000000, 0.00000000, 453.05000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 377.54000000, 377.54000000, 75.51000000, 453.05000000),
(768, 487, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(769, 488, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(770, 489, NULL, 1222643, NULL, NULL, 'forfait chantier', 1152.00000000, 1382.40000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 1152.00000000, 230.40000000, 0.00000000, 0.00000000, 1382.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 1152.00000000, 1152.00000000, 230.40000000, 1382.40000000),
(771, 489, NULL, 1115229, NULL, NULL, 'El. de dist. 100A 3P+N 2m 4dériv.', 128.39000000, 154.07000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 128.39000000, 25.68000000, 0.00000000, 0.00000000, 154.07000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 128.39000000, 128.39000000, 25.68000000, 154.07000000),
(772, 489, NULL, 1114954, NULL, NULL, 'Elem.distr.25A P+N 3m 3dériv.blanc', 31.26000000, 37.51166667, 6, 0, 20.000, '', 0.000, '0', 0.000, '0', 187.56000000, 37.51000000, 0.00000000, 0.00000000, 225.07000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 31.26000000, 187.56000000, 37.51000000, 225.07000000),
(773, 489, NULL, 1114994, NULL, NULL, 'Etrier universel blanche', 1.77000000, 2.12400000, 15, 0, 20.000, '', 0.000, '0', 0.000, '0', 26.55000000, 5.31000000, 0.00000000, 0.00000000, 31.86000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 1.77000000, 26.55000000, 5.31000000, 31.86000000),
(774, 489, NULL, 1115269, NULL, NULL, 'Con. de dér. 25A 3P+N prot.fus. NF', 50.10000000, 60.12000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 100.20000000, 20.04000000, 0.00000000, 0.00000000, 120.24000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 50.10000000, 100.20000000, 20.04000000, 120.24000000),
(775, 489, NULL, 1190798, NULL, NULL, 'alimentation( livrée avec embout de fermeture', 20.53000000, 24.63500000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 41.06000000, 8.21000000, 0.00000000, 0.00000000, 49.27000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 20.53000000, 41.06000000, 8.21000000, 49.27000000),
(776, 489, NULL, 1190797, NULL, NULL, 'connecteur de luminaire à selection de phase à cabler', 9.71000000, 11.65200000, 10, 0, 20.000, '', 0.000, '0', 0.000, '0', 97.10000000, 19.42000000, 0.00000000, 0.00000000, 116.52000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 9.71000000, 97.10000000, 19.42000000, 116.52000000),
(777, 489, NULL, 1190577, NULL, NULL, 'chainette', 3.48000000, 4.17600000, 30, 0, 20.000, '', 0.000, '0', 0.000, '0', 104.40000000, 20.88000000, 0.00000000, 0.00000000, 125.28000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 3.48000000, 104.40000000, 20.88000000, 125.28000000),
(778, 489, NULL, 1190644, NULL, NULL, 'R2V CU 3G1,5 C100M', 1.64000000, 1.96800000, 30, 0, 20.000, '', 0.000, '0', 0.000, '0', 49.20000000, 9.84000000, 0.00000000, 0.00000000, 59.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 1.64000000, 49.20000000, 9.84000000, 59.04000000),
(779, 489, NULL, 1245951, NULL, NULL, 'Coreline Waterproof WT120C LED60S/840 PSU L1500', 65.00000000, 78.00000000, 8, 0, 20.000, '', 0.000, '0', 0.000, '0', 520.00000000, 104.00000000, 0.00000000, 0.00000000, 624.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 65.00000000, 520.00000000, 104.00000000, 624.00000000),
(780, 490, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(781, 491, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 3.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 168.00000000, 33.60000000, 0.00000000, 0.00000000, 201.60000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 168.00000000, 33.60000000, 201.60000000),
(782, 491, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87596154, 52, 0, 20.000, '', 0.000, '0', 0.000, '0', 37.96000000, 7.59000000, 0.00000000, 0.00000000, 45.55000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 37.96000000, 7.59000000, 45.55000000),
(783, 491, NULL, NULL, NULL, NULL, 'phi710913', 24.70000000, 29.64000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 49.40000000, 9.88000000, 0.00000000, 0.00000000, 59.28000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 24.70000000, 49.40000000, 9.88000000, 59.28000000),
(784, 495, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(785, 496, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 6000.00000000, 7200.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 6000.00000000, 1200.00000000, 0.00000000, 0.00000000, 7200.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 6000.00000000, 6000.00000000, 1200.00000000, 7200.00000000),
(786, 497, NULL, 1190357, NULL, NULL, '', 250.00000000, 300.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(787, 497, NULL, NULL, NULL, NULL, 'regulateur 1/4', 52.00000000, 62.40000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 52.00000000, 10.40000000, 0.00000000, 0.00000000, 62.40000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 52.00000000, 52.00000000, 10.40000000, 62.40000000),
(788, 492, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 606.70000000, 121.34000000, 0.00000000, 0.00000000, 728.04000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 606.70000000, 121.34000000, 728.04000000),
(789, 498, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(790, 499, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(791, 500, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(792, 501, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(793, 502, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 1050.00000000, 1260.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 1050.00000000, 210.00000000, 0.00000000, 0.00000000, 1260.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 1050.00000000, 1050.00000000, 210.00000000, 1260.00000000),
(794, 503, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 60, 0, 20.000, '', 0.000, '0', 0.000, '0', 43.80000000, 8.76000000, 0.00000000, 0.00000000, 52.56000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 43.80000000, 8.76000000, 52.56000000),
(795, 503, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 7, 0, 20.000, '', 0.000, '0', 0.000, '0', 336.00000000, 67.20000000, 0.00000000, 0.00000000, 403.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 336.00000000, 67.20000000, 403.20000000),
(796, 504, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(797, 504, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(798, 505, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(799, 505, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87590909, 44, 0, 20.000, '', 0.000, '0', 0.000, '0', 32.12000000, 6.42000000, 0.00000000, 0.00000000, 38.54000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 32.12000000, 6.42000000, 38.54000000),
(800, 506, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(801, 507, NULL, 1222641, NULL, NULL, '', 385.17000000, 462.20000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 385.17000000, 77.03000000, 0.00000000, 0.00000000, 462.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 385.17000000, 385.17000000, 77.03000000, 462.20000000),
(802, 508, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 3.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 168.00000000, 33.60000000, 0.00000000, 0.00000000, 201.60000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 168.00000000, 33.60000000, 201.60000000),
(803, 508, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 100, 0, 20.000, '', 0.000, '0', 0.000, '0', 73.00000000, 14.60000000, 0.00000000, 0.00000000, 87.60000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 73.00000000, 14.60000000, 87.60000000),
(804, 509, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(805, 510, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(806, 511, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 5619.00000000, 6742.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 5619.00000000, 1123.80000000, 0.00000000, 0.00000000, 6742.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 5619.00000000, 5619.00000000, 1123.80000000, 6742.80000000),
(807, 512, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(808, 513, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(809, 514, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 660.00000000, 792.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 660.00000000, 132.00000000, 0.00000000, 0.00000000, 792.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 660.00000000, 660.00000000, 132.00000000, 792.00000000),
(811, 515, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 1.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 72.00000000, 14.40000000, 0.00000000, 0.00000000, 86.40000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 72.00000000, 14.40000000, 86.40000000),
(812, 516, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 320.00000000, 384.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 320.00000000, 64.00000000, 0.00000000, 0.00000000, 384.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 320.00000000, 320.00000000, 64.00000000, 384.00000000),
(813, 517, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(814, 518, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(815, 518, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87603448, 58, 0, 20.000, '', 0.000, '0', 0.000, '0', 42.34000000, 8.47000000, 0.00000000, 0.00000000, 50.81000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 42.34000000, 8.47000000, 50.81000000),
(816, 519, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.88000000, 60, 0, 20.000, '', 0.000, '0', 0.000, '0', 43.80000000, 8.76000000, 0.00000000, 0.00000000, 52.56000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 43.80000000, 8.76000000, 52.56000000),
(817, 519, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 8, 0, 20.000, '', 0.000, '0', 0.000, '0', 384.00000000, 76.80000000, 0.00000000, 0.00000000, 460.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 384.00000000, 76.80000000, 460.80000000),
(818, 520, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(819, 520, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(820, 521, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(821, 522, NULL, 1222641, NULL, NULL, '', 370.00000000, 444.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 370.00000000, 74.00000000, 0.00000000, 0.00000000, 444.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 370.00000000, 370.00000000, 74.00000000, 444.00000000),
(822, 523, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(823, 524, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(824, 525, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(825, 526, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(826, 527, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(827, 527, NULL, 1190776, NULL, NULL, '', 0.95000000, 1.14000000, 80, 0, 20.000, '', 0.000, '0', 0.000, '0', 76.00000000, 15.20000000, 0.00000000, 0.00000000, 91.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.95000000, 76.00000000, 15.20000000, 91.20000000),
(828, 528, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(829, 529, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(830, 530, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87593750, 64, 0, 20.000, '', 0.000, '0', 0.000, '0', 46.72000000, 9.34000000, 0.00000000, 0.00000000, 56.06000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 46.72000000, 9.34000000, 56.06000000),
(831, 530, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(832, 531, NULL, NULL, NULL, NULL, 'mensualit&eacute;', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 1, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(833, 532, NULL, 1222640, NULL, NULL, '', 242.50000000, 291.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 242.50000000, 48.50000000, 0.00000000, 0.00000000, 291.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 242.50000000, 242.50000000, 48.50000000, 291.00000000),
(834, 533, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 1.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 72.00000000, 14.40000000, 0.00000000, 0.00000000, 86.40000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 72.00000000, 14.40000000, 86.40000000),
(835, 534, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(836, 534, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(837, 535, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(838, 535, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87590909, 44, 0, 20.000, '', 0.000, '0', 0.000, '0', 32.12000000, 6.42000000, 0.00000000, 0.00000000, 38.54000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 32.12000000, 6.42000000, 38.54000000),
(839, 536, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(841, 537, NULL, 1222640, NULL, NULL, '', 244.56000000, 293.47000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 244.56000000, 48.91000000, 0.00000000, 0.00000000, 293.47000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 244.56000000, 244.56000000, 48.91000000, 293.47000000),
(842, 538, NULL, 1222641, NULL, NULL, '', 346.91000000, 416.29000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 346.91000000, 69.38000000, 0.00000000, 0.00000000, 416.29000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 346.91000000, 346.91000000, 69.38000000, 416.29000000),
(843, 539, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 5, 0, 20.000, '', 0.000, '0', 0.000, '0', 240.00000000, 48.00000000, 0.00000000, 0.00000000, 288.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 240.00000000, 48.00000000, 288.00000000),
(844, 539, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87590909, 44, 0, 20.000, '', 0.000, '0', 0.000, '0', 32.12000000, 6.42000000, 0.00000000, 0.00000000, 38.54000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 32.12000000, 6.42000000, 38.54000000),
(845, 539, NULL, NULL, NULL, NULL, 'fournitures elect', 127.00000000, 152.40000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 127.00000000, 25.40000000, 0.00000000, 0.00000000, 152.40000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 127.00000000, 127.00000000, 25.40000000, 152.40000000),
(846, 540, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 7, 0, 20.000, '', 0.000, '0', 0.000, '0', 336.00000000, 67.20000000, 0.00000000, 0.00000000, 403.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 336.00000000, 67.20000000, 403.20000000),
(847, 540, NULL, NULL, NULL, NULL, 'fourniture elec suivant op pr1811-0031', 155.30000000, 186.36000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 155.30000000, 31.06000000, 0.00000000, 0.00000000, 186.36000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 155.30000000, 155.30000000, 31.06000000, 186.36000000),
(848, 541, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 385.00000000, 462.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 385.00000000, 77.00000000, 0.00000000, 0.00000000, 462.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 385.00000000, 385.00000000, 77.00000000, 462.00000000),
(849, 542, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 288.25000000, 345.90000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 288.25000000, 57.65000000, 0.00000000, 0.00000000, 345.90000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 288.25000000, 288.25000000, 57.65000000, 345.90000000),
(851, 542, NULL, NULL, NULL, NULL, 'fourniture electriques', 108.80000000, 130.56000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 108.80000000, 21.76000000, 0.00000000, 0.00000000, 130.56000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 108.80000000, 108.80000000, 21.76000000, 130.56000000),
(852, 543, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 460.38000000, 92.08000000, 0.00000000, 0.00000000, 552.46000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 460.38000000, 92.08000000, 552.46000000),
(853, 544, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 3.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 168.00000000, 33.60000000, 0.00000000, 0.00000000, 201.60000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 168.00000000, 33.60000000, 201.60000000),
(854, 544, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 90, 0, 20.000, '', 0.000, '0', 0.000, '0', 65.70000000, 13.14000000, 0.00000000, 0.00000000, 78.84000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 65.70000000, 13.14000000, 78.84000000),
(855, 545, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(856, 545, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87597222, 72, 0, 20.000, '', 0.000, '0', 0.000, '0', 52.56000000, 10.51000000, 0.00000000, 0.00000000, 63.07000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 52.56000000, 10.51000000, 63.07000000),
(857, 546, NULL, NULL, NULL, NULL, 'suivant op PR1811-0031', 155.30000000, 186.36000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 155.30000000, 31.06000000, 0.00000000, 0.00000000, 186.36000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 155.30000000, 155.30000000, 31.06000000, 186.36000000),
(858, 546, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 7, 0, 20.000, '', 0.000, '0', 0.000, '0', 336.00000000, 67.20000000, 0.00000000, 0.00000000, 403.20000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 336.00000000, 67.20000000, 403.20000000),
(859, 547, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 584.00000000, 700.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 584.00000000, 116.80000000, 0.00000000, 0.00000000, 700.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 584.00000000, 584.00000000, 116.80000000, 700.80000000),
(860, 547, NULL, NULL, NULL, NULL, 'fourniture', 572.00000000, 686.40000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 572.00000000, 114.40000000, 0.00000000, 0.00000000, 686.40000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 572.00000000, 572.00000000, 114.40000000, 686.40000000),
(861, 548, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87595238, 42, 0, 20.000, '', 0.000, '0', 0.000, '0', 30.66000000, 6.13000000, 0.00000000, 0.00000000, 36.79000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 30.66000000, 6.13000000, 36.79000000),
(862, 548, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(863, 549, NULL, 1222641, NULL, NULL, '', 339.98000000, 407.98000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 339.98000000, 68.00000000, 0.00000000, 0.00000000, 407.98000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 339.98000000, 339.98000000, 68.00000000, 407.98000000),
(864, 550, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 161.50000000, 193.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 161.50000000, 32.30000000, 0.00000000, 0.00000000, 193.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 161.50000000, 161.50000000, 32.30000000, 193.80000000),
(865, 551, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(866, 551, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 140.00000000, 168.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 140.00000000, 28.00000000, 0.00000000, 0.00000000, 168.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 140.00000000, 140.00000000, 28.00000000, 168.00000000),
(867, 552, NULL, 1190357, NULL, NULL, '', 294.99000000, 353.99000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 294.99000000, 59.00000000, 0.00000000, 0.00000000, 353.99000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 294.99000000, 294.99000000, 59.00000000, 353.99000000),
(868, 553, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 7, 0, 20.000, '', 0.000, '0', 0.000, '0', 336.00000000, 67.20000000, 0.00000000, 0.00000000, 403.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 336.00000000, 67.20000000, 403.20000000),
(870, 555, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 1650.00000000, 1980.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 1650.00000000, 330.00000000, 0.00000000, 0.00000000, 1980.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 1650.00000000, 1650.00000000, 330.00000000, 1980.00000000),
(871, 556, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(872, 556, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(873, 557, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(874, 557, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(875, 558, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 3.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 168.00000000, 33.60000000, 0.00000000, 0.00000000, 201.60000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 168.00000000, 33.60000000, 201.60000000),
(876, 558, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 120, 0, 20.000, '', 0.000, '0', 0.000, '0', 87.60000000, 17.52000000, 0.00000000, 0.00000000, 105.12000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 87.60000000, 17.52000000, 105.12000000),
(877, 559, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 480.00000000, 576.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 480.00000000, 96.00000000, 0.00000000, 0.00000000, 576.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 480.00000000, 480.00000000, 96.00000000, 576.00000000),
(878, 559, NULL, 1223702, NULL, NULL, '', 35.00000000, 42.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 35.00000000, 7.00000000, 0.00000000, 0.00000000, 42.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 35.00000000, 35.00000000, 7.00000000, 42.00000000),
(879, 560, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 16, 0, 20.000, '', 0.000, '0', 0.000, '0', 768.00000000, 153.60000000, 0.00000000, 0.00000000, 921.60000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 768.00000000, 153.60000000, 921.60000000);
INSERT INTO `llx_facture_fourn_det` (`rowid`, `fk_facture_fourn`, `fk_parent_line`, `fk_product`, `ref`, `label`, `description`, `pu_ht`, `pu_ttc`, `qty`, `remise_percent`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `total_ht`, `tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `fk_code_ventilation`, `special_code`, `rang`, `import_key`, `fk_unit`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(880, 560, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87596774, 62, 0, 20.000, '', 0.000, '0', 0.000, '0', 45.26000000, 9.05000000, 0.00000000, 0.00000000, 54.31000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 45.26000000, 9.05000000, 54.31000000),
(881, 561, NULL, 1190357, NULL, NULL, '', 250.00000000, 300.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(882, 562, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(883, 563, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(884, 564, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(885, 565, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 1000.00000000, 1200.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 1000.00000000, 200.00000000, 0.00000000, 0.00000000, 1200.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 1000.00000000, 1000.00000000, 200.00000000, 1200.00000000),
(886, 566, NULL, 1190388, NULL, NULL, 'u1000r2v 5g16', 13.98000000, 16.77600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 699.00000000, 139.80000000, 0.00000000, 0.00000000, 838.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 13.98000000, 699.00000000, 139.80000000, 838.80000000),
(887, 566, NULL, 1190573, NULL, NULL, 'DT60N 4P 63A COURBE C', 172.00000000, 206.40000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 172.00000000, 34.40000000, 0.00000000, 0.00000000, 206.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 172.00000000, 172.00000000, 34.40000000, 206.40000000),
(888, 566, NULL, 1190574, NULL, NULL, 'VIGI TG60 4P 63A 300 AC', 175.00000000, 210.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 175.00000000, 35.00000000, 0.00000000, 0.00000000, 210.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 175.00000000, 175.00000000, 35.00000000, 210.00000000),
(889, 566, NULL, 1222643, NULL, NULL, 'forfait chantier', 30.00000000, 36.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(890, 566, NULL, 1190653, NULL, NULL, 'Supportage', 206.00000000, 247.20000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 206.00000000, 41.20000000, 0.00000000, 0.00000000, 247.20000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 206.00000000, 206.00000000, 41.20000000, 247.20000000),
(891, 566, NULL, 1223702, NULL, NULL, 'fournitures diverses', 80.00000000, 96.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 80.00000000, 16.00000000, 0.00000000, 0.00000000, 96.00000000, 0, NULL, NULL, 0, 0, 0, 3, NULL, NULL, 0, 'EUR', 80.00000000, 80.00000000, 16.00000000, 96.00000000),
(892, 566, NULL, 1222643, NULL, NULL, 'forfait chantier', 850.00000000, 1020.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 850.00000000, 170.00000000, 0.00000000, 0.00000000, 1020.00000000, 0, NULL, NULL, 0, 0, 0, 4, NULL, NULL, 0, 'EUR', 850.00000000, 850.00000000, 170.00000000, 1020.00000000),
(893, 566, NULL, 1297927, NULL, NULL, 'IRL 3321 Diam 32 Longueur 3m Tulipé Gris', 1.53000000, 1.83600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 76.50000000, 15.30000000, 0.00000000, 0.00000000, 91.80000000, 0, NULL, NULL, 0, 0, 0, 5, NULL, NULL, 0, 'EUR', 1.53000000, 76.50000000, 15.30000000, 91.80000000),
(894, 566, NULL, 1064114, NULL, NULL, 'COLSON GRIS 9X185', 0.32000000, 0.38400000, 150, 0, 20.000, '', 0.000, '0', 0.000, '0', 48.00000000, 9.60000000, 0.00000000, 0.00000000, 57.60000000, 0, NULL, NULL, 0, 0, 0, 6, NULL, NULL, 0, 'EUR', 0.32000000, 48.00000000, 9.60000000, 57.60000000),
(895, 566, NULL, 1222643, NULL, NULL, 'forfait chantier', 410.00000000, 492.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 410.00000000, 82.00000000, 0.00000000, 0.00000000, 492.00000000, 0, NULL, NULL, 0, 0, 0, 7, NULL, NULL, 0, 'EUR', 410.00000000, 410.00000000, 82.00000000, 492.00000000),
(896, 566, NULL, 1223608, NULL, NULL, '4 paires Catégorie 6 U/FTP LSOH', 0.76000000, 0.91200000, 70, 0, 20.000, '', 0.000, '0', 0.000, '0', 53.20000000, 10.64000000, 0.00000000, 0.00000000, 63.84000000, 0, NULL, NULL, 0, 0, 0, 8, NULL, NULL, 0, 'EUR', 0.76000000, 53.20000000, 10.64000000, 63.84000000),
(897, 566, NULL, 1297928, NULL, NULL, 'IRL 3321 Diam 20 Longueur 3m Tulipé Gris', 0.68000000, 0.81600000, 70, 0, 20.000, '', 0.000, '0', 0.000, '0', 47.60000000, 9.52000000, 0.00000000, 0.00000000, 57.12000000, 0, NULL, NULL, 0, 0, 0, 9, NULL, NULL, 0, 'EUR', 0.68000000, 47.60000000, 9.52000000, 57.12000000),
(898, 566, NULL, 1064114, NULL, NULL, 'COLSON GRIS 9X185', 0.32000000, 0.38400000, 150, 0, 20.000, '', 0.000, '0', 0.000, '0', 48.00000000, 9.60000000, 0.00000000, 0.00000000, 57.60000000, 0, NULL, NULL, 0, 0, 0, 10, NULL, NULL, 0, 'EUR', 0.32000000, 48.00000000, 9.60000000, 57.60000000),
(899, 566, NULL, 1069733, NULL, NULL, 'RJ45 CAT6 FTP GRIS COMPOSABLE', 28.79000000, 34.55000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 28.79000000, 5.76000000, 0.00000000, 0.00000000, 34.55000000, 0, NULL, NULL, 0, 0, 0, 11, NULL, NULL, 0, 'EUR', 28.79000000, 28.79000000, 5.76000000, 34.55000000),
(900, 567, NULL, 1298026, NULL, NULL, 'Acti9, iC60N disjoncteur 4P 16A courbe C', 68.40000000, 82.08000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 68.40000000, 13.68000000, 0.00000000, 0.00000000, 82.08000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 68.40000000, 68.40000000, 13.68000000, 82.08000000),
(901, 567, NULL, 1298027, NULL, NULL, 'Acti9, Vigi iC60, bloc différentiel 4P 25A 300mA type AC 230-240/400-415V', 110.00000000, 132.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 110.00000000, 22.00000000, 0.00000000, 0.00000000, 132.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 110.00000000, 110.00000000, 22.00000000, 132.00000000),
(902, 567, NULL, 1298028, NULL, NULL, 'R2V CU 5G2,5  DISTINGO', 2.05000000, 2.46000000, 70, 0, 20.000, '', 0.000, '0', 0.000, '0', 143.50000000, 28.70000000, 0.00000000, 0.00000000, 172.20000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 2.05000000, 143.50000000, 28.70000000, 172.20000000),
(903, 567, NULL, 1297928, NULL, NULL, 'IRL 3321 Diam 20 Longueur 3m Tulipé Gris', 0.68000000, 0.81600000, 70, 0, 20.000, '', 0.000, '0', 0.000, '0', 47.60000000, 9.52000000, 0.00000000, 0.00000000, 57.12000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.68000000, 47.60000000, 9.52000000, 57.12000000),
(904, 567, NULL, 1190653, NULL, NULL, 'Supportage', 45.00000000, 54.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 45.00000000, 9.00000000, 0.00000000, 0.00000000, 54.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 45.00000000, 45.00000000, 9.00000000, 54.00000000),
(905, 567, NULL, 1062610, NULL, NULL, 'IS BOIT 25 32A III/IV CAD J/R', 61.04000000, 73.25000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 61.04000000, 12.21000000, 0.00000000, 0.00000000, 73.25000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 61.04000000, 61.04000000, 12.21000000, 73.25000000),
(906, 567, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(907, 568, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(908, 568, NULL, 1190747, NULL, NULL, '', 89.50000000, 107.40000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 89.50000000, 17.90000000, 0.00000000, 0.00000000, 107.40000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 89.50000000, 89.50000000, 17.90000000, 107.40000000),
(909, 569, NULL, 1222640, NULL, NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(910, 570, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(911, 571, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(912, 572, NULL, 1222640, NULL, NULL, '', 234.27000000, 281.12000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.27000000, 46.85000000, 0.00000000, 0.00000000, 281.12000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 234.27000000, 234.27000000, 46.85000000, 281.12000000),
(913, 573, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 400.00000000, 480.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 400.00000000, 80.00000000, 0.00000000, 0.00000000, 480.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 400.00000000, 400.00000000, 80.00000000, 480.00000000),
(914, 574, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 7.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 360.00000000, 72.00000000, 0.00000000, 0.00000000, 432.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 360.00000000, 72.00000000, 432.00000000),
(915, 574, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(916, 574, NULL, NULL, NULL, NULL, 'fournitures', 7.00000000, 8.40000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 7.00000000, 1.40000000, 0.00000000, 0.00000000, 8.40000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 7.00000000, 7.00000000, 1.40000000, 8.40000000),
(917, 575, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 1681.04000000, 2017.25000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 1681.04000000, 336.21000000, 0.00000000, 0.00000000, 2017.25000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 1681.04000000, 1681.04000000, 336.21000000, 2017.25000000),
(918, 575, NULL, 1223702, NULL, NULL, '', 99.00000000, 118.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 99.00000000, 19.80000000, 0.00000000, 0.00000000, 118.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 99.00000000, 99.00000000, 19.80000000, 118.80000000),
(919, 576, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(920, 576, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 120, 0, 20.000, '', 0.000, '0', 0.000, '0', 87.60000000, 17.52000000, 0.00000000, 0.00000000, 105.12000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 87.60000000, 17.52000000, 105.12000000),
(921, 577, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(922, 577, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(923, 578, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(924, 579, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 120.00000000, 24.00000000, 144.00000000),
(925, 580, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(926, 581, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 1070.00000000, 1284.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 1070.00000000, 214.00000000, 0.00000000, 0.00000000, 1284.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 1070.00000000, 1070.00000000, 214.00000000, 1284.00000000),
(928, 582, NULL, NULL, NULL, NULL, 'maintenance informatique', 222.14000000, 266.57000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 222.14000000, 44.43000000, 0.00000000, 0.00000000, 266.57000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 222.14000000, 222.14000000, 44.43000000, 266.57000000),
(929, 583, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(930, 583, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 40, 0, 20.000, '', 0.000, '0', 0.000, '0', 29.20000000, 5.84000000, 0.00000000, 0.00000000, 35.04000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 29.20000000, 5.84000000, 35.04000000),
(931, 584, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(932, 584, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 40, 0, 20.000, '', 0.000, '0', 0.000, '0', 29.20000000, 5.84000000, 0.00000000, 0.00000000, 35.04000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 29.20000000, 5.84000000, 35.04000000),
(933, 585, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(934, 585, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 40, 0, 20.000, '', 0.000, '0', 0.000, '0', 29.20000000, 5.84000000, 0.00000000, 0.00000000, 35.04000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 29.20000000, 5.84000000, 35.04000000),
(935, 586, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 3658.12000000, 4389.74000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 3658.12000000, 731.62000000, 0.00000000, 0.00000000, 4389.74000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 3658.12000000, 3658.12000000, 731.62000000, 4389.74000000),
(936, 587, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(937, 588, NULL, 1190376, NULL, NULL, '', 249.20000000, 299.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 249.20000000, 49.84000000, 0.00000000, 0.00000000, 299.04000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 249.20000000, 249.20000000, 49.84000000, 299.04000000),
(938, 589, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(939, 589, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 60, 0, 20.000, '', 0.000, '0', 0.000, '0', 43.80000000, 8.76000000, 0.00000000, 0.00000000, 52.56000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 43.80000000, 8.76000000, 52.56000000),
(940, 590, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87600000, 60, 0, 20.000, '', 0.000, '0', 0.000, '0', 43.80000000, 8.76000000, 0.00000000, 0.00000000, 52.56000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 43.80000000, 8.76000000, 52.56000000),
(941, 590, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 1.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 72.00000000, 14.40000000, 0.00000000, 0.00000000, 86.40000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 72.00000000, 14.40000000, 86.40000000),
(942, 591, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(943, 592, NULL, 1222641, NULL, NULL, '', 323.37000000, 388.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 323.37000000, 64.67000000, 0.00000000, 0.00000000, 388.04000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 323.37000000, 323.37000000, 64.67000000, 388.04000000),
(944, 593, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 3153.74000000, 3784.49000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 3153.74000000, 630.75000000, 0.00000000, 0.00000000, 3784.49000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 3153.74000000, 3153.74000000, 630.75000000, 3784.49000000),
(945, 593, NULL, 1223702, NULL, NULL, '', 623.00000000, 747.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 623.00000000, 124.60000000, 0.00000000, 0.00000000, 747.60000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 623.00000000, 623.00000000, 124.60000000, 747.60000000),
(946, 593, NULL, 1190387, NULL, NULL, '', 399.00000000, 478.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 399.00000000, 79.80000000, 0.00000000, 0.00000000, 478.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 399.00000000, 399.00000000, 79.80000000, 478.80000000),
(947, 594, NULL, 1190357, NULL, NULL, '', 386.68000000, 464.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 386.68000000, 77.34000000, 0.00000000, 0.00000000, 464.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 386.68000000, 386.68000000, 77.34000000, 464.02000000),
(948, 595, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 1392.01000000, 1670.41000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 1392.01000000, 278.40000000, 0.00000000, 0.00000000, 1670.41000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 1392.01000000, 1392.01000000, 278.40000000, 1670.41000000),
(949, 596, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(950, 597, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(951, 598, NULL, 1222640, NULL, NULL, 'FORFAIT MAINTENANCE', 239.04000000, 286.85000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 239.04000000, 47.81000000, 0.00000000, 0.00000000, 286.85000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 239.04000000, 239.04000000, 47.81000000, 286.85000000),
(952, 599, NULL, 1222641, NULL, NULL, '', 290.69000000, 348.83000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.69000000, 58.14000000, 0.00000000, 0.00000000, 348.83000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 290.69000000, 290.69000000, 58.14000000, 348.83000000),
(953, 600, NULL, 1103529, NULL, NULL, 'COFFRET KAEDRA 12M 1R IP65', 52.58000000, 63.09500000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 105.16000000, 21.03000000, 0.00000000, 0.00000000, 126.19000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 52.58000000, 105.16000000, 21.03000000, 126.19000000),
(954, 600, NULL, 1298081, NULL, NULL, 'cable RO2V 5G6MM²', 5.97000000, 7.16400000, 60, 0, 20.000, '', 0.000, '0', 0.000, '0', 358.20000000, 71.64000000, 0.00000000, 0.00000000, 429.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 5.97000000, 358.20000000, 71.64000000, 429.84000000),
(955, 600, NULL, 1190453, NULL, NULL, 'u1000ro2v cu 3g 1,5mm', 0.91000000, 1.09200000, 100, 0, 20.000, '', 0.000, '0', 0.000, '0', 91.00000000, 18.20000000, 0.00000000, 0.00000000, 109.20000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.91000000, 91.00000000, 18.20000000, 109.20000000),
(956, 600, NULL, 1298028, NULL, NULL, 'R2V CU 5G2,5  DISTINGO', 2.05000000, 2.46000000, 40, 0, 20.000, '', 0.000, '0', 0.000, '0', 82.00000000, 16.40000000, 0.00000000, 0.00000000, 98.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 2.05000000, 82.00000000, 16.40000000, 98.40000000),
(957, 600, NULL, 1297928, NULL, NULL, 'IRL 3321 Diam 20 Longueur 3m Tulipé Gris', 0.68000000, 0.81600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 34.00000000, 6.80000000, 0.00000000, 0.00000000, 40.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.68000000, 34.00000000, 6.80000000, 40.80000000),
(958, 600, NULL, 1190634, NULL, NULL, 'r2v cu 3g2,5 c50m', 1.23000000, 1.47600000, 40, 0, 20.000, '', 0.000, '0', 0.000, '0', 49.20000000, 9.84000000, 0.00000000, 0.00000000, 59.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 1.23000000, 49.20000000, 9.84000000, 59.04000000),
(959, 600, NULL, 1297927, NULL, NULL, 'IRL 3321 Diam 32 Longueur 3m Tulipé Gris', 1.53000000, 1.83600000, 45, 0, 20.000, '', 0.000, '0', 0.000, '0', 68.85000000, 13.77000000, 0.00000000, 0.00000000, 82.62000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 1.53000000, 68.85000000, 13.77000000, 82.62000000),
(960, 600, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 16, 0, 20.000, '', 0.000, '0', 0.000, '0', 768.00000000, 153.60000000, 0.00000000, 0.00000000, 921.60000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 768.00000000, 153.60000000, 921.60000000),
(961, 600, NULL, 1071473, NULL, NULL, 'BOITE DERIVATION 80X80 PLEXO', 3.72000000, 4.46375000, 8, 0, 20.000, '', 0.000, '0', 0.000, '0', 29.76000000, 5.95000000, 0.00000000, 0.00000000, 35.71000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 3.72000000, 29.76000000, 5.95000000, 35.71000000),
(962, 600, NULL, 1298137, NULL, NULL, 'Prodis DT40 - disjoncteur - 3P+N - 32A - courbe C - 6kA', 65.00000000, 78.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 65.00000000, 13.00000000, 0.00000000, 0.00000000, 78.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 65.00000000, 65.00000000, 13.00000000, 78.00000000),
(963, 600, NULL, 1190631, NULL, NULL, 'DT40 3p+n 20a courbe c', 95.00000000, 114.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 95.00000000, 19.00000000, 0.00000000, 0.00000000, 114.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 95.00000000, 95.00000000, 19.00000000, 114.00000000),
(964, 600, NULL, 1223583, NULL, NULL, 'Vigi DT40 bloc différentiel 3P+N 25A 30mA instantané type AC 230-415V', 143.00000000, 171.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 143.00000000, 28.60000000, 0.00000000, 0.00000000, 171.60000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 143.00000000, 143.00000000, 28.60000000, 171.60000000),
(965, 600, NULL, 1190443, NULL, NULL, 'dt40 1p n 16a c 6ka', 14.50000000, 17.40000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 29.00000000, 5.80000000, 0.00000000, 0.00000000, 34.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 14.50000000, 29.00000000, 5.80000000, 34.80000000),
(966, 600, NULL, 1190442, NULL, NULL, 'vigi dt40 1pn 25a 30ma', 87.50000000, 105.00000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 175.00000000, 35.00000000, 0.00000000, 0.00000000, 210.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 87.50000000, 175.00000000, 35.00000000, 210.00000000),
(967, 600, NULL, 1190584, NULL, NULL, 'repas', 20.00000000, 24.00000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 40.00000000, 8.00000000, 0.00000000, 0.00000000, 48.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 20.00000000, 40.00000000, 8.00000000, 48.00000000),
(968, 600, NULL, 1190776, NULL, NULL, 'nombre de kilometres', 0.73000000, 0.87600000, 100, 0, 20.000, '', 0.000, '0', 0.000, '0', 73.00000000, 14.60000000, 0.00000000, 0.00000000, 87.60000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 73.00000000, 14.60000000, 87.60000000),
(969, 600, NULL, 1231889, NULL, NULL, 'CORELINE HIGHBAY BY121P G3 LED205S/840 PSU WB GR', 354.00000000, 424.80000000, 8, 0, 20.000, '', 0.000, '0', 0.000, '0', 2832.00000000, 566.40000000, 0.00000000, 0.00000000, 3398.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 354.00000000, 2832.00000000, 566.40000000, 3398.40000000),
(970, 600, NULL, 1071210, NULL, NULL, 'PRISE 3P+T 20A PLEXO 55', 39.10000000, 46.92000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 78.20000000, 15.64000000, 0.00000000, 0.00000000, 93.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 39.10000000, 78.20000000, 15.64000000, 93.84000000),
(971, 600, NULL, 1298106, NULL, NULL, '2P+T F/B GRIS SAILLIE', 10.00000000, 12.00000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 20.00000000, 4.00000000, 0.00000000, 0.00000000, 24.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 10.00000000, 20.00000000, 4.00000000, 24.00000000),
(972, 601, NULL, 1222640, NULL, NULL, '', 296.51000000, 355.81000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 296.51000000, 59.30000000, 0.00000000, 0.00000000, 355.81000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 296.51000000, 296.51000000, 59.30000000, 355.81000000),
(973, 602, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(974, 603, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(975, 604, NULL, 1222640, NULL, NULL, '', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(976, 605, NULL, 1222641, NULL, NULL, '', 333.18000000, 399.82000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 333.18000000, 66.64000000, 0.00000000, 0.00000000, 399.82000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 333.18000000, 333.18000000, 66.64000000, 399.82000000),
(977, 606, NULL, 1222640, NULL, NULL, '', 258.85000000, 310.62000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 258.85000000, 51.77000000, 0.00000000, 0.00000000, 310.62000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 258.85000000, 258.85000000, 51.77000000, 310.62000000),
(978, 607, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87596774, 62, 0, 20.000, '', 0.000, '0', 0.000, '0', 45.26000000, 9.05000000, 0.00000000, 0.00000000, 54.31000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 45.26000000, 9.05000000, 54.31000000),
(979, 607, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(980, 607, NULL, 1305558, NULL, NULL, 'hublot vernosc 800LM blanc', 30.07000000, 36.08333333, 6, 0, 20.000, '', 0.000, '0', 0.000, '0', 180.42000000, 36.08000000, 0.00000000, 0.00000000, 216.50000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 30.07000000, 180.42000000, 36.08000000, 216.50000000),
(981, 607, NULL, 1305559, NULL, NULL, 'ray amadeus 2 h blc 1500w', 157.13000000, 188.56000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 157.13000000, 31.43000000, 0.00000000, 0.00000000, 188.56000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 157.13000000, 157.13000000, 31.43000000, 188.56000000),
(982, 607, NULL, 1305560, NULL, NULL, 'malette 200 chev auto for', 18.00000000, 21.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 18.00000000, 3.60000000, 0.00000000, 0.00000000, 21.60000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 18.00000000, 18.00000000, 3.60000000, 21.60000000),
(983, 608, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(984, 608, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87596154, 52, 0, 20.000, '', 0.000, '0', 0.000, '0', 37.96000000, 7.59000000, 0.00000000, 0.00000000, 45.55000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 37.96000000, 7.59000000, 45.55000000),
(985, 609, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 611.29000000, 733.55000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 611.29000000, 122.26000000, 0.00000000, 0.00000000, 733.55000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 611.29000000, 611.29000000, 122.26000000, 733.55000000),
(986, 610, NULL, 1222640, NULL, NULL, '', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(987, 611, NULL, 1222641, NULL, NULL, '', 296.51000000, 355.81000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 296.51000000, 59.30000000, 0.00000000, 0.00000000, 355.81000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 296.51000000, 296.51000000, 59.30000000, 355.81000000),
(988, 611, NULL, 1222641, NULL, NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(989, 612, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 120.00000000, 24.00000000, 144.00000000),
(990, 612, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87583333, 24, 0, 20.000, '', 0.000, '0', 0.000, '0', 17.52000000, 3.50000000, 0.00000000, 0.00000000, 21.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 17.52000000, 3.50000000, 21.02000000),
(991, 613, NULL, 1222640, NULL, NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(992, 614, NULL, 1222641, NULL, NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(993, 615, NULL, 1222640, NULL, NULL, '', 234.88000000, 281.85500000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 469.76000000, 93.95000000, 0.00000000, 0.00000000, 563.71000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 234.88000000, 469.76000000, 93.95000000, 563.71000000),
(994, 615, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 48.00000000, 9.60000000, 0.00000000, 0.00000000, 57.60000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 48.00000000, 9.60000000, 57.60000000),
(995, 616, NULL, 1222641, NULL, NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(996, 617, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(997, 617, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87590909, 44, 0, 20.000, '', 0.000, '0', 0.000, '0', 32.12000000, 6.42000000, 0.00000000, 0.00000000, 38.54000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 32.12000000, 6.42000000, 38.54000000),
(998, 618, NULL, 1222641, NULL, NULL, '', 390.70000000, 468.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 390.70000000, 78.14000000, 0.00000000, 0.00000000, 468.84000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 390.70000000, 390.70000000, 78.14000000, 468.84000000),
(999, 619, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(1000, 620, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 484.00000000, 580.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 484.00000000, 96.80000000, 0.00000000, 0.00000000, 580.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 484.00000000, 484.00000000, 96.80000000, 580.80000000),
(1001, 620, NULL, 1223702, NULL, NULL, '', 70.00000000, 84.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 70.00000000, 14.00000000, 0.00000000, 0.00000000, 84.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 70.00000000, 70.00000000, 14.00000000, 84.00000000),
(1002, 621, NULL, 1222641, NULL, NULL, '', 365.76000000, 438.91000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 365.76000000, 73.15000000, 0.00000000, 0.00000000, 438.91000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 365.76000000, 365.76000000, 73.15000000, 438.91000000),
(1003, 621, NULL, 1190716, NULL, NULL, '', 40.00000000, 48.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 40.00000000, 8.00000000, 0.00000000, 0.00000000, 48.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 40.00000000, 40.00000000, 8.00000000, 48.00000000),
(1004, 622, NULL, 1222641, NULL, NULL, '', 290.22000000, 348.26000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.22000000, 58.04000000, 0.00000000, 0.00000000, 348.26000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 290.22000000, 290.22000000, 58.04000000, 348.26000000),
(1005, 623, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(1006, 624, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 5.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 264.00000000, 52.80000000, 0.00000000, 0.00000000, 316.80000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 264.00000000, 52.80000000, 316.80000000),
(1007, 624, NULL, 1190334, NULL, NULL, '', 0.73000000, 0.87598485, 132, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.36000000, 19.27000000, 0.00000000, 0.00000000, 115.63000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 0.73000000, 96.36000000, 19.27000000, 115.63000000),
(1008, 625, NULL, 1222641, NULL, NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1009, 626, NULL, 1190535, NULL, NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 3.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 168.00000000, 33.60000000, 0.00000000, 0.00000000, 201.60000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 48.00000000, 168.00000000, 33.60000000, 201.60000000),
(1010, 626, NULL, 1190334, NULL, NULL, 'frais km', 0.73000000, 0.87601064, 188, 0, 20.000, '', 0.000, '0', 0.000, '0', 137.24000000, 27.45000000, 0.00000000, 0.00000000, 164.69000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, 0, 'EUR', 0.73000000, 137.24000000, 27.45000000, 164.69000000),
(1011, 627, NULL, 1222641, NULL, NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1012, 628, NULL, 1222641, NULL, NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1013, 629, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(1014, 630, NULL, 1222641, NULL, NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1015, 631, NULL, 1222640, NULL, NULL, '', 241.87000000, 290.24000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 241.87000000, 48.37000000, 0.00000000, 0.00000000, 290.24000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 241.87000000, 241.87000000, 48.37000000, 290.24000000),
(1016, 632, NULL, 1222641, NULL, NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1017, 633, NULL, 1222640, NULL, NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1018, 634, NULL, 1222641, NULL, NULL, '', 307.69000000, 369.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 307.69000000, 61.54000000, 0.00000000, 0.00000000, 369.23000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 307.69000000, 307.69000000, 61.54000000, 369.23000000),
(1019, 635, NULL, 1222640, NULL, NULL, '', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(1020, 636, NULL, 1222641, NULL, NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(1021, 637, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 400.00000000, 480.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 400.00000000, 80.00000000, 0.00000000, 0.00000000, 480.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 400.00000000, 400.00000000, 80.00000000, 480.00000000),
(1022, 637, NULL, 1223702, NULL, NULL, '', 112.00000000, 134.40000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 112.00000000, 22.40000000, 0.00000000, 0.00000000, 134.40000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 112.00000000, 112.00000000, 22.40000000, 134.40000000),
(1023, 638, NULL, 1222640, NULL, NULL, '', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(1024, 639, NULL, 1222641, NULL, NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(1025, 640, NULL, 1222641, NULL, NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(1026, 641, NULL, 1222643, NULL, NULL, 'Main d&#39;oeuvre et deplacement', 192.00000000, 230.40000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 192.00000000, 192.00000000, 38.40000000, 230.40000000),
(1027, 642, NULL, 1190374, NULL, NULL, '', 150.00000000, 180.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 150.00000000, 30.00000000, 0.00000000, 0.00000000, 180.00000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 150.00000000, 150.00000000, 30.00000000, 180.00000000),
(1028, 643, NULL, 1222640, NULL, NULL, '', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(1029, 644, NULL, 1222641, NULL, NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(1030, 645, NULL, 1222641, NULL, NULL, '', 302.55000000, 363.06000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 302.55000000, 60.51000000, 0.00000000, 0.00000000, 363.06000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 302.55000000, 302.55000000, 60.51000000, 363.06000000),
(1031, 646, NULL, 1222640, NULL, NULL, '', 342.72000000, 411.26000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 342.72000000, 68.54000000, 0.00000000, 0.00000000, 411.26000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 342.72000000, 342.72000000, 68.54000000, 411.26000000),
(1032, 647, NULL, 1190535, NULL, NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, -1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(1033, 648, NULL, 1223702, 'founiture div', NULL, '', 105.00000000, 126.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 105.00000000, 21.00000000, 0.00000000, 0.00000000, 126.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 105.00000000, 105.00000000, 21.00000000, 126.00000000),
(1034, 648, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 9, 0, 20.000, '', 0.000, '0', 0.000, '0', 432.00000000, 86.40000000, 0.00000000, 0.00000000, 518.40000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 432.00000000, 86.40000000, 518.40000000),
(1035, 648, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 200, 0, 20.000, '', 0.000, '0', 0.000, '0', 146.00000000, 29.20000000, 0.00000000, 0.00000000, 175.20000000, 0, NULL, NULL, 0, 0, 0, 3, NULL, NULL, 0, 'EUR', 0.73000000, 146.00000000, 29.20000000, 175.20000000),
(1036, 649, NULL, 1222640, 'EDR37', NULL, '', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(1037, 650, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87603448, 116, 0, 20.000, '', 0.000, '0', 0.000, '0', 84.68000000, 16.94000000, 0.00000000, 0.00000000, 101.62000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 84.68000000, 16.94000000, 101.62000000),
(1038, 650, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(1039, 651, NULL, 1222641, 'EDR38', NULL, '', 302.55000000, 363.06000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 302.55000000, 60.51000000, 0.00000000, 0.00000000, 363.06000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 302.55000000, 302.55000000, 60.51000000, 363.06000000),
(1040, 652, NULL, 1222640, 'EDR37', NULL, '', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(1041, 652, NULL, 1222641, 'EDR38', NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(1042, 653, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 288.35000000, 346.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 288.35000000, 57.67000000, 0.00000000, 0.00000000, 346.02000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 288.35000000, 288.35000000, 57.67000000, 346.02000000),
(1043, 653, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 48.00000000, 9.60000000, 0.00000000, 0.00000000, 57.60000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 48.00000000, 9.60000000, 57.60000000),
(1044, 654, NULL, 1222641, 'EDR38', NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(1045, 655, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 910.00000000, 1092.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 910.00000000, 182.00000000, 0.00000000, 0.00000000, 1092.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 910.00000000, 910.00000000, 182.00000000, 1092.00000000),
(1046, 656, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 168.00000000, 33.60000000, 0.00000000, 0.00000000, 201.60000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 168.00000000, 33.60000000, 201.60000000),
(1047, 656, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87605634, 71, 0, 20.000, '', 0.000, '0', 0.000, '0', 51.83000000, 10.37000000, 0.00000000, 0.00000000, 62.20000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 51.83000000, 10.37000000, 62.20000000),
(1048, 657, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(1049, 658, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 2506.00000000, 3007.20000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 2506.00000000, 501.20000000, 0.00000000, 0.00000000, 3007.20000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 2506.00000000, 2506.00000000, 501.20000000, 3007.20000000),
(1050, 658, NULL, 1223702, 'founiture div', NULL, '', 350.00000000, 420.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 350.00000000, 70.00000000, 0.00000000, 0.00000000, 420.00000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 350.00000000, 350.00000000, 70.00000000, 420.00000000);
INSERT INTO `llx_facture_fourn_det` (`rowid`, `fk_facture_fourn`, `fk_parent_line`, `fk_product`, `ref`, `label`, `description`, `pu_ht`, `pu_ttc`, `qty`, `remise_percent`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `total_ht`, `tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `fk_code_ventilation`, `special_code`, `rang`, `import_key`, `fk_unit`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(1051, 659, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 48.00000000, 9.60000000, 0.00000000, 0.00000000, 57.60000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 48.00000000, 9.60000000, 57.60000000),
(1052, 659, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 40, 0, 20.000, '', 0.000, '0', 0.000, '0', 29.20000000, 5.84000000, 0.00000000, 0.00000000, 35.04000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 29.20000000, 5.84000000, 35.04000000),
(1053, 660, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 1385.20000000, 1662.24000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 1385.20000000, 277.04000000, 0.00000000, 0.00000000, 1662.24000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 1385.20000000, 1385.20000000, 277.04000000, 1662.24000000),
(1054, 661, NULL, 1222640, 'EDR37', NULL, '', 229.58000000, 275.50000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 229.58000000, 45.92000000, 0.00000000, 0.00000000, 275.50000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 229.58000000, 229.58000000, 45.92000000, 275.50000000),
(1055, 662, NULL, 1222640, 'EDR37', NULL, '', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(1056, 663, NULL, 1222641, 'EDR38', NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(1057, 664, NULL, 1222641, 'EDR38', NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(1058, 665, NULL, 1190357, 'EDR34', NULL, '', 386.68000000, 464.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 386.68000000, 77.34000000, 0.00000000, 0.00000000, 464.02000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 386.68000000, 386.68000000, 77.34000000, 464.02000000),
(1059, 666, NULL, 1222641, 'EDR38', NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(1060, 667, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(1061, 667, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 80, 0, 20.000, '', 0.000, '0', 0.000, '0', 58.40000000, 11.68000000, 0.00000000, 0.00000000, 70.08000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 58.40000000, 11.68000000, 70.08000000),
(1062, 668, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 48.00000000, 9.60000000, 0.00000000, 0.00000000, 57.60000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 48.00000000, 9.60000000, 57.60000000),
(1063, 668, NULL, 1190361, 'edr3999', NULL, '', 340.60000000, 408.72000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 340.60000000, 68.12000000, 0.00000000, 0.00000000, 408.72000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 340.60000000, 340.60000000, 68.12000000, 408.72000000),
(1064, 668, NULL, 1190361, 'edr3999', NULL, '', 346.50000000, 415.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 346.50000000, 69.30000000, 0.00000000, 0.00000000, 415.80000000, 0, NULL, NULL, 0, 0, 0, 3, NULL, NULL, 0, 'EUR', 346.50000000, 346.50000000, 69.30000000, 415.80000000),
(1065, 668, NULL, 1190361, 'edr3999', NULL, '', 347.41000000, 416.89000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 347.41000000, 69.48000000, 0.00000000, 0.00000000, 416.89000000, 0, NULL, NULL, 0, 0, 0, 4, NULL, NULL, 0, 'EUR', 347.41000000, 347.41000000, 69.48000000, 416.89000000),
(1066, 668, NULL, 1190361, 'edr3999', NULL, '', 252.13000000, 302.55000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 252.13000000, 50.43000000, 0.00000000, 0.00000000, 302.56000000, 0, NULL, NULL, 0, 0, 0, 5, NULL, NULL, 0, 'EUR', 252.13000000, 252.13000000, 50.42000000, 302.55000000),
(1067, 669, NULL, 1222641, 'EDR38', NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(1068, 670, NULL, 1222641, 'EDR38', NULL, '', 302.55000000, 363.06000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 302.55000000, 60.51000000, 0.00000000, 0.00000000, 363.06000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 302.55000000, 302.55000000, 60.51000000, 363.06000000),
(1069, 671, NULL, 1222640, 'EDR37', NULL, '', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(1070, 672, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.88000000, 92, 0, 20.000, '', 0.000, '0', 0.000, '0', 67.16000000, 13.43000000, 0.00000000, 0.00000000, 80.59000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 67.16000000, 13.43000000, 80.59000000),
(1071, 672, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(1072, 673, NULL, 1222641, 'EDR38', NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(1073, 674, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87604651, 86, 0, 20.000, '', 0.000, '0', 0.000, '0', 62.78000000, 12.56000000, 0.00000000, 0.00000000, 75.34000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 62.78000000, 12.56000000, 75.34000000),
(1074, 674, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 168.00000000, 33.60000000, 0.00000000, 0.00000000, 201.60000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 168.00000000, 33.60000000, 201.60000000),
(1075, 675, NULL, 1222641, 'EDR38', NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(1076, 676, NULL, 1222641, 'EDR38', NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(1077, 677, NULL, 1305876, 'OSR515113', NULL, '', 5.73000000, 6.87600000, 10, 0, 20.000, '', 0.000, '0', 0.000, '0', 57.30000000, 11.46000000, 0.00000000, 0.00000000, 68.76000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 5.73000000, 57.30000000, 11.46000000, 68.76000000),
(1078, 678, NULL, 1222640, 'EDR37', NULL, '', 214.30000000, 257.16000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 428.60000000, 85.72000000, 0.00000000, 0.00000000, 514.32000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 214.30000000, 428.60000000, 85.72000000, 514.32000000),
(1079, 679, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87598485, 264, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.72000000, 38.54000000, 0.00000000, 0.00000000, 231.26000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 192.72000000, 38.54000000, 231.26000000),
(1080, 679, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 5, 0, 20.000, '', 0.000, '0', 0.000, '0', 240.00000000, 48.00000000, 0.00000000, 0.00000000, 288.00000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 240.00000000, 48.00000000, 288.00000000),
(1081, 680, NULL, 1222640, 'EDR37', NULL, '', 243.91000000, 292.69000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 243.91000000, 48.78000000, 0.00000000, 0.00000000, 292.69000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 243.91000000, 243.91000000, 48.78000000, 292.69000000),
(1082, 681, NULL, 1222641, 'EDR38', NULL, '', 306.67000000, 368.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 306.67000000, 61.33000000, 0.00000000, 0.00000000, 368.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 306.67000000, 306.67000000, 61.33000000, 368.00000000),
(1083, 682, NULL, 1222640, 'EDR37', NULL, '', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(1084, 683, NULL, 1222641, 'EDR38', NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(1085, 684, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 23.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 1128.00000000, 225.60000000, 0.00000000, 0.00000000, 1353.60000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 1128.00000000, 225.60000000, 1353.60000000),
(1086, 684, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600427, 468, 0, 20.000, '', 0.000, '0', 0.000, '0', 341.64000000, 68.33000000, 0.00000000, 0.00000000, 409.97000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 341.64000000, 68.33000000, 409.97000000),
(1087, 684, NULL, 1223702, 'founiture div', NULL, '', 98.00000000, 117.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 98.00000000, 19.60000000, 0.00000000, 0.00000000, 117.60000000, 0, NULL, NULL, 0, 0, 0, 3, NULL, NULL, 0, 'EUR', 98.00000000, 98.00000000, 19.60000000, 117.60000000),
(1088, 685, NULL, 1190361, 'edr3999', NULL, '', 375.93000000, 451.12000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 375.93000000, 75.19000000, 0.00000000, 0.00000000, 451.12000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 375.93000000, 375.93000000, 75.19000000, 451.12000000),
(1089, 686, NULL, 1222641, 'EDR38', NULL, '', 250.00000000, 300.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(1090, 687, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 250.00000000, 300.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(1091, 688, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87611111, 36, 0, 20.000, '', 0.000, '0', 0.000, '0', 26.28000000, 5.26000000, 0.00000000, 0.00000000, 31.54000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 26.28000000, 5.26000000, 31.54000000),
(1092, 688, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(1093, 689, NULL, 1222641, 'EDR38', NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(1094, 692, NULL, 1222640, 'EDR37', NULL, '', 239.04000000, 286.85000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 239.04000000, 47.81000000, 0.00000000, 0.00000000, 286.85000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 239.04000000, 239.04000000, 47.81000000, 286.85000000),
(1095, 693, NULL, 1222640, 'EDR37', NULL, '', 239.04000000, 286.85000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 239.04000000, 47.81000000, 0.00000000, 0.00000000, 286.85000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 239.04000000, 239.04000000, 47.81000000, 286.85000000),
(1096, 694, NULL, 1222641, 'EDR38', NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(1097, 695, NULL, 1222641, '', NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(1098, 696, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 160.00000000, 192.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 160.00000000, 32.00000000, 0.00000000, 0.00000000, 192.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 160.00000000, 160.00000000, 32.00000000, 192.00000000),
(1099, 697, NULL, 1222640, 'EDR37', NULL, '', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(1100, 698, NULL, 1190374, 'edr49', NULL, '', 199.50000000, 239.40000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 199.50000000, 39.90000000, 0.00000000, 0.00000000, 239.40000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 199.50000000, 199.50000000, 39.90000000, 239.40000000),
(1101, 699, NULL, 1190334, '', NULL, 'frais km', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(1102, 699, NULL, 1190535, '', NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 6, 0, 20.000, '', 0.000, '0', 0.000, '0', 288.00000000, 57.60000000, 0.00000000, 0.00000000, 345.60000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 288.00000000, 57.60000000, 345.60000000),
(1103, 699, NULL, 1305880, '', NULL, 'arret d\'urgence', 30.00000000, 36.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 30.00000000, 6.00000000, 0.00000000, 0.00000000, 36.00000000, 0, NULL, NULL, 0, 0, 0, 3, NULL, NULL, 0, 'EUR', 30.00000000, 30.00000000, 6.00000000, 36.00000000),
(1104, 699, NULL, 1156024, '', NULL, 'BOITE A BOUTON FONCTION ARRET URGENCE', 35.58000000, 42.70000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 35.58000000, 7.12000000, 0.00000000, 0.00000000, 42.70000000, 0, NULL, NULL, 0, 0, 0, 4, NULL, NULL, 0, 'EUR', 35.58000000, 35.58000000, 7.12000000, 42.70000000),
(1105, 699, NULL, 1305882, '', NULL, 'démarreur ralentisseur 32Amp 425V', 317.50000000, 381.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 317.50000000, 63.50000000, 0.00000000, 0.00000000, 381.00000000, 0, NULL, NULL, 0, 0, 0, 5, NULL, NULL, 0, 'EUR', 317.50000000, 317.50000000, 63.50000000, 381.00000000),
(1106, 700, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 5.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 264.00000000, 52.80000000, 0.00000000, 0.00000000, 316.80000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 264.00000000, 52.80000000, 316.80000000),
(1107, 700, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87601064, 188, 0, 20.000, '', 0.000, '0', 0.000, '0', 137.24000000, 27.45000000, 0.00000000, 0.00000000, 164.69000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 137.24000000, 27.45000000, 164.69000000),
(1108, 701, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 168.00000000, 33.60000000, 0.00000000, 0.00000000, 201.60000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 168.00000000, 33.60000000, 201.60000000),
(1109, 701, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(1110, 701, NULL, NULL, '', NULL, 'lc1d09p7+lrd07', 105.00000000, 126.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 105.00000000, 21.00000000, 0.00000000, 0.00000000, 126.00000000, 0, NULL, NULL, 0, 0, 0, 3, NULL, NULL, 0, 'EUR', 105.00000000, 105.00000000, 21.00000000, 126.00000000),
(1111, 702, NULL, 1061337, '', NULL, 'REPART.TETRA.125A   6MOD.', 39.47000000, 47.36000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 39.47000000, 7.89000000, 0.00000000, 0.00000000, 47.36000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 39.47000000, 39.47000000, 7.89000000, 47.36000000),
(1112, 702, NULL, 1305874, '', NULL, 'disjoncteur iC60N - 4P - 20A - Courbe C - PdC 10 kA', 74.00000000, 88.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 74.00000000, 14.80000000, 0.00000000, 0.00000000, 88.80000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 74.00000000, 74.00000000, 14.80000000, 88.80000000),
(1113, 702, NULL, 1305875, '', NULL, 'Vigi iC60 - bloc différentiel pour disjoncteur iC60 - 4P - 25A - instantané - type AC - sensibilité 30mA', 149.00000000, 178.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 149.00000000, 29.80000000, 0.00000000, 0.00000000, 178.80000000, 0, NULL, NULL, 0, 0, 0, 3, NULL, NULL, 0, 'EUR', 149.00000000, 149.00000000, 29.80000000, 178.80000000),
(1114, 702, NULL, 1190557, '', NULL, 'u1000ro2v cu 5 g 2.5 mm', 2.17000000, 2.60400000, 30, 0, 20.000, '', 0.000, '0', 0.000, '0', 65.10000000, 13.02000000, 0.00000000, 0.00000000, 78.12000000, 0, NULL, NULL, 0, 0, 0, 4, NULL, NULL, 0, 'EUR', 2.17000000, 65.10000000, 13.02000000, 78.12000000),
(1115, 702, NULL, 1190387, '', NULL, 'location nacelle', 250.00000000, 300.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 0, 0, 5, NULL, NULL, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(1116, 702, NULL, 1222643, '', NULL, 'forfait chantier', 400.00000000, 480.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 400.00000000, 80.00000000, 0.00000000, 0.00000000, 480.00000000, 0, NULL, NULL, 0, 0, 0, 6, NULL, NULL, 0, 'EUR', 400.00000000, 400.00000000, 80.00000000, 480.00000000),
(1117, 702, NULL, 1071211, '', NULL, 'PRISE 3P+N+T 20A PLEXO 55', 42.94000000, 51.53000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 85.88000000, 17.18000000, 0.00000000, 0.00000000, 103.06000000, 0, NULL, NULL, 0, 0, 0, 7, NULL, NULL, 0, 'EUR', 42.94000000, 85.88000000, 17.18000000, 103.06000000),
(1118, 702, NULL, 1297928, '', NULL, 'IRL 3321 Diam 20 Longueur 3m Tulipé Gris', 0.68000000, 0.81600000, 30, 0, 20.000, '', 0.000, '0', 0.000, '0', 20.40000000, 4.08000000, 0.00000000, 0.00000000, 24.48000000, 0, NULL, NULL, 0, 0, 0, 8, NULL, NULL, 0, 'EUR', 0.68000000, 20.40000000, 4.08000000, 24.48000000),
(1119, 702, NULL, 1190483, '', NULL, 'colliers pour tube iro', 0.24000000, 0.28800000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 12.00000000, 2.40000000, 0.00000000, 0.00000000, 14.40000000, 0, NULL, NULL, 0, 0, 0, 9, NULL, NULL, 0, 'EUR', 0.24000000, 12.00000000, 2.40000000, 14.40000000),
(1120, 702, NULL, 1190572, '', NULL, 'fournitures diverses', 75.00000000, 90.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 75.00000000, 15.00000000, 0.00000000, 0.00000000, 90.00000000, 0, NULL, NULL, 0, 0, 0, 10, NULL, NULL, 0, 'EUR', 75.00000000, 75.00000000, 15.00000000, 90.00000000),
(1121, 702, NULL, 1190501, '', NULL, 'h07rnf 5g2 5mm', 7.93000000, 9.51600000, 10, 0, 20.000, '', 0.000, '0', 0.000, '0', 79.30000000, 15.86000000, 0.00000000, 0.00000000, 95.16000000, 0, NULL, NULL, 0, 0, 0, 11, NULL, NULL, 0, 'EUR', 7.93000000, 79.30000000, 15.86000000, 95.16000000),
(1122, 702, NULL, 1223580, '', NULL, 'Prodis. DT40N disjoncteur - 3P+N 20A - courbe C - 10kA', 69.85000000, 83.82000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 69.85000000, 13.97000000, 0.00000000, 0.00000000, 83.82000000, 0, NULL, NULL, 0, 0, 0, 12, NULL, NULL, 0, 'EUR', 69.85000000, 69.85000000, 13.97000000, 83.82000000),
(1123, 703, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87593750, 64, 0, 20.000, '', 0.000, '0', 0.000, '0', 46.72000000, 9.34000000, 0.00000000, 0.00000000, 56.06000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 46.72000000, 9.34000000, 56.06000000),
(1124, 703, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 120.00000000, 24.00000000, 144.00000000),
(1125, 704, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 250.00000000, 300.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(1126, 704, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 120.00000000, 24.00000000, 144.00000000),
(1127, 705, NULL, 1222641, 'EDR38', NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(1128, 706, NULL, 1222641, '', NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(1129, 707, NULL, 1222641, '', NULL, '', 302.55000000, 363.06000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 302.55000000, 60.51000000, 0.00000000, 0.00000000, 363.06000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 302.55000000, 302.55000000, 60.51000000, 363.06000000),
(1130, 708, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(1131, 708, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(1132, 709, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 350.00000000, 420.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 350.00000000, 70.00000000, 0.00000000, 0.00000000, 420.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 350.00000000, 350.00000000, 70.00000000, 420.00000000),
(1133, 710, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 160, 0, 20.000, '', 0.000, '0', 0.000, '0', 116.80000000, 23.36000000, 0.00000000, 0.00000000, 140.16000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 116.80000000, 23.36000000, 140.16000000),
(1134, 710, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(1135, 711, NULL, 1222641, 'EDR38', NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(1136, 712, NULL, 1222640, 'EDR37', NULL, '', 214.70000000, 257.64000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.70000000, 42.94000000, 0.00000000, 0.00000000, 257.64000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 214.70000000, 214.70000000, 42.94000000, 257.64000000),
(1137, 713, NULL, 1190535, '', NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 25, 0, 20.000, '', 0.000, '0', 0.000, '0', 1200.00000000, 240.00000000, 0.00000000, 0.00000000, 1440.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 1200.00000000, 240.00000000, 1440.00000000),
(1138, 713, NULL, 1190387, '', NULL, 'location nacelle', 216.00000000, 259.20000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 432.00000000, 86.40000000, 0.00000000, 0.00000000, 518.40000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 216.00000000, 432.00000000, 86.40000000, 518.40000000),
(1139, 713, NULL, 1190572, '', NULL, 'fournitures diverses', 75.00000000, 90.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 75.00000000, 15.00000000, 0.00000000, 0.00000000, 90.00000000, 0, NULL, NULL, 0, 0, 0, 3, NULL, NULL, 0, 'EUR', 75.00000000, 75.00000000, 15.00000000, 90.00000000),
(1140, 713, NULL, 1190535, '', NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 55, 0, 20.000, '', 0.000, '0', 0.000, '0', 2640.00000000, 528.00000000, 0.00000000, 0.00000000, 3168.00000000, 0, NULL, NULL, 0, 0, 0, 4, NULL, NULL, 0, 'EUR', 48.00000000, 2640.00000000, 528.00000000, 3168.00000000),
(1141, 713, NULL, 1190387, '', NULL, 'location nacelle', 216.00000000, 259.20000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 216.00000000, 43.20000000, 0.00000000, 0.00000000, 259.20000000, 0, NULL, NULL, 0, 0, 0, 5, NULL, NULL, 0, 'EUR', 216.00000000, 216.00000000, 43.20000000, 259.20000000),
(1142, 713, NULL, 1222633, '', NULL, 'Vigi TG60 bloc différentiel 4P 40A 300mA instantané type AC 230-415V', 121.00000000, 145.20000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 363.00000000, 72.60000000, 0.00000000, 0.00000000, 435.60000000, 0, NULL, NULL, 0, 0, 0, 6, NULL, NULL, 0, 'EUR', 121.00000000, 363.00000000, 72.60000000, 435.60000000),
(1143, 713, NULL, 1222632, '', NULL, 'Prodis, DT60N disjoncteur 4P 40A 10kAcourbe C', 95.00000000, 114.00000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 285.00000000, 57.00000000, 0.00000000, 0.00000000, 342.00000000, 0, NULL, NULL, 0, 0, 0, 7, NULL, NULL, 0, 'EUR', 95.00000000, 285.00000000, 57.00000000, 342.00000000),
(1144, 713, NULL, 1190724, '', NULL, 'CONNECTEUR 25A POUR FUS 10,3x38', 73.00000000, 87.60000000, 10, 0, 20.000, '', 0.000, '0', 0.000, '0', 730.00000000, 146.00000000, 0.00000000, 0.00000000, 876.00000000, 0, NULL, NULL, 0, 0, 0, 8, NULL, NULL, 0, 'EUR', 73.00000000, 730.00000000, 146.00000000, 876.00000000),
(1145, 713, NULL, 1190725, '', NULL, 'ELEMENT DROIT 40 A 02', 135.00000000, 162.00000000, 10, 0, 20.000, '', 0.000, '0', 0.000, '0', 1350.00000000, 270.00000000, 0.00000000, 0.00000000, 1620.00000000, 0, NULL, NULL, 0, 0, 0, 9, NULL, NULL, 0, 'EUR', 135.00000000, 1350.00000000, 270.00000000, 1620.00000000),
(1146, 713, NULL, 1190577, '', NULL, 'chainette', 1.69000000, 2.02800000, 30, 0, 20.000, '', 0.000, '0', 0.000, '0', 50.70000000, 10.14000000, 0.00000000, 0.00000000, 60.84000000, 0, NULL, NULL, 0, 0, 0, 10, NULL, NULL, 0, 'EUR', 1.69000000, 50.70000000, 10.14000000, 60.84000000),
(1147, 713, NULL, 1152302, '', NULL, 'PRAGMA 3R 24 SAILLIE', 184.00000000, 220.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 184.00000000, 36.80000000, 0.00000000, 0.00000000, 220.80000000, 0, NULL, NULL, 0, 0, 0, 11, NULL, NULL, 0, 'EUR', 184.00000000, 184.00000000, 36.80000000, 220.80000000),
(1148, 713, NULL, 1152295, '', NULL, 'PRAGMA INTERFACE 18 3 R', 20.13000000, 24.16000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 20.13000000, 4.03000000, 0.00000000, 0.00000000, 24.16000000, 0, NULL, NULL, 0, 0, 0, 12, NULL, NULL, 0, 'EUR', 20.13000000, 20.13000000, 4.03000000, 24.16000000),
(1149, 713, NULL, 1190722, '', NULL, 'r2v cu 5g10 tgl', 8.05000000, 9.66000000, 30, 0, 20.000, '', 0.000, '0', 0.000, '0', 241.50000000, 48.30000000, 0.00000000, 0.00000000, 289.80000000, 0, NULL, NULL, 0, 0, 0, 13, NULL, NULL, 0, 'EUR', 8.05000000, 241.50000000, 48.30000000, 289.80000000),
(1150, 713, NULL, 1190455, '', NULL, 'boite d alimentation 63', 129.64000000, 155.56666667, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 388.92000000, 77.78000000, 0.00000000, 0.00000000, 466.70000000, 0, NULL, NULL, 0, 0, 0, 14, NULL, NULL, 0, 'EUR', 129.64000000, 388.92000000, 77.78000000, 466.70000000),
(1151, 713, NULL, 1222635, '', NULL, 'mas led tube hf 1500mm ho 20w865 t8', 43.75000000, 52.50000000, 38, 0, 20.000, '', 0.000, '0', 0.000, '0', 1662.50000000, 332.50000000, 0.00000000, 0.00000000, 1995.00000000, 0, NULL, NULL, 0, 0, 0, 15, NULL, NULL, 0, 'EUR', 43.75000000, 1662.50000000, 332.50000000, 1995.00000000),
(1152, 713, NULL, 1071251, '', NULL, 'BOITE DERIVATION 80X80 PLEXO', 4.62000000, 5.54400000, 20, 0, 20.000, '', 0.000, '0', 0.000, '0', 92.40000000, 18.48000000, 0.00000000, 0.00000000, 110.88000000, 0, NULL, NULL, 0, 0, 0, 16, NULL, NULL, 0, 'EUR', 4.62000000, 92.40000000, 18.48000000, 110.88000000),
(1153, 713, NULL, 1190578, '', NULL, 'kna10za1 fixation universelle', 2.94000000, 3.52800000, 40, 0, 20.000, '', 0.000, '0', 0.000, '0', 117.60000000, 23.52000000, 0.00000000, 0.00000000, 141.12000000, 0, NULL, NULL, 0, 0, 0, 17, NULL, NULL, 0, 'EUR', 2.94000000, 117.60000000, 23.52000000, 141.12000000),
(1154, 713, NULL, 1190572, '', NULL, 'fournitures diverses', 75.00000000, 90.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 75.00000000, 15.00000000, 0.00000000, 0.00000000, 90.00000000, 0, NULL, NULL, 0, 0, 0, 18, NULL, NULL, 0, 'EUR', 75.00000000, 75.00000000, 15.00000000, 90.00000000),
(1155, 714, NULL, 1222643, '', NULL, 'Main d&#39;oeuvre et deplacement', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(1156, 715, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 3200.00000000, 3840.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 3200.00000000, 640.00000000, 0.00000000, 0.00000000, 3840.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 3200.00000000, 3200.00000000, 640.00000000, 3840.00000000),
(1157, 715, NULL, 1223702, 'founiture div', NULL, '', 75.00000000, 90.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 75.00000000, 15.00000000, 0.00000000, 0.00000000, 90.00000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 75.00000000, 75.00000000, 15.00000000, 90.00000000),
(1158, 715, NULL, 1190653, 'EDR_SUP', NULL, '', 180.00000000, 216.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 180.00000000, 36.00000000, 0.00000000, 0.00000000, 216.00000000, 0, NULL, NULL, 0, 0, 0, 3, NULL, NULL, 0, 'EUR', 180.00000000, 180.00000000, 36.00000000, 216.00000000),
(1159, 716, NULL, 1222643, '', NULL, 'forfait chantier', 250.00000000, 300.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(1160, 716, NULL, 1245951, '', NULL, 'Coreline Waterproof WT120C LED60S/840 PSU L1500', 65.00000000, 78.00000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 130.00000000, 26.00000000, 0.00000000, 0.00000000, 156.00000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 65.00000000, 130.00000000, 26.00000000, 156.00000000),
(1161, 716, NULL, 1190644, '', NULL, 'R2V CU 3G1,5 C100M', 0.80000000, 0.96000000, 12, 0, 20.000, '', 0.000, '0', 0.000, '0', 9.60000000, 1.92000000, 0.00000000, 0.00000000, 11.52000000, 0, NULL, NULL, 0, 0, 0, 3, NULL, NULL, 0, 'EUR', 0.80000000, 9.60000000, 1.92000000, 11.52000000),
(1162, 716, NULL, NULL, '', NULL, 'LEG092005 - boite de dérivation 65*65plexo', 4.30000000, 5.16000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 4.30000000, 0.86000000, 0.00000000, 0.00000000, 5.16000000, 0, NULL, NULL, 0, 0, 0, 4, NULL, NULL, 0, 'EUR', 4.30000000, 4.30000000, 0.86000000, 5.16000000),
(1163, 718, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 277.66000000, 333.19000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 277.66000000, 55.53000000, 0.00000000, 0.00000000, 333.19000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 277.66000000, 277.66000000, 55.53000000, 333.19000000),
(1164, 719, NULL, 1222641, 'EDR38', NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(1165, 720, NULL, 1222641, 'EDR38', NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(1166, 721, NULL, 1222641, 'EDR38', NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(1167, 722, NULL, 1222641, 'EDR38', NULL, '', 303.35000000, 364.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 303.35000000, 60.67000000, 0.00000000, 0.00000000, 364.02000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 303.35000000, 303.35000000, 60.67000000, 364.02000000),
(1168, 723, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 1090.00000000, 1308.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 1090.00000000, 218.00000000, 0.00000000, 0.00000000, 1308.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 1090.00000000, 1090.00000000, 218.00000000, 1308.00000000),
(1169, 723, NULL, 1223702, 'founiture div', NULL, '', 100.00000000, 120.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 100.00000000, 20.00000000, 0.00000000, 0.00000000, 120.00000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 100.00000000, 100.00000000, 20.00000000, 120.00000000),
(1170, 725, NULL, 1222641, '', NULL, 'FORFAIT MAINTENANCE', 309.54000000, 371.45000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 619.08000000, 123.82000000, 0.00000000, 0.00000000, 742.90000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 619.08000000, 123.82000000, 742.90000000),
(1171, 725, NULL, 1230693, '', NULL, 'Pour 1 heure de travail effectu&eacute; sur place.', 63.84000000, 76.61000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 63.84000000, 12.77000000, 0.00000000, 0.00000000, 76.61000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 63.84000000, 63.84000000, 12.77000000, 76.61000000),
(1172, 726, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(1173, 727, NULL, 1305825, '', NULL, 'IC60N DISJ 4P 40A COURB C 02', 98.75000000, 118.50000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 98.75000000, 19.75000000, 0.00000000, 0.00000000, 118.50000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 98.75000000, 98.75000000, 19.75000000, 118.50000000),
(1174, 727, NULL, 1305824, '', NULL, 'IPRD40R PARAFOUD 40KA 3PN 02', 315.00000000, 378.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 315.00000000, 63.00000000, 0.00000000, 0.00000000, 378.00000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 315.00000000, 315.00000000, 63.00000000, 378.00000000),
(1175, 727, NULL, 1298098, '', NULL, 'Disjoncteur C120N 4P 100 A, courbe C, 10 kA', 312.00000000, 374.40000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 936.00000000, 187.20000000, 0.00000000, 0.00000000, 1123.20000000, 0, NULL, NULL, 0, 0, 0, 3, NULL, NULL, 0, 'EUR', 312.00000000, 936.00000000, 187.20000000, 1123.20000000),
(1176, 727, NULL, 1298099, '', NULL, 'Acti9 iC120 Vigi C120 - bloc différentiel - 4P - 300mA - type AC - instantané', 243.05000000, 291.66000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 729.15000000, 145.83000000, 0.00000000, 0.00000000, 874.98000000, 0, NULL, NULL, 0, 0, 0, 4, NULL, NULL, 0, 'EUR', 243.05000000, 729.15000000, 145.83000000, 874.98000000),
(1177, 727, NULL, 1305825, '', NULL, 'IC60N DISJ 4P 40A COURB C 02', 98.75000000, 118.50000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 296.25000000, 59.25000000, 0.00000000, 0.00000000, 355.50000000, 0, NULL, NULL, 0, 0, 0, 5, NULL, NULL, 0, 'EUR', 98.75000000, 296.25000000, 59.25000000, 355.50000000),
(1178, 727, NULL, 1305844, '', NULL, 'Acti9, Vigi iC60, bloc différentiel 4P 40A 300mA type AC 230-240/400-415V', 135.00000000, 162.00000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 405.00000000, 81.00000000, 0.00000000, 0.00000000, 486.00000000, 0, NULL, NULL, 0, 0, 0, 6, NULL, NULL, 0, 'EUR', 135.00000000, 405.00000000, 81.00000000, 486.00000000),
(1179, 727, NULL, 1223580, '', NULL, 'Prodis. DT40N disjoncteur - 3P+N 20A - courbe C - 10kA', 69.85000000, 83.82000000, 8, 0, 20.000, '', 0.000, '0', 0.000, '0', 558.80000000, 111.76000000, 0.00000000, 0.00000000, 670.56000000, 0, NULL, NULL, 0, 0, 0, 7, NULL, NULL, 0, 'EUR', 69.85000000, 558.80000000, 111.76000000, 670.56000000),
(1180, 727, NULL, 1223581, '', NULL, 'ProDis Vigi DT40 - bloc différentiel 3P+N 25A 300mA instantané type AC 230-415V', 121.50000000, 145.80000000, 8, 0, 20.000, '', 0.000, '0', 0.000, '0', 972.00000000, 194.40000000, 0.00000000, 0.00000000, 1166.40000000, 0, NULL, NULL, 0, 0, 0, 8, NULL, NULL, 0, 'EUR', 121.50000000, 972.00000000, 194.40000000, 1166.40000000),
(1181, 727, NULL, 1223579, '', NULL, 'Prodis DT40N - disjoncteur - 1P+N - 16A - courbe C', 36.00000000, 43.20000000, 10, 0, 20.000, '', 0.000, '0', 0.000, '0', 360.00000000, 72.00000000, 0.00000000, 0.00000000, 432.00000000, 0, NULL, NULL, 0, 0, 0, 9, NULL, NULL, 0, 'EUR', 36.00000000, 360.00000000, 72.00000000, 432.00000000),
(1182, 727, NULL, 1190442, '', NULL, 'vigi dt40 1pn 25a 30ma', 120.18000000, 144.21600000, 10, 0, 20.000, '', 0.000, '0', 0.000, '0', 1201.80000000, 240.36000000, 0.00000000, 0.00000000, 1442.16000000, 0, NULL, NULL, 0, 0, 0, 10, NULL, NULL, 0, 'EUR', 120.18000000, 1201.80000000, 240.36000000, 1442.16000000),
(1183, 727, NULL, 1298093, '', NULL, 'ProDis DT40 Vigi - disjoncteur différentiel 1P+N 6kA 16A 30 mA courbe C type AC', 108.30000000, 129.96000000, 10, 0, 20.000, '', 0.000, '0', 0.000, '0', 1083.00000000, 216.60000000, 0.00000000, 0.00000000, 1299.60000000, 0, NULL, NULL, 0, 0, 0, 11, NULL, NULL, 0, 'EUR', 108.30000000, 1083.00000000, 216.60000000, 1299.60000000),
(1184, 727, NULL, 1223583, '', NULL, 'Vigi DT40 bloc différentiel 3P+N 25A 30mA instantané type AC 230-415V', 143.00000000, 171.60000000, 5, 0, 20.000, '', 0.000, '0', 0.000, '0', 715.00000000, 143.00000000, 0.00000000, 0.00000000, 858.00000000, 0, NULL, NULL, 0, 0, 0, 12, NULL, NULL, 0, 'EUR', 143.00000000, 715.00000000, 143.00000000, 858.00000000),
(1185, 727, NULL, 1223580, '', NULL, 'Prodis. DT40N disjoncteur - 3P+N 20A - courbe C - 10kA', 69.85000000, 83.82000000, 5, 0, 20.000, '', 0.000, '0', 0.000, '0', 349.25000000, 69.85000000, 0.00000000, 0.00000000, 419.10000000, 0, NULL, NULL, 0, 0, 0, 13, NULL, NULL, 0, 'EUR', 69.85000000, 349.25000000, 69.85000000, 419.10000000),
(1186, 727, NULL, 1223581, '', NULL, 'ProDis Vigi DT40 - bloc différentiel 3P+N 25A 300mA instantané type AC 230-415V', 121.50000000, 145.80000000, 5, 0, 20.000, '', 0.000, '0', 0.000, '0', 607.50000000, 121.50000000, 0.00000000, 0.00000000, 729.00000000, 0, NULL, NULL, 0, 0, 0, 14, NULL, NULL, 0, 'EUR', 121.50000000, 607.50000000, 121.50000000, 729.00000000),
(1187, 727, NULL, 1298096, '', NULL, 'conformite consuel', 500.00000000, 600.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 500.00000000, 100.00000000, 0.00000000, 0.00000000, 600.00000000, 0, NULL, NULL, 0, 0, 0, 15, NULL, NULL, 0, 'EUR', 500.00000000, 500.00000000, 100.00000000, 600.00000000),
(1188, 727, NULL, 1298075, '', NULL, 'cable u1000 ro2v 5g25', 25.00000000, 30.00000000, 35, 0, 20.000, '', 0.000, '0', 0.000, '0', 875.00000000, 175.00000000, 0.00000000, 0.00000000, 1050.00000000, 0, NULL, NULL, 0, 0, 0, 16, NULL, NULL, 0, 'EUR', 25.00000000, 875.00000000, 175.00000000, 1050.00000000),
(1189, 727, NULL, 1298072, '', NULL, 'Canalis KNA - élément droit 100A 3m blanc 6 fenêtres', 175.19000000, 210.22818182, 11, 0, 20.000, '', 0.000, '0', 0.000, '0', 1927.09000000, 385.42000000, 0.00000000, 0.00000000, 2312.51000000, 0, NULL, NULL, 0, 0, 0, 17, NULL, NULL, 0, 'EUR', 175.19000000, 1927.09000000, 385.42000000, 2312.51000000),
(1190, 727, NULL, 1298073, '', NULL, 'Canalis KNA - unité d\'alimentation - 100A - montage gauche ou droite', 112.47000000, 134.96500000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 449.88000000, 89.98000000, 0.00000000, 0.00000000, 539.86000000, 0, NULL, NULL, 0, 0, 0, 18, NULL, NULL, 0, 'EUR', 112.47000000, 449.88000000, 89.98000000, 539.86000000),
(1191, 727, NULL, 1115257, '', NULL, 'Fixation murale 40-160A', 2.87000000, 3.44400000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 143.50000000, 28.70000000, 0.00000000, 0.00000000, 172.20000000, 0, NULL, NULL, 0, 0, 0, 19, NULL, NULL, 0, 'EUR', 2.87000000, 143.50000000, 28.70000000, 172.20000000),
(1192, 727, NULL, 1190724, '', NULL, 'CONNECTEUR 25A POUR FUS 10,3x38', 73.00000000, 87.60000000, 15, 0, 20.000, '', 0.000, '0', 0.000, '0', 1095.00000000, 219.00000000, 0.00000000, 0.00000000, 1314.00000000, 0, NULL, NULL, 0, 0, 0, 20, NULL, NULL, 0, 'EUR', 73.00000000, 1095.00000000, 219.00000000, 1314.00000000),
(1193, 727, NULL, 1115279, '', NULL, 'Coffret sect. 50A 3P+N fusible NF', 112.12000000, 134.54400000, 15, 0, 20.000, '', 0.000, '0', 0.000, '0', 1681.80000000, 336.36000000, 0.00000000, 0.00000000, 2018.16000000, 0, NULL, NULL, 0, 0, 0, 21, NULL, NULL, 0, 'EUR', 112.12000000, 1681.80000000, 336.36000000, 2018.16000000),
(1194, 727, NULL, 1298076, '', NULL, 'Canalis KN - connecteur de dérivation 32A pour app mod 5 modules de 18mm', 65.00000000, 78.00000000, 20, 0, 20.000, '', 0.000, '0', 0.000, '0', 1300.00000000, 260.00000000, 0.00000000, 0.00000000, 1560.00000000, 0, NULL, NULL, 0, 0, 0, 22, NULL, NULL, 0, 'EUR', 65.00000000, 1300.00000000, 260.00000000, 1560.00000000),
(1195, 727, NULL, 1190633, '', NULL, 'mini coffret kaedra 6m', 55.00000000, 66.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 55.00000000, 11.00000000, 0.00000000, 0.00000000, 66.00000000, 0, NULL, NULL, 0, 0, 0, 23, NULL, NULL, 0, 'EUR', 55.00000000, 55.00000000, 11.00000000, 66.00000000),
(1196, 727, NULL, 1298106, '', NULL, '2P+T F/B GRIS SAILLIE', 10.00000000, 12.00000000, 5, 0, 20.000, '', 0.000, '0', 0.000, '0', 50.00000000, 10.00000000, 0.00000000, 0.00000000, 60.00000000, 0, NULL, NULL, 0, 0, 0, 24, NULL, NULL, 0, 'EUR', 10.00000000, 50.00000000, 10.00000000, 60.00000000),
(1197, 727, NULL, 1298071, '', NULL, 'Coreline Waterproof WT120C LED60S/840 PSU L1500', 75.00000000, 90.00000000, 15, 0, 20.000, '', 0.000, '0', 0.000, '0', 1125.00000000, 225.00000000, 0.00000000, 0.00000000, 1350.00000000, 0, NULL, NULL, 0, 0, 0, 25, NULL, NULL, 0, 'EUR', 75.00000000, 1125.00000000, 225.00000000, 1350.00000000),
(1198, 727, NULL, 1298090, '', NULL, 'rail de supportage', 400.00000000, 480.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 400.00000000, 80.00000000, 0.00000000, 0.00000000, 480.00000000, 0, NULL, NULL, 0, 0, 0, 26, NULL, NULL, 0, 'EUR', 400.00000000, 400.00000000, 80.00000000, 480.00000000),
(1199, 727, NULL, 1298089, '', NULL, 'cablofil 54   200mm', 25.00000000, 30.00000000, 40, 0, 20.000, '', 0.000, '0', 0.000, '0', 1000.00000000, 200.00000000, 0.00000000, 0.00000000, 1200.00000000, 0, NULL, NULL, 0, 0, 0, 27, NULL, NULL, 0, 'EUR', 25.00000000, 1000.00000000, 200.00000000, 1200.00000000),
(1200, 727, NULL, 1298107, '', NULL, 'R2V CU 3G2,5 C100M DISTINGO', 1.45000000, 1.74000000, 150, 0, 20.000, '', 0.000, '0', 0.000, '0', 217.50000000, 43.50000000, 0.00000000, 0.00000000, 261.00000000, 0, NULL, NULL, 0, 0, 0, 28, NULL, NULL, 0, 'EUR', 1.45000000, 217.50000000, 43.50000000, 261.00000000),
(1201, 727, NULL, 1298085, '', NULL, 'R2V CU 3G1,5 C100M DISTINGO', 0.95000000, 1.14000000, 300, 0, 20.000, '', 0.000, '0', 0.000, '0', 285.00000000, 57.00000000, 0.00000000, 0.00000000, 342.00000000, 0, NULL, NULL, 0, 0, 0, 29, NULL, NULL, 0, 'EUR', 0.95000000, 285.00000000, 57.00000000, 342.00000000),
(1202, 727, NULL, 1298079, '', NULL, 'Coffret d\'atelier monophase & triphasé 4 prises 16A 230V et 2 prises 16A 400V', 350.00000000, 420.00000000, 10, 0, 20.000, '', 0.000, '0', 0.000, '0', 3500.00000000, 700.00000000, 0.00000000, 0.00000000, 4200.00000000, 0, NULL, NULL, 0, 0, 0, 30, NULL, NULL, 0, 'EUR', 350.00000000, 3500.00000000, 700.00000000, 4200.00000000),
(1203, 727, NULL, 1298080, '', NULL, 'R2V CU 5G10 TGL', 10.20000000, 12.24000000, 100, 0, 20.000, '', 0.000, '0', 0.000, '0', 1020.00000000, 204.00000000, 0.00000000, 0.00000000, 1224.00000000, 0, NULL, NULL, 0, 0, 0, 31, NULL, NULL, 0, 'EUR', 10.20000000, 1020.00000000, 204.00000000, 1224.00000000),
(1204, 727, NULL, 1305846, '', NULL, 'Canalis KB - connecteur dérivat. 10A - polarité fixe pré-câblé L1+N', 7.38000000, 8.85600000, 15, 0, 20.000, '', 0.000, '0', 0.000, '0', 110.70000000, 22.14000000, 0.00000000, 0.00000000, 132.84000000, 0, NULL, NULL, 0, 0, 0, 32, NULL, NULL, 0, 'EUR', 7.38000000, 110.70000000, 22.14000000, 132.84000000),
(1205, 727, NULL, 1298081, '', NULL, 'cable RO2V 5G6MM²', 5.97000000, 7.16400000, 120, 0, 20.000, '', 0.000, '0', 0.000, '0', 716.40000000, 143.28000000, 0.00000000, 0.00000000, 859.68000000, 0, NULL, NULL, 0, 0, 0, 33, NULL, NULL, 0, 'EUR', 5.97000000, 716.40000000, 143.28000000, 859.68000000),
(1206, 727, NULL, 1298084, '', NULL, 'BOITE DERIVATION 100X100 PLEXO', 7.00000000, 8.40000000, 30, 0, 20.000, '', 0.000, '0', 0.000, '0', 210.00000000, 42.00000000, 0.00000000, 0.00000000, 252.00000000, 0, NULL, NULL, 0, 0, 0, 34, NULL, NULL, 0, 'EUR', 7.00000000, 210.00000000, 42.00000000, 252.00000000),
(1207, 727, NULL, 1298092, '', NULL, 'location nacelle', 1500.00000000, 1800.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 1500.00000000, 300.00000000, 0.00000000, 0.00000000, 1800.00000000, 0, NULL, NULL, 0, 0, 0, 35, NULL, NULL, 0, 'EUR', 1500.00000000, 1500.00000000, 300.00000000, 1800.00000000),
(1208, 727, NULL, 1223702, '', NULL, 'fournitures diverses', 209.10000000, 250.92000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 209.10000000, 41.82000000, 0.00000000, 0.00000000, 250.92000000, 0, NULL, NULL, 0, 0, 0, 36, NULL, NULL, 0, 'EUR', 209.10000000, 209.10000000, 41.82000000, 250.92000000),
(1209, 727, NULL, 1305845, '', NULL, 'Pyros - Bloc évacuation à led - 2W - 48/110/220 VCC - 230 VCA - IP66 IK10', 125.00000000, 150.00000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 375.00000000, 75.00000000, 0.00000000, 0.00000000, 450.00000000, 0, NULL, NULL, 0, 0, 0, 37, NULL, NULL, 0, 'EUR', 125.00000000, 375.00000000, 75.00000000, 450.00000000),
(1210, 727, NULL, 1190548, '', NULL, 'TELECOMMANDE 50 BLOCS DE 02', 119.69000000, 143.63000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 119.69000000, 23.94000000, 0.00000000, 0.00000000, 143.63000000, 0, NULL, NULL, 0, 0, 0, 38, NULL, NULL, 0, 'EUR', 119.69000000, 119.69000000, 23.94000000, 143.63000000),
(1211, 727, NULL, 1305852, '', NULL, 'Kit autocosy vmc autoreglable 4 sanitaires (3 bouches line)', 117.00000000, 140.40000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 117.00000000, 23.40000000, 0.00000000, 0.00000000, 140.40000000, 0, NULL, NULL, 0, 0, 0, 39, NULL, NULL, 0, 'EUR', 117.00000000, 117.00000000, 23.40000000, 140.40000000),
(1212, 727, NULL, 1223702, '', NULL, 'fournitures diverses', 209.10000000, 250.92000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 209.10000000, 41.82000000, 0.00000000, 0.00000000, 250.92000000, 0, NULL, NULL, 0, 0, 0, 40, NULL, NULL, 0, 'EUR', 209.10000000, 209.10000000, 41.82000000, 250.92000000),
(1213, 727, NULL, 1222643, '', NULL, 'Main d&#39;oeuvre et deplacement', 7064.00000000, 8476.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 7064.00000000, 1412.80000000, 0.00000000, 0.00000000, 8476.80000000, 0, NULL, NULL, 0, 0, 0, 41, NULL, NULL, 0, 'EUR', 7064.00000000, 7064.00000000, 1412.80000000, 8476.80000000),
(1214, 728, NULL, 1190387, 'EDR LON', NULL, '', 600.00000000, 720.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 600.00000000, 120.00000000, 0.00000000, 0.00000000, 720.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 600.00000000, 600.00000000, 120.00000000, 720.00000000);
INSERT INTO `llx_facture_fourn_det` (`rowid`, `fk_facture_fourn`, `fk_parent_line`, `fk_product`, `ref`, `label`, `description`, `pu_ht`, `pu_ttc`, `qty`, `remise_percent`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `total_ht`, `tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `fk_code_ventilation`, `special_code`, `rang`, `import_key`, `fk_unit`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(1215, 728, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 1984.00000000, 2380.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 1984.00000000, 396.80000000, 0.00000000, 0.00000000, 2380.80000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 1984.00000000, 1984.00000000, 396.80000000, 2380.80000000),
(1216, 728, NULL, 1223702, 'founiture div', NULL, '', 70.00000000, 84.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 70.00000000, 14.00000000, 0.00000000, 0.00000000, 84.00000000, 0, NULL, NULL, 0, 0, 0, 3, NULL, NULL, 0, 'EUR', 70.00000000, 70.00000000, 14.00000000, 84.00000000),
(1217, 729, NULL, 1230693, '', NULL, 'Pour 1 heure de travail effectu&eacute; sur place.', 49.00000000, 58.80000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 98.00000000, 19.60000000, 0.00000000, 0.00000000, 117.60000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 49.00000000, 98.00000000, 19.60000000, 117.60000000),
(1218, 729, NULL, 1222641, 'EDR38', NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(1219, 730, NULL, 1222640, 'EDR37', NULL, '', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(1220, 731, NULL, 1222640, 'EDR37', NULL, '', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(1221, 732, NULL, 1190647, '', NULL, 'raccord isiflo diam 25', 7.50000000, 9.00000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 15.00000000, 3.00000000, 0.00000000, 0.00000000, 18.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 7.50000000, 15.00000000, 3.00000000, 18.00000000),
(1222, 732, NULL, 1305907, '', NULL, 'Té égal 125 50x50x50mm Iso 574500 ISIFLO', 65.00000000, 78.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 65.00000000, 13.00000000, 0.00000000, 0.00000000, 78.00000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 65.00000000, 65.00000000, 13.00000000, 78.00000000),
(1223, 732, NULL, 1064889, '', NULL, 'CONSOLE', 810.00000000, 972.00000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 1620.00000000, 324.00000000, 0.00000000, 0.00000000, 1944.00000000, 0, NULL, NULL, 0, 0, 0, 3, NULL, NULL, 0, 'EUR', 810.00000000, 1620.00000000, 324.00000000, 1944.00000000),
(1224, 732, NULL, 1298028, '', NULL, 'R2V CU 5G2,5  DISTINGO', 2.05000000, 2.46000000, 6, 0, 20.000, '', 0.000, '0', 0.000, '0', 12.30000000, 2.46000000, 0.00000000, 0.00000000, 14.76000000, 0, NULL, NULL, 0, 0, 0, 4, NULL, NULL, 0, 'EUR', 2.05000000, 12.30000000, 2.46000000, 14.76000000),
(1225, 732, NULL, 1190352, '', NULL, 'Petites Fournitures', 50.00000000, 60.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 50.00000000, 10.00000000, 0.00000000, 0.00000000, 60.00000000, 0, NULL, NULL, 0, 0, 0, 5, NULL, NULL, 0, 'EUR', 50.00000000, 50.00000000, 10.00000000, 60.00000000),
(1226, 732, NULL, 1190484, '', NULL, 'tube iro diam 20', 0.85000000, 1.02000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 2.55000000, 0.51000000, 0.00000000, 0.00000000, 3.06000000, 0, NULL, NULL, 0, 0, 0, 6, NULL, NULL, 0, 'EUR', 0.85000000, 2.55000000, 0.51000000, 3.06000000),
(1227, 732, NULL, 1222643, '', NULL, 'Main d&#39;oeuvre et deplacement', 1000.00000000, 1200.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 1000.00000000, 200.00000000, 0.00000000, 0.00000000, 1200.00000000, 0, NULL, NULL, 0, 0, 0, 7, NULL, NULL, 0, 'EUR', 1000.00000000, 1000.00000000, 200.00000000, 1200.00000000),
(1228, 734, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 3000.00000000, 3600.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 3000.00000000, 600.00000000, 0.00000000, 0.00000000, 3600.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 3000.00000000, 3000.00000000, 600.00000000, 3600.00000000),
(1229, 735, NULL, 1222641, 'EDR38', NULL, '', 302.55000000, 363.06000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 302.55000000, 60.51000000, 0.00000000, 0.00000000, 363.06000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 302.55000000, 302.55000000, 60.51000000, 363.06000000),
(1230, 736, NULL, 1222640, 'EDR37', NULL, '', 214.20000000, 257.04000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 642.60000000, 128.52000000, 0.00000000, 0.00000000, 771.12000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 214.20000000, 642.60000000, 128.52000000, 771.12000000),
(1231, 737, NULL, 1222641, 'EDR38', NULL, '', 302.55000000, 363.06000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 302.55000000, 60.51000000, 0.00000000, 0.00000000, 363.06000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 302.55000000, 302.55000000, 60.51000000, 363.06000000),
(1232, 738, NULL, 1222641, 'EDR38', NULL, '', 302.55000000, 363.06000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 302.55000000, 60.51000000, 0.00000000, 0.00000000, 363.06000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 302.55000000, 302.55000000, 60.51000000, 363.06000000),
(1233, 739, NULL, 1222641, '', NULL, '', 333.18000000, 399.82000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 333.18000000, 66.64000000, 0.00000000, 0.00000000, 399.82000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 333.18000000, 333.18000000, 66.64000000, 399.82000000),
(1234, 740, NULL, 1222641, 'EDR38', NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(1235, 741, NULL, 1222643, 'edr25', NULL, 'Main d\'oeuvre et deplacement', 750.00000000, 900.00000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 1500.00000000, 300.00000000, 0.00000000, 0.00000000, 1800.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 750.00000000, 1500.00000000, 300.00000000, 1800.00000000),
(1236, 742, NULL, 1222640, 'EDR37', NULL, '', 214.20000000, 257.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 214.20000000, 42.84000000, 0.00000000, 0.00000000, 257.04000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 214.20000000, 214.20000000, 42.84000000, 257.04000000),
(1237, 743, NULL, 1222641, 'EDR38', NULL, '', 290.90000000, 349.08000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.90000000, 58.18000000, 0.00000000, 0.00000000, 349.08000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 290.90000000, 290.90000000, 58.18000000, 349.08000000),
(1238, 744, NULL, 1222641, 'EDR38', NULL, '', 370.00000000, 444.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 370.00000000, 74.00000000, 0.00000000, 0.00000000, 444.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 370.00000000, 370.00000000, 74.00000000, 444.00000000),
(1239, 745, NULL, 1222641, 'EDR38', NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(1240, 746, NULL, 1190358, '', NULL, 'relai lc1d25p7', 70.00000000, 84.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 70.00000000, 14.00000000, 0.00000000, 0.00000000, 84.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 70.00000000, 70.00000000, 14.00000000, 84.00000000),
(1241, 746, NULL, 1190535, '', NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 6.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 312.00000000, 62.40000000, 0.00000000, 0.00000000, 374.40000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 312.00000000, 62.40000000, 374.40000000),
(1242, 746, NULL, 1190334, '', NULL, 'frais km', 0.73000000, 0.87600877, 228, 0, 20.000, '', 0.000, '0', 0.000, '0', 166.44000000, 33.29000000, 0.00000000, 0.00000000, 199.73000000, 0, NULL, NULL, 0, 0, 0, 3, NULL, NULL, 0, 'EUR', 0.73000000, 166.44000000, 33.29000000, 199.73000000),
(1243, 747, NULL, 1222640, 'EDR37', NULL, '', 317.70000000, 381.24000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 317.70000000, 63.54000000, 0.00000000, 0.00000000, 381.24000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 317.70000000, 317.70000000, 63.54000000, 381.24000000),
(1244, 748, NULL, 1222641, 'EDR38', NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(1245, 749, NULL, 1222641, 'EDR38', NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(1246, 750, NULL, 1190644, '', NULL, 'R2V CU 3G1,5 C100M', 0.80000000, 0.96000000, 30, 0, 20.000, '', 0.000, '0', 0.000, '0', 24.00000000, 4.80000000, 0.00000000, 0.00000000, 28.80000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.80000000, 24.00000000, 4.80000000, 28.80000000),
(1247, 750, NULL, 1190788, '', NULL, 'rail 41x41x3m', 10.00000000, 12.00000000, 6, 0, 20.000, '', 0.000, '0', 0.000, '0', 60.00000000, 12.00000000, 0.00000000, 0.00000000, 72.00000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 10.00000000, 60.00000000, 12.00000000, 72.00000000),
(1248, 750, NULL, 1222643, '', NULL, 'forfait chantier', 288.35000000, 346.02000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 288.35000000, 57.67000000, 0.00000000, 0.00000000, 346.02000000, 0, NULL, NULL, 0, 0, 0, 3, NULL, NULL, 0, 'EUR', 288.35000000, 288.35000000, 57.67000000, 346.02000000),
(1249, 750, NULL, 1245951, '', NULL, 'Coreline Waterproof WT120C LED60S/840 PSU L1500', 65.00000000, 78.00000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 130.00000000, 26.00000000, 0.00000000, 0.00000000, 156.00000000, 0, NULL, NULL, 0, 0, 0, 4, NULL, NULL, 0, 'EUR', 65.00000000, 130.00000000, 26.00000000, 156.00000000),
(1250, 750, NULL, 1190535, '', NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 5, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(1251, 750, NULL, 1071396, '', NULL, 'TELERUPTEUR UNIP.10A 250V', 37.60000000, 45.12000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 37.60000000, 7.52000000, 0.00000000, 0.00000000, 45.12000000, 0, NULL, NULL, 0, 0, 0, 6, NULL, NULL, 0, 'EUR', 37.60000000, 37.60000000, 7.52000000, 45.12000000),
(1252, 751, NULL, 1298082, '', NULL, '', 54.00000000, 64.80000000, 12, 0, 20.000, '', 0.000, '0', 0.000, '0', 648.00000000, 129.60000000, 0.00000000, 0.00000000, 777.60000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 54.00000000, 648.00000000, 129.60000000, 777.60000000),
(1253, 752, NULL, 1222641, 'EDR38', NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(1254, 753, NULL, 1222640, 'EDR37', NULL, '', 230.19000000, 276.23000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.19000000, 46.04000000, 0.00000000, 0.00000000, 276.23000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 230.19000000, 230.19000000, 46.04000000, 276.23000000),
(1255, 754, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1256, 755, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87597561, 164, 0, 20.000, '', 0.000, '0', 0.000, '0', 119.72000000, 23.94000000, 0.00000000, 0.00000000, 143.66000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 119.72000000, 23.94000000, 143.66000000),
(1257, 755, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 168.00000000, 33.60000000, 0.00000000, 0.00000000, 201.60000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 168.00000000, 33.60000000, 201.60000000),
(1258, 756, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.44666667, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 928.62000000, 185.72000000, 0.00000000, 0.00000000, 1114.34000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 928.62000000, 185.72000000, 1114.34000000),
(1259, 757, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1260, 758, NULL, 1190357, 'EDR34', NULL, '', 200.00000000, 240.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 200.00000000, 40.00000000, 0.00000000, 0.00000000, 240.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 200.00000000, 200.00000000, 40.00000000, 240.00000000),
(1261, 759, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(1262, 759, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(1263, 760, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 90, 0, 20.000, '', 0.000, '0', 0.000, '0', 65.70000000, 13.14000000, 0.00000000, 0.00000000, 78.84000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 65.70000000, 13.14000000, 78.84000000),
(1264, 760, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(1265, 761, NULL, 1190334, '', NULL, '', 0.73000000, 0.88000000, 90, 0, 20.000, '', 0.000, '', 0.000, '', 65.70000000, 13.14000000, 0.00000000, 0.00000000, 78.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 0.73000000, 65.70000000, 13.14000000, 78.84000000),
(1266, 761, NULL, 1190535, '', NULL, '', 48.00000000, 57.60000000, 5, 0, 20.000, '', 0.000, '0', 0.000, '0', 240.00000000, 48.00000000, 0.00000000, 0.00000000, 288.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 48.00000000, 240.00000000, 48.00000000, 288.00000000),
(1267, 762, NULL, 1222641, 'EDR38', NULL, '', 250.00000000, 300.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(1268, 763, NULL, 1222641, 'EDR38', NULL, '', 302.55000000, 363.06000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 302.55000000, 60.51000000, 0.00000000, 0.00000000, 363.06000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 302.55000000, 302.55000000, 60.51000000, 363.06000000),
(1269, 764, NULL, 1190376, 'EDR50', NULL, '', 255.00000000, 306.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 255.00000000, 51.00000000, 0.00000000, 0.00000000, 306.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 255.00000000, 255.00000000, 51.00000000, 306.00000000),
(1270, 765, NULL, 1190648, 'EDR_ DRC429251F', NULL, '', 25.75000000, 30.90000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 25.75000000, 5.15000000, 0.00000000, 0.00000000, 30.90000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 25.75000000, 25.75000000, 5.15000000, 30.90000000),
(1271, 765, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 153.47000000, 184.16000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 153.47000000, 30.69000000, 0.00000000, 0.00000000, 184.16000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 153.47000000, 153.47000000, 30.69000000, 184.16000000),
(1272, 766, NULL, 1190535, '', NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 2.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 120.00000000, 24.00000000, 144.00000000),
(1273, 766, NULL, 1190334, '', NULL, 'frais km', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(1274, 766, NULL, NULL, '', NULL, 'Pompe de relevage', 75.00000000, 90.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 75.00000000, 15.00000000, 0.00000000, 0.00000000, 90.00000000, 0, NULL, NULL, 0, 0, 0, 3, NULL, NULL, 0, 'EUR', 75.00000000, 75.00000000, 15.00000000, 90.00000000),
(1275, 767, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1276, 768, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1277, 769, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 190, 0, 20.000, '', 0.000, '0', 0.000, '0', 138.70000000, 27.74000000, 0.00000000, 0.00000000, 166.44000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 138.70000000, 27.74000000, 166.44000000),
(1278, 769, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(1279, 770, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87590909, 44, 0, 20.000, '', 0.000, '0', 0.000, '0', 32.12000000, 6.42000000, 0.00000000, 0.00000000, 38.54000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 32.12000000, 6.42000000, 38.54000000),
(1280, 770, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(1281, 771, NULL, 1190535, '', NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 5, 0, 20.000, '', 0.000, '0', 0.000, '0', 240.00000000, 48.00000000, 0.00000000, 0.00000000, 288.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 240.00000000, 48.00000000, 288.00000000),
(1282, 771, NULL, 1190334, '', NULL, 'frais km', 0.73000000, 0.87600000, 120, 0, 20.000, '', 0.000, '0', 0.000, '0', 87.60000000, 17.52000000, 0.00000000, 0.00000000, 105.12000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 87.60000000, 17.52000000, 105.12000000),
(1283, 772, NULL, 1108717, '', NULL, 'ACTI9 IID 4P 63A 30MA AC-TYPE INTERRUPTE', 116.00000000, 139.20000000, 9, 0, 20.000, '', 0.000, '0', 0.000, '0', 1044.00000000, 208.80000000, 0.00000000, 0.00000000, 1252.80000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 116.00000000, 1044.00000000, 208.80000000, 1252.80000000),
(1284, 772, NULL, 1190354, '', NULL, 'Forfait Chantier', 416.30000000, 499.56000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 416.30000000, 83.26000000, 0.00000000, 0.00000000, 499.56000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 416.30000000, 416.30000000, 83.26000000, 499.56000000),
(1285, 772, NULL, 1190747, '', NULL, 'fournitures electriques(cosses,embouts,fils, ecrous,passe fil etc)', 40.00000000, 48.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 40.00000000, 8.00000000, 0.00000000, 0.00000000, 48.00000000, 0, NULL, NULL, 0, 0, 0, 3, NULL, NULL, 0, 'EUR', 40.00000000, 40.00000000, 8.00000000, 48.00000000),
(1286, 773, NULL, 1222641, 'EDR38', NULL, '', 385.17000000, 462.20000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 385.17000000, 77.03000000, 0.00000000, 0.00000000, 462.20000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 385.17000000, 385.17000000, 77.03000000, 462.20000000),
(1287, 774, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1288, 775, NULL, 1222643, '', NULL, 'Main d&#39;oeuvre et deplacement', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(1289, 776, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1290, 777, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1291, 778, NULL, 1222641, 'EDR38', NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(1292, 779, NULL, 1222641, 'EDR38', NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(1293, 780, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1294, 781, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1295, 782, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1296, 783, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1297, 784, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 400.00000000, 480.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 400.00000000, 80.00000000, 0.00000000, 0.00000000, 480.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 400.00000000, 400.00000000, 80.00000000, 480.00000000),
(1298, 785, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1299, 786, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 200.00000000, 240.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 200.00000000, 40.00000000, 0.00000000, 0.00000000, 240.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 200.00000000, 200.00000000, 40.00000000, 240.00000000),
(1300, 787, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.85666667, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 704.64000000, 140.93000000, 0.00000000, 0.00000000, 845.57000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 704.64000000, 140.93000000, 845.57000000),
(1301, 788, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1302, 789, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(1303, 790, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 292.00000000, 350.40000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 292.00000000, 58.40000000, 0.00000000, 0.00000000, 350.40000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 292.00000000, 292.00000000, 58.40000000, 350.40000000),
(1304, 791, NULL, 1222641, 'EDR38', NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(1305, 792, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1306, 793, NULL, 1222641, 'EDR38', NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(1307, 794, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1308, 795, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1309, 795, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1310, 796, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(1311, 796, NULL, NULL, '', NULL, 'lampe', 101.00000000, 121.20000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 101.00000000, 20.20000000, 0.00000000, 0.00000000, 121.20000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 101.00000000, 101.00000000, 20.20000000, 121.20000000),
(1312, 796, NULL, NULL, '', NULL, 'cable 3g1.5', 22.00000000, 26.40000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 22.00000000, 4.40000000, 0.00000000, 0.00000000, 26.40000000, 0, NULL, NULL, 0, 0, 0, 3, NULL, NULL, 0, 'EUR', 22.00000000, 22.00000000, 4.40000000, 26.40000000),
(1313, 797, NULL, 1222640, '', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1314, 798, NULL, 1230693, '', NULL, '', 48.00000000, 57.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 48.00000000, 9.60000000, 0.00000000, 0.00000000, 57.60000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 48.00000000, 9.60000000, 57.60000000),
(1315, 798, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87583333, 24, 0, 20.000, '', 0.000, '0', 0.000, '0', 17.52000000, 3.50000000, 0.00000000, 0.00000000, 21.02000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 17.52000000, 3.50000000, 21.02000000),
(1316, 799, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1317, 800, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1318, 801, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1319, 802, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1320, 803, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1321, 804, NULL, 1190680, '', NULL, 'contacteur 12 amp', 34.91000000, 41.89000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 34.91000000, 6.98000000, 0.00000000, 0.00000000, 41.89000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 34.91000000, 34.91000000, 6.98000000, 41.89000000),
(1322, 804, NULL, 1190535, '', NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 2.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 120.00000000, 24.00000000, 144.00000000),
(1323, 804, NULL, 1190334, '', NULL, 'frais km', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 3, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(1324, 805, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1325, 806, NULL, 1222643, '', NULL, 'forfait chantier', 280.00000000, 336.00000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 560.00000000, 112.00000000, 0.00000000, 0.00000000, 672.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 280.00000000, 560.00000000, 112.00000000, 672.00000000),
(1326, 807, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1327, 808, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1328, 809, NULL, 1222643, '', NULL, 'forfait chantier', 1000.00000000, 1200.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 1000.00000000, 200.00000000, 0.00000000, 0.00000000, 1200.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 1000.00000000, 1000.00000000, 200.00000000, 1200.00000000),
(1329, 810, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 1.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 72.00000000, 14.40000000, 0.00000000, 0.00000000, 86.40000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 72.00000000, 14.40000000, 86.40000000),
(1330, 810, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 60, 0, 20.000, '', 0.000, '0', 0.000, '0', 43.80000000, 8.76000000, 0.00000000, 0.00000000, 52.56000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 43.80000000, 8.76000000, 52.56000000),
(1331, 811, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1332, 812, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1333, 813, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1334, 814, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 250.00000000, 300.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(1335, 815, NULL, 1222643, '', NULL, 'Main d&#39;oeuvre et deplacement', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(1336, 816, NULL, 1190535, '', NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 5, 0, 20.000, '', 0.000, '0', 0.000, '0', 240.00000000, 48.00000000, 0.00000000, 0.00000000, 288.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 240.00000000, 48.00000000, 288.00000000),
(1337, 816, NULL, 1190334, '', NULL, 'frais km', 0.73000000, 0.87596774, 62, 0, 20.000, '', 0.000, '0', 0.000, '0', 45.26000000, 9.05000000, 0.00000000, 0.00000000, 54.31000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 45.26000000, 9.05000000, 54.31000000),
(1338, 817, NULL, NULL, '', NULL, '<a href=\"https://gestion.sfacs-industrie.fr/product/card.php?id=1190376\" title=\"\">EDR_50</a>&nbsp;- Forfait intervention ZONE B', 192.00000000, 230.40000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 192.00000000, 192.00000000, 38.40000000, 230.40000000),
(1339, 818, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1340, 819, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1341, 820, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1342, 821, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87590909, 44, 0, 20.000, '', 0.000, '0', 0.000, '0', 32.12000000, 6.42000000, 0.00000000, 0.00000000, 38.54000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 32.12000000, 6.42000000, 38.54000000),
(1343, 821, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 120.00000000, 24.00000000, 144.00000000),
(1344, 822, NULL, 1222640, '', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1345, 823, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 830.84000000, 997.01000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 830.84000000, 166.17000000, 0.00000000, 0.00000000, 997.01000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 830.84000000, 830.84000000, 166.17000000, 997.01000000),
(1346, 823, NULL, 1190463, 'EDR F80053458', NULL, '', 6.51000000, 7.81200000, 2.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 16.28000000, 3.25000000, 0.00000000, 0.00000000, 19.53000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 6.51000000, 16.28000000, 3.25000000, 19.53000000),
(1347, 823, NULL, 1190648, 'EDR DRC429251F', NULL, '', 12.50000000, 15.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 12.50000000, 2.50000000, 0.00000000, 0.00000000, 15.00000000, 0, NULL, NULL, 0, 0, 0, 3, NULL, NULL, 0, 'EUR', 12.50000000, 12.50000000, 2.50000000, 15.00000000),
(1348, 824, NULL, 1190535, '', NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(1349, 824, NULL, 1190776, '', NULL, 'nombre de kilometres', 0.73000000, 0.87600000, 80, 0, 20.000, '', 0.000, '0', 0.000, '0', 58.40000000, 11.68000000, 0.00000000, 0.00000000, 70.08000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 58.40000000, 11.68000000, 70.08000000),
(1350, 825, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1351, 826, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87593750, 32, 0, 20.000, '', 0.000, '0', 0.000, '0', 23.36000000, 4.67000000, 0.00000000, 0.00000000, 28.03000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 23.36000000, 4.67000000, 28.03000000),
(1352, 826, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 1.75, 0, 20.000, '', 0.000, '0', 0.000, '0', 84.00000000, 16.80000000, 0.00000000, 0.00000000, 100.80000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 84.00000000, 16.80000000, 100.80000000),
(1353, 827, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1354, 828, NULL, 1190334, '', NULL, '', 0.73000000, 0.88000000, 90, 0, 20.000, '', 0.000, '0', 0.000, '0', 65.70000000, 13.14000000, 0.00000000, 0.00000000, 78.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 0.73000000, 65.70000000, 13.14000000, 78.84000000),
(1355, 828, NULL, 1190535, '', NULL, '', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(1356, 829, NULL, 1190334, '', NULL, '', 0.73000000, 0.88000000, 90, 0, 20.000, '', 0.000, '', 0.000, '', 65.70000000, 13.14000000, 0.00000000, 0.00000000, 78.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 0.73000000, 65.70000000, 13.14000000, 78.84000000),
(1357, 829, NULL, 1190535, '', NULL, '', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '', 0.000, '', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(1358, 830, NULL, 1222640, '', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1359, 831, NULL, 1222640, '', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1360, 832, NULL, 1222640, '', NULL, '', 234.88000000, 281.86000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 469.76000000, 93.95000000, 0.00000000, 0.00000000, 563.71000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 234.88000000, 469.76000000, 93.95000000, 563.71000000),
(1361, 833, NULL, 1222640, '', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1362, 834, NULL, 1222640, '', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1363, 835, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1364, 835, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 48.00000000, 9.60000000, 0.00000000, 0.00000000, 57.60000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 48.00000000, 9.60000000, 57.60000000),
(1365, 836, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1366, 837, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1367, 838, NULL, 1222641, '', NULL, '', 320.00000000, 384.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 320.00000000, 64.00000000, 0.00000000, 0.00000000, 384.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 320.00000000, 320.00000000, 64.00000000, 384.00000000),
(1368, 839, NULL, 1222641, '', NULL, '', 320.00000000, 384.00000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 320.00000000, 64.00000000, 0.00000000, 0.00000000, 384.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 320.00000000, 320.00000000, 64.00000000, 384.00000000),
(1369, 840, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1370, 841, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1371, 842, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87611111, 36, 0, 20.000, '', 0.000, '0', 0.000, '0', 26.28000000, 5.26000000, 0.00000000, 0.00000000, 31.54000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 26.28000000, 5.26000000, 31.54000000),
(1372, 842, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(1373, 843, NULL, 1190535, '', NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 4.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 216.00000000, 43.20000000, 0.00000000, 0.00000000, 259.20000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 216.00000000, 43.20000000, 259.20000000),
(1374, 843, NULL, 1190334, '', NULL, 'frais km', 0.73000000, 0.87601695, 118, 0, 20.000, '', 0.000, '0', 0.000, '0', 86.14000000, 17.23000000, 0.00000000, 0.00000000, 103.37000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 86.14000000, 17.23000000, 103.37000000),
(1375, 843, NULL, 1190535, '', NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, 3, NULL, NULL, 0, 'EUR', 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(1376, 843, NULL, 1190334, '', NULL, 'frais km', 0.73000000, 0.87601695, 118, 0, 20.000, '', 0.000, '0', 0.000, '0', 86.14000000, 17.23000000, 0.00000000, 0.00000000, 103.37000000, 0, NULL, NULL, 0, 0, 0, 4, NULL, NULL, 0, 'EUR', 0.73000000, 86.14000000, 17.23000000, 103.37000000),
(1377, 844, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1378, 845, NULL, 1190376, 'EDR_50', NULL, '', 249.20000000, 299.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 249.20000000, 49.84000000, 0.00000000, 0.00000000, 299.04000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 249.20000000, 249.20000000, 49.84000000, 299.04000000),
(1379, 846, NULL, 1222640, '', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1380, 847, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1381, 848, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(1382, 848, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87607143, 56, 0, 20.000, '', 0.000, '0', 0.000, '0', 40.88000000, 8.18000000, 0.00000000, 0.00000000, 49.06000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 40.88000000, 8.18000000, 49.06000000),
(1383, 849, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1384, 850, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1385, 851, NULL, 1222640, '', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 234.88000000, 234.88000000, 46.98000000, 281.86000000);
INSERT INTO `llx_facture_fourn_det` (`rowid`, `fk_facture_fourn`, `fk_parent_line`, `fk_product`, `ref`, `label`, `description`, `pu_ht`, `pu_ttc`, `qty`, `remise_percent`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `total_ht`, `tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `fk_code_ventilation`, `special_code`, `rang`, `import_key`, `fk_unit`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(1386, 852, NULL, 1222643, '', NULL, 'Main d&#39;oeuvre et deplacement', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(1387, 853, NULL, 1222640, '', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1388, 854, NULL, 1222643, '', NULL, 'Main d&#39;oeuvre et deplacement', 1200.00000000, 1440.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 1200.00000000, 240.00000000, 0.00000000, 0.00000000, 1440.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 1200.00000000, 1200.00000000, 240.00000000, 1440.00000000),
(1389, 855, NULL, 1222640, '', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1390, 856, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87607143, 56, 0, 20.000, '', 0.000, '0', 0.000, '0', 40.88000000, 8.18000000, 0.00000000, 0.00000000, 49.06000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 40.88000000, 8.18000000, 49.06000000),
(1391, 856, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(1392, 857, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1393, 858, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 90, 0, 20.000, '', 0.000, '0', 0.000, '0', 65.70000000, 13.14000000, 0.00000000, 0.00000000, 78.84000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 65.70000000, 13.14000000, 78.84000000),
(1394, 858, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(1395, 859, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1396, 860, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 573.00000000, 687.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 573.00000000, 114.60000000, 0.00000000, 0.00000000, 687.60000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 573.00000000, 573.00000000, 114.60000000, 687.60000000),
(1397, 860, NULL, 1190653, 'EDR_SUP', NULL, '', 75.00000000, 90.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 75.00000000, 15.00000000, 0.00000000, 0.00000000, 90.00000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 75.00000000, 75.00000000, 15.00000000, 90.00000000),
(1398, 861, NULL, 1222640, '', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1399, 861, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1401, 862, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1402, 863, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1403, 864, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 80, 0, 20.000, '', 0.000, '0', 0.000, '0', 58.40000000, 11.68000000, 0.00000000, 0.00000000, 70.08000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 58.40000000, 11.68000000, 70.08000000),
(1404, 864, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(1405, 865, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1406, 866, NULL, 1222640, '', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1408, 867, NULL, 1230693, '', NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(1409, 868, NULL, 1222640, '', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1410, 869, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1411, 870, NULL, 1190376, 'EDR_50', NULL, '', 249.20000000, 299.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 249.20000000, 49.84000000, 0.00000000, 0.00000000, 299.04000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 249.20000000, 249.20000000, 49.84000000, 299.04000000),
(1412, 871, NULL, 1222641, 'EDR38', NULL, '', 390.70000000, 468.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 390.70000000, 78.14000000, 0.00000000, 0.00000000, 468.84000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 390.70000000, 390.70000000, 78.14000000, 468.84000000),
(1413, 872, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 650.00000000, 780.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 650.00000000, 130.00000000, 0.00000000, 0.00000000, 780.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 650.00000000, 650.00000000, 130.00000000, 780.00000000),
(1414, 873, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87605263, 76, 0, 20.000, '', 0.000, '0', 0.000, '0', 55.48000000, 11.10000000, 0.00000000, 0.00000000, 66.58000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 55.48000000, 11.10000000, 66.58000000),
(1415, 873, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(1416, 874, NULL, 1223606, '', NULL, '', 345.00000000, 414.00000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 690.00000000, 138.00000000, 0.00000000, 0.00000000, 828.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 345.00000000, 690.00000000, 138.00000000, 828.00000000),
(1417, 875, NULL, 1190334, '', NULL, '', 0.73000000, 0.88000000, 32, 0, 20.000, '', 0.000, '', 0.000, '', 23.36000000, 4.67000000, 0.00000000, 0.00000000, 28.03000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 0.73000000, 23.36000000, 4.67000000, 28.03000000),
(1418, 875, NULL, 1190535, '', NULL, '', 48.00000000, 57.60000000, 1.25, 0, 20.000, '', 0.000, '0', 0.000, '0', 60.00000000, 12.00000000, 0.00000000, 0.00000000, 72.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 48.00000000, 60.00000000, 12.00000000, 72.00000000),
(1419, 875, NULL, NULL, '', NULL, 'dt40', 95.00000000, 114.00000000, 1.25, 0, 20.000, '', 0.000, '0', 0.000, '0', 118.75000000, 23.75000000, 0.00000000, 0.00000000, 142.50000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 95.00000000, 118.75000000, 23.75000000, 142.50000000),
(1420, 876, NULL, 1222641, '', NULL, '', 390.70000000, 468.84000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 390.70000000, 78.14000000, 0.00000000, 0.00000000, 468.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 390.70000000, 390.70000000, 78.14000000, 468.84000000),
(1421, 877, NULL, 1222643, '', NULL, 'forfait chantier', 250.00000000, 300.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(1422, 877, NULL, 1069988, '', NULL, 'EMBOUT AM 50X80', 5.68000000, 6.82000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 5.68000000, 1.14000000, 0.00000000, 0.00000000, 6.82000000, 0, NULL, NULL, 0, 0, 0, 3, NULL, NULL, 0, 'EUR', 5.68000000, 5.68000000, 1.14000000, 6.82000000),
(1423, 877, NULL, 1061514, '', NULL, 'LONG 2,50M 50X80 BLANC', 57.57000000, 69.08500000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.28000000, 46.06000000, 0.00000000, 0.00000000, 276.34000000, 0, NULL, NULL, 0, 0, 0, 4, NULL, NULL, 0, 'EUR', 57.57000000, 230.28000000, 46.06000000, 276.34000000),
(1424, 877, NULL, 1069997, '', NULL, 'ANGLE PLAT AM50X80', 30.75000000, 36.90000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 30.75000000, 6.15000000, 0.00000000, 0.00000000, 36.90000000, 0, NULL, NULL, 0, 0, 0, 5, NULL, NULL, 0, 'EUR', 30.75000000, 30.75000000, 6.15000000, 36.90000000),
(1425, 877, NULL, 1070155, '', NULL, 'PRMOSAIC 3X2P+T CLIP DIRECT', 26.35000000, 31.62000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 79.05000000, 15.81000000, 0.00000000, 0.00000000, 94.86000000, 0, NULL, NULL, 0, 0, 0, 6, NULL, NULL, 0, 'EUR', 26.35000000, 79.05000000, 15.81000000, 94.86000000),
(1426, 877, NULL, 1298077, '', NULL, 'Canalis KN - coffret sectionneur 63A pour app mod 8 modules 18mm', 105.00000000, 126.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 105.00000000, 21.00000000, 0.00000000, 0.00000000, 126.00000000, 0, NULL, NULL, 0, 0, 0, 7, NULL, NULL, 0, 'EUR', 105.00000000, 105.00000000, 21.00000000, 126.00000000),
(1427, 877, NULL, 1463360, '', NULL, 'Acti9 iDD40K - disjoncteur différentiel - 3P+N C 20A 4500A/4,5A 30mA type AC', 175.00000000, 210.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 175.00000000, 35.00000000, 0.00000000, 0.00000000, 210.00000000, 0, NULL, NULL, 0, 0, 0, 8, NULL, NULL, 0, 'EUR', 175.00000000, 175.00000000, 35.00000000, 210.00000000),
(1428, 877, NULL, 1297928, '', NULL, 'IRL 3321 Diam 20 Longueur 3m Tulipé Gris', 0.68000000, 0.81500000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 2.72000000, 0.54000000, 0.00000000, 0.00000000, 3.26000000, 0, NULL, NULL, 0, 0, 0, 9, NULL, NULL, 0, 'EUR', 0.68000000, 2.72000000, 0.54000000, 3.26000000),
(1429, 877, NULL, 1223594, '', NULL, 'h07 rnf 4g2.5 tgl', 2.74000000, 3.28800000, 10, 0, 20.000, '', 0.000, '0', 0.000, '0', 27.40000000, 5.48000000, 0.00000000, 0.00000000, 32.88000000, 0, NULL, NULL, 0, 0, 0, 10, NULL, NULL, 0, 'EUR', 2.74000000, 27.40000000, 5.48000000, 32.88000000),
(1430, 878, NULL, 1222640, '', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1431, 879, NULL, 1222643, '', NULL, 'Main d&#39;oeuvre et deplacement', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(1432, 880, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 619.08000000, 123.82000000, 0.00000000, 0.00000000, 742.90000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 619.08000000, 123.82000000, 742.90000000),
(1433, 881, NULL, 1222641, '', NULL, '', 390.70000000, 468.84000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 390.70000000, 78.14000000, 0.00000000, 0.00000000, 468.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 390.70000000, 390.70000000, 78.14000000, 468.84000000),
(1434, 882, NULL, 1222643, '', NULL, 'Main d&#39;oeuvre et deplacement', 534.00000000, 640.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 534.00000000, 106.80000000, 0.00000000, 0.00000000, 640.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 534.00000000, 534.00000000, 106.80000000, 640.80000000),
(1435, 883, NULL, 1222641, '', NULL, 'FORFAIT MAINTENANCE', 309.54000000, 371.45000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 619.08000000, 123.82000000, 0.00000000, 0.00000000, 742.90000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 619.08000000, 123.82000000, 742.90000000),
(1436, 883, NULL, 1190535, '', NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 1.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 72.00000000, 14.40000000, 0.00000000, 0.00000000, 86.40000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 72.00000000, 14.40000000, 86.40000000),
(1437, 884, NULL, 1222643, '', NULL, 'Main d&#39;oeuvre et deplacement', 220.00000000, 264.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 220.00000000, 44.00000000, 0.00000000, 0.00000000, 264.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 220.00000000, 220.00000000, 44.00000000, 264.00000000),
(1438, 885, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1439, 886, NULL, 1222641, '', NULL, '', 390.70000000, 468.84000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 390.70000000, 78.14000000, 0.00000000, 0.00000000, 468.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 390.70000000, 390.70000000, 78.14000000, 468.84000000),
(1440, 887, NULL, 1222641, '', NULL, '', 390.70000000, 468.84000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 781.40000000, 156.28000000, 0.00000000, 0.00000000, 937.68000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 390.70000000, 781.40000000, 156.28000000, 937.68000000),
(1441, 887, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1442, 888, NULL, 1222640, '', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1443, 889, NULL, 1222640, '', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1444, 890, NULL, 1222641, '', NULL, '', 390.70000000, 468.84000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 390.70000000, 78.14000000, 0.00000000, 0.00000000, 468.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 390.70000000, 390.70000000, 78.14000000, 468.84000000),
(1445, 891, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1446, 892, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1447, 893, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87599057, 212, 0, 20.000, '', 0.000, '0', 0.000, '0', 154.76000000, 30.95000000, 0.00000000, 0.00000000, 185.71000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 154.76000000, 30.95000000, 185.71000000),
(1448, 893, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 8, 0, 20.000, '', 0.000, '0', 0.000, '0', 384.00000000, 76.80000000, 0.00000000, 0.00000000, 460.80000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 384.00000000, 76.80000000, 460.80000000),
(1449, 893, NULL, NULL, '', NULL, 'fourniture', 174.00000000, 208.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 174.00000000, 34.80000000, 0.00000000, 0.00000000, 208.80000000, 0, NULL, NULL, 0, 0, 0, 3, NULL, NULL, 0, 'EUR', 174.00000000, 174.00000000, 34.80000000, 208.80000000),
(1450, 894, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 90, 0, 20.000, '', 0.000, '0', 0.000, '0', 65.70000000, 13.14000000, 0.00000000, 0.00000000, 78.84000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 65.70000000, 13.14000000, 78.84000000),
(1451, 894, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 168.00000000, 33.60000000, 0.00000000, 0.00000000, 201.60000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 168.00000000, 33.60000000, 201.60000000),
(1452, 895, NULL, NULL, '', NULL, 'fournitures', 205.00000000, 246.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 205.00000000, 41.00000000, 0.00000000, 0.00000000, 246.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 205.00000000, 205.00000000, 41.00000000, 246.00000000),
(1453, 895, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(1454, 895, NULL, 1231803, '', NULL, '', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, 3, NULL, NULL, 0, 'EUR', 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(1455, 896, NULL, NULL, '', NULL, 'fournitures', 86.20000000, 103.44000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 86.20000000, 17.24000000, 0.00000000, 0.00000000, 103.44000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 86.20000000, 86.20000000, 17.24000000, 103.44000000),
(1456, 896, NULL, 1190334, '', NULL, '', 0.73000000, 0.88000000, 50, 0, 20.000, '', 0.000, '', 0.000, '', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(1457, 896, NULL, 1231803, '', NULL, '', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '', 0.000, '', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(1458, 897, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87590909, 22, 0, 20.000, '', 0.000, '0', 0.000, '0', 16.06000000, 3.21000000, 0.00000000, 0.00000000, 19.27000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 16.06000000, 3.21000000, 19.27000000),
(1459, 897, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(1460, 898, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1461, 898, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(1462, 899, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 534.00000000, 640.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 534.00000000, 106.80000000, 0.00000000, 0.00000000, 640.80000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 534.00000000, 534.00000000, 106.80000000, 640.80000000),
(1463, 900, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 3037.00000000, 3644.40000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 3037.00000000, 607.40000000, 0.00000000, 0.00000000, 3644.40000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 3037.00000000, 3037.00000000, 607.40000000, 3644.40000000),
(1464, 901, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 120.00000000, 24.00000000, 144.00000000),
(1465, 901, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 85, 0, 20.000, '', 0.000, '0', 0.000, '0', 62.05000000, 12.41000000, 0.00000000, 0.00000000, 74.46000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 62.05000000, 12.41000000, 74.46000000),
(1466, 902, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 480.00000000, 576.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 480.00000000, 96.00000000, 0.00000000, 0.00000000, 576.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 480.00000000, 480.00000000, 96.00000000, 576.00000000),
(1467, 903, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 1.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 72.00000000, 14.40000000, 0.00000000, 0.00000000, 86.40000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 72.00000000, 14.40000000, 86.40000000),
(1468, 903, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(1469, 904, NULL, 1222641, 'EDR38', NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(1470, 905, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 502.20000000, 602.64000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 502.20000000, 100.44000000, 0.00000000, 0.00000000, 602.64000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 502.20000000, 502.20000000, 100.44000000, 602.64000000),
(1471, 905, NULL, 1223702, 'founiture div', NULL, '', 407.30000000, 488.76000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 407.30000000, 81.46000000, 0.00000000, 0.00000000, 488.76000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 407.30000000, 407.30000000, 81.46000000, 488.76000000),
(1472, 906, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 6, 0, 20.000, '', 0.000, '0', 0.000, '0', 288.00000000, 57.60000000, 0.00000000, 0.00000000, 345.60000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 288.00000000, 57.60000000, 345.60000000),
(1473, 906, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 95, 0, 20.000, '', 0.000, '0', 0.000, '0', 69.35000000, 13.87000000, 0.00000000, 0.00000000, 83.22000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 69.35000000, 13.87000000, 83.22000000),
(1474, 907, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(1475, 907, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(1476, 907, NULL, NULL, '', NULL, 'vmc', 80.00000000, 96.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 80.00000000, 16.00000000, 0.00000000, 0.00000000, 96.00000000, 0, NULL, NULL, 0, 0, 0, 3, NULL, NULL, 0, 'EUR', 80.00000000, 80.00000000, 16.00000000, 96.00000000),
(1477, 908, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(1478, 908, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87597701, 174, 0, 20.000, '', 0.000, '0', 0.000, '0', 127.02000000, 25.40000000, 0.00000000, 0.00000000, 152.42000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 127.02000000, 25.40000000, 152.42000000),
(1479, 908, NULL, 1586816, '650n', NULL, '', 60.00000000, 72.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 60.00000000, 12.00000000, 0.00000000, 0.00000000, 72.00000000, 0, NULL, NULL, 0, 0, 0, 3, NULL, NULL, 0, 'EUR', 60.00000000, 60.00000000, 12.00000000, 72.00000000),
(1480, 910, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(1481, 910, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87596154, 52, 0, 20.000, '', 0.000, '0', 0.000, '0', 37.96000000, 7.59000000, 0.00000000, 0.00000000, 45.55000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 37.96000000, 7.59000000, 45.55000000),
(1482, 911, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(1483, 911, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87611111, 36, 0, 20.000, '', 0.000, '0', 0.000, '0', 26.28000000, 5.26000000, 0.00000000, 0.00000000, 31.54000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 26.28000000, 5.26000000, 31.54000000),
(1484, 912, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 168.00000000, 33.60000000, 0.00000000, 0.00000000, 201.60000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 168.00000000, 33.60000000, 201.60000000),
(1485, 912, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87583333, 24, 0, 20.000, '', 0.000, '0', 0.000, '0', 17.52000000, 3.50000000, 0.00000000, 0.00000000, 21.02000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 17.52000000, 3.50000000, 21.02000000),
(1486, 913, NULL, 1190535, '', NULL, '', 48.00000000, 57.60000000, 4.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 216.00000000, 43.20000000, 0.00000000, 0.00000000, 259.20000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 48.00000000, 216.00000000, 43.20000000, 259.20000000),
(1487, 913, NULL, 1190334, '', NULL, '', 0.73000000, 0.88000000, 24, 0, 20.000, '', 0.000, '', 0.000, '', 17.52000000, 3.50000000, 0.00000000, 0.00000000, 21.02000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 0.73000000, 17.52000000, 3.50000000, 21.02000000),
(1488, 914, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1489, 915, NULL, 1222643, '', NULL, 'Main d&#39;oeuvre et deplacement', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(1490, 916, NULL, 1222641, '', NULL, '', 290.70000000, 348.84000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 290.70000000, 58.14000000, 0.00000000, 0.00000000, 348.84000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 290.70000000, 290.70000000, 58.14000000, 348.84000000),
(1491, 917, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1492, 918, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 307.00000000, 368.40000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 307.00000000, 61.40000000, 0.00000000, 0.00000000, 368.40000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 307.00000000, 307.00000000, 61.40000000, 368.40000000),
(1493, 919, NULL, 1222643, '', NULL, 'Main d&#39;oeuvre et deplacement', 420.00000000, 504.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 420.00000000, 84.00000000, 0.00000000, 0.00000000, 504.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 420.00000000, 420.00000000, 84.00000000, 504.00000000),
(1494, 920, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1495, 921, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1496, 922, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(1497, 922, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(1498, 923, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(1499, 923, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(1500, 924, NULL, 1222643, '', NULL, 'Main d&#39;oeuvre et deplacement', 499.00000000, 598.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 499.00000000, 99.80000000, 0.00000000, 0.00000000, 598.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 499.00000000, 499.00000000, 99.80000000, 598.80000000),
(1501, 925, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement<br />\r\nperiode 2018 au 08/11/2018', 16089.64000000, 19307.57000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 16089.64000000, 3217.93000000, 0.00000000, 0.00000000, 19307.57000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 16089.64000000, 16089.64000000, 3217.93000000, 19307.57000000),
(1502, 926, NULL, NULL, '', NULL, '<p>&nbsp;&quot;l&#39;h&eacute;bergement EWINFIC&quot; p&eacute;riode du 01 01 2020 au 31 12 2020</p>', 226.00000000, 271.20000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 226.00000000, 45.20000000, 0.00000000, 0.00000000, 271.20000000, 1, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 226.00000000, 226.00000000, 45.20000000, 271.20000000),
(1503, 927, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 290.00000000, 348.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 290.00000000, 58.00000000, 0.00000000, 0.00000000, 348.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 290.00000000, 290.00000000, 58.00000000, 348.00000000),
(1504, 928, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1505, 930, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1506, 931, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87605634, 71, 0, 20.000, '', 0.000, '0', 0.000, '0', 51.83000000, 10.37000000, 0.00000000, 0.00000000, 62.20000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 51.83000000, 10.37000000, 62.20000000),
(1507, 931, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 168.00000000, 33.60000000, 0.00000000, 0.00000000, 201.60000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 168.00000000, 33.60000000, 201.60000000),
(1508, 932, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1509, 933, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1510, 934, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1511, 935, NULL, 1222640, '', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1512, 936, NULL, 1190334, '', NULL, 'frais km', 0.73000000, 0.87603448, 58, 0, 20.000, '', 0.000, '0', 0.000, '0', 42.34000000, 8.47000000, 0.00000000, 0.00000000, 50.81000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 42.34000000, 8.47000000, 50.81000000),
(1513, 936, NULL, 1190535, '', NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 1.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 72.00000000, 14.40000000, 0.00000000, 0.00000000, 86.40000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 72.00000000, 14.40000000, 86.40000000),
(1514, 937, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 356.00000000, 427.20000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 356.00000000, 71.20000000, 0.00000000, 0.00000000, 427.20000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 356.00000000, 356.00000000, 71.20000000, 427.20000000),
(1515, 938, NULL, 1190374, 'edr49', NULL, '', 166.24000000, 199.49000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 166.24000000, 33.25000000, 0.00000000, 0.00000000, 199.49000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 166.24000000, 166.24000000, 33.25000000, 199.49000000),
(1516, 939, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1517, 940, NULL, 1222643, '', NULL, 'Main d&#39;oeuvre et deplacement', 525.52000000, 630.62000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 525.52000000, 105.10000000, 0.00000000, 0.00000000, 630.62000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 525.52000000, 525.52000000, 105.10000000, 630.62000000),
(1518, 941, NULL, 1222640, '', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1519, 942, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1520, 943, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 100, 0, 20.000, '', 0.000, '0', 0.000, '0', 73.00000000, 14.60000000, 0.00000000, 0.00000000, 87.60000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 73.00000000, 14.60000000, 87.60000000),
(1521, 943, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 19, 0, 20.000, '', 0.000, '0', 0.000, '0', 912.00000000, 182.40000000, 0.00000000, 0.00000000, 1094.40000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 912.00000000, 182.40000000, 1094.40000000),
(1522, 944, NULL, 1222640, '', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1523, 945, NULL, 1222640, '', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1524, 946, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(1525, 946, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 95, 0, 20.000, '', 0.000, '0', 0.000, '0', 69.35000000, 13.87000000, 0.00000000, 0.00000000, 83.22000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 69.35000000, 13.87000000, 83.22000000),
(1526, 946, NULL, NULL, '', NULL, 'bt3', 18.75000000, 22.50000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 18.75000000, 3.75000000, 0.00000000, 0.00000000, 22.50000000, 0, NULL, NULL, 0, 0, 0, 3, NULL, NULL, 0, 'EUR', 18.75000000, 18.75000000, 3.75000000, 22.50000000),
(1527, 947, NULL, 1190535, '', NULL, '', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '', 0.000, '', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(1528, 947, NULL, 1190334, '', NULL, '', 0.73000000, 0.88000000, 80, 0, 20.000, '', 0.000, '0', 0.000, '0', 58.40000000, 11.68000000, 0.00000000, 0.00000000, 70.08000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 0.73000000, 58.40000000, 11.68000000, 70.08000000),
(1530, 947, NULL, NULL, '', NULL, 'zbe102', 6.00000000, 7.20000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 6.00000000, 1.20000000, 0.00000000, 0.00000000, 7.20000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 6.00000000, 6.00000000, 1.20000000, 7.20000000),
(1531, 948, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1532, 949, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(1533, 949, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 40, 0, 20.000, '', 0.000, '0', 0.000, '0', 29.20000000, 5.84000000, 0.00000000, 0.00000000, 35.04000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 29.20000000, 5.84000000, 35.04000000),
(1534, 950, NULL, 1190535, '', NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(1535, 950, NULL, 1190334, '', NULL, '', 0.73000000, 0.88000000, 40, 0, 20.000, '', 0.000, '', 0.000, '', 29.20000000, 5.84000000, 0.00000000, 0.00000000, 35.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 0.73000000, 29.20000000, 5.84000000, 35.04000000),
(1536, 951, NULL, 1190535, '', NULL, '', 48.00000000, 57.60000000, 3.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 168.00000000, 33.60000000, 0.00000000, 0.00000000, 201.60000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 48.00000000, 168.00000000, 33.60000000, 201.60000000),
(1537, 951, NULL, 1190334, '', NULL, '', 0.73000000, 0.88000000, 112, 0, 20.000, '', 0.000, '0', 0.000, '0', 81.76000000, 16.35000000, 0.00000000, 0.00000000, 98.11000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 0.73000000, 81.76000000, 16.35000000, 98.11000000),
(1538, 951, NULL, NULL, '', NULL, 'fournitures', 138.95000000, 166.74000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 138.95000000, 27.79000000, 0.00000000, 0.00000000, 166.74000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 138.95000000, 138.95000000, 27.79000000, 166.74000000),
(1539, 952, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 5000.00000000, 6000.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 5000.00000000, 1000.00000000, 0.00000000, 0.00000000, 6000.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 5000.00000000, 5000.00000000, 1000.00000000, 6000.00000000),
(1540, 953, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1541, 954, NULL, 1222643, '', NULL, 'Main d&#39;oeuvre et deplacement', 484.00000000, 580.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 484.00000000, 96.80000000, 0.00000000, 0.00000000, 580.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 484.00000000, 484.00000000, 96.80000000, 580.80000000),
(1542, 955, NULL, 1222643, '', NULL, 'Main d&#39;oeuvre et deplacement', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(1543, 956, NULL, 1222643, '', NULL, 'Main d&#39;oeuvre et deplacement', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(1544, 957, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1545, 958, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87596491, 114, 0, 20.000, '', 0.000, '0', 0.000, '0', 83.22000000, 16.64000000, 0.00000000, 0.00000000, 99.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 83.22000000, 16.64000000, 99.86000000),
(1546, 958, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(1547, 959, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1548, 960, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1549, 961, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 6, 0, 20.000, '', 0.000, '0', 0.000, '0', 288.00000000, 57.60000000, 0.00000000, 0.00000000, 345.60000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 288.00000000, 57.60000000, 345.60000000),
(1550, 961, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 110, 0, 20.000, '', 0.000, '0', 0.000, '0', 80.30000000, 16.06000000, 0.00000000, 0.00000000, 96.36000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 80.30000000, 16.06000000, 96.36000000),
(1551, 962, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1552, 963, NULL, 1222643, '', NULL, 'Main d&#39;oeuvre et deplacement', 250.00000000, 300.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(1553, 964, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1554, 965, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1555, 966, NULL, 1222640, '', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1556, 967, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1557, 968, NULL, 1222640, '', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1558, 969, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1559, 970, NULL, 1190376, 'EDR_50', NULL, '', 249.20000000, 299.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 249.20000000, 49.84000000, 0.00000000, 0.00000000, 299.04000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 249.20000000, 249.20000000, 49.84000000, 299.04000000),
(1560, 971, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87605634, 71, 0, 20.000, '', 0.000, '0', 0.000, '0', 51.83000000, 10.37000000, 0.00000000, 0.00000000, 62.20000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 51.83000000, 10.37000000, 62.20000000);
INSERT INTO `llx_facture_fourn_det` (`rowid`, `fk_facture_fourn`, `fk_parent_line`, `fk_product`, `ref`, `label`, `description`, `pu_ht`, `pu_ttc`, `qty`, `remise_percent`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `total_ht`, `tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `fk_code_ventilation`, `special_code`, `rang`, `import_key`, `fk_unit`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(1561, 971, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(1562, 972, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.88000000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(1563, 972, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(1564, 973, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 48.00000000, 9.60000000, 0.00000000, 0.00000000, 57.60000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 48.00000000, 9.60000000, 57.60000000),
(1565, 974, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1566, 975, NULL, 1222640, '', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1567, 976, NULL, 1222640, '', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1568, 977, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1569, 978, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87603774, 106, 0, 20.000, '', 0.000, '0', 0.000, '0', 77.38000000, 15.48000000, 0.00000000, 0.00000000, 92.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 77.38000000, 15.48000000, 92.86000000),
(1570, 978, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(1571, 979, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.85500000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 469.76000000, 93.95000000, 0.00000000, 0.00000000, 563.71000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 469.76000000, 93.95000000, 563.71000000),
(1572, 980, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(1573, 980, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(1574, 981, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1575, 982, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1576, 983, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1577, 984, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 338.00000000, 405.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 338.00000000, 67.60000000, 0.00000000, 0.00000000, 405.60000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 338.00000000, 338.00000000, 67.60000000, 405.60000000),
(1578, 985, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 434.00000000, 520.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 434.00000000, 86.80000000, 0.00000000, 0.00000000, 520.80000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 434.00000000, 434.00000000, 86.80000000, 520.80000000),
(1579, 986, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1580, 987, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(1581, 987, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(1582, 988, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1583, 989, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 90, 0, 20.000, '', 0.000, '0', 0.000, '0', 65.70000000, 13.14000000, 0.00000000, 0.00000000, 78.84000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 65.70000000, 13.14000000, 78.84000000),
(1584, 989, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(1585, 990, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 2380.00000000, 2856.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 2380.00000000, 476.00000000, 0.00000000, 0.00000000, 2856.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 2380.00000000, 2380.00000000, 476.00000000, 2856.00000000),
(1586, 991, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1587, 992, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87597701, 87, 0, 20.000, '', 0.000, '0', 0.000, '0', 63.51000000, 12.70000000, 0.00000000, 0.00000000, 76.21000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 63.51000000, 12.70000000, 76.21000000),
(1588, 992, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 4.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 216.00000000, 43.20000000, 0.00000000, 0.00000000, 259.20000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 216.00000000, 43.20000000, 259.20000000),
(1589, 993, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 619.08000000, 123.82000000, 0.00000000, 0.00000000, 742.90000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 619.08000000, 123.82000000, 742.90000000),
(1590, 994, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1591, 995, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1592, 996, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1593, 997, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 500.00000000, 600.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 500.00000000, 100.00000000, 0.00000000, 0.00000000, 600.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 500.00000000, 500.00000000, 100.00000000, 600.00000000),
(1594, 998, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 534.00000000, 640.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 534.00000000, 106.80000000, 0.00000000, 0.00000000, 640.80000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 534.00000000, 534.00000000, 106.80000000, 640.80000000),
(1595, 999, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 868.00000000, 1041.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 868.00000000, 173.60000000, 0.00000000, 0.00000000, 1041.60000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 868.00000000, 868.00000000, 173.60000000, 1041.60000000),
(1596, 1000, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1597, 1001, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87595745, 47, 0, 20.000, '', 0.000, '0', 0.000, '0', 34.31000000, 6.86000000, 0.00000000, 0.00000000, 41.17000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 34.31000000, 6.86000000, 41.17000000),
(1598, 1001, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 1.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 72.00000000, 14.40000000, 0.00000000, 0.00000000, 86.40000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 72.00000000, 14.40000000, 86.40000000),
(1599, 1002, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1600, 1003, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87595238, 42, 0, 20.000, '', 0.000, '0', 0.000, '0', 30.66000000, 6.13000000, 0.00000000, 0.00000000, 36.79000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 30.66000000, 6.13000000, 36.79000000),
(1601, 1003, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(1602, 1004, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1603, 1005, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1604, 1006, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1605, 1007, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87596774, 62, 0, 20.000, '', 0.000, '0', 0.000, '0', 45.26000000, 9.05000000, 0.00000000, 0.00000000, 54.31000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 45.26000000, 9.05000000, 54.31000000),
(1606, 1007, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 168.00000000, 33.60000000, 0.00000000, 0.00000000, 201.60000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 168.00000000, 33.60000000, 201.60000000),
(1607, 1008, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 230.00000000, 276.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.00000000, 46.00000000, 0.00000000, 0.00000000, 276.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 230.00000000, 230.00000000, 46.00000000, 276.00000000),
(1608, 1009, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 230.00000000, 276.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.00000000, 46.00000000, 0.00000000, 0.00000000, 276.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 230.00000000, 230.00000000, 46.00000000, 276.00000000),
(1609, 1010, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(1610, 1010, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 1.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 72.00000000, 14.40000000, 0.00000000, 0.00000000, 86.40000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 72.00000000, 14.40000000, 86.40000000),
(1611, 1011, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1612, 1012, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87603774, 53, 0, 20.000, '', 0.000, '0', 0.000, '0', 38.69000000, 7.74000000, 0.00000000, 0.00000000, 46.43000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 38.69000000, 7.74000000, 46.43000000),
(1613, 1012, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(1614, 1015, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1615, 1016, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 350.00000000, 420.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 350.00000000, 70.00000000, 0.00000000, 0.00000000, 420.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 350.00000000, 350.00000000, 70.00000000, 420.00000000),
(1616, 1017, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1617, 1018, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 350.00000000, 420.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 350.00000000, 70.00000000, 0.00000000, 0.00000000, 420.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 350.00000000, 350.00000000, 70.00000000, 420.00000000),
(1618, 1019, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87598214, 112, 0, 20.000, '', 0.000, '0', 0.000, '0', 81.76000000, 16.35000000, 0.00000000, 0.00000000, 98.11000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 81.76000000, 16.35000000, 98.11000000),
(1619, 1019, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 168.00000000, 33.60000000, 0.00000000, 0.00000000, 201.60000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 168.00000000, 33.60000000, 201.60000000),
(1620, 1020, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 514.64000000, 617.57000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 514.64000000, 102.93000000, 0.00000000, 0.00000000, 617.57000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 514.64000000, 514.64000000, 102.93000000, 617.57000000),
(1621, 1021, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 993.00000000, 1191.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 993.00000000, 198.60000000, 0.00000000, 0.00000000, 1191.60000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 993.00000000, 993.00000000, 198.60000000, 1191.60000000),
(1622, 1022, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1623, 1023, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1624, 1024, NULL, 1222643, '', NULL, 'Main d&#39;oeuvre et deplacement', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(1625, 1025, NULL, 1222643, '', NULL, 'Main d&#39;oeuvre et deplacement', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(1626, 1026, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 484.00000000, 580.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 484.00000000, 96.80000000, 0.00000000, 0.00000000, 580.80000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 484.00000000, 484.00000000, 96.80000000, 580.80000000),
(1627, 1027, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1628, 1028, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1629, 1029, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 346.15000000, 415.38000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 346.15000000, 69.23000000, 0.00000000, 0.00000000, 415.38000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 346.15000000, 346.15000000, 69.23000000, 415.38000000),
(1630, 1030, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1631, 1031, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1632, 1032, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.85500000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 469.76000000, 93.95000000, 0.00000000, 0.00000000, 563.71000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 469.76000000, 93.95000000, 563.71000000),
(1633, 1033, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1634, 1034, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87597826, 92, 0, 20.000, '', 0.000, '0', 0.000, '0', 67.16000000, 13.43000000, 0.00000000, 0.00000000, 80.59000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 67.16000000, 13.43000000, 80.59000000),
(1635, 1034, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(1636, 1035, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1637, 1036, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1638, 1037, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1639, 1038, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(1640, 1039, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1641, 1040, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1642, 1041, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(1643, 1041, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 1.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 72.00000000, 14.40000000, 0.00000000, 0.00000000, 86.40000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 72.00000000, 14.40000000, 86.40000000),
(1644, 1042, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1645, 1043, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1646, 1044, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1647, 1045, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1648, 1046, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 70, 0, 20.000, '', 0.000, '0', 0.000, '0', 51.10000000, 10.22000000, 0.00000000, 0.00000000, 61.32000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 51.10000000, 10.22000000, 61.32000000),
(1649, 1046, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 120.00000000, 24.00000000, 144.00000000),
(1653, 1049, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(1654, 1049, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87583333, 12, 0, 20.000, '', 0.000, '0', 0.000, '0', 8.76000000, 1.75000000, 0.00000000, 0.00000000, 10.51000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 8.76000000, 1.75000000, 10.51000000),
(1655, 1050, NULL, 1222643, '', NULL, 'Main d&#39;oeuvre et deplacement', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(1657, 1052, NULL, 1222643, '', NULL, 'Main d&#39;oeuvre et deplacement', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(1658, 1053, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1659, 1054, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1660, 1055, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1661, 1056, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87601562, 128, 0, 20.000, '', 0.000, '0', 0.000, '0', 93.44000000, 18.69000000, 0.00000000, 0.00000000, 112.13000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 93.44000000, 18.69000000, 112.13000000),
(1662, 1056, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(1663, 1057, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(1664, 1058, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1665, 1059, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 5000.00000000, 6000.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 5000.00000000, 1000.00000000, 0.00000000, 0.00000000, 6000.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 5000.00000000, 5000.00000000, 1000.00000000, 6000.00000000),
(1666, 1060, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 6, 0, 20.000, '', 0.000, '0', 0.000, '0', 288.00000000, 57.60000000, 0.00000000, 0.00000000, 345.60000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 288.00000000, 57.60000000, 345.60000000),
(1667, 1061, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 280.00000000, 336.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 280.00000000, 56.00000000, 0.00000000, 0.00000000, 336.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 280.00000000, 280.00000000, 56.00000000, 336.00000000),
(1668, 1062, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 484.00000000, 580.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 484.00000000, 96.80000000, 0.00000000, 0.00000000, 580.80000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 484.00000000, 484.00000000, 96.80000000, 580.80000000),
(1669, 1063, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 500.00000000, 600.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 500.00000000, 100.00000000, 0.00000000, 0.00000000, 600.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 500.00000000, 500.00000000, 100.00000000, 600.00000000),
(1670, 1064, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1671, 1065, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 250.00000000, 300.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(1672, 1066, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 310.00000000, 372.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 310.00000000, 62.00000000, 0.00000000, 0.00000000, 372.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 310.00000000, 310.00000000, 62.00000000, 372.00000000),
(1673, 1067, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 484.00000000, 580.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 484.00000000, 96.80000000, 0.00000000, 0.00000000, 580.80000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 484.00000000, 484.00000000, 96.80000000, 580.80000000),
(1674, 1068, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1675, 1069, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1676, 1070, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.85500000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 469.76000000, 93.95000000, 0.00000000, 0.00000000, 563.71000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 469.76000000, 93.95000000, 563.71000000),
(1677, 1071, NULL, 1222640, '', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1678, 1072, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 5008.00000000, 6009.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 5008.00000000, 1001.60000000, 0.00000000, 0.00000000, 6009.60000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 5008.00000000, 5008.00000000, 1001.60000000, 6009.60000000),
(1679, 1073, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1680, 1074, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.88000000, 22, 0, 20.000, '', 0.000, '0', 0.000, '0', 16.06000000, 3.21000000, 0.00000000, 0.00000000, 19.27000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 16.06000000, 3.21000000, 19.27000000),
(1681, 1074, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 1.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 72.00000000, 14.40000000, 0.00000000, 0.00000000, 86.40000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 72.00000000, 14.40000000, 86.40000000),
(1682, 1075, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1683, 1076, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 250.00000000, 300.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(1684, 1077, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1685, 1078, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 230.00000000, 276.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.00000000, 46.00000000, 0.00000000, 0.00000000, 276.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 230.00000000, 230.00000000, 46.00000000, 276.00000000),
(1686, 1079, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(1687, 1079, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(1688, 1080, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1689, 1081, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1690, 1082, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1691, 1083, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1692, 1084, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1693, 1085, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1694, 1086, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1695, 1087, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1696, 1088, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1697, 1089, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.88000000, 92, 0, 20.000, '', 0.000, '0', 0.000, '0', 67.16000000, 13.43000000, 0.00000000, 0.00000000, 80.59000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 67.16000000, 13.43000000, 80.59000000),
(1698, 1089, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(1699, 1090, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 230.00000000, 276.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.00000000, 46.00000000, 0.00000000, 0.00000000, 276.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 230.00000000, 230.00000000, 46.00000000, 276.00000000),
(1700, 1091, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1701, 1092, NULL, 1222640, '', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1702, 1093, NULL, 1222640, '', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1703, 1094, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1704, 1095, NULL, 1190535, '', NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 3, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(1705, 1095, NULL, 1190334, '', NULL, 'frais km', 0.73000000, 0.87600000, 40, 0, 20.000, '', 0.000, '0', 0.000, '0', 29.20000000, 5.84000000, 0.00000000, 0.00000000, 35.04000000, 0, NULL, NULL, 0, 0, 0, 4, NULL, NULL, 0, 'EUR', 0.73000000, 29.20000000, 5.84000000, 35.04000000),
(1706, 1095, NULL, 1190334, '', NULL, 'frais km', 0.73000000, 0.87600000, 40, 0, 20.000, '', 0.000, '0', 0.000, '0', 29.20000000, 5.84000000, 0.00000000, 0.00000000, 35.04000000, 0, NULL, NULL, 0, 0, 0, 5, NULL, NULL, 0, 'EUR', 0.73000000, 29.20000000, 5.84000000, 35.04000000),
(1707, 1095, NULL, 1190535, '', NULL, 'main d\'oeuvre & tp de deplacement', 48.00000000, 57.60000000, 3.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 168.00000000, 33.60000000, 0.00000000, 0.00000000, 201.60000000, 0, NULL, NULL, 0, 0, 0, 6, NULL, NULL, 0, 'EUR', 48.00000000, 168.00000000, 33.60000000, 201.60000000),
(1708, 1095, NULL, 1190497, '', NULL, 'joint metalo plastque', 5.00000000, 6.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 5.00000000, 1.00000000, 0.00000000, 0.00000000, 6.00000000, 0, NULL, NULL, 0, 0, 0, 7, NULL, NULL, 0, 'EUR', 5.00000000, 5.00000000, 1.00000000, 6.00000000),
(1709, 1096, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1710, 1097, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1711, 1098, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(1712, 1098, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 1.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 72.00000000, 14.40000000, 0.00000000, 0.00000000, 86.40000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 72.00000000, 14.40000000, 86.40000000),
(1713, 1099, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 460.00000000, 552.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 460.00000000, 92.00000000, 0.00000000, 0.00000000, 552.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 460.00000000, 460.00000000, 92.00000000, 552.00000000),
(1714, 1100, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1715, 1101, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1716, 1102, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1717, 1103, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1718, 1104, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 250.00000000, 300.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(1719, 1105, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 230.00000000, 276.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.00000000, 46.00000000, 0.00000000, 0.00000000, 276.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 230.00000000, 230.00000000, 46.00000000, 276.00000000),
(1720, 1106, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1721, 1107, NULL, 1190556, '', NULL, 'CUIVRE NU RECUIT 25 C50M', 3.00000000, 3.60000000, 150, 0, 20.000, '', 0.000, '0', 0.000, '0', 450.00000000, 90.00000000, 0.00000000, 0.00000000, 540.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 3.00000000, 450.00000000, 90.00000000, 540.00000000),
(1722, 1107, NULL, 1586754, '', NULL, 'Borne de mise à la terre M6 x 25 mm²', 2.40000000, 2.88000000, 40, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 3, NULL, NULL, 0, 'EUR', 2.40000000, 96.00000000, 19.20000000, 115.20000000),
(1723, 1107, NULL, 1298028, '', NULL, 'R2V CU 5G2,5  DISTINGO', 2.05000000, 2.46000000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 102.50000000, 20.50000000, 0.00000000, 0.00000000, 123.00000000, 0, NULL, NULL, 0, 0, 0, 4, NULL, NULL, 0, 'EUR', 2.05000000, 102.50000000, 20.50000000, 123.00000000),
(1724, 1107, NULL, 1298079, '', NULL, 'Coffret d\'atelier monophase & triphasé 4 prises 16A 230V et 2 prises 16A 400V', 350.00000000, 420.00000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 700.00000000, 140.00000000, 0.00000000, 0.00000000, 840.00000000, 0, NULL, NULL, 0, 0, 0, 6, NULL, NULL, 0, 'EUR', 350.00000000, 700.00000000, 140.00000000, 840.00000000),
(1725, 1107, NULL, 1190527, '', NULL, 'R2V CU 5G6 TGL', 5.60000000, 6.72000000, 70, 0, 20.000, '', 0.000, '0', 0.000, '0', 392.00000000, 78.40000000, 0.00000000, 0.00000000, 470.40000000, 0, NULL, NULL, 0, 0, 0, 7, NULL, NULL, 0, 'EUR', 5.60000000, 392.00000000, 78.40000000, 470.40000000),
(1726, 1107, NULL, 1107645, '', NULL, 'iC60N 4P 40A  C', 83.55000000, 100.26000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 83.55000000, 16.71000000, 0.00000000, 0.00000000, 100.26000000, 0, NULL, NULL, 0, 0, 0, 9, NULL, NULL, 0, 'EUR', 83.55000000, 83.55000000, 16.71000000, 100.26000000),
(1727, 1107, NULL, 1305844, '', NULL, 'Acti9, Vigi iC60, bloc différentiel 4P 40A 300mA type AC 230-240/400-415V', 135.00000000, 162.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 135.00000000, 27.00000000, 0.00000000, 0.00000000, 162.00000000, 0, NULL, NULL, 0, 0, 0, 10, NULL, NULL, 0, 'EUR', 135.00000000, 135.00000000, 27.00000000, 162.00000000),
(1728, 1107, NULL, 1190387, '', NULL, 'location nacelle', 216.00000000, 259.20000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 216.00000000, 43.20000000, 0.00000000, 0.00000000, 259.20000000, 0, NULL, NULL, 0, 0, 0, 11, NULL, NULL, 0, 'EUR', 216.00000000, 216.00000000, 43.20000000, 259.20000000),
(1729, 1107, NULL, 1190653, '', NULL, 'Supportage', 100.00000000, 120.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 100.00000000, 20.00000000, 0.00000000, 0.00000000, 120.00000000, 0, NULL, NULL, 0, 0, 0, 12, NULL, NULL, 0, 'EUR', 100.00000000, 100.00000000, 20.00000000, 120.00000000),
(1730, 1107, NULL, 1190618, '', NULL, '000061cf54/50 bs ez au metre', 8.25000000, 9.90000000, 40, 0, 20.000, '', 0.000, '0', 0.000, '0', 330.00000000, 66.00000000, 0.00000000, 0.00000000, 396.00000000, 0, NULL, NULL, 0, 0, 0, 13, NULL, NULL, 0, 'EUR', 8.25000000, 330.00000000, 66.00000000, 396.00000000),
(1731, 1107, NULL, 1461946, '', NULL, 'Exiway Smart - Bloc de secours évacuat - report défaut - SATI - led - IP42', 104.00000000, 124.80000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 208.00000000, 41.60000000, 0.00000000, 0.00000000, 249.60000000, 0, NULL, NULL, 0, 0, 0, 14, NULL, NULL, 0, 'EUR', 104.00000000, 208.00000000, 41.60000000, 249.60000000),
(1732, 1107, NULL, 1190554, '', NULL, 'R2V CU 5G1,5 C100M', 1.28000000, 1.53600000, 150, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, 15, NULL, NULL, 0, 'EUR', 1.28000000, 192.00000000, 38.40000000, 230.40000000),
(1733, 1107, NULL, 1190644, '', NULL, 'R2V CU 3G1,5 C100M', 0.80000000, 0.96000000, 100, 0, 20.000, '', 0.000, '0', 0.000, '0', 80.00000000, 16.00000000, 0.00000000, 0.00000000, 96.00000000, 0, NULL, NULL, 0, 0, 0, 17, NULL, NULL, 0, 'EUR', 0.80000000, 80.00000000, 16.00000000, 96.00000000);
INSERT INTO `llx_facture_fourn_det` (`rowid`, `fk_facture_fourn`, `fk_parent_line`, `fk_product`, `ref`, `label`, `description`, `pu_ht`, `pu_ttc`, `qty`, `remise_percent`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `total_ht`, `tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `fk_code_ventilation`, `special_code`, `rang`, `import_key`, `fk_unit`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(1734, 1107, NULL, 1463348, '', NULL, 'Acti9 iDD40K - disjoncteur différentiel - 1P+N C 16A 4500A/4,5A 30mA type AC', 137.00000000, 164.40000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 411.00000000, 82.20000000, 0.00000000, 0.00000000, 493.20000000, 0, NULL, NULL, 0, 0, 0, 18, NULL, NULL, 0, 'EUR', 137.00000000, 411.00000000, 82.20000000, 493.20000000),
(1735, 1107, NULL, 1071258, '', NULL, 'BOITE DERIVATION 105X105 PLEXO', 8.76000000, 10.51333333, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 26.28000000, 5.26000000, 0.00000000, 0.00000000, 31.54000000, 0, NULL, NULL, 0, 0, 0, 19, NULL, NULL, 0, 'EUR', 8.76000000, 26.28000000, 5.26000000, 31.54000000),
(1736, 1107, NULL, 1071286, '', NULL, 'TELERUPTEUR 16A 1F BOB 230V GP', 40.79000000, 48.94666667, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 122.37000000, 24.47000000, 0.00000000, 0.00000000, 146.84000000, 0, NULL, NULL, 0, 0, 0, 21, NULL, NULL, 0, 'EUR', 40.79000000, 122.37000000, 24.47000000, 146.84000000),
(1737, 1107, NULL, 1190794, '', NULL, 'poussoir plexo 6 amp', 7.90000000, 9.48000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 23.70000000, 4.74000000, 0.00000000, 0.00000000, 28.44000000, 0, NULL, NULL, 0, 0, 0, 22, NULL, NULL, 0, 'EUR', 7.90000000, 23.70000000, 4.74000000, 28.44000000),
(1738, 1107, NULL, 1586755, '', NULL, 'WINK 50 - Proj. Ext. IP65 IK08, blanc, LED intég. 110DEG 50W', 55.00000000, 66.00000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 110.00000000, 22.00000000, 0.00000000, 0.00000000, 132.00000000, 0, NULL, NULL, 0, 0, 0, 23, NULL, NULL, 0, 'EUR', 55.00000000, 110.00000000, 22.00000000, 132.00000000),
(1739, 1107, NULL, 1069834, '', NULL, 'VV GRIS SAILLIE PLEXO CPT', 11.07000000, 13.28500000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 22.14000000, 4.43000000, 0.00000000, 0.00000000, 26.57000000, 0, NULL, NULL, 0, 0, 0, 25, NULL, NULL, 0, 'EUR', 11.07000000, 22.14000000, 4.43000000, 26.57000000),
(1740, 1107, NULL, 1190554, '', NULL, 'R2V CU 5G1,5 C100M', 1.28000000, 1.53600000, 80, 0, 20.000, '', 0.000, '0', 0.000, '0', 102.40000000, 20.48000000, 0.00000000, 0.00000000, 122.88000000, 0, NULL, NULL, 0, 0, 0, 26, NULL, NULL, 0, 'EUR', 1.28000000, 102.40000000, 20.48000000, 122.88000000),
(1741, 1107, NULL, 1190635, '', NULL, 'pince de charpente', 1.70000000, 2.04000000, 20, 0, 20.000, '', 0.000, '0', 0.000, '0', 34.00000000, 6.80000000, 0.00000000, 0.00000000, 40.80000000, 0, NULL, NULL, 0, 0, 0, 27, NULL, NULL, 0, 'EUR', 1.70000000, 34.00000000, 6.80000000, 40.80000000),
(1742, 1107, NULL, 1190649, '', NULL, 'console', 7.00000000, 8.40000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 28.00000000, 5.60000000, 0.00000000, 0.00000000, 33.60000000, 0, NULL, NULL, 0, 0, 0, 28, NULL, NULL, 0, 'EUR', 7.00000000, 28.00000000, 5.60000000, 33.60000000),
(1743, 1107, NULL, 1190387, '', NULL, 'location nacelle', 216.00000000, 259.20000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 216.00000000, 43.20000000, 0.00000000, 0.00000000, 259.20000000, 0, NULL, NULL, 0, 0, 0, 30, NULL, NULL, 0, 'EUR', 216.00000000, 216.00000000, 43.20000000, 259.20000000),
(1744, 1107, NULL, 1223608, '', NULL, '4 paires Catégorie 6 U/FTP LSOH', 0.76000000, 0.91200000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 38.00000000, 7.60000000, 0.00000000, 0.00000000, 45.60000000, 0, NULL, NULL, 0, 0, 0, 31, NULL, NULL, 0, 'EUR', 0.76000000, 38.00000000, 7.60000000, 45.60000000),
(1745, 1107, NULL, 1222643, '', NULL, 'forfait chantier', 2900.00000000, 3480.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 2900.00000000, 580.00000000, 0.00000000, 0.00000000, 3480.00000000, 0, NULL, NULL, 0, 0, 0, 32, NULL, NULL, 0, 'EUR', 2900.00000000, 2900.00000000, 580.00000000, 3480.00000000),
(1746, 1107, NULL, 1070790, '', NULL, 'PRISE RJ45 CAT.6 FTP SAILLIE', 24.57000000, 29.48000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 24.57000000, 4.91000000, 0.00000000, 0.00000000, 29.48000000, 0, NULL, NULL, 0, 0, 0, 33, NULL, NULL, 0, 'EUR', 24.57000000, 24.57000000, 4.91000000, 29.48000000),
(1747, 1107, NULL, 1223702, '', NULL, 'fournitures diverses', 209.10000000, 250.92000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 209.10000000, 41.82000000, 0.00000000, 0.00000000, 250.92000000, 0, NULL, NULL, 0, 0, 0, 34, NULL, NULL, 0, 'EUR', 209.10000000, 209.10000000, 41.82000000, 250.92000000),
(1748, 1108, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(1749, 1108, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(1750, 1109, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1751, 1110, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1752, 1111, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1753, 1112, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement<br />\r\nsuivant devisPR2006-0075', 2435.18000000, 2922.22000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 2435.18000000, 487.04000000, 0.00000000, 0.00000000, 2922.22000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 2435.18000000, 2435.18000000, 487.04000000, 2922.22000000),
(1754, 1113, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1755, 1114, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 1000.00000000, 1200.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 1000.00000000, 200.00000000, 0.00000000, 0.00000000, 1200.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 1000.00000000, 1000.00000000, 200.00000000, 1200.00000000),
(1756, 1115, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 300.00000000, 360.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 300.00000000, 60.00000000, 0.00000000, 0.00000000, 360.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 300.00000000, 300.00000000, 60.00000000, 360.00000000),
(1757, 1116, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.85500000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 469.76000000, 93.95000000, 0.00000000, 0.00000000, 563.71000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 469.76000000, 93.95000000, 563.71000000),
(1758, 1117, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1759, 1118, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1760, 1119, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1761, 1121, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87601852, 108, 0, 20.000, '', 0.000, '0', 0.000, '0', 78.84000000, 15.77000000, 0.00000000, 0.00000000, 94.61000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 78.84000000, 15.77000000, 94.61000000),
(1762, 1121, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(1763, 1122, NULL, 1190374, 'edr49', NULL, '', 166.24000000, 199.49000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 166.24000000, 33.25000000, 0.00000000, 0.00000000, 199.49000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 166.24000000, 166.24000000, 33.25000000, 199.49000000),
(1764, 1122, NULL, NULL, '', NULL, 'wago', 0.50000000, 0.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 1.50000000, 0.30000000, 0.00000000, 0.00000000, 1.80000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.50000000, 1.50000000, 0.30000000, 1.80000000),
(1765, 1122, NULL, NULL, '', NULL, 'boite de derivation 100x100', 5.00000000, 6.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 5.00000000, 1.00000000, 0.00000000, 0.00000000, 6.00000000, 0, NULL, NULL, 0, 0, 0, 3, NULL, NULL, 0, 'EUR', 5.00000000, 5.00000000, 1.00000000, 6.00000000),
(1766, 1123, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1767, 1124, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1768, 1125, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87593750, 32, 0, 20.000, '', 0.000, '0', 0.000, '0', 23.36000000, 4.67000000, 0.00000000, 0.00000000, 28.03000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 23.36000000, 4.67000000, 28.03000000),
(1769, 1125, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(1770, 1126, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1771, 1127, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1772, 1128, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1773, 1129, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 300.00000000, 360.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 300.00000000, 60.00000000, 0.00000000, 0.00000000, 360.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 300.00000000, 300.00000000, 60.00000000, 360.00000000),
(1774, 1130, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87595238, 42, 0, 20.000, '', 0.000, '0', 0.000, '0', 30.66000000, 6.13000000, 0.00000000, 0.00000000, 36.79000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 30.66000000, 6.13000000, 36.79000000),
(1775, 1130, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(1776, 1131, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1777, 1132, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1778, 1133, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 60, 0, 20.000, '', 0.000, '0', 0.000, '0', 43.80000000, 8.76000000, 0.00000000, 0.00000000, 52.56000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 43.80000000, 8.76000000, 52.56000000),
(1779, 1133, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(1780, 1134, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1781, 1135, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1782, 1136, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 250.00000000, 300.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 250.00000000, 50.00000000, 0.00000000, 0.00000000, 300.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 250.00000000, 250.00000000, 50.00000000, 300.00000000),
(1783, 1137, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1785, 1139, NULL, 1222643, '', NULL, 'Main d&#39;oeuvre et deplacement', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(1786, 1140, NULL, 1222643, '', NULL, 'Main d&#39;oeuvre et deplacement', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(1787, 1141, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87599057, 212, 0, 20.000, '', 0.000, '0', 0.000, '0', 154.76000000, 30.95000000, 0.00000000, 0.00000000, 185.71000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 154.76000000, 30.95000000, 185.71000000),
(1788, 1141, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 9.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 456.00000000, 91.20000000, 0.00000000, 0.00000000, 547.20000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 456.00000000, 91.20000000, 547.20000000),
(1789, 1142, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1790, 1143, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1791, 1144, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1792, 1145, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1793, 1146, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87596154, 52, 0, 20.000, '', 0.000, '0', 0.000, '0', 37.96000000, 7.59000000, 0.00000000, 0.00000000, 45.55000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 37.96000000, 7.59000000, 45.55000000),
(1794, 1146, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(1795, 1147, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1796, 1148, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1797, 1149, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.85500000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 469.76000000, 93.95000000, 0.00000000, 0.00000000, 563.71000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 469.76000000, 93.95000000, 563.71000000),
(1798, 1150, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 1536.00000000, 1843.20000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 1536.00000000, 307.20000000, 0.00000000, 0.00000000, 1843.20000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 1536.00000000, 1536.00000000, 307.20000000, 1843.20000000),
(1799, 1151, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 262.00000000, 314.40000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 262.00000000, 52.40000000, 0.00000000, 0.00000000, 314.40000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 262.00000000, 262.00000000, 52.40000000, 314.40000000),
(1800, 1152, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87593750, 32, 0, 20.000, '', 0.000, '0', 0.000, '0', 23.36000000, 4.67000000, 0.00000000, 0.00000000, 28.03000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 23.36000000, 4.67000000, 28.03000000),
(1801, 1152, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(1802, 1153, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 100, 0, 20.000, '', 0.000, '0', 0.000, '0', 73.00000000, 14.60000000, 0.00000000, 0.00000000, 87.60000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 73.00000000, 14.60000000, 87.60000000),
(1803, 1153, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(1804, 1154, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 619.08000000, 123.82000000, 0.00000000, 0.00000000, 742.90000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 619.08000000, 123.82000000, 742.90000000),
(1805, 1155, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1806, 1156, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1807, 1157, NULL, 1222643, 'edr25', NULL, '', 3600.00000000, 4320.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 3600.00000000, 720.00000000, 0.00000000, 0.00000000, 4320.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 3600.00000000, 3600.00000000, 720.00000000, 4320.00000000),
(1808, 1158, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1809, 1159, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1810, 1160, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1811, 1161, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1812, 1162, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1813, 1163, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1814, 1164, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1815, 1164, NULL, 1222643, 'edr25', NULL, '', 192.00000000, 230.40000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 192.00000000, 192.00000000, 38.40000000, 230.40000000),
(1816, 1165, NULL, 1222643, 'edr25', NULL, '', 1200.00000000, 1440.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 1200.00000000, 240.00000000, 0.00000000, 0.00000000, 1440.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 1200.00000000, 1200.00000000, 240.00000000, 1440.00000000),
(1817, 1166, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1818, 1167, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.44666667, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 928.62000000, 185.72000000, 0.00000000, 0.00000000, 1114.34000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 928.62000000, 185.72000000, 1114.34000000),
(1819, 1168, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1820, 1169, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1821, 1170, NULL, 1222643, 'edr25', NULL, '', 540.00000000, 648.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 540.00000000, 108.00000000, 0.00000000, 0.00000000, 648.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 540.00000000, 540.00000000, 108.00000000, 648.00000000),
(1822, 1171, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1823, 1173, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1824, 1174, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1825, 1175, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87602151, 186, 0, 20.000, '', 0.000, '0', 0.000, '0', 135.78000000, 27.16000000, 0.00000000, 0.00000000, 162.94000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 135.78000000, 27.16000000, 162.94000000),
(1826, 1175, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(1827, 1176, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.85500000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 469.76000000, 93.95000000, 0.00000000, 0.00000000, 563.71000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 469.76000000, 93.95000000, 563.71000000),
(1828, 1177, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1829, 1178, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1830, 1179, NULL, 1222643, 'edr25', NULL, '', 484.00000000, 580.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 484.00000000, 96.80000000, 0.00000000, 0.00000000, 580.80000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 484.00000000, 484.00000000, 96.80000000, 580.80000000),
(1831, 1180, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1832, 1181, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1833, 1182, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1834, 1183, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1835, 1184, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1836, 1185, NULL, 1222643, 'edr25', NULL, '', 500.00000000, 600.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 500.00000000, 100.00000000, 0.00000000, 0.00000000, 600.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 500.00000000, 500.00000000, 100.00000000, 600.00000000),
(1837, 1186, NULL, 1222643, 'edr25', NULL, '', 400.00000000, 480.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 400.00000000, 80.00000000, 0.00000000, 0.00000000, 480.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 400.00000000, 400.00000000, 80.00000000, 480.00000000),
(1838, 1187, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1839, 1188, NULL, 1222640, '', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1840, 1189, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 5.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 264.00000000, 52.80000000, 0.00000000, 0.00000000, 316.80000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 264.00000000, 52.80000000, 316.80000000),
(1841, 1189, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87593750, 64, 0, 20.000, '', 0.000, '0', 0.000, '0', 46.72000000, 9.34000000, 0.00000000, 0.00000000, 56.06000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 46.72000000, 9.34000000, 56.06000000),
(1842, 1190, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1843, 1191, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 48.00000000, 9.60000000, 0.00000000, 0.00000000, 57.60000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 48.00000000, 9.60000000, 57.60000000),
(1844, 1192, NULL, 1190376, 'EDR_50', NULL, '', 249.20000000, 299.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 249.20000000, 49.84000000, 0.00000000, 0.00000000, 299.04000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 249.20000000, 249.20000000, 49.84000000, 299.04000000),
(1845, 1193, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1846, 1194, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1847, 1195, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 619.08000000, 123.82000000, 0.00000000, 0.00000000, 742.90000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 619.08000000, 123.82000000, 742.90000000),
(1848, 1195, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(1849, 1196, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1850, 1197, NULL, 1222643, '', NULL, 'Main d&#39;oeuvre et deplacement', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(1851, 1198, NULL, 1222643, '', NULL, 'Main d&#39;oeuvre et deplacement', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(1852, 1199, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1853, 1200, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1854, 1201, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1855, 1202, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1856, 1203, NULL, 1222643, 'edr25', NULL, '', 900.00000000, 1080.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 900.00000000, 180.00000000, 0.00000000, 0.00000000, 1080.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 900.00000000, 900.00000000, 180.00000000, 1080.00000000),
(1857, 1203, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1858, 1203, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 4, 0, 20.000, '', 0.000, '0', 0.000, '0', 192.00000000, 38.40000000, 0.00000000, 0.00000000, 230.40000000, 0, NULL, NULL, 0, 0, 0, 3, NULL, NULL, 0, 'EUR', 48.00000000, 192.00000000, 38.40000000, 230.40000000),
(1859, 1204, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1860, 1205, NULL, 1190375, 'EDR_51', NULL, '', 500.00000000, 600.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 500.00000000, 100.00000000, 0.00000000, 0.00000000, 600.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 500.00000000, 500.00000000, 100.00000000, 600.00000000),
(1861, 1206, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1862, 1206, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1863, 1207, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1864, 1208, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 60, 0, 20.000, '', 0.000, '0', 0.000, '0', 43.80000000, 8.76000000, 0.00000000, 0.00000000, 52.56000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 43.80000000, 8.76000000, 52.56000000),
(1865, 1208, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 1.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 72.00000000, 14.40000000, 0.00000000, 0.00000000, 86.40000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 72.00000000, 14.40000000, 86.40000000),
(1866, 1209, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1867, 1210, NULL, 1222641, 'EDR38', NULL, 'FORFAIT MAINTENANCE', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1868, 1211, NULL, 1222643, 'edr25', NULL, '', 400.00000000, 480.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 400.00000000, 80.00000000, 0.00000000, 0.00000000, 480.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 400.00000000, 400.00000000, 80.00000000, 480.00000000),
(1869, 1212, NULL, 1222643, 'edr25', NULL, '', 534.00000000, 640.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 534.00000000, 106.80000000, 0.00000000, 0.00000000, 640.80000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 534.00000000, 534.00000000, 106.80000000, 640.80000000),
(1870, 1213, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1871, 1214, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1872, 1214, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1873, 1215, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1874, 1216, NULL, 1222643, 'edr25', NULL, '', 768.00000000, 921.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 768.00000000, 153.60000000, 0.00000000, 0.00000000, 921.60000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 768.00000000, 768.00000000, 153.60000000, 921.60000000),
(1875, 1216, NULL, 1223702, 'founiture div', NULL, '', 2006.45000000, 2407.74000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 2006.45000000, 401.29000000, 0.00000000, 0.00000000, 2407.74000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 2006.45000000, 2006.45000000, 401.29000000, 2407.74000000),
(1876, 1216, NULL, 1222643, 'edr25', NULL, '', 350.00000000, 420.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 350.00000000, 70.00000000, 0.00000000, 0.00000000, 420.00000000, 0, NULL, NULL, 0, 0, 0, 3, NULL, NULL, 0, 'EUR', 350.00000000, 350.00000000, 70.00000000, 420.00000000),
(1877, 1217, NULL, 1222643, 'edr25', NULL, 'Main d&#39;oeuvre et deplacement', 300.00000000, 360.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 300.00000000, 60.00000000, 0.00000000, 0.00000000, 360.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 300.00000000, 300.00000000, 60.00000000, 360.00000000),
(1878, 1218, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1879, 1219, NULL, 1222643, 'edr25', NULL, '', 1032.58000000, 1239.10000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 1032.58000000, 206.52000000, 0.00000000, 0.00000000, 1239.10000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 1032.58000000, 1032.58000000, 206.52000000, 1239.10000000),
(1880, 1220, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1881, 1220, NULL, 1190535, 'EDR_1', NULL, '', 180.00000000, 216.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 180.00000000, 36.00000000, 0.00000000, 0.00000000, 216.00000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 180.00000000, 180.00000000, 36.00000000, 216.00000000),
(1882, 1221, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87606061, 66, 0, 20.000, '', 0.000, '0', 0.000, '0', 48.18000000, 9.64000000, 0.00000000, 0.00000000, 57.82000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 48.18000000, 9.64000000, 57.82000000),
(1883, 1221, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3.15, 0, 20.000, '', 0.000, '0', 0.000, '0', 151.20000000, 30.24000000, 0.00000000, 0.00000000, 181.44000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 151.20000000, 30.24000000, 181.44000000),
(1884, 1221, NULL, NULL, '', NULL, 'manchon reparation', 66.00000000, 79.20000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 66.00000000, 13.20000000, 0.00000000, 0.00000000, 79.20000000, 0, NULL, NULL, 0, 0, 0, 3, NULL, NULL, 0, 'EUR', 66.00000000, 66.00000000, 13.20000000, 79.20000000),
(1885, 1222, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1886, 1223, NULL, 1222643, 'edr25', NULL, '', 5061.00000000, 6073.20000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 5061.00000000, 1012.20000000, 0.00000000, 0.00000000, 6073.20000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 5061.00000000, 5061.00000000, 1012.20000000, 6073.20000000),
(1887, 1224, NULL, 1222643, 'edr25', NULL, '', 230.00000000, 276.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 230.00000000, 46.00000000, 0.00000000, 0.00000000, 276.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 230.00000000, 230.00000000, 46.00000000, 276.00000000),
(1888, 1225, NULL, 1222640, '', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1889, 1226, NULL, 1222643, 'edr25', NULL, '', 3850.00000000, 4620.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 3850.00000000, 770.00000000, 0.00000000, 0.00000000, 4620.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 3850.00000000, 3850.00000000, 770.00000000, 4620.00000000),
(1890, 1227, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1891, 1228, NULL, 1190376, 'EDR_50', NULL, '', 249.20000000, 299.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 249.20000000, 49.84000000, 0.00000000, 0.00000000, 299.04000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 249.20000000, 249.20000000, 49.84000000, 299.04000000),
(1892, 1229, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 168.00000000, 33.60000000, 0.00000000, 0.00000000, 201.60000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 168.00000000, 33.60000000, 201.60000000),
(1893, 1229, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87597222, 72, 0, 20.000, '', 0.000, '0', 0.000, '0', 52.56000000, 10.51000000, 0.00000000, 0.00000000, 63.07000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 52.56000000, 10.51000000, 63.07000000),
(1894, 1230, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1895, 1231, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1896, 1232, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1897, 1233, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1898, 1234, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1899, 1235, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1900, 1236, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1901, 1237, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(1902, 1237, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(1903, 1238, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1904, 1239, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1905, 1240, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000);
INSERT INTO `llx_facture_fourn_det` (`rowid`, `fk_facture_fourn`, `fk_parent_line`, `fk_product`, `ref`, `label`, `description`, `pu_ht`, `pu_ttc`, `qty`, `remise_percent`, `tva_tx`, `vat_src_code`, `localtax1_tx`, `localtax1_type`, `localtax2_tx`, `localtax2_type`, `total_ht`, `tva`, `total_localtax1`, `total_localtax2`, `total_ttc`, `product_type`, `date_start`, `date_end`, `info_bits`, `fk_code_ventilation`, `special_code`, `rang`, `import_key`, `fk_unit`, `fk_multicurrency`, `multicurrency_code`, `multicurrency_subprice`, `multicurrency_total_ht`, `multicurrency_total_tva`, `multicurrency_total_ttc`) VALUES
(1906, 1241, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1907, 1242, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1908, 1242, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1909, 1243, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1910, 1244, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1911, 1245, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(1912, 1245, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(1913, 1246, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87604167, 96, 0, 20.000, '', 0.000, '0', 0.000, '0', 70.08000000, 14.02000000, 0.00000000, 0.00000000, 84.10000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 70.08000000, 14.02000000, 84.10000000),
(1914, 1246, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(1915, 1247, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1916, 1248, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1917, 1249, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1919, 1251, NULL, 1222643, '', NULL, 'Main d&#39;oeuvre et deplacement', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(1920, 1252, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1921, 1253, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87603448, 58, 0, 20.000, '', 0.000, '0', 0.000, '0', 42.34000000, 8.47000000, 0.00000000, 0.00000000, 50.81000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 42.34000000, 8.47000000, 50.81000000),
(1922, 1253, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 1.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 72.00000000, 14.40000000, 0.00000000, 0.00000000, 86.40000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 72.00000000, 14.40000000, 86.40000000),
(1923, 1254, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1924, 1255, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1925, 1256, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1926, 1257, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1927, 1258, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1928, 1258, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1929, 1259, NULL, 1190376, 'EDR_50', NULL, '', 249.20000000, 299.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 249.20000000, 49.84000000, 0.00000000, 0.00000000, 299.04000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 249.20000000, 249.20000000, 49.84000000, 299.04000000),
(1930, 1260, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1931, 1261, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1932, 1262, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1933, 1263, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1934, 1264, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1935, 1265, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 619.08000000, 123.82000000, 0.00000000, 0.00000000, 742.90000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 619.08000000, 123.82000000, 742.90000000),
(1936, 1266, NULL, 1190374, 'edr49', NULL, '', 169.50000000, 203.40000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 169.50000000, 33.90000000, 0.00000000, 0.00000000, 203.40000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 169.50000000, 169.50000000, 33.90000000, 203.40000000),
(1937, 1267, NULL, 1222643, 'edr25', NULL, '', 2794.20000000, 3353.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 2794.20000000, 558.84000000, 0.00000000, 0.00000000, 3353.04000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 2794.20000000, 2794.20000000, 558.84000000, 3353.04000000),
(1938, 1268, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1939, 1269, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87598592, 142, 0, 20.000, '', 0.000, '0', 0.000, '0', 103.66000000, 20.73000000, 0.00000000, 0.00000000, 124.39000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 103.66000000, 20.73000000, 124.39000000),
(1940, 1269, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 11, 0, 20.000, '', 0.000, '0', 0.000, '0', 528.00000000, 105.60000000, 0.00000000, 0.00000000, 633.60000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 528.00000000, 105.60000000, 633.60000000),
(1941, 1270, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1942, 1271, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1943, 1272, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1944, 1273, NULL, 1222643, 'edr25', NULL, '', 1800.00000000, 2160.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 1800.00000000, 360.00000000, 0.00000000, 0.00000000, 2160.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 1800.00000000, 1800.00000000, 360.00000000, 2160.00000000),
(1945, 1274, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(1946, 1274, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 40, 0, 20.000, '', 0.000, '0', 0.000, '0', 29.20000000, 5.84000000, 0.00000000, 0.00000000, 35.04000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 29.20000000, 5.84000000, 35.04000000),
(1947, 1275, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1948, 1276, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1949, 1277, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1950, 1278, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1951, 1279, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87596774, 62, 0, 20.000, '', 0.000, '0', 0.000, '0', 45.26000000, 9.05000000, 0.00000000, 0.00000000, 54.31000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 45.26000000, 9.05000000, 54.31000000),
(1952, 1279, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 120.00000000, 24.00000000, 0.00000000, 0.00000000, 144.00000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 120.00000000, 24.00000000, 144.00000000),
(1953, 1280, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1954, 1281, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87602151, 93, 0, 20.000, '', 0.000, '0', 0.000, '0', 67.89000000, 13.58000000, 0.00000000, 0.00000000, 81.47000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 67.89000000, 13.58000000, 81.47000000),
(1955, 1281, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(1956, 1282, NULL, 1222643, 'edr25', NULL, '', 4650.00000000, 5580.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 4650.00000000, 930.00000000, 0.00000000, 0.00000000, 5580.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 4650.00000000, 4650.00000000, 930.00000000, 5580.00000000),
(1957, 1283, NULL, 1222643, '', NULL, '', 1600.00000000, 1920.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 1600.00000000, 320.00000000, 0.00000000, 0.00000000, 1920.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 1600.00000000, 1600.00000000, 320.00000000, 1920.00000000),
(1958, 1284, NULL, 1190374, 'edr49', NULL, '', 274.50000000, 329.40000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 274.50000000, 54.90000000, 0.00000000, 0.00000000, 329.40000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 274.50000000, 274.50000000, 54.90000000, 329.40000000),
(1959, 1285, NULL, 1222643, 'edr25', NULL, '', 1100.00000000, 1320.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 1100.00000000, 220.00000000, 0.00000000, 0.00000000, 1320.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 1100.00000000, 1100.00000000, 220.00000000, 1320.00000000),
(1960, 1286, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(1961, 1286, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(1962, 1287, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1963, 1288, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87597701, 174, 0, 20.000, '', 0.000, '0', 0.000, '0', 127.02000000, 25.40000000, 0.00000000, 0.00000000, 152.42000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 127.02000000, 25.40000000, 152.42000000),
(1964, 1288, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(1965, 1289, NULL, 1190334, '', NULL, '', 0.73000000, 0.88000000, 47, 0, 20.000, '', 0.000, '', 0.000, '', 34.31000000, 6.86000000, 0.00000000, 0.00000000, 41.17000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 0.73000000, 34.31000000, 6.86000000, 41.17000000),
(1966, 1289, NULL, 1190535, '', NULL, '', 48.00000000, 57.60000000, 1.5, 0, 20.000, '', 0.000, '', 0.000, '', 72.00000000, 14.40000000, 0.00000000, 0.00000000, 86.40000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 48.00000000, 72.00000000, 14.40000000, 86.40000000),
(1967, 1290, NULL, 1190334, '', NULL, '', 0.73000000, 0.88000000, 50, 0, 20.000, '', 0.000, '', 0.000, '', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(1968, 1290, NULL, 1190535, '', NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '', 0.000, '', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(1969, 1291, NULL, 1190334, '', NULL, '', 0.73000000, 0.88000000, 50, 0, 20.000, '', 0.000, '', 0.000, '', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(1970, 1291, NULL, 1190535, '', NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '', 0.000, '', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(1971, 1292, NULL, 1222641, '', NULL, '', 323.37000000, 388.04000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 323.37000000, 64.67000000, 0.00000000, 0.00000000, 388.04000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 323.37000000, 323.37000000, 64.67000000, 388.04000000),
(1972, 1293, NULL, 1190361, 'edr3999', NULL, '', 420.00000000, 504.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 420.00000000, 84.00000000, 0.00000000, 0.00000000, 504.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 420.00000000, 420.00000000, 84.00000000, 504.00000000),
(1973, 1294, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87590909, 44, 0, 20.000, '', 0.000, '0', 0.000, '0', 32.12000000, 6.42000000, 0.00000000, 0.00000000, 38.54000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 32.12000000, 6.42000000, 38.54000000),
(1974, 1294, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(1975, 1295, NULL, 1190506, 'EDR_312', NULL, '', 483.23000000, 579.88000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 483.23000000, 96.65000000, 0.00000000, 0.00000000, 579.88000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 483.23000000, 483.23000000, 96.65000000, 579.88000000),
(1976, 1296, NULL, 1222643, 'edr25', NULL, '', 600.00000000, 720.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 600.00000000, 120.00000000, 0.00000000, 0.00000000, 720.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 600.00000000, 600.00000000, 120.00000000, 720.00000000),
(1977, 1297, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 619.08000000, 123.82000000, 0.00000000, 0.00000000, 742.90000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 619.08000000, 123.82000000, 742.90000000),
(1978, 1298, NULL, 1222643, 'edr25', NULL, '', 320.00000000, 384.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 320.00000000, 64.00000000, 0.00000000, 0.00000000, 384.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 320.00000000, 320.00000000, 64.00000000, 384.00000000),
(1979, 1299, NULL, 1222643, 'edr25', NULL, '', 475.54000000, 570.65000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 475.54000000, 95.11000000, 0.00000000, 0.00000000, 570.65000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 475.54000000, 475.54000000, 95.11000000, 570.65000000),
(1980, 1299, NULL, 1223702, 'founiture div', NULL, '', 305.10000000, 366.12000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 305.10000000, 61.02000000, 0.00000000, 0.00000000, 366.12000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 305.10000000, 305.10000000, 61.02000000, 366.12000000),
(1981, 1300, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 1.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 72.00000000, 14.40000000, 0.00000000, 0.00000000, 86.40000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 72.00000000, 14.40000000, 86.40000000),
(1982, 1300, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87590909, 44, 0, 20.000, '', 0.000, '0', 0.000, '0', 32.12000000, 6.42000000, 0.00000000, 0.00000000, 38.54000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 0.73000000, 32.12000000, 6.42000000, 38.54000000),
(1983, 1301, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1984, 1302, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 6, 0, 20.000, '', 0.000, '0', 0.000, '0', 288.00000000, 57.60000000, 0.00000000, 0.00000000, 345.60000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 288.00000000, 57.60000000, 345.60000000),
(1985, 1303, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1986, 1304, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1987, 1305, NULL, 1222643, 'edr25', NULL, '', 702.20000000, 842.64000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 702.20000000, 140.44000000, 0.00000000, 0.00000000, 842.64000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 702.20000000, 702.20000000, 140.44000000, 842.64000000),
(1988, 1306, NULL, 1222643, '', NULL, '', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(1989, 1307, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 619.08000000, 123.82000000, 0.00000000, 0.00000000, 742.90000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 619.08000000, 123.82000000, 742.90000000),
(1990, 1307, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 48.00000000, 9.60000000, 0.00000000, 0.00000000, 57.60000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 48.00000000, 9.60000000, 57.60000000),
(1991, 1308, NULL, 1222643, '', NULL, 'Main d&#39;oeuvre et deplacement', 750.00000000, 900.00000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 1500.00000000, 300.00000000, 0.00000000, 0.00000000, 1800.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 750.00000000, 1500.00000000, 300.00000000, 1800.00000000),
(1992, 1310, NULL, NULL, '', NULL, 'Herbergement Ewinfic', 232.78000000, 279.34000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 232.78000000, 46.56000000, 0.00000000, 0.00000000, 279.34000000, 1, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 232.78000000, 232.78000000, 46.56000000, 279.34000000),
(1993, 1311, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1994, 1312, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1995, 1313, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1996, 1314, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(1997, 1315, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(1998, 1316, NULL, 1190357, 'EDR_34', NULL, '', 272.00000000, 326.40000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 272.00000000, 54.40000000, 0.00000000, 0.00000000, 326.40000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 272.00000000, 272.00000000, 54.40000000, 326.40000000),
(1999, 1317, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87590909, 44, 0, 20.000, '', 0.000, '0', 0.000, '0', 32.12000000, 6.42000000, 0.00000000, 0.00000000, 38.54000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 32.12000000, 6.42000000, 38.54000000),
(2000, 1317, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 1.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 72.00000000, 14.40000000, 0.00000000, 0.00000000, 86.40000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 72.00000000, 14.40000000, 86.40000000),
(2001, 1318, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(2002, 1319, NULL, 1222643, '', NULL, 'Main d&#39;oeuvre et deplacement', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(2003, 1320, NULL, 1222643, 'edr25', NULL, '', 4592.30000000, 5510.76000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 4592.30000000, 918.46000000, 0.00000000, 0.00000000, 5510.76000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 4592.30000000, 4592.30000000, 918.46000000, 5510.76000000),
(2004, 1321, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 60, 0, 20.000, '', 0.000, '0', 0.000, '0', 43.80000000, 8.76000000, 0.00000000, 0.00000000, 52.56000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 43.80000000, 8.76000000, 52.56000000),
(2005, 1321, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(2006, 1322, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87607143, 56, 0, 20.000, '', 0.000, '0', 0.000, '0', 40.88000000, 8.18000000, 0.00000000, 0.00000000, 49.06000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 40.88000000, 8.18000000, 49.06000000),
(2007, 1322, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 96.00000000, 19.20000000, 0.00000000, 0.00000000, 115.20000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 96.00000000, 19.20000000, 115.20000000),
(2008, 1323, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(2009, 1323, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(2010, 1323, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87590909, 44, 0, 20.000, '', 0.000, '0', 0.000, '0', 32.12000000, 6.42000000, 0.00000000, 0.00000000, 38.54000000, 0, NULL, NULL, 0, 0, 0, 3, NULL, NULL, 0, 'EUR', 0.73000000, 32.12000000, 6.42000000, 38.54000000),
(2011, 1324, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(2012, 1325, NULL, 1222643, 'edr25', NULL, '', 1566.97000000, 1880.36000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 1566.97000000, 313.39000000, 0.00000000, 0.00000000, 1880.36000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 1566.97000000, 1566.97000000, 313.39000000, 1880.36000000),
(2013, 1326, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(2014, 1327, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 50, 0, 20.000, '', 0.000, '0', 0.000, '0', 36.50000000, 7.30000000, 0.00000000, 0.00000000, 43.80000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 36.50000000, 7.30000000, 43.80000000),
(2015, 1327, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 3, 0, 20.000, '', 0.000, '0', 0.000, '0', 144.00000000, 28.80000000, 0.00000000, 0.00000000, 172.80000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 144.00000000, 28.80000000, 172.80000000),
(2016, 1328, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(2017, 1329, NULL, 1222643, '', NULL, 'Main d&#39;oeuvre et deplacement', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(2018, 1330, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(2019, 1330, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 619.08000000, 123.82000000, 0.00000000, 0.00000000, 742.90000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 309.54000000, 619.08000000, 123.82000000, 742.90000000),
(2020, 1331, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(2021, 1332, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(2022, 1333, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(2023, 1334, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(2024, 1335, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(2025, 1336, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(2026, 1337, NULL, 1222643, 'edr25', NULL, '', 498.00000000, 597.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 498.00000000, 99.60000000, 0.00000000, 0.00000000, 597.60000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 498.00000000, 498.00000000, 99.60000000, 597.60000000),
(2027, 1338, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 8, 0, 20.000, '', 0.000, '0', 0.000, '0', 384.00000000, 76.80000000, 0.00000000, 0.00000000, 460.80000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 48.00000000, 384.00000000, 76.80000000, 460.80000000),
(2028, 1339, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(2029, 1340, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(2030, 1341, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(2031, 1342, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(2032, 1343, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(2033, 1344, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.85500000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 469.76000000, 93.95000000, 0.00000000, 0.00000000, 563.71000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 469.76000000, 93.95000000, 563.71000000),
(2034, 1345, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(2035, 1346, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(2036, 1347, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(2037, 1348, NULL, 1222643, 'edr25', NULL, '', 300.00000000, 360.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 300.00000000, 60.00000000, 0.00000000, 0.00000000, 360.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 300.00000000, 300.00000000, 60.00000000, 360.00000000),
(2038, 1349, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(2039, 1350, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(2040, 1351, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(2041, 1352, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(2042, 1353, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(2043, 1354, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(2044, 1355, NULL, 1222641, '', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(2045, 1356, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(2046, 1357, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 619.08000000, 123.82000000, 0.00000000, 0.00000000, 742.90000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 619.08000000, 123.82000000, 742.90000000),
(2047, 1358, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(2048, 1359, NULL, 1190334, 'edr5', NULL, '', 0.73000000, 0.87600000, 80, 0, 20.000, '', 0.000, '0', 0.000, '0', 58.40000000, 11.68000000, 0.00000000, 0.00000000, 70.08000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 0.73000000, 58.40000000, 11.68000000, 70.08000000),
(2049, 1359, NULL, 1190535, 'EDR_1', NULL, '', 48.00000000, 57.60000000, 7.5, 0, 20.000, '', 0.000, '0', 0.000, '0', 360.00000000, 72.00000000, 0.00000000, 0.00000000, 432.00000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 48.00000000, 360.00000000, 72.00000000, 432.00000000),
(2050, 1360, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(2051, 1361, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.85500000, 2, 0, 20.000, '', 0.000, '0', 0.000, '0', 469.76000000, 93.95000000, 0.00000000, 0.00000000, 563.71000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 469.76000000, 93.95000000, 563.71000000),
(2052, 1362, NULL, 1222643, 'edr25', NULL, '', 534.00000000, 640.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 534.00000000, 106.80000000, 0.00000000, 0.00000000, 640.80000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 534.00000000, 534.00000000, 106.80000000, 640.80000000),
(2053, 1363, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(2054, 1364, NULL, 1222640, 'EDR37', NULL, '', 234.88000000, 281.86000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 234.88000000, 46.98000000, 0.00000000, 0.00000000, 281.86000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 234.88000000, 234.88000000, 46.98000000, 281.86000000),
(2055, 1365, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(2056, 1366, NULL, 1222641, 'EDR38', NULL, '', 309.54000000, 371.45000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 309.54000000, 61.91000000, 0.00000000, 0.00000000, 371.45000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 309.54000000, 309.54000000, 61.91000000, 371.45000000),
(2057, 1367, NULL, 1222640, 'EDR37', NULL, '', 239.57000000, 287.48000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 239.57000000, 47.91000000, 0.00000000, 0.00000000, 287.48000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 239.57000000, 239.57000000, 47.91000000, 287.48000000),
(2058, 1368, NULL, 1222640, 'EDR37', NULL, '', 239.57000000, 287.48000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 239.57000000, 47.91000000, 0.00000000, 0.00000000, 287.48000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 239.57000000, 239.57000000, 47.91000000, 287.48000000),
(2059, 1369, NULL, 1222641, 'EDR38', NULL, '', 315.73000000, 378.88000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 315.73000000, 63.15000000, 0.00000000, 0.00000000, 378.88000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 315.73000000, 315.73000000, 63.15000000, 378.88000000),
(2060, 1370, NULL, 1222641, 'EDR38', NULL, '', 315.73000000, 378.88000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 315.73000000, 63.15000000, 0.00000000, 0.00000000, 378.88000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 315.73000000, 315.73000000, 63.15000000, 378.88000000),
(2061, 1371, NULL, 1222641, 'EDR38', NULL, '', 315.73000000, 378.88000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 315.73000000, 63.15000000, 0.00000000, 0.00000000, 378.88000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 315.73000000, 315.73000000, 63.15000000, 378.88000000),
(2062, 1372, NULL, 1222643, 'edr25', NULL, '', 499.00000000, 598.80000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 499.00000000, 99.80000000, 0.00000000, 0.00000000, 598.80000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 499.00000000, 499.00000000, 99.80000000, 598.80000000),
(2063, 1372, NULL, 1223702, 'founiture div', NULL, '', 513.00000000, 615.60000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 513.00000000, 102.60000000, 0.00000000, 0.00000000, 615.60000000, 0, NULL, NULL, 0, 0, 0, 2, NULL, NULL, 0, 'EUR', 513.00000000, 513.00000000, 102.60000000, 615.60000000),
(2064, 1373, NULL, 1222643, 'edr25', NULL, '', 3350.00000000, 4020.00000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 3350.00000000, 670.00000000, 0.00000000, 0.00000000, 4020.00000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 3350.00000000, 3350.00000000, 670.00000000, 4020.00000000),
(2065, 1374, NULL, 1222641, 'EDR38', NULL, '', 315.73000000, 378.88000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 315.73000000, 63.15000000, 0.00000000, 0.00000000, 378.88000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 315.73000000, 315.73000000, 63.15000000, 378.88000000),
(2066, 1375, NULL, 1222641, '', NULL, '', 315.73000000, 378.88000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 315.73000000, 63.15000000, 0.00000000, 0.00000000, 378.88000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 315.73000000, 315.73000000, 63.15000000, 378.88000000),
(2067, 1376, NULL, 1222641, 'EDR38', NULL, '', 315.73000000, 378.88000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 315.73000000, 63.15000000, 0.00000000, 0.00000000, 378.88000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 315.73000000, 315.73000000, 63.15000000, 378.88000000),
(2068, 1377, NULL, 1222641, '', NULL, '', 315.73000000, 378.88000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 315.73000000, 63.15000000, 0.00000000, 0.00000000, 378.88000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 315.73000000, 315.73000000, 63.15000000, 378.88000000),
(2069, 1378, NULL, 1222643, 'edr25', NULL, '', 605.92000000, 727.10000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 605.92000000, 121.18000000, 0.00000000, 0.00000000, 727.10000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 605.92000000, 605.92000000, 121.18000000, 727.10000000),
(2070, 1379, NULL, 1222641, 'EDR38', NULL, '', 315.73000000, 378.88000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 315.73000000, 63.15000000, 0.00000000, 0.00000000, 378.88000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 315.73000000, 315.73000000, 63.15000000, 378.88000000),
(2071, 1380, NULL, 1190376, 'EDR_50', NULL, '', 249.20000000, 299.04000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 249.20000000, 49.84000000, 0.00000000, 0.00000000, 299.04000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 249.20000000, 249.20000000, 49.84000000, 299.04000000),
(2072, 1381, NULL, 1222643, 'edr25', NULL, '', 329.50000000, 395.40000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 329.50000000, 65.90000000, 0.00000000, 0.00000000, 395.40000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 329.50000000, 329.50000000, 65.90000000, 395.40000000),
(2073, 1382, NULL, 1222643, '', NULL, 'Main d&#39;oeuvre et deplacement', 750.00000000, 900.00000000, 1, 0, 20.000, '', 0.000, '', 0.000, '', 750.00000000, 150.00000000, 0.00000000, 0.00000000, 900.00000000, 0, NULL, NULL, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 750.00000000, 750.00000000, 150.00000000, 900.00000000),
(2074, 1383, NULL, 1222641, 'EDR38', NULL, '', 315.73000000, 378.88000000, 1, 0, 20.000, '', 0.000, '0', 0.000, '0', 315.73000000, 63.15000000, 0.00000000, 0.00000000, 378.88000000, 0, NULL, NULL, 0, 0, 0, 1, NULL, NULL, 0, 'EUR', 315.73000000, 315.73000000, 63.15000000, 378.88000000);
